
/* A Bison parser, made by GNU Bison 2.4.1.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 5 "preproc.y"

#include "postgres_fe.h"

#include "extern.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
                if (N) \
			(Current) = (Rhs)[1]; \
		else \
		        (Current) = (Rhs)[0]; \
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
int ecpg_informix_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	QueryIsRule = 0, FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char     pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list ap;

	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
		case ET_FATAL:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	va_start(ap, error);
	vfprintf(stderr, error, ap);
	va_end(ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
		case ET_FATAL:
			if (yyin)
				fclose(yyin);
			if (yyout)
				fclose(yyout);
			
			if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
			        fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
			exit(error_code);
	}
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

char *
make_str(const char *str)
{
	char * res_str = (char *)mm_alloc(strlen(str) + 1);

	strcpy(res_str, str);
	return res_str;
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), make_str(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_informix(struct arguments *list)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
 	 * for instance you can declare variables in a function, and then subsequently use them
	 * {
	 *      declare_vars();
	 *      exec sql ... which uses vars declared in the above function
	 *
	 * This breaks standard and leads to some very dangerous programming.
	 * Since they do, we have to work around and accept their syntax as well.
	 * But we will do so ONLY in Informix mode.
	 * We have to change the variables to our own struct and just store the pointer instead of the variable
	 */

	 struct arguments *ptr;
	 char *result = make_str("");

	 for (ptr = list; ptr != NULL; ptr = ptr->next)
	 {
	 	char temp[20]; /* this should be sufficient unless you have 8 byte integers */
		char *original_var;

	 	/* change variable name to "ECPG_informix_get_var(<counter>)" */
		original_var = ptr->variable->name;
		sprintf(temp, "%d))", ecpg_informix_var);

		if ((ptr->variable->type->type != ECPGt_varchar && ptr->variable->type->type != ECPGt_char && ptr->variable->type->type != ECPGt_unsigned_char) && atoi(ptr->variable->type->size) > 1)
		{
			ptr->variable = new_variable(cat_str(4, make_str("("), mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)), make_str(" *)(ECPG_informix_get_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type, make_str("1"), ptr->variable->type->u.element->lineno), ptr->variable->type->size), 0);
			sprintf(temp, "%d, (", ecpg_informix_var++);
		}
		else if ((ptr->variable->type->type == ECPGt_varchar || ptr->variable->type->type == ECPGt_char || ptr->variable->type->type == ECPGt_unsigned_char) && atoi(ptr->variable->type->size) > 1)
		{
			ptr->variable = new_variable(cat_str(4, make_str("("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), make_str(" *)(ECPG_informix_get_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->variable->type->type, ptr->variable->type->size, ptr->variable->type->lineno), 0);
			sprintf(temp, "%d, (", ecpg_informix_var++);
		}
		else
		{
			ptr->variable = new_variable(cat_str(4, make_str("*("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), make_str(" *)(ECPG_informix_get_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->variable->type->type, ptr->variable->type->size, ptr->variable->type->lineno), 0);
			sprintf(temp, "%d, &(", ecpg_informix_var++);
		}

		/* create call to "ECPG_informix_set_var(<counter>, <pointer>. <linen number>)" */
		result = cat_str(5, result, make_str("ECPG_informix_set_var("), mm_strdup(temp), mm_strdup(original_var), make_str("), __LINE__);\n"));

		/* now the indicator if there is one */
		if (ptr->indicator->type->type != ECPGt_NO_INDICATOR)
		{
			/* change variable name to "ECPG_informix_get_var(<counter>)" */
			original_var = ptr->indicator->name;
			sprintf(temp, "%d))", ecpg_informix_var);

			/* create call to "ECPG_informix_set_var(<counter>, <pointer>. <linen number>)" */
			if (atoi(ptr->indicator->type->size) > 1)
			{
				ptr->indicator = new_variable(cat_str(4, make_str("("), mm_strdup(ecpg_type_name(ptr->indicator->type->type)), make_str(" *)(ECPG_informix_get_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->indicator->type->type, ptr->indicator->type->size, ptr->variable->type->lineno), 0);
				sprintf(temp, "%d, (", ecpg_informix_var++);
			}
			else
			{
				ptr->indicator = new_variable(cat_str(4, make_str("*("), mm_strdup(ecpg_type_name(ptr->indicator->type->type)), make_str(" *)(ECPG_informix_get_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->indicator->type->type, ptr->indicator->type->size, ptr->variable->type->lineno), 0);
				sprintf(temp, "%d, &(", ecpg_informix_var++);
			}
			result = cat_str(5, result, make_str("ECPG_informix_set_var("), mm_strdup(temp), mm_strdup(original_var), make_str("), __LINE__);\n"));
		}
	 }

	 return result;
}

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = ptr->argsinsert; p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = ptr->argsresult; p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char * dimension, char * length, enum ECPGttype type_enum, char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
	     type_enum == ECPGt_union) &&
	    initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}


/* Line 189 of yacc.c  */
#line 456 "preproc.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     SQL_ALLOCATE = 258,
     SQL_AUTOCOMMIT = 259,
     SQL_BOOL = 260,
     SQL_BREAK = 261,
     SQL_CALL = 262,
     SQL_CARDINALITY = 263,
     SQL_CONNECT = 264,
     SQL_COUNT = 265,
     SQL_DATETIME_INTERVAL_CODE = 266,
     SQL_DATETIME_INTERVAL_PRECISION = 267,
     SQL_DESCRIBE = 268,
     SQL_DESCRIPTOR = 269,
     SQL_DISCONNECT = 270,
     SQL_FOUND = 271,
     SQL_FREE = 272,
     SQL_GET = 273,
     SQL_GO = 274,
     SQL_GOTO = 275,
     SQL_IDENTIFIED = 276,
     SQL_INDICATOR = 277,
     SQL_KEY_MEMBER = 278,
     SQL_LENGTH = 279,
     SQL_LONG = 280,
     SQL_NULLABLE = 281,
     SQL_OCTET_LENGTH = 282,
     SQL_OPEN = 283,
     SQL_OUTPUT = 284,
     SQL_REFERENCE = 285,
     SQL_RETURNED_LENGTH = 286,
     SQL_RETURNED_OCTET_LENGTH = 287,
     SQL_SCALE = 288,
     SQL_SECTION = 289,
     SQL_SHORT = 290,
     SQL_SIGNED = 291,
     SQL_SQL = 292,
     SQL_SQLERROR = 293,
     SQL_SQLPRINT = 294,
     SQL_SQLWARNING = 295,
     SQL_START = 296,
     SQL_STOP = 297,
     SQL_STRUCT = 298,
     SQL_UNSIGNED = 299,
     SQL_VAR = 300,
     SQL_WHENEVER = 301,
     S_ADD = 302,
     S_AND = 303,
     S_ANYTHING = 304,
     S_AUTO = 305,
     S_CONST = 306,
     S_DEC = 307,
     S_DIV = 308,
     S_DOTPOINT = 309,
     S_EQUAL = 310,
     S_EXTERN = 311,
     S_INC = 312,
     S_LSHIFT = 313,
     S_MEMPOINT = 314,
     S_MEMBER = 315,
     S_MOD = 316,
     S_MUL = 317,
     S_NEQUAL = 318,
     S_OR = 319,
     S_REGISTER = 320,
     S_RSHIFT = 321,
     S_STATIC = 322,
     S_SUB = 323,
     S_VOLATILE = 324,
     S_TYPEDEF = 325,
     TYPECAST = 326,
     CSTRING = 327,
     CVARIABLE = 328,
     CPP_LINE = 329,
     IP = 330,
     DOLCONST = 331,
     ECONST = 332,
     NCONST = 333,
     UCONST = 334,
     UIDENT = 335,
     ABORT_P = 336,
     ABSOLUTE_P = 337,
     ACCESS = 338,
     ACTION = 339,
     ADD_P = 340,
     ADMIN = 341,
     AFTER = 342,
     AGGREGATE = 343,
     ALL = 344,
     ALSO = 345,
     ALTER = 346,
     ALWAYS = 347,
     ANALYSE = 348,
     ANALYZE = 349,
     AND = 350,
     ANY = 351,
     ARRAY = 352,
     AS = 353,
     ASC = 354,
     ASSERTION = 355,
     ASSIGNMENT = 356,
     ASYMMETRIC = 357,
     AT = 358,
     AUTHORIZATION = 359,
     BACKWARD = 360,
     BEFORE = 361,
     BEGIN_P = 362,
     BETWEEN = 363,
     BIGINT = 364,
     BINARY = 365,
     BIT = 366,
     BOOLEAN_P = 367,
     BOTH = 368,
     BY = 369,
     CACHE = 370,
     CALLED = 371,
     CASCADE = 372,
     CASCADED = 373,
     CASE = 374,
     CAST = 375,
     CATALOG_P = 376,
     CHAIN = 377,
     CHAR_P = 378,
     CHARACTER = 379,
     CHARACTERISTICS = 380,
     CHECK = 381,
     CHECKPOINT = 382,
     CLASS = 383,
     CLOSE = 384,
     CLUSTER = 385,
     COALESCE = 386,
     COLLATE = 387,
     COLUMN = 388,
     COMMENT = 389,
     COMMIT = 390,
     COMMITTED = 391,
     CONCURRENTLY = 392,
     CONFIGURATION = 393,
     CONNECTION = 394,
     CONSTRAINT = 395,
     CONSTRAINTS = 396,
     CONTENT_P = 397,
     CONTINUE_P = 398,
     CONVERSION_P = 399,
     COPY = 400,
     COST = 401,
     CREATE = 402,
     CREATEDB = 403,
     CREATEROLE = 404,
     CREATEUSER = 405,
     CROSS = 406,
     CSV = 407,
     CURRENT_P = 408,
     CURRENT_CATALOG = 409,
     CURRENT_DATE = 410,
     CURRENT_ROLE = 411,
     CURRENT_SCHEMA = 412,
     CURRENT_TIME = 413,
     CURRENT_TIMESTAMP = 414,
     CURRENT_USER = 415,
     CURSOR = 416,
     CYCLE = 417,
     DATA_P = 418,
     DATABASE = 419,
     DAY_P = 420,
     DEALLOCATE = 421,
     DEC = 422,
     DECIMAL_P = 423,
     DECLARE = 424,
     DEFAULT = 425,
     DEFAULTS = 426,
     DEFERRABLE = 427,
     DEFERRED = 428,
     DEFINER = 429,
     DELETE_P = 430,
     DELIMITER = 431,
     DELIMITERS = 432,
     DESC = 433,
     DICTIONARY = 434,
     DISABLE_P = 435,
     DISCARD = 436,
     DISTINCT = 437,
     DO = 438,
     DOCUMENT_P = 439,
     DOMAIN_P = 440,
     DOUBLE_P = 441,
     DROP = 442,
     EACH = 443,
     ELSE = 444,
     ENABLE_P = 445,
     ENCODING = 446,
     ENCRYPTED = 447,
     END_P = 448,
     ENUM_P = 449,
     ESCAPE = 450,
     EXCEPT = 451,
     EXCLUDING = 452,
     EXCLUSIVE = 453,
     EXECUTE = 454,
     EXISTS = 455,
     EXPLAIN = 456,
     EXTERNAL = 457,
     EXTRACT = 458,
     FALSE_P = 459,
     FAMILY = 460,
     FETCH = 461,
     FIRST_P = 462,
     FLOAT_P = 463,
     FOLLOWING = 464,
     FOR = 465,
     FORCE = 466,
     FOREIGN = 467,
     FORWARD = 468,
     FREEZE = 469,
     FROM = 470,
     FULL = 471,
     FUNCTION = 472,
     GLOBAL = 473,
     GRANT = 474,
     GRANTED = 475,
     GREATEST = 476,
     GROUP_P = 477,
     HANDLER = 478,
     HAVING = 479,
     HEADER_P = 480,
     HOLD = 481,
     HOUR_P = 482,
     IDENTITY_P = 483,
     IF_P = 484,
     ILIKE = 485,
     IMMEDIATE = 486,
     IMMUTABLE = 487,
     IMPLICIT_P = 488,
     IN_P = 489,
     INCLUDING = 490,
     INCREMENT = 491,
     INDEX = 492,
     INDEXES = 493,
     INHERIT = 494,
     INHERITS = 495,
     INITIALLY = 496,
     INNER_P = 497,
     INOUT = 498,
     INPUT_P = 499,
     INSENSITIVE = 500,
     INSERT = 501,
     INSTEAD = 502,
     INT_P = 503,
     INTEGER = 504,
     INTERSECT = 505,
     INTERVAL = 506,
     INTO = 507,
     INVOKER = 508,
     IS = 509,
     ISNULL = 510,
     ISOLATION = 511,
     JOIN = 512,
     KEY = 513,
     LANCOMPILER = 514,
     LANGUAGE = 515,
     LARGE_P = 516,
     LAST_P = 517,
     LC_COLLATE_P = 518,
     LC_CTYPE_P = 519,
     LEADING = 520,
     LEAST = 521,
     LEFT = 522,
     LEVEL = 523,
     LIKE = 524,
     LIMIT = 525,
     LISTEN = 526,
     LOAD = 527,
     LOCAL = 528,
     LOCALTIME = 529,
     LOCALTIMESTAMP = 530,
     LOCATION = 531,
     LOCK_P = 532,
     LOGIN_P = 533,
     MAPPING = 534,
     MATCH = 535,
     MAXVALUE = 536,
     MINUTE_P = 537,
     MINVALUE = 538,
     MODE = 539,
     MONTH_P = 540,
     MOVE = 541,
     NAME_P = 542,
     NAMES = 543,
     NATIONAL = 544,
     NATURAL = 545,
     NCHAR = 546,
     NEW = 547,
     NEXT = 548,
     NO = 549,
     NOCREATEDB = 550,
     NOCREATEROLE = 551,
     NOCREATEUSER = 552,
     NOINHERIT = 553,
     NOLOGIN_P = 554,
     NONE = 555,
     NOSUPERUSER = 556,
     NOT = 557,
     NOTHING = 558,
     NOTIFY = 559,
     NOTNULL = 560,
     NOWAIT = 561,
     NULL_P = 562,
     NULLIF = 563,
     NULLS_P = 564,
     NUMERIC = 565,
     OBJECT_P = 566,
     OF = 567,
     OFF = 568,
     OFFSET = 569,
     OIDS = 570,
     OLD = 571,
     ON = 572,
     ONLY = 573,
     OPERATOR = 574,
     OPTION = 575,
     OPTIONS = 576,
     OR = 577,
     ORDER = 578,
     OUT_P = 579,
     OUTER_P = 580,
     OVER = 581,
     OVERLAPS = 582,
     OVERLAY = 583,
     OWNED = 584,
     OWNER = 585,
     PARSER = 586,
     PARTIAL = 587,
     PARTITION = 588,
     PASSWORD = 589,
     PLACING = 590,
     PLANS = 591,
     POSITION = 592,
     PRECEDING = 593,
     PRECISION = 594,
     PRESERVE = 595,
     PREPARE = 596,
     PREPARED = 597,
     PRIMARY = 598,
     PRIOR = 599,
     PRIVILEGES = 600,
     PROCEDURAL = 601,
     PROCEDURE = 602,
     QUOTE = 603,
     RANGE = 604,
     READ = 605,
     REAL = 606,
     REASSIGN = 607,
     RECHECK = 608,
     RECURSIVE = 609,
     REFERENCES = 610,
     REINDEX = 611,
     RELATIVE_P = 612,
     RELEASE = 613,
     RENAME = 614,
     REPEATABLE = 615,
     REPLACE = 616,
     REPLICA = 617,
     RESET = 618,
     RESTART = 619,
     RESTRICT = 620,
     RETURNING = 621,
     RETURNS = 622,
     REVOKE = 623,
     RIGHT = 624,
     ROLE = 625,
     ROLLBACK = 626,
     ROW = 627,
     ROWS = 628,
     RULE = 629,
     SAVEPOINT = 630,
     SCHEMA = 631,
     SCROLL = 632,
     SEARCH = 633,
     SECOND_P = 634,
     SECURITY = 635,
     SELECT = 636,
     SEQUENCE = 637,
     SERIALIZABLE = 638,
     SERVER = 639,
     SESSION = 640,
     SESSION_USER = 641,
     SET = 642,
     SETOF = 643,
     SHARE = 644,
     SHOW = 645,
     SIMILAR = 646,
     SIMPLE = 647,
     SMALLINT = 648,
     SOME = 649,
     STABLE = 650,
     STANDALONE_P = 651,
     START = 652,
     STATEMENT = 653,
     STATISTICS = 654,
     STDIN = 655,
     STDOUT = 656,
     STORAGE = 657,
     STRICT_P = 658,
     STRIP_P = 659,
     SUBSTRING = 660,
     SUPERUSER_P = 661,
     SYMMETRIC = 662,
     SYSID = 663,
     SYSTEM_P = 664,
     TABLE = 665,
     TABLESPACE = 666,
     TEMP = 667,
     TEMPLATE = 668,
     TEMPORARY = 669,
     TEXT_P = 670,
     THEN = 671,
     TIME = 672,
     TIMESTAMP = 673,
     TO = 674,
     TRAILING = 675,
     TRANSACTION = 676,
     TREAT = 677,
     TRIGGER = 678,
     TRIM = 679,
     TRUE_P = 680,
     TRUNCATE = 681,
     TRUSTED = 682,
     TYPE_P = 683,
     UNBOUNDED = 684,
     UNCOMMITTED = 685,
     UNENCRYPTED = 686,
     UNION = 687,
     UNIQUE = 688,
     UNKNOWN = 689,
     UNLISTEN = 690,
     UNTIL = 691,
     UPDATE = 692,
     USER = 693,
     USING = 694,
     VACUUM = 695,
     VALID = 696,
     VALIDATOR = 697,
     VALUE_P = 698,
     VALUES = 699,
     VARCHAR = 700,
     VARIADIC = 701,
     VARYING = 702,
     VERBOSE = 703,
     VERSION_P = 704,
     VIEW = 705,
     VOLATILE = 706,
     WHEN = 707,
     WHERE = 708,
     WHITESPACE_P = 709,
     WINDOW = 710,
     WITH = 711,
     WITHOUT = 712,
     WORK = 713,
     WRAPPER = 714,
     WRITE = 715,
     XML_P = 716,
     XMLATTRIBUTES = 717,
     XMLCONCAT = 718,
     XMLELEMENT = 719,
     XMLFOREST = 720,
     XMLPARSE = 721,
     XMLPI = 722,
     XMLROOT = 723,
     XMLSERIALIZE = 724,
     YEAR_P = 725,
     YES_P = 726,
     ZONE = 727,
     NULLS_FIRST = 728,
     NULLS_LAST = 729,
     WITH_TIME = 730,
     IDENT = 731,
     FCONST = 732,
     SCONST = 733,
     BCONST = 734,
     XCONST = 735,
     Op = 736,
     ICONST = 737,
     PARAM = 738,
     POSTFIXOP = 739,
     UMINUS = 740
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 383 "preproc.y"

	double	dval;
	char	*str;
	int     ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;



/* Line 214 of yacc.c  */
#line 994 "preproc.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 264 of yacc.c  */
#line 1019 "preproc.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   85041

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  505
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  616
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2451
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4251

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   740

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   492,     2,     2,
     497,   498,   490,   488,   500,   489,   499,   491,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   502,   501,
     485,   484,   486,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   495,     2,   496,   493,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   503,     2,   504,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   487,
     494
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     7,     9,    11,    13,    15,    17,
      19,    21,    23,    25,    27,    29,    31,    33,    35,    37,
      39,    41,    43,    45,    47,    49,    51,    53,    55,    57,
      59,    61,    63,    65,    67,    69,    71,    73,    75,    77,
      79,    81,    83,    85,    87,    89,    91,    93,    95,    97,
      99,   101,   103,   105,   107,   109,   111,   113,   115,   117,
     119,   121,   123,   125,   127,   129,   131,   133,   135,   137,
     139,   141,   143,   145,   147,   149,   151,   153,   155,   157,
     159,   161,   163,   165,   167,   169,   171,   173,   175,   177,
     179,   181,   183,   185,   187,   189,   191,   193,   195,   197,
     199,   201,   203,   205,   207,   209,   211,   213,   215,   217,
     219,   221,   223,   225,   227,   229,   231,   233,   235,   237,
     239,   241,   243,   244,   250,   252,   253,   256,   257,   260,
     263,   267,   271,   273,   275,   277,   279,   281,   283,   285,
     287,   289,   291,   293,   295,   299,   303,   306,   309,   312,
     315,   319,   323,   329,   335,   340,   346,   351,   355,   361,
     365,   371,   377,   384,   386,   388,   392,   398,   405,   410,
     412,   413,   416,   417,   419,   421,   423,   425,   427,   429,
     432,   436,   440,   444,   448,   452,   456,   460,   464,   467,
     473,   476,   479,   482,   485,   489,   493,   497,   499,   503,
     505,   509,   511,   513,   515,   518,   521,   524,   526,   528,
     530,   532,   534,   536,   538,   542,   549,   551,   553,   555,
     557,   559,   560,   562,   564,   567,   571,   576,   580,   583,
     586,   588,   592,   597,   603,   608,   611,   616,   618,   620,
     622,   624,   626,   629,   632,   635,   638,   643,   648,   653,
     658,   660,   664,   668,   673,   680,   687,   694,   701,   706,
     714,   717,   722,   726,   730,   734,   738,   742,   747,   752,
     756,   760,   764,   768,   772,   776,   781,   786,   790,   793,
     797,   801,   805,   808,   811,   815,   818,   820,   822,   823,
     826,   827,   831,   834,   835,   837,   841,   845,   847,   853,
     857,   860,   863,   874,   881,   883,   885,   887,   889,   891,
     894,   895,   897,   899,   903,   907,   909,   911,   915,   919,
     923,   928,   930,   931,   934,   935,   939,   940,   942,   943,
     955,   968,   970,   972,   975,   978,   981,   984,   985,   987,
     988,   990,   994,   996,   998,  1000,  1004,  1007,  1008,  1012,
    1014,  1016,  1019,  1021,  1025,  1030,  1035,  1038,  1044,  1046,
    1049,  1052,  1055,  1059,  1062,  1063,  1066,  1069,  1072,  1075,
    1078,  1081,  1085,  1087,  1092,  1099,  1107,  1119,  1123,  1124,
    1126,  1130,  1132,  1135,  1138,  1141,  1142,  1144,  1146,  1149,
    1152,  1153,  1157,  1161,  1164,  1166,  1168,  1171,  1174,  1179,
    1180,  1183,  1186,  1189,  1190,  1194,  1199,  1204,  1205,  1208,
    1209,  1214,  1215,  1221,  1225,  1226,  1228,  1232,  1234,  1237,
    1241,  1242,  1248,  1253,  1255,  1256,  1258,  1261,  1264,  1266,
    1269,  1273,  1276,  1279,  1282,  1285,  1289,  1293,  1295,  1299,
    1301,  1302,  1304,  1307,  1309,  1315,  1325,  1327,  1328,  1330,
    1333,  1336,  1339,  1341,  1342,  1345,  1346,  1352,  1360,  1362,
    1363,  1370,  1373,  1374,  1378,  1384,  1392,  1399,  1408,  1416,
    1423,  1430,  1435,  1436,  1438,  1442,  1447,  1449,  1453,  1455,
    1458,  1461,  1464,  1467,  1469,  1471,  1482,  1485,  1486,  1489,
    1492,  1494,  1495,  1500,  1507,  1513,  1518,  1523,  1532,  1534,
    1536,  1538,  1546,  1556,  1565,  1580,  1600,  1602,  1604,  1606,
    1610,  1612,  1614,  1616,  1618,  1622,  1623,  1625,  1626,  1628,
    1630,  1632,  1636,  1637,  1639,  1641,  1643,  1645,  1647,  1649,
    1652,  1653,  1655,  1658,  1660,  1663,  1664,  1667,  1669,  1672,
    1675,  1682,  1691,  1700,  1705,  1711,  1716,  1721,  1726,  1730,
    1738,  1747,  1754,  1761,  1768,  1775,  1779,  1781,  1785,  1789,
    1791,  1793,  1795,  1797,  1799,  1801,  1805,  1809,  1813,  1815,
    1819,  1823,  1825,  1829,  1843,  1845,  1849,  1854,  1860,  1865,
    1873,  1876,  1878,  1879,  1882,  1883,  1885,  1886,  1893,  1902,
    1911,  1913,  1917,  1923,  1929,  1937,  1947,  1955,  1965,  1971,
    1978,  1985,  1990,  1992,  1994,  1996,  1998,  2000,  2002,  2004,
    2006,  2010,  2014,  2018,  2022,  2024,  2028,  2030,  2033,  2036,
    2040,  2046,  2049,  2052,  2053,  2060,  2068,  2076,  2084,  2093,
    2102,  2109,  2118,  2128,  2138,  2146,  2157,  2165,  2174,  2183,
    2192,  2201,  2203,  2205,  2207,  2209,  2211,  2213,  2215,  2217,
    2219,  2221,  2223,  2225,  2227,  2229,  2234,  2237,  2242,  2245,
    2251,  2256,  2261,  2265,  2269,  2273,  2275,  2277,  2279,  2281,
    2284,  2287,  2289,  2291,  2293,  2296,  2299,  2301,  2304,  2307,
    2309,  2311,  2319,  2327,  2338,  2340,  2342,  2345,  2350,  2356,
    2358,  2362,  2365,  2368,  2371,  2374,  2376,  2379,  2382,  2387,
    2391,  2394,  2397,  2400,  2403,  2406,  2408,  2412,  2414,  2417,
    2421,  2422,  2424,  2428,  2431,  2438,  2445,  2455,  2459,  2460,
    2464,  2465,  2479,  2494,  2496,  2497,  2500,  2501,  2503,  2507,
    2512,  2517,  2524,  2526,  2529,  2530,  2532,  2534,  2535,  2537,
    2539,  2540,  2550,  2563,  2571,  2574,  2575,  2579,  2582,  2584,
    2588,  2592,  2595,  2597,  2601,  2605,  2609,  2612,  2615,  2617,
    2619,  2621,  2623,  2626,  2628,  2630,  2632,  2634,  2639,  2645,
    2647,  2651,  2655,  2657,  2660,  2665,  2671,  2673,  2675,  2677,
    2679,  2683,  2687,  2690,  2693,  2696,  2699,  2701,  2704,  2707,
    2709,  2711,  2713,  2717,  2720,  2721,  2724,  2726,  2730,  2736,
    2738,  2741,  2743,  2744,  2750,  2758,  2764,  2772,  2778,  2786,
    2790,  2796,  2802,  2808,  2810,  2814,  2826,  2837,  2848,  2851,
    2854,  2855,  2865,  2868,  2869,  2874,  2879,  2884,  2886,  2888,
    2890,  2891,  2899,  2906,  2913,  2920,  2927,  2935,  2945,  2955,
    2962,  2969,  2976,  2983,  2990,  2999,  3008,  3015,  3022,  3029,
    3038,  3047,  3056,  3065,  3072,  3074,  3075,  3078,  3079,  3087,
    3094,  3101,  3108,  3115,  3122,  3129,  3137,  3144,  3151,  3158,
    3165,  3173,  3181,  3191,  3201,  3208,  3215,  3222,  3231,  3240,
    3249,  3256,  3258,  3260,  3264,  3268,  3270,  3272,  3274,  3276,
    3278,  3280,  3282,  3283,  3285,  3287,  3289,  3291,  3293,  3295,
    3296,  3303,  3312,  3315,  3318,  3321,  3324,  3327,  3331,  3335,
    3338,  3341,  3344,  3347,  3351,  3354,  3360,  3365,  3369,  3373,
    3377,  3379,  3381,  3382,  3386,  3389,  3392,  3394,  3398,  3401,
    3403,  3404,  3413,  3424,  3428,  3433,  3438,  3439,  3442,  3448,
    3451,  3452,  3456,  3460,  3464,  3468,  3472,  3476,  3480,  3484,
    3488,  3492,  3496,  3500,  3504,  3509,  3513,  3517,  3519,  3520,
    3526,  3533,  3538,  3541,  3542,  3547,  3551,  3557,  3564,  3569,
    3576,  3583,  3589,  3597,  3599,  3600,  3607,  3619,  3631,  3643,
    3657,  3667,  3679,  3690,  3695,  3698,  3704,  3707,  3708,  3713,
    3719,  3725,  3728,  3733,  3735,  3737,  3739,  3740,  3742,  3743,
    3745,  3746,  3750,  3751,  3756,  3758,  3760,  3762,  3764,  3766,
    3768,  3770,  3772,  3773,  3779,  3784,  3788,  3789,  3791,  3793,
    3795,  3797,  3802,  3811,  3815,  3816,  3822,  3824,  3829,  3832,
    3834,  3838,  3841,  3845,  3846,  3853,  3856,  3857,  3863,  3867,
    3868,  3871,  3874,  3877,  3881,  3883,  3887,  3889,  3892,  3894,
    3895,  3903,  3905,  3909,  3911,  3913,  3917,  3923,  3926,  3928,
    3932,  3940,  3941,  3945,  3948,  3951,  3954,  3955,  3958,  3961,
    3963,  3965,  3969,  3973,  3975,  3978,  3983,  3988,  3991,  3995,
    4001,  4007,  4009,  4011,  4021,  4023,  4026,  4031,  4036,  4041,
    4044,  4048,  4050,  4054,  4059,  4062,  4064,  4065,  4069,  4073,
    4078,  4083,  4088,  4093,  4096,  4098,  4100,  4101,  4103,  4105,
    4106,  4108,  4114,  4116,  4117,  4119,  4120,  4124,  4126,  4130,
    4135,  4139,  4144,  4149,  4152,  4155,  4160,  4164,  4170,  4179,
    4181,  4182,  4184,  4186,  4188,  4192,  4193,  4195,  4197,  4199,
    4201,  4203,  4205,  4209,  4210,  4213,  4214,  4216,  4220,  4222,
    4223,  4225,  4228,  4233,  4238,  4241,  4242,  4245,  4249,  4252,
    4253,  4255,  4259,  4261,  4264,  4266,  4269,  4275,  4282,  4288,
    4290,  4293,  4295,  4300,  4304,  4309,  4315,  4320,  4326,  4331,
    4337,  4340,  4345,  4347,  4350,  4353,  4356,  4358,  4360,  4361,
    4366,  4369,  4371,  4374,  4377,  4382,  4384,  4388,  4390,  4393,
    4397,  4399,  4402,  4403,  4406,  4411,  4416,  4417,  4419,  4423,
    4426,  4429,  4433,  4439,  4446,  4449,  4453,  4457,  4462,  4463,
    4465,  4467,  4469,  4471,  4473,  4476,  4482,  4484,  4486,  4488,
    4490,  4493,  4497,  4501,  4502,  4504,  4506,  4508,  4510,  4512,
    4515,  4518,  4521,  4524,  4527,  4529,  4533,  4534,  4536,  4538,
    4540,  4542,  4548,  4551,  4553,  4555,  4557,  4559,  4565,  4568,
    4571,  4574,  4576,  4580,  4584,  4587,  4589,  4590,  4594,  4595,
    4601,  4604,  4610,  4613,  4615,  4618,  4622,  4623,  4625,  4627,
    4629,  4631,  4633,  4635,  4639,  4643,  4647,  4651,  4655,  4659,
    4663,  4664,  4666,  4671,  4673,  4677,  4683,  4686,  4689,  4693,
    4697,  4701,  4705,  4709,  4713,  4717,  4721,  4725,  4729,  4732,
    4735,  4739,  4743,  4746,  4750,  4756,  4761,  4768,  4772,  4778,
    4783,  4790,  4795,  4802,  4808,  4816,  4820,  4823,  4828,  4831,
    4835,  4839,  4844,  4848,  4853,  4857,  4862,  4868,  4875,  4882,
    4890,  4897,  4905,  4912,  4920,  4924,  4929,  4934,  4941,  4944,
    4948,  4953,  4955,  4959,  4962,  4965,  4969,  4973,  4977,  4981,
    4985,  4989,  4993,  4997,  5001,  5005,  5008,  5011,  5017,  5024,
    5031,  5039,  5043,  5048,  5050,  5052,  5055,  5060,  5062,  5064,
    5066,  5069,  5072,  5075,  5077,  5082,  5088,  5095,  5104,  5111,
    5118,  5124,  5126,  5128,  5133,  5135,  5140,  5142,  5147,  5149,
    5154,  5156,  5158,  5160,  5162,  5164,  5166,  5173,  5178,  5183,
    5188,  5193,  5200,  5206,  5212,  5218,  5223,  5230,  5235,  5240,
    5245,  5250,  5256,  5264,  5272,  5282,  5287,  5294,  5300,  5308,
    5316,  5324,  5327,  5331,  5335,  5339,  5344,  5345,  5350,  5352,
    5356,  5360,  5362,  5364,  5366,  5369,  5372,  5373,  5376,  5377,
    5379,  5383,  5387,  5390,  5393,  5394,  5401,  5403,  5404,  5408,
    5409,  5412,  5415,  5416,  5418,  5423,  5426,  5429,  5432,  5437,
    5441,  5447,  5449,  5451,  5453,  5455,  5457,  5459,  5461,  5463,
    5465,  5467,  5469,  5471,  5473,  5475,  5477,  5482,  5484,  5489,
    5491,  5496,  5498,  5501,  5503,  5506,  5508,  5512,  5514,  5518,
    5522,  5526,  5529,  5531,  5535,  5539,  5540,  5542,  5544,  5546,
    5548,  5550,  5552,  5554,  5556,  5561,  5565,  5568,  5572,  5573,
    5577,  5581,  5584,  5587,  5589,  5590,  5593,  5596,  5600,  5603,
    5605,  5607,  5611,  5617,  5619,  5622,  5627,  5630,  5631,  5633,
    5634,  5636,  5639,  5642,  5645,  5649,  5655,  5657,  5660,  5661,
    5664,  5666,  5667,  5669,  5671,  5673,  5677,  5681,  5683,  5687,
    5691,  5694,  5696,  5698,  5700,  5702,  5704,  5708,  5710,  5713,
    5715,  5719,  5721,  5723,  5725,  5727,  5729,  5731,  5733,  5736,
    5738,  5740,  5742,  5744,  5746,  5749,  5755,  5758,  5762,  5769,
    5771,  5773,  5775,  5777,  5779,  5781,  5783,  5785,  5787,  5790,
    5793,  5795,  5797,  5799,  5801,  5803,  5805,  5807,  5809,  5811,
    5813,  5815,  5817,  5819,  5821,  5823,  5825,  5827,  5829,  5831,
    5833,  5835,  5837,  5839,  5841,  5843,  5845,  5847,  5849,  5851,
    5853,  5855,  5857,  5859,  5861,  5863,  5865,  5867,  5869,  5871,
    5873,  5875,  5877,  5879,  5881,  5883,  5885,  5887,  5889,  5891,
    5893,  5895,  5897,  5899,  5901,  5903,  5905,  5907,  5909,  5911,
    5913,  5915,  5917,  5919,  5921,  5923,  5925,  5927,  5929,  5931,
    5933,  5935,  5937,  5939,  5941,  5943,  5945,  5947,  5949,  5951,
    5953,  5955,  5957,  5959,  5961,  5963,  5965,  5967,  5969,  5971,
    5973,  5975,  5977,  5979,  5981,  5983,  5985,  5987,  5989,  5991,
    5993,  5995,  5997,  5999,  6001,  6003,  6005,  6007,  6009,  6011,
    6013,  6015,  6017,  6019,  6021,  6023,  6025,  6027,  6029,  6031,
    6033,  6035,  6037,  6039,  6041,  6043,  6045,  6047,  6049,  6051,
    6053,  6055,  6057,  6059,  6061,  6063,  6065,  6067,  6069,  6071,
    6073,  6075,  6077,  6079,  6081,  6083,  6085,  6087,  6089,  6091,
    6093,  6095,  6097,  6099,  6101,  6103,  6105,  6107,  6109,  6111,
    6113,  6115,  6117,  6119,  6121,  6123,  6125,  6127,  6129,  6131,
    6133,  6135,  6137,  6139,  6141,  6143,  6145,  6147,  6149,  6151,
    6153,  6155,  6157,  6159,  6161,  6163,  6165,  6167,  6169,  6171,
    6173,  6175,  6177,  6179,  6181,  6183,  6185,  6187,  6189,  6191,
    6193,  6195,  6197,  6199,  6201,  6203,  6205,  6207,  6209,  6211,
    6213,  6215,  6217,  6219,  6221,  6223,  6225,  6227,  6229,  6231,
    6233,  6235,  6237,  6239,  6241,  6243,  6245,  6247,  6249,  6251,
    6253,  6255,  6257,  6259,  6261,  6263,  6265,  6267,  6269,  6271,
    6273,  6275,  6277,  6279,  6281,  6283,  6285,  6287,  6289,  6291,
    6293,  6295,  6297,  6299,  6301,  6303,  6305,  6307,  6309,  6311,
    6313,  6315,  6317,  6319,  6321,  6323,  6325,  6327,  6329,  6331,
    6333,  6335,  6337,  6339,  6341,  6343,  6345,  6347,  6349,  6351,
    6353,  6355,  6357,  6359,  6361,  6363,  6365,  6367,  6369,  6371,
    6373,  6375,  6377,  6379,  6381,  6383,  6385,  6387,  6389,  6391,
    6393,  6395,  6397,  6399,  6401,  6403,  6405,  6407,  6409,  6411,
    6413,  6415,  6417,  6419,  6421,  6423,  6425,  6427,  6429,  6431,
    6433,  6435,  6437,  6439,  6441,  6443,  6445,  6447,  6449,  6451,
    6453,  6455,  6457,  6459,  6461,  6463,  6465,  6467,  6469,  6471,
    6473,  6475,  6477,  6479,  6481,  6483,  6485,  6487,  6489,  6491,
    6493,  6495,  6497,  6499,  6501,  6503,  6505,  6507,  6509,  6511,
    6513,  6515,  6517,  6519,  6521,  6523,  6525,  6527,  6529,  6531,
    6533,  6535,  6537,  6539,  6541,  6543,  6545,  6547,  6549,  6551,
    6553,  6554,  6557,  6562,  6566,  6569,  6571,  6573,  6575,  6577,
    6579,  6580,  6589,  6590,  6605,  6608,  6614,  6618,  6621,  6624,
    6628,  6636,  6638,  6640,  6642,  6643,  6646,  6649,  6651,  6652,
    6654,  6658,  6660,  6663,  6664,  6667,  6668,  6671,  6672,  6674,
    6678,  6683,  6687,  6689,  6691,  6693,  6695,  6698,  6699,  6702,
    6707,  6708,  6711,  6714,  6717,  6719,  6721,  6729,  6733,  6735,
    6737,  6739,  6741,  6744,  6745,  6747,  6751,  6755,  6759,  6763,
    6764,  6769,  6775,  6781,  6782,  6784,  6786,  6788,  6790,  6793,
    6796,  6799,  6801,  6804,  6805,  6813,  6814,  6820,  6821,  6826,
    6829,  6832,  6833,  6836,  6838,  6840,  6842,  6844,  6846,  6848,
    6850,  6852,  6854,  6856,  6858,  6864,  6867,  6869,  6873,  6876,
    6879,  6883,  6884,  6890,  6892,  6893,  6899,  6902,  6905,  6907,
    6909,  6911,  6914,  6917,  6921,  6923,  6926,  6929,  6933,  6937,
    6942,  6945,  6947,  6950,  6952,  6954,  6957,  6960,  6964,  6966,
    6968,  6970,  6972,  6973,  6975,  6979,  6985,  6986,  6989,  6990,
    6992,  6995,  6999,  7002,  7004,  7006,  7008,  7009,  7011,  7013,
    7015,  7017,  7019,  7022,  7025,  7029,  7030,  7032,  7035,  7037,
    7042,  7047,  7048,  7050,  7052,  7056,  7058,  7060,  7062,  7064,
    7067,  7070,  7072,  7075,  7078,  7080,  7082,  7084,  7089,  7094,
    7099,  7101,  7102,  7106,  7110,  7115,  7117,  7121,  7125,  7130,
    7132,  7136,  7140,  7142,  7144,  7146,  7153,  7155,  7159,  7163,
    7170,  7172,  7176,  7180,  7182,  7184,  7187,  7190,  7192,  7194,
    7196,  7198,  7200,  7202,  7204,  7206,  7208,  7210,  7212,  7214,
    7216,  7218,  7220,  7222,  7227,  7232,  7234,  7236,  7241,  7246,
    7250,  7251,  7259,  7261,  7262,  7263,  7271,  7275,  7280,  7284,
    7286,  7288,  7290,  7293,  7297,  7303,  7306,  7312,  7315,  7317,
    7319,  7321,  7323,  7325,  7327,  7329,  7331,  7333,  7335,  7337,
    7339,  7341,  7343,  7345,  7347,  7349,  7351,  7353,  7355,  7357,
    7359,  7361,  7363,  7365,  7367,  7369,  7371,  7373,  7375,  7377,
    7379,  7381,  7383,  7385,  7387,  7389,  7391,  7393,  7395,  7397,
    7399,  7401,  7403,  7405,  7407,  7409,  7411,  7413,  7415,  7417,
    7419,  7421,  7423,  7425,  7427,  7429,  7431,  7433,  7435,  7437,
    7439,  7441,  7443,  7445,  7447,  7449,  7451,  7453,  7455,  7457,
    7459,  7461,  7463,  7465,  7467,  7469,  7471,  7473,  7475,  7477,
    7479,  7481,  7483,  7485,  7487,  7489,  7491,  7493,  7495,  7497,
    7499,  7501,  7503,  7505,  7507,  7509,  7511,  7515,  7517,  7518,
    7520,  7523,  7525,  7528,  7530,  7532,  7535,  7538,  7540,  7542,
    7544,  7546,  7548,  7550,  7552,  7554,  7556,  7558,  7560,  7562,
    7564,  7566,  7568,  7570,  7573,  7577,  7579,  7582,  7584,  7588,
    7590,  7594,  7596,  7598,  7600,  7602,  7604,  7606,  7608,  7610,
    7612,  7614,  7616,  7618,  7620,  7622,  7624,  7626,  7628,  7630,
    7632,  7634,  7636,  7638,  7640,  7642,  7644,  7646,  7648,  7650,
    7652,  7654,  7656,  7658,  7660,  7662,  7664,  7666,  7668,  7670,
    7672,  7674,  7676,  7678,  7680,  7682,  7684,  7686,  7688,  7690,
    7692,  7694,  7696,  7698,  7700,  7702,  7704,  7706,  7708,  7710,
    7712,  7714,  7716,  7719,  7723,  7726,  7730,  7732,  7736,  7740,
    7744,  7748,  7752,  7756,  7758,  7760,  7761,  7764,  7767,  7769,
    7771,  7774
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     506,     0,    -1,   973,    -1,   774,    -1,   775,    -1,   780,
      -1,   618,    -1,   632,    -1,   732,    -1,   520,    -1,   750,
      -1,   751,    -1,   599,    -1,   545,    -1,   514,    -1,   513,
      -1,   783,    -1,   782,    -1,   636,    -1,   516,    -1,   515,
      -1,   788,    -1,   543,    -1,   555,    -1,   785,    -1,   684,
      -1,   540,    -1,   556,    -1,   975,    -1,   651,    -1,   740,
      -1,   784,    -1,   779,    -1,   616,    -1,   627,    -1,   713,
      -1,   519,    -1,   663,    -1,   669,    -1,   670,    -1,   605,
      -1,   523,    -1,   598,    -1,   565,    -1,   613,    -1,   637,
      -1,   508,    -1,   512,    -1,   633,    -1,   770,    -1,  1117,
      -1,   820,    -1,   653,    -1,   807,    -1,   544,    -1,   652,
      -1,   742,    -1,   617,    -1,   631,    -1,   522,    -1,   673,
      -1,   674,    -1,   675,    -1,   611,    -1,   758,    -1,   677,
      -1,   615,    -1,   650,    -1,   517,    -1,   518,    -1,   635,
      -1,   778,    -1,   800,    -1,   794,    -1,   687,    -1,   690,
      -1,   701,    -1,   705,    -1,   802,    -1,   760,    -1,   769,
      -1,   809,    -1,   759,    -1,   797,    -1,   676,    -1,   744,
      -1,   736,    -1,   735,    -1,   737,    -1,   747,    -1,   691,
      -1,   702,    -1,   977,    -1,   823,    -1,   762,    -1,   682,
      -1,   761,    -1,   813,    -1,   787,    -1,   537,    -1,   527,
      -1,   539,    -1,   767,    -1,  1054,    -1,   980,    -1,   997,
      -1,  1055,    -1,  1037,    -1,  1052,    -1,  1038,    -1,   998,
      -1,  1042,    -1,  1064,    -1,  1056,    -1,  1043,    -1,  1072,
      -1,  1074,    -1,  1067,    -1,  1059,    -1,  1075,    -1,  1078,
      -1,  1080,    -1,    -1,   147,   370,   966,   509,   510,    -1,
     456,    -1,    -1,   510,   511,    -1,    -1,   334,  1107,    -1,
     334,   307,    -1,   192,   334,  1107,    -1,   431,   334,  1107,
      -1,   406,    -1,   301,    -1,   239,    -1,   298,    -1,   148,
      -1,   295,    -1,   149,    -1,   296,    -1,   150,    -1,   297,
      -1,   278,    -1,   299,    -1,   139,   270,   967,    -1,   441,
     436,  1107,    -1,   438,   956,    -1,   408,   965,    -1,    86,
     956,    -1,   370,   956,    -1,   234,   370,   956,    -1,   234,
     222,   956,    -1,   147,   438,   966,   509,   510,    -1,    91,
     370,   966,   509,   510,    -1,    91,   370,   966,   538,    -1,
      91,   438,   966,   509,   510,    -1,    91,   438,   966,   538,
      -1,   187,   370,   956,    -1,   187,   370,   229,   200,   956,
      -1,   187,   438,   956,    -1,   187,   438,   229,   200,   956,
      -1,   147,   222,   966,   509,   510,    -1,    91,   222,   966,
     521,   438,   956,    -1,    85,    -1,   187,    -1,   187,   222,
     956,    -1,   187,   222,   229,   200,   956,    -1,   147,   376,
     524,   104,   966,   525,    -1,   147,   376,  1088,   525,    -1,
    1088,    -1,    -1,   525,   526,    -1,    -1,   565,    -1,   705,
      -1,   598,    -1,   637,    -1,   690,    -1,   767,    -1,   387,
     528,    -1,   387,   273,   528,    -1,   387,   385,   528,    -1,
     529,   419,   530,    -1,   529,   484,   530,    -1,   529,   419,
     170,    -1,   529,   484,   170,    -1,   529,   215,   153,    -1,
     417,   472,   534,    -1,   421,   765,    -1,   385,   125,    98,
     421,   765,    -1,   121,  1107,    -1,   376,  1107,    -1,   288,
     535,    -1,   370,   536,    -1,   385,   104,   536,    -1,   385,
     104,   170,    -1,   461,   320,   905,    -1,  1087,    -1,   529,
     499,  1088,    -1,   531,    -1,   530,   500,   531,    -1,   533,
      -1,   536,    -1,   604,    -1,   350,   430,    -1,   350,   136,
      -1,   360,   350,    -1,   383,    -1,   425,    -1,   204,    -1,
     317,    -1,   313,    -1,  1107,    -1,  1109,    -1,   892,  1107,
     894,    -1,   892,   497,   965,   498,  1107,   894,    -1,   604,
      -1,   170,    -1,   273,    -1,  1107,    -1,   170,    -1,    -1,
    1088,    -1,  1107,    -1,   363,   529,    -1,   363,   417,   472,
      -1,   363,   421,   256,   268,    -1,   363,   385,   104,    -1,
     363,    89,    -1,   387,   528,    -1,   537,    -1,   390,   529,
    1120,    -1,   390,   417,   472,  1120,    -1,   390,   421,   256,
     268,  1120,    -1,   390,   385,   104,  1120,    -1,   390,    89,
      -1,   387,   141,   541,   542,    -1,    89,    -1,   954,    -1,
     173,    -1,   231,    -1,   127,    -1,   181,    89,    -1,   181,
     412,    -1,   181,   414,    -1,   181,   336,    -1,    91,   410,
     864,   546,    -1,    91,   237,   955,   546,    -1,    91,   382,
     955,   546,    -1,    91,   450,   955,   546,    -1,   547,    -1,
     546,   500,   547,    -1,    85,   748,   570,    -1,    91,   748,
    1088,   548,    -1,    91,   748,  1088,   187,   302,   307,    -1,
      91,   748,  1088,   387,   302,   307,    -1,    91,   748,  1088,
     387,   399,   967,    -1,    91,   748,  1088,   387,   402,  1088,
      -1,   187,   748,  1088,   549,    -1,    91,   748,  1088,   749,
     428,   872,   550,    -1,    85,   578,    -1,   187,   140,   957,
     549,    -1,   387,   456,   315,    -1,   387,   457,   315,    -1,
     130,   317,   957,    -1,   387,   457,   130,    -1,   190,   423,
     957,    -1,   190,    92,   423,   957,    -1,   190,   362,   423,
     957,    -1,   190,   423,    89,    -1,   190,   423,   438,    -1,
     180,   423,   957,    -1,   180,   423,    89,    -1,   180,   423,
     438,    -1,   190,   374,   957,    -1,   190,    92,   374,   957,
      -1,   190,   362,   374,   957,    -1,   180,   374,   957,    -1,
     239,   955,    -1,   294,   239,   955,    -1,   330,   419,   966,
      -1,   387,   411,   957,    -1,   387,   551,    -1,   363,   551,
      -1,   387,   170,   896,    -1,   187,   170,    -1,   117,    -1,
     365,    -1,    -1,   439,   896,    -1,    -1,   497,   553,   498,
      -1,   456,   551,    -1,    -1,   554,    -1,   553,   500,   554,
      -1,  1090,   484,   657,    -1,  1090,    -1,  1090,   499,  1090,
     484,   657,    -1,  1090,   499,  1090,    -1,   129,   957,    -1,
     129,    89,    -1,   145,   561,   955,   580,   562,   557,   558,
     563,   509,   559,    -1,   145,   824,   419,   558,   509,   559,
      -1,   215,    -1,   419,    -1,  1107,    -1,   400,    -1,   401,
      -1,   559,   560,    -1,    -1,   110,    -1,   315,    -1,   176,
     781,  1107,    -1,   307,   781,  1107,    -1,   152,    -1,   225,
      -1,   348,   781,  1107,    -1,   195,   781,  1107,    -1,   211,
     348,   581,    -1,   211,   302,   307,   581,    -1,   110,    -1,
      -1,   456,   315,    -1,    -1,   564,   177,  1107,    -1,    -1,
     439,    -1,    -1,   147,   566,   410,   955,   497,   567,   498,
     588,   589,   590,   591,    -1,   147,   566,   410,   955,   312,
     955,   497,   567,   498,   589,   590,   591,    -1,   414,    -1,
     412,    -1,   273,   414,    -1,   273,   412,    -1,   218,   414,
      -1,   218,   412,    -1,    -1,   568,    -1,    -1,   569,    -1,
     568,   500,   569,    -1,   570,    -1,   575,    -1,   578,    -1,
    1088,   872,   571,    -1,   571,   572,    -1,    -1,   140,   957,
     573,    -1,   573,    -1,   574,    -1,   302,   307,    -1,   307,
      -1,   433,   729,   592,    -1,   343,   258,   729,   592,    -1,
     126,   497,   896,   498,    -1,   170,   897,    -1,   355,   955,
     580,   583,   584,    -1,   172,    -1,   302,   172,    -1,   241,
     173,    -1,   241,   231,    -1,   269,   955,   576,    -1,   576,
     577,    -1,    -1,   235,   171,    -1,   197,   171,    -1,   235,
     141,    -1,   197,   141,    -1,   235,   238,    -1,   197,   238,
      -1,   140,   957,   579,    -1,   579,    -1,   126,   497,   896,
     498,    -1,   433,   497,   581,   498,   729,   592,    -1,   343,
     258,   497,   581,   498,   729,   592,    -1,   212,   258,   497,
     581,   498,   355,   955,   580,   583,   584,   647,    -1,   497,
     581,   498,    -1,    -1,   582,    -1,   581,   500,   582,    -1,
    1088,    -1,   280,   216,    -1,   280,   332,    -1,   280,   392,
      -1,    -1,   585,    -1,   586,    -1,   585,   586,    -1,   586,
     585,    -1,    -1,   317,   437,   587,    -1,   317,   175,   587,
      -1,   294,    84,    -1,   365,    -1,   117,    -1,   387,   307,
      -1,   387,   170,    -1,   240,   497,   954,   498,    -1,    -1,
     456,   551,    -1,   456,   315,    -1,   457,   315,    -1,    -1,
     317,   135,   187,    -1,   317,   135,   175,   373,    -1,   317,
     135,   340,   373,    -1,    -1,   411,   957,    -1,    -1,   439,
     237,   411,   957,    -1,    -1,   955,   594,   589,   590,   591,
      -1,   497,   595,   498,    -1,    -1,   596,    -1,   595,   500,
     596,    -1,  1088,    -1,   456,   163,    -1,   456,   294,   163,
      -1,    -1,   147,   566,   382,   955,   600,    -1,    91,   382,
     955,   601,    -1,   601,    -1,    -1,   602,    -1,   601,   602,
      -1,   115,   604,    -1,   162,    -1,   294,   162,    -1,   236,
     603,   604,    -1,   281,   604,    -1,   283,   604,    -1,   294,
     281,    -1,   294,   283,    -1,   329,   114,   680,    -1,   397,
     509,   604,    -1,   364,    -1,   364,   509,   604,    -1,   114,
      -1,    -1,  1106,    -1,   489,  1106,    -1,   967,    -1,   147,
     606,   612,   260,   536,    -1,   147,   606,   612,   260,   536,
     223,   607,   609,   610,    -1,   427,    -1,    -1,   957,    -1,
     957,   681,    -1,   442,   607,    -1,   294,   442,    -1,   608,
      -1,    -1,   259,  1107,    -1,    -1,   187,   612,   260,   536,
     549,    -1,   187,   612,   260,   229,   200,   536,   549,    -1,
     346,    -1,    -1,   147,   411,   957,   614,   276,  1107,    -1,
     330,   957,    -1,    -1,   187,   411,   957,    -1,   187,   411,
     229,   200,   957,    -1,   147,   212,   163,   459,   957,   609,
     619,    -1,   187,   212,   163,   459,   957,   549,    -1,   187,
     212,   163,   459,   229,   200,   957,   549,    -1,    91,   212,
     163,   459,   957,   608,   621,    -1,    91,   212,   163,   459,
     957,   608,    -1,    91,   212,   163,   459,   957,   621,    -1,
     321,   497,   620,   498,    -1,    -1,   624,    -1,   620,   500,
     624,    -1,   321,   497,   622,   498,    -1,   623,    -1,   622,
     500,   623,    -1,   624,    -1,   387,   624,    -1,    85,   624,
      -1,   187,   625,    -1,   625,   626,    -1,  1090,    -1,  1107,
      -1,   147,   384,   957,   628,   630,   212,   163,   459,   957,
     619,    -1,   428,  1107,    -1,    -1,   449,  1107,    -1,   449,
     307,    -1,   629,    -1,    -1,   187,   384,   957,   549,    -1,
     187,   384,   229,   200,   957,   549,    -1,    91,   384,   957,
     629,   621,    -1,    91,   384,   957,   629,    -1,    91,   384,
     957,   621,    -1,   147,   438,   279,   210,   634,   384,   957,
     619,    -1,   160,    -1,   438,    -1,   966,    -1,   187,   438,
     279,   210,   634,   384,   957,    -1,   187,   438,   279,   229,
     200,   210,   634,   384,   957,    -1,    91,   438,   279,   210,
     634,   384,   957,   621,    -1,   147,   423,   957,   638,   639,
     317,   955,   641,   199,   347,   963,   497,   644,   498,    -1,
     147,   140,   423,   957,    87,   639,   317,   955,   646,   647,
     210,   188,   372,   199,   347,   963,   497,   644,   498,    -1,
     106,    -1,    87,    -1,   640,    -1,   639,   322,   640,    -1,
     246,    -1,   175,    -1,   437,    -1,   426,    -1,   210,   642,
     643,    -1,    -1,   188,    -1,    -1,   372,    -1,   398,    -1,
     645,    -1,   644,   500,   645,    -1,    -1,   965,    -1,  1106,
      -1,  1107,    -1,  1105,    -1,   480,    -1,  1088,    -1,   215,
     955,    -1,    -1,   648,    -1,   648,   649,    -1,   649,    -1,
     649,   648,    -1,    -1,   302,   172,    -1,   172,    -1,   241,
     231,    -1,   241,   173,    -1,   187,   423,   957,   317,   955,
     549,    -1,   187,   423,   229,   200,   957,   317,   955,   549,
      -1,   147,   100,   957,   126,   497,   896,   498,   647,    -1,
     187,   100,   957,   549,    -1,   147,    88,   963,   658,   654,
      -1,   147,    88,   963,   659,    -1,   147,   319,   739,   654,
      -1,   147,   428,   680,   654,    -1,   147,   428,   680,    -1,
     147,   428,   680,    98,   497,   870,   498,    -1,   147,   428,
     680,    98,   194,   497,   662,   498,    -1,   147,   415,   378,
     331,   680,   654,    -1,   147,   415,   378,   179,   680,   654,
      -1,   147,   415,   378,   413,   680,   654,    -1,   147,   415,
     378,   138,   680,   654,    -1,   497,   655,   498,    -1,   656,
      -1,   655,   500,   656,    -1,  1090,   484,   657,    -1,  1090,
      -1,   723,    -1,   971,    -1,   922,    -1,   604,    -1,  1107,
      -1,   497,   925,   498,    -1,   497,   490,   498,    -1,   497,
     660,   498,    -1,   661,    -1,   660,   500,   661,    -1,  1109,
     484,   657,    -1,  1107,    -1,   662,   500,  1107,    -1,   147,
     319,   128,   680,   666,   210,   428,   872,   439,   959,   667,
      98,   664,    -1,   665,    -1,   664,   500,   665,    -1,   319,
     965,   739,   668,    -1,   319,   965,   739,   738,   668,    -1,
     217,   965,   963,   715,    -1,   217,   965,   497,   925,   498,
     963,   715,    -1,   402,   872,    -1,   170,    -1,    -1,   205,
     680,    -1,    -1,   353,    -1,    -1,   147,   319,   205,   680,
     439,   959,    -1,    91,   319,   205,   680,   439,   959,    85,
     664,    -1,    91,   319,   205,   680,   439,   959,   187,   671,
      -1,   672,    -1,   671,   500,   672,    -1,   319,   965,   497,
     925,   498,    -1,   217,   965,   497,   925,   498,    -1,   187,
     319,   128,   680,   439,   959,   549,    -1,   187,   319,   128,
     229,   200,   680,   439,   959,   549,    -1,   187,   319,   205,
     680,   439,   959,   549,    -1,   187,   319,   205,   229,   200,
     680,   439,   959,   549,    -1,   187,   329,   114,   956,   549,
      -1,   352,   329,   114,   956,   419,   957,    -1,   187,   678,
     229,   200,   679,   549,    -1,   187,   678,   679,   549,    -1,
     410,    -1,   382,    -1,   450,    -1,   237,    -1,   428,    -1,
     185,    -1,   144,    -1,   376,    -1,   415,   378,   331,    -1,
     415,   378,   179,    -1,   415,   378,   413,    -1,   415,   378,
     138,    -1,   680,    -1,   679,   500,   680,    -1,  1088,    -1,
    1088,   681,    -1,   499,   960,    -1,   681,   499,   960,    -1,
     426,   833,   865,   683,   549,    -1,   143,   228,    -1,   364,
     228,    -1,    -1,   134,   317,   685,   680,   254,   686,    -1,
     134,   317,    88,   963,   658,   254,   686,    -1,   134,   317,
     217,   963,   715,   254,   686,    -1,   134,   317,   319,   739,
     738,   254,   686,    -1,   134,   317,   140,   957,   317,   680,
     254,   686,    -1,   134,   317,   374,   957,   317,   680,   254,
     686,    -1,   134,   317,   374,   957,   254,   686,    -1,   134,
     317,   423,   957,   317,   680,   254,   686,    -1,   134,   317,
     319,   128,   680,   439,   959,   254,   686,    -1,   134,   317,
     319,   205,   680,   439,   959,   254,   686,    -1,   134,   317,
     261,   311,   604,   254,   686,    -1,   134,   317,   120,   497,
     872,    98,   872,   498,   254,   686,    -1,   134,   317,   612,
     260,   680,   254,   686,    -1,   134,   317,   415,   378,   331,
     680,   254,   686,    -1,   134,   317,   415,   378,   179,   680,
     254,   686,    -1,   134,   317,   415,   378,   413,   680,   254,
     686,    -1,   134,   317,   415,   378,   138,   680,   254,   686,
      -1,   133,    -1,   164,    -1,   376,    -1,   237,    -1,   382,
      -1,   410,    -1,   185,    -1,   428,    -1,   450,    -1,   144,
      -1,   411,    -1,   370,    -1,  1107,    -1,   307,    -1,   206,
     688,   689,   957,    -1,   206,   957,    -1,   286,   688,   689,
     957,    -1,   286,   957,    -1,   206,   688,   689,   957,  1120,
      -1,   206,   688,   957,  1120,    -1,   206,   689,   957,  1120,
      -1,   206,   957,  1120,    -1,   206,   688,   957,    -1,   206,
     689,   957,    -1,   293,    -1,   344,    -1,   207,    -1,   262,
      -1,    82,   967,    -1,   357,   967,    -1,   967,    -1,    89,
      -1,   213,    -1,   213,   967,    -1,   213,    89,    -1,   105,
      -1,   105,   967,    -1,   105,    89,    -1,   215,    -1,   234,
      -1,   219,   692,   317,   695,   419,   696,   698,    -1,   368,
     692,   317,   695,   215,   696,   549,    -1,   368,   219,   320,
     210,   692,   317,   695,   215,   696,   549,    -1,   693,    -1,
      89,    -1,    89,   345,    -1,    89,   497,   581,   498,    -1,
      89,   345,   497,   581,   498,    -1,   694,    -1,   693,   500,
     694,    -1,   381,   580,    -1,   355,   580,    -1,   147,   580,
      -1,  1088,   580,    -1,   954,    -1,   410,   954,    -1,   382,
     954,    -1,   212,   163,   459,   956,    -1,   212,   384,   956,
      -1,   217,   699,    -1,   164,   956,    -1,   260,   956,    -1,
     376,   956,    -1,   411,   956,    -1,   697,    -1,   696,   500,
     697,    -1,   966,    -1,   222,   966,    -1,   456,   219,   320,
      -1,    -1,   700,    -1,   699,   500,   700,    -1,   963,   715,
      -1,   219,   693,   419,   956,   703,   704,    -1,   368,   693,
     215,   956,   704,   549,    -1,   368,    86,   320,   210,   693,
     215,   956,   704,   549,    -1,   456,    86,   320,    -1,    -1,
     220,   114,   966,    -1,    -1,   147,   706,   237,   961,   317,
     955,   707,   497,   708,   498,   552,   591,   868,    -1,   147,
     706,   237,   137,   961,   317,   955,   707,   497,   708,   498,
     552,   591,   868,    -1,   433,    -1,    -1,   439,   959,    -1,
      -1,   709,    -1,   708,   500,   709,    -1,  1088,   710,   711,
     712,    -1,   899,   710,   711,   712,    -1,   497,   896,   498,
     710,   711,   712,    -1,   680,    -1,   439,   680,    -1,    -1,
      99,    -1,   178,    -1,    -1,   473,    -1,   474,    -1,    -1,
     147,   714,   217,   963,   717,   367,   722,   725,   729,    -1,
     147,   714,   217,   963,   717,   367,   410,   497,   731,   498,
     725,   729,    -1,   147,   714,   217,   963,   717,   725,   729,
      -1,   322,   361,    -1,    -1,   497,   716,   498,    -1,   497,
     498,    -1,   719,    -1,   716,   500,   719,    -1,   497,   718,
     498,    -1,   497,   498,    -1,   724,    -1,   718,   500,   724,
      -1,   720,   721,   723,    -1,   721,   720,   723,    -1,   721,
     723,    -1,   720,   723,    -1,   723,    -1,   234,    -1,   324,
      -1,   243,    -1,   234,   324,    -1,   446,    -1,  1089,    -1,
     723,    -1,   872,    -1,  1089,   681,   492,   428,    -1,   388,
    1089,   681,   492,   428,    -1,   719,    -1,   719,   170,   896,
      -1,   719,   484,   896,    -1,   727,    -1,   725,   727,    -1,
     116,   317,   307,   244,    -1,   367,   307,   317,   307,   244,
      -1,   403,    -1,   232,    -1,   395,    -1,   451,    -1,   202,
     380,   174,    -1,   202,   380,   253,    -1,   380,   174,    -1,
     380,   253,    -1,   146,   604,    -1,   373,   604,    -1,   538,
      -1,    98,   728,    -1,   260,   536,    -1,   455,    -1,   726,
      -1,  1107,    -1,  1107,   500,  1107,    -1,   456,   654,    -1,
      -1,   721,   723,    -1,   730,    -1,   731,   500,   730,    -1,
      91,   217,   700,   733,   734,    -1,   726,    -1,   733,   726,
      -1,   365,    -1,    -1,   187,   217,   963,   715,   549,    -1,
     187,   217,   229,   200,   963,   715,   549,    -1,   187,    88,
     963,   658,   549,    -1,   187,    88,   229,   200,   963,   658,
     549,    -1,   187,   319,   739,   738,   549,    -1,   187,   319,
     229,   200,   739,   738,   549,    -1,   497,   872,   498,    -1,
     497,   872,   500,   872,   498,    -1,   497,   300,   500,   872,
     498,    -1,   497,   872,   500,   300,   498,    -1,   919,    -1,
    1088,   499,   739,    -1,   147,   120,   497,   872,    98,   872,
     498,   456,   217,   700,   741,    -1,   147,   120,   497,   872,
      98,   872,   498,   457,   217,   741,    -1,   147,   120,   497,
     872,    98,   872,   498,   456,   243,   741,    -1,    98,   233,
      -1,    98,   101,    -1,    -1,   187,   120,   743,   497,   872,
      98,   872,   498,   549,    -1,   229,   200,    -1,    -1,   356,
     745,   955,   746,    -1,   356,   409,   957,   746,    -1,   356,
     164,   957,   746,    -1,   237,    -1,   410,    -1,   211,    -1,
      -1,    91,    88,   963,   658,   359,   419,   957,    -1,    91,
     144,   680,   359,   419,   957,    -1,    91,   164,   958,   359,
     419,   958,    -1,    91,   217,   700,   359,   419,   957,    -1,
      91,   222,   966,   359,   419,   966,    -1,    91,   612,   260,
     957,   359,   419,   957,    -1,    91,   319,   128,   680,   439,
     959,   359,   419,   957,    -1,    91,   319,   205,   680,   439,
     959,   359,   419,   957,    -1,    91,   376,   957,   359,   419,
     957,    -1,    91,   410,   864,   359,   419,   957,    -1,    91,
     382,   955,   359,   419,   957,    -1,    91,   450,   955,   359,
     419,   957,    -1,    91,   237,   955,   359,   419,   957,    -1,
      91,   410,   864,   359,   748,   957,   419,   957,    -1,    91,
     423,   957,   317,   955,   359,   419,   957,    -1,    91,   370,
     966,   359,   419,   966,    -1,    91,   438,   966,   359,   419,
     966,    -1,    91,   411,   957,   359,   419,   957,    -1,    91,
     415,   378,   331,   680,   359,   419,   957,    -1,    91,   415,
     378,   179,   680,   359,   419,   957,    -1,    91,   415,   378,
     413,   680,   359,   419,   957,    -1,    91,   415,   378,   138,
     680,   359,   419,   957,    -1,    91,   428,   680,   359,   419,
     957,    -1,   133,    -1,    -1,   387,   163,    -1,    -1,    91,
      88,   963,   658,   387,   376,   957,    -1,    91,   185,   680,
     387,   376,   957,    -1,    91,   217,   700,   387,   376,   957,
      -1,    91,   410,   864,   387,   376,   957,    -1,    91,   382,
     955,   387,   376,   957,    -1,    91,   450,   955,   387,   376,
     957,    -1,    91,   428,   680,   387,   376,   957,    -1,    91,
      88,   963,   658,   330,   419,   966,    -1,    91,   144,   680,
     330,   419,   966,    -1,    91,   164,   958,   330,   419,   966,
      -1,    91,   185,   680,   330,   419,   966,    -1,    91,   217,
     700,   330,   419,   966,    -1,    91,   612,   260,   957,   330,
     419,   966,    -1,    91,   319,   739,   738,   330,   419,   966,
      -1,    91,   319,   128,   680,   439,   959,   330,   419,   966,
      -1,    91,   319,   205,   680,   439,   959,   330,   419,   966,
      -1,    91,   376,   957,   330,   419,   966,    -1,    91,   428,
     680,   330,   419,   966,    -1,    91,   411,   957,   330,   419,
     966,    -1,    91,   415,   378,   179,   680,   330,   419,   966,
      -1,    91,   415,   378,   138,   680,   330,   419,   966,    -1,
      91,   212,   163,   459,   957,   330,   419,   966,    -1,    91,
     384,   957,   330,   419,   966,    -1,   303,    -1,   754,    -1,
     497,   753,   498,    -1,   753,   501,   755,    -1,   755,    -1,
     823,    -1,   802,    -1,   813,    -1,   807,    -1,   759,    -1,
     754,    -1,    -1,   381,    -1,   437,    -1,   175,    -1,   246,
      -1,   247,    -1,    90,    -1,    -1,   187,   374,   957,   317,
     955,   549,    -1,   187,   374,   229,   200,   957,   317,   955,
     549,    -1,   304,  1088,    -1,   271,  1088,    -1,   435,  1088,
      -1,   435,   490,    -1,    81,   763,    -1,   107,   763,   766,
      -1,   397,   421,   766,    -1,   135,   763,    -1,   193,   763,
      -1,   371,   763,    -1,   375,  1088,    -1,   358,   375,  1088,
      -1,   358,  1088,    -1,   371,   763,   419,   375,  1088,    -1,
     371,   763,   419,  1088,    -1,   341,   421,  1107,    -1,   135,
     342,  1107,    -1,   371,   342,  1107,    -1,   458,    -1,   421,
      -1,    -1,   256,   268,   532,    -1,   350,   318,    -1,   350,
     460,    -1,   764,    -1,   765,   500,   764,    -1,   765,   764,
      -1,   765,    -1,    -1,   147,   566,   450,   955,   580,    98,
     823,   768,    -1,   147,   322,   361,   566,   450,   955,   580,
      98,   823,   768,    -1,   456,   126,   320,    -1,   456,   118,
     126,   320,    -1,   456,   273,   126,   320,    -1,    -1,   272,
     962,    -1,   147,   164,   958,   509,   771,    -1,   771,   772,
      -1,    -1,   411,   773,   957,    -1,   411,   773,   170,    -1,
     276,   773,  1107,    -1,   276,   773,   170,    -1,   413,   773,
     957,    -1,   413,   773,   170,    -1,   191,   773,  1107,    -1,
     191,   773,   965,    -1,   191,   773,   170,    -1,   263,   773,
    1107,    -1,   263,   773,   170,    -1,   264,   773,  1107,    -1,
     264,   773,   170,    -1,   139,   270,   773,   967,    -1,   330,
     773,   957,    -1,   330,   773,   170,    -1,   484,    -1,    -1,
      91,   164,   958,   509,   776,    -1,    91,   164,   958,   387,
     411,   957,    -1,    91,   164,   958,   538,    -1,   776,   777,
      -1,    -1,   139,   270,   773,   967,    -1,   187,   164,   958,
      -1,   187,   164,   229,   200,   958,    -1,   147,   185,   680,
     781,   872,   571,    -1,    91,   185,   680,   548,    -1,    91,
     185,   680,   187,   302,   307,    -1,    91,   185,   680,   387,
     302,   307,    -1,    91,   185,   680,    85,   578,    -1,    91,
     185,   680,   187,   140,   957,   549,    -1,    98,    -1,    -1,
      91,   415,   378,   179,   680,   654,    -1,    91,   415,   378,
     138,   680,    85,   279,   210,   956,   456,   679,    -1,    91,
     415,   378,   138,   680,    91,   279,   210,   956,   456,   679,
      -1,    91,   415,   378,   138,   680,    91,   279,   361,   680,
     456,   680,    -1,    91,   415,   378,   138,   680,    91,   279,
     210,   956,   361,   680,   456,   680,    -1,    91,   415,   378,
     138,   680,   187,   279,   210,   956,    -1,    91,   415,   378,
     138,   680,   187,   279,   229,   200,   210,   956,    -1,   147,
     666,   144,   680,   210,  1107,   419,  1107,   215,   680,    -1,
     130,   790,   955,   786,    -1,   130,   790,    -1,   130,   790,
     961,   317,   955,    -1,   439,   961,    -1,    -1,   440,   791,
     792,   790,    -1,   440,   791,   792,   790,   955,    -1,   440,
     791,   792,   790,   788,    -1,   789,   790,    -1,   789,   790,
     955,   793,    -1,    94,    -1,    93,    -1,   448,    -1,    -1,
     216,    -1,    -1,   214,    -1,    -1,   497,   956,   498,    -1,
      -1,   201,   796,   790,   795,    -1,   823,    -1,   802,    -1,
     813,    -1,   807,    -1,   820,    -1,   975,    -1,   800,    -1,
     789,    -1,    -1,   341,   996,   798,    98,   799,    -1,   341,
     996,   215,  1041,    -1,   497,   925,   498,    -1,    -1,   823,
      -1,   802,    -1,   813,    -1,   807,    -1,   199,   996,   801,
    1119,    -1,   147,   566,   410,   593,    98,   199,   996,   801,
      -1,   497,   924,   498,    -1,    -1,   246,   252,   955,   803,
     806,    -1,   823,    -1,   497,   804,   498,   823,    -1,   170,
     444,    -1,   805,    -1,   804,   500,   805,    -1,  1088,   946,
      -1,   366,   951,  1120,    -1,    -1,   175,   215,   866,   808,
     869,   806,    -1,   439,   857,    -1,    -1,   277,   833,   865,
     810,   812,    -1,   234,   811,   284,    -1,    -1,    83,   389,
      -1,   372,   389,    -1,   372,   198,    -1,   389,   437,   198,
      -1,   389,    -1,   389,   372,   198,    -1,   198,    -1,    83,
     198,    -1,   306,    -1,    -1,   437,   866,   387,   814,   856,
     869,   806,    -1,   815,    -1,   814,   500,   815,    -1,   816,
      -1,   817,    -1,   818,   484,   948,    -1,   497,   819,   498,
     484,   950,    -1,  1088,   946,    -1,   818,    -1,   819,   500,
     818,    -1,   169,   957,   821,   161,   822,   210,   823,    -1,
      -1,   821,   294,   377,    -1,   821,   377,    -1,   821,   110,
      -1,   821,   245,    -1,    -1,   456,   226,    -1,   457,   226,
      -1,   825,    -1,   824,    -1,   497,   825,   498,    -1,   497,
     824,   498,    -1,   827,    -1,   826,   837,    -1,   826,   836,
     850,   841,    -1,   826,   836,   840,   851,    -1,   828,   826,
      -1,   828,   826,   837,    -1,   828,   826,   836,   850,   841,
      -1,   828,   826,   836,   840,   851,    -1,   827,    -1,   824,
      -1,   381,   835,   951,   831,   856,   868,   848,   849,   907,
      -1,   855,    -1,   410,   864,    -1,   826,   432,   834,   826,
      -1,   826,   250,   834,   826,    -1,   826,   196,   834,   826,
      -1,   456,   829,    -1,   456,   354,   829,    -1,   830,    -1,
     829,   500,   830,    -1,   957,   793,    98,   824,    -1,   252,
     832,    -1,  1120,    -1,    -1,   414,   833,   955,    -1,   412,
     833,   955,    -1,   273,   414,   833,   955,    -1,   273,   412,
     833,   955,    -1,   218,   414,   833,   955,    -1,   218,   412,
     833,   955,    -1,   410,   955,    -1,   955,    -1,   410,    -1,
      -1,    89,    -1,   182,    -1,    -1,   182,    -1,   182,   317,
     497,   924,   498,    -1,    89,    -1,    -1,   837,    -1,    -1,
     323,   114,   838,    -1,   839,    -1,   838,   500,   839,    -1,
     896,   439,   922,   712,    -1,   896,   711,   712,    -1,   270,
     842,   314,   844,    -1,   314,   844,   270,   842,    -1,   270,
     842,    -1,   314,   844,    -1,   270,   842,   500,   844,    -1,
     314,   845,   846,    -1,   206,   847,   843,   846,   318,    -1,
     314,   845,   846,   206,   847,   843,   846,   318,    -1,   840,
      -1,    -1,   896,    -1,    89,    -1,   967,    -1,   497,   896,
     498,    -1,    -1,   896,    -1,   898,    -1,   372,    -1,   373,
      -1,   207,    -1,   293,    -1,   222,   114,   924,    -1,    -1,
     224,   896,    -1,    -1,   852,    -1,   210,   350,   318,    -1,
     850,    -1,    -1,   853,    -1,   852,   853,    -1,   210,   437,
     854,   812,    -1,   210,   389,   854,   812,    -1,   312,   954,
      -1,    -1,   444,   950,    -1,   855,   500,   950,    -1,   215,
     857,    -1,    -1,   858,    -1,   857,   500,   858,    -1,   864,
      -1,   864,   860,    -1,   867,    -1,   867,   860,    -1,   867,
      98,   497,   870,   498,    -1,   867,    98,  1088,   497,   870,
     498,    -1,   867,  1088,   497,   870,   498,    -1,   824,    -1,
     824,   860,    -1,   859,    -1,   497,   859,   498,   860,    -1,
     497,   859,   498,    -1,   858,   151,   257,   858,    -1,   858,
     861,   257,   858,   863,    -1,   858,   257,   858,   863,    -1,
     858,   290,   861,   257,   858,    -1,   858,   290,   257,   858,
      -1,    98,  1088,   497,   956,   498,    -1,    98,  1088,    -1,
    1088,   497,   956,   498,    -1,  1088,    -1,   216,   862,    -1,
     267,   862,    -1,   369,   862,    -1,   242,    -1,   325,    -1,
      -1,   439,   497,   956,   498,    -1,   317,   896,    -1,   955,
      -1,   955,   490,    -1,   318,   955,    -1,   318,   497,   955,
     498,    -1,   864,    -1,   865,   500,   864,    -1,   864,    -1,
     864,  1088,    -1,   864,    98,  1088,    -1,   899,    -1,   453,
     896,    -1,    -1,   453,   896,    -1,   453,   153,   312,   957,
      -1,   453,   153,   312,  1104,    -1,    -1,   871,    -1,   870,
     500,   871,    -1,  1088,   872,    -1,   874,   873,    -1,   388,
     874,   873,    -1,   874,    97,   495,   965,   496,    -1,   388,
     874,    97,   495,   965,   496,    -1,   874,    97,    -1,   388,
     874,    97,    -1,   873,   495,   496,    -1,   873,   495,  1118,
     496,    -1,    -1,   876,    -1,   878,    -1,   880,    -1,   884,
      -1,   891,    -1,   892,   894,    -1,   892,   497,   965,   498,
     894,    -1,   878,    -1,   881,    -1,   885,    -1,   891,    -1,
    1089,   877,    -1,  1089,   681,   877,    -1,   497,   924,   498,
      -1,    -1,   248,    -1,   249,    -1,   393,    -1,   109,    -1,
     351,    -1,   208,   879,    -1,   186,   339,    -1,   168,   877,
      -1,   167,   877,    -1,   310,   877,    -1,   112,    -1,   497,
     965,   498,    -1,    -1,   882,    -1,   883,    -1,   882,    -1,
     883,    -1,   111,   889,   497,   924,   498,    -1,   111,   889,
      -1,   886,    -1,   887,    -1,   886,    -1,   887,    -1,   888,
     497,   965,   498,   890,    -1,   888,   890,    -1,   124,   889,
      -1,   123,   889,    -1,   445,    -1,   289,   124,   889,    -1,
     289,   123,   889,    -1,   291,   889,    -1,   447,    -1,    -1,
     124,   387,  1088,    -1,    -1,   418,   497,   965,   498,   893,
      -1,   418,   893,    -1,   417,   497,   965,   498,   893,    -1,
     417,   893,    -1,   251,    -1,   475,   472,    -1,   457,   417,
     472,    -1,    -1,   470,    -1,   285,    -1,   165,    -1,   227,
      -1,   282,    -1,   895,    -1,   470,   419,   285,    -1,   165,
     419,   227,    -1,   165,   419,   282,    -1,   165,   419,   895,
      -1,   227,   419,   282,    -1,   227,   419,   895,    -1,   282,
     419,   895,    -1,    -1,   379,    -1,   379,   497,   965,   498,
      -1,   898,    -1,   896,    71,   872,    -1,   896,   103,   417,
     472,   896,    -1,   488,   896,    -1,   489,   896,    -1,   896,
     488,   896,    -1,   896,   489,   896,    -1,   896,   490,   896,
      -1,   896,   491,   896,    -1,   896,   492,   896,    -1,   896,
     493,   896,    -1,   896,   485,   896,    -1,   896,   486,   896,
      -1,   896,   484,   896,    -1,   896,   921,   896,    -1,   921,
     896,    -1,   896,   921,    -1,   896,    95,   896,    -1,   896,
     322,   896,    -1,   302,   896,    -1,   896,   269,   896,    -1,
     896,   269,   896,   195,   896,    -1,   896,   302,   269,   896,
      -1,   896,   302,   269,   896,   195,   896,    -1,   896,   230,
     896,    -1,   896,   230,   896,   195,   896,    -1,   896,   302,
     230,   896,    -1,   896,   302,   230,   896,   195,   896,    -1,
     896,   391,   419,   896,    -1,   896,   391,   419,   896,   195,
     896,    -1,   896,   302,   391,   419,   896,    -1,   896,   302,
     391,   419,   896,   195,   896,    -1,   896,   254,   307,    -1,
     896,   255,    -1,   896,   254,   302,   307,    -1,   896,   305,
      -1,   917,   327,   917,    -1,   896,   254,   425,    -1,   896,
     254,   302,   425,    -1,   896,   254,   204,    -1,   896,   254,
     302,   204,    -1,   896,   254,   434,    -1,   896,   254,   302,
     434,    -1,   896,   254,   182,   215,   896,    -1,   896,   254,
     302,   182,   215,   896,    -1,   896,   254,   312,   497,   925,
     498,    -1,   896,   254,   302,   312,   497,   925,   498,    -1,
     896,   108,   947,   897,    95,   897,    -1,   896,   302,   108,
     947,   897,    95,   897,    -1,   896,   108,   407,   897,    95,
     897,    -1,   896,   302,   108,   407,   897,    95,   897,    -1,
     896,   234,   937,    -1,   896,   302,   234,   937,    -1,   896,
     923,   918,   824,    -1,   896,   923,   918,   497,   896,   498,
      -1,   433,   824,    -1,   896,   254,   184,    -1,   896,   254,
     302,   184,    -1,   898,    -1,   897,    71,   872,    -1,   488,
     897,    -1,   489,   897,    -1,   897,   488,   897,    -1,   897,
     489,   897,    -1,   897,   490,   897,    -1,   897,   491,   897,
      -1,   897,   492,   897,    -1,   897,   493,   897,    -1,   897,
     485,   897,    -1,   897,   486,   897,    -1,   897,   484,   897,
      -1,   897,   921,   897,    -1,   921,   897,    -1,   897,   921,
      -1,   897,   254,   182,   215,   897,    -1,   897,   254,   302,
     182,   215,   897,    -1,   897,   254,   312,   497,   925,   498,
      -1,   897,   254,   302,   312,   497,   925,   498,    -1,   897,
     254,   184,    -1,   897,   254,   302,   184,    -1,   943,    -1,
     964,    -1,  1104,   946,    -1,   497,   896,   498,   946,    -1,
     938,    -1,   899,    -1,   824,    -1,   200,   824,    -1,    97,
     824,    -1,    97,   926,    -1,   917,    -1,   963,   497,   498,
     910,    -1,   963,   497,   924,   498,   910,    -1,   963,   497,
     446,   896,   498,   910,    -1,   963,   497,   924,   500,   446,
     896,   498,   910,    -1,   963,   497,    89,   924,   498,   910,
      -1,   963,   497,   182,   924,   498,   910,    -1,   963,   497,
     490,   498,   910,    -1,   155,    -1,   158,    -1,   158,   497,
     965,   498,    -1,   159,    -1,   159,   497,   965,   498,    -1,
     274,    -1,   274,   497,   965,   498,    -1,   275,    -1,   275,
     497,   965,   498,    -1,   156,    -1,   160,    -1,   386,    -1,
     438,    -1,   154,    -1,   157,    -1,   120,   497,   896,    98,
     872,   498,    -1,   203,   497,   928,   498,    -1,   328,   497,
     930,   498,    -1,   337,   497,   932,   498,    -1,   405,   497,
     933,   498,    -1,   422,   497,   896,    98,   872,   498,    -1,
     424,   497,   113,   936,   498,    -1,   424,   497,   265,   936,
     498,    -1,   424,   497,   420,   936,   498,    -1,   424,   497,
     936,   498,    -1,   308,   497,   896,   500,   896,   498,    -1,
     131,   497,   924,   498,    -1,   221,   497,   924,   498,    -1,
     266,   497,   924,   498,    -1,   463,   497,   924,   498,    -1,
     464,   497,   287,  1090,   498,    -1,   464,   497,   287,  1090,
     500,   902,   498,    -1,   464,   497,   287,  1090,   500,   924,
     498,    -1,   464,   497,   287,  1090,   500,   902,   500,   924,
     498,    -1,   465,   497,   903,   498,    -1,   466,   497,   905,
     896,   906,   498,    -1,   467,   497,   287,  1090,   498,    -1,
     467,   497,   287,  1090,   500,   896,   498,    -1,   468,   497,
     896,   500,   900,   901,   498,    -1,   469,   497,   905,   896,
      98,   874,   498,    -1,   449,   896,    -1,   449,   294,   443,
      -1,   500,   396,   471,    -1,   500,   396,   294,    -1,   500,
     396,   294,   443,    -1,    -1,   462,   497,   903,   498,    -1,
     904,    -1,   903,   500,   904,    -1,   896,    98,  1090,    -1,
     896,    -1,   184,    -1,   142,    -1,   340,   454,    -1,   404,
     454,    -1,    -1,   455,   908,    -1,    -1,   909,    -1,   908,
     500,   909,    -1,  1088,    98,   911,    -1,   326,   911,    -1,
     326,  1088,    -1,    -1,   497,   912,   913,   836,   914,   498,
      -1,  1088,    -1,    -1,   333,   114,   924,    -1,    -1,   349,
     915,    -1,   373,   915,    -1,    -1,   916,    -1,   108,   916,
      95,   916,    -1,   429,   338,    -1,   429,   209,    -1,   153,
     372,    -1,   372,   497,   924,   498,    -1,   372,   497,   498,
      -1,   497,   924,   500,   896,   498,    -1,    96,    -1,   394,
      -1,    89,    -1,   481,    -1,   920,    -1,   488,    -1,   489,
      -1,   490,    -1,   491,    -1,   492,    -1,   493,    -1,   485,
      -1,   486,    -1,   484,    -1,   481,    -1,   319,   497,   739,
     498,    -1,   919,    -1,   319,   497,   739,   498,    -1,   919,
      -1,   319,   497,   739,   498,    -1,   269,    -1,   302,   269,
      -1,   230,    -1,   302,   230,    -1,   896,    -1,   924,   500,
     896,    -1,   872,    -1,   925,   500,   872,    -1,   495,   924,
     496,    -1,   495,   927,   496,    -1,   495,   496,    -1,   926,
      -1,   927,   500,   926,    -1,   929,   215,   896,    -1,    -1,
    1109,    -1,   470,    -1,   285,    -1,   165,    -1,   227,    -1,
     282,    -1,   379,    -1,  1107,    -1,   896,   931,   934,   935,
      -1,   896,   931,   934,    -1,   335,   896,    -1,   897,   234,
     897,    -1,    -1,   896,   934,   935,    -1,   896,   935,   934,
      -1,   896,   934,    -1,   896,   935,    -1,   924,    -1,    -1,
     215,   896,    -1,   210,   896,    -1,   896,   215,   924,    -1,
     215,   924,    -1,   924,    -1,   824,    -1,   497,   924,   498,
      -1,   119,   942,   939,   941,   193,    -1,   940,    -1,   939,
     940,    -1,   452,   896,   416,   896,    -1,   189,   896,    -1,
      -1,   896,    -1,    -1,   953,    -1,   953,   945,    -1,   499,
     960,    -1,   499,   490,    -1,   495,   896,   496,    -1,   495,
     896,   502,   896,   496,    -1,   944,    -1,   945,   944,    -1,
      -1,   946,   944,    -1,   102,    -1,    -1,   896,    -1,   170,
      -1,   948,    -1,   949,   500,   948,    -1,   497,   949,   498,
      -1,   952,    -1,   951,   500,   952,    -1,   896,    98,  1090,
      -1,   896,  1109,    -1,   896,    -1,   490,    -1,   972,    -1,
    1088,    -1,   955,    -1,   954,   500,   955,    -1,   953,    -1,
     953,   945,    -1,   957,    -1,   956,   500,   957,    -1,  1088,
      -1,  1088,    -1,  1088,    -1,  1090,    -1,  1088,    -1,  1107,
      -1,  1089,    -1,   953,   945,    -1,   965,    -1,  1106,    -1,
    1107,    -1,  1105,    -1,   480,    -1,   963,  1107,    -1,   963,
     497,   924,   498,  1107,    -1,   875,  1107,    -1,   892,  1107,
     894,    -1,   892,   497,   965,   498,  1107,   894,    -1,   425,
      -1,   204,    -1,   307,    -1,  1101,    -1,  1100,    -1,   482,
      -1,  1088,    -1,   965,    -1,  1101,    -1,   488,   965,    -1,
     489,   965,    -1,    81,    -1,    82,    -1,    83,    -1,    84,
      -1,    85,    -1,    86,    -1,    87,    -1,    88,    -1,    90,
      -1,    91,    -1,    92,    -1,   100,    -1,   101,    -1,   103,
      -1,   105,    -1,   106,    -1,   107,    -1,   114,    -1,   115,
      -1,   116,    -1,   117,    -1,   118,    -1,   121,    -1,   122,
      -1,   125,    -1,   127,    -1,   128,    -1,   129,    -1,   130,
      -1,   134,    -1,   135,    -1,   136,    -1,   137,    -1,   138,
      -1,   141,    -1,   142,    -1,   143,    -1,   144,    -1,   145,
      -1,   146,    -1,   148,    -1,   149,    -1,   150,    -1,   152,
      -1,   161,    -1,   162,    -1,   163,    -1,   164,    -1,   166,
      -1,   169,    -1,   171,    -1,   173,    -1,   174,    -1,   175,
      -1,   176,    -1,   177,    -1,   179,    -1,   180,    -1,   181,
      -1,   184,    -1,   185,    -1,   186,    -1,   187,    -1,   188,
      -1,   190,    -1,   191,    -1,   192,    -1,   194,    -1,   195,
      -1,   197,    -1,   198,    -1,   199,    -1,   201,    -1,   202,
      -1,   205,    -1,   207,    -1,   209,    -1,   211,    -1,   213,
      -1,   217,    -1,   218,    -1,   220,    -1,   223,    -1,   225,
      -1,   226,    -1,   228,    -1,   229,    -1,   231,    -1,   232,
      -1,   233,    -1,   235,    -1,   236,    -1,   237,    -1,   238,
      -1,   239,    -1,   240,    -1,   245,    -1,   246,    -1,   247,
      -1,   253,    -1,   256,    -1,   258,    -1,   259,    -1,   260,
      -1,   261,    -1,   262,    -1,   263,    -1,   264,    -1,   268,
      -1,   271,    -1,   272,    -1,   273,    -1,   276,    -1,   277,
      -1,   278,    -1,   279,    -1,   280,    -1,   281,    -1,   283,
      -1,   284,    -1,   286,    -1,   287,    -1,   288,    -1,   293,
      -1,   294,    -1,   295,    -1,   296,    -1,   297,    -1,   298,
      -1,   299,    -1,   301,    -1,   303,    -1,   304,    -1,   306,
      -1,   309,    -1,   311,    -1,   312,    -1,   315,    -1,   319,
      -1,   320,    -1,   321,    -1,   329,    -1,   330,    -1,   331,
      -1,   332,    -1,   333,    -1,   334,    -1,   336,    -1,   338,
      -1,   341,    -1,   342,    -1,   340,    -1,   344,    -1,   345,
      -1,   346,    -1,   347,    -1,   348,    -1,   349,    -1,   350,
      -1,   352,    -1,   353,    -1,   354,    -1,   356,    -1,   357,
      -1,   358,    -1,   359,    -1,   360,    -1,   361,    -1,   362,
      -1,   363,    -1,   364,    -1,   365,    -1,   367,    -1,   368,
      -1,   370,    -1,   371,    -1,   373,    -1,   374,    -1,   375,
      -1,   376,    -1,   377,    -1,   378,    -1,   380,    -1,   382,
      -1,   383,    -1,   384,    -1,   385,    -1,   387,    -1,   389,
      -1,   390,    -1,   392,    -1,   395,    -1,   396,    -1,   397,
      -1,   398,    -1,   399,    -1,   400,    -1,   401,    -1,   402,
      -1,   403,    -1,   404,    -1,   406,    -1,   408,    -1,   409,
      -1,   411,    -1,   412,    -1,   413,    -1,   414,    -1,   415,
      -1,   421,    -1,   423,    -1,   426,    -1,   427,    -1,   428,
      -1,   429,    -1,   430,    -1,   431,    -1,   434,    -1,   435,
      -1,   436,    -1,   437,    -1,   440,    -1,   441,    -1,   442,
      -1,   443,    -1,   447,    -1,   449,    -1,   450,    -1,   451,
      -1,   454,    -1,   457,    -1,   458,    -1,   459,    -1,   460,
      -1,   461,    -1,   471,    -1,   472,    -1,   109,    -1,   111,
      -1,   112,    -1,   124,    -1,   131,    -1,   167,    -1,   168,
      -1,   200,    -1,   203,    -1,   208,    -1,   221,    -1,   243,
      -1,   249,    -1,   251,    -1,   266,    -1,   289,    -1,   291,
      -1,   300,    -1,   308,    -1,   310,    -1,   324,    -1,   328,
      -1,   337,    -1,   339,    -1,   351,    -1,   372,    -1,   388,
      -1,   393,    -1,   405,    -1,   417,    -1,   418,    -1,   422,
      -1,   424,    -1,   445,    -1,   462,    -1,   463,    -1,   464,
      -1,   465,    -1,   466,    -1,   467,    -1,   468,    -1,   469,
      -1,   104,    -1,   108,    -1,   110,    -1,   151,    -1,   157,
      -1,   214,    -1,   216,    -1,   230,    -1,   242,    -1,   254,
      -1,   255,    -1,   257,    -1,   267,    -1,   269,    -1,   290,
      -1,   305,    -1,   325,    -1,   326,    -1,   327,    -1,   369,
      -1,   391,    -1,   448,    -1,    89,    -1,    93,    -1,    94,
      -1,    95,    -1,    96,    -1,    97,    -1,    98,    -1,    99,
      -1,   102,    -1,   113,    -1,   119,    -1,   120,    -1,   126,
      -1,   132,    -1,   133,    -1,   140,    -1,   147,    -1,   154,
      -1,   155,    -1,   156,    -1,   158,    -1,   159,    -1,   160,
      -1,   170,    -1,   172,    -1,   178,    -1,   182,    -1,   183,
      -1,   189,    -1,   193,    -1,   196,    -1,   204,    -1,   206,
      -1,   210,    -1,   212,    -1,   215,    -1,   219,    -1,   222,
      -1,   224,    -1,   234,    -1,   241,    -1,   250,    -1,   252,
      -1,   265,    -1,   270,    -1,   274,    -1,   275,    -1,   292,
      -1,   302,    -1,   307,    -1,   313,    -1,   314,    -1,   316,
      -1,   317,    -1,   318,    -1,   322,    -1,   323,    -1,   335,
      -1,   343,    -1,   355,    -1,   366,    -1,   381,    -1,   386,
      -1,   394,    -1,   407,    -1,   410,    -1,   416,    -1,   420,
      -1,   425,    -1,   433,    -1,   438,    -1,   439,    -1,   446,
      -1,   452,    -1,   453,    -1,   455,    -1,   456,    -1,   316,
      -1,   292,    -1,    -1,   973,   974,    -1,  1097,   979,   507,
     501,    -1,  1097,   507,   501,    -1,  1097,   999,    -1,  1004,
      -1,  1115,    -1,    74,    -1,   503,    -1,   504,    -1,    -1,
     147,   566,   410,   593,    98,   976,   823,   597,    -1,    -1,
     147,   714,   374,   957,    98,   978,   317,   756,   419,   955,
     868,   183,   757,   752,    -1,   103,  1040,    -1,     9,   419,
     981,   988,   989,    -1,     9,   419,   170,    -1,     9,   990,
      -1,   164,   981,    -1,   982,   985,   987,    -1,   983,   502,
     984,   987,   491,   982,   993,    -1,   992,    -1,  1107,    -1,
     958,    -1,    -1,  1109,  1103,    -1,   481,   986,    -1,   984,
      -1,    -1,  1088,    -1,  1088,   499,   986,    -1,    75,    -1,
     502,   965,    -1,    -1,    98,  1040,    -1,    -1,   438,   990,
      -1,    -1,   991,    -1,   991,   491,   991,    -1,   991,    21,
     114,   991,    -1,   991,   439,   991,    -1,   966,    -1,  1107,
      -1,  1101,    -1,  1103,    -1,   481,   994,    -1,    -1,  1088,
     995,    -1,  1088,   995,   481,   994,    -1,    -1,   484,   965,
      -1,   484,  1109,    -1,   484,  1101,    -1,   957,    -1,   992,
      -1,   169,   957,   821,   161,   822,   210,   996,    -1,   199,
     231,  1041,    -1,  1000,    -1,  1011,    -1,  1013,    -1,   604,
      -1,   500,   604,    -1,    -1,   894,    -1,   470,   419,   282,
      -1,   470,   419,   379,    -1,   165,   419,   165,    -1,   285,
     419,   285,    -1,    -1,  1006,  1005,  1008,  1007,    -1,  1097,
     107,   169,    34,   501,    -1,  1097,   193,   169,    34,   501,
      -1,    -1,  1009,    -1,    74,    -1,  1013,    -1,  1011,    -1,
    1009,  1013,    -1,  1009,  1011,    -1,  1009,    74,    -1,  1013,
      -1,  1010,  1013,    -1,    -1,    70,  1012,  1020,  1036,  1092,
     873,   501,    -1,    -1,  1017,  1020,  1014,  1033,   501,    -1,
      -1,  1020,  1015,  1033,   501,    -1,  1023,   501,    -1,   502,
     965,    -1,    -1,  1018,  1019,    -1,  1018,    -1,  1019,    -1,
      56,    -1,    67,    -1,    65,    -1,    50,    -1,    51,    -1,
      69,    -1,  1029,    -1,  1025,    -1,  1021,    -1,  1092,   497,
    1001,  1002,   498,    -1,  1092,  1003,    -1,  1027,    -1,   194,
    1086,  1022,    -1,   194,  1022,    -1,   194,  1086,    -1,   503,
    1113,   504,    -1,    -1,  1027,  1024,   503,  1010,   504,    -1,
    1023,    -1,    -1,  1028,  1026,   503,  1010,   504,    -1,    43,
    1086,    -1,   432,  1086,    -1,    43,    -1,   432,    -1,  1030,
      -1,  1032,  1031,    -1,    44,    35,    -1,    44,    35,   248,
      -1,    44,    -1,    44,   248,    -1,    44,    25,    -1,    44,
      25,   248,    -1,    44,    25,    25,    -1,    44,    25,    25,
     248,    -1,    44,   123,    -1,    35,    -1,    35,   248,    -1,
     248,    -1,    25,    -1,    25,   248,    -1,    25,    25,    -1,
      25,    25,   248,    -1,     5,    -1,   123,    -1,   186,    -1,
      36,    -1,    -1,  1034,    -1,  1033,   500,  1034,    -1,  1036,
    1091,   873,  1016,  1035,    -1,    -1,   484,  1114,    -1,    -1,
     490,    -1,   490,   490,    -1,   169,   398,  1109,    -1,    15,
    1039,    -1,  1040,    -1,   153,    -1,    89,    -1,    -1,   958,
      -1,   170,    -1,   992,    -1,   992,    -1,    72,    -1,    17,
     957,    -1,    17,    89,    -1,    28,   957,  1044,    -1,    -1,
    1045,    -1,   439,  1049,    -1,  1046,    -1,   439,  1048,    14,
    1110,    -1,   252,  1048,    14,  1110,    -1,    -1,    37,    -1,
    1050,    -1,  1050,   500,  1049,    -1,  1051,    -1,  1101,    -1,
    1100,    -1,   965,    -1,   488,   965,    -1,   489,   965,    -1,
    1106,    -1,   488,  1106,    -1,   489,  1106,    -1,  1107,    -1,
    1105,    -1,  1108,    -1,    13,   244,   957,  1046,    -1,    13,
    1053,   957,  1046,    -1,    13,  1053,   957,  1047,    -1,    29,
      -1,    -1,     3,    14,  1110,    -1,   166,    14,  1110,    -1,
      18,    14,  1110,  1057,    -1,  1058,    -1,  1057,   500,  1058,
      -1,  1103,   484,  1063,    -1,   387,    14,  1110,  1060,    -1,
    1061,    -1,  1060,   500,  1061,    -1,  1063,   484,  1062,    -1,
     965,    -1,  1103,    -1,    10,    -1,    18,    14,  1110,   443,
    1062,  1065,    -1,  1066,    -1,  1065,   500,  1066,    -1,  1103,
     484,  1071,    -1,   387,    14,  1110,   443,  1062,  1068,    -1,
    1069,    -1,  1068,   500,  1069,    -1,  1071,   484,  1070,    -1,
    1106,    -1,  1062,    -1,   489,  1106,    -1,   489,   965,    -1,
    1107,    -1,     8,    -1,   163,    -1,    11,    -1,    12,    -1,
      22,    -1,    23,    -1,    24,    -1,   287,    -1,    26,    -1,
      27,    -1,   339,    -1,    31,    -1,    32,    -1,    33,    -1,
     428,    -1,   387,     4,   484,  1073,    -1,   387,     4,   419,
    1073,    -1,   317,    -1,   313,    -1,   387,   139,   419,  1040,
      -1,   387,   139,   484,  1040,    -1,   387,   139,  1040,    -1,
      -1,   428,  1076,  1092,   254,  1020,   873,  1077,    -1,    30,
      -1,    -1,    -1,    45,  1079,  1090,   254,  1020,   873,  1077,
      -1,    46,    38,  1081,    -1,    46,   302,    16,  1081,    -1,
      46,    40,  1081,    -1,   143,    -1,    39,    -1,    42,    -1,
      20,   957,    -1,    19,   419,   957,    -1,   183,   957,   497,
    1098,   498,    -1,   183,     6,    -1,     7,   957,   497,  1098,
     498,    -1,     7,   957,    -1,  1083,    -1,  1084,    -1,     6,
      -1,     7,    -1,     8,    -1,    10,    -1,    11,    -1,    12,
      -1,    16,    -1,    19,    -1,    20,    -1,    21,    -1,    22,
      -1,    23,    -1,    24,    -1,    26,    -1,    27,    -1,    31,
      -1,    32,    -1,    33,    -1,    34,    -1,    37,    -1,    38,
      -1,    39,    -1,    40,    -1,    42,    -1,     9,    -1,    13,
      -1,    15,    -1,    28,    -1,    45,    -1,    46,    -1,     5,
      -1,    25,    -1,    29,    -1,    35,    -1,    43,    -1,    36,
      -1,    44,    -1,  1090,    -1,  1109,    -1,   968,    -1,   969,
      -1,  1095,    -1,  1082,    -1,  1093,    -1,   123,    -1,   444,
      -1,  1109,    -1,  1094,    -1,   969,    -1,  1082,    -1,  1093,
      -1,   123,    -1,   444,    -1,  1109,    -1,  1094,    -1,   970,
      -1,  1082,    -1,  1093,    -1,  1085,    -1,  1091,    -1,  1085,
      -1,   123,    -1,   153,    -1,   244,    -1,   248,    -1,   419,
      -1,   432,    -1,   444,    -1,  1093,    -1,  1095,    -1,  1092,
      -1,   968,    -1,   971,    -1,  1084,    -1,   139,    -1,  1109,
      -1,   969,    -1,   970,    -1,  1083,    -1,    50,    -1,    51,
      -1,    56,    -1,    65,    -1,    67,    -1,    70,    -1,    69,
      -1,   968,    -1,  1095,    -1,   139,    -1,   165,    -1,   227,
      -1,   282,    -1,   285,    -1,   379,    -1,   470,    -1,  1099,
      -1,  1096,   500,  1099,    -1,    41,    -1,    -1,  1113,    -1,
    1103,  1102,    -1,  1103,    -1,  1103,  1102,    -1,  1103,    -1,
    1103,    -1,    22,  1103,    -1,    22,   957,    -1,    73,    -1,
     483,    -1,   479,    -1,   477,    -1,   478,    -1,    77,    -1,
      78,    -1,    79,    -1,    76,    -1,   480,    -1,   476,    -1,
      72,    -1,    80,    -1,   957,    -1,   992,    -1,  1116,    -1,
     497,   498,    -1,   497,  1112,   498,    -1,  1111,    -1,  1112,
    1111,    -1,  1114,    -1,  1113,   500,  1114,    -1,  1112,    -1,
     503,  1113,   504,    -1,  1116,    -1,   497,    -1,   498,    -1,
     500,    -1,   501,    -1,  1109,    -1,   965,    -1,  1106,    -1,
    1107,    -1,   490,    -1,   488,    -1,   489,    -1,   491,    -1,
     492,    -1,   307,    -1,    47,    -1,    48,    -1,    49,    -1,
      50,    -1,    51,    -1,    52,    -1,    53,    -1,    54,    -1,
      55,    -1,    56,    -1,    57,    -1,    58,    -1,    60,    -1,
      59,    -1,    61,    -1,    62,    -1,    63,    -1,    64,    -1,
      65,    -1,    66,    -1,    67,    -1,    68,    -1,    70,    -1,
      69,    -1,     5,    -1,   194,    -1,   227,    -1,   248,    -1,
      25,    -1,   282,    -1,   285,    -1,   379,    -1,    35,    -1,
      36,    -1,    43,    -1,    44,    -1,   470,    -1,   123,    -1,
     208,    -1,   419,    -1,   432,    -1,   445,    -1,   495,    -1,
     496,    -1,   484,    -1,   502,    -1,   166,   996,    -1,   166,
     341,   996,    -1,   166,    89,    -1,   166,   341,    89,    -1,
     965,    -1,   497,  1118,   498,    -1,  1118,   488,  1118,    -1,
    1118,   489,  1118,    -1,  1118,   490,  1118,    -1,  1118,   491,
    1118,    -1,  1118,   492,  1118,    -1,  1107,    -1,  1088,    -1,
      -1,  1045,  1120,    -1,  1120,  1045,    -1,  1045,    -1,  1120,
      -1,   252,  1096,    -1,  1047,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1188,  1188,  1191,  1193,  1195,  1197,  1199,  1201,  1203,
    1205,  1207,  1209,  1211,  1213,  1215,  1217,  1219,  1221,  1223,
    1225,  1227,  1229,  1231,  1249,  1251,  1253,  1255,  1257,  1259,
    1261,  1263,  1265,  1267,  1269,  1271,  1273,  1275,  1277,  1279,
    1281,  1283,  1285,  1287,  1289,  1291,  1293,  1295,  1297,  1299,
    1301,  1305,  1307,  1309,  1311,  1313,  1315,  1317,  1319,  1321,
    1323,  1325,  1327,  1329,  1331,  1333,  1335,  1337,  1339,  1341,
    1343,  1345,  1347,  1349,  1351,  1353,  1355,  1357,  1359,  1361,
    1363,  1365,  1367,  1369,  1376,  1378,  1380,  1382,  1384,  1386,
    1388,  1390,  1392,  1394,  1396,  1402,  1404,  1406,  1408,  1410,
    1412,  1414,  1416,  1418,  1424,  1434,  1438,  1444,  1448,  1458,
    1468,  1469,  1480,  1487,  1493,  1504,  1510,  1519,  1526,  1532,
    1541,  1548,  1556,  1561,  1569,  1574,  1580,  1585,  1591,  1595,
    1599,  1603,  1607,  1611,  1615,  1619,  1623,  1627,  1631,  1635,
    1639,  1643,  1647,  1651,  1655,  1659,  1663,  1667,  1671,  1675,
    1679,  1683,  1691,  1699,  1707,  1715,  1723,  1731,  1735,  1743,
    1747,  1755,  1763,  1771,  1775,  1783,  1787,  1795,  1799,  1807,
    1812,  1818,  1823,  1829,  1833,  1837,  1841,  1845,  1849,  1857,
    1861,  1865,  1873,  1877,  1881,  1885,  1889,  1893,  1897,  1901,
    1905,  1910,  1914,  1918,  1922,  1926,  1930,  1938,  1942,  1950,
    1954,  1962,  1966,  1970,  1984,  1988,  1992,  1996,  2004,  2008,
    2012,  2016,  2024,  2028,  2032,  2036,  2040,  2044,  2048,  2056,
    2060,  2065,  2071,  2075,  2083,  2087,  2091,  2095,  2099,  2107,
    2111,  2119,  2123,  2127,  2131,  2135,  2144,  2152,  2156,  2164,
    2168,  2176,  2184,  2188,  2192,  2196,  2204,  2208,  2212,  2216,
    2224,  2228,  2236,  2240,  2244,  2248,  2252,  2256,  2260,  2264,
    2268,  2272,  2276,  2280,  2284,  2288,  2292,  2296,  2300,  2304,
    2308,  2312,  2316,  2320,  2324,  2328,  2332,  2336,  2340,  2344,
    2348,  2352,  2356,  2360,  2368,  2372,  2380,  2384,  2389,  2395,
    2400,  2406,  2414,  2419,  2425,  2429,  2437,  2441,  2445,  2449,
    2457,  2461,  2469,  2480,  2491,  2495,  2503,  2507,  2511,  2519,
    2524,  2530,  2534,  2538,  2542,  2546,  2550,  2554,  2558,  2562,
    2566,  2574,  2579,  2585,  2590,  2596,  2601,  2607,  2612,  2618,
    2622,  2630,  2634,  2638,  2642,  2646,  2650,  2655,  2661,  2666,
    2672,  2676,  2684,  2688,  2692,  2700,  2708,  2713,  2719,  2723,
    2727,  2735,  2739,  2743,  2747,  2751,  2755,  2759,  2767,  2771,
    2775,  2779,  2787,  2795,  2800,  2806,  2810,  2814,  2818,  2822,
    2826,  2834,  2838,  2846,  2850,  2854,  2858,  2866,  2871,  2877,
    2881,  2889,  2897,  2901,  2906,  2911,  2917,  2921,  2925,  2929,
    2934,  2940,  2948,  2956,  2960,  2964,  2968,  2972,  2980,  2985,
    2991,  2995,  2999,  3004,  3010,  3014,  3018,  3023,  3029,  3034,
    3040,  3045,  3051,  3059,  3064,  3070,  3074,  3082,  3090,  3094,
    3099,  3105,  3113,  3121,  3126,  3132,  3136,  3144,  3148,  3152,
    3156,  3160,  3164,  3168,  3172,  3176,  3180,  3184,  3188,  3196,
    3201,  3207,  3211,  3215,  3226,  3230,  3238,  3243,  3249,  3253,
    3261,  3265,  3273,  3278,  3284,  3289,  3295,  3299,  3307,  3312,
    3318,  3326,  3331,  3337,  3341,  3349,  3357,  3361,  3369,  3373,
    3377,  3385,  3390,  3396,  3400,  3408,  3416,  3420,  3428,  3432,
    3436,  3440,  3448,  3456,  3464,  3472,  3480,  3485,  3491,  3495,
    3503,  3508,  3514,  3518,  3526,  3530,  3534,  3542,  3550,  3554,
    3558,  3566,  3570,  3578,  3586,  3590,  3598,  3602,  3610,  3614,
    3622,  3626,  3630,  3634,  3642,  3647,  3653,  3658,  3664,  3668,
    3676,  3680,  3685,  3691,  3695,  3699,  3703,  3707,  3711,  3719,
    3724,  3730,  3734,  3741,  3745,  3753,  3759,  3763,  3771,  3775,
    3783,  3787,  3795,  3804,  3813,  3817,  3821,  3825,  3829,  3833,
    3837,  3841,  3845,  3849,  3853,  3861,  3869,  3873,  3881,  3885,
    3893,  3897,  3901,  3905,  3909,  3917,  3921,  3929,  3937,  3941,
    3949,  3957,  3961,  3969,  3977,  3981,  3989,  3993,  3997,  4001,
    4005,  4013,  4018,  4024,  4029,  4035,  4041,  4047,  4055,  4059,
    4067,  4071,  4079,  4083,  4091,  4095,  4103,  4107,  4115,  4123,
    4131,  4135,  4143,  4147,  4151,  4155,  4159,  4163,  4167,  4171,
    4175,  4179,  4183,  4187,  4195,  4199,  4207,  4211,  4219,  4223,
    4231,  4239,  4243,  4248,  4254,  4258,  4262,  4266,  4270,  4274,
    4278,  4282,  4286,  4290,  4294,  4298,  4302,  4306,  4310,  4314,
    4318,  4326,  4330,  4334,  4338,  4342,  4346,  4350,  4354,  4358,
    4362,  4366,  4370,  4378,  4382,  4390,  4395,  4400,  4404,  4408,
    4413,  4418,  4423,  4428,  4433,  4442,  4446,  4450,  4454,  4458,
    4468,  4478,  4488,  4492,  4496,  4506,  4510,  4514,  4524,  4532,
    4536,  4544,  4552,  4556,  4564,  4568,  4572,  4576,  4580,  4588,
    4592,  4600,  4604,  4608,  4612,  4620,  4624,  4628,  4632,  4636,
    4640,  4644,  4648,  4652,  4656,  4664,  4668,  4676,  4680,  4688,
    4693,  4699,  4703,  4711,  4719,  4727,  4731,  4739,  4744,  4750,
    4755,  4761,  4765,  4773,  4778,  4784,  4789,  4795,  4799,  4807,
    4811,  4815,  4823,  4827,  4832,  4838,  4842,  4847,  4853,  4857,
    4862,  4868,  4872,  4876,  4884,  4889,  4895,  4899,  4907,  4911,
    4919,  4923,  4931,  4935,  4943,  4947,  4951,  4955,  4959,  4967,
    4971,  4975,  4979,  4983,  4991,  4999,  5007,  5011,  5015,  5023,
    5027,  5031,  5039,  5043,  5051,  5055,  5059,  5063,  5067,  5071,
    5075,  5079,  5083,  5087,  5091,  5095,  5099,  5107,  5111,  5115,
    5119,  5127,  5131,  5139,  5144,  5150,  5158,  5162,  5170,  5178,
    5182,  5190,  5195,  5201,  5205,  5213,  5217,  5225,  5229,  5237,
    5241,  5245,  5249,  5257,  5261,  5269,  5273,  5277,  5285,  5289,
    5294,  5300,  5308,  5313,  5319,  5323,  5327,  5335,  5339,  5347,
    5352,  5358,  5362,  5366,  5370,  5374,  5378,  5382,  5386,  5390,
    5394,  5398,  5402,  5406,  5410,  5414,  5418,  5422,  5426,  5430,
    5434,  5438,  5442,  5446,  5454,  5459,  5465,  5470,  5476,  5480,
    5484,  5488,  5492,  5496,  5500,  5508,  5512,  5516,  5520,  5524,
    5528,  5532,  5536,  5540,  5544,  5548,  5552,  5556,  5560,  5564,
    5568,  5576,  5580,  5584,  5592,  5596,  5604,  5608,  5612,  5616,
    5620,  5628,  5633,  5639,  5643,  5647,  5651,  5659,  5663,  5668,
    5674,  5678,  5686,  5694,  5702,  5706,  5714,  5718,  5722,  5726,
    5730,  5734,  5738,  5742,  5746,  5750,  5754,  5758,  5762,  5766,
    5774,  5778,  5783,  5789,  5793,  5797,  5805,  5809,  5813,  5821,
    5826,  5832,  5836,  5844,  5849,  5854,  5860,  5866,  5874,  5882,
    5887,  5893,  5897,  5901,  5905,  5909,  5913,  5917,  5921,  5925,
    5929,  5933,  5937,  5941,  5945,  5949,  5953,  5961,  5966,  5972,
    5976,  5984,  5992,  5997,  6003,  6011,  6015,  6023,  6031,  6035,
    6039,  6043,  6047,  6055,  6060,  6066,  6074,  6078,  6082,  6086,
    6090,  6094,  6102,  6110,  6114,  6118,  6126,  6131,  6137,  6141,
    6145,  6153,  6157,  6165,  6169,  6177,  6182,  6188,  6193,  6199,
    6204,  6210,  6215,  6221,  6229,  6233,  6237,  6241,  6245,  6249,
    6253,  6261,  6266,  6272,  6278,  6288,  6293,  6299,  6303,  6307,
    6311,  6319,  6321,  6329,  6334,  6340,  6348,  6352,  6356,  6364,
    6368,  6376,  6384,  6389,  6395,  6403,  6408,  6414,  6422,  6427,
    6433,  6437,  6441,  6445,  6449,  6453,  6457,  6461,  6469,  6474,
    6480,  6488,  6492,  6500,  6504,  6512,  6520,  6528,  6536,  6540,
    6548,  6589,  6591,  6595,  6599,  6603,  6612,  6618,  6622,  6630,
    6634,  6642,  6646,  6654,  6658,  6662,  6666,  6670,  6674,  6678,
    6682,  6690,  6694,  6702,  6706,  6710,  6714,  6718,  6722,  6730,
    6734,  6742,  6746,  6754,  6762,  6767,  6769,  6775,  6779,  6783,
    6787,  6791,  6795,  6799,  6803,  6811,  6816,  6822,  6826,  6831,
    6837,  6841,  6845,  6850,  6856,  6861,  6867,  6875,  6879,  6887,
    6891,  6899,  6903,  6907,  6911,  6915,  6920,  6924,  6928,  6936,
    6941,  6947,  6951,  6959,  6963,  6968,  6974,  6982,  6990,  6994,
    7002,  7006,  7014,  7019,  7025,  7030,  7036,  7040,  7048,  7053,
    7059,  7063,  7071,  7075,  7083,  7088,  7094,  7098,  7106,  7111,
    7117,  7121,  7129,  7133,  7137,  7141,  7145,  7149,  7153,  7157,
    7163,  7167,  7171,  7179,  7183,  7187,  7191,  7195,  7199,  7207,
    7211,  7215,  7219,  7227,  7231,  7235,  7239,  7247,  7252,  7258,
    7262,  7270,  7274,  7278,  7282,  7290,  7294,  7302,  7306,  7310,
    7318,  7326,  7331,  7337,  7341,  7345,  7350,  7356,  7360,  7368,
    7376,  7378,  7380,  7384,  7388,  7392,  7400,  7410,  7421,  7430,
    7434,  7438,  7442,  7446,  7450,  7454,  7462,  7466,  7470,  7474,
    7482,  7486,  7494,  7499,  7505,  7509,  7513,  7517,  7521,  7525,
    7529,  7533,  7537,  7541,  7545,  7553,  7558,  7564,  7568,  7576,
    7580,  7588,  7596,  7604,  7608,  7616,  7620,  7628,  7636,  7644,
    7648,  7652,  7656,  7660,  7664,  7672,  7677,  7683,  7688,  7694,
    7698,  7702,  7706,  7714,  7722,  7726,  7731,  7737,  7741,  7745,
    7749,  7753,  7757,  7761,  7765,  7769,  7773,  7777,  7781,  7785,
    7790,  7796,  7800,  7808,  7812,  7816,  7820,  7824,  7828,  7832,
    7836,  7840,  7844,  7848,  7852,  7856,  7860,  7864,  7868,  7872,
    7876,  7880,  7884,  7888,  7892,  7896,  7900,  7904,  7908,  7912,
    7916,  7920,  7924,  7928,  7932,  7936,  7940,  7944,  7948,  7952,
    7956,  7960,  7964,  7968,  7972,  7976,  7980,  7984,  7988,  7992,
    7996,  8000,  8004,  8008,  8012,  8016,  8020,  8024,  8028,  8033,
    8037,  8045,  8049,  8053,  8057,  8061,  8065,  8069,  8073,  8077,
    8081,  8085,  8089,  8093,  8097,  8101,  8105,  8109,  8113,  8117,
    8121,  8125,  8129,  8137,  8141,  8145,  8149,  8153,  8157,  8161,
    8165,  8169,  8173,  8177,  8185,  8189,  8193,  8197,  8201,  8205,
    8209,  8213,  8217,  8221,  8225,  8229,  8233,  8237,  8241,  8245,
    8249,  8253,  8257,  8261,  8265,  8269,  8273,  8277,  8281,  8285,
    8289,  8293,  8297,  8301,  8305,  8309,  8313,  8317,  8321,  8325,
    8329,  8333,  8337,  8341,  8345,  8349,  8353,  8357,  8361,  8365,
    8369,  8377,  8381,  8389,  8393,  8397,  8402,  8408,  8416,  8420,
    8428,  8432,  8440,  8444,  8452,  8456,  8461,  8467,  8472,  8478,
    8482,  8490,  8498,  8502,  8507,  8513,  8521,  8525,  8532,  8537,
    8543,  8547,  8552,  8558,  8563,  8572,  8576,  8580,  8588,  8592,
    8596,  8604,  8608,  8612,  8620,  8624,  8632,  8636,  8640,  8644,
    8648,  8652,  8656,  8660,  8664,  8672,  8676,  8684,  8688,  8696,
    8700,  8704,  8708,  8712,  8716,  8724,  8728,  8736,  8740,  8748,
    8752,  8756,  8764,  8768,  8776,  8781,  8787,  8791,  8795,  8799,
    8803,  8807,  8811,  8815,  8823,  8827,  8835,  8843,  8848,  8854,
    8858,  8862,  8866,  8870,  8875,  8881,  8889,  8897,  8901,  8905,
    8913,  8917,  8925,  8933,  8937,  8945,  8953,  8958,  8964,  8969,
    8975,  8979,  8987,  8991,  8995,  8999,  9007,  9011,  9020,  9022,
    9030,  9035,  9041,  9045,  9053,  9057,  9065,  9073,  9077,  9085,
    9089,  9093,  9097,  9105,  9109,  9117,  9121,  9129,  9133,  9141,
    9145,  9153,  9161,  9169,  9177,  9185,  9193,  9201,  9205,  9213,
    9217,  9221,  9225,  9229,  9233,  9237,  9241,  9245,  9249,  9253,
    9257,  9261,  9265,  9266,  9271,  9277,  9285,  9289,  9290,  9294,
    9302,  9306,  9310,  9314,  9318,  9322,  9326,  9330,  9334,  9338,
    9342,  9346,  9350,  9354,  9358,  9362,  9366,  9370,  9374,  9378,
    9382,  9386,  9390,  9394,  9398,  9402,  9406,  9410,  9414,  9418,
    9422,  9426,  9430,  9434,  9438,  9442,  9446,  9450,  9454,  9458,
    9462,  9466,  9470,  9474,  9478,  9482,  9486,  9490,  9494,  9498,
    9502,  9506,  9510,  9514,  9518,  9522,  9526,  9530,  9534,  9538,
    9542,  9546,  9550,  9554,  9558,  9562,  9566,  9570,  9574,  9578,
    9582,  9586,  9590,  9594,  9598,  9602,  9606,  9610,  9614,  9618,
    9622,  9626,  9630,  9634,  9638,  9642,  9646,  9650,  9654,  9658,
    9662,  9666,  9670,  9674,  9678,  9682,  9686,  9690,  9694,  9698,
    9702,  9706,  9710,  9714,  9718,  9722,  9726,  9730,  9734,  9738,
    9742,  9746,  9750,  9754,  9758,  9762,  9766,  9770,  9774,  9778,
    9782,  9786,  9790,  9794,  9798,  9802,  9806,  9810,  9814,  9818,
    9822,  9826,  9830,  9834,  9838,  9842,  9846,  9850,  9854,  9858,
    9862,  9866,  9870,  9874,  9878,  9882,  9886,  9890,  9894,  9898,
    9902,  9906,  9910,  9914,  9918,  9922,  9926,  9930,  9934,  9938,
    9942,  9946,  9950,  9954,  9958,  9962,  9966,  9970,  9974,  9978,
    9982,  9986,  9990,  9994,  9998, 10002, 10006, 10010, 10014, 10018,
   10022, 10026, 10030, 10034, 10038, 10042, 10046, 10050, 10054, 10058,
   10062, 10066, 10070, 10074, 10078, 10082, 10086, 10090, 10094, 10098,
   10102, 10106, 10110, 10114, 10118, 10122, 10126, 10130, 10134, 10138,
   10142, 10146, 10150, 10154, 10158, 10162, 10166, 10170, 10174, 10178,
   10182, 10186, 10190, 10194, 10198, 10202, 10206, 10210, 10214, 10218,
   10222, 10226, 10230, 10234, 10238, 10242, 10246, 10254, 10258, 10262,
   10266, 10270, 10274, 10278, 10282, 10286, 10290, 10294, 10298, 10302,
   10306, 10310, 10314, 10318, 10322, 10326, 10330, 10334, 10338, 10342,
   10346, 10350, 10354, 10358, 10362, 10366, 10370, 10374, 10378, 10382,
   10386, 10390, 10394, 10398, 10402, 10406, 10410, 10414, 10418, 10426,
   10430, 10434, 10438, 10442, 10446, 10450, 10454, 10458, 10462, 10466,
   10470, 10474, 10478, 10482, 10486, 10490, 10494, 10498, 10502, 10506,
   10510, 10518, 10522, 10526, 10530, 10534, 10538, 10542, 10546, 10550,
   10554, 10558, 10562, 10566, 10570, 10574, 10578, 10582, 10586, 10590,
   10594, 10598, 10602, 10606, 10610, 10614, 10618, 10622, 10626, 10630,
   10634, 10638, 10642, 10646, 10650, 10654, 10658, 10662, 10666, 10670,
   10674, 10678, 10682, 10686, 10690, 10694, 10698, 10702, 10706, 10710,
   10714, 10718, 10722, 10726, 10730, 10734, 10738, 10742, 10746, 10750,
   10754, 10758, 10762, 10766, 10770, 10774, 10778, 10782, 10786, 10790,
   10794, 10798, 10802, 10806, 10810, 10814, 10818, 10822, 10830, 10837,
   10850, 10851, 10854, 10855, 10856, 10862, 10863, 10864, 10865, 10866,
   10869, 10869, 10879, 10878, 10888, 10904, 10906, 10909, 10911, 10915,
   10927, 10943, 10947, 10958, 10959, 10962, 10974, 10983, 10984, 10987,
   10988, 10989, 10992, 10993, 10996, 10997, 11000, 11001, 11004, 11006,
   11008, 11010, 11014, 11021, 11028, 11044, 11077, 11087, 11090, 11092,
   11105, 11106, 11108, 11110, 11114, 11127, 11134, 11171, 11180, 11182,
   11183, 11186, 11188, 11189, 11192, 11193, 11194, 11195, 11196, 11203,
   11202, 11212, 11214, 11216, 11217, 11218, 11221, 11222, 11223, 11224,
   11225, 11228, 11229, 11233, 11232, 11249, 11247, 11262, 11261, 11274,
   11280, 11281, 11284, 11286, 11287, 11290, 11291, 11292, 11293, 11296,
   11297, 11300, 11308, 11325, 11333, 11356, 11454, 11488, 11490, 11492,
   11496, 11500, 11499, 11550, 11552, 11551, 11566, 11572, 11579, 11584,
   11587, 11588, 11591, 11592, 11593, 11594, 11595, 11596, 11597, 11605,
   11613, 11616, 11617, 11618, 11619, 11620, 11621, 11629, 11637, 11638,
   11639, 11642, 11643, 11646, 11648, 11652, 11738, 11739, 11746, 11747,
   11748, 11754, 11763, 11766, 11767, 11768, 11769, 11772, 11773, 11774,
   11777, 11779, 11787, 11788, 11794, 11796, 11797, 11800, 11801, 11804,
   11811, 11818, 11818, 11820, 11820, 11822, 11829, 11830, 11833, 11834,
   11835, 11836, 11837, 11838, 11839, 11840, 11841, 11847, 11854, 11861,
   11870, 11871, 11883, 11894, 11905, 11909, 11910, 11913, 11918, 11922,
   11923, 11926, 11932, 11940, 11943, 11950, 11954, 11955, 11958, 11961,
   11965, 11966, 11969, 11975, 11983, 11984, 11993, 12002, 12014, 12015,
   12016, 12017, 12018, 12019, 12020, 12021, 12022, 12023, 12024, 12025,
   12026, 12027, 12028, 12035, 12036, 12039, 12040, 12047, 12048, 12049,
   12056, 12055, 12072, 12073, 12080, 12079, 12148, 12154, 12160, 12168,
   12174, 12180, 12186, 12192, 12198, 12204, 12210, 12216, 12227, 12228,
   12231, 12232, 12233, 12234, 12235, 12236, 12237, 12238, 12239, 12240,
   12241, 12242, 12243, 12244, 12245, 12246, 12247, 12248, 12249, 12250,
   12251, 12252, 12253, 12254, 12257, 12258, 12259, 12260, 12261, 12262,
   12266, 12267, 12268, 12269, 12270, 12271, 12272, 12275, 12278, 12279,
   12280, 12281, 12282, 12283, 12284, 12285, 12298, 12299, 12300, 12301,
   12302, 12303, 12304, 12309, 12310, 12311, 12312, 12313, 12314, 12320,
   12321, 12322, 12323, 12324, 12325, 12326, 12327, 12328, 12329, 12330,
   12333, 12334, 12335, 12336, 12337, 12340, 12341, 12342, 12343, 12346,
   12347, 12348, 12349, 12350, 12351, 12352, 12369, 12370, 12371, 12374,
   12375, 12376, 12377, 12378, 12379, 12383, 12383, 12386, 12392, 12393,
   12396, 12398, 12403, 12413, 12420, 12421, 12422, 12425, 12458, 12460,
   12462, 12465, 12475, 12485, 12495, 12496, 12499, 12501, 12502, 12503,
   12506, 12508, 12516, 12517, 12518, 12522, 12523, 12527, 12528, 12531,
   12532, 12535, 12536, 12537, 12538, 12539, 12542, 12543, 12544, 12545,
   12546, 12547, 12548, 12549, 12550, 12551, 12552, 12553, 12554, 12555,
   12556, 12557, 12558, 12559, 12560, 12561, 12562, 12563, 12564, 12565,
   12566, 12567, 12568, 12569, 12570, 12571, 12572, 12573, 12574, 12575,
   12576, 12577, 12578, 12579, 12580, 12581, 12582, 12583, 12584, 12585,
   12586, 12587, 12588, 12589, 12590, 12591, 12592, 12593, 12594, 12595,
   12596, 12597, 12600, 12601, 12602, 12603, 12606, 12607, 12608, 12609,
   12610, 12611, 12612, 12613, 12614, 12617, 12618, 12619, 12620, 12621,
   12624, 12625
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "TYPECAST", "CSTRING", "CVARIABLE",
  "CPP_LINE", "IP", "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "AUTHORIZATION", "BACKWARD", "BEFORE", "BEGIN_P",
  "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH", "BY", "CACHE",
  "CALLED", "CASCADE", "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN",
  "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS",
  "CLOSE", "CLUSTER", "COALESCE", "COLLATE", "COLUMN", "COMMENT", "COMMIT",
  "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CREATEDB", "CREATEROLE", "CREATEUSER", "CROSS", "CSV",
  "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY",
  "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P",
  "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED",
  "END_P", "ENUM_P", "ESCAPE", "EXCEPT", "EXCLUDING", "EXCLUSIVE",
  "EXECUTE", "EXISTS", "EXPLAIN", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE",
  "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INNER_P", "INOUT",
  "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER",
  "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION",
  "JOIN", "KEY", "LANCOMPILER", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOGIN_P", "MAPPING", "MATCH",
  "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P",
  "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEW", "NEXT", "NO",
  "NOCREATEDB", "NOCREATEROLE", "NOCREATEUSER", "NOINHERIT", "NOLOGIN_P",
  "NONE", "NOSUPERUSER", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT",
  "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF",
  "OFFSET", "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS",
  "OR", "ORDER", "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY",
  "OWNED", "OWNER", "PARSER", "PARTIAL", "PARTITION", "PASSWORD",
  "PLACING", "PLANS", "POSITION", "PRECEDING", "PRECISION", "PRESERVE",
  "PREPARE", "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL",
  "PROCEDURE", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REFERENCES", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SOME", "STABLE", "STANDALONE_P", "START", "STATEMENT",
  "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P", "STRIP_P",
  "SUBSTRING", "SUPERUSER_P", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNTIL",
  "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATOR", "VALUE_P",
  "VALUES", "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P",
  "VIEW", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES",
  "XMLCONCAT", "XMLELEMENT", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT",
  "XMLSERIALIZE", "YEAR_P", "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST",
  "WITH_TIME", "IDENT", "FCONST", "SCONST", "BCONST", "XCONST", "Op",
  "ICONST", "PARAM", "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'",
  "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "','",
  "';'", "':'", "'{'", "'}'", "$accept", "prog", "stmt", "CreateRoleStmt",
  "opt_with", "OptRoleList", "OptRoleElem", "CreateUserStmt",
  "AlterRoleStmt", "AlterRoleSetStmt", "AlterUserStmt", "AlterUserSetStmt",
  "DropRoleStmt", "DropUserStmt", "CreateGroupStmt", "AlterGroupStmt",
  "add_drop", "DropGroupStmt", "CreateSchemaStmt", "OptSchemaName",
  "OptSchemaEltList", "schema_stmt", "VariableSetStmt", "set_rest",
  "var_name", "var_list", "var_value", "iso_level", "opt_boolean",
  "zone_value", "opt_encoding", "ColId_or_Sconst", "VariableResetStmt",
  "SetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "alter_using", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem", "ClosePortalStmt",
  "CopyStmt", "copy_from", "copy_file_name", "copy_opt_list",
  "copy_opt_item", "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "CreateStmt", "OptTemp", "OptTableElementList", "TableElementList",
  "TableElement", "columnDef", "ColQualList", "ColConstraint",
  "ColConstraintElem", "ConstraintAttr", "TableLikeClause",
  "TableLikeOptionList", "TableLikeOption", "TableConstraint",
  "ConstraintElem", "opt_column_list", "columnList", "columnElem",
  "key_match", "key_actions", "key_update", "key_delete", "key_action",
  "OptInherit", "OptWith", "OnCommitOption", "OptTableSpace",
  "OptConsTableSpace", "create_as_target", "OptCreateAs", "CreateAsList",
  "CreateAsElement", "opt_with_data", "CreateSeqStmt", "AlterSeqStmt",
  "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly",
  "CreatePLangStmt", "opt_trusted", "handler_name", "validator_clause",
  "opt_validator", "opt_lancompiler", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateFdwStmt", "DropFdwStmt", "AlterFdwStmt", "create_generic_options",
  "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOpt", "TriggerForType", "TriggerFuncArgs",
  "TriggerFuncArg", "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintDeferrabilitySpec", "ConstraintTimeSpec", "DropTrigStmt",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "aggr_args", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "enum_val_list", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "FetchStmt", "fetch_direction", "from_in", "GrantStmt", "RevokeStmt",
  "privileges", "privilege_list", "privilege", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "IndexStmt", "index_opt_unique", "access_method_clause", "index_params",
  "index_elem", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "CreateCastStmt", "cast_context",
  "DropCastStmt", "opt_if_exists", "ReindexStmt", "reindex_type",
  "opt_force", "RenameStmt", "opt_column", "opt_set_data",
  "AlterObjectSchemaStmt", "AlterOwnerStmt", "RuleActionList",
  "RuleActionMulti", "RuleActionStmt", "RuleActionStmtOrEmpty", "event",
  "opt_instead", "DropRuleStmt", "NotifyStmt", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "opt_analyze",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "into_clause", "OptTempTableName", "opt_table", "opt_all",
  "opt_distinct", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "select_limit_value",
  "opt_select_fetch_first_value", "select_offset_value",
  "select_offset_value2", "row_or_rows", "first_or_next", "group_clause",
  "having_clause", "for_locking_clause", "opt_for_locking_clause",
  "for_locking_items", "for_locking_item", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "join_type", "join_outer", "join_qual", "relation_expr",
  "relation_expr_list", "relation_expr_opt_alias", "func_table",
  "where_clause", "where_or_current_clause", "TableFuncElementList",
  "TableFuncElement", "Typename", "opt_array_bounds", "SimpleTypename",
  "ConstTypename", "GenericType", "opt_type_modifiers", "Numeric",
  "opt_float", "Bit", "ConstBit", "BitWithLength", "BitWithoutLength",
  "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "opt_charset",
  "ConstDatetime", "ConstInterval", "opt_timezone", "opt_interval",
  "interval_second", "a_expr", "b_expr", "c_expr", "func_expr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_whitespace_option", "window_clause", "window_definition_list",
  "window_definition", "over_clause", "window_specification",
  "opt_existing_window_name", "opt_partition_clause", "opt_frame_clause",
  "frame_extent", "frame_bound", "row", "sub_type", "all_Op", "MathOp",
  "qual_Op", "qual_all_Op", "subquery_Op", "expr_list", "type_list",
  "array_expr", "array_expr_list", "extract_list", "extract_arg",
  "overlay_list", "overlay_placing", "position_list", "substr_list",
  "substr_from", "substr_for", "trim_list", "in_expr", "case_expr",
  "when_clause_list", "when_clause", "case_default", "case_arg",
  "columnref", "indirection_el", "indirection", "opt_indirection",
  "opt_asymmetric", "ctext_expr", "ctext_expr_list", "ctext_row",
  "target_list", "target_el", "relation_name", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "RoleId", "SignedIconst", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "SpecialRuleRelation", "statements", "statement", "CreateAsStmt", "$@1",
  "RuleStmt", "$@2", "at", "ECPGConnect", "connection_target",
  "opt_database_name", "db_prefix", "server", "opt_server", "server_name",
  "opt_port", "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@3", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@4", "var_declaration",
  "$@5", "$@6", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@7", "struct_union_type", "$@8",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "opt_sql", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@9", "opt_reference", "ECPGVar",
  "$@10", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "civar", "indicator", "cvariable", "ecpg_param", "ecpg_bconst",
  "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,    61,    60,    62,   739,    43,    45,
      42,    47,    37,    94,   740,    91,    93,    40,    41,    46,
      44,    59,    58,   123,   125
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   505,   506,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   508,   509,   509,   510,   510,   511,   511,
     511,   511,   511,   511,   511,   511,   511,   511,   511,   511,
     511,   511,   511,   511,   511,   511,   511,   511,   511,   511,
     511,   511,   512,   513,   514,   515,   516,   517,   517,   518,
     518,   519,   520,   521,   521,   522,   522,   523,   523,   524,
     524,   525,   525,   526,   526,   526,   526,   526,   526,   527,
     527,   527,   528,   528,   528,   528,   528,   528,   528,   528,
     528,   528,   528,   528,   528,   528,   528,   529,   529,   530,
     530,   531,   531,   531,   532,   532,   532,   532,   533,   533,
     533,   533,   534,   534,   534,   534,   534,   534,   534,   535,
     535,   535,   536,   536,   537,   537,   537,   537,   537,   538,
     538,   539,   539,   539,   539,   539,   540,   541,   541,   542,
     542,   543,   544,   544,   544,   544,   545,   545,   545,   545,
     546,   546,   547,   547,   547,   547,   547,   547,   547,   547,
     547,   547,   547,   547,   547,   547,   547,   547,   547,   547,
     547,   547,   547,   547,   547,   547,   547,   547,   547,   547,
     547,   547,   547,   547,   548,   548,   549,   549,   549,   550,
     550,   551,   552,   552,   553,   553,   554,   554,   554,   554,
     555,   555,   556,   556,   557,   557,   558,   558,   558,   559,
     559,   560,   560,   560,   560,   560,   560,   560,   560,   560,
     560,   561,   561,   562,   562,   563,   563,   564,   564,   565,
     565,   566,   566,   566,   566,   566,   566,   566,   567,   567,
     568,   568,   569,   569,   569,   570,   571,   571,   572,   572,
     572,   573,   573,   573,   573,   573,   573,   573,   574,   574,
     574,   574,   575,   576,   576,   577,   577,   577,   577,   577,
     577,   578,   578,   579,   579,   579,   579,   580,   580,   581,
     581,   582,   583,   583,   583,   583,   584,   584,   584,   584,
     584,   585,   586,   587,   587,   587,   587,   587,   588,   588,
     589,   589,   589,   589,   590,   590,   590,   590,   591,   591,
     592,   592,   593,   594,   594,   595,   595,   596,   597,   597,
     597,   598,   599,   600,   600,   601,   601,   602,   602,   602,
     602,   602,   602,   602,   602,   602,   602,   602,   602,   603,
     603,   604,   604,   604,   605,   605,   606,   606,   607,   607,
     608,   608,   609,   609,   610,   610,   611,   611,   612,   612,
     613,   614,   614,   615,   615,   616,   617,   617,   618,   618,
     618,   619,   619,   620,   620,   621,   622,   622,   623,   623,
     623,   623,   624,   625,   626,   627,   628,   628,   629,   629,
     630,   630,   631,   631,   632,   632,   632,   633,   634,   634,
     634,   635,   635,   636,   637,   637,   638,   638,   639,   639,
     640,   640,   640,   640,   641,   641,   642,   642,   643,   643,
     644,   644,   644,   645,   645,   645,   645,   645,   645,   646,
     646,   647,   647,   647,   647,   647,   648,   648,   649,   649,
     650,   650,   651,   652,   653,   653,   653,   653,   653,   653,
     653,   653,   653,   653,   653,   654,   655,   655,   656,   656,
     657,   657,   657,   657,   657,   658,   658,   659,   660,   660,
     661,   662,   662,   663,   664,   664,   665,   665,   665,   665,
     665,   666,   666,   667,   667,   668,   668,   669,   670,   670,
     671,   671,   672,   672,   673,   673,   674,   674,   675,   676,
     677,   677,   678,   678,   678,   678,   678,   678,   678,   678,
     678,   678,   678,   678,   679,   679,   680,   680,   681,   681,
     682,   683,   683,   683,   684,   684,   684,   684,   684,   684,
     684,   684,   684,   684,   684,   684,   684,   684,   684,   684,
     684,   685,   685,   685,   685,   685,   685,   685,   685,   685,
     685,   685,   685,   686,   686,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   688,   688,   688,   688,   688,
     688,   688,   688,   688,   688,   688,   688,   688,   688,   689,
     689,   690,   691,   691,   692,   692,   692,   692,   692,   693,
     693,   694,   694,   694,   694,   695,   695,   695,   695,   695,
     695,   695,   695,   695,   695,   696,   696,   697,   697,   698,
     698,   699,   699,   700,   701,   702,   702,   703,   703,   704,
     704,   705,   705,   706,   706,   707,   707,   708,   708,   709,
     709,   709,   710,   710,   710,   711,   711,   711,   712,   712,
     712,   713,   713,   713,   714,   714,   715,   715,   716,   716,
     717,   717,   718,   718,   719,   719,   719,   719,   719,   720,
     720,   720,   720,   720,   721,   722,   723,   723,   723,   724,
     724,   724,   725,   725,   726,   726,   726,   726,   726,   726,
     726,   726,   726,   726,   726,   726,   726,   727,   727,   727,
     727,   728,   728,   729,   729,   730,   731,   731,   732,   733,
     733,   734,   734,   735,   735,   736,   736,   737,   737,   738,
     738,   738,   738,   739,   739,   740,   740,   740,   741,   741,
     741,   742,   743,   743,   744,   744,   744,   745,   745,   746,
     746,   747,   747,   747,   747,   747,   747,   747,   747,   747,
     747,   747,   747,   747,   747,   747,   747,   747,   747,   747,
     747,   747,   747,   747,   748,   748,   749,   749,   750,   750,
     750,   750,   750,   750,   750,   751,   751,   751,   751,   751,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   751,
     751,   752,   752,   752,   753,   753,   754,   754,   754,   754,
     754,   755,   755,   756,   756,   756,   756,   757,   757,   757,
     758,   758,   759,   760,   761,   761,   762,   762,   762,   762,
     762,   762,   762,   762,   762,   762,   762,   762,   762,   762,
     763,   763,   763,   764,   764,   764,   765,   765,   765,   766,
     766,   767,   767,   768,   768,   768,   768,   769,   770,   771,
     771,   772,   772,   772,   772,   772,   772,   772,   772,   772,
     772,   772,   772,   772,   772,   772,   772,   773,   773,   774,
     774,   775,   776,   776,   777,   778,   778,   779,   780,   780,
     780,   780,   780,   781,   781,   782,   783,   783,   783,   783,
     783,   783,   784,   785,   785,   785,   786,   786,   787,   787,
     787,   788,   788,   789,   789,   790,   790,   791,   791,   792,
     792,   793,   793,   794,   795,   795,   795,   795,   795,   795,
     795,   796,   796,   797,   797,   798,   798,   799,   799,   799,
     799,   800,   800,   801,   801,   802,   803,   803,   803,   804,
     804,   805,   806,   806,   807,   808,   808,   809,   810,   810,
     811,   811,   811,   811,   811,   811,   811,   811,   812,   812,
     813,   814,   814,   815,   815,   816,   817,   818,   819,   819,
     820,   821,   821,   821,   821,   821,   822,   822,   822,   823,
     823,   824,   824,   825,   825,   825,   825,   825,   825,   825,
     825,   826,   826,   827,   827,   827,   827,   827,   827,   828,
     828,   829,   829,   830,   831,   831,   831,   832,   832,   832,
     832,   832,   832,   832,   832,   833,   833,   834,   834,   834,
     835,   835,   835,   835,   836,   836,   837,   838,   838,   839,
     839,   840,   840,   840,   840,   840,   840,   840,   840,   841,
     841,   842,   842,   843,   843,   843,   844,   845,   846,   846,
     847,   847,   848,   848,   849,   849,   850,   850,   851,   851,
     852,   852,   853,   853,   854,   854,   855,   855,   856,   856,
     857,   857,   858,   858,   858,   858,   858,   858,   858,   858,
     858,   858,   858,   859,   859,   859,   859,   859,   859,   860,
     860,   860,   860,   861,   861,   861,   861,   862,   862,   863,
     863,   864,   864,   864,   864,   865,   865,   866,   866,   866,
     867,   868,   868,   869,   869,   869,   869,   870,   870,   871,
     872,   872,   872,   872,   872,   872,   873,   873,   873,   874,
     874,   874,   874,   874,   874,   874,   875,   875,   875,   875,
     876,   876,   877,   877,   878,   878,   878,   878,   878,   878,
     878,   878,   878,   878,   878,   879,   879,   880,   880,   881,
     881,   882,   883,   884,   884,   885,   885,   886,   887,   888,
     888,   888,   888,   888,   888,   889,   889,   890,   890,   891,
     891,   891,   891,   892,   893,   893,   893,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   895,   895,   896,   896,   896,   896,   896,   896,   896,
     896,   896,   896,   896,   896,   896,   896,   896,   896,   896,
     896,   896,   896,   896,   896,   896,   896,   896,   896,   896,
     896,   896,   896,   896,   896,   896,   896,   896,   896,   896,
     896,   896,   896,   896,   896,   896,   896,   896,   896,   896,
     896,   896,   896,   896,   896,   896,   896,   896,   896,   896,
     896,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   900,   900,   901,   901,   901,   901,   902,   903,   903,
     904,   904,   905,   905,   906,   906,   906,   907,   907,   908,
     908,   909,   910,   910,   910,   911,   912,   912,   913,   913,
     914,   914,   914,   915,   915,   916,   916,   916,   917,   917,
     917,   918,   918,   918,   919,   919,   920,   920,   920,   920,
     920,   920,   920,   920,   920,   921,   921,   922,   922,   923,
     923,   923,   923,   923,   923,   924,   924,   925,   925,   926,
     926,   926,   927,   927,   928,   928,   929,   929,   929,   929,
     929,   929,   929,   929,   930,   930,   931,   932,   932,   933,
     933,   933,   933,   933,   933,   934,   935,   936,   936,   936,
     937,   937,   938,   939,   939,   940,   941,   941,   942,   942,
     943,   943,   944,   944,   944,   944,   945,   945,   946,   946,
     947,   947,   948,   948,   949,   949,   950,   951,   951,   952,
     952,   952,   952,   953,   953,   954,   954,   955,   955,   956,
     956,   957,   958,   959,   960,   961,   962,   963,   963,   964,
     964,   964,   964,   964,   964,   964,   964,   964,   964,   964,
     964,   964,   964,   964,   965,   966,   967,   967,   967,   967,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   972,   972,
     973,   973,   974,   974,   974,   974,   974,   974,   974,   974,
     976,   975,   978,   977,   979,   980,   980,   980,   980,   981,
     981,   981,   981,   982,   982,   983,   984,   985,   985,   986,
     986,   986,   987,   987,   988,   988,   989,   989,   990,   990,
     990,   990,   991,   991,   991,   992,   993,   993,   994,   994,
     995,   995,   995,   995,   996,   996,   997,   998,   999,  1000,
    1000,  1001,  1002,  1002,  1003,  1003,  1003,  1003,  1003,  1005,
    1004,  1006,  1007,  1008,  1008,  1008,  1009,  1009,  1009,  1009,
    1009,  1010,  1010,  1012,  1011,  1014,  1013,  1015,  1013,  1013,
    1016,  1016,  1017,  1017,  1017,  1018,  1018,  1018,  1018,  1019,
    1019,  1020,  1020,  1020,  1020,  1020,  1020,  1021,  1021,  1021,
    1022,  1024,  1023,  1025,  1026,  1025,  1027,  1027,  1028,  1028,
    1029,  1029,  1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,
    1030,  1031,  1031,  1031,  1031,  1031,  1031,  1031,  1031,  1031,
    1031,  1032,  1032,  1033,  1033,  1034,  1035,  1035,  1036,  1036,
    1036,  1037,  1038,  1039,  1039,  1039,  1039,  1040,  1040,  1040,
    1041,  1041,  1042,  1042,  1043,  1044,  1044,  1045,  1045,  1046,
    1047,  1048,  1048,  1049,  1049,  1050,  1050,  1050,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,  1051,  1051,  1052,  1052,  1052,
    1053,  1053,  1054,  1055,  1056,  1057,  1057,  1058,  1059,  1060,
    1060,  1061,  1062,  1062,  1063,  1064,  1065,  1065,  1066,  1067,
    1068,  1068,  1069,  1070,  1070,  1070,  1070,  1070,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1072,  1072,  1073,  1073,  1074,  1074,  1074,
    1076,  1075,  1077,  1077,  1079,  1078,  1080,  1080,  1080,  1081,
    1081,  1081,  1081,  1081,  1081,  1081,  1081,  1081,  1082,  1082,
    1083,  1083,  1083,  1083,  1083,  1083,  1083,  1083,  1083,  1083,
    1083,  1083,  1083,  1083,  1083,  1083,  1083,  1083,  1083,  1083,
    1083,  1083,  1083,  1083,  1084,  1084,  1084,  1084,  1084,  1084,
    1085,  1085,  1085,  1085,  1085,  1085,  1085,  1086,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1088,  1088,  1088,  1088,
    1088,  1088,  1088,  1089,  1089,  1089,  1089,  1089,  1089,  1090,
    1090,  1090,  1090,  1090,  1090,  1090,  1090,  1090,  1090,  1090,
    1091,  1091,  1091,  1091,  1091,  1092,  1092,  1092,  1092,  1093,
    1093,  1093,  1093,  1093,  1093,  1093,  1094,  1094,  1094,  1095,
    1095,  1095,  1095,  1095,  1095,  1096,  1096,  1097,  1098,  1098,
    1099,  1099,  1100,  1101,  1102,  1102,  1102,  1103,  1104,  1105,
    1106,  1107,  1107,  1107,  1107,  1107,  1108,  1109,  1109,  1109,
    1110,  1110,  1111,  1111,  1111,  1112,  1112,  1113,  1113,  1114,
    1114,  1115,  1115,  1115,  1115,  1115,  1116,  1116,  1116,  1116,
    1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,
    1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,
    1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,
    1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,
    1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,
    1116,  1116,  1117,  1117,  1117,  1117,  1118,  1118,  1118,  1118,
    1118,  1118,  1118,  1118,  1118,  1119,  1119,  1119,  1119,  1119,
    1120,  1120
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     5,     1,     0,     2,     0,     2,     2,
       3,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     3,     2,     2,     2,     2,
       3,     3,     5,     5,     4,     5,     4,     3,     5,     3,
       5,     5,     6,     1,     1,     3,     5,     6,     4,     1,
       0,     2,     0,     1,     1,     1,     1,     1,     1,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     5,
       2,     2,     2,     2,     3,     3,     3,     1,     3,     1,
       3,     1,     1,     1,     2,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     3,     6,     1,     1,     1,     1,
       1,     0,     1,     1,     2,     3,     4,     3,     2,     2,
       1,     3,     4,     5,     4,     2,     4,     1,     1,     1,
       1,     1,     2,     2,     2,     2,     4,     4,     4,     4,
       1,     3,     3,     4,     6,     6,     6,     6,     4,     7,
       2,     4,     3,     3,     3,     3,     3,     4,     4,     3,
       3,     3,     3,     3,     3,     4,     4,     3,     2,     3,
       3,     3,     2,     2,     3,     2,     1,     1,     0,     2,
       0,     3,     2,     0,     1,     3,     3,     1,     5,     3,
       2,     2,    10,     6,     1,     1,     1,     1,     1,     2,
       0,     1,     1,     3,     3,     1,     1,     3,     3,     3,
       4,     1,     0,     2,     0,     3,     0,     1,     0,    11,
      12,     1,     1,     2,     2,     2,     2,     0,     1,     0,
       1,     3,     1,     1,     1,     3,     2,     0,     3,     1,
       1,     2,     1,     3,     4,     4,     2,     5,     1,     2,
       2,     2,     3,     2,     0,     2,     2,     2,     2,     2,
       2,     3,     1,     4,     6,     7,    11,     3,     0,     1,
       3,     1,     2,     2,     2,     0,     1,     1,     2,     2,
       0,     3,     3,     2,     1,     1,     2,     2,     4,     0,
       2,     2,     2,     0,     3,     4,     4,     0,     2,     0,
       4,     0,     5,     3,     0,     1,     3,     1,     2,     3,
       0,     5,     4,     1,     0,     1,     2,     2,     1,     2,
       3,     2,     2,     2,     2,     3,     3,     1,     3,     1,
       0,     1,     2,     1,     5,     9,     1,     0,     1,     2,
       2,     2,     1,     0,     2,     0,     5,     7,     1,     0,
       6,     2,     0,     3,     5,     7,     6,     8,     7,     6,
       6,     4,     0,     1,     3,     4,     1,     3,     1,     2,
       2,     2,     2,     1,     1,    10,     2,     0,     2,     2,
       1,     0,     4,     6,     5,     4,     4,     8,     1,     1,
       1,     7,     9,     8,    14,    19,     1,     1,     1,     3,
       1,     1,     1,     1,     3,     0,     1,     0,     1,     1,
       1,     3,     0,     1,     1,     1,     1,     1,     1,     2,
       0,     1,     2,     1,     2,     0,     2,     1,     2,     2,
       6,     8,     8,     4,     5,     4,     4,     4,     3,     7,
       8,     6,     6,     6,     6,     3,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     1,     3,
       3,     1,     3,    13,     1,     3,     4,     5,     4,     7,
       2,     1,     0,     2,     0,     1,     0,     6,     8,     8,
       1,     3,     5,     5,     7,     9,     7,     9,     5,     6,
       6,     4,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     3,     1,     3,     1,     2,     2,     3,
       5,     2,     2,     0,     6,     7,     7,     7,     8,     8,
       6,     8,     9,     9,     7,    10,     7,     8,     8,     8,
       8,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     2,     4,     2,     5,
       4,     4,     3,     3,     3,     1,     1,     1,     1,     2,
       2,     1,     1,     1,     2,     2,     1,     2,     2,     1,
       1,     7,     7,    10,     1,     1,     2,     4,     5,     1,
       3,     2,     2,     2,     2,     1,     2,     2,     4,     3,
       2,     2,     2,     2,     2,     1,     3,     1,     2,     3,
       0,     1,     3,     2,     6,     6,     9,     3,     0,     3,
       0,    13,    14,     1,     0,     2,     0,     1,     3,     4,
       4,     6,     1,     2,     0,     1,     1,     0,     1,     1,
       0,     9,    12,     7,     2,     0,     3,     2,     1,     3,
       3,     2,     1,     3,     3,     3,     2,     2,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     4,     5,     1,
       3,     3,     1,     2,     4,     5,     1,     1,     1,     1,
       3,     3,     2,     2,     2,     2,     1,     2,     2,     1,
       1,     1,     3,     2,     0,     2,     1,     3,     5,     1,
       2,     1,     0,     5,     7,     5,     7,     5,     7,     3,
       5,     5,     5,     1,     3,    11,    10,    10,     2,     2,
       0,     9,     2,     0,     4,     4,     4,     1,     1,     1,
       0,     7,     6,     6,     6,     6,     7,     9,     9,     6,
       6,     6,     6,     6,     8,     8,     6,     6,     6,     8,
       8,     8,     8,     6,     1,     0,     2,     0,     7,     6,
       6,     6,     6,     6,     6,     7,     6,     6,     6,     6,
       7,     7,     9,     9,     6,     6,     6,     8,     8,     8,
       6,     1,     1,     3,     3,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     1,     1,     1,     0,
       6,     8,     2,     2,     2,     2,     2,     3,     3,     2,
       2,     2,     2,     3,     2,     5,     4,     3,     3,     3,
       1,     1,     0,     3,     2,     2,     1,     3,     2,     1,
       0,     8,    10,     3,     4,     4,     0,     2,     5,     2,
       0,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     4,     3,     3,     1,     0,     5,
       6,     4,     2,     0,     4,     3,     5,     6,     4,     6,
       6,     5,     7,     1,     0,     6,    11,    11,    11,    13,
       9,    11,    10,     4,     2,     5,     2,     0,     4,     5,
       5,     2,     4,     1,     1,     1,     0,     1,     0,     1,
       0,     3,     0,     4,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     5,     4,     3,     0,     1,     1,     1,
       1,     4,     8,     3,     0,     5,     1,     4,     2,     1,
       3,     2,     3,     0,     6,     2,     0,     5,     3,     0,
       2,     2,     2,     3,     1,     3,     1,     2,     1,     0,
       7,     1,     3,     1,     1,     3,     5,     2,     1,     3,
       7,     0,     3,     2,     2,     2,     0,     2,     2,     1,
       1,     3,     3,     1,     2,     4,     4,     2,     3,     5,
       5,     1,     1,     9,     1,     2,     4,     4,     4,     2,
       3,     1,     3,     4,     2,     1,     0,     3,     3,     4,
       4,     4,     4,     2,     1,     1,     0,     1,     1,     0,
       1,     5,     1,     0,     1,     0,     3,     1,     3,     4,
       3,     4,     4,     2,     2,     4,     3,     5,     8,     1,
       0,     1,     1,     1,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     0,     2,     0,     1,     3,     1,     0,
       1,     2,     4,     4,     2,     0,     2,     3,     2,     0,
       1,     3,     1,     2,     1,     2,     5,     6,     5,     1,
       2,     1,     4,     3,     4,     5,     4,     5,     4,     5,
       2,     4,     1,     2,     2,     2,     1,     1,     0,     4,
       2,     1,     2,     2,     4,     1,     3,     1,     2,     3,
       1,     2,     0,     2,     4,     4,     0,     1,     3,     2,
       2,     3,     5,     6,     2,     3,     3,     4,     0,     1,
       1,     1,     1,     1,     2,     5,     1,     1,     1,     1,
       2,     3,     3,     0,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     1,     3,     0,     1,     1,     1,
       1,     5,     2,     1,     1,     1,     1,     5,     2,     2,
       2,     1,     3,     3,     2,     1,     0,     3,     0,     5,
       2,     5,     2,     1,     2,     3,     0,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     3,     3,     3,
       0,     1,     4,     1,     3,     5,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       3,     3,     2,     3,     5,     4,     6,     3,     5,     4,
       6,     4,     6,     5,     7,     3,     2,     4,     2,     3,
       3,     4,     3,     4,     3,     4,     5,     6,     6,     7,
       6,     7,     6,     7,     3,     4,     4,     6,     2,     3,
       4,     1,     3,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     2,     5,     6,     6,
       7,     3,     4,     1,     1,     2,     4,     1,     1,     1,
       2,     2,     2,     1,     4,     5,     6,     8,     6,     6,
       5,     1,     1,     4,     1,     4,     1,     4,     1,     4,
       1,     1,     1,     1,     1,     1,     6,     4,     4,     4,
       4,     6,     5,     5,     5,     4,     6,     4,     4,     4,
       4,     5,     7,     7,     9,     4,     6,     5,     7,     7,
       7,     2,     3,     3,     3,     4,     0,     4,     1,     3,
       3,     1,     1,     1,     2,     2,     0,     2,     0,     1,
       3,     3,     2,     2,     0,     6,     1,     0,     3,     0,
       2,     2,     0,     1,     4,     2,     2,     2,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     1,     4,     1,
       4,     1,     2,     1,     2,     1,     3,     1,     3,     3,
       3,     2,     1,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     3,     2,     3,     0,     3,
       3,     2,     2,     1,     0,     2,     2,     3,     2,     1,
       1,     3,     5,     1,     2,     4,     2,     0,     1,     0,
       1,     2,     2,     2,     3,     5,     1,     2,     0,     2,
       1,     0,     1,     1,     1,     3,     3,     1,     3,     3,
       2,     1,     1,     1,     1,     1,     3,     1,     2,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     2,     5,     2,     3,     6,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       0,     2,     4,     3,     2,     1,     1,     1,     1,     1,
       0,     8,     0,    14,     2,     5,     3,     2,     2,     3,
       7,     1,     1,     1,     0,     2,     2,     1,     0,     1,
       3,     1,     2,     0,     2,     0,     2,     0,     1,     3,
       4,     3,     1,     1,     1,     1,     2,     0,     2,     4,
       0,     2,     2,     2,     1,     1,     7,     3,     1,     1,
       1,     1,     2,     0,     1,     3,     3,     3,     3,     0,
       4,     5,     5,     0,     1,     1,     1,     1,     2,     2,
       2,     1,     2,     0,     7,     0,     5,     0,     4,     2,
       2,     0,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     5,     2,     1,     3,     2,     2,
       3,     0,     5,     1,     0,     5,     2,     2,     1,     1,
       1,     2,     2,     3,     1,     2,     2,     3,     3,     4,
       2,     1,     2,     1,     1,     2,     2,     3,     1,     1,
       1,     1,     0,     1,     3,     5,     0,     2,     0,     1,
       2,     3,     2,     1,     1,     1,     0,     1,     1,     1,
       1,     1,     2,     2,     3,     0,     1,     2,     1,     4,
       4,     0,     1,     1,     3,     1,     1,     1,     1,     2,
       2,     1,     2,     2,     1,     1,     1,     4,     4,     4,
       1,     0,     3,     3,     4,     1,     3,     3,     4,     1,
       3,     3,     1,     1,     1,     6,     1,     3,     3,     6,
       1,     3,     3,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     4,     1,     1,     4,     4,     3,
       0,     7,     1,     0,     0,     7,     3,     4,     3,     1,
       1,     1,     2,     3,     5,     2,     5,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     0,     1,
       2,     1,     2,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     3,     1,     2,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     3,     2,     3,     1,     3,     3,     3,
       3,     3,     3,     1,     1,     0,     2,     2,     1,     1,
       2,     1
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1980,     0,     2,     1,  2410,  2414,  2418,  2419,  2337,  2420,
    2421,  2386,  2387,  2388,  2389,  2390,  2391,  2392,  2393,  2394,
    2395,  2396,  2397,  2399,  2398,  2400,  2401,  2402,  2403,  2404,
    2405,  2406,  2407,  2409,  2408,  2358,  1987,  2355,  2352,  2353,
    2354,  2359,  2423,  2411,  2424,  2412,  2413,  2415,  2416,  2385,
    2417,  2425,  2426,  2427,  2422,  2357,  2350,  2351,  1594,  2430,
    2381,  2382,  2380,  2383,  2384,  2428,  2429,  2372,  2373,  2374,
    2375,  2431,  1988,  1989,  2377,  1981,  1985,  2049,  2122,  2378,
    2379,  2376,  1986,  2371,  2122,     0,  2240,  2241,  2242,     0,
    2243,  2244,  2245,  2171,  2136,  2246,     0,     0,  2247,  2248,
    2249,  2250,  2251,  2252,  2253,  2254,     0,  2255,  2256,  2257,
    2258,  2121,  2259,  2260,  2261,  2262,  2263,  2098,  2104,  2224,
       0,  2078,  2079,  2075,  2077,  2076,  2080,  2063,   922,   459,
     994,   993,     0,  1879,   922,  1880,  1837,  1881,  1838,  1839,
    1840,   241,     0,   996,  1841,     0,   922,   322,   337,  1882,
    1883,  2004,     0,  1842,  1843,     0,     0,     0,   459,   922,
       0,     0,  1844,  1012,  1845,     0,  1846,  1884,  1885,     0,
    1847,  1886,  1887,  1848,     0,  1849,  1850,  1888,  1889,  1890,
    1851,  1891,  1892,     0,     0,  1106,     0,  1852,  1893,  1853,
    1854,     0,  1894,  1855,  1856,  1857,  1895,  1896,  1897,  1858,
    1859,  1860,     0,  1861,     0,     0,     0,     0,     0,  1898,
     922,  1862,     0,  1113,     0,  1863,     0,  1899,  1864,     0,
    1865,     0,  1866,  1867,  1868,  1869,  1106,  2220,  2099,     0,
       0,   998,     0,  1870,  1900,     0,  1871,  1872,  1873,  1874,
    1875,  1876,  1877,  1878,     0,     0,    46,    47,    15,    14,
      20,    19,    68,    69,    36,     9,    59,    41,   100,    99,
     101,    26,    22,    54,    13,    23,    27,    43,    42,    12,
      40,    63,    44,    66,    33,    57,     6,    34,    58,     7,
      48,    70,    18,    45,    67,    29,    55,    52,    37,    38,
      39,    60,    61,    62,    84,    65,    95,    25,    74,    75,
      90,    76,    91,    77,    35,     8,    87,    86,    88,    30,
      56,    85,    89,    10,    11,    64,    82,    79,    96,    94,
     102,    80,    49,     3,     4,    71,    32,     5,    17,    16,
      31,    24,    98,    21,   996,    73,    83,    72,    78,    53,
      81,    97,    51,    93,  1082,  1069,  1115,  1081,     0,  1084,
    2316,  2317,    28,    92,   122,   104,   105,   110,  1984,  2038,
    2039,  2040,  2122,  2073,  2074,  2067,  2083,  2093,  2082,  2086,
    2094,  2081,  2100,     0,   107,   109,   111,   114,   108,   103,
     106,   113,   118,   112,   117,   115,   116,   119,   120,   121,
    2318,  1290,  2315,    50,  2055,     0,  2122,  2057,  2056,     0,
    2264,  2265,  2266,  2267,  2268,  2269,  2319,  2320,  2321,  2322,
    2323,  2325,  2324,  2347,  1600,  1601,  1602,  1603,  1604,  1605,
    1606,  1607,  1608,  1609,  1610,  1611,  1612,  1613,  1614,  1615,
    1616,  1617,  1618,  1619,  1620,  1621,  1622,  1623,  2291,  1624,
    1625,  1626,  1627,  1628,  1629,  1630,  1631,  1632,  1633,  2328,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,  1642,  1643,
    1644,  1645,  1646,  1647,  2329,  1648,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,  1656,  1657,  1658,  1659,  1660,  1661,  1662,
    1663,  1664,  1665,  1666,  1667,  1668,  1669,  1670,  1671,  1672,
    1673,  1674,  1675,  1676,  1677,  1678,  1679,  1680,  1681,  1682,
    1683,  1684,  2330,  1685,  1686,  1687,  1688,  1689,  1690,  1691,
    1692,  1693,  1694,  1695,  1696,  1697,  1698,  1699,  1700,  1701,
    1702,  1703,  1704,  1705,  1706,  1707,  1708,  1709,  1710,  1711,
    1712,  1713,  1714,  1715,  1716,  1717,  2331,  1718,  1719,  2332,
    1720,  1721,  1722,  1723,  1724,  1725,  1726,  1727,  1728,  1729,
    1730,  1731,  1732,  1733,  1734,  1735,  1736,  1737,  1738,  1739,
    1740,  1741,  1742,  1743,  1744,  1745,  1746,  1747,  1748,  1751,
    1749,  1750,  1752,  1753,  1754,  1755,  1756,  1757,  1758,  1759,
    1760,  1761,  1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,
    1770,  1771,  1772,  1773,  1774,  1775,  1776,  1777,  1778,  1779,
    1780,  1781,  2333,  1782,  1783,  1784,  1785,  1786,  1787,  1788,
    1789,  1790,  1791,  1792,  1793,  1794,  1795,  1796,  1797,  1798,
    1799,  1800,  1801,  1802,  1803,  1804,  1805,  1806,  1807,  1808,
    2004,  1809,  1810,  1811,  1812,  1813,  1814,  1815,  1816,  1817,
    1818,  1819,  1820,  1821,  1822,  1823,  1824,  2292,  1825,  1826,
    1827,  1828,  1829,  1830,  1831,  1832,  1833,  1834,  2334,  1835,
    1836,  2022,  2326,  2288,  1997,  2018,  2289,  2238,  2239,  1595,
    2290,  2287,  2327,  2024,  2343,  2023,  2286,  2170,     0,     0,
    2135,  2134,  2138,  2137,  2139,  2132,  2133,  1572,  2025,  2143,
    2142,  1571,     0,  2145,  2270,  2271,  2272,  2273,  2275,  2274,
    2276,  1901,  1902,  1903,  1904,  1905,  1906,  1907,  1908,  1909,
    1910,  1911,  1912,  2301,  1913,  1914,  1915,  2314,  1916,  1917,
    2302,  1918,  1919,  1920,  1921,  1922,  1923,  1924,  1925,  1926,
    1927,  1928,  1929,  1930,  1931,  1932,  1933,  1934,  1935,  1936,
    1937,  1938,  1939,  1940,  1941,  2303,  2304,  1942,  1943,  1944,
    1945,  1946,  1947,  1948,  1949,  1950,  1951,  1952,  1953,  1954,
    1955,  1956,  1957,  1958,  1959,  1960,  1961,  1962,  1963,  1964,
    1965,  1966,  1967,  2305,  1968,  1969,  2306,  1970,  1971,  1972,
    2307,  1973,  1974,  1975,  1976,  1977,  2311,  2312,  2313,  2300,
    2096,  2277,  2299,  2310,  2308,  2309,  2106,  2102,  2110,  2105,
       0,     0,     0,     0,  2122,   921,   920,   906,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   458,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1994,     0,   930,   301,   300,   995,   984,   459,     0,   909,
     321,     0,     0,     0,     0,     0,     0,     0,   581,     0,
       0,     0,     0,     0,     0,     0,     0,   170,     0,     0,
     332,   331,     0,     0,   446,     0,   723,     0,     0,   459,
       0,     0,     0,  2003,  1998,  2008,     0,  2001,  2002,  2286,
       0,  2434,  1749,  2034,  2035,  2432,  1794,  1061,     0,   242,
     245,   243,   244,     0,     0,   823,   608,     0,   607,     0,
       0,     0,   605,     0,     0,     0,     0,   609,   603,     0,
     602,     0,     0,     0,   606,     0,   604,     0,     0,   910,
       0,  2088,  2089,  1687,  1024,  1011,   996,  1601,   672,   676,
     667,   673,   679,   680,   668,   665,   666,  1763,     0,     0,
       0,     0,   656,  1596,   671,  1597,   685,   378,   378,   378,
       0,   684,   689,   378,     0,   903,   937,  1576,  1105,     0,
       0,   658,   902,  1809,  1016,     0,     0,   827,     0,   828,
       0,  1778,   914,   228,  2284,  1786,  1866,  1809,  2285,   224,
    2279,  2280,  2282,   197,  2283,  2281,  2278,  1605,     0,     0,
     684,     0,   911,   912,  1112,  1110,     0,     0,     0,  1622,
       0,  1634,  1711,   221,  1774,  1779,  1786,  1866,  1809,  1834,
     179,     0,   235,  1786,  1866,  1809,     0,   930,  1979,  1978,
       0,  1085,  1567,  1191,  1563,  1564,     0,     0,  2097,   905,
     904,  1197,     0,   997,  1000,     0,  1156,  1761,  1089,  1091,
    1002,  1082,     0,  1983,   991,  1109,  1109,     0,  1109,     0,
    1074,  1082,  1077,  1081,     0,   922,     0,  2065,  2093,  2072,
    2128,  2069,     0,     0,  2118,  2114,  2111,  2119,  2120,  2113,
    2101,  1279,  1280,  1281,  1278,  1291,  1277,     0,  2044,  1282,
    2085,  2050,     0,  2060,  2059,  2058,  2360,  2361,  2172,  1996,
    2015,     0,     0,     0,     0,     0,     0,  2151,  2144,  2146,
    2148,  2108,  2107,  2103,     0,     0,     0,     0,  2230,  2231,
    2229,     0,  2226,  2228,     0,  2128,     0,     0,  2295,  2289,
    2298,  1577,  2290,  2287,  2286,     0,   616,   125,     0,     0,
       0,     0,     0,     0,  1626,  1674,  1474,  1484,  1482,  1483,
    1476,  1477,  1478,  1479,  1480,  1481,     0,   813,  1475,     0,
     125,     0,     0,     0,     0,     0,     0,     0,     0,  1715,
     125,     0,     0,     0,     0,     0,   926,   929,   907,   987,
       0,  1564,     0,     0,   641,     0,   650,   642,   647,     0,
     644,     0,     0,   652,     0,   643,   645,   646,   651,     0,
       0,   648,   649,     0,     0,   918,   378,     0,     0,     0,
       0,     0,   125,   974,     0,   336,   335,   125,   334,   333,
    1626,  1674,     0,   744,   125,     0,   172,   487,   462,     0,
       0,   548,  1715,   125,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2007,  2013,     0,  2005,  2173,  2435,  2433,
    2131,     0,  1036,  1686,     0,   288,     0,     0,  1686,   965,
       0,  1686,     0,  1686,   165,  1569,  1626,  1674,  1686,     0,
       0,  1686,   157,  1686,     0,  1686,   288,  1686,   463,     0,
    1686,     0,  1686,  1715,   159,     0,  1686,   288,   614,     0,
       0,  2365,  2369,     0,  2367,  2362,  2087,  2141,  2140,  2037,
       0,  2445,     0,   669,   678,   677,   675,   674,   670,  1598,
    1599,     0,   663,   664,  2151,  2451,   662,   686,     0,     0,
     693,   692,   691,     0,     0,     0,   694,     0,  1195,  1039,
       0,   917,     0,     0,     0,     0,   830,   830,   830,   913,
     227,   225,     0,     0,     0,     0,     0,     0,   919,     0,
       0,     0,  1837,  1838,  1839,  1539,     0,  2291,  1840,  1841,
    1404,  1391,  1400,  1405,  1392,  1394,  1401,  1842,  1843,  1661,
    1844,  1845,  1590,  1846,  1847,  1234,  1849,  1850,  1851,  1396,
    1398,  1852,  1853,     0,  1591,  1855,  1856,  1738,  1858,  1859,
    1861,  1862,  1402,  1864,  1865,  1866,  1867,  1868,  1869,  1589,
       0,  1403,  1870,  1872,  1873,  1874,  1875,  1876,  1877,  1878,
    2349,  1583,  1485,  2348,     0,     0,  1562,     0,  1379,     0,
    1226,  1227,  1249,  1250,  1228,  1255,  1256,  1268,  1229,     0,
    1561,  1293,  1378,  1383,     0,  1377,  1373,  1096,  1557,  1540,
       0,  1374,  1579,  1593,  1592,  2343,  1548,  1582,  1580,  1581,
       0,     0,     0,   190,     0,     0,  2219,   237,     0,   238,
    1565,  1786,   180,   220,   192,   219,   193,   222,   223,   191,
       0,  1624,   181,     0,   188,     0,     0,     0,     0,     0,
       0,     0,   231,   908,     0,  1193,     0,     0,  1546,  1568,
    1192,   623,     0,     0,  1198,     0,   999,   996,  1553,  1552,
    1554,     0,  1090,     0,     0,     0,  1072,  1071,  1002,  1107,
    1108,     0,     0,     0,     0,     0,     0,     0,     0,  1149,
    1130,  1146,  1150,     0,  1078,  1157,  1982,  2128,  2129,     0,
    2123,     0,  2122,  2122,  2116,  2115,  2112,     0,     0,     0,
       0,     0,     0,     0,  2041,   443,  2043,   441,     0,     0,
    2017,     0,  2021,  2019,  2151,  2167,  2151,  2168,  2169,     0,
    2174,  2175,     0,  2152,  2356,     0,     0,  2158,     0,  2147,
    2153,  2155,  2157,  2156,  2165,  2161,  2164,  2166,  2109,  2122,
    2237,     0,  2232,  2235,     0,  2227,     0,  1578,     0,     0,
       0,     0,     0,   617,     0,     0,     0,   124,   963,   230,
     961,     0,     0,     0,     0,   968,     0,     0,     0,     0,
     777,     0,     0,     0,     0,     0,     0,   778,   776,   779,
     786,   799,   802,     0,   713,   163,   164,     0,     0,   855,
     855,     0,     0,   855,     0,     0,     0,     0,     0,     0,
       0,   247,   250,     0,     0,     0,     0,     0,     0,     0,
     127,   154,     0,     0,     0,   428,   440,     0,     0,     0,
       0,     0,   437,     0,   125,   248,   422,   425,     0,     0,
       0,   496,   495,   855,     0,   246,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   127,   156,
       0,     0,   249,     0,  2051,     0,   924,   925,     0,   928,
       0,   983,     0,     0,     0,     0,     0,     0,  1626,  1674,
       0,     0,     0,     0,     0,     0,   324,   307,   308,   125,
     306,     0,     0,   545,     0,  1237,  1266,  1244,  1266,  1266,
    1233,  1233,  1246,  1235,  1273,     0,  1266,  1233,  1238,     0,
    1236,  1276,  1276,  1261,     0,  1218,  1219,  1220,  1221,  1247,
    1248,  1222,  1253,  1254,  1223,  1290,  2296,  1233,  2297,  2294,
    2293,     0,   940,   973,     0,     0,   127,   582,     0,     0,
     546,     0,   127,     0,   168,     0,   491,     0,     0,     0,
       0,     0,     0,   507,   506,     0,     0,   547,     0,   127,
     424,     0,   414,   378,     0,     0,  1632,     0,  1575,     0,
       0,  2011,  2006,  2009,     0,  1999,  2013,  1064,  1066,  1065,
       0,  1063,     0,  1206,     0,   288,   286,   287,   543,   822,
       0,     0,     0,     0,   288,     0,     0,  1686,     0,  1686,
       0,     0,   288,   288,     0,     0,     0,     0,   492,     0,
     613,   611,   610,   612,     0,     0,     0,     0,     0,  1686,
     288,     0,     0,   601,  2363,     0,     0,  2366,     0,  2090,
    1495,     0,  2448,  1021,  2449,   337,     0,     0,  1003,  1010,
    1005,  1007,  1006,  1008,  1004,  1009,   655,   660,   661,     0,
    2450,  2335,  2341,     0,     0,   379,   381,     0,  1647,     0,
    1679,  1703,  1779,  1783,     0,  1804,     0,   695,   718,   690,
       0,     0,  1033,  1026,     0,     0,  1049,   657,  1014,  1497,
       0,     0,     0,   829,   826,   825,   824,   226,   198,     0,
       0,     0,   720,  1778,   916,     0,     0,  1381,  1382,  1265,
    1252,  1538,     0,     0,  1260,  1259,     0,     0,     0,     0,
    1242,  1241,  1240,  1380,  1505,     0,  1239,     0,     0,     0,
       0,  1266,  1266,  1264,  1312,     0,  1243,     0,     0,  1518,
       0,  1524,     0,     0,     0,  1272,     0,  1270,     0,     0,
    1348,     0,     0,     0,     0,     0,     0,     0,  1296,  1297,
    2292,  1379,  1495,     0,  1586,     0,     0,  1258,     0,  1290,
       0,     0,     0,     0,  1551,  1493,     0,     0,  1326,  1491,
       0,  1328,     0,     0,     0,  1485,  1484,  1482,  1483,  1476,
    1477,  1478,  1479,  1480,  1481,  1489,  1309,     0,  1560,     0,
    1308,  2151,     0,  1159,  1095,  1541,     0,  1584,     0,  2342,
    2344,  1375,  2216,  2215,  2214,  2213,  2184,     0,  2178,  2179,
       0,  2217,  2218,   239,   240,   236,     0,     0,   195,   194,
       0,   217,   218,   187,   216,     0,   212,   213,  1443,  1442,
     196,   186,   184,   209,   211,   210,   208,   182,   199,   201,
     202,   203,   185,   183,   234,   232,     0,     0,     0,  1543,
    1542,  1574,  1547,     0,     0,   288,  2122,  1199,     0,  1159,
    1051,  1053,  1054,     0,  1548,   988,  1556,     0,  1092,     0,
       0,   992,  1088,  1087,  1116,  1117,   737,  1086,  1140,  1141,
    1135,     0,  1155,  1155,  1132,  1123,  1131,  1124,     0,  1136,
    1293,  1148,  1076,  1129,  1075,     0,  1151,  1149,  1130,     0,
    2130,  2128,  2068,  1218,  2122,  2061,  2122,  2117,  2047,  1284,
    1285,  1286,  1287,  1288,  1289,  2048,     0,  2045,  1283,  2046,
     442,     0,     0,     0,  2014,     0,  1995,  2020,  2182,     0,
    2183,     0,     0,  2159,  2162,  2160,  2163,     0,     0,  1218,
    2338,  2233,  2338,  1218,     0,     0,     0,     0,     0,     0,
       0,   618,     0,     0,     0,  1804,   229,   959,     0,     0,
       0,     0,     0,   971,   372,     0,   285,     0,     0,     0,
       0,     0,     0,     0,   784,     0,     0,     0,     0,   785,
     782,   783,  1779,   801,   800,   798,   759,   761,   760,     0,
     763,   747,     0,   748,     0,     0,   758,   766,   764,     0,
       0,   854,   260,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   278,     0,     0,     0,     0,   283,
       0,     0,     0,   282,     0,     0,     0,     0,     0,     0,
     814,     0,   153,     0,     0,   427,   439,     0,   431,   432,
     429,   433,   434,     0,     0,     0,     0,     0,     0,   426,
       0,     0,   489,   488,   494,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   498,   499,
       0,   500,     0,   155,     0,     0,     0,     0,     0,     0,
     207,   923,   927,   986,   985,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   310,     0,   568,  2293,   544,     0,
    1218,     0,  1214,  1210,  1279,  1278,  1277,     0,  1224,  1233,
    1230,     0,   938,   347,   453,   161,     0,     0,     0,   556,
     559,     0,   123,   172,   337,     0,   171,   173,   175,   176,
     177,   174,   178,   486,   490,     0,   461,     0,     0,     0,
       0,     0,   511,   510,   513,   512,     0,   508,     0,     0,
       0,   152,   421,   423,  1990,     0,   339,   403,     0,   444,
       0,     0,     0,     0,     0,  1992,     0,  2012,     0,     0,
       0,     0,  1062,     0,  1169,  1035,  1160,  1171,  1162,  1164,
    1200,  1567,     0,     0,  1033,     0,   805,     0,   966,  1686,
     288,     0,   803,   166,  1570,     0,     0,     0,     0,     0,
     807,   598,   158,     0,   288,   288,   464,     0,   288,   160,
       0,     0,     0,   456,   288,   615,  2364,  2370,  2368,  1023,
       0,  2446,  2447,     0,  1061,   659,     0,     0,  2340,     0,
     687,     0,   377,   701,     0,     0,   700,   711,   702,   703,
     697,   696,   704,     0,     0,   720,  1028,     0,  1029,  1548,
       0,  1025,     0,  1046,     0,  1044,     0,  1196,  1048,  1037,
    1015,     0,  1013,  1018,  1020,  1019,  1017,     0,     0,     0,
     684,     0,     0,   288,   915,     0,  1501,     0,  1502,     0,
       0,     0,  1537,  1533,     0,     0,     0,     0,     0,  1509,
    1510,  1511,  1508,  1512,  1507,     0,     0,  1513,  1506,     0,
       0,     0,     0,     0,  1263,  1262,     0,     0,     0,     0,
       0,     0,     0,  1351,  1383,     0,     0,  1469,     0,  1495,
    1523,     0,     0,  1274,     0,     0,     0,     0,     0,     0,
       0,  1495,  1529,     0,     0,     0,  1441,     0,  1438,     0,
       0,     0,     0,  1548,     0,     0,     0,     0,  1587,  1294,
    1310,  1559,     0,  1550,     0,     0,  1317,     0,  1530,  1344,
       0,  1349,  1332,     0,  1325,     0,  1330,  1334,  1313,  1551,
    1494,     0,  1492,     0,     0,  1311,     0,  1306,  1304,  1305,
    1298,  1299,  1300,  1301,  1302,  1303,  1307,  1473,  1471,  1472,
       0,     0,     0,  1329,  2259,  1680,  1711,     0,  1106,  1106,
    1094,  1104,  1558,     0,  1202,     0,     0,     0,     0,  1454,
       0,  2346,  2345,  1549,     0,     0,     0,  1566,     0,     0,
    1290,     0,   233,  1194,  1544,     0,   621,   622,   620,  1218,
    1058,     0,     0,  1206,     0,  1057,   990,   989,  1555,  1001,
    1093,     0,   735,   736,     0,   740,     0,     0,  1133,  1147,
       0,  1049,  1049,     0,     0,     0,  1138,  1139,  1126,  1080,
    1079,  2066,  2124,  2071,  2092,  2062,  2095,  1292,  2042,  2084,
       0,  2016,  2185,  2186,     0,  2176,  2177,  2149,  2154,  2223,
       0,  2339,     0,     0,   566,   565,     0,     0,     0,   866,
     832,   619,   867,   833,   960,     0,   962,     0,     0,     0,
       0,     0,   288,   969,   868,   284,   970,   859,     0,     0,
       0,   469,   470,     0,   780,   781,   869,   834,     0,   860,
     762,  1233,   746,     0,     0,   757,     0,   756,  1233,  1233,
     835,   162,   252,     0,   857,   264,   277,   272,   273,   271,
     288,   288,     0,     0,     0,     0,   274,   269,   270,   266,
     279,   280,   843,     0,   294,   297,   281,   262,   265,   263,
     251,     0,  1573,     0,     0,   809,     0,     0,   846,     0,
       0,   136,   138,   140,     0,     0,   134,   142,   137,   139,
     141,   135,   143,   133,     0,     0,   132,     0,     0,     0,
       0,   126,   874,   839,   430,   435,   841,   438,   862,   436,
    1604,  1662,  1787,     0,   476,   478,     0,   483,   880,   840,
       0,   861,   876,   848,     0,     0,     0,     0,     0,     0,
       0,   975,     0,     0,     0,   875,   853,   864,     0,   847,
     842,   863,     0,     0,   205,   204,   206,     0,     0,     0,
       0,     0,     0,     0,     0,   654,   630,   653,     0,     0,
       0,     0,     0,     0,     0,   624,   323,   304,   305,     0,
     303,   567,     0,     0,     0,  1215,  1211,     0,     0,     0,
       0,     0,     0,  1231,     0,     0,   958,   958,   958,   958,
     958,   958,   958,   939,   967,   452,   472,     0,   587,   555,
       0,     0,   378,   167,     0,     0,     0,   460,   554,   552,
     551,   553,     0,     0,     0,     0,  1207,     0,     0,     0,
       0,     0,     0,     0,   338,   340,   342,   343,   344,     0,
     415,   417,     0,     0,   407,     0,     0,     0,     0,   726,
     751,     0,   769,   752,     0,     0,     0,   789,   794,   790,
     772,     0,  2010,  2004,  1067,  1068,     0,  1082,     0,  1171,
       0,  1170,  1182,     0,     0,  1188,  1186,     0,  1188,     0,
    1188,     0,  1163,     0,  1165,  1182,  1568,     0,     0,  1203,
    1034,   288,     0,     0,   466,   288,     0,   288,     0,   288,
     288,     0,   900,   493,     0,   540,     0,     0,   288,   600,
    1496,     0,     0,  2150,  2336,   688,   380,     0,   699,     0,
       0,   710,   705,   707,     0,   714,     0,     0,  1031,     0,
    1047,  1040,  1042,  1041,     0,     0,  1038,  1498,   599,     0,
       0,   288,     0,   715,  1111,  1499,  1500,     0,     0,     0,
       0,  1534,     0,     0,  1417,  1393,  1395,  1232,  1407,     0,
    1245,  1418,  1419,  1397,  1399,     0,  1486,     0,     0,  1408,
    1353,  1354,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1366,  1365,  1409,  1468,     0,
       0,  1521,  1522,  1410,  1275,  1276,  1276,     0,     0,  1528,
       0,     0,     0,  1415,  1420,     0,     0,  1425,     0,  1446,
       0,     0,     0,  1376,  1496,  1267,  1268,     0,     0,     0,
       0,     0,     0,     0,     0,  1350,  1333,  1327,     0,  1331,
    1335,     0,     0,     0,     0,  1319,  1345,  1315,     0,     0,
    1321,     0,  1346,  1106,  1106,  1106,  1106,  1103,     0,     0,
    1158,     0,  1143,     0,     0,     0,  1454,     0,  1384,  1454,
       0,  2198,  2200,  2201,  2202,  2203,  2204,  2206,  2207,  2209,
    2210,  2211,  2199,  2205,  2208,  2212,  2189,  2190,     0,  2180,
    2181,   189,     0,   214,   200,     0,  2223,     0,     0,  1052,
    1033,  1055,  1118,     0,  1487,   740,   738,   739,  1120,     0,
       0,  1154,  1153,  1152,  1121,  1125,  1122,     0,     0,  2126,
    2052,     0,     0,  2222,  2225,  2236,  2234,  2064,   865,   831,
     858,   958,     0,   371,     0,     0,     0,   972,   451,     0,
     450,   448,   468,   774,     0,  1233,   749,   754,   755,     0,
     347,     0,     0,   253,     0,   261,   258,   275,   267,   276,
     268,   291,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   871,   148,     0,     0,     0,     0,
     129,   128,   149,   147,     0,   146,     0,   480,   481,   479,
     475,     0,   482,   484,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   870,   836,   625,     0,
       0,   626,   634,     0,     0,   627,     0,     0,     0,     0,
       0,     0,   636,   326,   311,   315,   974,   974,     0,   316,
     974,   312,   974,   309,   569,     0,  1738,  1476,  1477,   563,
     570,   560,   562,   561,   564,   535,     0,     0,     0,  1216,
       0,  2436,  2444,  2443,     0,  1290,     0,   958,   957,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   358,
       0,     0,   352,     0,     0,   794,   346,   349,   350,     0,
     465,     0,   557,   558,     0,   337,     0,     0,   515,   509,
       0,   571,   549,     0,  1209,   472,  1024,   420,   339,   364,
     399,     0,   413,     0,   401,   400,   402,     0,   409,   936,
     453,     0,   726,     0,     0,   750,     0,     0,     0,   787,
     791,   788,     0,     0,   765,     0,   773,   743,     0,  2027,
    1060,  2036,  1173,  1180,     0,  1161,     0,  1187,  1183,     0,
    1184,     0,     0,  1185,     0,     0,  1180,     0,     0,     0,
     806,     0,   288,   804,     0,   594,     0,   596,   808,   288,
     288,   501,     0,   457,   414,  1066,   698,   712,   708,     0,
       0,   681,   717,  1027,  1030,  1032,  1045,  1043,   720,     0,
     682,   719,  1503,  1251,     0,  1536,  1532,     0,  1504,     0,
    1516,  1515,  1352,  1517,     0,  1371,     0,     0,  1363,  1361,
    1362,  1355,  1356,  1357,  1358,  1359,  1360,  1364,  1526,  1525,
    1519,  1520,  1271,  1269,     0,  1412,  1413,  1414,  1527,  1421,
       0,  1440,  1439,     0,     0,     0,  1427,     0,     0,  1436,
       0,  1470,  1257,  1290,  1295,     0,     0,  1318,  1531,  1336,
       0,     0,     0,  1314,     0,     0,     0,     0,  1323,  1486,
       0,     0,     0,     0,     0,     0,  1098,  1097,  1201,     0,
    1145,  1454,  1454,  1454,  1390,  1457,  1452,  1453,  1385,  1585,
       0,     0,     0,     0,  1545,  2221,     0,  1059,  1050,     0,
    1119,  1134,  1127,  1135,  2070,     0,  2125,  2187,  2188,     0,
     373,     0,     0,   794,   879,   449,   775,     0,   767,   345,
       0,   856,     0,     0,     0,     0,   295,   296,   299,     0,
       0,     0,     0,     0,   588,   574,     0,     0,   589,   590,
       0,     0,   811,   812,   810,   144,   130,   151,   150,   131,
     145,   477,   844,     0,     0,     0,     0,     0,   878,   852,
     877,   850,   849,   851,   845,   503,     0,   628,     0,     0,
     629,   640,   638,   637,   639,   631,   327,   125,     0,     0,
       0,     0,     0,     0,     0,   537,     0,     0,   542,   531,
     533,     0,     0,     0,  1212,     0,     0,     0,     0,     0,
       0,  1217,  1225,   530,     0,   949,   948,   947,   951,   950,
     953,   952,   944,   943,   956,   955,   942,   941,   946,   945,
       0,     0,   356,   360,   361,   359,   351,   794,   378,   411,
       0,     0,     0,     0,     0,   517,     0,   550,     0,  1208,
     497,  1022,     0,  1991,     0,   362,     0,   403,   341,   416,
     417,     0,     0,   412,     0,   931,   455,     0,     0,   725,
       0,   753,   770,   771,     0,     0,   794,   793,   895,   896,
     893,   894,     0,     0,  2000,  1172,     0,     0,  1174,     0,
       0,  1176,  1178,     0,     0,     0,     0,     0,  1571,  1454,
    1204,  1205,   288,   467,   288,   288,   901,   541,     0,     0,
       0,     0,   706,   288,     0,  1535,  1406,  1416,  1514,     0,
       0,  1372,     0,     0,  1411,  1871,     0,     0,  1444,  1445,
    1426,     0,  1724,  1431,     0,     0,     0,  1588,  1342,  1340,
    1337,     0,  1338,     0,     0,  1320,  1316,     0,  1322,  1347,
    1102,  1101,  1100,  1099,     0,     0,  1448,  1388,  1389,  1386,
    1459,  1456,     0,  2191,     0,  2194,  2192,  2193,  2197,  1290,
    1056,     0,     0,  2127,   964,     0,   794,   411,   768,   254,
     255,   256,   257,   290,     0,   872,   837,     0,     0,   580,
       0,     0,     0,     0,   873,   838,     0,     0,     0,   980,
       0,     0,   632,   633,   310,     0,   313,   318,     0,   319,
     314,   317,   539,   538,   536,   532,   534,  1213,     0,   820,
     820,  2437,  2438,  2439,  2440,  2441,  2442,     0,   535,   954,
       0,     0,   348,   411,   385,     0,   353,     0,   473,     0,
     936,   339,   472,   516,     0,     0,   572,   418,     0,   403,
       0,     0,   363,     0,   407,     0,   404,     0,   408,     0,
       0,     0,     0,   445,     0,     0,     0,     0,   727,   734,
     734,   792,     0,   796,     0,   764,   741,     0,  2026,  2030,
       0,  1181,  1190,     0,  1177,  1175,  1166,     0,  1168,   821,
     595,   597,   502,     0,   709,   716,   288,  1367,     0,     0,
       0,     0,  1422,     0,  1423,  1428,  1432,     0,  1429,  1430,
    1339,  1343,  1341,  1324,  1142,  1144,     0,  1083,     0,  1115,
    1454,  2196,  2195,   215,  1488,     0,     0,   411,   374,     0,
     259,   298,     0,     0,   586,   575,     0,     0,   591,     0,
       0,     0,     0,     0,   635,   302,   325,   320,   820,     0,
     817,   816,   529,     0,   355,   354,     0,   390,     0,   471,
       0,   584,   932,   485,   518,   519,   514,     0,   419,   407,
     368,   366,   370,   367,   365,   369,     0,   409,   405,   406,
       0,   933,     0,   454,   982,     0,     0,   293,     0,     0,
     732,   737,   737,   795,     0,     0,  1202,     0,  2028,  1179,
       0,  1167,   683,  1368,     0,  1369,     0,     0,  1434,  1433,
    1447,  1449,     0,     0,  1462,  1114,  1387,  1128,   378,   375,
     289,     0,   578,   585,   576,   586,     0,     0,   976,     0,
     977,   978,   981,   815,   819,   818,     0,   382,   383,   384,
       0,   357,   386,   387,     0,   474,     0,     0,     0,   409,
     398,   329,   934,   935,   293,   734,     0,   409,   728,   733,
     740,   740,   794,   797,     0,  2031,  2033,  2032,     0,  1189,
    1370,  1437,  1424,  1435,     0,     0,  1458,     0,     0,     0,
     385,     0,   577,   593,   592,     0,     0,     0,     0,     0,
     388,     0,   389,   410,   583,     0,   522,   330,   409,   737,
     292,  1202,   730,   729,   742,   899,  2029,  1450,  1451,     0,
       0,     0,  1460,  1463,  1461,  1455,   390,     0,   979,     0,
     395,     0,   394,     0,   392,   391,   573,   527,     0,   520,
     523,   528,   526,   524,   525,  1202,   740,   721,   898,   897,
       0,     0,  1467,  1466,  1465,   535,   579,     0,   393,   397,
     396,   504,     0,   722,   731,   881,   892,  1993,   882,   890,
     887,   889,   888,   886,     0,   376,     0,   521,     0,   891,
     885,  1082,  1069,  1464,     0,   883,   892,   522,   884,     0,
     505
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   245,   246,  1588,  2252,  2821,   247,   248,   249,
     250,   251,   252,   253,   254,   255,  1618,   256,   257,  1215,
    1764,  2356,   258,  2176,  1011,  2057,  2058,  2301,  2059,  2043,
    1454,  2060,  1589,  1610,   260,   261,  1448,  2035,   262,   263,
     264,  1631,  1632,  1595,  1808,  4000,  2243,  4127,  2783,  2784,
     265,   266,  2889,  1709,  2890,  3333,   841,  2323,  3657,  3658,
     267,  1761,  2943,  2944,  2945,  2946,  2914,  3376,  3377,  3378,
    2947,  3725,  3922,  2948,  2184,  1310,  1874,  1875,  4027,  4111,
    4112,  4113,  4194,  3727,  2954,  3408,  3733,  3906,  1781,  2387,
    2949,  2950,  3723,   268,   269,  2382,  1656,  1657,  2257,  3339,
     270,   869,  3240,  2915,  2916,  3933,   271,   829,   272,  1768,
     273,   274,   275,   276,  3380,  3907,  1661,  2833,  2834,  2835,
    2836,  3292,   277,  1766,  1662,  2365,   278,   279,   280,  2290,
     281,   282,   283,  1775,  2376,  2377,  3716,  3914,  4036,  4198,
    4199,  3898,  3668,  3669,  3670,   284,   285,   286,   287,  1760,
    2348,  2349,  3340,  1579,  1713,  2325,  2326,  3390,   288,  3614,
    3615,   870,  4117,  4094,   289,   290,  3618,  3619,   291,   292,
     293,   294,   295,   918,  1277,  1278,  2759,   296,  2075,   297,
    1194,  2876,   298,   940,   941,   299,   300,   950,  2500,   952,
    1886,  3031,  3032,  3471,  2466,  1130,   301,   302,  2475,  2503,
     303,   871,  3414,  3937,  3938,  4061,  2675,  3208,   304,   872,
    1614,  2212,  2394,  2961,  2962,  2214,  2215,  3423,  2216,  2963,
    2968,  2969,  2970,  3419,  3427,  3943,  3944,   305,  1612,  2205,
     306,   307,   308,  1636,  1146,   309,  4020,   310,  1247,   311,
     970,  1904,   312,  2223,  3254,   313,   314,  4227,  4238,  4239,
    4240,  3752,  4210,   315,  4229,   317,   318,   319,   832,  1166,
    1167,  1168,   320,  3735,   321,   322,  2342,  2913,  3359,   323,
     324,  2177,  2726,   325,   326,   327,  1754,   328,   329,   330,
     331,  1691,   332,   333,   334,   836,  1034,  1487,  1495,   335,
    1858,   926,   336,  1324,  2492,   337,  1291,  4230,  1892,  2477,
    2478,  2481,  4231,  1803,   340,  1896,  2486,  2489,  4232,  2079,
    2080,  2081,  2082,  2083,  2661,   342,  1241,  2401,  4233,  1408,
     345,   346,   347,   348,  1038,  1039,  2013,  2630,   959,  1501,
     996,  1049,  1050,  2094,  2095,  2113,  2114,  2105,  2677,  2107,
    2108,  2688,  2100,  3560,  3826,  2111,  2112,  1511,  1512,  2681,
     349,  2634,  2405,  2406,  2407,  2981,  2991,  3438,  3761,  2408,
    1319,  1032,  2409,  3162,  2414,  2935,  2936,  2217,  2333,  1735,
    1409,  1736,  2340,  1410,  1936,  1738,  1411,  1412,  1413,  1741,
    1414,  1415,  1416,  1417,  1920,  1977,  1418,  1419,  1955,  1078,
    1079,  1850,  2542,  1421,  1422,  3529,  3805,  3796,  2567,  2568,
    2050,  3525,  3987,  4080,  4081,  3568,  3566,  3830,  3989,  4149,
    4182,  4183,  1423,  2620,  2005,  1148,  1424,  3342,  2007,  2562,
    2165,  1918,  2509,  2525,  2526,  2539,  3078,  2546,  2551,  3101,
    3102,  2563,  2589,  1425,  2512,  2513,  3062,  1922,  1426,  1478,
    1479,  2021,  2585,  1490,  1491,  1036,  1427,  1428,  1429,  1887,
    1023,  3757,  1255,   683,  2791,  2070,  1170,   956,  1430,  1431,
    1432,   661,  1535,   662,   663,  1118,   787,  1024,     2,    75,
     352,  2940,   353,  2971,   354,   355,   874,   875,   876,  1233,
    1234,  1792,  1795,  1540,  2146,   664,   665,   884,  3754,  3948,
    4068,   924,   356,   357,   358,   359,  1536,  2142,  1080,    76,
      84,    77,  1081,   395,   396,  2124,   360,   804,  2125,  1517,
    1060,  3219,   362,   363,   364,   365,   366,   921,   367,  1062,
     368,  1063,   369,   370,   371,   372,  1070,   373,  1519,  1520,
    3586,  1521,   374,   375,   685,   686,  1289,   376,   377,  1098,
    1099,  1100,  1305,  1869,  1559,  1560,  1561,   378,   679,   379,
     380,   381,  1550,  1551,   382,  2028,  2029,  2149,  2030,   383,
    2702,  2703,   384,  3186,  3187,  3836,  3188,   385,  2024,   386,
     387,  1027,  3224,   388,   800,   389,  1112,   666,   667,   668,
    1120,   790,   983,  1025,  1121,  2837,   792,   793,   670,   671,
     672,  1870,    78,  2710,  1871,  1433,  1434,  2019,  1435,  1436,
    1437,  1438,  1439,  1567,   676,  1088,  1281,  1282,  2711,  1284,
      82,  1285,   393,  3354,  1853,  1306
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -3712
static const int yypact[] =
{
   -3712,   343,  4637, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, 18421, -3712,
   -3712, -3712, -3712, -3712, 82697,   344, -3712, -3712, -3712, 44525,
   -3712, -3712, -3712,   219, 55383, -3712, 62919,   736, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, 69042, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, 47835,  1296, -3712,
     178, -3712, -3712, -3712, -3712, -3712, -3712, -3712,  1033,  6107,
   -3712, -3712, 59622, -3712,   407, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, 63390,   335, -3712,   689,  1027,    75, 11715, -3712,
   -3712, 45471, 57738, -3712, -3712, 69513,   868,   280,  7031,  1033,
   17947, 63861, -3712,  1532, -3712, 42123, -3712, -3712, -3712, 55854,
   -3712, -3712, -3712, -3712,   895, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, 69042,   297,   771, 42607, -3712, -3712, -3712,
   -3712, 69042, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, 64332, -3712,  1009,   534, 69984, 70455, 54912, -3712,
    1078, -3712, 69042,   602, 47363, -3712, 70926, -3712, -3712,   795,
   -3712, 58209, -3712, -3712, -3712, -3712,   771, -3712, 47835, 40199,
   58209,  1045,   864, -3712, -3712, 71397, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712,  1507,   876, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712,   335, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712,   638, -3712,  1116,   866,  1512,   963,
   -3712, -3712, -3712, -3712,  6914, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, 84098,  1698, -3712, -3712, -3712,   972, -3712,  1058,
   -3712, -3712, -3712,  1572, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712,  1361, -3712, -3712, -3712,  1460, 83164, -3712, -3712, 64803,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   44998, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712,   132, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, 69042, 69042,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, 64803,  1110, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712,   226,  1324, -3712, -3712,
   47835,  1844,  1844,  1588, 84098, -3712, -3712, -3712, 48779, 69042,
   69042, 69042,  1569, 48779, 69042, 60093, 36814, -3712, 69042, 69042,
   60093, 69042, 58209, 69042,  1279, 69042, 69042, 71868, 60093,  1418,
   -3712,  1735,    33, -3712, -3712, -3712, 60093,  8645,   297, -3712,
   -3712, 60093,  1380, 48779, 69042,  1293,  1404, 69042, -3712, 69042,
    1670,  1304, 69042,  1514, 37302,  1481, 69042, 69042, 69042, 69042,
   -3712, -3712,  1478, 69042, -3712, 69042, -3712, 72339,   758,  1501,
    1723,  1686,    45, -3712, -3712,  1452,  1440, -3712, -3712,  1877,
   64803, -3712, 60564, -3712, -3712, -3712,   101, -3712, 58209, -3712,
   -3712, -3712, -3712, 49251, 69042,  1732, -3712, 72810, -3712,  1817,
   49723, 73281, -3712, 37790,  1869, 73752, 74223, -3712, -3712, 74694,
   -3712, 75165,  1608, 75636, -3712, 76107, -3712,  1752, 76578, -3712,
   16204, -3712,  1486,  1935,  1502, -3712,   335,   105, -3712,   142,
     -15,   156, -3712, -3712,   -14,   225,   484,   105,  1553,  1553,
   61035, 69042,  1797, -3712, -3712, -3712,   358,  1574,  1574,  1574,
    1750,  -129, -3712,  1574, 60093, -3712, -3712, -3712, -3712, 58209,
     131, -3712, -3712,   297,    19,  1965, 69042, -3712, 69042, -3712,
   60093, 69042, -3712, -3712, -3712,  1978,  1617,  1864, -3712,  1598,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712,  1803,  1807,  1856,
      -5,   297,  1715, -3712, -3712,  1863, 24231,   719, 64803,   297,
   43091, 58680, 80817,   127, 46417,   297, 77049,  1696,    33,  1868,
   -3712,   418, -3712,  2080,  1720,  1942,   -44,    33, -3712, -3712,
   34431, -3712,   499,  1719, -3712, -3712, 58209, 84565, -3712, -3712,
   -3712, 77520,  1855, -3712,  2037, 24724, -3712, 69042,  1762, -3712,
    1773,  1768,  1783, -3712, 60093,   997,   997,  2171,   997,  1515,
    1730, -3712,  2657, -3712,   864,  1033,  1787, -3712, -3712, -3712,
    1804, -3712,  1798,  1802, -3712,   228,  2084, -3712, -3712, -3712,
   -3712,  1916,  1925,  1951,  1988,  1893,  2010,   386, -3712, -3712,
   -3712, -3712,  2206, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
    2326,  2330, 45471, 45471,  2015,   160,   125,   193, -3712, -3712,
   -3712,  2209, -3712, -3712,  2221, 69042,  2044, 69042, -3712, -3712,
   -3712, 77991, -3712, -3712,  1844,  1804,   499,  1983, -3712,   349,
   -3712, -3712,   369,   391,   414,   869,  1990,  1438,   112,  2034,
    3151,  2021,   823,  2881, 69042, 69042, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712,  2022, -3712, -3712,  2013,
     -55,  1043,  4916,  1103,  3414,  1259,   517,  2212,  1425,  2322,
     991,  3660, 69042,  2039,  2275,   462, -3712,   841, -3712,  2117,
    2240,  2252, 48779,  2082, -3712, 69042, -3712, -3712, -3712, 48779,
   -3712,  2269, 38278, -3712, 69042, -3712, -3712, -3712, -3712,  2211,
   69042, -3712, -3712,  2333, 69042, -3712,  1574,   990,  2112,  2484,
   52083, 69042,  2158,  2522,  2165, -3712, -3712,  2158, -3712, -3712,
   69042, 69042,  2128,   951,  2158,  2523,  2524,  2198,  2301,   620,
    1164,    81,  2423,  2158, 60093, 60093, 60093,  2374, 69042, 78462,
   48779, 69042, 65274, -3712,  2134,  1452, -3712, -3712, -3712, -3712,
   -3712,  1015,  2199,  2440,  1983,   143,  2441,  2147,  2447, -3712,
    2191,  2448,  2021,  2451,  2152, -3712, 78933, 79404,  2453,  2022,
   69042,  2454,  2152,  2455,  2339,  2459,   143,  2460, -3712,   652,
    2461,  2346,  2462,  1469,  2152, 46890,  2465,   135, -3712, 16847,
   16204, -3712, 19832,  1391, -3712, -3712, -3712, -3712, -3712, -3712,
   27189,   482,  1685, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, 69042,  1797,  1797,   293, -3712, -3712,  2169, 69042, 69042,
   -3712, -3712, -3712, 56325, 69042, 59151, -3712,   352, -3712,   -12,
   69042, -3712,  1935, 52083,  2570, 69042,  2464,  2464,  2464, -3712,
   -3712, -3712,  2404, 69042,  2463,  2467, 56325, 69042, -3712, 79875,
    2182,  1497,  1003,   260,  1128, 27189,  2183,   217,   217,  2184,
   -3712, -3712, -3712,   434,  2186,  2190, -3712,   456,   456,  2347,
    2192,  2193, -3712,   460,  2194, -3712,  1159,   471,  2195,  2197,
    2202,  1980,   217, 27189, -3712,  2207,   456,  2208,  2210,  2213,
    1258,  2214, -3712,  1267,  2215,   285,   354,  2216,  2217, -3712,
    2192, -3712,   319,  2219,  2220,  2222,  2223,  2225,  2226,  2227,
   -3712, -3712, -3712, -3712, 27189, 27189, -3712, 23245, -3712,   297,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712,    44, -3712,   477,
    9085, -3712, -3712,  2369, 27189, -3712, -3712,   136, -3712,   499,
     943, -3712, -3712, -3712, -3712,  1403, -3712, -3712, -3712, -3712,
    1632,  1632,   155, -3712, 59622, 59622, -3712, -3712,  1025,  2203,
   -3712,  1256, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   45944,  2608, -3712,  2771,   841,   198,  2555, 40671, 41155,  1797,
    1797,  2450, -3712, -3712, 60093, -3712, 27189, 39255, -3712,   499,
   -3712,    43,  2472, 69042, -3712, 34903, -3712,   335, -3712, 10992,
   -3712,  1570,  1762, 69042, 69042,  2629, -3712, -3712,  1773, -3712,
   -3712,  1512,  1512, 27189,  1512,   805,   968, 25217, 27189,  2518,
     939,  2519, -3712,  1515,  1730, -3712, -3712,  1804,  2242,  1651,
   -3712, 53970, 83631, 83631,  2489, -3712, -3712,  1222,   651,  2363,
    2458,  1553,  1282,  1224, -3712, -3712,  2244, -3712,  2576, 59622,
    2311, 45471, -3712, -3712,  2716, -3712,  2716, -3712, -3712,    91,
    2255, -3712,  2273, -3712, -3712,  1224,  1224, -3712,  2747, -3712,
    2262, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, 84098,
    2266, 69042, -3712,  2267,  2268, -3712, 84565,   499, 39727,  1557,
    2349,  2350, 47835,  2271,  2352,  2355, 81288, -3712, -3712, -3712,
   -3712,   444,   859,  2356,    89, -3712, 69042,  2468,   386,  2396,
   -3712,  2360,  2361,  2475,   386,   124, 81759, -3712, -3712, -3712,
   -3712, -3712,  1450, 21318, -3712, -3712, -3712,  2368,  2351,   780,
    2655,  2473,   820,  1728,   255, 60093,  2556,  2375,  2379,  2300,
    1253,  2313, -3712,  2362,  2376, 51139,  2490, 38766,  2400, 80817,
   -3712, -3712,  2402,  2403,   386, -3712,  2709,   386,   386,   838,
    2711,  2407,   447,  1257,  2158,  2313,  1676, -3712,  2332,  2408,
     481, -3712,  2509,    86,  1351,  2313,  2412,  2414, 69042, 69042,
   69042, 69042, 60093,  2416,  2419,  2469, 61506,  2420, -3712, -3712,
    2421,  1498,  2313,  1364, -3712,   394, -3712, -3712,    33, -3712,
   69042, -3712, 60093,  1983, 52083,  2520,  2021,   386, 69042, 69042,
    2022,    51,   802,  2529, 69042,  2598,  2398, -3712, -3712,  2158,
   -3712, 39727,  2128, -3712,  2359, -3712,  2410, -3712,  2410,  2410,
    2365,  2365,  2367, -3712, -3712,  1980,  2410,  2365, -3712, 53027,
   -3712,  1242,  1414, -3712,  2760,  2762, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712,  1395, -3712,  1539, -3712, -3712,
   -3712,  2773, -3712, -3712, 52083, 69042, -3712,  2696,  2432, 47835,
   -3712,  2424, -3712, 69042,   170,   297,  2426, 69042,  2600, 69042,
   69042, 69042, 69042, -3712, -3712,  1101,     6, -3712, 61506, -3712,
    1676,  2779,   541,  1574, 46417,  2669, 69042,  2563, -3712,  2387,
    2787, -3712, -3712,  2393,  1553, -3712,  2134, -3712,  1707, -3712,
    2512, -3712, 30626,  2433, 48779,   143, -3712, -3712, -3712, -3712,
   52083, 69042, 80346, 48779,   143, 69042, 69042,  2690,  2456,  2694,
    2457, 38766,   143,   137, 69042, 69042, 60093, 69042, -3712, 69042,
   -3712, -3712, -3712, -3712, 69042, 60093, 69042, 61506,  2698,  2699,
     143, 69042, 69042, -3712, -3712, 17325,  1458, -3712, 16204, -3712,
   10992,  1578,  1797, -3712,  1110,   828, 69042, 64803, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712,  1797, -3712, -3712,  2887,
    2405, -3712,  1403, 69042,  1602, -3712, -3712,  1610, 69042,   241,
   48779, 69042, 69042, 60093, 60093, 69042,  2483,  2203,   714, -3712,
    2471, 33959,  2537, -3712,   224, 58209,  2602, -3712, -3712, -3712,
    1619,  1384,   324, -3712, -3712, -3712, -3712, -3712, -3712, 59151,
   55854,  2689,   -40, 69042, -3712, 27189, 23738, -3712, -3712, -3712,
    2409, 10992,  2470, 27189, -3712, -3712, 27189,  1553,  1553, 27189,
   -3712, -3712, -3712, -3712,  2060,  1553, -3712, 27189, 27189,  1553,
    1553,  2410,  2410, -3712,  4947, 27189, -3712, 38766, 27189, 28668,
   20824, 27189,  2494,  2445,  1553, -3712,  1553, -3712, 27189, 22752,
   -3712, 27189,  2625, 27189,   198,  2626, 27189,   198,  2850,  2850,
     864,  1836,  5548,  2429, -3712,  2543,  1553, -3712,  1553,  1215,
   52083, 27189, 47835,  2514,   119, 27189,  2436,  2089, -3712, 27189,
    1141, -3712,  2439, 27189,  2532,   169, 27189, 27189, 27189, 27189,
   27189, 27189, 27189, 27189, 27189, -3712, 29161,   361, -3712,   463,
     161, 56796, 24231,  2722, -3712,   233, 20330, -3712, 64803, -3712,
   -3712,   499, -3712, -3712, -3712, -3712, -3712,    91,  2443, -3712,
    2474, -3712, -3712, -3712, -3712, -3712, 60093,  2608, -3712, -3712,
    2531, -3712, -3712, -3712, -3712,   948, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712,  2476, -3712, -3712,
   -3712, -3712, -3712,  2476, -3712, -3712,  1797,  2466,  3234, -3712,
   -3712, -3712, -3712,  2728,  2729,   143, 84098, -3712, 69042,   107,
   -3712, -3712, -3712,  2477, -3712, 57267, -3712, 24724, -3712,  1628,
    2192, -3712,  2710, -3712,  2479, -3712,  9545,  2710, -3712, -3712,
      93,  2621,  2647,  2647, -3712,   432, 10992,  2695,  1829, 10992,
    1860, -3712, -3712, -3712, -3712,   -83, -3712,  2518,   939,  1758,
   -3712,  1804, -3712, -3712, 18893, -3712, 19367, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712,  2493, -3712, -3712, -3712,
   -3712,   386,  2495,  2933, -3712, 45471, -3712, -3712, -3712,  1877,
   -3712,  1877,  2958, -3712, -3712, -3712, -3712, 64803,  1537, -3712,
   16204, -3712, 16204, -3712,  2496,  1644,  2554,  2558,  2599, 69042,
   69042, -3712, 47835, 69042, 69042, 69042, -3712,  2853,  2501, 69042,
    2741,  2742,  2510, -3712, -3712, 69042, -3712,  2701, 69042, 27189,
    2705, 69042,  1156,  2707, -3712,  1202, 69042, 69042,  2700, -3712,
   -3712, -3712, 46417, -3712, -3712, -3712,  2691, -3712, -3712, 53027,
   -3712, -3712,  1657, -3712, 52555, 50195, -3712, -3712,  1023, 69042,
   69042, -3712, -3712, 69042, 69042, 69042, 69042, 61977, 69042, 69042,
    1122,  1172, 69042, 62448, -3712, 60093, 69042, 69042, 47835, -3712,
   69042,  2703,   812, -3712,  2391, 69042, 69042,  2521,  1681,  2604,
   -3712, 69042, 10114, 69042, 69042, -3712, -3712,   386, -3712, -3712,
   -3712, -3712, -3712, 69042, 69042,   386, 69042,   386,  1170, -3712,
   48307, 69042, -3712, -3712, -3712, 69042, 69042, 69042, 69042, 69042,
    1315,   -80,  2660,  2667,  2668, 69042, 69042, 69042, -3712, -3712,
    2644, -3712, 69042, 10114, 69042, 69042,  2610,  2611,    77,  2681,
   -3712, -3712, -3712, -3712, -3712,  2780,  2935, 69042,  2781,  2782,
    2601,  2612,  2793,  1075, 69042, 69042, 69042, 69042, 69042, 69042,
    2804,  1075,  2726,    21, -3712,  1693, -3712,  2575, -3712, 27189,
    2963, 52083,  2567,  2568,  2646, -3712,  2648,  1553, -3712,  1711,
   -3712,  1101,  1092, -3712,   -31, 10114,  2856, 69042,  1697, -3712,
    2589, 60093, 10114, -3712,  1269, 55854, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712,  2862, -3712,   297,  2128,  2128,
    2128,  2128, -3712, -3712, -3712, -3712,  1483, -3712,  2579, 69042,
    2697, 10114, -3712,  1676,  2879, 60093, 54441,  1861,  2981,  2857,
     297,  2765, 60093, 21798,  4077, -3712, 65274, -3712,  2592,  2860,
    2861,  2878, -3712, 30147, 65745,  2590,  2189, -3712, 65745, 66216,
   -3712,   499,  2595, 25710,  2537,  1983, -3712,  2996, -3712,  2895,
     143,  2021, -3712,  2152, -3712, 69042, 69042, 69042, 69042,  2022,
   -3712, -3712,  2152,  2794,   143,   143, -3712,  2795,   143,  2152,
    2712,  2889, 46417, -3712,   135, -3712, -3712, -3712, -3712, -3712,
   27189, -3712, -3712,  2704, -3712, -3712, 64803,  1877, -3712,  1713,
   -3712, 69042, -3712,  2152,  2651, 69042,  2615, -3712,  2152,  2152,
    2203,  2203,  2152, 66687,  3031,  2898, -3712,  1729, -3712, -3712,
   24231, -3712,    35, -3712,    63,   855,  2835, -3712, -3712, -3712,
   -3712, 52083, -3712, -3712, -3712, -3712, -3712, 69042,   120,  2806,
    2624, 66687,  3007,   143, -3712,  1739, -3712,  1506, -3712,  1524,
   27189, 27189,   213, -3712, 10252,  1740,  2630,  2631,  1765, -3712,
   -3712, -3712, -3712, -3712, -3712,  2632,  2916, -3712, -3712,  2634,
    1769,  1777,  2635,  2636, -3712, -3712,  3807,  2637,  9749,  2638,
   28668, 28668,   622, -3712, -3712, 28668,  2639, -3712,  1786,  9658,
    2640,  2643,  2666, -3712,  2650,  2652, 10684, 26203, 27189, 26203,
   26203,  6407,  2640,  2654,  1815, 47835, 11289,  1823, -3712, 27189,
   47835,  5520, 27189, -3712, 27189, 69042,  2656,  2658, -3712, -3712,
    4947, -3712,  2670, -3712, 28668, 28668,  2318, 23245, -3712, -3712,
    2929, -3712, -3712,  1809, -3712,  2649, -3712, -3712,  4254,   145,
   27189,  2436, 27189,  2734, 38766,  4334, 27189,  3589,  3927,  3927,
     230,   230,    98,    98,    98,   249,   161, -3712, -3712, -3712,
    2663,  2214, 27189, -3712,  3131,  1814,  1912, 60093,  6524,  9518,
   -3712, -3712, -3712, 30626,  2713, 27189, 27189, 27189,  2664,  2837,
    1830, -3712, -3712, -3712,  2345,  2958,    91, -3712,    33,  1553,
    1215, 41639, -3712, -3712, -3712, 27189, -3712, -3712, -3712, -3712,
   -3712,  1841, 34903,  2433, 24724,   499, -3712, -3712, -3712, -3712,
   -3712, 27189, -3712, -3712,  2909,  1835, 27189,  1829, -3712, -3712,
   60093,  2602,  2602, 27189, 27189, 25217, -3712, -3712,  2959, -3712,
   -3712, -3712, -3712,  1412, -3712, -3712, -3712, -3712, -3712, -3712,
    2672, -3712,  2671, -3712,  2680, -3712, -3712, -3712, -3712,   126,
    2676,  2677,  2683,  1271, -3712, -3712, 69042, 69042, 69042, -3712,
   -3712, -3712, -3712, -3712, -3712,  2913, -3712, 27189,   141,  2682,
    2687, 69042,   143, -3712, -3712, 10992, -3712, -3712,  2744,  2749,
   69042,  2509, -3712,  2944, -3712, -3712, -3712, -3712,  2882, -3712,
   -3712,  1539, -3712, 50195, 52555, -3712, 52555, -3712,  1539,  1411,
   -3712,  2152, -3712, 52083,   492, -3712, -3712, -3712, -3712, -3712,
     143,   143, 69042, 69042, 69042, 69042, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712,  1851, -3712,   932, -3712, -3712, -3712, -3712,
   -3712,  1422, -3712,   887, 52083, -3712, 51611, 69042, -3712, 69042,
    2921, -3712, -3712, -3712,  2859,    53, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712,  1079, 69042, -3712,  1553,  2863, 69042,
    2759, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   47835, 47835, 47835,  1852, -3712, -3712,   297, -3712, -3712, -3712,
    2783, -3712, -3712, -3712,  2922,  2925,  2927,  2789,  2790,  2791,
    2796, -3712,  2797,  2799,  2800, -3712, -3712, -3712, 69042, -3712,
   -3712, -3712, 69042, 69042, -3712, -3712, -3712,  1075, 52083,  2946,
    1075,  1075, 69042, 69042,  1075, -3712, -3712, -3712,  2960,  2966,
    2967,  2968,  2970,  2972,  1075, -3712, -3712, -3712, -3712,   990,
    2418, -3712,   101, 36326,  5590,  2717,  2568,  2715,  1553, 32529,
     890,  2942,  2731, -3712,  1494,  2961,  2748,  2748,  2748,  2748,
    2748,  2748,  2748, -3712,  2005, -3712,  2914,  2808, -3712, -3712,
   47835, 36326,  1574,   170,  2876,  1226,  3075, -3712, -3712, -3712,
   -3712, -3712, 60093,  1101,   297,  1882, -3712, 52083, 69042, 64803,
    1507,  2745, 60093,  2743,  2746, -3712, -3712, -3712, -3712,  1883,
   -3712, 52083,   -59,  2936,  2939,  1507, 69042,  2831, 60093,  2818,
   -3712,  1886,    39, -3712,   297, 46417, 50667, -3712,  3071, -3712,
   -3712,  2941, -3712, 69042, -3712, -3712, 33487, 32056,  2189,  2764,
   69042, -3712,  2767, 30626,  3009,  2947, -3712, 30626,  2947,   944,
    2947,  3012, -3712, 35375, -3712,  2774,  1472, 20330,  2962, 10992,
   -3712,   143, 52083, 69042, -3712,   143,  2838,   143,  2839,   143,
     143, 60093, -3712, -3712, 60093, -3712, 69042, 61506,   143, -3712,
   10992, 60093,  1201, -3712, -3712, -3712, -3712, 69042,  2152, 48779,
   69042,   923, -3712, -3712,  2965, -3712,  1507, 69042,   499,   185,
   -3712, -3712, -3712, -3712,  3081,  3082, -3712, -3712, -3712, 69042,
   56325,   201, 69042, -3712, -3712, -3712, -3712,  2798,  1887, 10961,
   27189, -3712,  3093, 52083, -3712, -3712, -3712, -3712, -3712, 27189,
   -3712, -3712, -3712, -3712, -3712, 27189, -3712, 27189,  3074, -3712,
    3220,  3220, 52083, 28668,  1347,  2208, 28668, 28668, 28668, 28668,
   28668, 28668, 28668, 28668, 28668, 29654,   313, -3712, -3712, 27189,
   27189,  3084,  3074, -3712, -3712,  1339,  1339, 52083,  2801,  2640,
    2802,  2809, 27189, -3712, -3712,  1897, 47835, -3712, 27189,  9950,
    1900,  2843, 11579,   499,  5862, -3712,  3171,   297, 27189,  1731,
    1764, 27189,  1904, 27189,  3083, -3712, -3712, -3712,  2805, -3712,
   -3712, 52083, 27189, 28668, 28668,  5920, -3712,  6521, 27189,  2811,
    7321, 23245, -3712,   771,   771,   771,   771, -3712, 60093, 60093,
    2590, 27189,  3089,  1910,  1914,  6547,  2837, 35847, -3712,   149,
   26696, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712,  2813, -3712,  2812, -3712,
   -3712,   841,  2822, -3712, -3712,  5891,   126,  2820, 69042, -3712,
    2537, -3712, -3712,  2824, -3712,  1835, -3712, -3712, -3712,  6845,
    2988,  2203, -3712, -3712, -3712, -3712, -3712,   805,  1553,  2840,
   -3712,  1877,  2345, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712,  2748,  7744, -3712, 69042, 69042,  1915, -3712, -3712, 69042,
   -3712,  1990, -3712, -3712,  3078,  1442, -3712, -3712, -3712,  2899,
   -3712,   656,  1233, -3712,  2900, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, 47835, 36326, 47835,  2907,  2911,   514,   966,  2915,
    2917,  2834,  2841,  2842, -3712,  2152,   105,   297, 69042, 69042,
   -3712, -3712,  2152, -3712,   297,  2152,   297, -3712, -3712, -3712,
   -3712, 48307, -3712, -3712, 69042,  3123,   111,  1593, 69042, 69042,
   69042, 69042, 69042, 69042, 69042,  2509, -3712, -3712, -3712,  2845,
    1075, -3712, -3712,  3087,  3090, -3712,  1075,  1075,  1075,  1075,
    1075,  1075, -3712,   173, -3712, -3712,  2522,  2522,    11, -3712,
    2522, -3712,  2522, -3712, -3712,  2575,  2824,  1553,  1224, -3712,
   -3712, -3712, -3712, -3712, -3712,   104,  1553,  1902,  2851, -3712,
   33008, -3712, -3712, -3712,  1808,  1215, 60093,  2748, -3712,   611,
     958,   994,  1248, 67158, 67629, 68100,  2849, 69042, 28668, -3712,
    1037,   144, -3712,  3080, 60093,  2893, -3712, -3712, -3712,  2854,
   -3712, 52083, -3712, -3712,  3252,   828, 60093,  2896,  3142, -3712,
    1919, -3712, -3712, 69042, -3712,  2914,  1502,  2905, 54441, -3712,
    3114, 54441, -3712, 69042, -3712, -3712, -3712,  3221,  2953,  2910,
     -31,   297,  2818, 69042,  2868, -3712, 50195, 27189, 27189, -3712,
    2867, -3712,  2873,  4800, -3712,  2128, -3712, -3712,   491,  2891,
   -3712, -3712, 65745,  2883, 69042,  2189, 30626, -3712, -3712,  2243,
   -3712, 30626,  3116, -3712, 30626, 69042,  2884, 69042,  1920, 43570,
   -3712,  2880,   143, -3712, 69042, -3712, 69042, -3712, -3712,   143,
     143, -3712,  2992, -3712,  2892,  1707,  2152, -3712, -3712,  3160,
   66687, -3712, -3712, -3712, -3712, -3712, -3712, -3712,   -40,  3173,
   -3712, -3712, -3712, -3712, 27189, 10992, -3712,  2906, 10992,  7785,
   10992,  3084, -3712,  2564,  3188, -3712,   793,  2918,  2564,   329,
     329,   168,   168,    96,    96,    96,  3220,   313, 10992, 10992,
   -3712, -3712, -3712, -3712,  2908, -3712, -3712, -3712,  2640, -3712,
   27682, -3712, -3712,  2954,  2956,  2920, -3712, 27189, 28175,  2912,
   53027, -3712, -3712,  1215,  2850, 28668, 28668,  1094, -3712,   350,
   27189, 52083,  1927,  1094,  2006,  2497, 27189, 27189,  7416,   365,
   27189,  7993, 60093, 60093, 60093, 60093, -3712, -3712, 10992,  3293,
    3187,  2837,  2837,  2837, -3712, 82230, -3712, -3712, -3712, -3712,
   27189,  2345,   982,   297, -3712, -3712,   864, -3712, -3712, 38766,
   -3712, -3712, -3712,    93, -3712, 16204, -3712, -3712, -3712,   105,
   -3712,  1930,  1934,  2893, -3712,  2271, -3712,  2985, -3712,  2005,
    3109, -3712,  3112,   105, 69042, 52083, -3712, -3712,  2937, 69042,
   69042,  1553,  1553, 52083,  2923, -3712,  1553,  1553,  2924, -3712,
   69042, 69042, -3712, -3712, -3712, -3712, -3712,  2152,  2152, -3712,
   -3712, -3712, -3712, 69042, 69042, 69042, 69042,  3222, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712,  3174, -3712,  1075,  1075,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712,  2158,  3253,   297,
     297,  3124, 69042,   297,   297, -3712,  1180,  3260, -3712,  3195,
     794,  2943,  1356,  3224, -3712,  1484, 33008, 33008, 33008, 33008,
   33008, -3712, -3712,  3227,   105, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   27189,  2109,  2564, -3712, -3712, -3712, -3712,  2893,  1574,  2998,
   47835,  3004,  1507,   634, 69042,  3257,  3247, -3712,   297, -3712,
   -3712, -3712,   556, -3712,  2949,  1173,  2951,  1861, -3712, -3712,
   -3712,   792, 69042, -3712,  1115, -3712,  3190,  3235,  2964, -3712,
   31105, -3712, 10992, 10992,   297, 53499,  3071, -3712, -3712, -3712,
   -3712, -3712,  3034, 69042, -3712, -3712, 69042,  1955, -3712, 27189,
    2973, -3712, -3712, 30626,  2243,  1960, 69042,  1971, 52083,  2837,
   -3712, -3712,   143, -3712,   143,   143, -3712, -3712, 69042, 69042,
    3249,  3137, -3712,   143, 66687, 10992, -3712, -3712, -3712, 28668,
    3245, -3712,  2976, 52083, -3712,  2978,  1972,  2003, -3712, -3712,
   -3712,  8108,  3020, 10992,  3069,  2969,  2979, -3712,   408,   408,
     350,  2004, -3712, 28668, 28668,  1094,  1094, 27189,  1094, -3712,
   -3712, -3712, -3712, -3712, 27189, 27189,  3021, -3712, -3712, -3712,
    3145, -3712,  8348, -3712,  1224, -3712, -3712, -3712, -3712,  1215,
   -3712,  2982,  1829, -3712, -3712,  3127,  2893,  2998, -3712, -3712,
   -3712, -3712, -3712,  3040, 36326, -3712, -3712, 31584, 38766, -3712,
     514,  2986,  2987,   966, -3712, -3712,  1013,   437,  3030,  2152,
    3277,  1075, -3712, -3712, -3712,   297, -3712, -3712, 69042,  2990,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, 48779,  3393,
    3393, -3712,  1538,  1538, -3712, -3712, -3712, 60093,   104, -3712,
    8482,  3185, -3712,  2998,  3213,  3259, -3712,  2011, -3712, 69042,
    2910, 54441,  2914, -3712,  1221,  3147, -3712, -3712,  3334,  1861,
    1007,  1286, -3712, 60093,  2939,  3128, -3712,  3129, -3712,  3374,
    3184,  3380,   297, -3712, 69042, 31105, 27189,  2017, -3712, 68571,
   22271, -3712, 52555, -3712,  2024, -3712, -3712, 60093, -3712,  3023,
    2027, -3712, 10992, 69042, -3712, -3712, -3712,  2046, -3712, -3712,
   -3712, -3712, -3712,  1507, -3712, -3712,   201,   393, 28668, 52083,
    2051, 27189, -3712, 27189, -3712, -3712, -3712,   -37, -3712, -3712,
   -3712,   408,   408,  1094,  2640, 10992, 69042, -3712,  3394,  3186,
    2837, -3712, -3712, -3712, -3712,  3193, 60093,  2998, -3712, 27189,
   -3712, -3712, 52083,  2021,   -79, -3712, 52083, 52083, -3712, 69042,
   69042, 69042, 69042, 69042, -3712,  2418, -3712,  2990,  3393,   176,
   -3712, -3712, -3712,  3302, -3712, -3712,   664,  3196,  3104, -3712,
   47835,  3312, -3712, -3712, -3712, -3712, -3712, 48779, -3712,  2939,
   -3712, -3712, -3712, -3712, -3712, -3712,  2063,  2953, -3712, -3712,
    3199, -3712,  3200, -3712, -3712,  2064,  8815,  3067, 31105, 69042,
   -3712,  1363,  1363, -3712,  4800, 53499,  2713,   103,  3044, -3712,
    2067, -3712, -3712,   393,  2076, -3712,  2077,  2085,  3085, -3712,
    3029, -3712,  3432, 27189,  1230, -3712, -3712, -3712,  1574, -3712,
   10992,  2086, -3712, -3712, -3712,  3179,  2090,  2103,  3033,  3079,
    3033, -3712,  2152, -3712, -3712, -3712,  3346, -3712, -3712, -3712,
     151, -3712,  3223,  3225, 69042, -3712, 69042,  3439,  3046,  2953,
   -3712, -3712, -3712, -3712,  3067, 68571,  2300,  2953, -3712, -3712,
    1835,  1835,  3071, -3712,  3358, -3712, -3712, -3712, 69042, -3712,
   -3712, -3712, -3712, -3712, 69042,  3048,  2640,   133,   133,  3049,
    3213, 48779, -3712, -3712, -3712, 69042,  3176,   560,   560,  3376,
   -3712,  3115, -3712, -3712, -3712,   514, 44048, -3712,  2953,  1363,
   -3712,  2713, -3712, -3712, -3712,   623, -3712, -3712, -3712,    67,
    3183,   653, -3712, -3712, -3712, -3712,  3196,  2021, -3712,  3359,
   -3712,  3473, -3712,   600, -3712, -3712,  2923, -3712,  2107, -3712,
   -3712, -3712, -3712, -3712, -3712,  2713,  1835, -3712, -3712, -3712,
    1674,  3464, -3712, -3712, -3712,   104, -3712,  3214, -3712, -3712,
   -3712, -3712, 44048, -3712, -3712, -3712,  1866, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712,    67, -3712, 48779, -3712,  1343, -3712,
   -3712,  1371,  1783, -3712,  3063, -3712,  1866, 44048, -3712,  2119,
   -3712
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3712, -3712,  3210, -3712, -1112, -1376, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
    1212, -3712, -3712,   -97,  1526,  2098,   916, -3712, -3712, -3712,
   -3712,  -975,   190,   442, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712,   745,  1328,   804, -1105, -3712, -1610,  -551, -3712,   312,
   -3712, -3712, -3712,   686,  -298, -3712, -3712, -3712, -3712, -3712,
   -1675,  -124,   179, -3712,   177,  1357,   331, -3712,  -119, -3712,
   -3712, -3712, -3712,  -596,   856,  -912, -1287,  1124,  -564,  -599,
    -525,  -523,  -567, -3712, -3028, -3057, -2408, -2488, -3712, -3712,
   -3712,   192, -3712, -1671, -3712, -3712,  1813, -1523, -3712,  -853,
   -3712, -3712,   640,  1406,   189, -3712, -3712,   -24, -3712, -3712,
   -3712, -3712, -3712, -3712, -3244, -3712, -1597, -3712,   309, -2720,
     772, -3712, -3712, -3712,  1839, -3712, -3712, -3712, -3712, -1697,
   -3712, -3712, -1664, -3712,  1266,   676, -3712, -3712, -3712,  -636,
    -610, -3712, -3711,   -57,   -53, -3712, -3712, -3712, -3712, -1181,
   -3712,   697, -2790, -1101, -3712, -3712,   727, -3712, -3712,  -544,
    -238,  1867, -3712,  -472, -3712, -3712, -3712,  -236, -3712, -3712,
   -3712, -3712, -3712, -3712, -1806,  3627, -1080, -3712, -3712, -3712,
   -3712, -2098, -3712,  3443,   680, -1661, -3712,  -146,  -122,  2315,
   -1270, -2426,   163, -3712, -3712, -1849, -3712, -3712, -3712, -2362,
   -1659, -3712,   222,  -304,  -423, -3667, -2528, -3082, -3712, -3712,
   -1247, -3712, -3712, -3712, -1514,  1424, -2180, -3712, -2154,   227,
   -3286,  -978, -2885, -3712, -3245,  -425, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -1244,  -848, -3712, -3031, -3712, -3712, -3712,
   -3712,  1046, -3712,   -95, -3712, -3712, -3712, -3712, -3712,  -562,
    -592, -3712, -3712, -3712,   278, -3712, -3712, -3712,  1647, -1137,
    -945,  2642, -1648,  -259, -3712, -3712, -3712, -3712, -2716, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -1234, -3712, -3712, -3712,
   -3712, -3712, -3712,  1571,  3492,  -216, -3712, -3712,  2168, -3712,
   -3712, -3712, -3712, -3712, -3712,  2381,   271,   -35, -3712, -3712,
     631, -2285,   -26, -3712, -3712, -3712, -3712,  -245,   -25, -3712,
    1017, -3712, -3712, -1972, -3712,  2389,  1228,   218,   -62,   -67,
    -241,  -220,  -185, -3712,  2653,  2196, -3712, -3712,  -206,  1232,
   -3712, -1045, -1044, -3712,  1014,  -895,  1566,  1002,   108,  -234,
   -3712, -2598,   476, -3712, -3712,  -891,  1577, -3712,  2177,  1592,
   -3712,  1620,  1065, -2307,  1297, -2289,   717,  -624,   -54,  -136,
    2685,  2819, -3712, -3009,  1049, -3201,   321,  1004, -1975, -1680,
   -3712, -3712, -1307,  8975, -3712, -3712, -3712,  9775, 11295, -3712,
   -3712, 12808, 13038, -3712, -1201,   591, 13215,  6746, -1327, -1724,
   -1420, 12115,    14, -1030, -1729, -3712, -3712, -3712,  -250,   610,
     -49, -3712, -3712, -3712,  -415, -2547,  -414, -3712, -3712, -3712,
    -416, -3400, -1792, -3712,  -812, -3712, 13932,  1060, -3712,  -898,
   -1305, -1828, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -1440,
   -2927,  -512,  1136, -3712, -3712,  1227, -3712, -3712, -3712, -1375,
   -1039, -1934,  1139, -1952, -3712, -1041,  1260,  1734, 10197,  -989,
    1780,  -831,  4406,  -141, -2148, -1443, -1084, -3712,  -372, -3712,
      25,  2378,  -163,   -92,   165,   -39, -2766, -3712, -3712, -3712,
    2449, -3712, -3712, -3712, -3712, -3712,  3113,   774, -3712,  2513,
   -3712,  1353,  1954, -3712, -3712,  1607,  -933,   -50, -3712,  -385,
   -3712,  -135, -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712, -3712, -3712,  2231,   128, -3712,   -52, -3712,
   -3712, -3712, -3712, -3712,  3392,  -306, -3712,  2836,  -290, -3712,
   -3712, -3712, -3712, -3712, -3712, -3712, -3712, -3712,  2239,  1636,
   -3712,  2645, -3712, -3712, -3712,   -61,  2437, -3712, -3712, -3712,
   -1150,  1389,  2673,  -935,  1603, -3712, -3712, -3712, -3712, -3712,
   -3712, -3712, -3712,  1611, -3712, -3712,  1119, -1963,  1613, -3712,
   -3712,   545, -3712, -3712,   199, -3712,   547, -3712,  2331, -3712,
   -3712, -3712,   575, -3712, -3712, -3712,  -595,  9704,   207,   123,
     -84,   848, -3712,  5649,  5817,  -103,  2253,    48,  7532, 11914,
     171, -3712,  3381,  1616,  1318,  -983,    49,  1908,   998,   332,
   -1096,     7,    -2, -3712,  2390,  -638, -1140,  2503,  -750, -1790,
   -3712,  3781, -3712, -2635, -3712,  -988
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2298
static const yytype_int16 yytable[] =
{
      80,  1564,   944,  1042,  1147,  1814,  1212,  1513,  1514,    79,
     873,   344,  1449,  1515,   791,  1822,   343,   885,  1900,  2239,
    1026,  2338,  1877,   944,   868,   786,   361,    74,  1472,  1456,
    1689,  2467,   398,   789,  2754,  2444,  1311,  1312,  1640,   351,
    1777,  1316,  1147,   338,   684,   351,  1583,   951,  1678,  2330,
    1930,  1931,   339,   341,  1096,  1259,  1057,   791,  2448,  1957,
    2755,  2757,   989,  1464,  2644,  2274,  1911,   964,   786,  1946,
    1254,   830,  1058,  2410,  1262,  3051,   789,  1577,   351,  3210,
     842,  2380,   684,  3426,  1274,  1021,   990,   675,  2508,  2357,
    1752,  1147,  3168,  2358,  1031,  1756,  2978,  1712,  2793,  2213,
    2359,   877,  1762,  2360,  2072,  2361,  2660,  2131,  2133,  2134,
    3287,  1779,  3289,  3035,  1562,   980,  2362,  1010,  1044,  2992,
    2994,   351,   980,  3580,   980,   791,   391,  3343,  1052,  3000,
    3709,  3383,   391,  2269,   917,  2668,   786,  3746,   673,  2171,
    2440,  1852,  1847,  1805,   789,  1787,  1924,  1925,  2693,   878,
    2665,  3720,  1611,  1091,  1509,  3343,  3223,  2544,  1510,  1542,
    1543,  1828,  1558,  1053,   413,  2026,   413,  3082,  1975,  1980,
    1283,  1943,  1843,    35,  3510,    35,   413,  1041,   413,  1776,
    2502,    41,   957,    41,  2709,   840,  2073,  4023,  2713,   351,
     943,  3360,  3361,  3362,  3363,  3364,  3365,  1591,   413,  2918,
    2378,  1983,  2072,    37,    38,    39,    40,  1113,  1304,  3417,
    1337,   943,   397,  2864,   945,   413,   801,  2623,   802,  2221,
    4180,  2583,  1894,  2885,  1534,    37,    38,    39,    40,   413,
    1553,  1294,  1980,  3040,  1322,   945,  2887, -1675, -1705,  3082,
     788,  4179,  1237,   350,  3765,  1296,  3767,  2583,   677,   350,
    2849,  1101,  1806,  1524,  1806,  2578,  3404,  4078, -1474,  2189,
    1806,  3042,  1230,  2738,  1983, -1474,   413,  2178,   259,    37,
      38,    39,    40,  4062,  4093,  3278,  3665,  4104,  3007,  2850,
    3009,  1051,   350,   788,  1706,   390,  4180,   344,   795,  1164,
    1314,   390,   343, -1266, -1266, -1266, -1266,  1453,  2200,  1592,
    1840,  1980,  2293,  1854,  1638,  2313,  2102,  2482,   207, -1578,
   -1578, -1578, -1578,  3661,  1867,  1868,  3705,  2354,  1806,   338,
    1980,  3634,  2633,   351,   390,   350,  4157,  1689,   339,   341,
    1553,   795,  1639,  1983,  1700,  3049, -1266, -1266, -1266, -1266,
    2048, -1266, -1722,     3,  1085,  3666,   932,  2230,  3847,  1087,
    -328,   788,  1983,  2180,  2103,  2896,   316,   351,   399,  3662,
    1442, -1276, -1276, -1276, -1276,   933,   413,   390,  2314,   889,
    1147,  1315,   981,    37,    38,    39,    40,  2201,   985,   981,
    2345,   981,  2049,  1165,  3082,   985,  2352,   985,  2011,  2355,
    2015,  2190,  1851,   350, -1614, -1261, -1261, -1261, -1261,   795,
    3082,  1587,  3060,  2381,  2464,  1957,  3667,  2074, -1678,  4105,
     391,  2740,  1546,  1930,  1931,  1987,  1988,  1759,  1635,  1231,
    1946,  1980,  2483,  3279,  3041, -2296, -2296, -2296, -2296,  1823,
   -1276, -1276, -1276, -1276,  4079,   390,  1117,  1304,  2238,  2014,
    2888,  1131,  1593, -1261,   391, -2297, -2297, -2297, -2297,  2308,
    2617,  3706,  3043,  1983, -1490,  1333,  2312,  2618,  4169,   413,
    1816, -1490,  3903,   678,  3082,  2191,  1991, -2294, -2294, -2294,
   -2294,  1198,  3635,  3607,  1102,  3167,  1525, -1723,  2110,  3082,
     803,  2064,  2065,  1888,  2181,  2039, -1675, -1705,  1895,   873,
   -2293, -2293, -2293, -2293,  1902,  1315,  4181,  3343,  1115,  1594,
    1807,  3946,  1807,  2379,  4235,  2275,  1912,  2865,  1807,  1973,
   -1883, -1883, -1883, -1883,  1058,  3589,  1323,  1924,  1925,  1575,
    -125,  1244,  1890,  3418,  1084,  1943,  2584,   350,  1252,  2330,
    1846,  2328, -1233, -1233, -1233, -1233, -1246, -1246, -1246, -1246,
    2265,  1976,  2267,  1895,   259,  3038, -1722, -1273, -1273, -1273,
   -1273,  2302,  3143,    37,    38,    39,    40,    37,    38,    39,
      40,   350,  4181, -1474,  3788,  3957,  1807,  3084,  1549,   390,
    2178,  1092,   244,    58,  2182,    58,   831,    55,  1759,    55,
     877,   938,   939,  3084,  2179,    58,  2459,    58,  4158,  3094,
    2676,  2004,  2305,   938,   939,  2742,  2484,  2324,  2027,  1544,
    3247,  3997,  3248,   390, -2298,    57,  2303,  2662,  2147,  1558,
    2044, -1722,  3656,  2485,  2061,  2061,   890,  2231,  2117,  3564,
    1315,  2899,  2118,  1093,    58,  2465, -1722,    57,   878,  2232,
     938,   939,   316,  1466,  2204,  1842,  2012,  1816,    58,  3123,
    2072,  3684,  1087, -1614,   938,   939,  2643, -2298,  3085,  1999,
    2000,  2001,  2002,  2003,  2004,  1668,  2180, -1678,  3091,  3092,
    3093,  3094,  3084,  2089,  1919,  2511,  3748,  2339,  4033,  1127,
      56,    57,  1400,  1554,  2410,    58,  3435,  4190,  2233,  3251,
    3439,  1555,  1556,  3190,  3196,  2012,  1154,    37,    38,    39,
      40,   994,   891,  3082,   892, -1266,  1669,  1104,   966,  3924,
    2416,  3470,  2391,  1307,  2452,  1847,  1202,  1919,   786,  2422,
    1292, -1578,  3201,  4208, -1266,  3675,   789,  2430,  2431,  3917,
    2001,  2002,  2003,  2004,  3313,  3314, -1723,  3085,  1476,  2721,
   -1578,  3611,  1477,   213,  1304,  2443, -1752,  3749, -1266,  3341,
    2534,  2535,  1952,  2497,  2298,  2194,  2683,  1239,  2544,  2544,
     692,  2199,  1031,  2544,  2299,  2619,  1249, -1266,  1769, -1490,
    1953,   351,   221, -1276,  1293,   351,  1295,  3341,  1297,  3308,
    4219,   967,  3311,  3312,  1298,    57,  3315,  2300,  4132,  4211,
    1686,  3685,  1954,   835,   995, -1070,  3322,  2181,  2272,  2250,
    1830,  2255,  2544,  2544,  2258,  2259,   232, -1261,  4010,  1770,
    1693,  3089,  3090,  3091,  3092,  3093,  3094,  1696,   235,  2389,
    1402,  1952,  3424,  1193, -2298, -2298, -1261,  3089,  3090,  3091,
    3092,  3093,  3094,  1318,  1816,  1147,  2186, -2296,   805,  1953,
    1087,  1831, -1276,  3612,  4243,  2621,  1195,  1467,  1999,  2000,
    2001,  2002,  2003,  2004,  2309,  1227, -2296, -2297,  1670,  1891,
    3918,  1956,   391,  2385,  4191,  1308,  3083, -1070,  1789,  4021,
    2269,  3426,  4213,    56,  2451,   806, -2297,  4047,    58, -2294,
    4209,  2388,  3750,  1288,   938,  1533,  3084,  2182,  2455,  3252,
    4107,  3089,  3090,  3091,  3092,  3093,  3094,  4174, -2294,  1402,
    1318,  4039, -2293,  4011,  2470,  2471,  3089,  3090,  3091,  3092,
    3093,  3094,  1468,  1587,  2410,  1452,  2178,  4220,  1615,  1462,
     980, -2293, -1883,  2221,   980,  3578,  3613,  1333,    80,  2543,
    2179,  1097,  1687,   788,  -125,  4192,  3193,    79,  3751,  -125,
    1671, -1883,  2684,  2132, -1233,  -125,  -125,  1816, -1246,  1446,
    2315,  3085,  2788,   968,   969,    74,  2385,  4193,  1087, -1273,
     684,  1771,   943,  1929,   943,    57,   943,  1935,  3600,    57,
    2622,  1321,   943,  1299,  1300,   350,  3665,  3925, -1273,   350,
    2658,   795,  3267,  2429,  1978,  3790,   945,  3791,   945,  3926,
     945,  2316,  4119,  1832,  2423, -1752,   945,  4103,   351,  1338,
    3908,  4214,  2180,  2432,  1476,  2183,  4108,  1443,  1477,  2185,
    2260,  1455,  1458,  1459, -1070,  2439,   837,   390,   922,  1147,
    1616,   390,  2098, -1073,  3827,  3828,  3829,  2505,  2507,    37,
      38,    39,    40,  2222,    37,    38,    39,    40,  2515,  2186,
    1075,  2518,  2903,  1772,    37,    38,    39,    40,  2386,  2530,
    2531,  3892,  3893,  3894,  3895,  3896,   851,  2463,  4172,  4173,
    2468,  2469,  2548,  2550,  2472,   413,  4109,  4134,    37,    38,
      39,    40,  1564,  2564,  4001,  1833,    37,    38,    39,    40,
      37,    38,    39,    40,  3268,  1482,  1028,  2235,  2652, -1237,
   -1237, -1237, -1237,   888,  1537, -1073,  1499,   674,  3343,    57,
     675,   675,   688,    58, -1070,  1566,  3667,  1164,  2099,  2537,
    2851,   853,   943,  1402,  1565,  3792,  3086,  3087,  3088,  3341,
    3089,  3090,  3091,  3092,  3093,  3094,  3783,  2129,  2640,  2261,
   -1233,  2262,  1557,  2181,  4224,  1797,   945,  2789,  3688,  3758,
     688,  3911,  3927,  2317,  3762,  1147, -1070,  3764,  1440, -1070,
    1224,   673,   673,  3755,  3242,  1505,  1563,   954,  4040,   688,
     688,    37,    38,    39,    40,    37,    38,    39,    40,   688,
    2985,  2187,  4207,   674,  3690,  1980,  1042,   981,  1225,   851,
    2474,   981,  2130,   985,  3005,  1562,  1798,   985,  4041,  1500,
    3467,   958,  1617,  3616,   674,  3010,  2986,  2928,  2929,  2930,
    2931,  1165,   350, -1233,  2226,  1710,  4223,  1983,  2033,  1580,
     688,  3441,  1984,  1441, -1244, -1244, -1244, -1244,  1226,  1507,
    3703,  2988,  3647,  2182,  1816,  2318,  1017,  3269,  3650,  3651,
    3652,  3653,  3654,  3655,   853,   344,  3577,  3044,  1581,  3482,
    1864,  2905, -1073,  3929,   390, -1235, -1235, -1235, -1235,  3246,
     860,  3930,   861,  2227,  3995,  4042,  3270,  3426,  2357,  2599,
     344,  1773,  2358,  1508,  2410,  1893,  2034,  1860,  2410,  2359,
    1799,  1033,  2360,  2159,  2361,  3739,  1861,  1862,  3704,  1075,
    1774,  2085,  1288,  1458,  1917,  2362,  2372,    80,    80,  1058,
      80,  2092,  2093,  2906,  2097,  3617,    79,    79,  2698,    79,
    2643,  2544,  3045,  1933,  2544,  2544,  2544,  2544,  2544,  2544,
    2544,  2544,  2544,  2544,    74,    74,  3774,    74,  3775,  1800,
    4115,  1797,  1045,  2990,  3001,  3004,  1053,  1053,  2101,  1053,
    3462,   796, -1073,  1960,    37,    38,    39,    40,  1986,  3012,
    3013,   797,  2260,  3015, -1238, -1238, -1238, -1238,   965,  3019,
    1971,  1688,  3405, -1236, -1236, -1236, -1236,  2373,  1987,  1988,
    1677,  2544,  2544,  3882,   207,  2907,  2908,  2102,  3966,  3998,
    1460,  1035,  3465,   860, -1073,   861,  1046, -1073,  2909,   838,
    3920,  2600,  2996,  1642,  2071,  2601,  2744,  1043,  1639,  3469,
    2334,  2037,  2875,  2031,  2032,   786,  3280,  2128,  3931,  2761,
    1707,  1708,  1801,   789,   684,   684,  3601,   688,  3053,  1991,
    2844,  -337,  1643,  2189,  2824,  2103,  2845,  1974,  3921,   846,
    2602,  3883,  2827,  1992,  2829,  4025,  3263,  1979,  3692,   798,
     991,    57,  2910,  3470,  1658,  2018,    57,  4043,  2017,   786,
    2412,  3264,  2415,  1659,  1051,  1051,    57,  1051,   351,  1047,
    2016,  2421,  1072,  4086,  3236,  2649,  1799,  1587,   805,  2129,
    2738,  2261,  2903,  2262,   805,  2745,  3954,  4044,  1458,    56,
      57,  2046,  2672,  1054,    58,  1458,  1458,  3018,    57,  4009,
    1537,  3834,    57,  1061,  1537,  1537,   413,  1658,  2144,  2071,
    2131, -1237,   351,   351,   351,   806,  2739,   851,   943,   684,
     786,   806,   943,   943,   980,  1800,  2772,  1073,   789,   805,
    2335,     8,  2846,  2911,  2130,  2912,  -724, -1233,  1131,  4089,
    2543,  2543,   945,  1816,   980,  2543,   945,   945, -1233,  2707,
    1929, -1233,  1582, -1233,  4045,  2224,  1071,  2374,  2229,  3494,
     351,  3495,  2603,  4130,  4131,  3602,   806,   351,  2375,   675,
    2140,  2673,   853,   351,   799,  2773,  2774,   980,  1048,  1097,
    3872,  3873,  1660,    57,  2543,  2543,  2136,    57,  1300,   156,
    2334, -2091,  2154,  2156,  2137,  3942,  1597,  2138,  2276,  1590,
     391,   391,  1103,  3888,  2148,  1995,  2544,  1064,  1801,  4147,
    2153,  2155,  1999,  2000,  2001,  2002,  2003,  2004,  1072,  1666,
     673,  2924,  1641,  4034,  1075,  2775,  1598,  1065,  2740,  3889,
     788,  1075,  1679,  4148,  1114,  1537, -1244,  1066,  1224,  3835,
     413,  1537,  3058,    37,    38,    39,    40,   391,  1667,  4035,
    1301,  2072,  1072,   943,  2163,   130,   131,  3237,   688,   943,
     174,  3682,  3603,  2266,  3028,  3604,  3386, -1235,  3491,  4121,
    1320,  4206,   350,  1073,   788,  2847,  1074,   945,   795,  3496,
    1042,  1537,  1599,   945,  1537,  1537,  2350,  1156,  2273,  3497,
    3109,  2139,  3511,  2643,  2240,  3255,  3256,   786,  2240,   943,
    2418,  3245,   943,   943,  2848,   789,  1226,  1073,  1162,  1837,
    2335,   860,  1600,   861,   390,  2336,   350,   350,   350,  3132,
     688,  3211,   863,   945,  2296,  1067,   945,   945,  1838,  1952,
    3341,    56,   866,  3191,  1537,   788,    58,  2410,  3645,  2241,
    2242,  4167,  2410,  2241,  2242,  2410,  1205,  1953,  1206,  4171,
     351,  1505,   943,  2297,  1973,  1506,    57,  2277,   390,   390,
     390,  2453,  1129,   979,   350,  2404, -1238,  3163,  3164,  1954,
    1075,   350,  1016,  2544,  2544, -1236,   945,   350,  2643,   122,
    2238,   981,  3265,   795,  2238,  1673,  3149,   985,  1068,  2487,
    4205,  4031,  2240,  2363,  2499,   213,  2899,   126,  1584,  1163,
    2659,   981,  3227,  4014,  1075,   807,   390,   985,  3512,  3513,
    3479,  3266,  1458,   390,  1674,  1507,  1058,  2498,  4063,   390,
    1200,  1644,  1147,   839,   221,  3843,  1952,  1585,  2061,  1197,
    2932,   207,  3082,  3636,   981,  2933,   919,  2241,  2242,  3807,
     985,  3356,  1675,   207,  1953,  2203,  2933,  1603,  3023,  2397,
    1069,   230,  3637,  1604,  1041,  1586,  3535,  1201,   232,  1508,
    1605,  1076,  1855,  1204,   344,  3082,  3542,  1639,  1645,  2496,
     235,  4245,  1213,    80,  4246,  1607,    80,   817,  2238,   156,
    3806,  1105,    79,  1608,  1856,    79,  1219,   992,  1077,  3536,
     156,  2221,  3204,  1106,  1107,  2336,  2493,  1228,  2228,  1496,
      74,  1952, -1070,    74,  2295,  2494,  2495,  1236,   688,  2581,
     688,   244,   788,  1108,  1857,  3942,  1109,  2166,   213,  1953,
     786,  1848,  2337,   213,  1587,  1849,  3450,  1655,   789,  1665,
    3453,  1609,  3455,  3249,  3457,  3458,  1682,  2899,  1929,  2240,
    2172,  1956,  1646,  3463,  3218,  2569,  2167,   221,  2572,  2588,
     174,   688,   221,  1229,   350,   674,  1208,   674,  1209,   674,
     795,   174,  2527,  1232,  3597,   674, -1114,  2678,  2903,  1929,
   -1114,  2172,  1235,   351,  2168,  2022,  3480,  3591,  3592,  2023,
     413,   232,  2516,  2517,  2241,  2242,   232,  1647,  1848,  1648,
    2529,  1246,  2447,   235,  2532,  2533,   390,  1476,  3275, -1578,
    2268,  1477,  3676,  3677,  3678,  3679,  3680,  4225,   191,  2554,
    1250,  2555,  3891,  1260,  3282,  3084,  1269,  1110,  3285,   920,
    3421,  3134,  1916,  3135,   244,  2238,   688,  2544,   688,  1290,
   -1114,  2576,  3055,  2577,   244,  1650,  2450,  1287,   413,   244,
    3384,  3939,  1275,  3136,    56,    57,  1400,  1554,  3084,    58,
    3056,  2544,  2544,  2670,  3057,  1555,  1556,  1111,  3678,  3679,
    3680,  2412, -1082,  2723,  2410,    58,  1929,   351,  1582,  4018,
    1652,   156, -1082,  2650, -1114,  3108, -1082,  3110,  3111,  1304,
    3085,  3475,  2148,  2543,  1689,   213,  2543,  2543,  2543,  2543,
    2543,  2543,  2543,  2543,  2543,  2543,   213,  1313,  2086,  2071,
    2087,  1309,  2695,  1654,  2695,   674,  2449,  3082,  2450,  1325,
     786,  3204,  1330,  3085,   221,   351, -1082,   351,   789,  1331,
     674,   674,  3659,  3660,  1552,   221,  3663,  1333,  3664,  3448,
    2460,  3813,  2461,  1941,  1942,   788, -1082,  1087,  2462,  3204,
    2461,   230,   174,  2543,  2543,  3993,  3137,  2490,   232,  2491,
    1332,  3138,   230,  1334,   391,   943,  2669,  1335,  1816,   232,
     235,  3366,    35,   351,  1339,  2785,    37,    38,    39,    40,
      41,   235,  2715,   675,  2491,  3367,   786,   350,  1537,   945,
   -1082,  2121,  2122,   795,   789,  2752,  1566,  2753,    80, -1082,
      80,  3595,  1042,  2399,  2400,  1565,   943,    79,  1463,    79,
     191,  4226,   391,  1336,   391,  3368,  2544,  3369,   786,  2795,
    1340,  2796,   244,  1557,  1469,    74,   789,    74,  1465,   390,
     945,  2891,  1470,  2892,   673,  2919,  3466,  2920,  1471,   351,
    1459,  2686,  2687,  4098,  1734,  4100,  3939,  1563,  1929,  1480,
    2172,  3025,  1402,  2461,  3518,  3086,  3087,  3088,  3478,  3089,
    3090,  3091,  3092,  3093,  3094,  2519,  3153,  3036,  3154,  3037,
    2925,   351, -1137, -1137,  3139,  3366,  3811,  3054,  3064,  2450,
    2450,   350,  1485,  3140,  3747,  1402,  3370,   213,  3086,  3087,
    3088,  1486,  3089,  3090,  3091,  3092,  3093,  3094,  2121,  2691,
    3084,  2412,  1493,  3067,  1537,  2450,  1496,  3071, -1082,  2450,
    1494,  2590,  1537,  2591,  1537,  3072,   221,  2450,  1502,  3368,
    1504,  1497,   943,   390,  3098,  1503,  2450,  2520,  1516,   350,
     943,   350,   943,  2592,  1518,   788,  3676,  3677,  3678,  3679,
    3680,  1522,  1872,   230,  3681,  1523,   945,  3371,  3206,  3207,
     232,  2877,  3372,  3114,   945,  2450,   945,  2952,  2953,  2877,
     688,  3117,   235,  3118,  3155,  3085,  3156,  1899,  3169,  3939,
    3170,   390,  1526,   390,  1496,  1527,  2977,   350,  2543,  3197,
    2984,  3198,  2521,   795,  1528,  2522,  1042,  3773,  3373,  3261,
    3290,  3262,  3291,  3171,  3776,  3777,  3172,  3173,  3672,  3673,
    3374,   788,  2902,   244,  3440,  2927,  3443,  3174,  3175,  3176,
    1529,  3177,  3178,  1905,  1906,  3879,  3179,  3180,  3181,   390,
    3392,  3402,  3393,  3403,  3415,  3483,  3416,  2450,  2957,  1980,
    1531,  2593,    81,   788,  2984,  3519,  2594,  3520,  3526,  1538,
    3527,  2595,  3538,   350,  2450,  2985,  1087,  1530,  3561,   795,
    2450,  3901,  3562,  3593,  2450,  2461,  3372,  3717,  3769,  3718,
    3170,  1983,  3158,  3159,  1539,  3812,  1984,  2491,  3845,  1532,
    2461,  2986,  3846,  2020,  2461,   350,  3212,  3213,  3375,  2523,
    1458,   795,   688,   688,  1541,   390,  2987,  3627,  3628,  3214,
    3215,  3204,  3373,  3951,  1544,  1816,  2988,  1568,  3956,  2985,
    3393,   674,  3115,  1571,  3374,   674,   674,  3120,   392,  3958,
    3972,  3393,  3973,   786,   392,  1569,  1619,   390,   786,  2989,
    1578,   789,  1620,  1545,  1547,  2986,   789,  1402,  3970,  1582,
    3086,  3087,  3088,  1596,  3089,  3090,  3091,  3092,  3093,  3094,
    2987,  3974,  3980,  2450,  2491,  2543,  2543,   392,  3182,  4029,
    2988,  4030,  1637,  3131,  2596,  4057,  4170,  4058,  1613,  1635,
    1971,  1621,  4064,  2597,  4065,  4069,   351,  1816,  3324,  1672,
    2524,   351,  1676,  2989,  2588,  3840,    55,   688,    57,   674,
    1684,   879,  3375,  1685,  4071,  3874,  3393,  2150, -2298,  4075,
     392,  2491,  1986,  3152,  3080,  3081,  1690,  1692,  2990,  3096,
    3759,  4120,  4124,  2036,  4058,  4139,  2404,  1816,  3082, -1575,
    3325,  1622,  1987,  1988,  4140,  4141,  2491,  3118,  1623,  1694,
    1697,  1624,  1899,  4142,  4151,  2450,  2491, -2298,  4153,  1702,
    2491,  4017,  3814,  1704,  3326,  1133,   674,   986,  3129,  3130,
    1152,  4154,   674,  2491,   986,  4221,   986,  4222,  1161,  1711,
    1714,  2412,  2990,  3327,  1587,  2412,  1169,  4250,   392,  4222,
    1753,  1196,  3797,  1991,  1755,  1759,  1765,  1763,  -169,  3328,
    1625,  1767,  3183,  1778,  1784,  3082,  1794,  1992,  1802,  2248,
    1804,  1809,   674,  3329,  1810,   674,   674,  1811,  1813,  1458,
    1812,  1815,  1816,  1821,  1824,  1825,  1826,  1131,  1537,  1827,
    1829,  1834,  1836,  1835,  4074,  1841,  1873,  3959,  1901,  3960,
    3961,  2148,  1907,  1909,  3192,  1903,   943,  1910,  3965,  1915,
    1923,  1926,  3760,  1927,  3184,  1626,  1932,  1928,   788,   244,
    1934,  1937,  1938,   788,  1939,   674,  2009,  4091,  2306,  1940,
     945,  4096,  4097,  2036,  1945,  1947,  2040,  1948,  2051, -2298,
    1949,  1950,  1951,  1958,  1959,  1899,  1961,  1962,  2066,  1963,
    1964,  1627,  1965,  1966,  1967,  3330,  2076,  2090,  1506,  2115,
     350,  3841,  2120,  3331,  1317,   350,   795,  2127,   786,   786,
     786,   795,  1075,  2135,  2141,  2143,   789,   789,   789,  2145,
    1328,  3084,   392,  1553,  1629,  2151,  4092,  2152,  2343,  2543,
    4095,  2157,  2158,  2160, -2240,  2162,  3332,  1147,  2169,  2170,
    2172,  2173,   390,  3185,  2174,  2188,  2195,   390,  1630,  2196,
    2197,  1450,  2198,  2543,  2543,  2193,   392,  2219,  2221,  2220,
    2225,   351,   351,   351,  2236,  2235,  3904,  2238,  2237,  1995,
    1475,  2245,  3866,  3867,  3396,  3869,  1999,  2000,  2001,  2002,
    2003,  2004,  3281,  2244,  2417,  2246,  3085,  2350,  3084,  2251,
    2249,  2253,  2254,  2256,  1498,  2263,  2264,  2271,   786,  2270,
    1658,  2278,   873,  2279,  3293,  2285,   789,  2307,  2286,  2292,
    2294,  3431,  3283,    35,   413,  2287,  2319,    37,    38,    39,
      40,    41,  2321,  1045,  2322,   688,  2329,  1919,  2331,  2332,
    2341,  4072,  1929, -1115,  1935,  2877,   848, -1115,  2877,  2877,
    2020,  2347,  2877,   344,  2351,  1660,  2367,  2384,  3397,  2390,
    2392,   351,  2877,  3085,  2393,  2395,  2413,  1710,   344,  2402,
    2425,  3344,  2396,  3409,  2427,  2426,  2428,  3353,  2441,  2442,
    1537,  2456,  2473,  2480,  2501,  2457,  2510,  1046,  2488,   344,
    1042,  2552,  2565,  2570,  3430,  2476,  2404,  2553,   943,  3344,
    2404,  1980,  2511,  3348,  3351,  3950,  3984, -1115,  1537,  2574,
    2575,  2582,  3391,  2587,  4046,  3950,  2604,  2633,  2543,  2679,
    4216,  2041,   945,  2645,  4084,  4085,   943,  3552,  3553,  3554,
    3555,  2606,  2648,   788,   788,   788,  2656,  2657,  2646,  2680,
    1046,  2664,  3420,  1458,  2653,  2685,  1619,  2700,  2026,   344,
     945, -1115,  1620,  2716,  3473,  2718,  2651,  2717,  1402,  2671,
    1047,  3086,  3087,  3088,  2579,  3089,  3090,  3091,  3092,  3093,
    3094,  2697,  2725,  2699,  2714,   350,   350,   350,  2727,  2729,
    2730,   795,   795,   795,  1780,  1782,  1783,  2731,  2733,  1872,
    4004,  1621,  2736,  3521,  2743,  2750,  2642,  2748,  2787,  2852,
     879,  2794,  1724,  2797,   786,  2150,  2853,  2854,  2858,  2862,
    2863,  2866,   789,  2868,  2867,  2870,  2871,   390,   390,   390,
    2872,  2886,  3204,   788,  2042,  1402,  1147,  2874,  3086,  3087,
    3088,  2873,  3089,  3090,  3091,  3092,  3093,  3094,  2884,  2893,
    2895,  1622,  2898,  2899,  2412,  2900,  2917,  2901,  1623,  2412,
    4202,  1624,  2412,  2921,  2926,  4077,  2934,   351,  2939,  2955,
    2956,  2938,  2958,  2973,  1971,   350,  2974,  2975,  2976,  1048,
    2983,   795,  2997,  1450,  3002,  3003,  3016,  3493,   674,  3017,
    3498,  3499,  3500,  3501,  3502,  3503,  3504,  3505,  3506,  3507,
    3027,  3011,  3014,  3625,  3021,  3029,  1450,  3034,  2502,  3046,
    1625,  3052,  4070,  3050,  1315,  3533,  4202,   390,  3065,  3066,
    3068,  3069,  3070,  3073,  3074,  3076,  3079,  3097,  3104,   674,
    2450,  3103,  3128,   674,  3133, -2152,  3141,  2704,  3105,  1552,
    3106,  4202,  3113,  3148,  3126,   688,  3127,  3544,  3545,  2785,
    3151,  3608,  3166,  3167,  3222,  3217,  3161,  3569,  3239,  2964,
     786,  3221,   786,  3220,  3225,  1626,  4150,  1848,   789,  3234,
     789,  3226,  4102,  3231,  3235,  4146,  3238,  1597,  3243,  3244,
     392,  3276,  1132,  3277,   392,  3286,  1150,  3284,  1124,   786,
    3310,  3295,  3294,  1124,  3296,  1160,  3297,   789,  3298,  3299,
    3300,  1627,  3346,  3347,  3316,  3301,  3302,  1598,  3303,  3304,
    3317,  3318,  3319,   351,  3320,   351,  3321,  2138,  3203,  3355,
    1207,  3357,  3358,  1124,  1214,  3379,  3381,  3385,  3387,   788,
    1628,  3400,  3398,  3584,  1629,  1223,  3401,    55,    56,    57,
    3411,  3406,   351,    58,  2067,   674,  3407,  3413,  3428,   938,
    1533,  3344,  3432,   674,  3434,   674,  3436,  1597,  1630,  3444,
    1537,  3447,  3437,  1599,  3449,  3626,  1240,  3454,  3456,  3476,
    3477,   350,  3629,  1124,  3630,  3472,  3486,   795,   943,  3100,
    1124,  3082,  3528,  1916,  3099,  1975,  3572,  1598,  3540,  3515,
    3516,   943,  3541,  1600,  3576,  1980,  3582,  3517,  2877,  3549,
      81,  3559,   945,  3571,  2877,  2877,  2877,  2877,  2877,  2877,
    3573,  3579,  3596,   390,  3585,   945,  3609,  3598,  3605,  1981,
    3610,  2965,  3622,  3633,  3620,  2897,  3621,  1983,  3707,  3623,
    3624,  3648,  1984,  3646,  3649,  2140,  3700,  3674,  3353,  3425,
    3712,  3710,  3715,  1599,  3726,  3714,  3731,  3687,  3689,  3691,
    3693,  3722,  1299,  1300,  3732,  3740,  3734,  3744,  2412,  2404,
    3745,  3671,  3753,  3763,  2404,  3351,  3778,  2404,  3772,  3781,
    3756,  3766,  3702,  1600,  3686,   788,  1124,   788,  3784,  3779,
    1136,  2412,   986,  1137,  1138,  1139,   986,  1140,  1141,  1142,
    1143,  1144,  1145,  3789,  3786,  2234,  3794,  3824,  3798,  3737,
    3799,  3825,  3804,  3848,   788,  3793,  3849,   392,  3800,  3850,
    2678,  3854,  3870,  3860,  3863,  1124,  3844,   350,  3871,   350,
    3875,  3878,  3884,   795,   207,   795,  3666,  3905,  1603,  3887,
    3851,  3890,  3897,  3909,  1604,  3913,  3915,  3919,  3923,  3932,
    3934,  1605,  2284,  3947,   688,  1872,   350,  3964,  1639,  3963,
    3968,  3935,   795,  3976,  1985,  3977,  1607,  3978,  1986,   390,
    3953,   390,  2304,  3969,  1608,  3971,  3986,  3979,  3988,  3999,
    3994,  1601,  3996,  4006,  4007,  4003,  4012,  4013,  1987,  1988,
    2461,  4019,  3706,  4026,  4037,  3047,  4028,  4038,   390,  1619,
    4050,  4048,  4049,  1989,  4051,  1620,  4052,  4067,  4083,  1047,
    1602,  4087,  4106,  4110,   207,  4114,  1131,  4116,  1603,  4122,
    4123,  3899,  1609,  4126,  1604,  4138,  2967,  3425,  4143,  4144,
    4145,  1605,  4093,  1842,  4156,  4155,  1990,  4165,  1606,  1991,
    4159,  4175,  4161,  4166,  1621,  3565,  1607,  4185,  4189,  3808,
    3809,  4157,  4158,  1992,  1608,  4212,  1993,  4218,  4217,  4234,
    4247,  4236,  1124,  2412,  1056,  2923,  2063,  3194,  3253,  1124,
    3838,  3839,  2790,  4168,  3606,  3323,  4015,  3724,  3728,  3837,
    2762,  3599,  3902,    80,  3233,  3026,  4186,  4215,  4162,  4160,
    1750,  4195,    79,  2383,  1622,  3729,  3410,  2148,  2741,  3736,
    3631,  1623,  1609,  3288,  1624,  2364,  2434,  2904,   943,  3389,
      74,  4249,  4237,  3886,   943,  2438,  3885,  3382,   786,  3334,
    1124,  4196,  4005,  4152,  2346,  1994,   789,  4008,   943,   960,
    1889,  4055,   945,  3782,  3738,  4128,  3857,  3858,   945,  2756,
    4133,  3861,  3862,  3741,  2150,   344,  2877,  2877,  4228,   674,
    3910,  4032,   945,  1625,  4248,   925,  2666,  3876,  3877,  1473,
    1980,  3880,  3881,  1450,  1450,  4118,  2091,  3721,  3474,    81,
      81,   351,    81,  1859,  3353,  3353,  3353,  3353,  3353,  3199,
    1124,  1863,  3022,  3780,  2690,  3202,  2412,  3216,  2116,  2088,
    1492,  3842,  1983,  3583,  2689,  2682,  2404,  1984,  3160,  2663,
    2979,  3351,  3351,  3351,  3351,  3351,  3442,  1242,  1626,   943,
    3955,  1481,  3200,  1750,  3719,  1995,  3916,  3532,  1996,  1997,
    1998,  4076,  1999,  2000,  2001,  2002,  2003,  2004,  3522,  4177,
    2654,  4178,  4184,   945,  3205,  1124,  2655,  3146,  3144,  3061,
    3039,  1865,  3941,  1090,  1627,  1619,  2632,  3429,  1796,  2972,
    2398,  1620,  2701,  4176,  2126,  1059,  2119,  2692,  1286,  1898,
    1576,  2708,  2705,  1124,  3189,  2706,  3587,  3250,  1548,  3588,
    3833,  3575,  2025,  1663,  2123,  3024,  1082,  1629,  2712,  4187,
    2458,  3771,  1845,    83,     0,     0,     0,     0,     0,     0,
    1621,  2631,     0,     0,  1124,  1124,     0,  1124,  3271,     0,
    3273,  1664,     0,  3967,     0,     0,     0,     0,     0,     0,
    2008,     0,     0,     0,  1124,     0,  2647,     0,     0,  1985,
       0,     0,     0,  1986,     0,     0,     0,  3981,  3982,     0,
       0,     0,     0,   788,     0,     0,     0,     0,     0,     0,
    1622,  3992,     0,  1987,  1988,     0,     0,  1623,     0,     0,
    1624,     0,  3344,  2047,     0,     0,     0,     0,  1989,  3991,
       0,  1537,     0,     0,  4244,  2667,  1124,   392,     0,  2877,
       0,     0,  3309,  4016,     0,   350,     0,     0,  1980,   943,
       0,   795,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   674,     0,  1124,  1991,     0,   344,  1124,  1124,  1625,
       0,  3430,  1981,   945,     0,     0,     0,     0,  1992,     0,
    1983,   392,   392,   392,     0,  1984,     0,   390,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4053,     0,     0,     0,     0,     0,     0,   688,   786,     0,
       0,  3394,     0,     0,     0,     0,   789,     0,     0,     0,
       0,     0,     0,     0,  1626,  3250,     0,     0,     0,   392,
       0,     0,     0,     0,     0,     0,   392,     0,  1750,     0,
       0,     0,   392,     0,   688,     0,   986,     0,     0,     0,
    1994,     0,  4073,     0,     0,  4242,     0,     0,     0,     0,
    1627,   351,     0,     0,     0,     0,   986,     0,  1980,     0,
       0,     0,     0,  1750,     0,     0,  3451,     0,     0,     0,
       0,     0,     0,     0,     0,  2780,     0,     0,     0,  1680,
       0,     0,     0,  1629,     0,  1750,     0,     0,     0,   986,
    1983,     0,     0,     0,     0,  1984,     0,  1985,     0,     0,
       0,  1986,     0,     0,     0,     0,     0,  1681,     0,     0,
       0,     0,     0,     0,  2291,     0,     0,     0,     0,     0,
       0,  1987,  1988,     0,     0,     0,     0,  3487,     0,     0,
    1995,     0,     0,  1996,  1997,  1998,  1989,  1999,  2000,  2001,
    2002,  2003,  2004,     0,  1750,     0,  3492,     0,     0,     0,
       0,     0,  4135,     0,     0,     0,     0,     0,     0,     0,
       0,  2327,     0,     0,     0,     0,     0,     0,     0,  1990,
       0,  3514,  1991,     0,     0,     0,  4136,     0,     0,  1750,
       0,     0,     0,     0,     0,     0,  1992,     0,     0,  1993,
       0,  2922,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2353,     0,   344,  1750,  1899,     0,     0,     0,   392,
       0,     0,     0,   788,     0,     0,  2291,  1985,     0,  4241,
       0,  1986,     0,     0,  4204,  2941,     0,     0,     0,     0,
       0,     0,  2959,  4203,     0,  2964,     0,     0,     0,   344,
       0,  1987,  1988,     0,     0,     0,     0,     0,     0,     0,
       0,  4200,  1124,  1597,  1124,   350,  1989,     0,  1994,     0,
    1750,   795,     0,  1124,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2291,     0,     0,     0,  2704,
    4204,     0,     0,  1598,     0,     0,     0,     0,     0,  4203,
       0,     0,  1991,     0,     0,    81,     0,   390,    81,     0,
       0,     0,     0,     0,     0,  4204,  1992,  4200,     0,     0,
       0,     0,     0,     0,  4203,     0,     0,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
    1124,     0,  4200,     0,   674,     0,     0,     0,     0,  1599,
       0,     0,     0,     0,     0,     0,     0,     0,  1995,     0,
       0,  1996,  1997,  1998,     0,  1999,  2000,  2001,  2002,  2003,
    2004,     0,     0,     0,     0,  1124,  1124,  3075,     0,  1600,
       0,     0,     0,  1124,     0,     0,  1124,     0,  1994,  1124,
       0,     0,     0,     0,  2528,  1980,     0,  1124,  1124,     0,
       0,     0,     0,     0,     0,  1124,     0,  2965,  1124,  1124,
    1124,  1124,     0,     0,     0,     0,     0,     0,  1124,  1124,
       0,  1124,     0,  1124,     0,     0,  1124,  1983,     0,     0,
       0,     0,  1984,     0,     0,     0,     0,     0,     0,     0,
    1750,  1124,   392,     0,     0,  1124,     0,     0,     0,  1124,
       0,     0,     0,  1124,     0,  3711,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,     0,  1124,     0,     0,     0,
       0,     0,  1124,     0,     0,  1980,  1124,  3157,  1995,     0,
       0,     0, -2298, -2298,     0,  1999,  2000,  2001,  2002,  2003,
    2004,     0,     0,     0,     0,     0,     0,     0,     0,  1981,
       0,     0,     0,     0,     0,     0,  1125,  1983,  1128,     0,
     207,     0,  1984,     0,  2966,     0,     0,     0,     0,  3142,
    1604,     0,     0,  1158,     0,     0,     0,  1605,     0,     0,
    1450,     0,     0,     0,  1639,     0,   392,     0,     0,     0,
       0,     0,  1607,     0,     0,     0,  1203,  1124,     0,     0,
    1608,     0,     0,     0, -2298,     0,     0,     0,  1986,     0,
       0,     0,  1221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   690,     0,     0,     0,     0,     0,  1987,  1988,
       0,     0,   693,     0,   392,     0,   392,     0,     0,     0,
       0,     0,     0, -2298,     0,     0,     0,     0,  1609,     0,
       0,     0,  2967,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1899,     0,  2719,   834,     0,
      81,  2722,    81,     0,     0,     0,     0,     0,   883,  1991,
       0,   887,   392,     0,  1985,     0,  2734,   883,  1986,     0,
    2150,   942,     0,  1992,  2746,     0,     0,     0,     0,  1124,
       0,   674,     0,     0,     0,     0,     0,   674,  1987,  1988,
       0,     0,   961,     0,     0,     0,     0,  2760,     0,  1750,
       0,   674,     0,  1989,  1750,  1750,     0,     0,   883,  3853,
       0,     0,     0,     0,  2781,     0,     0,  3859,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   392,  2798,
       0,  2822,     0,     0,     0,     0,  1990,     0,     0,  1991,
       0,  1040,     4,     0,     0, -2298,     0,     0,     0,  2838,
       0,     0,     0,  1992,     0,     0,  2842,     0,     0,     0,
     392,     0,     5,  2855,     0,     0,     0,     0,     0,     0,
    2859,     0,     6,     7,     0,     0,     0,     0,     8,     0,
       9,    10,   674,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,     0,    35,
       0,    36,  3388,    37,    38,    39,    40,    41,     0,  1124,
       0,  1750,  3399,     0,     0,  1994,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1995,     0,     0,  3412,     0,
       0,     0,  1999,  2000,  2001,  2002,  2003,  2004,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      42,  1633,  1634,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3394,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1750,     0,     0,     0,     0,     0,     0,
       0,  3459,     0,  1124,  3460,     0,     0,  1899,     0,     0,
       0,  3464,     0,  1124,     0,  1086,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1995,     0,     0,  1996,  1997,
    1998,  1705,  1999,  2000,  2001,  2002,  2003,  2004,     0,     0,
    1450,    43,     0,     0,     0,     0,     0,  1757,  1758,     0,
    1124,     0,     0,     0,     0,    44,     0,     0,     0,     0,
       0,  3033,   674,     0,     0,  1785,     0,     0,     0,     0,
       0,     0,     0,     0,    45,     0,     0,     0,     0,     0,
    1124,     0,     0,     0,     0,     0,     0,     0,     0,  3033,
       0,  1750,     0,  1818,  1820,    46,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2964,     0,
    1124,  1124,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1597,     0,     0,    47,
       0,     0,    48,     0,     0,     0,     0,     0,     0,     0,
    1124,  1124,     0,     0,     0,  1124,     0,     0,  3556,  3557,
       0,     0,     0,     0,    49,     0,  1598,  1124,  1124,  1124,
    1124,     0,     0,     0,     0,   392,     0,     0,     0,  1124,
     392,     0,  1124,     0,  1124,     0,     0,     0,     0,     0,
       0,     0,     0,  1899,  1124,  1124,     0,  1124,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1124,     0,  1124,     0,     0,     0,  1124,     0,     0,     0,
       0,  1619,  1599,     0,     0,     0,  1899,  1620,     0,     0,
    1899,  1899,  1124,     0,     0,     0,    50,     0,  1980,     0,
       0,     0,     0,  1124,     0,  1124,  1124,  1124,     0,     0,
       0,  1644,  1600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1124,  1621,     0,     0,     0,
    1983,     0,     0,     0,  1124,  1984,    51,     0,     0,     0,
    2965,  1124,     0,     0,     0,   674,  1124,     0,     0,    52,
       0,     0,     0,  1124,  1124,  1124,     0,     0,  1645,     0,
       0,     0,    53,     0,  1094,  1095,     0,     0,     0,     0,
       0,     0,     0,     0,  3228,     0,  1622,     0,  1086,     0,
       0,     0,     0,  1623,     0,     0,  1624,    54,     0,     0,
       0,     0,     0,    55,    56,    57,     0,  1124,     0,    58,
       0,    59,     0,     0,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,    67,    68,  3683,    69,    70,    71,
      72,    73,     0,  1750,  1750,     0,  1750,     0,     0,     0,
       0,     0,  1646,  1750,  3708,  1625,     0,     0,     0,     0,
       0,     0,     0,   207,     0,     0,  3713,  1603,     0,     0,
       0,     0,     0,  1604,     0,  3274,     0,  1985,     0,     0,
    1605,  1986,     0,     0,  1750,     0,  1750,  1639,     0,     0,
       0,     0,     0,     0,     0,  1607,     0,  1647,     0,  1648,
       0,  1987,  1988,  1608,     0,     0,     0,     0,     0,     0,
    1649,     0,     0,     0,     0,     0,  1989,     0,     0,     0,
     392,   392,   392,     0,     0,  1151,     0,  1153,     0,  1155,
       0,  1157,     0,     0,     0,     0,     0,     0,     0,     0,
    3306,     0,     0,     0,     0,  1650,  1627,     0,     0,  1990,
    1199,  1609,  1991,     0,     0,  2967,     0,     0,  1750,     0,
       0,     0,     0,     0,  1217,  1218,  1992,     0,     0,  1220,
       0,     0,     0,     0,     0,  1651,     0,     0,     0,  1629,
    1652,     0,  3335,  1750,     0,     0,  1086,     0,   883,     0,
       0,     0,     0,     0,     0,  2280,  2281,  2282,  2283,     0,
    1245,     0,     0,  1653,     0,     0,     0,     0,     0,     0,
     392,  1750,  1264,  1654,     0,  1266,     0,  1268,     0,  1271,
       0,     0,     0,     0,     0,  2310,  2311,  1750,     0,     0,
       0,  2320,  3820,  3821,  3822,  3823,     0,     0,  1994,     0,
       0,  1750,     0,     0,     0,     0,  1302,  1303,     0,     0,
       0,     0,     0,     0,     0,     0,  1750,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1326,  1124,  1327,     0,     0,  1124,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1124,     0,     0,
       0,     0,  1750,     0,     0,  2291,  2368,  2369,  2370,  2371,
       0,     0,     0,     0,  1086,     0,     0,     0,  3468,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1124,
       0,     0,     0,     0,     0,     0,     0,     0,  1995,     0,
    3481,  1996,  1997,  1998,     0,  1999,  2000,  2001,  2002,  2003,
    2004,     0,     0,  1040,     0,     0,     0,     0,     0,     0,
    1124,     0,     0,  1750,     0,     0,     0,     0,     0,  1124,
       0,     0,     0,     0,     0,  1124,     0,  1124,     0,  2445,
       0,     0,  1750,  1124,     0,     0,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,     0,     0,     0,  1124,
    1124,     0,     0,     0,     0,     0,     0,  1750,     0,     0,
       0,     0,  1124,     0,     0,     0,   392,     0,  1124,     0,
       0,  1570,     0,  1572,     0,     0,     0,  1574,  1124,     0,
       0,  1124,     0,  1124,     0,     0,     0,     0,     0,     0,
       0,  1750,  1124,  1124,  1124,     0,     0,     0,  1124,     0,
       0,  1124,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1124,     0,     0,     0,     0,     0,     0,     0,     0,
    1124,     0,     0,     0,     0,     0,     0,     0,  1683,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1695,     0,     0,     0,     0,     0,     0,     0,     0,
    1701,  1980,     0,     0,     0,     0,  1703,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1751,     0,     0,
       0,     0,     0,     0,     0,  1981,     0,  3594,     0,  1980,
       0,     0,     0,  1983,     0,     0,     0,     0,  1984,     0,
       0,     0,     0,     0,     0,     0,     0,  1790,     0,     0,
       0,     0,     0,  1981,     0,     0,     0,     0,     0,     0,
       0,  1983,   392,  1750,   392,     0,  1984,     0,     0,     0,
       0,  1980,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3638,  4022,  3640,     0,
       0,   392,     0,     0,     0,  1981,     0,     0,     0,     0,
       0,     0,     0,  1983,     0,     0,     0,     0,  1984,     0,
       0,     0,     0,  1450,     0,     0,     0,  1866,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1897,  4066,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   669,     0,
       0,     0,     0,   687,     0,   691,     0,     0,     0,     0,
    1985,     0,     0,     0,  1986,   691,     0,     0,  1124,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1750,     0,     0,  1987,  1988,  4088,     0,  1985,     0,
       0,   687,  1986,     0,     0,     0,     0,     0,     0,  1989,
       0,   691,     0,     0,     0,     0,     0,     0,     0,     0,
     687,   691,  1987,  1988,   691,     0,  1750,  1124,  1124,     0,
     691,     0,     0,     0,   691,     0,     0,  1989,   953,     0,
    1985,     0,  1990,     0,  1986,  1991,  1124,     0,     0,     0,
       0,  1124,   955,     0,  1124,   691,     0,     0,     0,  1992,
     962,     0,  1993,     0,  1987,  1988,     0,     0,  3033,     0,
    1990,   691,     0,  1991,     0,   972,     0,   953,     0,  1989,
       0,   993,     0,     0,     0,     0,     0,  1992,     0,     0,
    1993,     0,     0,     0,  1124,     0,     0,     0,  1030,     0,
       0,     0,     0,     0,   691,     0,     0,     0,     0,     0,
    2825,     0,  1990,     0,     0,  1991,     0,     0,     0,  1040,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1992,
    1124,  1994,  1993,     0,     0,     0,     0,  1124,  1124,     0,
    1750,     0,     0,     0,     0,  1124,  1124,     0,     0,     0,
    1124,  1750,     0,  1980,  2869,     0,  1124,  1124,     0,  1994,
    1124,  2878,  2879,  2880,  2881,  2882,  2883,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1981,     0,     0,
    1124,     0,  1980,     0,     0,  1983,     0,     0,     0,     0,
    1984,     0,     0,     0,     0,    81,     0,  2161,     0,     0,
       0,  1994,     0,     0,     0,     0,  1981,  3855,     0,     0,
       0,  1980,     0,     0,  1983,  1750,     0,     0,  3864,  1984,
       0,  1995,  2192,  1750,  1996,  1997,  1998,     0,  1999,  2000,
    2001,  2002,  2003,  2004,     0,     0,     0,     0,     0,     0,
    3121,     0,     0,  1983,     0,     0,     0,     0,  1984,  1995,
       0,     0,  1996,  1997,  1998,     0,  1999,  2000,  2001,  2002,
    2003,  2004,     0,     0,     0,     0,  2573,     0,   691,     0,
       0,     0,  3006,     0,  3008,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1995,     0,     0,  1996,  1997,  1998,     0,  1999,  2000,
    2001,  2002,  2003,  2004,     0,     0,     0,     0,  3345,     0,
    1124,     0,  1985,     0,     0,     0,  1986,     0,     0,     0,
     392,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3546,  1987,  1988,     0,     0,
       0,  1985,     0,     0,     0,  1986,     0,     0,     0,     0,
    1124,  1989,     0,     0,     0,  1750,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1987,  1988,     0,     0,  1124,
   -2298,     0,     0,  1124,  1986,     0,     0,     0,  1750,     0,
    1989,  2344,  3033,     0,  1990,     0,     0,  1991,     0,     0,
       0,     0,     0,  2366,  1987,  1988,     0,     0,     0,  1124,
       0,  1992,     0,  1750,  1993,     0,     0,     0,     0, -2298,
       0,     0,     0,  1990,     0,   808,  1991,     0,     0,     0,
       0,     0,     0,  1124,  1124,     0,     0,  1124,     0,     0,
    1992,     0,     0,  1993,  1124,  1124,     0,     0,  2420,     0,
       0,     0,  2424,     0,     0,  1991,     0,     0,     0,     0,
       0,  2433,     0,  2435,     0,  2436,     0,     0,     0,  1992,
    2437,     0,     0,     0,  1750,     0,     0,  1124,     0,     0,
       0,   809,     0,  1994,     0,     0,     0,     0,     0,     0,
       0,     0,  2454,   883,     0,     0,     0,     0,     0,     0,
       0,   810,     0,     0,     0,     0,     0,     0,  1124,   687,
       0,     0,  1994,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   811,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2298,     0,     0,     0,     0,     0,     0,     0,   812,
       0,     0,     0,     0,   813,  1124,  1124,   691,   691,   814,
       0,     0,  1750,     0,     0,     0,     0,     0,     0,     0,
       0,   691,     0,  1995,   815,     0,  1996,  1997,  1998,     0,
    1999,  2000,  2001,  2002,  2003,  2004,     0,     0,  1124,  1750,
    3531,  1124,     0,  1124,     0,     0,     0,     0,     0,     0,
       0,     0,  1995,     0,     0,  1996,  1997,  1998,     0,  1999,
    2000,  2001,  2002,  2003,  2004,     0,     0,  3574,     0,  1124,
       0,     0,  1750,     0,     0,     0,  1750,  1750,     0,     0,
       0,  1995,     0,     0,     0,     0,     0,     0,  1999,  2000,
    2001,  2002,  2003,  2004,     0,     0,     0,     0,     0,     0,
     392,     0,     0,     0,  2641,     0,   816,  1124,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1124,     0,
       0,     0,     0,   817,     0,  1750,     0,  4137,  1126,   687,
    1126,     0,     0,   669,     0,  1149,     0,   669,   691,     0,
     691,     0,   691,  1124,   691,  1126,   669,   818,  1980,     0,
       0,     0,     0,   819,     0,  1171,     0,     0,     0,   820,
       0,   821,     0,   691,     0,     0,   687,     0,  1126,     0,
       0,   669,  1981,  1149,     0,   669,  1216,   691,   691,     0,
    1983,     0,   691,     0,  1126,  1984,   669,   822,   823,     0,
       0,     0,   824,     0,     0,     0,     0,     0,     0,   691,
     825,   691,     0,     0,     0,   826,     0,     0,     0,     0,
       0,  1124,     0,   691,     0,   827,   687,     0,     0,     0,
     691,     0,  1149,     0,   691,   691,     0,   828,   691,     0,
     691,     0,   691,  1086,   691,     0,     0,  1126,     0,     0,
       0,     0,     0,     0,     0,     0,  2720,     0,     0,     0,
       0,  2724,     0,     0,     0,  2728,     0,     0,     0,   691,
     691,  2732,  1980,     0,     0,     0,     0,  2737,     0,     0,
       0,     0,     0,  2747,     0,     0,     0,     0,  2749,     0,
       0,     0,     0,     0,     0,   691,     0,   691,  1980,     0,
    1329,     0,  3112,     0,  1983,     0,  1124,     0,     0,  1984,
       0,  2765,  2766,  2769,  2770,     0,     0,  1985,  2776,  2779,
       0,  1986,  1981,  2782,     0,     0,  2786,   691,     0,   687,
    1983,     0,     0,  1457,     0,  1984,     0,     0,     0,     0,
    2823,  1987,  1988,     0,     0,     0,     0,     0,     0,     0,
    2826, -1805,  2828,     0,     0,     0,  1989,     0,     0,     0,
    1484,  2839,  2840,  2841,     0,  2843,   691,     0,     0,     0,
       0,     0,  2856,  2857,     0,     0,     0,     0,     0,     0,
    2860,  2861,     0,     0,     0,     0,     0,     0,     0,  1990,
       0,     0,  1991,     0,     0,     0,  3547,     0,     0,     0,
   -1805,     0,     0,     0,     0,     0,  1992,     0,     0,  1993,
   -1805,     0,     0,     0, -1805,     0,     0,     0,     0, -1805,
       0,   669,   669, -1805,     0,     0, -1805,     0, -1805,     0,
       0, -2298,     0,     0,   691,  1986,   691,     0,     0,     0,
     691,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -1805,  1987,  1988,  1985,     0,     0,
       0,  1986,     0,  1126,  1126,     0,     0,     0,     0,     0,
   -2298,     0,     0,     0, -1805,     0,     0,     0,  1994,     0,
       0,  1987,  1988,     0,     0,     0,     0,     0,     0,     0,
       0,   691,     0,     0,     0,     0,  1989,     0,     0,     0,
       0,     0,     0,     0,   691,     0,  1991,     0,     0,     0,
       0,  1149,     0,   691,     0,     0,     0,     0, -1805,   691,
    1992,     0,     0,  1126,     0,     0,     0, -1805,     0,  1990,
     691,     0,  1991,     0,     0,     0,     0,     0,     0,  1126,
    1126,     0,  1086,     0,     0,     0,  1992,     0,     0,  1993,
       0,     0,     0,     0,     0,     0,     0,  1126,  1788,     0,
     691,  1793,     0,     0,     0,     0,     0,     0,  1995,     0,
   -1805,  1996,  1997,  1998,     0,  1999,  2000,  2001,  2002,  2003,
    2004,     0,     0,  3048,     0,  1126,  1126,     0,     0,   691,
       0,     0, -2298,     0,     0,     0,  1980,    85,     0,     0,
       0,     0,     0,    89,  1457,     0,     0,    93,     0,    94,
       0,    96,    97,     0,   958,     0,     0,     0,  1994,     0,
    1981,     0,   106,     0,     0,     0,     0,     0,  1983,     0,
     691,     0,     0,  1984,     0,     0, -1805,  1876,  1876,   119,
     120,     0,     0,   691,   953,     0,     0,     0,     0,   691,
       0,     0,     0,     0,   691,     0,     0, -1805,     0, -1805,
   -1805,     0,  1908,     0,     0,     0,   691,     0,  1914,     0,
       0,     0,     0,     0,     0,   128,     0,     0,     0,     0,
       0,     0,  1995,     0,     0,   129,     0,   130,   131,  1999,
    2000,  2001,  2002,  2003,  2004,     0,     0,  1747,     0, -1805,
       0,  1055, -1805, -1805,     0, -1805,     0,     0,  1995,     0,
       0,  1996,  1997,  1998,     0,  1999,  2000,  2001,  2002,  2003,
    2004,   141,     0,   142,   143,  3563,     0,     0,   145,   146,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   147,
       0,   148,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1985,     0,     0,   151,  1986,
     152,     0,     0,   155,     0,     0,     0,     0,     0,   156,
       0,     0,     0,   687,   687,   157,     0,     0,     0,  1987,
    1988,   158,     0,     0,     0,     0,     0,   159,     0,  1457,
       0,     0,     0,   161,  1989,   163,  1457,  1457,     0,   893,
     165,     0,     0,  3229,  3230,     0,     0,     0,     0,     0,
       0,   894,  2077,   169,  2084,     0,     0,     0,     0,     0,
    1747,     0,   691,   691,     0,     0,  3241,  1990,     0,     0,
    1991,   895,     0,     0,     0,     0,     0,     0,     0,     0,
     174,     0,     0,     0,  1992,     0,     0,  1993,     0,     0,
       0,     0,     0,     0,     0,   896,     0,     0,  3257,  3258,
    3259,  3260,     0,     0,     0,   183,   184,     0,   687,     0,
     669,   185,     0,     0,     0,   897,     0,     0,     0,     0,
     186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   898,     0,   191,     0,
     691,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1994,     0,     0,     0,
       0,     0,     0,   899,     0,   691,     0,     0,   900,     0,
       0,     0,     0,   901,     0,   202,     0,     0,     0,     0,
       0,     0,  3868,     0,  3305,     0,   204,     0,   902,  3307,
     205,     0,   206,     0,     0,     0,     0,   207,     0,     0,
       0,     0,   208,     0,     0,   210,  1149,     0,     0,   212,
       0,     0,     0,     0,     0,   213,     0,     0,     0,     0,
       0,   214,     0,     0,   216,     0,     0,     0,     0,     0,
       0,   219,     0,     0,     0,     0,     0,  1126,  1126,  1126,
    1126,     0,     0,     0,   221,   669,  1995,     0,     0,  1996,
    1997,  1998,     0,  1999,  2000,  2001,  2002,  2003,  2004,  1788,
     226,     0,   227,  3581,  3395,   883,     0,  1126,  1126,   229,
     903,   230,     0,  1126,   231,     0,     0,     0,   232,     0,
     904,     0,  3241,     0,     0,     0,     0,     0,     0,     0,
     235,     0,     0,     0,     0,     0,     0,   817,     0,     0,
       0,     0,   883,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1980,     0,     0,  1747,     0,     0,     0,     0,
       0,   905,     0,     0,   691,   906,     0,   907,     0,  3452,
       0,   244,   669,   908,     0,   909,   691,     0,  1126,  1126,
    1126,  1126,  3461,     0,  1983,     0,     0,   669,     0,  1984,
    2218,     0,     0,  1457,     0,  1788,     0,     0,     0,     0,
       0,   910,   911,     0,     0,     0,   912,     0,     0,     0,
       0,     0,  1747,     0,   913,     0,     0,     0,     0,   914,
     687,   691,     0,     0,   691,   691,     0,     0,     0,   915,
    1149,     0,     0,   691,   691,     0,   691,     0,   691,     0,
       0,   916,     0,   691,     0,   691,   669,  1980,     0,     0,
    1126,  1126,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   691,   691,     0,     0,     0,
       0,  1747,     0,     0,     0,     0,  3550,     0,     0,  1983,
       0,     0,  1876,     0,  1984,     0,     0,   691,  1747,     0,
     691,   691,     0,     0,   691,     0,     0,     0,     0,     0,
    2479,     0,     0,     0,     0,     0,  1747,     0,     0,     0,
       0, -2298,     0,     0,     0,  1986,     0,     0,   953,   953,
       0,  4054,  2504,     0,     0,     0,  4060,  4060,     0,     0,
       0,  1747,     0,     0,     0,  1987,  1988,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2298,     0,     0,     0,     0,     0,  1149,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3817,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1991,  1747,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4099,     0,  4101,
    1992,     0,     0,     0,     0,     0, -2298,     0,     0,   794,
    1986,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   691,     0,     0,
    1987,  1988,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2298,  4129,     0,     0,     0,
       0,     0,   794,     0,     0,     0,     0,     0,     0,     0,
    3632,     0,     0,     0,     0,  3639,     0,  3641,  3642,  3643,
    3644,     0, -2298,     0,     0,     0,     0,     0,     0,     0,
       0,  1991,     0,     0,     0,     0,     0,  2084,     0,     0,
       0,     0,     0,     0,     0,  1992,     0,     0,     0,   984,
       0,     0,     0,  4164,     0,     0,   984,     0,   984,     0,
       0,     0,  4060,     0,     0,     0,     0,     0,     0,     0,
     794,     0,     0,     0,     0,     0,     0,     0,     0,  3695,
    3697,  3699,     0,  3701,     0,     0,     0,     0,     0,     0,
       0,     0,  4188,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   669,     0,     0,  1747,     0,     0,
       0,     0,  1995,     0,     0,     0,   691, -2298,     0,  1999,
    2000,  2001,  2002,  2003,  2004,  1980,     0,     0,   669,   691,
       0,     0,   669,   687,   691,     0,     0,     0,   691,     0,
       0,     0,     0,     0,   691,     0,     0,   669,     0,  1981,
     691,     0,     0,     0,     0,   669,   691,  1983,     0,     0,
       0,   691,  1984,     0,     0,  3770,  1980,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   669,   691,
       0,     0,  2763,  2764,   691,   691,   691,   691,  2771,     0,
    1981,   691,   691,     0,     0,   669,   691,     0,  1983,   691,
       0,     0,     0,  1984,  2792,  2792,     0,  1995,     0,     0,
     669,     0,   669,   691,  1999,  2000,  2001,  2002,  2003,  2004,
       0,     0,  1126,   691,     0,   691,     0,     0,     0,     0,
     669,     0,     0,     0,   691,   691,   691,   669,   691,     0,
       0,     0,     0,     0,   669,   691,   691,     0,     0,     0,
       0,   669,     0,   691,   691,     0,  1745,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1126,     0,     0,     0,
       0,     0,     0,  1126,  1126,  1126,  1126,  1126,  1126,     0,
       0,     0,     0,     0,  1985,     0,     0,     0,  1986,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2792,     0,  1987,  1988,
       0,     0,     0,     0,   953,     0,     0,     0,     0,     0,
       0,     0,     0,  1989,     0,  1985,  3856,     0,     0,  1986,
       0,     0,     0,     0,     0,     0,  2751,  3865,  2937,     0,
       0,  2218,  2758,     0,     0,  2951,     0,     0,     0,  1987,
    1988,     0,     0,     0,     0,  1793,  1990,     0,     0,  1991,
       0,     0,     0,  2982,  1989,     0,     0,  2982,  2995,     0,
       0,     0,     0,  1992,  1980,     0,  1993,     0,     0,  1745,
       0,     0,     0,     0,  1126,  2792,  1126,  2792,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1990,  1981,     0,
    1991,  1457,     0,     0,     0,     0,  1983,     0,     0,     0,
       0,  1984,     0,     0,  1992,   691,     0,  1993,     0,     0,
    1876,     0,     0,     0,   691,     0,     0,     0,     0,     0,
    3912,     0,   669,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1994,     0,     0,  3928,     0,
       0,     0,     0,     0,     0,     0,   691,     0,  1747,     0,
     669,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1994,     0,     0,  1980,
       0,     0,     0,     0,  3962,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1981,     0,     0,     0,     0,     0,  2045,
    2218,  1983,     0,     0,     0,     0,  1984,     0,     0,     0,
       0,     0,     0,  1985,  3125,  1995,     0,  1986,  1996,  1997,
    1998,     0,  1999,  2000,  2001,  2002,  2003,  2004,     0,     0,
       0,     0,  3590,     0,     0,     0,     0,  1987,  1988,     0,
       0,     0,     0,  1149,     0,     0,     0,     0,     0,     0,
       0,     0,  1989,     0,     0,     0,  1995,     0,     0,  1996,
    1997,  1998,     0,  1999,  2000,  2001,  2002,  2003,  2004,     0,
       0,     0,     0,  3787,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1990,     0,     0,  1991,     0,
    1457,     0,     0,     0,     0,     0,     0,     0,  1747,     0,
       0,  2084,  1992,     0,     0,  1993,     0,     0,     0,     0,
       0,     0,     0,     0,  1745,     0,     0,     0,     0,     0,
       0,     0,   794,     0,     0,     0,     0,     0,  1985,     0,
    1122,     0,  1986,     0,     0,  1122,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1745,
       0,     0,  1987,  1988,     0,   669,   691,   691,     0,     0,
       0,     0,     0,     0,     0,  1122,     0,  1989,     0,     0,
    1876,  1745,     0,     0,  1994,     0,     0,     0,     0,   691,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1990,     0,     0,  1991,     0,     0,     0,     0,     0,  1980,
       0,   691,   691,   691,   691,  1122,     0,  1992,     0,     0,
    1993,     0,  1122,     0,     0,     0,     0,     0,     0,     0,
    1745,     0,     0,  1981,     0,     0,   669,     0,   691,     0,
       0,  1983,     0,     0,     0,     0,  1984,  1745,     0,     0,
       0,     0,     0,     0,   691,     0,     0,     0,   691,     0,
       0,     0,     0,     0,  1995,  1745,     0,  1996,  1997,  1998,
       0,  1999,  2000,  2001,  2002,  2003,  2004,     0,     0,     0,
       0,  3819,     0,     0,     0,     0,     0,     0,     0,  1994,
    1745,     0,     0,     0,     0,     0,     0,   691,     0,     0,
       0,   669,   691,     0,     0,     0,     0,     0,     0,     0,
    4163,  2792,  2792,     0,     0,     0,     0,     0,  1122,     0,
       0,     0,     0,     0,   984,     0,     0,     0,   984,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3352,     0,
       0,     0,     0,  1980,     0,     0,  1745,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1122,     0,     0,
    2218,  2758,     0,  2758,     0,     0,     0,  1981,  1985,     0,
    1747,     0,  1986,     0,     0,  1983,     0,   691,   691,  1995,
    1984,     0,  1996,  1997,  1998,     0,  1999,  2000,  2001,  2002,
    2003,  2004,  1987,  1988,     0,   691,  3975,     0,     0,     0,
       0,  1747,     0,  1747,  1457,     0,     0,  1989,     0,     0,
       0,     0,   687,     0,     0,   691,  2982,     0,     0,  3433,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3446,     0,     0,     0,     0,     0,     0,     0,
    1990,     0,   691,  1991,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   691,   669,  1992,     0,     0,
    1993,     0,     0,     0,     0,     0,   691,     0,     0,   669,
       0,     0,     0,     0,     0,  1747,  2479,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   691,     0,
       0,   669,     0,     0,  1122,     0,     0,     0,     0,     0,
    2758,  1122,  1985,     0,     0,     0,  1986,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1745,     0,     0,     0,
       0,     0,  1748,  1172,     0,     0,  1987,  1988,  2758,  1994,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1989,     0,     0,  1747,     0,     0,     0,     0,     0,
       0,     0,  1122,     0,     0,  1173,     0,     0,  1747,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1174,     0,
       0,     0,     0,  2758,  1990,  1175,     0,  1991,     0,  1176,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1992,     0,     0,  1993,     0,     0,     0,     0,  1177,
       0,     0,     0,     0,     0,     0,  3567,     0,     0,  1747,
       0,     0,  1122,     0,     0,     0,     0,     0,     0,  1995,
    1178,     0,  1996,  1997,  1998,     0,  1999,  2000,  2001,  2002,
    2003,  2004,     0,     0,     0,     0,  3990,  2084,     0,     0,
       0,     0,     0,     0,     0,  1748,     0,     0,     0,     0,
       0,     0,  1179,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1994,     0,     0,     0,  1122,     0,     0,
    1747,     0,  1180,  1876,  1876,     0,  1980,     0,   669,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1747,
       0,     0,     0,     0,     0,  1122,  1181,     0,     0,     0,
    1981,     0,     0,     0,     0,     0,     0,     0,  1983,     0,
       0,     0,     0,  1984,  1747,     0,     0,   691,   691,     0,
       0,     0,     0,     0,     0,     0,  1122,  1122,     0,  1122,
       0,     0,     0,   691,     0,     0,     0,   669,   691,   669,
     691,   691,   691,   691,     0,  1745,  1122,     0,  1747,     0,
    1745,  1745,     0,  1995,  1182,     0,  1996,  1997,  1998,     0,
    1999,  2000,  2001,  2002,  2003,  2004,     0,     0,     0,     0,
    4024,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   817,     0,     0,     0,     0,     0,     0,     0,  3352,
       0,     0,     0,     0,     0,     0,     0,     0,  1122,   794,
       0,     0,   691,   691,   691,  1183,   691,     0,     0,  1184,
       0,  1185,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,  1122,     0,     0,     0,  1122,
    1122,     0,  2937,     0,     0,  1985,     0,  2763,     0,  1986,
    2763,     0,  3730,     0,     0,  1187,  1188,     0,     0,     0,
    1189,     0,  2792,     0,     0,     0,     0,     0,  1190,  1987,
    1988,     0,     0,  1191,     0,     0,     0,  1745,     0,     0,
    2758,  2982,     0,   691,  1989,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2937,  1192,  3768,     0,   691,     0,
       0,     0,     0,  2792,     0,  2792,     0,     0,     0,     0,
    1748,     0,     0,     0,   794,     0,     0,  1990,   984,   669,
    1991,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1992,     0,     0,  1993,   984,  1745,
       0,     0,     0,     0,     0,  1748,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1980,    35,     0,     0,
       0,     0,     0,     0,     0,    41,     0,  1748,     0,     0,
       0,   984,     0,     0,     0,     0,     0,     0,     0,     0,
    1981,     0,     0,  1982,     0,     0,     0,     0,  1983,     0,
       0,     0,     0,  1984,     0,     0,     0,     0,  1747,     0,
       0,     0,     0,     0,     0,     0,  1994,     0,     0,     0,
       0,     0,     0,     0,  3831,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1748,     0,  1149,     0,
       0,     0,     0,  2218,     0,     0,     0,  1745,     0,     0,
       0,     0,     0,  1748,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3852,     0,     0,     0,     0,   669,   691,
       0,  1748,     0,     0,     0,     0,     0,     0,     0,   669,
     691,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   691,   691,  1126,   691,  1748,     0,     0,     0,
       0,   794,     0,     0,     0,     0,  1995,     0,     0,  1996,
    1997,  1998,     0,  1999,  2000,  2001,  2002,  2003,  2004,     0,
       0,  1876,     0,  4125,     0,  1985,     0,     0,     0,  1986,
       0,     0,     0,     0,     0,  3352,  3352,  3352,  3352,  3352,
       0,     0,     0,     0,  1122,     0,  1122,     0,     0,  1987,
    1988,     0,  1748,     0,     0,  1122,     0,  1747,     0,     0,
       0,     0,     0,     0,  1989,     0,     0,     0,  1747,     0,
       0,     0,     0,   691,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   691,     0,     0,     0,     0,     0,  1990,     0,  3940,
    1991,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3949,     0,  1992,   691,     0,  1993,     0,     0,
       0,     0,  1122,     0,     0,  3768,     0,     0,     0,     0,
       0,     0,  1747,     0,     0,     0,     0,   691,  3730,     0,
    1747,     0,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1122,  1122,     0,
       0,     0,     0,     0,     0,  1122,     0,     0,  1122,     0,
       0,  1122,     0,     0,     0,     0,     0,     0,     0,  1122,
    1122,     0,     0,     0,     0,     0,  1994,  1122,     0,     0,
    1122,  1122,  1122,  1122,     0,     0,     0,     0,     0,     0,
    1122,  1122,     0,  1122,     0,  1122,     0,     0,  1122,  1745,
    1745,     0,  1745,     0,     0,     0,     0,  1149,     0,  1745,
       0,     0,  1748,  1122,   794,     0,     0,  1122,     0,     0,
       0,  1122,     0,     0,     0,  1122,     0,  1876,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,     0,  1122,     0,
    1745,     0,  1745,     0,  1122,     0,     0,     0,  1122,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2792,     0,
    2763,    55,  3945,     0,     0,     0,  1995,     0,     0,  1996,
    1997,  1998,     0,  1999,  2000,  2001,  2002,  2003,  2004,     0,
       0,     0,     0,  1126,  3940,  1747,     0,     0,  1126,  1126,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   691,     0,     0,     0,     0,     0,     0,     0,
    1747,     0,     0,     0,  1745,     0,  1980,     0,     0,  1122,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4082,     0,     0,     0,  1745,
    1981,     0,     0,     0,  2672,     0,     0,     0,  1983,     0,
       0,     0,     0,  1984,     0,     0,     0,     0,  1126,  1126,
    1126,  1126,   691,     0,     0, -1807,     0,  1745,     0,     0,
       0,  2758,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1745,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1745,     0,     0,
       0,     0,     0,     0,   794,     0,     0,  3940,  1126,     0,
       0,     0,  1745,     0, -1807,     0,     0,     0,     0,     0,
       0,  1122,     0,  2673, -1807,     0,     0,     0, -1807,  1980,
       0,     0,     0, -1807,     0,     0,     0, -1807,     0,     0,
   -1807,  1748, -1807,     0,     0,     0,  1748,  1748,  1745,     0,
       0,     0,     0,  1981,     0,     0,     0,     0,     0,  2758,
       0,  1983,     0,   691,     0,  1126,  1984,     0, -1807,     0,
     794,     0,     0,     0,  1126,  1985,     0,     0,     0,  1986,
       0,     0,     0,     0,     0,     0,  1747,  3949, -1807,     0,
       0,     0,     0,  4082,     0,     0,     0,     0,     0,  1987,
    1988,     0,   794,     0,  1126,     0,     0,     0,     0,  1745,
       0,     0,     0,     0,  1989,  4201,     0,     0,     0,  1747,
    1980,     0,     0,  1747,  1747,     0,     0,     0,  1745,     0,
       0,     0, -1807,     0,     0,     0,     0,     0,     0,     0,
       0, -1807,     0,     0,  1981,     0,     0,  1990,     0,     0,
    1991,     0,  1983,  1745,     0,     0,     0,  1984,     0,     0,
       0,  1122,     0,  1748,  1992,     0,     0,  1993,  3099,     0,
       0,  4201,     0,  3100,     0,     0,     0,     0,     0,     0,
       0,     0,  3945,     0, -1807,     0,     0,  1745,  1985,     0,
       0,     0,  1986,     0,     0,     0,  4201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   982,  1987,  1988,     0,     0,     0,     0,   982,     0,
     982,     0,     0,     0,     0,  1748,     0,  1989,   958,     0,
       0,     0,     0,     0,     0,  1122,  1994,     0,     0,     0,
       0,     0,     0,     0,     0,  1122,     0,     0,     0,     0,
   -1807,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1990,     0,     0,  1991,     0,     0,     0,     0,     0,     0,
       0, -1807,     0, -1807, -1807,     0,     0,  1992,     0,  1985,
    1993,     0,  1122,  1986,  2674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1987,  1988,     0,     0,     0,     0,  1745,
       0,     0,  1122, -1807,     0,     0, -1807, -1807,  1989, -1807,
       0,  1980,     0,  1748,     0,     0,  1995,     0,     0,  1996,
    1997,  1998,     0,  1999,  2000,  2001,  2002,  2003,  2004,     0,
       0,     0,  1122,  1122,     0,  1981,     0,     0,     0,  1994,
       0,  1990,     0,  1983,  1991,     0,     0,     0,  1984,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1992,     0,
       0,  1993,  1122,  1122,     0,     0,     0,  1122,     0,     0,
       0,     0,     0,     0,  3077,     0,     0,     0,     0,  1122,
    1122,  1122,  1122,     0,     0,     0,     0,   794,     0,     0,
       0,  1122,   794,     0,  1122,     0,  1122,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1122,  1122,     0,  1122,
       0,     0,     0,     0,     0,     0,     0,  1745,     0,     0,
       0,     0,  1122,     0,  1122,     0,     0,     0,  1122,  1995,
    1994,     0,  1996,  1997,  1998,     0,  1999,  2000,  2001,  2002,
    2003,  2004,     0,     0,  1122,     0,     0,     0,     0,     0,
       0,     0,  1745,     0,     0,  1122,     0,  1122,  1122,  1122,
       0,     0,     0,     0,     0,  1737,     0,     0,     0,     0,
    1985,     0,     0,     0,  1986,     0,     0,  1122,     0,     0,
       0,     0,     0,     0,     0,     0,  1122,     0,     0,     0,
    2799,     0,     0,  1122,  1987,  1988,     0,     0,  1122,     0,
       0,     0,     0,     0,     0,  1122,  1122,  1122,     0,  1989,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1995,     0,     0,  1996,  1997,  1998,     0,  1999,  2000,  2001,
    2002,  2003,  2004,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1990,  2800,     0,  1991,     0,     0,     0,  1122,
       0,     0,  2801,  2802,  2803,     0,     0,     0,     0,  1992,
       0,     0,  1993,     0,     0,     0,  1745,     0,     0,     0,
       0,     0,     0,     0,     0,  1748,  1748,  1745,  1748,     0,
    3523,     0,     0,     0,     0,  1748,     0,     0,  1737,     0,
       0,     0,     0,     0,     0,     0,  2804,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1980,     0,     0,  1748,     0,  1748,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1994,     0,     0,     0,     0,     0,  1981,  2805,     0,
    3063,  1745,     0,  2806,  3524,  1983,     0,     0,     0,  1745,
    1984,     0,   794,   794,   794,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2807,     0,     0,     0,     0,     0,     0,     0,
    1748,     0,     0,     0,     0,     0,     0,     0,     0,  2808,
    2809,  2810,  2811,  2812,     0,  2813,     0,     0,  1022,     0,
       0,     0,     0,     0,     0,  1748,     0,  1022,     0,     0,
       0,  1995,     0,     0,  1996,  1997,  1998,     0,  1999,  2000,
    2001,  2002,  2003,  2004,     0,     0,     0,     0,  2814,     0,
       0,     0,   794,  1748,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1748,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1985,  1748,  2815,     0,  1986,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1748,     0,
       0,     0,     0,     0,     0,     0,  1987,  1988,     0,     0,
       0,     0,  1119,     0,  1745,  1122,     0,  1119,     0,  1122,
    2816,  1989,  2817,     0,     0,     0,     0,     0,     0,  1122,
       0,     0,     0,     0,  1748,     0,     0,     0,     0,  1745,
       0,     0,     0,     0,     0,  2818,     0,  1119,     0,     0,
       0,     0,  2819,  1737,  1990,  2820,     0,  1991,     0,     0,
       0,  1122,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1992,     0,     0,  1993,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1737,     0,
       0,     0,  1122,     0,     0,  1748,     0,  1119,     0,     0,
    1745,  1122,     0,     0,  1119,     0,     0,  1122,     0,  1122,
    1737,     0,     0,     0,  1748,  1122,     0,     0,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,     0,     0,
       0,  1122,  1122,     0,     0,     0,     0,     0,     0,  1748,
       0,     0,     0,  1994,  1122,     0,     0,     0,   794,     0,
    1122,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1122,     0,     0,  1122,     0,  1122,     0,     0,     0,  1737,
       0,     0,     0,  1748,  1122,  1122,  1122,     0,     0,     0,
    1122,     0,     0,  1122,     0,     0,  1737,     0,  1745,     0,
       0,     0,     0,  1122,     0,     0,     0,     0,     0,     0,
    1119,     0,  1122,     0,  1737,     0,   982,     0,     0,     0,
     982,     0,     0,     0,     0,  1745,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1737,
       0,     0,     0,  1995,     0,     0,  1996,  1997,  1998,  1119,
    1999,  2000,  2001,  2002,  2003,  2004,     0,     0,  1745,     0,
       0,     0,  1745,  1745,     0,  1980,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1981,
       0,     0,  3107,     0,     0,  1737,     0,  1983,     0,     0,
       0,     0,  1984,     0,   794,  1748,   794,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   794,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1119,     0,     0,     0,
       0,     0,     0,  1119,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1122,     0,     0,     0,  1746,     0,     0,     0,     0,     0,
       0,     0,     0,  1748,  1985,     0,     0,     0,  1986,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1119,     0,     0,     0,  1987,  1988,
       0,     0,     0,     0,     0,     0,     0,     0,  1748,  1122,
    1122,     0,     0,  1989,     0,  1737,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1122,     0,
       0,     0,     0,  1122,     0,  1739,  1122,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1990,     0,     0,  1991,
       0,     0,     0,     0,  1119,     0,     0,     0,     0,     0,
       0,     0,     0,  1992,     0,  1116,  1993,     0,     0,     0,
    1116,     0,  1022,     0,     0,     0,  1122,  1022,     0,  1022,
       0,     0,     0,     0,     0,  1022,     0,  1746,     0,     0,
       0,     0,  1980,  1022,     0,     0,     0,     0,  1022,     0,
    1116,     0,     0,     0,     0,     0,     0,     0,     0,  1119,
       0,     0,  1122,     0,     0,     0,  1981,     0,     0,  1122,
    1122,     0,  1748,  1980,  1983,     0,     0,  1122,  1122,  1984,
       0,     0,  1122,  1748,     0,  1994,     0,  1119,  1122,  1122,
       0,     0,  1122,     0,     0,  1022,     0,  1981,     0,     0,
    1116,     0,     0,     0,     0,  1983,     0,  1116,  1739,     0,
    1984,     0,  1122,     0,     0,     0,     0,     0,  1119,  1119,
       0,  1119,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1119,     0,
       0,     0,     0,     0,     0,     0,     0,  1748,     0,     0,
       0,     0,     0,     0,     0,  1748,     0,     0,     0,     0,
       0,  1022,     0,     0,     0,     0,  1022,     0,     0,     0,
       0,     0,     0,     0,     0,  1995,     0,  1022,  1996,  1997,
    1998,     0,  1999,  2000,  2001,  2002,  2003,  2004,     0,     0,
    1119,     0,     0,     0,  1737,     0,     0,     0,     0,  1737,
    1737,  1985,     0,     0,     0,  1986,     0,     0,  1022,     0,
       0,     0,     0,     0,     0,     0,     0,  1119,     0,     0,
       0,  1119,  1119,     0,     0,  1987,  1988,  1022,     0,     0,
       0,     0,  1985,  1022,     0,     0,  1986,     0,     0,     0,
    1989,     0,  1122,     0,     0,     0,     0,     0,     0,     0,
       0,  1022,   794,     0,     0,     0,  1987,  1988,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1989,     0,  1990,     0,     0,  1991,     0,     0,     0,
       0,     0,  1122,     0,     0,     0,     0,  1748,     0,     0,
    1992,     0,  1746,  1993,     0,     0,     0,     0,     0,     0,
     982,  1122,     0,     0,  1990,  1122,     0,  1991,     0,     0,
    1748,     0,     0,     0,     0,     0,  1737,     0,     0,     0,
     982,  1992,     0,     0,  1993,     0,     0,  1746,     0,     0,
       0,  1122,     0,     0,     0,  1748,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1746,
       0,     0,     0,   982,     0,  1122,  1122,     0,     0,  1122,
       0,     0,  1994,  1739,     0,     0,  1122,  1122,     0,     0,
    1980,     0,     0,     0,     0,     0,     0,     0,  1737,  1116,
       0,     0,     0,     0,     0,     0,  1116,  3484,     0,     0,
       0,     0,     0,  1994,  1981,     0,  1748,  3116,  1739,  1122,
       0,     0,  1983,     0,     0,     0,     0,  1984,  1746,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1739,     0,     0,     0,     0,  1746,     0,     0,     0,     0,
    1122,  1022,  1022,  1022,     0,     0,     0,  1116,     0,     0,
       0,     0,     0,  1746,     0,     0,     0,     0,     0,     0,
       0,     0,  1995,     0,     0,  1996,  1997,  1998,     0,  1999,
    2000,  2001,  2002,  2003,  2004,     0,     0,     0,  1746,     0,
       0,     0,     0,     0,     0,     0,  1737,  1122,  1122,  1739,
       0,     0,     0,  1995,  1748,     0,  1996,  1997,  1998,     0,
    1999,  2000,  2001,  2002,  2003,  2004,  1739,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1122,  1748,     0,  1122,  1739,  1122,  1119,     0,  1119,     0,
    1022,     0,     0,     0,  1746,     0,     0,  1119,     0,  1985,
       0,     0,     0,  1986,     0,     0,     0,     0,     0,  1739,
       0,  1122,     0,  1022,  1748,     0,     0,     0,  1748,  1748,
       0,     0,     0,  1987,  1988,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1989,     0,
       0,     0,   794,     0,     0,     0,     0,     0,     0,  1122,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1119,  1739,     0,     0,     0,     0,
    1122,  1990,     0,     0,  1991,     0,     0,  1748,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1992,     0,
       0,  1993,     0,     0,     0,  1122,     0,     0,     0,  1119,
    1119,     0,     0,     0,     0,     0,     0,  1119,     0,     0,
    1119,     0,     0,  1119,     0,     0,     0,     0,     0,     0,
       0,  1119,  1119,     0,     0,     0,     0,     0,     0,  1119,
    1980,     0,  1119,  1119,  1119,  1119,     0,     0,     0,     0,
       0,     0,  1119,  1119,     0,  1119,     0,  1119,     0,     0,
    1119,  1022,     0,     0,  1981,     0,     0,  3530,     0,     0,
    1994,     0,  1983,  1122,  1746,  1119,     0,  1984,     0,  1119,
       0,     0,     0,  1119,     0,     0,     0,  1119,     0,     0,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,     0,
    1119,     0,     0,     0,     0,     0,  1119,     0,     0,     0,
    1119,     0,     0,     0,     0,     0,     0,     0,  1737,  1737,
       0,  1737,     0,     0,     0,     0,     0,     0,  1737,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1739,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1122,  1737,
    1995,  1737,     0,  1996,  1997,  1998,     0,  1999,  2000,  2001,
    2002,  2003,  2004,     0,     0,     0,     0,     0,     0,     0,
       0,  1119,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   843,     0,     0,     0,     0,     0,  1985,
       0,     0,     0,  1986,     0,   844,     0,     0,     0,     0,
       0,     0,  1022,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1987,  1988,   845,     0,     0,     0,     0,
       0,     0,     0,  1737,     0,     0,     0,     0,  1989,     0,
       0,     0,     0,     0,     0,   846,     0,     0,     0,  -582,
       0,     0,     0,     0,     0,     0,     0,     0,  1737,  1022,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   847,
       0,  1990,     0,     0,  1991,   848,     0,     0,     0,  1022,
       0,     0,     0,  1119,     0,     0,  1737,     0,  1992,     0,
     849,  1993,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1737,  1746,     0,     0,     0,     0,  1746,  1746,
       0,     0,     0,     0,     0,     0,  1737,   850,     0,     0,
       0,     0,  -745,   851,     0,     0,     0,   852,     0,     0,
       0,  1737,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  -724,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1994,     0,     0,     0,     0,  -447,     0,  1737,     0,     0,
       0,     0,     0,     0,  1739,     0,     0,     0,   853,  1739,
    1739,     0,     0,     0,     0,     0,     0,     0,     0,  2411,
       0,  1116,     0,     0,     0,     0,     0,     0,     0,     0,
    1116,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1022,     0,     0,     0,     0,     0,     0,
       0,     0,  1022,  1119,   854,  1746,     0,   855,  1737,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1737,     0,     0,
    1995,  -447,     0,  1996,  1997,  1998,     0,  1999,  2000,  2001,
    2002,  2003,  2004,     0,     0,     0,     0,  1116,     0,     0,
    1022,  1022,  1737,     0,     0,   856,     0,     0,     0,  -745,
       0,   857,  1022,     0,     0,     0,     0,  1746,     0,   858,
       0,     0,     0,     0,     0,     0,  1739,  1119,     0,     0,
       0,     0,     0,     0,     0,     0,  1737,  1119,     0,     0,
       0,     0,     0,     0,     0,     0,   859,   860,     0,   861,
     862,     0,     0,     0,     0,     0,     0,     0,   863,     0,
       0,     0,   864,   865,     0,     0,     0,     0,   866,     0,
       0,     0,     0,   867,  1119,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1739,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1119,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1746,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1022,     0,
       0,     0,     0,     0,  1119,  1119,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1022,     0,     0,     0,     0,  1737,     0,
       0,     0,     0,     0,  1119,  1119,     0,     0,     0,  1119,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1119,  1119,  1119,  1119,     0,  1739,     0,     0,     0,
       0,     0,     0,  1119,     0,     0,  1119,     0,  1119,     0,
       0,     0,  1022,     0,     0,     0,     0,     0,  1119,  1119,
       0,  1119,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1119,     0,  1119,     0,     0,     0,
    1119,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1119,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1119,     0,  1119,
    1119,  1119,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1737,     0,     0,  1119,
       0,     0,     0,     0,     0,     0,     0,     0,  1119,     0,
       0,     0,     0,     0,     0,  1119,     0,     0,     0,     0,
    1119,     0,     0,     0,     0,     0,     0,  1119,  1119,  1119,
       0,  1737,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1119,  1022,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1746,  1746,     0,
    1746,     0,     0,     0,     0,     0,     0,  1746,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1740,     0,     0,  1746,     0,
    1746,     0,     0,     0,     0,  1737,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1737,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1739,  1739,
       0,  1739,     0,     0,     0,     0,     0,     0,  1739,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1022,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1739,
       0,  1739,  1746,     0,     0,     0,     0,     0,     0,     0,
    1737,     0,  1022,     0,     0,     0,     0,     0,  1737,  1022,
       0,     0,     0,     0,     0,     0,     0,  1746,     0,     0,
    2411,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1740,     0,
       0,     0,     0,     0,     0,  1746,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1746,     0,  1739,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1746,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1739,     0,
    1746,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1119,     0,     0,
       0,  1119,     0,     0,     0,     0,  1739,     0,     0,     0,
       0,  1119,     0,     0,     0,     0,  1746,     0,     0,     0,
       0,     0,  1739,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1123,     0,     0,     0,  1739,  1123,     0,     0,
       0,     0,     0,  1119,     0,     0,     0,     0,     0,     0,
       0,  1739,     0,  1737,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1123,     0,     0,
       0,     0,     0,     0,  1119,     0,     0,  1746,  1737,     0,
       0,     0,     0,  1119,     0,     0,     0,  1739,     0,  1119,
       0,  1119,     0,     0,     0,     0,  1746,  1119,     0,     0,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
       0,     0,     0,  1119,  1119,     0,     0,  1123,     0,     0,
       0,  1746,     0,     0,  1123,     0,  1119,     0,     0,     0,
       0,     0,  1119,     0,  1022,     0,     0,     0,     0,  1737,
    2411,     0,  1119,     0,     0,  1119,     0,  1119,  1739,     0,
       0,     0,     0,     0,     0,  1746,  1119,  1119,  1119,     0,
       0,     0,  1119,     0,     0,  1119,     0,  1739,     0,     0,
       0,     0,     0,     0,     0,  1119,     0,     0,     0,     0,
       0,     0,     0,  1740,  1119,     0,     0,  1022,     0,     0,
       0,     0,  1739,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1740,     0,
    1123,     0,     0,     0,     0,     0,  1739,  1737,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1740,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1737,     0,     0,     0,     0,  1123,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1746,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1737,     0,     0,
       0,  1737,  1737,     0,     0,     0,     0,     0,     0,  1740,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1740,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1740,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1739,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1740,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1119,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1746,  1123,     0,     0,     0,
       0,     0,     0,  1123,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1740,     0,     0,     0,     0,
       0,  1420,     0,     0,  1749,     0,     0,     0,     0,     0,
    1746,  1119,  1119,     0,     0,     0,     0,     0,     0,  1022,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1022,
    1119,     0,     0,     0,  1123,  1119,     0,     0,  1119,     0,
    1489,     0,     0,     0,     0,  1022,  1739,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2411,     0,     0,     0,  2411,     0,     0,     0,  1119,     0,
       0,  1739,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1123,     0,     0,     0,  1022,     0,
       0,  1022,     0,     0,     0,     0,     0,     0,  1022,     0,
       0,     0,     0,     0,  1119,     0,  1116,     0,     0,     0,
       0,  1119,  1119,     0,  1746,     0,     0,  1749,     0,  1119,
    1119,     0,     0,     0,  1119,  1746,     0,  1022,     0,     0,
    1119,  1119,     0,     0,  1119,     0,     0,     0,     0,  1123,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1119,  1740,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1123,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1739,     0,     0,     0,  1746,
       0,     0,     0,     0,     0,     0,  1739,  1746,  1123,  1123,
       0,  1123,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1123,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1022,  1022,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1739,     0,     0,     0,     0,     0,     0,     0,  1739,     0,
    1123,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1119,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1123,     0,     0,
       0,  1123,  1123,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1119,     0,     0,     0,     0,  1746,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1921,     0,     0,  1119,     0,     0,     0,  1119,     0,     0,
       0,     0,  1746,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1944,     0,
       0,     0,  1749,  1119,     0,     0,     0,  1746,     0,     0,
       0,     0,     0,     0,  1740,     0,     0,     0,     0,  1740,
    1740,     0,     0,     0,     0,     0,     0,  1119,  1119,  1968,
    1969,  1119,  1972,     0,     0,     0,     0,  1749,  1119,  1119,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2010,
       0,     0,     0,  1739,     0,     0,     0,     0,     0,  1749,
       0,     0,     0,  1022,     0,     0,     0,     0,  1746,     0,
       0,  1119,     0,     0,     0,     0,     0,     0,  1739,     0,
       0,  1022,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1022,     0,     0,     0,     0,     0,     0,
       0,  2068,  1119,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1749,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2096,     0,
       0,     0,  2106,  2109,     0,  1749,  1740,     0,     0,  1739,
       0,     0,     0,  2411,     0,     0,     0,     0,  2411,  1119,
    1119,  2411,     0,  1749,     0,     0,  1746,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1749,     0,
       0,     0,  1119,  1746,     0,  1119,     0,  1119,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1740,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1119,     0,     0,  1746,     0,     0,     0,
    1746,  1746,     0,     0,     0,     0,  1123,  1739,  1123,     0,
       0,     0,     0,     0,  1749,     0,     0,  1123,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1119,     0,     0,  1739,     0,     0,     0,     0,  1022,
    1022,  1022,  1022,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1119,     0,     0,     0,     0,     0,     0,  1746,
       0,     0,     0,     0,     0,     0,     0,  1739,     0,     0,
       0,  1739,  1739,     0,     0,     0,  1740,  1119,     0,     0,
       0,     0,     0,     0,  1123,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1123,
    1123,     0,     0,     0,     0,     0,     0,  1123,     0,     0,
    1123,     0,     0,  1123,     0,     0,     0,     0,     0,     0,
       0,  1123,  1123,     0,     0,  1119,     0,     0,     0,  1123,
       0,     0,  1123,  1123,  1123,  1123,     0,     0,     0,     0,
       0,     0,  1123,  1123,     0,  1123,     0,  1123,     0,     0,
    1123,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1749,  1123,     0,     0,     0,  1123,
       0,     0,     0,  1123,     0,     0,     0,  1123,     0,     0,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,     0,
    1123,     0,     0,     0,     0,     0,  1123,     0,     0,     0,
    1123,     0,     0,     0,     0,     0,     0,  1116,     0,     0,
    1119,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2411,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1123,     0,     0,     0,     0,     0,     0,  1742,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2514,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1740,  1740,
       0,  1740,     0,     0,  1116,     0,     0,     0,  1740,     0,
    2536,     0,     0,  2538,     0,     0,  2549,     0,     0,     0,
       0,     0,     0,  2556,  2561,     0,     0,     0,  2566,     0,
       0,  2571,     0,     0,     0,  1116,     0,     0,     0,  1740,
       0,  1740,     0,     0,  1022,     0,  2580,     0,     0,     0,
    2586,     0,     0,  1123,  2598,     0,     0,     0,  2605,     0,
       0,  2607,  2608,  2609,  2610,  2611,  2612,  2613,  2614,  2615,
    1022,  2616,     0,  1749,     0,     0,     0,  1420,  1749,  1749,
       0,  1742,  1116,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1022,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1740,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1740,     0,
       0,     0,     0,  1022,     0,     0,     0,     0,     0,     0,
       0,     0,  1489,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1740,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1740,     0,  1116,     0,     0,     0,  1743,     0,
       0,     0,     0,  1123,     0,  1749,  1740,     0,     0,     0,
       0,     0,     0,     0,     0,  1116,     0,     0,     0,     0,
       0,  1740,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1740,     0,     0,
       0,     0,     0,     0,  2735,     0,     0,  1749,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1123,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1123,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1116,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1740,     0,
       0,  1743,     0,     0,  1123,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1740,     0,     0,
       0,     0,     0,     0,     0,     0,  1742,     0,     0,     0,
       0,     0,     0,     0,  1123,     0,     0,     0,     0,     0,
       0,     0,  1740,     0,     0,  1749,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1744,     0,     0,     0,     0,
       0,  1742,     0,     0,  1123,  1123,     0,     0,     0,     0,
       0,     0,     0,  1116,     0,     0,  1740,     0,     0,     0,
       0,     0,     0,  1742,  2894,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1123,  1123,     0,     0,     0,  1123,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1123,  1123,  1123,  1123,     0,     0,     0,     0,     0,
       0,     0,     0,  1123,     0,     0,  1123,     0,  1123,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1123,  1123,
       0,  1123,  1742,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1123,     0,  1123,     0,     0,  1742,
    1123,     0,     0,     0,     0,     0,     0,     0,  2999,     0,
       0,     0,     0,     0,     0,     0,  1123,  1742,  1744,     0,
       0,     0,     0,     0,     0,     0,     0,  1123,     0,  1123,
    1123,  1123,     0,     0,     0,     0,     0,     0,  1740,     0,
       0,     0,  1742,     0,     0,  3020,     0,     0,     0,  1123,
       0,     0,     0,     0,     0,     0,     0,     0,  1123,     0,
       0,     0,     0,     0,     0,  1123,     0,     0,     0,     0,
    1123,     0,     0,     0,     0,  1420,     0,  1123,  1123,  1123,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1743,     0,  1742,     0,
       0,     0,     0,     0,     0,     0,  3059,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1123,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1743,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1749,  1749,     0,
    1749,     0,  2561,  1743,  2561,  2561,  1740,  1749,     0,     0,
       0,     0,     0,     0,  3119,     0,     0,  3122,     0,  3124,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1749,     0,
    1749,  1740,     0,     0,     0,  3145,     0,  3147,     0,     0,
       0,  3150,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1743,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1743,
       0,     0,  3165,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1743,     0,     0,
    3195,     0,     0,     0,     0,     0,     0,     0,     0,  1489,
       0,     0,  1749,     0,     0,     0,  2096,     0,  1742,     0,
       0,  3209,  1743,  1744,     0,     0,     0,     0,  2109,  2109,
    2106,     0,     0,     0,     0,     0,     0,  1749,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1740,     0,     0,  1744,     0,
       0,     0,     0,     0,     0,  1749,  1740,     0,     0,     0,
       0,     0,  3232,     0,     0,     0,     0,     0,  1743,     0,
    1744,  1749,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1749,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1749,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1123,     0,     0,
    1740,  1123,     0,     0,     0,     0,     0,     0,  1740,  1744,
       0,  1123,     0,     0,     0,     0,  1749,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1744,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1123,  1744,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1744,
       0,     0,     0,     0,  1123,     0,     0,  1749,     0,     0,
       0,     0,     0,  1123,     0,     0,     0,     0,     0,  1123,
       0,  1123,     0,     0,     0,     0,  1749,  1123,     0,     0,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
       0,     0,     0,  1123,  1123,     0,     0,  1742,  1743,     0,
       0,  1749,  1742,  1742,     0,  1744,  1123,     0,     0,     0,
       0,     0,  1123,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1123,     0,     0,  1123,     0,  1123,     0,     0,
       0,     0,     0,     0,     0,  1749,  1123,  1123,  1123,     0,
       0,     0,  1123,  1740,     0,  1123,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1123,     0,     0,     0,     0,
       0,     0,     0,     0,  1123,     0,     0,     0,  1740,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1742,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1740,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3485,     0,  1749,     0,     0,
       0,     0,     0,     0,  3488,     0,     0,     0,     0,     0,
    3489,     0,  3490,     0,     0,  1744,     0,     0,     0,     0,
       0,  1742,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3508,  3509,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2566,     0,     0,     0,  1740,     0,     0,
       0,     0,     0,  3534,     0,     0,  3537,  1743,  3539,     0,
       0,     0,  1743,  1743,     0,     0,     0,  3543,     0,     0,
       0,     0,     0,  3548,  1740,     0,  3551,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3558,     0,     0,     0,
       0,     0,  1123,     0,     0,  3020,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1749,     0,  1740,     0,  1742,
       0,  1740,  1740,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1749,  1123,  1123,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1123,     0,  2006,     0,     0,  1123,     0,     0,  1123,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1743,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1123,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2006,     0,     0,  1744,     0,     0,     0,     0,  1744,
    1744,  1743,     0,     0,  1123,     0,     0,     0,     0,     0,
       0,  1123,  1123,     0,  1749,     0,     0,     0,     0,  1123,
    1123,     0,     0,     0,  1123,  1749,     0,     0,     0,     0,
    1123,  1123,     0,     0,  1123,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1123,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1749,
       0,     0,     0,     0,     0,     0,     0,  1749,     0,  1743,
       0,     0,  3742,  3743,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1744,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1742,  1742,     0,  1742,     0,     0,     0,     0,     0,
       0,  1742,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3785,
       0,     0,  1742,     0,  1742,     0,     0,     0,  1744,     0,
       0,     0,     0,     0,  1123,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3801,  3803,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1123,  3810,     0,     0,     0,  1749,
       0,  3815,  3816,     0,     0,  3818,     0,     0,     0,     0,
       0,     0,     0,  1123,     0,     0,  1742,  1123,     0,     0,
       0,     0,  1749,     0,     0,  3832,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1742,     0,  1123,     0,     0,  1744,  1749,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1123,  1123,  1742,
       0,  1123,     0,     0,     0,     0,     0,     0,  1123,  1123,
       0,     0,     0,     0,     0,  1742,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1742,
       0,     0,     0,     0,     0,     0,     0,     0,  1749,     0,
       0,  1123,     0,     0,  1742,     0,     0,     0,     0,     0,
       0,     0,  2006,     0,     0,     0,     0,     0,     0,     0,
       0,  1743,  1743,     0,  1743,     0,     0,     0,     0,     0,
       0,  1743,  1123,     0,     0,     0,     0,     0,     0,     0,
    1742,     0,     0,     0,     0,  3900,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1743,     0,  1743,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1123,
    1123,     0,     0,  2006,     0,     0,  1749,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1742,     0,     0,  3952,     0,  2006,     0,     0,     0,
       0,  2545,  1123,  1749,     0,  1123,     0,  1123,     0,     0,
    1742,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2006,  2006,     0,     0,  2006,     0,  1743,     0,     0,     0,
       0,     0,     0,  1123,     0,  1742,  1749,     0,     0,     0,
    1749,  1749,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1743,  3983,     0,     0,     0,     0,     0,     0,     0,
    3985,     0,  2006,     0,     0,     0,     0,     0,     0,  1742,
       0,  1123,     0,     0,     0,     0,     0,     0,     0,  1743,
       0,     0,     0,     0,     0,     0,     0,     0,  1744,  1744,
       0,  1744,  1123,     0,     0,  1743,     0,     0,  1744,  1749,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1743,
       0,     0,     0,     0,     0,     0,     0,  1123,     0,     0,
    2006,     0,     0,     0,  1743,     0,     0,     0,     0,  1744,
       0,  1744,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2006,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2006,     0,
    1743,  2006,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4056,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1123,     0,     0,     0,     0,
       0,  1742,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1744,     0,     0,  2566,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1743,     0,     0,     0,     0,     0,     0,  1744,     0,
       0,     0,     0,     0,  4090,     0,     0,     0,     0,     0,
    1743,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1744,     0,     0,     0,
       0,     0,     0,     0,     0,  1743,     0,     0,     0,     0,
    1123,     0,  1744,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1744,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1743,
       0,  1744,     0,     0,     0,     0,     0,     0,     0,  1742,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     4,
       0,     0,     0,     0,     0,     0,     0,  1744,     0,     0,
       0,     0,     0,     0,  1742,     0,     0,     0,     0,     5,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     6,
       7,     0,     0,     0,     0,     0,     0,     9,    10,     0,
       0,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,     0,    35,     0,  1744,     0,
      37,    38,    39,    40,    41,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1744,     0,     0,
       0,  1743,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1744,     0,     0,     0,     0,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1742,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1742,
       0,     0,     0,     0,     0,     0,  1744,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    43,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    44,  1742,     0,     0,     0,     0,     0,  1743,
       0,  1742,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2006,     0,     0,     0,
       0,     0,    46,     0,  1743,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2006,     0,
    2006,     0,  2545,  2545,  3095,     0,     0,  2545,  1744,     0,
       0,  2006,     0,     0,     0,     0,    47,     0,  2006,    48,
       0,     0,     0,  2006,     0,     0,     0,     0,  2006,     0,
       0,     0,     0,  2006,     0,     0,     0,     0,     0,     0,
       0,    49,  2006,     0,     0,     0,  2545,  2545,  2006,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2006,     0,     0,     0,     0,     0,     0,  2006,     0,  2006,
    2006,  2006,  2006,  2006,  2006,  2006,  2006,  2006,  2006,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1743,     0,
       0,     0,     0,     0,     0,     0,  1742,     0,     0,  1743,
       0,     0,     0,    50,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1744,     0,     0,     0,
       0,  1742,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    51,     0,     0,     0,     0,     0,     0,
       0,  1744,     0,     0,     0,     0,    52,     0,     0,     0,
       0,     0,     0,  1743,     0,     0,     0,     0,     0,    53,
       0,  1743,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1742,     0,     0,     0,     0,  2006,     0,     0,
       0,     0,     0,     0,    54,     0,     0,     0,     0,     0,
      55,    56,    57,     0,     0,     0,    58,     0,    59,     0,
       0,     0,    60,    61,    62,    63,    64,     0,     0,    65,
      66,  1279,     0,     0,     0,     0,    71,  1280,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1744,     0,     0,     0,     0,
    1742,     0,     0,     0,     0,     0,  1744,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1742,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1743,     0,     0,     0,
    1742,     0,     0,     0,  1742,  1742,     0,     0,     0,     0,
    1744,     0,     0,     0,     0,     0,  2006,     0,  1744,     0,
       0,  1743,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     4,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     5,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     6,     7,     0,     0,     0,     0,     0,     0,
       9,    10,  1743,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,     0,    35,
       0,     0,     0,    37,    38,    39,    40,    41,     0,     0,
       0,  2006,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2006,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1743,     0,     0,  1744,     0,     0,     0,     0,     0,     0,
       0,  2006,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1743,  1744,     0,
       0,     0,  3095,  3095,     0,  2545,     0,     0,  2545,  2545,
    2545,  2545,  2545,  2545,  2545,  2545,  2545,  2545,  3095,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1743,    43,     0,     0,  1743,  1743,     0,     0,     0,     0,
       0,  2006,     0,     0,  2006,    44,  2006,     0,     0,     0,
       0,  3095,  3095,     0,     0,     0,     0,     0,     0,  1744,
       0,     0,     0,     0,    45,  2545,  2545,  2006,     0,  2006,
       0,     0,  2006,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    46,     0,  2006,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2006,     0,    47,
       0,     0,    48,     0,     0,     0,     0,     0,     0,     0,
       0,  2006,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    49,     0,     0,  1744,     0,     0,
       0,     0,     0,     0,  2006,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1744,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1744,     0,     0,
       0,  1744,  1744,     0,     0,     0,    50,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    51,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    52,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    53,     0,     0,     0,     0,     0,     0,     0,
    2545,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    54,     0,     0,
       0,     0,     0,    55,    56,    57,     0,     0,     0,    58,
       4,    59,     0,     0,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1279,  1844,     0,     0,     0,    71,
       5,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       6,     7,     0,     0,     0,     0,     0,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,     0,    35,     0,     0,
       0,    37,    38,    39,    40,    41,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2006,     0,     0,
    2006,  2006,  2006,     0,     0,  3095,     0,     0,     0,     0,
    3095,  3095,  3095,  3095,  3095,  3095,  3095,  3095,  3095,  3095,
    2006,  2006,     0,     0,     0,     0,     0,     0,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2006,  2545,  2545,  2006,
       0,  2006,     0,     0,     0,  2006,  3095,  3095,     0,     0,
    2006,     0,     0,  2006,     0,     0,     0,     0,     0,     0,
    2006,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    43,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    46,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    47,     0,     0,
      48,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    49,     0,  3095,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2006,  2006,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    50,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2006,     0,     0,
       0,  2545,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2006,     0,  2006,     0,     0,     0,     0,
    3095,  3095,  2006,     0,    51,  2545,  2545,  2006,  2006,     0,
    2006,     0,     0,     0,     0,     0,     0,    52,     0,     0,
       0,     0,     0,     0,  2006,     0,     0,     0,     0,     0,
      53,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    54,     0,     0,     0,     0,
       0,    55,    56,    57,     0,     0,     0,    58,     0,    59,
       0,     0,     0,    60,    61,    62,    63,    64,     0,     0,
      65,    66,  1279,  2446,     0,     0,     0,    71,     0,     0,
       0,     0,  2006,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2006,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3095,
    2545,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3095,  3095,  2006,     0,  2006,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   694,    86,    87,    88,   400,    90,    91,    92,
     401,     0,   402,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   695,   104,   105,   403,   696,     0,   107,   108,
     109,   110,   697,   698,   112,   113,   114,   115,  2006,   116,
     699,   700,   404,   405,     0,     0,     0,   406,   407,     0,
       0,     0,     0,   408,     0,  3095,     0,     0,     0,     0,
       0,     0,   409,     0,   410,     0,   411,   412,     0,    35,
       0,     0,  2006,     0,     0,     0,     0,    41,   414,   415,
     416,   417,   418,   419,   420,   421,   701,   422,   423,   424,
     702,   703,   704,   705,   706,   707,   708,   425,   426,   709,
     427,   133,   428,   429,   430,   135,   136,   137,   138,   139,
     710,   431,   432,   433,   434,   435,   711,   712,   436,   437,
     713,   140,   439,   714,   440,   441,   442,   443,   144,   715,
     716,   444,   445,   446,   447,   448,   717,   718,   450,   451,
     452,   453,   454,   455,   719,   456,   457,   458,   149,   459,
     720,   721,   722,   723,   150,   724,   725,   726,   460,   461,
     462,   463,   464,   465,   153,   154,   466,   727,   467,   728,
     468,   469,   470,   471,   472,   729,   473,   474,   475,   730,
     731,   476,   477,   478,   479,   480,   732,   481,   482,   483,
     733,   484,   485,   734,   486,   487,   488,   162,   489,   490,
     164,   735,   491,   736,   492,   166,   493,   737,   494,   738,
     495,   167,   739,   168,   496,   497,   740,   498,   170,   741,
     499,   742,   500,   501,   502,   503,   504,   171,   505,   506,
     507,   743,   508,   509,   510,   511,   512,   513,   744,   172,
     173,   745,   514,   515,   516,   746,   175,   747,   176,   748,
     517,   177,   178,   518,   179,   519,   520,   521,   522,   523,
     524,   525,   749,   180,   181,   526,   182,   750,   527,   528,
     529,   751,   752,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   187,   188,   189,   753,
     543,   544,   545,   546,   547,   548,   549,   190,   550,   754,
     551,   552,   192,   553,   755,   193,   554,   194,   555,   556,
     756,   757,   557,   758,   759,   760,   558,   559,   560,   761,
     762,   195,   196,   197,   198,   199,   561,   562,   563,   564,
     565,   566,   763,   567,   200,   568,   201,   569,   570,   571,
     764,   572,   573,   574,   575,   576,   577,   578,   203,   579,
     580,   581,   765,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   766,   592,   593,   209,   594,   595,   211,
     596,   597,   598,   599,   600,   601,   602,   603,   767,   604,
     605,   606,   607,   768,   608,   215,   609,   610,   217,   611,
     218,   769,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   220,   622,   770,   623,   624,   771,   625,   626,
     627,   628,   629,   772,   222,   223,   773,   774,   631,   224,
     632,   225,   775,   633,   634,   635,   636,   637,   638,   776,
     777,   639,   640,   641,   642,   778,   779,   643,   644,   645,
     646,   780,   233,   781,   648,   234,   649,   650,   651,   782,
     783,   652,   784,   785,   653,   654,   655,   656,   657,   236,
     237,   238,   239,   240,   241,   242,   243,   658,   659,   660,
       0,     0,     0,    55,    85,     0,     0,    86,    87,    88,
      89,    90,    91,    92,    93,     0,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   106,
     920,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,   115,     0,   116,   117,   118,   119,   120,     0,     0,
       0,   121,   122,     0,     0,     0,     0,   123,     0,     0,
       0,     0,     0,     0,     0,     0,   124,     0,   125,     0,
     126,   127,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,   128,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   129,     0,   130,   131,     0,     0,     0,     0,
       0,     0,     0,     0,   132,   133,     0,     0,   134,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,   141,     0,
     142,   143,   144,     0,     0,   145,   146,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   147,     0,   148,     0,
       0,     0,   149,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,     0,   151,     0,   152,   153,   154,
     155,     0,     0,     0,     0,     0,   156,     0,     0,     0,
       0,     0,   157,     0,     0,     0,     0,     0,   158,     0,
       0,     0,     0,     0,   159,   160,     0,     0,     0,     0,
     161,   162,   163,     0,   164,     0,     0,   165,     0,   166,
       0,     0,     0,     0,     0,   167,     0,   168,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,     0,     0,
       0,   171,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   172,   173,     0,     0,   174,     0,     0,
     175,     0,   176,     0,     0,   177,   178,     0,   179,     0,
       0,     0,     0,     0,     0,     0,     0,   180,   181,     0,
     182,     0,   183,   184,     0,     0,     0,     0,   185,     0,
       0,     0,     0,     0,     0,     0,     0,   186,     0,     0,
     187,   188,   189,     0,     0,     0,     0,     0,     0,     0,
       0,   190,     0,     0,     0,   191,   192,     0,     0,   193,
       0,   194,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   195,   196,   197,   198,   199,
       0,     0,     0,     0,     0,     0,     0,     0,   200,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,     0,     0,   205,     0,   206,
       0,     0,     0,     0,   207,     0,     0,     0,     0,   208,
     209,     0,   210,   211,     0,     0,   212,     0,     0,     0,
       0,     0,   213,     0,     0,     0,     0,     0,   214,   215,
       0,   216,   217,     0,   218,     0,     0,     0,   219,     0,
       0,     0,     0,     0,     0,     0,   220,     0,     0,     0,
       0,   221,     0,     0,     0,     0,     0,     0,   222,   223,
       0,     0,     0,   224,     0,   225,     0,   226,     0,   227,
       0,     0,     0,   228,     0,     0,   229,     0,   230,     0,
       0,   231,     0,     0,     0,   232,   233,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,   235,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,     0,     0,     0,     0,     0,     0,    55,     0,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   244,   104,
     105,     0,  -122,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115,     0,   116,   117,   118,     0,     0,
       0,     0,     0,   121,   122,     0,     0,     0,     0,   123,
       0,     0,     0,     0,     0,     0,     0,     0,   124,     0,
     125,     0,   126,     0,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   149,     0,     0,     0,     0,     0,
     150,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     153,   154,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   160,     0,     0,
       0,     0,     0,   162,     0,     0,   164,     0,     0,     0,
       0,   166,     0,     0,     0,     0,     0,   167,     0,   168,
       0,     0,     0,     0,   170,     0,     0,     0,     0,     0,
       0,     0,     0,   171,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   172,   173,     0,     0,     0,
       0,     0,   175,     0,   176,     0,     0,   177,   178,     0,
     179,     0,     0,     0,     0,     0,     0,     0,     0,   180,
     181,     0,   182,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   187,   188,   189,     0,     0,     0,     0,     0,
       0,     0,     0,   190,     0,     0,     0,     0,   192,     0,
       0,   193,     0,   194,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   195,   196,   197,
     198,   199,     0,     0,     0,     0,     0,     0,     0,     0,
     200,     0,   201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   209,     0,     0,   211,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   215,     0,     0,   217,     0,   218,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   220,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     222,   223,     0,     0,     0,   224,     0,   225,     0,     0,
       0,     0,     0,     0,     0,   228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   233,     0,
       0,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,     0,     0,     0,     0,     0,     0,    55,
       0,     0,     0,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,  2694,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115,     0,   116,
     117,   118,     0,     0,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,     0,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,   144,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   149,     0,
       0,     0,     0,     0,   150,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   153,   154,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   160,     0,     0,     0,     0,     0,   162,     0,     0,
     164,     0,     0,     0,     0,   166,     0,     0,     0,     0,
       0,   167,     0,   168,     0,     0,     0,     0,   170,     0,
       0,     0,     0,     0,     0,     0,     0,   171,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   172,
     173,     0,     0,     0,     0,     0,   175,     0,   176,     0,
       0,   177,   178,     0,   179,     0,     0,     0,     0,     0,
       0,     0,     0,   180,   181,     0,   182,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   187,   188,   189,     0,
       0,     0,     0,     0,     0,     0,     0,   190,     0,     0,
       0,     0,   192,     0,     0,   193,     0,   194,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   195,   196,   197,   198,   199,     0,     0,     0,     0,
       0,     0,     0,     0,   200,     0,   201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   209,     0,     0,   211,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   215,     0,     0,   217,     0,
     218,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   220,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   222,   223,     0,     0,     0,   224,
       0,   225,     0,     0,     0,     0,     0,     0,     0,   228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   233,     0,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,     4,     0,     0,
       0,     0,     0,    55,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     5,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     6,     7,     0,
       0,  2696,     0,     0,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,     0,    35,     0,     0,     0,    37,    38,
      39,    40,    41,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    43,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      46,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    47,     0,     0,    48,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    49,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    51,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    52,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    53,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    54,     0,     0,     0,     0,     0,    55,    56,
      57,     0,     0,     0,    58,     0,    59,     0,     0,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1279,
       0,     0,     0,     0,    71,   694,    86,    87,    88,   400,
      90,    91,    92,   401,     0,   402,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   695,   104,   105,   403,   696,
       0,   107,   108,   109,   110,   697,   698,   112,   113,   114,
     115,     0,   116,   699,   700,   404,   405,     0,     0,     0,
     406,   407,     0,     0,     0,     0,   408,     0,     0,     0,
       0,     0,     0,     0,     0,   409,     0,   410,     0,   411,
     412,     0,    35,   413,     0,     0,    37,    38,    39,    40,
      41,   414,   415,   416,   417,   418,   419,   420,   421,  2635,
     422,   423,   424,     0,     0,     0,     0,  1341,     0,     0,
     425,   426,     0,   427,   133,   428,   429,   430,   135,  1342,
     137,  1343,  1344,     0,   431,   432,   433,   434,   435,  1345,
    1346,   436,   437,  1347,  1348,   439,     0,   440,   441,   442,
     443,  1349,     0,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,     0,   456,   457,
     458,   149,   459,     0,  1350,  1351,  1352,  1353,  1354,  1355,
    1356,   460,   461,   462,   463,   464,   465,  1357,  1358,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,  2636,     0,   476,   477,  1359,   479,   480,     0,
     481,   482,   483,     0,   484,   485,     0,   486,   487,   488,
    1360,   489,   490,  1361,  1362,   491,     0,   492,  1363,   493,
       0,   494,     0,   495,   167,     0,   168,   496,   497,     0,
     498,  1364,     0,   499,     0,   500,   501,   502,   503,   504,
     171,   505,   506,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   172,   173,     0,   514,   515,   516,  1365,  1366,
       0,  1367,     0,   517,   177,   178,   518,   179,   519,   520,
     521,   522,   523,   524,   525,     0,  1368,   181,   526,   182,
       0,   527,   528,   529,  1369,  1370,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,  1371,
     188,  1372,  1018,   543,   544,   545,   546,   547,   548,   549,
     190,   550,  1373,   551,   552,   192,   553,  1374,  1375,   554,
    1376,   555,   556,     0,     0,   557,  1019,     0,     0,  1377,
     559,   560,     0,     0,   195,   196,   197,   198,  1378,   561,
     562,   563,   564,   565,   566,     0,   567,  1379,   568,   201,
     569,   570,   571,     0,   572,   573,   574,   575,   576,   577,
     578,  1380,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   209,
     594,   595,  1381,   596,   597,   598,   599,   600,   601,   602,
     603,     0,   604,   605,   606,   607,  1382,   608,   215,   609,
     610,   217,   611,  1383,     0,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,  1384,   622,     0,   623,   624,
       0,   625,   626,   627,   628,   629,     0,  1385,  1386,     0,
       0,   631,  1387,   632,  1388,  1389,   633,   634,   635,   636,
     637,   638,     0,  1390,   639,   640,   641,   642,  1391,     0,
     643,   644,   645,   646,   647,  1392,  2637,   648,   234,   649,
     650,   651,     0,     0,   652,     0,     0,   653,   654,   655,
     656,   657,   236,  1393,  1394,  1395,  1396,  1397,  1398,  1399,
     658,   659,   660,     0,     0,     0,    55,    56,    57,  1400,
    1401,  1402,    58,  1403,     0,     0,     0,     0,  1404,  1405,
    2638,     0,     0,     0,     0,     0,     0,  1407,  2639,   694,
      86,    87,    88,   400,    90,    91,    92,   401,     0,   402,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   695,
     104,   105,   403,   696,     0,   107,   108,   109,   110,   697,
     698,   112,   113,   114,   115,     0,   116,   699,   700,   404,
     405,     0,     0,     0,   406,   407,     0,     0,     0,     0,
     408,     0,     0,     0,     0,     0,     0,     0,     0,   409,
       0,   410,     0,   411,   412,     0,    35,   413,     0,     0,
      37,    38,    39,    40,    41,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,   424,     0,     0,     0,
       0,  1341,     0,     0,   425,   426,     0,   427,   133,   428,
     429,   430,   135,  1342,   137,  1343,  1344,     0,   431,   432,
     433,   434,   435,  1345,  1346,   436,   437,  1347,  1348,   439,
       0,   440,   441,   442,   443,  1349,     0,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,     0,   456,   457,   458,   149,   459,     0,  1350,  1351,
    1352,  1353,  1354,  1355,  1356,   460,   461,   462,   463,   464,
     465,  1357,  1358,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1359,   479,   480,     0,   481,   482,   483,     0,   484,   485,
       0,   486,   487,   488,  1360,   489,   490,  1361,  1362,   491,
       0,   492,  1363,   493,     0,   494,     0,   495,   167,     0,
     168,   496,   497,     0,   498,  1364,     0,   499,     0,   500,
     501,   502,   503,   504,   171,   505,   506,   507,     0,   508,
     509,   510,   511,   512,   513,     0,   172,   173,     0,   514,
     515,   516,  1365,  1366,     0,  1367,     0,   517,   177,   178,
     518,   179,   519,   520,   521,   522,   523,   524,   525,     0,
    1368,   181,   526,   182,     0,   527,   528,   529,  1369,  1370,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,  1371,   188,  1372,  1018,   543,   544,   545,
     546,   547,   548,   549,   190,   550,  1373,   551,   552,   192,
     553,  1374,  1375,   554,  1376,   555,   556,     0,     0,   557,
    1019,     0,     0,  1377,   559,   560,     0,     0,   195,   196,
     197,   198,  1378,   561,   562,   563,   564,   565,   566,     0,
     567,  1379,   568,   201,   569,   570,   571,     0,   572,   573,
     574,   575,   576,   577,   578,  1380,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   209,   594,   595,  1381,   596,   597,   598,
     599,   600,   601,   602,   603,     0,   604,   605,   606,   607,
    1382,   608,   215,   609,   610,   217,   611,  1383,     0,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,  1384,
     622,     0,   623,   624,     0,   625,   626,   627,   628,   629,
       0,  1385,  1386,     0,     0,   631,  1387,   632,  1388,  1389,
     633,   634,   635,   636,   637,   638,     0,  1390,   639,   640,
     641,   642,  1391,     0,   643,   644,   645,   646,   647,  1392,
       0,   648,   234,   649,   650,   651,     0,     0,   652,     0,
       0,   653,   654,   655,   656,   657,   236,  1393,  1394,  1395,
    1396,  1397,  1398,  1399,   658,   659,   660,     0,     0,     0,
      55,    56,    57,  1400,  1401,  1402,    58,  1403,     0,     0,
       0,     0,  1404,  1405,     0,     0,     0,     0,     0,     0,
       0,  1407,  2547,   694,    86,    87,    88,   400,    90,    91,
      92,   401,     0,   402,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   695,   104,   105,   403,   696,     0,   107,
     108,   109,   110,   697,   698,   112,   113,   114,   115,     0,
     116,   699,   700,   404,   405,     0,     0,     0,   406,   407,
       0,     0,     0,     0,   408,     0,     0,     0,     0,     0,
       0,     0,     0,   409,     0,   410,     0,   411,   412,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
     424,     0,     0,     0,     0,     0,     0,     0,   425,   426,
       0,   427,   133,   428,   429,   430,   135,  1715,   137,  1716,
    1717,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,  1718,  1719,   439,     0,   440,   441,   442,   443,     0,
       0,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   458,   149,
     459,     0,     0,     0,     0,   150,     0,     0,     0,   460,
     461,   462,   463,   464,   465,  1720,  1721,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1359,   479,   480,     0,   481,   482,
     483,     0,   484,   485,     0,   486,   487,   488,     0,   489,
     490,     0,     0,   491,     0,   492,  1722,   493,     0,   494,
       0,   495,   167,     0,   168,   496,   497,     0,   498,     0,
       0,   499,     0,   500,   501,   502,   503,   504,   171,   505,
     506,   507,  2206,   508,   509,   510,   511,   512,   513,     0,
     172,  2207,     0,   514,   515,   516,  1365,  1723,     0,  1724,
       0,   517,   177,   178,   518,   179,   519,   520,   521,   522,
     523,   524,   525,     0,     0,   181,   526,   182,     0,   527,
     528,   529,     0,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,  1725,   188,  1726,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   551,   552,   192,   553,     0,     0,   554,  1727,   555,
     556,     0,     0,   557,     0,     0,     0,   558,   559,   560,
       0,     0,  2208,   196,   197,   198,     0,   561,   562,   563,
     564,   565,   566,     0,   567,     0,   568,     0,   569,   570,
     571,     0,   572,   573,   574,   575,   576,   577,   578,  1728,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   209,   594,   595,
       0,   596,   597,   598,   599,   600,   601,   602,   603,     0,
     604,   605,   606,   607,     0,   608,  2209,   609,   610,   217,
     611,  1730,     0,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,     0,   622,     0,   623,   624,     0,   625,
     626,   627,   628,   629,     0,  1731,  1732,     0,     0,   631,
       0,   632,     0,     0,   633,   634,   635,   636,   637,   638,
       0,     0,   639,   640,   641,   642,     0,     0,   643,   644,
     645,   646,     0,  1733,  2210,   648,   234,   649,   650,   651,
       0,     0,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,     0,     0,     0,     0,     0,     0,   658,   659,
     660,     0,     0,     0,    55,     0,     0,     0,     0,     0,
       0,     0,     0,   694,    86,    87,    88,   400,    90,    91,
      92,   401,     0,   402,    95,     0,  2211,    98,    99,   100,
     101,   102,   103,   695,   104,   105,   403,   696,     0,   107,
     108,   109,   110,   697,   698,   112,   113,   114,   115,     0,
     116,   699,   700,   404,   405,     0,     0,     0,   406,   407,
       0,     0,     0,     0,   408,     0,     0,     0,     0,     0,
       0,     0,     0,   409,     0,   410,     0,   411,   412,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
     424,     0,     0,     0,     0,     0,     0,     0,   425,   426,
       0,   427,   133,   428,   429,   430,   135,  1715,   137,  1716,
    1717,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,  1718,  1719,   439,     0,   440,   441,   442,   443,     0,
       0,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   458,   149,
     459,     0,     0,     0,     0,   150,     0,     0,     0,   460,
     461,   462,   463,   464,   465,  1720,  1721,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1359,   479,   480,     0,   481,   482,
     483,     0,   484,   485,     0,   486,   487,   488,     0,   489,
     490,     0,     0,   491,     0,   492,  1722,   493,     0,   494,
       0,   495,   167,     0,   168,   496,   497,     0,   498,     0,
       0,   499,     0,   500,   501,   502,   503,   504,   171,   505,
     506,   507,  2206,   508,   509,   510,   511,   512,   513,     0,
     172,  2207,     0,   514,   515,   516,  1365,  1723,     0,  1724,
       0,   517,   177,   178,   518,   179,   519,   520,   521,   522,
     523,   524,   525,     0,     0,   181,   526,   182,     0,   527,
     528,   529,     0,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,  1725,   188,  1726,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   551,   552,   192,   553,     0,     0,   554,  1727,   555,
     556,     0,     0,   557,     0,     0,     0,   558,   559,   560,
       0,     0,  2208,   196,   197,   198,     0,   561,   562,   563,
     564,   565,   566,     0,   567,     0,   568,     0,   569,   570,
     571,     0,   572,   573,   574,   575,   576,   577,   578,  1728,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   209,   594,   595,
       0,   596,   597,   598,   599,   600,   601,   602,   603,     0,
     604,   605,   606,   607,     0,   608,  2209,   609,   610,   217,
     611,  1730,     0,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,     0,   622,     0,   623,   624,     0,   625,
     626,   627,   628,   629,     0,  1731,  1732,     0,     0,   631,
       0,   632,     0,     0,   633,   634,   635,   636,   637,   638,
       0,     0,   639,   640,   641,   642,     0,     0,   643,   644,
     645,   646,     0,  1733,  2210,   648,   234,   649,   650,   651,
       0,     0,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,     0,     0,     0,     0,     0,     0,   658,   659,
     660,     0,     0,     0,    55,     0,     0,    86,    87,    88,
     400,    90,    91,    92,   401,     0,   402,    95,     0,     0,
      98,    99,   100,   101,   102,   103,  2960,   104,   105,   403,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   404,   405,     0,     0,
       0,   406,   407,     0,     0,     0,     0,   408,     0,     0,
       0,     0,     0,     0,     0,     0,   409,     0,   410,     0,
     411,   412,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,     0,     0,     0,     0,
       0,   425,   426,     0,   427,     0,   428,   429,   430,     0,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   438,   140,   439,     0,   440,   441,
     442,   443,   144,     0,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,     0,   456,
     457,   458,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   464,   465,   153,   154,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,     0,   486,   487,
     488,   162,   489,   490,   164,     0,   491,     0,   492,   166,
     493,     0,   494,     0,   495,     0,     0,     0,   496,   497,
       0,   498,   170,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     512,   513,     0,     0,   173,     0,   514,   515,   516,     0,
     175,     0,   176,     0,   517,     0,     0,   518,     0,   519,
     520,   521,   522,   523,   524,   525,     0,   180,     0,   526,
       0,     0,   527,   528,   529,     0,     0,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     187,     0,   189,     0,   543,   544,   545,   546,   547,   548,
     549,   190,   550,     0,   551,   552,     0,   553,     0,   193,
     554,   194,   555,   556,     0,     0,   557,     0,     0,     0,
     558,   559,   560,     0,     0,   195,     0,     0,     0,   199,
     561,   562,   563,   564,   565,   566,     0,   567,   200,   568,
     201,   569,   570,   571,     0,   572,   573,   574,   575,   576,
     577,   578,   203,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
       0,   594,   595,   211,   596,   597,   598,   599,   600,   601,
     602,   603,     0,   604,   605,   606,   607,     0,   608,   215,
     609,   610,     0,   611,   218,     0,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   220,   622,     0,   623,
     624,     0,   625,   626,   627,   628,   629,     0,   222,   223,
       0,     0,   631,   224,   632,   225,     0,   633,   634,   635,
     636,   637,   638,     0,     0,   639,   640,   641,   642,     0,
    4059,   643,   644,   645,   646,   647,   233,     0,   648,     0,
     649,   650,   651,     0,     0,   652,     0,     0,   653,   654,
     655,   656,   657,   236,   237,   238,   239,   240,   241,   242,
     243,   658,   659,   660,     0,     0,     0,    55,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   694,    86,    87,
      88,   400,    90,    91,    92,   401, -1564,   402,    95,     0,
   -1564,    98,    99,   100,   101,   102,   103,   695,   104,   105,
     403,   696,     0,   107,   108,   109,   110,   697,   698,   112,
     113,   114,   115,     0,   116,   699,   700,   404,   405,     0,
       0,     0,   406,   407,     0,     0,     0,     0,   408,     0,
       0,     0,     0,     0,     0,     0,     0,   409,     0,   410,
       0,   411,   412,     0,    35,   413,     0,     0,    37,    38,
      39,    40,    41,   414,   415,   416,   417,   418,   419,   420,
     421,     0,   422,   423,   424,     0,     0,     0,     0,  1341,
       0,     0,   425,   426,     0,   427,   133,   428,   429,   430,
     135,  1342,   137,  1343,  1344,  2557,   431,   432,   433,   434,
     435,  1345,  1346,   436,   437,  1347,  1348,   439,     0,   440,
     441,   442,   443,  1349,     0,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   458,   149,   459,     0,  1350,  1351,  1352,  1353,
    1354,  1355,  1356,   460,   461,   462,   463,   464,   465,  1357,
    1358,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1359,   479,
     480,     0,   481,   482,   483,     0,   484,   485,     0,   486,
     487,   488,  1360,   489,   490,  1361,  1362,   491,     0,   492,
    1363,   493,     0,   494,     0,   495,   167,  2558,   168,   496,
     497,     0,   498,  1364,     0,   499,     0,   500,   501,   502,
     503,   504,   171,   505,   506,   507,     0,   508,   509,   510,
     511,   512,   513,     0,   172,   173,     0,   514,   515,   516,
    1365,  1366,     0,  1367,     0,   517,   177,   178,   518,   179,
     519,   520,   521,   522,   523,   524,   525,  2559,  1368,   181,
     526,   182,     0,   527,   528,   529,  1369,  1370,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,  1371,   188,  1372,  1018,   543,   544,   545,   546,   547,
     548,   549,   190,   550,  1373,   551,   552,   192,   553,  1374,
    1375,   554,  1376,   555,   556,     0,     0,   557,  1019,     0,
       0,  1377,   559,   560,     0,     0,   195,   196,   197,   198,
    1378,   561,   562,   563,   564,   565,   566,     0,   567,  1379,
     568,   201,   569,   570,   571,     0,   572,   573,   574,   575,
     576,   577,   578,  1380,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   209,   594,   595,  1381,   596,   597,   598,   599,   600,
     601,   602,   603,     0,   604,   605,   606,   607,  1382,   608,
     215,   609,   610,   217,   611,  1383,     0,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,  1384,   622,     0,
     623,   624,     0,   625,   626,   627,   628,   629,     0,  1385,
    1386,     0,  2560,   631,  1387,   632,  1388,  1389,   633,   634,
     635,   636,   637,   638,     0,  1390,   639,   640,   641,   642,
    1391,     0,   643,   644,   645,   646,   647,  1392,     0,   648,
     234,   649,   650,   651,     0,     0,   652,     0,     0,   653,
     654,   655,   656,   657,   236,  1393,  1394,  1395,  1396,  1397,
    1398,  1399,   658,   659,   660,     0,     0,     0,    55,    56,
      57,  1400,  1401,  1402,    58,  1403,     0,     0,     0,     0,
    1404,  1405,     0,     0,     0,     0,     0,     0,     0,  1407,
     694,    86,    87,    88,   400,    90,    91,    92,   401,     0,
     402,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     695,   104,   105,   403,   696,     0,   107,   108,   109,   110,
     697,   698,   112,   113,   114,   115,     0,   116,   699,   700,
     404,   405,     0,     0,     0,   406,   407,     0,     0,     0,
       0,   408,     0,     0,     0,     0,     0,     0,     0,     0,
     409,     0,   410,     0,   411,   412,     0,    35,   413,     0,
       0,    37,    38,    39,    40,    41,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
       0,     0,  1341,     0,     0,   425,   426,     0,   427,   133,
     428,   429,   430,   135,  1342,   137,  1343,  1344,     0,   431,
     432,   433,   434,   435,  1345,  1346,   436,   437,  1347,  1348,
     439,     0,   440,   441,   442,   443,  1349,     0,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,     0,   456,   457,   458,   149,   459,     0,  1350,
    1351,  1352,  1353,  1354,  1355,  1356,   460,   461,   462,   463,
     464,   465,  1357,  1358,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1359,   479,   480,     0,   481,   482,   483,     0,   484,
     485,     0,   486,   487,   488,  1360,   489,   490,  1361,  1362,
     491,     0,   492,  1363,   493,     0,   494,     0,   495,   167,
       0,   168,   496,   497,     0,   498,  1364,     0,   499,     0,
     500,   501,   502,   503,   504,   171,   505,   506,   507,     0,
     508,   509,   510,   511,   512,   513,     0,   172,   173,     0,
     514,   515,   516,  1365,  1366,     0,  1367,     0,   517,   177,
     178,   518,   179,   519,   520,   521,   522,   523,   524,   525,
       0,  1368,   181,   526,   182,     0,   527,   528,   529,  1369,
    1370,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,  1371,   188,  1372,  1018,   543,   544,
     545,   546,   547,   548,   549,   190,   550,  1373,   551,   552,
     192,   553,  1374,  1375,   554,  1376,   555,   556,     0,     0,
     557,  1019,     0,     0,  1377,   559,   560,     0,     0,   195,
     196,   197,   198,  1378,   561,   562,   563,   564,   565,   566,
       0,   567,  1379,   568,   201,   569,   570,   571,     0,   572,
     573,   574,   575,   576,   577,   578,  1380,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   209,   594,   595,  1381,   596,   597,
     598,   599,   600,   601,   602,   603,   213,   604,   605,   606,
     607,  1382,   608,   215,   609,   610,   217,   611,  1383,     0,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
    1384,   622,     0,   623,   624,   221,   625,   626,   627,   628,
     629,     0,  1385,  1386,     0,     0,   631,  1387,   632,  1388,
    1389,   633,   634,   635,   636,   637,   638,     0,  1390,   639,
     640,   641,   642,  1391,     0,   643,   644,   645,   646,  1970,
    1392,     0,   648,   234,   649,   650,   651,     0,     0,   652,
       0,   235,   653,   654,   655,   656,   657,   236,  1393,  1394,
    1395,  1396,  1397,  1398,  1399,   658,   659,   660,     0,     0,
       0,    55,    56,    57,  1400,  1401,  1402,    58,  1403,     0,
       0,     0,     0,  1404,  1405,     0,     0,     0,     0,     0,
       0,     0,  1407,   694,    86,    87,    88,   400,    90,    91,
      92,   401,     0,   402,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   695,   104,   105,   403,   696,     0,   107,
     108,   109,   110,   697,   698,   112,   113,   114,   115,     0,
     116,   699,   700,   404,   405,     0,     0,     0,   406,   407,
       0,     0,     0,     0,   408,     0,     0,     0,     0,     0,
       0,     0,     0,   409,     0,   410,     0,   411,   412,     0,
      35,   413,     0,     0,    37,    38,    39,    40,    41,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
     424,     0,     0,     0,     0,  1341,     0,     0,   425,   426,
       0,   427,   133,   428,   429,   430,   135,  1342,   137,  1343,
    1344,     0,   431,   432,   433,   434,   435,  1345,  1346,   436,
     437,  1347,  1348,   439,     0,   440,   441,   442,   443,  1349,
       0,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   458,   149,
     459,     0,  1350,  1351,  1352,  1353,  1354,  1355,  1356,   460,
     461,   462,   463,   464,   465,  1357,  1358,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1359,   479,   480,     0,   481,   482,
     483,     0,   484,   485,     0,   486,   487,   488,  1360,   489,
     490,  1361,  1362,   491,     0,   492,  1363,   493,     0,   494,
       0,   495,   167,     0,   168,   496,   497,     0,   498,  1364,
       0,   499,     0,   500,   501,   502,   503,   504,   171,   505,
     506,   507,     0,   508,   509,   510,   511,   512,   513,     0,
     172,   173,     0,   514,   515,   516,  1365,  1366,     0,  1367,
       0,   517,   177,   178,   518,   179,   519,   520,   521,   522,
     523,   524,   525,     0,  1368,   181,   526,   182,     0,   527,
     528,   529,  1369,  1370,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,  1371,   188,  1372,
    1018,   543,   544,   545,   546,   547,   548,   549,   190,   550,
    1373,   551,   552,   192,   553,  1374,  1375,   554,  1376,   555,
     556,     0,     0,   557,  1019,     0,     0,  1377,   559,   560,
       0,     0,   195,   196,   197,   198,  1378,   561,   562,   563,
     564,   565,   566,     0,   567,  1379,   568,   201,   569,   570,
     571,     0,   572,   573,   574,   575,   576,   577,   578,  1380,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   209,   594,   595,
    1381,   596,   597,   598,   599,   600,   601,   602,   603,     0,
     604,   605,   606,   607,  1382,   608,   215,   609,   610,   217,
     611,  1383,     0,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,  1384,   622,     0,   623,   624,     0,   625,
     626,   627,   628,   629,     0,  1385,  1386,     0,     0,   631,
    1387,   632,  1388,  1389,   633,   634,   635,   636,   637,   638,
       0,  1390,   639,   640,   641,   642,  1391,     0,   643,   644,
     645,   646,   647,  1392,     0,   648,   234,   649,   650,   651,
       0,     0,   652,     0,     0,   653,   654,   655,   656,   657,
     236,  1393,  1394,  1395,  1396,  1397,  1398,  1399,   658,   659,
     660,     0,     0,     0,    55,    56,    57,  1400,  1401,  1402,
      58,  1403,     0,     0,     0,     0,  1404,  1405,     0,     0,
       0,     0,     0,  1916,  2506,  1407,   694,    86,    87,    88,
     400,    90,    91,    92,   401,     0,   402,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   695,   104,   105,   403,
     696,     0,   107,   108,   109,   110,   697,   698,   112,   113,
     114,   115,     0,   116,   699,   700,   404,   405,     0,     0,
       0,   406,   407,     0,     0,     0,     0,   408,     0,     0,
       0,     0,     0,     0,     0,     0,   409,     0,   410,     0,
     411,   412,     0,    35,   413,     0,     0,    37,    38,    39,
      40,    41,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,     0,     0,  1341,     0,
       0,   425,   426,     0,   427,   133,   428,   429,   430,   135,
    1342,   137,  1343,  1344,     0,   431,   432,   433,   434,   435,
    1345,  1346,   436,   437,  1347,  1348,   439,     0,   440,   441,
     442,   443,  1349,     0,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,     0,   456,
     457,   458,   149,   459,     0,  1350,  1351,  1352,  1353,  1354,
    1355,  1356,   460,   461,   462,   463,   464,   465,  1357,  1358,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1359,   479,   480,
       0,   481,   482,   483,     0,   484,   485,     0,   486,   487,
     488,  1360,   489,   490,  1361,  1362,   491,     0,   492,  1363,
     493,     0,   494,     0,   495,   167,     0,   168,   496,   497,
       0,   498,  1364,     0,   499,     0,   500,   501,   502,   503,
     504,   171,   505,   506,   507,     0,   508,   509,   510,   511,
     512,   513,     0,   172,   173,     0,   514,   515,   516,  1365,
    1366,     0,  1367,     0,   517,   177,   178,   518,   179,   519,
     520,   521,   522,   523,   524,   525,     0,  1368,   181,   526,
     182,     0,   527,   528,   529,  1369,  1370,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
    1371,   188,  1372,  1018,   543,   544,   545,   546,   547,   548,
     549,   190,   550,  1373,   551,   552,   192,   553,  1374,  1375,
     554,  1376,   555,   556,     0,     0,   557,  1019,     0,     0,
    1377,   559,   560,     0,     0,   195,   196,   197,   198,  1378,
     561,   562,   563,   564,   565,   566,     0,   567,  1379,   568,
     201,   569,   570,   571,     0,   572,   573,   574,   575,   576,
     577,   578,  1380,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     209,   594,   595,  1381,   596,   597,   598,   599,   600,   601,
     602,   603,     0,   604,   605,   606,   607,  1382,   608,   215,
     609,   610,   217,   611,  1383,     0,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,  1384,   622,     0,   623,
     624,     0,   625,   626,   627,   628,   629,     0,  1385,  1386,
       0,     0,   631,  1387,   632,  1388,  1389,   633,   634,   635,
     636,   637,   638,     0,  1390,   639,   640,   641,   642,  1391,
       0,   643,   644,   645,   646,   647,  1392,     0,   648,   234,
     649,   650,   651,     0,     0,   652,     0,     0,   653,   654,
     655,   656,   657,   236,  1393,  1394,  1395,  1396,  1397,  1398,
    1399,   658,   659,   660,     0,     0,     0,    55,    56,    57,
    1400,  1401,  1402,    58,  1403,     0,     0,     0,     0,  1404,
    1405,  1406,     0,     0,     0,     0,     0,     0,  1407,   694,
      86,    87,    88,   400,    90,    91,    92,   401,     0,   402,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   695,
     104,   105,   403,   696,     0,   107,   108,   109,   110,   697,
     698,   112,   113,   114,   115,     0,   116,   699,   700,   404,
     405,     0,     0,     0,   406,   407,     0,     0,     0,     0,
     408,     0,     0,     0,     0,     0,     0,     0,     0,   409,
       0,   410,     0,   411,   412,     0,    35,   413,     0,     0,
      37,    38,    39,    40,    41,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,   424,     0,     0,     0,
       0,  1341,     0,     0,   425,   426,     0,   427,   133,   428,
     429,   430,   135,  1342,   137,  1343,  1344,     0,   431,   432,
     433,   434,   435,  1345,  1346,   436,   437,  1347,  1348,   439,
       0,   440,   441,   442,   443,  1349,     0,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,     0,   456,   457,   458,   149,   459,     0,  1350,  1351,
    1352,  1353,  1354,  1355,  1356,   460,   461,   462,   463,   464,
     465,  1357,  1358,   466,  1488,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1359,   479,   480,     0,   481,   482,   483,     0,   484,   485,
       0,   486,   487,   488,  1360,   489,   490,  1361,  1362,   491,
       0,   492,  1363,   493,     0,   494,     0,   495,   167,     0,
     168,   496,   497,     0,   498,  1364,     0,   499,     0,   500,
     501,   502,   503,   504,   171,   505,   506,   507,     0,   508,
     509,   510,   511,   512,   513,     0,   172,   173,     0,   514,
     515,   516,  1365,  1366,     0,  1367,     0,   517,   177,   178,
     518,   179,   519,   520,   521,   522,   523,   524,   525,     0,
    1368,   181,   526,   182,     0,   527,   528,   529,  1369,  1370,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,  1371,   188,  1372,  1018,   543,   544,   545,
     546,   547,   548,   549,   190,   550,  1373,   551,   552,   192,
     553,  1374,  1375,   554,  1376,   555,   556,     0,     0,   557,
    1019,     0,     0,  1377,   559,   560,     0,     0,   195,   196,
     197,   198,  1378,   561,   562,   563,   564,   565,   566,     0,
     567,  1379,   568,   201,   569,   570,   571,     0,   572,   573,
     574,   575,   576,   577,   578,  1380,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   209,   594,   595,  1381,   596,   597,   598,
     599,   600,   601,   602,   603,     0,   604,   605,   606,   607,
    1382,   608,   215,   609,   610,   217,   611,  1383,     0,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,  1384,
     622,     0,   623,   624,     0,   625,   626,   627,   628,   629,
       0,  1385,  1386,     0,     0,   631,  1387,   632,  1388,  1389,
     633,   634,   635,   636,   637,   638,     0,  1390,   639,   640,
     641,   642,  1391,     0,   643,   644,   645,   646,   647,  1392,
       0,   648,   234,   649,   650,   651,     0,     0,   652,     0,
       0,   653,   654,   655,   656,   657,   236,  1393,  1394,  1395,
    1396,  1397,  1398,  1399,   658,   659,   660,     0,     0,     0,
      55,    56,    57,  1400,  1401,  1402,    58,  1403,     0,     0,
       0,     0,  1404,  1405,     0,     0,     0,     0,     0,     0,
       0,  1407,   694,    86,    87,    88,   400,    90,    91,    92,
     401,     0,   402,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   695,   104,   105,   403,   696,     0,   107,   108,
     109,   110,   697,   698,   112,   113,   114,   115,     0,   116,
     699,   700,   404,   405,     0,     0,     0,   406,   407,     0,
       0,     0,     0,   408,     0,     0,     0,     0,     0,     0,
       0,     0,   409,     0,   410,     0,   411,   412,     0,    35,
     413,     0,     0,    37,    38,    39,    40,    41,   414,   415,
     416,   417,   418,   419,   420,   421,  2104,   422,   423,   424,
       0,     0,     0,     0,  1341,     0,     0,   425,   426,     0,
     427,   133,   428,   429,   430,   135,  1342,   137,  1343,  1344,
       0,   431,   432,   433,   434,   435,  1345,  1346,   436,   437,
    1347,  1348,   439,     0,   440,   441,   442,   443,  1349,     0,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   458,   149,   459,
       0,  1350,  1351,  1352,  1353,  1354,  1355,  1356,   460,   461,
     462,   463,   464,   465,  1357,  1358,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1359,   479,   480,     0,   481,   482,   483,
       0,   484,   485,     0,   486,   487,   488,  1360,   489,   490,
    1361,  1362,   491,     0,   492,  1363,   493,     0,   494,     0,
     495,   167,     0,   168,   496,   497,     0,   498,  1364,     0,
     499,     0,   500,   501,   502,   503,   504,   171,   505,   506,
     507,     0,   508,   509,   510,   511,   512,   513,     0,   172,
     173,     0,   514,   515,   516,  1365,  1366,     0,  1367,     0,
     517,   177,   178,   518,   179,   519,   520,   521,   522,   523,
     524,   525,     0,  1368,   181,   526,   182,     0,   527,   528,
     529,  1369,  1370,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,  1371,   188,  1372,  1018,
     543,   544,   545,   546,   547,   548,   549,   190,   550,  1373,
     551,   552,   192,   553,  1374,  1375,   554,  1376,   555,   556,
       0,     0,   557,  1019,     0,     0,  1377,   559,   560,     0,
       0,   195,   196,   197,   198,  1378,   561,   562,   563,   564,
     565,   566,     0,   567,  1379,   568,   201,   569,   570,   571,
       0,   572,   573,   574,   575,   576,   577,   578,  1380,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   209,   594,   595,  1381,
     596,   597,   598,   599,   600,   601,   602,   603,     0,   604,
     605,   606,   607,  1382,   608,   215,   609,   610,   217,   611,
    1383,     0,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,  1384,   622,     0,   623,   624,     0,   625,   626,
     627,   628,   629,     0,  1385,  1386,     0,     0,   631,  1387,
     632,  1388,  1389,   633,   634,   635,   636,   637,   638,     0,
    1390,   639,   640,   641,   642,  1391,     0,   643,   644,   645,
     646,   647,  1392,     0,   648,   234,   649,   650,   651,     0,
       0,   652,     0,     0,   653,   654,   655,   656,   657,   236,
    1393,  1394,  1395,  1396,  1397,  1398,  1399,   658,   659,   660,
       0,     0,     0,    55,    56,    57,  1400,  1401,  1402,    58,
    1403,     0,     0,     0,     0,  1404,  1405,     0,     0,     0,
       0,     0,     0,     0,  1407,   694,    86,    87,    88,   400,
      90,    91,    92,   401,     0,   402,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   695,   104,   105,   403,   696,
       0,   107,   108,   109,   110,   697,   698,   112,   113,   114,
     115,     0,   116,   699,   700,   404,   405,     0,     0,     0,
     406,   407,     0,     0,     0,     0,   408,     0,     0,     0,
       0,     0,     0,     0,     0,   409,     0,   410,     0,   411,
     412,     0,    35,   413,     0,     0,    37,    38,    39,    40,
      41,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,   424,     0,     0,     0,     0,  1341,     0,     0,
     425,   426,     0,   427,   133,   428,   429,   430,   135,  1342,
     137,  1343,  1344,     0,   431,   432,   433,   434,   435,  1345,
    1346,   436,   437,  1347,  1348,   439,     0,   440,   441,   442,
     443,  1349,     0,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,     0,   456,   457,
     458,   149,   459,  2998,  1350,  1351,  1352,  1353,  1354,  1355,
    1356,   460,   461,   462,   463,   464,   465,  1357,  1358,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1359,   479,   480,     0,
     481,   482,   483,     0,   484,   485,     0,   486,   487,   488,
    1360,   489,   490,  1361,  1362,   491,     0,   492,  1363,   493,
       0,   494,     0,   495,   167,     0,   168,   496,   497,     0,
     498,  1364,     0,   499,     0,   500,   501,   502,   503,   504,
     171,   505,   506,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   172,   173,     0,   514,   515,   516,  1365,  1366,
       0,  1367,     0,   517,   177,   178,   518,   179,   519,   520,
     521,   522,   523,   524,   525,     0,  1368,   181,   526,   182,
       0,   527,   528,   529,  1369,  1370,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,  1371,
     188,  1372,  1018,   543,   544,   545,   546,   547,   548,   549,
     190,   550,  1373,   551,   552,   192,   553,  1374,  1375,   554,
    1376,   555,   556,     0,     0,   557,  1019,     0,     0,  1377,
     559,   560,     0,     0,   195,   196,   197,   198,  1378,   561,
     562,   563,   564,   565,   566,     0,   567,  1379,   568,   201,
     569,   570,   571,     0,   572,   573,   574,   575,   576,   577,
     578,  1380,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   209,
     594,   595,  1381,   596,   597,   598,   599,   600,   601,   602,
     603,     0,   604,   605,   606,   607,  1382,   608,   215,   609,
     610,   217,   611,  1383,     0,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,  1384,   622,     0,   623,   624,
       0,   625,   626,   627,   628,   629,     0,  1385,  1386,     0,
       0,   631,  1387,   632,  1388,  1389,   633,   634,   635,   636,
     637,   638,     0,  1390,   639,   640,   641,   642,  1391,     0,
     643,   644,   645,   646,   647,  1392,     0,   648,   234,   649,
     650,   651,     0,     0,   652,     0,     0,   653,   654,   655,
     656,   657,   236,  1393,  1394,  1395,  1396,  1397,  1398,  1399,
     658,   659,   660,     0,     0,     0,    55,    56,    57,  1400,
    1401,  1402,    58,  1403,     0,     0,     0,     0,  1404,  1405,
       0,     0,     0,     0,     0,     0,     0,  1407,   694,    86,
      87,    88,   400,    90,    91,    92,   401,     0,   402,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   695,   104,
     105,   403,   696,     0,   107,   108,   109,   110,   697,   698,
     112,   113,   114,   115,     0,   116,   699,   700,   404,   405,
       0,     0,     0,   406,   407,     0,     0,     0,     0,   408,
       0,     0,     0,     0,     0,     0,     0,     0,   409,     0,
     410,     0,   411,   412,     0,    35,   413,     0,     0,    37,
      38,    39,    40,    41,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,   424,     0,     0,     0,     0,
    1341,     0,     0,   425,   426,     0,   427,   133,   428,   429,
     430,   135,  1342,   137,  1343,  1344,     0,   431,   432,   433,
     434,   435,  1345,  1346,   436,   437,  1347,  1348,   439,     0,
     440,   441,   442,   443,  1349,     0,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
       0,   456,   457,   458,   149,   459,     0,  1350,  1351,  1352,
    1353,  1354,  1355,  1356,   460,   461,   462,   463,   464,   465,
    1357,  1358,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1359,
     479,   480,     0,   481,   482,   483,     0,   484,   485,     0,
     486,   487,   488,  1360,   489,   490,  1361,  1362,   491,     0,
     492,  1363,   493,     0,   494,     0,   495,   167,  2558,   168,
     496,   497,     0,   498,  1364,     0,   499,     0,   500,   501,
     502,   503,   504,   171,   505,   506,   507,     0,   508,   509,
     510,   511,   512,   513,     0,   172,   173,     0,   514,   515,
     516,  1365,  1366,     0,  1367,     0,   517,   177,   178,   518,
     179,   519,   520,   521,   522,   523,   524,   525,     0,  1368,
     181,   526,   182,     0,   527,   528,   529,  1369,  1370,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,  1371,   188,  1372,  1018,   543,   544,   545,   546,
     547,   548,   549,   190,   550,  1373,   551,   552,   192,   553,
    1374,  1375,   554,  1376,   555,   556,     0,     0,   557,  1019,
       0,     0,  1377,   559,   560,     0,     0,   195,   196,   197,
     198,  1378,   561,   562,   563,   564,   565,   566,     0,   567,
    1379,   568,   201,   569,   570,   571,     0,   572,   573,   574,
     575,   576,   577,   578,  1380,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   209,   594,   595,  1381,   596,   597,   598,   599,
     600,   601,   602,   603,     0,   604,   605,   606,   607,  1382,
     608,   215,   609,   610,   217,   611,  1383,     0,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,  1384,   622,
       0,   623,   624,     0,   625,   626,   627,   628,   629,     0,
    1385,  1386,     0,     0,   631,  1387,   632,  1388,  1389,   633,
     634,   635,   636,   637,   638,     0,  1390,   639,   640,   641,
     642,  1391,     0,   643,   644,   645,   646,   647,  1392,     0,
     648,   234,   649,   650,   651,     0,     0,   652,     0,     0,
     653,   654,   655,   656,   657,   236,  1393,  1394,  1395,  1396,
    1397,  1398,  1399,   658,   659,   660,     0,     0,     0,    55,
      56,    57,  1400,  1401,  1402,    58,  1403,     0,     0,     0,
       0,  1404,  1405,     0,     0,     0,     0,     0,     0,     0,
    1407,   694,    86,    87,    88,   400,    90,    91,    92,   401,
       0,   402,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   695,   104,   105,   403,   696,     0,   107,   108,   109,
     110,   697,   698,   112,   113,   114,   115,     0,   116,   699,
     700,   404,   405,     0,     0,     0,   406,   407,     0,     0,
       0,     0,   408,     0,     0,     0,     0,     0,     0,     0,
       0,   409,     0,   410,     0,   411,   412,     0,    35,   413,
       0,     0,    37,    38,    39,    40,    41,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,   424,     0,
       0,     0,     0,  1341,     0,     0,   425,   426,     0,   427,
     133,   428,   429,   430,   135,  1342,   137,  1343,  1344,     0,
     431,   432,   433,   434,   435,  1345,  1346,   436,   437,  1347,
    1348,   439,     0,   440,   441,   442,   443,  1349,     0,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   458,   149,   459,     0,
    1350,  1351,  1352,  1353,  1354,  1355,  1356,   460,   461,   462,
     463,   464,   465,  1357,  1358,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,  1359,   479,   480,     0,   481,   482,   483,     0,
     484,   485,     0,   486,   487,   488,  1360,   489,   490,  1361,
    1362,   491,     0,   492,  1363,   493,     0,   494,     0,   495,
     167,     0,   168,   496,   497,     0,   498,  1364,     0,   499,
       0,   500,   501,   502,   503,   504,   171,   505,   506,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   172,   173,
       0,   514,   515,   516,  1365,  1366,     0,  1367,     0,   517,
     177,   178,   518,   179,   519,   520,   521,   522,   523,   524,
     525,     0,  1368,   181,   526,   182,     0,   527,   528,   529,
    1369,  1370,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,  1371,   188,  1372,  1018,   543,
     544,   545,   546,   547,   548,   549,   190,   550,  1373,   551,
     552,   192,   553,  1374,  1375,   554,  1376,   555,   556,     0,
       0,   557,  1019,     0,     0,  1377,   559,   560,     0,     0,
     195,   196,   197,   198,  1378,   561,   562,   563,   564,   565,
     566,     0,   567,  1379,   568,   201,   569,   570,   571,     0,
     572,   573,   574,   575,   576,   577,   578,  1380,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   209,   594,   595,  1381,   596,
     597,   598,   599,   600,   601,   602,   603,     0,   604,   605,
     606,   607,  1382,   608,   215,   609,   610,   217,   611,  1383,
       0,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,  1384,   622,     0,   623,   624,     0,   625,   626,   627,
     628,   629,     0,  1385,  1386,     0,     0,   631,  1387,   632,
    1388,  1389,   633,   634,   635,   636,   637,   638,     0,  1390,
     639,   640,   641,   642,  1391,     0,   643,   644,   645,   646,
     647,  1392,  3570,   648,   234,   649,   650,   651,     0,     0,
     652,     0,     0,   653,   654,   655,   656,   657,   236,  1393,
    1394,  1395,  1396,  1397,  1398,  1399,   658,   659,   660,     0,
       0,     0,    55,    56,    57,  1400,  1401,  1402,    58,  1403,
       0,     0,     0,     0,  1404,  1405,     0,     0,     0,     0,
       0,     0,     0,  1407,   694,    86,    87,    88,   400,    90,
      91,    92,   401,     0,   402,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   695,   104,   105,   403,   696,     0,
     107,   108,   109,   110,   697,   698,   112,   113,   114,   115,
       0,   116,   699,   700,   404,   405,     0,     0,     0,   406,
     407,     0,     0,     0,     0,   408,     0,     0,     0,     0,
       0,     0,     0,     0,   409,     0,   410,     0,   411,   412,
       0,    35,   413,     0,     0,    37,    38,    39,    40,    41,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,     0,     0,  1341,     0,     0,   425,
     426,     0,   427,   133,   428,   429,   430,   135,  1342,   137,
    1343,  1344,     0,   431,   432,   433,   434,   435,  1345,  1346,
     436,   437,  1347,  1348,   439,     0,   440,   441,   442,   443,
    1349,     0,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,     0,   456,   457,   458,
     149,   459,     0,  1350,  1351,  1352,  1353,  1354,  1355,  1356,
     460,   461,   462,   463,   464,   465,  1357,  1358,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1359,   479,   480,     0,   481,
     482,   483,     0,   484,   485,     0,   486,   487,   488,  1360,
     489,   490,  1361,  1362,   491,     0,   492,  1363,   493,     0,
     494,     0,   495,   167,     0,   168,   496,   497,     0,   498,
    1364,     0,   499,     0,   500,   501,   502,   503,   504,   171,
     505,   506,   507,     0,   508,   509,   510,   511,   512,   513,
       0,   172,   173,     0,   514,   515,   516,  1365,  1366,     0,
    1367,     0,   517,   177,   178,   518,   179,   519,   520,   521,
     522,   523,   524,   525,     0,  1368,   181,   526,   182,     0,
     527,   528,   529,  1369,  1370,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,  1371,   188,
    1372,  1018,   543,   544,   545,   546,   547,   548,   549,   190,
     550,  1373,   551,   552,   192,   553,  1374,  1375,   554,  1376,
     555,   556,     0,     0,   557,  1019,     0,     0,  1377,   559,
     560,     0,     0,   195,   196,   197,   198,  1378,   561,   562,
     563,   564,   565,   566,     0,   567,  1379,   568,   201,   569,
     570,   571,     0,   572,   573,   574,   575,   576,   577,   578,
    1380,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   209,   594,
     595,  1381,   596,   597,   598,   599,   600,   601,   602,   603,
       0,   604,   605,   606,   607,  1382,   608,   215,   609,   610,
     217,   611,  1383,     0,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,  1384,   622,     0,   623,   624,     0,
     625,   626,   627,   628,   629,     0,  1385,  1386,     0,     0,
     631,  1387,   632,  1388,  1389,   633,   634,   635,   636,   637,
     638,     0,  1390,   639,   640,   641,   642,  1391,     0,   643,
     644,   645,   646,   647,  1392,     0,   648,   234,   649,   650,
     651,     0,     0,   652,     0,     0,   653,   654,   655,   656,
     657,   236,  1393,  1394,  1395,  1396,  1397,  1398,  1399,   658,
     659,   660,     0,     0,     0,    55,    56,    57,  1400,  1401,
    1402,    58,  1403,     0,     0,     0,     0,  1404,  1405,     0,
       0,     0,     0,     0,     0,     0,  1407,   694,    86,    87,
      88,   400,    90,    91,    92,   401,     0,   402,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   695,   104,   105,
     403,   696,     0,   107,   108,   109,   110,   697,   698,   112,
     113,   114,   115,     0,   116,   699,   700,   404,   405,     0,
       0,     0,   406,   407,     0,     0,     0,     0,   408,     0,
       0,     0,     0,     0,     0,     0,     0,   409,     0,   410,
       0,   411,   412,     0,    35,   413,     0,     0,    37,    38,
      39,    40,    41,   414,   415,   416,   417,   418,   419,   420,
     421,     0,   422,   423,   424,     0,     0,     0,     0,  1341,
       0,     0,   425,   426,     0,   427,   133,   428,   429,   430,
     135,  1342,   137,  1343,  1344,     0,   431,   432,   433,   434,
     435,  1345,  1346,   436,   437,  1347,  1348,   439,     0,   440,
     441,   442,   443,  1349,     0,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   458,   149,   459,     0,  1350,  1351,  1352,  1353,
    1354,  1355,  1356,   460,   461,   462,   463,   464,   465,  1357,
    1358,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1359,   479,
     480,     0,   481,   482,   483,     0,   484,   485,     0,   486,
     487,   488,  1360,   489,   490,  1361,  1362,   491,     0,   492,
    1363,   493,     0,   494,     0,   495,   167,     0,   168,   496,
     497,     0,   498,  1364,     0,   499,     0,   500,   501,   502,
     503,   504,   171,   505,   506,   507,     0,   508,   509,   510,
     511,   512,   513,     0,   172,   173,     0,   514,   515,   516,
    1365,  1366,     0,  1367,     0,   517,   177,   178,   518,   179,
     519,   520,   521,   522,   523,   524,   525,     0,  1368,   181,
     526,   182,     0,   527,   528,   529,  1369,  1370,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,  1371,   188,  1372,  1018,   543,   544,   545,   546,   547,
     548,   549,   190,   550,  1373,   551,   552,   192,   553,  1374,
    1375,   554,  1376,   555,   556,     0,     0,   557,  1019,     0,
       0,  1377,   559,   560,     0,     0,   195,   196,   197,   198,
    1378,   561,   562,   563,   564,   565,   566,     0,   567,  1379,
     568,   201,   569,   570,   571,     0,   572,   573,   574,   575,
     576,   577,   578,  1380,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   209,   594,   595,  1381,   596,   597,   598,   599,   600,
     601,   602,   603,     0,   604,   605,   606,   607,  1382,   608,
     215,   609,   610,   217,   611,  1383,     0,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,  1384,   622,     0,
     623,   624,     0,   625,   626,   627,   628,   629,     0,  1385,
    1386,     0,     0,   631,  1387,   632,  1388,  1389,   633,   634,
     635,   636,   637,   638,     0,  1390,   639,   640,   641,   642,
    1391,     0,   643,   644,   645,   646,   647,  1392,     0,   648,
     234,   649,   650,   651,     0,     0,   652,     0,     0,   653,
     654,   655,   656,   657,  3795,  1393,  1394,  1395,  1396,  1397,
    1398,  1399,   658,   659,   660,     0,     0,     0,    55,    56,
      57,  1400,  1401,  1402,    58,  1403,     0,     0,     0,     0,
    1404,  1405,     0,     0,     0,     0,     0,     0,     0,  1407,
     694,    86,    87,    88,   400,    90,    91,    92,   401,     0,
     402,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     695,   104,   105,   403,   696,     0,   107,   108,   109,   110,
     697,   698,   112,   113,   114,   115,     0,   116,   699,   700,
     404,   405,     0,     0,     0,   406,   407,     0,     0,     0,
       0,   408,     0,     0,     0,     0,     0,     0,     0,     0,
     409,     0,   410,     0,   411,   412,     0,    35,   413,     0,
       0,    37,    38,    39,    40,    41,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
       0,     0,  1341,     0,     0,   425,   426,     0,   427,   133,
     428,   429,   430,   135,  1342,   137,  1343,  1344,     0,   431,
     432,   433,   434,   435,  1345,  1346,   436,   437,  1347,  1348,
     439,     0,   440,   441,   442,   443,  1349,     0,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,     0,   456,   457,   458,   149,   459,     0,  1350,
    1351,  1352,  1353,  1354,  1355,  1356,   460,   461,   462,   463,
     464,   465,  1357,  1358,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1359,   479,   480,     0,   481,   482,   483,     0,   484,
     485,     0,   486,   487,   488,  1360,   489,   490,  1361,  1362,
     491,     0,   492,  1363,   493,     0,   494,     0,   495,   167,
       0,   168,   496,   497,     0,   498,  1364,     0,   499,     0,
     500,   501,   502,   503,   504,   171,   505,   506,   507,     0,
     508,   509,   510,   511,   512,   513,     0,   172,   173,     0,
     514,   515,   516,  1365,  1366,     0,  1367,     0,   517,   177,
     178,   518,   179,   519,   520,   521,   522,   523,   524,   525,
       0,  1368,   181,   526,   182,     0,   527,   528,   529,  1369,
    1370,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,  1371,   188,  1372,  1018,   543,  3802,
     545,   546,   547,   548,   549,   190,   550,  1373,   551,   552,
     192,   553,  1374,  1375,   554,  1376,   555,   556,     0,     0,
     557,  1019,     0,     0,  1377,   559,   560,     0,     0,   195,
     196,   197,   198,  1378,   561,   562,   563,   564,   565,   566,
       0,   567,  1379,   568,   201,   569,   570,   571,     0,   572,
     573,   574,   575,   576,   577,   578,  1380,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   209,   594,   595,  1381,   596,   597,
     598,   599,   600,   601,   602,   603,     0,   604,   605,   606,
     607,  1382,   608,   215,   609,   610,   217,   611,  1383,     0,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
    1384,   622,     0,   623,   624,     0,   625,   626,   627,   628,
     629,     0,  1385,  1386,     0,     0,   631,  1387,   632,  1388,
    1389,   633,   634,   635,   636,   637,   638,     0,  1390,   639,
     640,   641,   642,  1391,     0,   643,   644,   645,   646,   647,
    1392,     0,   648,   234,   649,   650,   651,     0,     0,   652,
       0,     0,   653,   654,   655,   656,   657,   236,  1393,  1394,
    1395,  1396,  1397,  1398,  1399,   658,   659,   660,     0,     0,
       0,    55,    56,    57,  1400,  1401,  1402,    58,  1403,     0,
       0,     0,     0,  1404,  1405,     0,     0,     0,     0,     0,
       0,     0,  1407,   694,    86,    87,    88,   400,    90,    91,
      92,   401,     0,   402,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   695,   104,   105,   403,   696,     0,   107,
     108,   109,   110,   697,   698,   112,   113,   114,   115,     0,
     116,   699,   700,   404,   405,     0,     0,     0,   406,   407,
       0,     0,     0,     0,   408,     0,     0,     0,     0,     0,
       0,     0,     0,   409,     0,   410,     0,   411,   412,     0,
      35,   413,     0,     0,    37,    38,    39,    40,    41,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
     424,     0,     0,     0,     0,  1341,     0,     0,   425,   426,
       0,   427,   133,   428,   429,   430,   135,  1342,   137,  1343,
    1344,     0,   431,   432,   433,   434,   435,  1345,  1346,   436,
     437,  1347,  1348,   439,     0,   440,   441,   442,   443,  1349,
       0,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   458,   149,
     459,     0,  1350,  1351,  1352,  1353,  1354,  1355,  1356,   460,
     461,   462,   463,   464,   465,  1357,  1358,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1359,   479,   480,     0,   481,   482,
     483,     0,   484,   485,     0,   486,   487,   488,  1360,   489,
     490,  1361,  1362,   491,     0,   492,  1363,   493,     0,   494,
       0,   495,   167,     0,   168,   496,   497,     0,   498,  1364,
       0,   499,     0,   500,   501,   502,   503,   504,   171,   505,
     506,   507,     0,   508,   509,   510,   511,   512,   513,     0,
     172,   173,     0,   514,   515,   516,  1365,  1366,     0,  1367,
       0,   517,   177,   178,   518,   179,   519,   520,   521,   522,
     523,   524,   525,     0,  1368,   181,   526,   182,     0,   527,
     528,   529,  1369,  1370,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,  1371,   188,  1372,
    1018,   543,   544,   545,   546,   547,   548,   549,   190,   550,
       0,   551,   552,   192,   553,  1374,  1375,   554,  1376,   555,
     556,     0,     0,   557,  1019,     0,     0,  1377,   559,   560,
       0,     0,   195,   196,   197,   198,  1378,   561,   562,   563,
     564,   565,   566,     0,   567,  1379,   568,   201,   569,   570,
     571,     0,   572,   573,   574,   575,   576,   577,   578,  1380,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   209,   594,   595,
    1381,   596,   597,   598,   599,   600,   601,   602,   603,     0,
     604,   605,   606,   607,  1382,   608,   215,   609,   610,   217,
     611,  1383,     0,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,  1384,   622,     0,   623,   624,     0,   625,
     626,   627,   628,   629,     0,  1385,  1386,     0,     0,   631,
    1387,   632,  1388,  1389,   633,   634,   635,   636,   637,   638,
       0,     0,   639,   640,   641,   642,  1391,     0,   643,   644,
     645,   646,   647,  1392,     0,   648,   234,   649,   650,   651,
       0,     0,   652,     0,     0,   653,   654,   655,   656,   657,
     236,  1393,  1394,  1395,  1396,  1397,  1398,  1399,   658,   659,
     660,     0,     0,     0,    55,    56,    57,  1400,  1401,  1402,
      58,  1403,     0,     0,     0,     0,  2540,  2541,     0,     0,
       0,     0,     0,     0,     0,  1407,   694,    86,    87,    88,
     400,    90,    91,    92,   401,     0,   402,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   695,   104,   105,   403,
     696,     0,   107,   108,   109,   110,   697,   698,   112,   113,
     114,   115,     0,   116,   699,   700,   404,   405,     0,     0,
       0,   406,   407,     0,     0,     0,     0,   408,     0,     0,
       0,     0,     0,     0,     0,     0,   409,     0,   410,     0,
     411,   412,     0,    35,   413,     0,     0,    37,    38,    39,
      40,    41,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,     0,     0,  1341,     0,
       0,   425,   426,     0,   427,   133,   428,   429,   430,     0,
    1342,   137,  1343,  1344,     0,   431,   432,   433,   434,   435,
    1345,  1346,   436,   437,  1347,  1348,   439,     0,   440,   441,
     442,   443,  1349,     0,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,     0,   456,
     457,   458,   149,   459,     0,  1350,  1351,  1352,  1353,  1354,
    1355,  1356,   460,   461,   462,   463,   464,   465,  1357,  1358,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1359,   479,   480,
       0,   481,   482,   483,     0,   484,     0,     0,   486,   487,
     488,  1360,   489,   490,  1361,  1362,   491,     0,   492,  1363,
     493,     0,   494,     0,   495,   167,     0,   168,   496,   497,
       0,   498,  1364,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     512,   513,     0,   172,   173,     0,   514,   515,   516,  1365,
    1366,     0,  1367,     0,   517,   177,   178,   518,   179,   519,
     520,   521,   522,   523,   524,   525,     0,  1368,   181,   526,
       0,     0,   527,   528,   529,  1369,  1370,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
    1371,   188,  1372,  1018,   543,   544,   545,   546,   547,   548,
     549,   190,   550,     0,   551,   552,   192,   553,  1374,  1375,
     554,  1376,   555,   556,     0,     0,   557,  1019,     0,     0,
    1377,   559,   560,     0,     0,   195,   196,   197,   198,  1378,
     561,   562,   563,   564,   565,   566,     0,   567,  1379,   568,
     201,   569,   570,   571,     0,   572,   573,   574,   575,   576,
     577,   578,  1380,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     209,   594,   595,  1381,   596,   597,   598,   599,   600,   601,
     602,   603,     0,   604,   605,   606,   607,  1382,   608,   215,
     609,   610,     0,   611,  1383,     0,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,  1384,   622,     0,   623,
     624,     0,   625,   626,   627,   628,   629,     0,  1385,  1386,
       0,     0,   631,  1387,   632,  1388,  1389,   633,   634,   635,
     636,   637,   638,     0,  1390,   639,   640,   641,   642,  1391,
       0,   643,   644,   645,   646,   647,  1392,     0,   648,   234,
     649,   650,   651,     0,     0,   652,     0,     0,   653,   654,
     655,   656,   657,   236,  1393,  1394,  1395,  1396,  1397,  1398,
    1399,   658,   659,   660,     0,     0,     0,    55,    56,    57,
    1400,  1401,  1402,    58,  1403,     0,     0,     0,     0,  1404,
    1405,     0,     0,     0,     0,     0,     0,     0,  1407,   694,
      86,    87,    88,   400,    90,    91,    92,   401,     0,   402,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   695,
     104,   105,   403,   696,     0,   107,   108,   109,   110,   697,
     698,   112,   113,   114,   115,     0,   116,   699,   700,   404,
     405,     0,     0,     0,   406,   407,     0,     0,     0,     0,
     408,     0,     0,     0,     0,     0,     0,     0,     0,   409,
       0,   410,     0,   411,   412,     0,    35,   413,     0,     0,
      37,    38,    39,    40,    41,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,   424,     0,     0,     0,
       0,  1341,     0,     0,   425,   426,     0,   427,   133,   428,
     429,   430,     0,  1342,   137,  1343,  1344,     0,   431,   432,
     433,   434,   435,  1345,  1346,   436,   437,  1347,  1348,   439,
       0,   440,   441,   442,   443,  1349,     0,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,     0,   456,   457,   458,   149,   459,     0,  1350,  1351,
    1352,  1353,  1354,  1355,  1356,   460,   461,   462,   463,   464,
     465,  1357,  1358,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1359,   479,   480,     0,   481,   482,   483,     0,   484,     0,
       0,   486,   487,   488,  1360,   489,   490,  1361,  1362,   491,
       0,   492,  1363,   493,     0,   494,     0,   495,   167,     0,
     168,   496,   497,     0,   498,  1364,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   512,   513,     0,   172,   173,     0,   514,
     515,   516,  1365,  1366,     0,  1367,     0,   517,   177,   178,
     518,   179,   519,   520,   521,   522,   523,   524,   525,     0,
    1368,   181,   526,     0,     0,   527,   528,   529,  1369,  1370,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,  1371,   188,  1372,  1018,   543,   544,   545,
     546,   547,   548,   549,   190,   550,     0,   551,   552,   192,
     553,  1374,  1375,   554,  1376,   555,   556,     0,     0,   557,
    1019,     0,     0,  1377,   559,   560,     0,     0,   195,   196,
     197,   198,  1378,   561,   562,   563,   564,   565,   566,     0,
     567,  1379,   568,   201,   569,   570,   571,     0,   572,   573,
     574,   575,   576,   577,   578,  1380,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   209,   594,   595,  1381,   596,   597,   598,
     599,   600,   601,   602,   603,     0,   604,   605,   606,   607,
    1382,   608,   215,   609,   610,     0,   611,  1383,     0,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,  1384,
     622,     0,   623,   624,     0,   625,   626,   627,   628,   629,
       0,  1385,  1386,     0,     0,   631,  1387,   632,  1388,  1389,
     633,   634,   635,   636,   637,   638,     0,     0,   639,   640,
     641,   642,  1391,     0,   643,   644,   645,   646,   647,  1392,
       0,   648,   234,   649,   650,   651,     0,     0,   652,     0,
       0,   653,   654,   655,   656,   657,   236,  1393,  1394,  1395,
    1396,  1397,  1398,  1399,   658,   659,   660,     0,     0,     0,
      55,    56,    57,  1400,  1401,  1402,    58,  1403,     0,     0,
       0,     0,  2540,  2541,     0,     0,     0,     0,     0,     0,
       0,  1407,   694,    86,    87,    88,   400,    90,    91,    92,
     401,     0,   402,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   695,   104,   105,   403,   696,     0,   107,   108,
     109,   110,   697,   698,   112,   113,   114,   115,     0,   116,
     699,   700,   404,   405,     0,     0,     0,   406,   407,     0,
       0,     0,     0,   408,     0,     0,     0,     0,     0,     0,
       0,     0,   409,     0,   410,     0,   411,   412,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,   424,
       0,     0,     0,     0,     0,     0,     0,   425,   426,     0,
     427,   133,   428,   429,   430,   135,   136,   137,   138,   139,
       0,   431,   432,   433,   434,   435,     0,  1346,   436,   437,
     438,   140,   439,     0,   440,   441,   442,   443,  1349,     0,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   458,   149,   459,
       0,  1350,  1351,  1352,  1353,  1354,  1355,  1356,   460,   461,
     462,   463,   464,   465,   153,   154,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,     0,   486,   487,   488,   162,   489,   490,
    1361,     0,   491,     0,   492,   166,   493,     0,   494,     0,
     495,   167,     0,   168,   496,   497,     0,   498,  1364,     0,
     499,     0,   500,   501,   502,   503,   504,   171,   505,   506,
     507,     0,   508,   509,   510,   511,   512,   513,     0,   172,
     173,     0,   514,   515,   516,     0,   175,     0,   176,     0,
     517,   177,   178,   518,   179,   519,   520,   521,   522,   523,
     524,   525,     0,  1368,   181,   526,   182,     0,   527,   528,
     529,  1369,  1370,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   187,   188,   189,  1018,
     543,   544,   545,   546,   547,   548,   549,   190,   550,     0,
     551,   552,   192,   553,     0,  1375,   554,   194,   555,   556,
       0,     0,   557,  1019,     0,  1020,   558,   559,   560,     0,
       0,   195,   196,   197,   198,  1378,   561,   562,   563,   564,
     565,   566,     0,   567,  1379,   568,   201,   569,   570,   571,
       0,   572,   573,   574,   575,   576,   577,   578,   203,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   209,   594,   595,   211,
     596,   597,   598,   599,   600,   601,   602,   603,   213,   604,
     605,   606,   607,  1382,   608,   215,   609,   610,   217,   611,
     218,     0,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,  1384,   622,     0,   623,   624,   221,   625,   626,
     627,   628,   629,     0,   222,   223,     0,     0,   631,  1387,
     632,  1388,     0,   633,   634,   635,   636,   637,   638,     0,
       0,   639,   640,   641,   642,  1391,     0,   643,   644,   645,
     646,  1970,   233,     0,   648,   234,   649,   650,   651,     0,
       0,   652,     0,   235,   653,   654,   655,   656,   657,   236,
    1393,  1394,  1395,  1396,  1397,  1398,  1399,   658,   659,   660,
       0,     0,     0,    55,     0,     0,     0,     0,     0,     0,
       0,   694,    86,    87,    88,   400,    90,    91,    92,   401,
       0,   402,    95,     0,  2403,    98,    99,   100,   101,   102,
     103,   695,   104,   105,   403,   696,     0,   107,   108,   109,
     110,   697,   698,   112,   113,   114,   115,     0,   116,   699,
     700,   404,   405,     0,     0,     0,   406,   407,     0,     0,
       0,     0,   408,     0,     0,     0,     0,     0,     0,     0,
       0,   409,     0,   410,     0,   411,   412,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,   424,     0,
       0,     0,     0,     0,     0,     0,   425,   426,     0,   427,
     133,   428,   429,   430,   135,   136,   137,   138,   139,     0,
     431,   432,   433,   434,   435,     0,  1346,   436,   437,   438,
     140,   439,     0,   440,   441,   442,   443,  1349,     0,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   458,   149,   459,     0,
    1350,  1351,  1352,  1353,  1354,  1355,  1356,   460,   461,   462,
     463,   464,   465,   153,   154,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,     0,   486,   487,   488,   162,   489,   490,  1361,
       0,   491,     0,   492,   166,   493,     0,   494,     0,   495,
     167,     0,   168,   496,   497,     0,   498,  1364,     0,   499,
       0,   500,   501,   502,   503,   504,   171,   505,   506,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   172,   173,
       0,   514,   515,   516,     0,   175,     0,   176,     0,   517,
     177,   178,   518,   179,   519,   520,   521,   522,   523,   524,
     525,     0,  1368,   181,   526,   182,     0,   527,   528,   529,
    1369,  1370,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   187,   188,   189,  1018,   543,
     544,   545,   546,   547,   548,   549,   190,   550,     0,   551,
     552,   192,   553,     0,  1375,   554,   194,   555,   556,     0,
       0,   557,  1019,     0,  1020,   558,   559,   560,     0,     0,
     195,   196,   197,   198,  1378,   561,   562,   563,   564,   565,
     566,     0,   567,  1379,   568,   201,   569,   570,   571,     0,
     572,   573,   574,   575,   576,   577,   578,   203,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   209,   594,   595,   211,   596,
     597,   598,   599,   600,   601,   602,   603,     0,   604,   605,
     606,   607,  1382,   608,   215,   609,   610,   217,   611,   218,
       0,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,  1384,   622,     0,   623,   624,     0,   625,   626,   627,
     628,   629,     0,   222,   223,     0,     0,   631,  1387,   632,
    1388,     0,   633,   634,   635,   636,   637,   638,     0,     0,
     639,   640,   641,   642,  1391,     0,   643,   644,   645,   646,
     647,   233,     0,   648,   234,   649,   650,   651,     0,     0,
     652,     0,     0,   653,   654,   655,   656,   657,   236,  1393,
    1394,  1395,  1396,  1397,  1398,  1399,   658,   659,   660,     0,
       0,     0,    55,     0,     0,     0,     0,     0,     0,     0,
     694,    86,    87,    88,   400,    90,    91,    92,   401,     0,
     402,    95,     0,  2403,    98,    99,   100,   101,   102,   103,
     695,   104,   105,   403,   696,     0,   107,   108,   109,   110,
     697,   698,   112,   113,   114,   115,     0,   116,   699,   700,
     404,   405,     0,     0,     0,   406,   407,     0,     0,     0,
       0,   408,     0,     0,     0,     0,     0,     0,     0,     0,
     409,     0,   410,     0,   411,   412,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
       0,     0,     0,     0,     0,   425,   426,     0,   427,   133,
     428,   429,   430,   135,   136,   137,   138,   139,     0,   431,
     432,   433,   434,   435,     0,  1346,   436,   437,   438,   140,
     439,     0,   440,   441,   442,   443,  1349,     0,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,     0,   456,   457,   458,   149,   459,     0,  1350,
    1351,  1352,  1353,  1354,  1355,  1356,   460,   461,   462,   463,
     464,   465,   153,   154,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,     0,   486,   487,   488,   162,   489,   490,  1361,     0,
     491,     0,   492,   166,   493,     0,   494,     0,   495,   167,
       0,   168,   496,   497,     0,   498,  1364,     0,   499,     0,
     500,   501,   502,   503,   504,   171,   505,   506,   507,     0,
     508,   509,   510,   511,   512,   513,     0,   172,   173,     0,
     514,   515,   516,     0,   175,     0,   176,     0,   517,   177,
     178,   518,   179,   519,   520,   521,   522,   523,   524,   525,
       0,  1368,   181,   526,   182,     0,   527,   528,   529,  1369,
    1370,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   187,   188,   189,  1018,   543,   544,
     545,   546,   547,   548,   549,   190,   550,     0,   551,   552,
     192,   553,     0,  1375,   554,   194,   555,   556,     0,     0,
     557,  1019,     0,     0,   558,   559,   560,     0,     0,   195,
     196,   197,   198,  1378,   561,   562,   563,   564,   565,   566,
       0,   567,  1379,   568,   201,   569,   570,   571,     0,   572,
     573,   574,   575,   576,   577,   578,   203,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   209,   594,   595,   211,   596,   597,
     598,   599,   600,   601,   602,   603,     0,   604,   605,   606,
     607,  1382,   608,   215,   609,   610,   217,   611,   218,     0,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
    1384,   622,     0,   623,   624,     0,   625,   626,   627,   628,
     629,     0,   222,   223,     0,     0,   631,  1387,   632,  1388,
       0,   633,   634,   635,   636,   637,   638,     0,     0,   639,
     640,   641,   642,  1391,     0,   643,   644,   645,   646,   647,
     233,     0,   648,   234,   649,   650,   651,     0,     0,   652,
       0,     0,   653,   654,   655,   656,   657,   236,  1393,  1394,
    1395,  1396,  1397,  1398,  1399,   658,   659,   660,     0,     0,
       0,    55,     0,     0,     0,     0,     0,     0,     0,   694,
      86,    87,    88,   400,    90,    91,    92,   401,     0,   402,
      95,     0,  3936,    98,    99,   100,   101,   102,   103,   695,
     104,   105,   403,   696,     0,   107,   108,   109,   110,   697,
     698,   112,   113,   114,   115,     0,   116,   699,   700,   404,
     405,     0,     0,     0,   406,   407,     0,     0,     0,     0,
     408,     0,     0,     0,     0,     0,     0,     0,     0,   409,
       0,   410,     0,   411,   412,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,   424,     0,     0,     0,
       0,     0,     0,     0,   425,   426,     0,   427,   133,   428,
     429,   430,   135,   136,   137,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   438,   140,   439,
       0,   440,   441,   442,   443,   144,     0,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,     0,   456,   457,   458,   149,   459,     0,     0,     0,
       0,   150,     0,     0,     0,   460,   461,   462,   463,   464,
     465,   153,   154,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
       0,   486,   487,   488,   162,   489,   490,   164,     0,   491,
       0,   492,   166,   493,     0,   494,     0,   495,   167,     0,
     168,   496,   497,     0,   498,   170,     0,   499,     0,   500,
     501,   502,   503,   504,   171,   505,   506,   507,     0,   508,
     509,   510,   511,   512,   513,     0,   172,   173,     0,   514,
     515,   516,     0,   175,     0,   176,     0,   517,   177,   178,
     518,   179,   519,   520,   521,   522,   523,   524,   525,     0,
     180,   181,   526,   182,     0,   527,   528,   529,     0,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   187,   188,   189,  1018,   543,   544,   545,
     546,   547,   548,   549,   190,   550,     0,   551,   552,   192,
     553,     0,   193,   554,   194,   555,   556,     0,     0,   557,
    1019,     0,     0,   558,   559,   560,     0,     0,   195,   196,
     197,   198,   199,   561,   562,   563,   564,   565,   566,     0,
     567,   200,   568,   201,   569,   570,   571,     0,   572,   573,
     574,   575,   576,   577,   578,   203,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   209,   594,   595,   211,   596,   597,   598,
     599,   600,   601,   602,   603,     0,   604,   605,   606,   607,
       0,   608,   215,   609,   610,   217,   611,   218,     0,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   220,
     622,     0,   623,   624,     0,   625,   626,   627,   628,   629,
       0,   222,   223,     0,     0,   631,   224,   632,   225,     0,
     633,   634,   635,   636,   637,   638,     0,     0,   639,   640,
     641,   642,     0,     0,   643,   644,   645,   646,   647,   233,
       0,   648,   234,   649,   650,   651,     0,     0,   652,     0,
       0,   653,   654,   655,   656,   657,   236,   237,   238,   239,
     240,   241,   242,   243,   658,   659,   660,     0,     0,     0,
      55,     0,    86,    87,    88,   400,    90,    91,    92,   401,
       0,   402,    95,     0,     0,    98,    99,   100,   101,   102,
     103,  4002,   104,   105,   403,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   404,   405,     0,     0,     0,   406,   407,     0,     0,
       0,     0,   408,     0,     0,     0,     0,     0,     0,     0,
       0,   409,     0,   410,     0,   411,   412,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,   424,     0,
       0,     0,     0,     0,  2980,     0,   425,   426,     0,   427,
       0,   428,   429,   430,     0,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   438,
     140,   439,     0,   440,   441,   442,   443,   144,     0,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   458, -1169,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   464,   465,   153,   154,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,     0,   486,   487,   488,   162,   489,   490,   164,
       0,   491,     0,   492,   166,   493,     0,   494,     0,   495,
       0,     0, -1169,   496,   497,     0,   498,   170,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   512,   513,     0, -1169,   173,
       0,   514,   515,   516,     0,   175,     0,   176,     0,   517,
       0,     0,   518, -1169,   519,   520,   521,   522,   523,   524,
     525,     0,   180, -1169,   526,     0,     0,   527,   528,   529,
       0,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   187, -1169,   189,     0,   543,
     544,   545,   546,   547,   548,   549,   190,   550,     0,   551,
     552,     0,   553,     0,   193,   554,   194,   555,   556,     0,
       0,   557,     0,     0,     0,   558,   559,   560,     0,     0,
     195,     0,     0,     0,   199,   561,   562,   563,   564,   565,
     566,     0,   567,   200,   568,   201,   569,   570,   571,     0,
     572,   573,   574,   575,   576,   577,   578,   203,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593, -1169,   594,   595,   211,   596,
     597,   598,   599,   600,   601,   602,   603,     0,   604,   605,
     606,   607,     0,   608,   215,   609,   610,     0,   611,   218,
       0,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   220,   622,     0,   623,   624,     0,   625,   626,   627,
     628,   629,     0,   222,   223,     0,     0,   631,   224,   632,
     225,     0,   633,   634,   635,   636,   637,   638,     0,     0,
     639,   640,   641,   642,     0,     0,   643,   644,   645,   646,
     647,   233,     0,   648,     0,   649,   650,   651,     0,     0,
     652,     0,     0,   653,   654,   655,   656,   657,   236,   237,
     238,   239,   240,   241,   242,   243,   658,   659,   660,     0,
       0,     0,    55,     0,     0,    86,    87,    88,   400,    90,
      91,    92,   401,     0,   402,    95,     0,     0,    98,    99,
     100,   101,   102,   103,  1496,   104,   105,   403,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   404,   405,     0,     0,     0,   406,
     407,     0,     0,     0,     0,   408,     0,     0,     0,     0,
       0,     0,     0,     0,   409,     0,   410,     0,   411,   412,
       0,    35,     0,     0,     0,    37,    38,    39,    40,    41,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,     0,     0,     0,     0,     0,   425,
     426,     0,   427,     0,   428,   429,   430,     0,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   438,   140,   439,     0,   440,   441,   442,   443,
     144,     0,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,     0,   456,   457,   458,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   464,   465,   153,   154,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,     0,   486,   487,   488,   162,
     489,   490,   164,     0,   491,     0,   492,   166,   493,     0,
     494,     0,   495,     0,     0,     0,   496,   497,     0,   498,
     170,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   512,   513,
       0,     0,   173,     0,   514,   515,   516,     0,   175,     0,
     176,     0,   517,     0,     0,   518,     0,   519,   520,   521,
     522,   523,   524,   525,     0,   180,     0,   526,     0,     0,
     527,   528,   529,     0,     0,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   187,     0,
     189,     0,   543,   544,   545,   546,   547,   548,   549,   190,
     550,     0,   551,   552,     0,   553,     0,   193,   554,   194,
     555,   556,     0,     0,   557,     0,     0,     0,   558,   559,
     560,     0,     0,   195,     0,     0,     0,   199,   561,   562,
     563,   564,   565,   566,     0,   567,   200,   568,   201,   569,
     570,   571,     0,   572,   573,   574,   575,   576,   577,   578,
     203,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,     0,   594,
     595,   211,   596,   597,   598,   599,   600,   601,   602,   603,
       0,   604,   605,   606,   607,     0,   608,   215,   609,   610,
       0,   611,   218,     0,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   220,   622,     0,   623,   624,     0,
     625,   626,   627,   628,   629,     0,   222,   223,     0,     0,
     631,   224,   632,   225,     0,   633,   634,   635,   636,   637,
     638,     0,     0,   639,   640,   641,   642,     0,     0,   643,
     644,   645,   646,   647,   233,     0,   648,     0,   649,   650,
     651,     0,     0,   652,     0,     0,   653,   654,   655,   656,
     657,   236,   237,   238,   239,   240,   241,   242,   243,   658,
     659,   660,     0,     0,     0,    55,     0,    57,     0,     0,
       0,    58,     0,     0,    86,    87,    88,   400,    90,    91,
      92,   401,     0,   402,    95,  3349,  3350,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   403,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   404,   405,     0,     0,     0,   406,   407,
       0,     0,     0,     0,   408,     0,     0,     0,     0,     0,
       0,     0,     0,   409,     0,   410,     0,   411,   412,     0,
      35,     0,     0,     0,    37,    38,    39,    40,    41,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
     424,     0,     0,     0,     0,     0,     0,     0,   425,   426,
       0,   427,     0,   428,   429,   430,     0,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   438,   140,   439,     0,   440,   441,   442,   443,   144,
       0,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   458,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   464,   465,   153,   154,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,     0,   486,   487,   488,   162,   489,
     490,   164,     0,   491,     0,   492,   166,   493,     0,   494,
       0,   495,     0,     0,     0,   496,   497,     0,   498,   170,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   512,   513,     0,
       0,   173,     0,   514,   515,   516,     0,   175,     0,   176,
       0,   517,     0,     0,   518,     0,   519,   520,   521,   522,
     523,   524,   525,     0,   180,     0,   526,     0,     0,   527,
     528,   529,     0,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   187,     0,   189,
       0,   543,   544,   545,   546,   547,   548,   549,   190,   550,
       0,   551,   552,     0,   553,     0,   193,   554,   194,   555,
     556,     0,     0,   557,     0,     0,     0,   558,   559,   560,
       0,     0,   195,     0,     0,     0,   199,   561,   562,   563,
     564,   565,   566,     0,   567,   200,   568,   201,   569,   570,
     571,     0,   572,   573,   574,   575,   576,   577,   578,   203,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,     0,   594,   595,
     211,   596,   597,   598,   599,   600,   601,   602,   603,     0,
     604,   605,   606,   607,     0,   608,   215,   609,   610,     0,
     611,   218,     0,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   220,   622,     0,   623,   624,     0,   625,
     626,   627,   628,   629,     0,   222,   223,     0,     0,   631,
     224,   632,   225,     0,   633,   634,   635,   636,   637,   638,
       0,     0,   639,   640,   641,   642,     0,     0,   643,   644,
     645,   646,   647,   233,     0,   648,     0,   649,   650,   651,
       0,     0,   652,     0,     0,   653,   654,   655,   656,   657,
     236,   237,   238,   239,   240,   241,   242,   243,   658,   659,
     660,     0,     0,     0,    55,     0,    57,     0,     0,     0,
      58,     0,     0,    86,    87,    88,   400,    90,    91,    92,
     401,     0,   402,    95,     0,  3350,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   403,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   404,   405,     0,     0,     0,   406,   407,     0,
       0,     0,     0,   408,     0,     0,     0,     0,     0,     0,
       0,     0,   409,     0,   410,     0,   411,   412,     0,    35,
     413,     0,     0,     0,     0,     0,     0,    41,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,   424,
       0,     0,     0,     0,     0,     0,     0,   425,   426,     0,
     427,     0,   428,   429,   430,     0,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     438,   140,   439,     0,   440,   441,   442,   443,   144,     0,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   458,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   464,   465,   153,   154,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,     0,   486,   487,   488,   162,   489,   490,
     164,     0,   491,     0,   492,   166,   493,     0,   494,     0,
     495,     0,     0,     0,   496,   497,     0,   498,   170,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   512,   513,     0,     0,
     173,     0,   514,   515,   516,     0,   175,     0,   176,     0,
     517,     0,     0,   518,     0,   519,   520,   521,   522,   523,
     524,   525,     0,   180,     0,   526,     0,     0,   527,   528,
     529,     0,     0,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   187,     0,   189,     0,
     543,   544,   545,   546,   547,   548,   549,   190,   550,     0,
     551,   552,     0,   553,     0,   193,   554,   194,   555,   556,
       0,     0,   557,     0,     0,     0,   558,   559,   560,     0,
       0,   195,     0,     0,     0,   199,   561,   562,   563,   564,
     565,   566,     0,   567,   200,   568,   201,   569,   570,   571,
       0,   572,   573,   574,   575,   576,   577,   578,   203,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,     0,   594,   595,   211,
     596,   597,   598,   599,   600,   601,   602,   603,   213,   604,
     605,   606,   607,     0,   608,   215,   609,   610,     0,   611,
     218,     0,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   220,   622,     0,   623,   624,   221,   625,   626,
     627,   628,   629,     0,   222,   223,     0,     0,   631,   224,
     632,   225,     0,   633,   634,   635,   636,   637,   638,     0,
       0,   639,   640,   641,   642,     0,     0,   643,   644,   645,
     646,  1970,   233,     0,   648,     0,   649,   650,   651,     0,
       0,   652,     0,   235,   653,   654,   655,   656,   657,   236,
     237,   238,   239,   240,   241,   242,   243,   658,   659,   660,
       0,     0,     0,    55,     0,    86,    87,    88,   400,    90,
      91,    92,   401,     0,   402,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   244,   104,   105,   403,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   404,   405,     0,     0,     0,   406,
     407,     0,     0,     0,     0,   408,     0,     0,     0,     0,
       0,     0,     0,     0,   409,     0,   410,     0,   411,   412,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,     0,     0,     0,     0,     0,   425,
     426,     0,   427,     0,   428,   429,   430,     0,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   438,   140,   439,     0,   440,   441,   442,   443,
     144,     0,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,     0,   456,   457,   458,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   464,   465,   153,   154,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,     0,   486,   487,   488,   162,
     489,   490,   164,     0,   491,     0,   492,   166,   493,     0,
     494,     0,   495,     0,     0,     0,   496,   497,     0,   498,
     170,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   512,   513,
       0,     0,   173,     0,   514,   515,   516,     0,   175,     0,
     176,     0,   517,     0,     0,   518,     0,   519,   520,   521,
     522,   523,   524,   525,     0,   180,     0,   526,     0,     0,
     527,   528,   529,     0,     0,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   187,     0,
     189,     0,   543,   544,   545,   546,   547,   548,   549,   190,
     550,     0,   551,   552,     0,   553,     0,   193,   554,   194,
     555,   556,     0,     0,   557,     0,     0,     0,   558,   559,
     560,     0,     0,   195,     0,     0,     0,   199,   561,   562,
     563,   564,   565,   566,     0,   567,   200,   568,   201,   569,
     570,   571,     0,   572,   573,   574,   575,   576,   577,   578,
     203,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,     0,   594,
     595,   211,   596,   597,   598,   599,   600,   601,   602,   603,
     213,   604,   605,   606,   607,     0,   608,   215,   609,   610,
       0,   611,   218,     0,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   220,   622,     0,   623,   624,   221,
     625,   626,   627,   628,   629,     0,   222,   223,     0,     0,
     631,   224,   632,   225,     0,   633,   634,   635,   636,   637,
     638,     0,     0,   639,   640,   641,   642,     0,     0,   643,
     644,   645,   646,  1970,   233,     0,   648,     0,   649,   650,
     651,     0,     0,   652,     0,   235,   653,   654,   655,   656,
     657,   236,   237,   238,   239,   240,   241,   242,   243,   658,
     659,   660,     0,     0,     0,    55,     0,    86,    87,    88,
     400,    90,    91,    92,   401,     0,   402,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   244,   104,   105,   403,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   404,   405,     0,     0,
       0,   406,   407,     0,     0,     0,     0,   408,     0,     0,
       0,     0,     0,     0,     0,     0,   409,     0,   410,     0,
     411,   412,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,     0,     0,     0,     0,
       0,   425,   426,     0,   427,     0,   428,   429,   430,     0,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   438,   140,   439,     0,   440,   441,
     442,   443,   144,     0,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,     0,   456,
     457,   458,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   464,   465,   153,   154,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,     0,   486,   487,
     488,   162,   489,   490,   164,     0,   491,     0,   492,   166,
     493,     0,   494,     0,   495,     0,     0,     0,   496,   497,
       0,   498,   170,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     512,   513,     0,     0,   173,     0,   514,   515,   516,     0,
     175,     0,   176,     0,   517,     0,     0,   518,     0,   519,
     520,   521,   522,   523,   524,   525,     0,   180,     0,   526,
       0,     0,   527,   528,   529,     0,     0,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     187,     0,   189,  1018,   543,   544,   545,   546,   547,   548,
     549,   190,   550,     0,   551,   552,     0,   553,     0,   193,
     554,   194,   555,   556,     0,     0,   557,  1019,     0,     0,
     558,   559,   560,     0,     0,   195,     0,     0,     0,   199,
     561,   562,   563,   564,   565,   566,     0,   567,   200,   568,
     201,   569,   570,   571,     0,   572,   573,   574,   575,   576,
     577,   578,   203,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
       0,   594,   595,   211,   596,   597,   598,   599,   600,   601,
     602,   603,     0,   604,   605,   606,   607,     0,   608,   215,
     609,   610,     0,   611,   218,     0,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   220,   622,     0,   623,
     624,     0,   625,   626,   627,   628,   629,     0,   222,   223,
       0,     0,   631,   224,   632,   225,     0,   633,   634,   635,
     636,   637,   638,     0,     0,   639,   640,   641,   642,     0,
       0,   643,   644,   645,   646,   647,   233,     0,   648,     0,
     649,   650,   651,     0,     0,   652,     0,     0,   653,   654,
     655,   656,   657,   236,   237,   238,   239,   240,   241,   242,
     243,   658,   659,   660,     0,     0,     0,    55,     0,    86,
      87,    88,   400,    90,    91,    92,   401,     0,   402,    95,
       0,     0,    98,    99,   100,   101,   102,   103,  1474,   104,
     105,   403,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   404,   405,
       0,     0,     0,   406,   407,     0,     0,     0,     0,   408,
       0,     0,     0,     0,     0,     0,     0,     0,   409,     0,
     410,     0,   411,   412,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,   424,     0,     0,     0,     0,
       0,     0,     0,   425,   426,     0,   427,     0,   428,   429,
     430,     0,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   438,   140,   439,     0,
     440,   441,   442,   443,   144,     0,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
       0,   456,   457,   458,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   464,   465,
     153,   154,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,     0,
     486,   487,   488,   162,   489,   490,   164,     0,   491,     0,
     492,   166,   493,     0,   494,     0,   495,     0,     0,     0,
     496,   497,     0,   498,   170,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   512,   513,     0,     0,   173,     0,   514,   515,
     516,     0,   175,     0,   176,     0,   517,     0,     0,   518,
       0,   519,   520,   521,   522,   523,   524,   525,     0,   180,
       0,   526,     0,     0,   527,   528,   529,     0,     0,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   187,     0,   189,     0,   543,   544,   545,   546,
     547,   548,   549,   190,   550,     0,   551,   552,     0,   553,
       0,   193,   554,   194,   555,   556,     0,     0,   557,     0,
       0,     0,   558,   559,   560,     0,     0,   195,     0,     0,
       0,   199,   561,   562,   563,   564,   565,   566,     0,   567,
     200,   568,   201,   569,   570,   571,     0,   572,   573,   574,
     575,   576,   577,   578,   203,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,     0,   594,   595,   211,   596,   597,   598,   599,
     600,   601,   602,   603,     0,   604,   605,   606,   607,     0,
     608,   215,   609,   610,     0,   611,   218,     0,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   220,   622,
       0,   623,   624,     0,   625,   626,   627,   628,   629,     0,
     222,   223,     0,     0,   631,   224,   632,   225,     0,   633,
     634,   635,   636,   637,   638,     0,     0,   639,   640,   641,
     642,     0,     0,   643,   644,   645,   646,   647,   233,     0,
     648,     0,   649,   650,   651,     0,     0,   652,     0,     0,
     653,   654,   655,   656,   657,   236,   237,   238,   239,   240,
     241,   242,   243,   658,   659,   660,     0,     0,     0,    55,
       0,    86,    87,    88,   400,    90,    91,    92,   401,     0,
     402,    95,     0,     0,    98,    99,   100,   101,   102,   103,
    2078,   104,   105,   403,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     404,   405,     0,     0,     0,   406,   407,     0,     0,     0,
       0,   408,     0,     0,     0,     0,     0,     0,     0,     0,
     409,     0,   410,     0,   411,   412,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
       0,     0,     0,     0,     0,   425,   426,     0,   427,     0,
     428,   429,   430,     0,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   438,   140,
     439,     0,   440,   441,   442,   443,   144,     0,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,     0,   456,   457,   458,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     464,   465,   153,   154,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,     0,   486,   487,   488,   162,   489,   490,   164,     0,
     491,     0,   492,   166,   493,     0,   494,     0,   495,     0,
       0,     0,   496,   497,     0,   498,   170,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   512,   513,     0,     0,   173,     0,
     514,   515,   516,     0,   175,     0,   176,     0,   517,     0,
       0,   518,     0,   519,   520,   521,   522,   523,   524,   525,
       0,   180,     0,   526,     0,     0,   527,   528,   529,     0,
       0,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   187,     0,   189,     0,   543,   544,
     545,   546,   547,   548,   549,   190,   550,     0,   551,   552,
       0,   553,     0,   193,   554,   194,   555,   556,     0,     0,
     557,     0,     0,     0,   558,   559,   560,     0,     0,   195,
       0,     0,     0,   199,   561,   562,   563,   564,   565,   566,
       0,   567,   200,   568,   201,   569,   570,   571,     0,   572,
     573,   574,   575,   576,   577,   578,   203,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,     0,   594,   595,   211,   596,   597,
     598,   599,   600,   601,   602,   603,     0,   604,   605,   606,
     607,     0,   608,   215,   609,   610,     0,   611,   218,     0,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     220,   622,     0,   623,   624,     0,   625,   626,   627,   628,
     629,     0,   222,   223,     0,     0,   631,   224,   632,   225,
       0,   633,   634,   635,   636,   637,   638,     0,     0,   639,
     640,   641,   642,     0,     0,   643,   644,   645,   646,   647,
     233,     0,   648,     0,   649,   650,   651,     0,     0,   652,
       0,     0,   653,   654,   655,   656,   657,   236,   237,   238,
     239,   240,   241,   242,   243,   658,   659,   660,     0,     0,
       0,    55,     0,    86,    87,    88,   400,    90,    91,    92,
     401,     0,   402,    95,     0,     0,    98,    99,   100,   101,
     102,   103,  3445,   104,   105,   403,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   404,   405,     0,     0,     0,   406,   407,     0,
       0,     0,     0,   408,     0,     0,     0,     0,     0,     0,
       0,     0,   409,     0,   410,     0,   411,   412,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,   424,
       0,     0,     0,     0,     0,     0,     0,   425,   426,     0,
     427,     0,   428,   429,   430,     0,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     438,   140,   439,     0,   440,   441,   442,   443,   144,     0,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   458,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   464,   465,   153,   154,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,     0,   486,   487,   488,   162,   489,   490,
     164,     0,   491,     0,   492,   166,   493,     0,   494,     0,
     495,     0,     0,     0,   496,   497,     0,   498,   170,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   512,   513,     0,     0,
     173,     0,   514,   515,   516,     0,   175,     0,   176,     0,
     517,     0,     0,   518,     0,   519,   520,   521,   522,   523,
     524,   525,     0,   180,     0,   526,     0,     0,   527,   528,
     529,     0,     0,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   187,     0,   189,     0,
     543,   544,   545,   546,   547,   548,   549,   190,   550,     0,
     551,   552,     0,   553,     0,   193,   554,   194,   555,   556,
       0,     0,   557,     0,     0,     0,   558,   559,   560,     0,
       0,   195,     0,     0,     0,   199,   561,   562,   563,   564,
     565,   566,     0,   567,   200,   568,   201,   569,   570,   571,
       0,   572,   573,   574,   575,   576,   577,   578,   203,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,     0,   594,   595,   211,
     596,   597,   598,   599,   600,   601,   602,   603,     0,   604,
     605,   606,   607,     0,   608,   215,   609,   610,     0,   611,
     218,     0,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   220,   622,     0,   623,   624,     0,   625,   626,
     627,   628,   629,     0,   222,   223,     0,     0,   631,   224,
     632,   225,     0,   633,   634,   635,   636,   637,   638,     0,
       0,   639,   640,   641,   642,     0,     0,   643,   644,   645,
     646,   647,   233,     0,   648,     0,   649,   650,   651,     0,
       0,   652,     0,     0,   653,   654,   655,   656,   657,   236,
     237,   238,   239,   240,   241,   242,   243,   658,   659,   660,
       0,     0,     0,    55,     0,     0,     0,     0,     0,     0,
       0,   694,    86,    87,    88,   400,    90,    91,    92,   401,
       0,   402,    95,     0,  3565,    98,    99,   100,   101,   102,
     103,   695,   104,   105,   403,   696,     0,   107,   108,   109,
     110,   697,   698,   112,   113,   114,   115,     0,   116,   699,
     700,   404,   405,     0,     0,     0,   406,   407,     0,     0,
       0,     0,   408,     0,     0,     0,     0,     0,     0,     0,
       0,   409,     0,   410,     0,   411,   412,     0,    35,   413,
       0,     0,    37,    38,    39,    40,    41,   414,   415,   416,
     417,   418,   419,   420,   421,   701,   422,   423,   424,   702,
     703,   704,   705,   706,   707,   708,   425,   426,   709,   427,
     133,   428,   429,   430,   135,  1715,   137,  1716,  1717,   710,
     431,   432,   433,   434,   435,   711,   712,   436,   437,  1718,
    1719,   439,   714,   440,   441,   442,   443,     0,   715,   716,
     444,   445,   446,   447,   448,   449,   718,   450,   451,   452,
     453,   454,   455,   719,   456,   457,   458,   149,   459,     0,
     721,   722,   723,   150,   724,   725,   726,   460,   461,   462,
     463,   464,   465,  1720,  1721,   466,   727,   467,   728,   468,
     469,   470,   471,   472,   729,   473,   474,   475,   730,   731,
     476,   477,  1359,   479,   480,   732,   481,   482,   483,   733,
     484,   485,   734,   486,   487,   488,     0,   489,   490,     0,
     735,   491,   736,   492,  1722,   493,   737,   494,   738,   495,
     167,   739,   168,   496,   497,   740,   498,     0,   741,   499,
     742,   500,   501,   502,   503,   504,   171,   505,   506,   507,
     743,   508,   509,   510,   511,   512,   513,   744,   172,     0,
       0,   514,   515,   516,  1365,  1723,   747,  1724,   748,   517,
     177,   178,   518,   179,   519,   520,   521,   522,   523,   524,
     525,   749,     0,   181,   526,   182,   750,   527,   528,   529,
     751,   752,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,  1725,   188,  1726,   753,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   754,   551,
     552,   192,   553,   755,     0,   554,  1727,   555,   556,   756,
     757,   557,   758,   759,   760,  3336,   559,   560,   761,   762,
       0,   196,   197,   198,     0,   561,   562,   563,   564,   565,
     566,   763,   567,     0,   568,     0,   569,   570,   571,   764,
     572,   573,   574,   575,   576,   577,   578,  1728,   579,   580,
     581,   765,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   766,   592,   593,   209,   594,   595,     0,   596,
     597,   598,   599,   600,   601,   602,   603,   767,   604,   605,
     606,   607,   768,   608,  2209,   609,   610,   217,   611,  1730,
     769,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,     0,   622,   770,   623,   624,   771,   625,   626,   627,
     628,   629,   772,  1731,  1732,     0,   774,   631,     0,   632,
       0,   775,   633,   634,   635,   636,   637,   638,     0,   777,
     639,   640,   641,   642,   778,   779,   643,   644,   645,   646,
       0,  1733,   781,   648,   234,   649,   650,   651,   782,   783,
     652,   784,   785,   653,   654,   655,   656,   657,     0,     0,
       0,     0,     0,     0,     0,     0,   658,   659,   660,     0,
       0,     0,    55,    56,    57,     0,     0,  1136,    58,     0,
    1137,  1138,  1139,     0,  3337,  3338,  1142,  1143,  1144,  1145,
      86,    87,    88,   400,    90,    91,    92,   401,     0,   402,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   403,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   404,
     405,     0,     0,     0,   406,   407,     0,     0,     0,     0,
     408,     0,     0,     0,     0,     0,     0,     0,     0,   409,
       0,   410,     0,   411,   412,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,   424,     0,     0,     0,
       0,     0,     0,     0,   425,   426,     0,   427,     0,   428,
     429,   430,     0,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   438,   140,   439,
       0,   440,  1134,   442,   443,   144,     0,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,     0,   456,   457,   458,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   464,
     465,   153,   154,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
       0,   486,   487,   488,   162,   489,   490,   164,     0,  1135,
       0,   492,   166,   493,     0,   494,     0,   495,     0,     0,
       0,   496,   497,     0,   498,   170,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   512,   513,     0,     0,   173,     0,   514,
     515,   516,     0,   175,     0,   176,     0,   517,     0,     0,
     518,     0,   519,   520,   521,   522,   523,   524,   525,     0,
     180,     0,   526,     0,     0,   527,   528,   529,     0,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   187,     0,   189,     0,   543,   544,   545,
     546,   547,   548,   549,   190,   550,     0,   551,   552,     0,
     553,     0,   193,   554,   194,   555,   556,     0,     0,   557,
       0,     0,     0,   558,   559,   560,     0,     0,   195,     0,
       0,     0,   199,   561,   562,   563,   564,   565,   566,     0,
     567,   200,   568,   201,   569,   570,   571,     0,   572,   573,
     574,   575,   576,   577,   578,   203,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,     0,   594,   595,   211,   596,   597,   598,
     599,   600,   601,   602,   603,     0,   604,   605,   606,   607,
       0,   608,   215,   609,   610,     0,   611,   218,     0,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   220,
     622,     0,   623,   624,     0,   625,   626,   627,   628,   629,
       0,   222,   223,     0,     0,   631,   224,   632,   225,     0,
     633,   634,   635,   636,   637,   638,     0,     0,   639,   640,
     641,   642,     0,     0,   643,   644,   645,   646,   647,   233,
       0,   648,     0,   649,   650,   651,     0,     0,   652,     0,
       0,   653,   654,   655,   656,   657,   236,   237,   238,   239,
     240,   241,   242,   243,   658,   659,   660,     0,     0,     0,
      55,     0,     0,     0,     0,  1136,     0,     0,  1137,  1138,
    1139,     0,  1140,  1141,  1142,  1143,  1144,  1145,    86,    87,
      88,   400,    90,    91,    92,   401,     0,   402,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     403,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   404,   405,     0,
       0,     0,   406,   407,     0,     0,     0,     0,   408,     0,
       0,     0,     0,     0,     0,     0,     0,   409,     0,   410,
       0,   411,   412,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,   414,   415,   416,   417,   418,   419,   420,
     421,     0,   422,   423,   424,     0,     0,     0,     0,     0,
       0,     0,   425,   426,     0,   427,     0,   428,   429,   430,
       0,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   438,   140,   439,     0,   440,
    1210,   442,   443,   144,     0,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   458,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   464,   465,   153,
     154,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,     0,   486,
     487,   488,   162,   489,   490,   164,     0,  1211,     0,   492,
     166,   493,     0,   494,     0,   495,     0,     0,     0,   496,
     497,     0,   498,   170,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   512,   513,     0,     0,   173,     0,   514,   515,   516,
       0,   175,     0,   176,     0,   517,     0,     0,   518,     0,
     519,   520,   521,   522,   523,   524,   525,     0,   180,     0,
     526,     0,     0,   527,   528,   529,     0,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   187,     0,   189,     0,   543,   544,   545,   546,   547,
     548,   549,   190,   550,     0,   551,   552,     0,   553,     0,
     193,   554,   194,   555,   556,     0,     0,   557,     0,     0,
       0,   558,   559,   560,     0,     0,   195,     0,     0,     0,
     199,   561,   562,   563,   564,   565,   566,     0,   567,   200,
     568,   201,   569,   570,   571,     0,   572,   573,   574,   575,
     576,   577,   578,   203,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,     0,   594,   595,   211,   596,   597,   598,   599,   600,
     601,   602,   603,     0,   604,   605,   606,   607,     0,   608,
     215,   609,   610,     0,   611,   218,     0,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   220,   622,     0,
     623,   624,     0,   625,   626,   627,   628,   629,     0,   222,
     223,     0,     0,   631,   224,   632,   225,     0,   633,   634,
     635,   636,   637,   638,     0,     0,   639,   640,   641,   642,
       0,     0,   643,   644,   645,   646,   647,   233,     0,   648,
       0,   649,   650,   651,     0,     0,   652,     0,     0,   653,
     654,   655,   656,   657,   236,   237,   238,   239,   240,   241,
     242,   243,   658,   659,   660,     0,     0,     0,    55,     0,
       0,     0,     0,  1136,     0,     0,  1137,  1138,  1139,     0,
    1140,  1141,  1142,  1143,  1144,  1145,    86,    87,    88,   400,
      90,    91,    92,   401,     0,   402,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   403,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   404,   405,     0,     0,     0,
     406,   407,     0,     0,     0,     0,   408,     0,     0,     0,
       0,     0,     0,     0,     0,   409,     0,   410,     0,   411,
     412,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,   424,     0,     0,     0,     0,     0,     0,     0,
     425,   426,     0,   427,     0,   428,   429,   430,     0,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   438,   140,   439,     0,   440,  1256,   442,
     443,   144,     0,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,     0,   456,   457,
     458,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   464,   465,   153,   154,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,     0,   486,   487,   488,
     162,   489,   490,   164,     0,  1257,     0,   492,   166,   493,
       0,   494,     0,   495,     0,     0,     0,   496,   497,     0,
     498,   170,     0,   499,     0,   500,   501,   502,   503,  1258,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   512,
     513,     0,     0,   173,     0,   514,   515,   516,     0,   175,
       0,   176,     0,   517,     0,     0,   518,     0,   519,   520,
     521,   522,   523,   524,   525,     0,   180,     0,   526,     0,
       0,   527,   528,   529,     0,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   187,
       0,   189,     0,   543,   544,   545,   546,   547,   548,   549,
     190,   550,     0,   551,   552,     0,   553,     0,   193,   554,
     194,   555,   556,     0,     0,   557,     0,     0,     0,   558,
     559,   560,     0,     0,   195,     0,     0,     0,   199,   561,
     562,   563,   564,   565,   566,     0,   567,   200,   568,   201,
     569,   570,   571,     0,   572,   573,   574,   575,   576,   577,
     578,   203,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,     0,
     594,   595,   211,   596,   597,   598,   599,   600,   601,   602,
     603,     0,   604,   605,   606,   607,     0,   608,   215,   609,
     610,     0,   611,   218,     0,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   220,   622,     0,   623,   624,
       0,   625,   626,   627,   628,   629,     0,   222,   223,     0,
       0,   631,   224,   632,   225,     0,   633,   634,   635,   636,
     637,   638,     0,     0,   639,   640,   641,   642,     0,     0,
     643,   644,   645,   646,   647,   233,     0,   648,     0,   649,
     650,   651,     0,     0,   652,     0,     0,   653,   654,   655,
     656,   657,   236,   237,   238,   239,   240,   241,   242,   243,
     658,   659,   660,     0,     0,     0,    55,     0,     0,     0,
       0,  1136,     0,     0,  1137,  1138,  1139,     0,  1140,  1141,
    1142,  1143,  1144,  1145,    86,    87,    88,   400,    90,    91,
      92,   401,     0,   402,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   403,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   404,   405,     0,     0,     0,   406,   407,
       0,     0,     0,     0,   408,     0,     0,     0,     0,     0,
       0,     0,     0,   409,     0,   410,     0,   411,   412,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
     424,     0,     0,     0,     0,     0,     0,     0,   425,   426,
       0,   427,     0,   428,   429,   430,     0,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   438,   140,   439,     0,   440,  1698,   442,   443,   144,
       0,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   458,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   464,   465,   153,   154,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,     0,   486,   487,   488,   162,   489,
     490,   164,     0,  1699,     0,   492,   166,   493,     0,   494,
       0,   495,     0,     0,     0,   496,   497,     0,   498,   170,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   512,   513,     0,
       0,   173,     0,   514,   515,   516,     0,   175,     0,   176,
       0,   517,     0,     0,   518,     0,   519,   520,   521,   522,
     523,   524,   525,     0,   180,     0,   526,     0,     0,   527,
     528,   529,     0,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   187,     0,   189,
       0,   543,   544,   545,   546,   547,   548,   549,   190,   550,
       0,   551,   552,     0,   553,     0,   193,   554,   194,   555,
     556,     0,     0,   557,     0,     0,     0,   558,   559,   560,
       0,     0,   195,     0,     0,     0,   199,   561,   562,   563,
     564,   565,   566,     0,   567,   200,   568,   201,   569,   570,
     571,     0,   572,   573,   574,   575,   576,   577,   578,   203,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,     0,   594,   595,
     211,   596,   597,   598,   599,   600,   601,   602,   603,     0,
     604,   605,   606,   607,     0,   608,   215,   609,   610,     0,
     611,   218,     0,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   220,   622,     0,   623,   624,     0,   625,
     626,   627,   628,   629,     0,   222,   223,     0,     0,   631,
     224,   632,   225,     0,   633,   634,   635,   636,   637,   638,
       0,     0,   639,   640,   641,   642,     0,     0,   643,   644,
     645,   646,   647,   233,     0,   648,     0,   649,   650,   651,
       0,     0,   652,     0,     0,   653,   654,   655,   656,   657,
     236,   237,   238,   239,   240,   241,   242,   243,   658,   659,
     660,     0,     0,     0,    55,     0,     0,     0,     0,  1136,
       0,     0,  1137,  1138,  1139,     0,  1140,  1141,  1142,  1143,
    1144,  1145,    86,    87,    88,   400,    90,    91,    92,   401,
       0,   402,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   403,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   404,   405,     0,     0,     0,   406,   407,     0,     0,
       0,     0,   408,     0,     0,     0,     0,     0,     0,     0,
       0,   409,     0,   410,     0,   411,   412,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,   424,     0,
       0,     0,     0,     0,     0,     0,   425,   426,     0,   427,
       0,   428,   429,   430,     0,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   438,
     140,   439,     0,   440,   441,   442,   443,   144,     0,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   458,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   464,   465,   153,   154,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,     0,   486,   487,   488,   162,   489,   490,   164,
       0,   491,     0,   492,   166,   493,     0,   494,     0,   495,
       0,     0,     0,   496,   497,     0,   498,   170,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   512,   513,     0,     0,   173,
       0,   514,   515,   516,     0,   175,     0,   176,     0,   517,
       0,     0,   518,     0,   519,   520,   521,   522,   523,   524,
     525,     0,   180,     0,   526,     0,     0,   527,   528,   529,
       0,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   187,     0,   189,     0,   543,
     544,   545,   546,   547,   548,   549,   190,   550,     0,   551,
     552,     0,   553,     0,   193,   554,   194,   555,   556,     0,
       0,   557,     0,     0,     0,   558,   559,   560,     0,     0,
     195,     0,     0,     0,   199,   561,   562,   563,   564,   565,
     566,     0,   567,   200,   568,   201,   569,   570,   571,     0,
     572,   573,   574,   575,   576,   577,   578,   203,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,     0,   594,   595,   211,   596,
     597,   598,   599,   600,   601,   602,   603,     0,   604,   605,
     606,   607,     0,   608,   215,   609,   610,     0,   611,   218,
       0,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   220,   622,     0,   623,   624,     0,   625,   626,   627,
     628,   629,     0,   222,   223,     0,     0,   631,   224,   632,
     225,     0,   633,   634,   635,   636,   637,   638,     0,     0,
     639,   640,   641,   642,     0,     0,   643,   644,   645,   646,
     647,   233,     0,   648,     0,   649,   650,   651,     0,     0,
     652,     0,     0,   653,   654,   655,   656,   657,   236,   237,
     238,   239,   240,   241,   242,   243,   658,   659,   660,     0,
       0,     0,    55,     0,     0,     0,     0,  1136,     0,     0,
    1137,  1138,  1139,     0,  1140,  1141,  1142,  1143,  1144,  1145,
     694,    86,    87,    88,   400,    90,    91,    92,   401,     0,
     402,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     695,   104,   105,   403,   696,     0,   107,   108,   109,   110,
     697,   698,   112,   113,   114,   115,     0,   116,   699,   700,
     404,   405,     0,     0,     0,   406,   407,     0,     0,     0,
       0,   408,     0,     0,     0,     0,     0,     0,     0,     0,
     409,     0,   410,     0,   411,   412,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,   414,   415,   416,   417,
     418,   419,   420,   421,   701,   422,   423,   424,   702,   703,
     704,   705,   706,   707,   708,   425,   426,   709,   427,   133,
     428,   429,   430,   135,   136,   137,   138,   139,   710,   431,
     432,   433,   434,   435,   711,   712,   436,   437,   713,   140,
     439,   714,   440,   441,   442,   443,   144,   715,   716,   444,
     445,   446,   447,   448,   717,   718,   450,   451,   452,   453,
     454,   455,   719,   456,   457,   458,   149,   459,   720,   721,
     722,   723,   150,   724,   725,   726,   460,   461,   462,   463,
     464,   465,   153,   154,   466,   727,   467,   728,   468,   469,
     470,   471,   472,   729,   473,   474,   475,   730,   731,   476,
     477,   478,   479,   480,   732,   481,   482,   483,   733,   484,
     485,   734,   486,   487,   488,   162,   489,   490,   164,   735,
     491,   736,   492,   166,   493,   737,   494,   738,   495,   167,
     739,   168,   496,   497,   740,   498,   170,   741,   499,   742,
     500,   501,   502,   503,   504,   171,   505,   506,   507,   743,
     508,   509,   510,   511,   512,   513,   744,   172,   173,   745,
     514,   515,   516,   746,   175,   747,   176,   748,   517,   177,
     178,   518,   179,   519,   520,   521,   522,   523,   524,   525,
     749,   180,   181,   526,   182,   750,   527,   528,   529,   751,
     752,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   187,   188,   189,   753,   543,   544,
     545,   546,   547,   548,   549,   190,   550,   754,   551,   552,
     192,   553,   755,   193,   554,   194,   555,   556,   756,   757,
     557,   758,   759,   760,   558,   559,   560,   761,   762,   195,
     196,   197,   198,   199,   561,   562,   563,   564,   565,   566,
     763,   567,   200,   568,   201,   569,   570,   571,   764,   572,
     573,   574,   575,   576,   577,   578,   203,   579,   580,   581,
     765,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   766,   592,   593,   209,   594,   595,   211,   596,   597,
     598,   599,   600,   601,   602,   603,   767,   604,   605,   606,
     607,   768,   608,   215,   609,   610,   217,   611,   218,   769,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     220,   622,   770,   623,   624,   771,   625,   626,   627,   628,
     629,   772,   222,   223,   773,   774,   631,   224,   632,   225,
     775,   633,   634,   635,   636,   637,   638,   776,   777,   639,
     640,   641,   642,   778,   779,   643,   644,   645,   646,   780,
     233,   781,   648,   234,   649,   650,   651,   782,   783,   652,
     784,   785,   653,   654,   655,   656,   657,   236,   237,   238,
     239,   240,   241,   242,   243,   658,   659,   660,     0,     0,
       0,    55,   694,    86,    87,    88,   400,    90,    91,    92,
     401,     0,   402,    95,     0,  2069,    98,    99,   100,   101,
     102,   103,   695,   104,   105,   403,   696,     0,   107,   108,
     109,   110,   697,   698,   112,   113,   114,   115,     0,   116,
     699,   700,   404,   405,     0,     0,     0,   406,   407,     0,
       0,     0,     0,   408,     0,     0,     0,     0,     0,     0,
       0,     0,   409,     0,   410,     0,   411,   412,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,   424,
       0,     0,     0,     0,     0,     0,     0,   425,   426,     0,
     427,   133,   428,   429,   430,   135,  1715,   137,  1716,  1717,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
    1718,  1719,   439,     0,   440,   441,   442,   443,     0,     0,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   458,   149,   459,
       0,     0,     0,     0,   150,     0,     0,     0,   460,   461,
     462,   463,   464,   465,  1720,  1721,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1359,   479,   480,     0,   481,   482,   483,
       0,   484,   485,     0,   486,   487,   488,     0,   489,   490,
       0,     0,   491,     0,   492,  1722,   493,     0,   494,     0,
     495,   167,     0,   168,   496,   497,     0,   498,     0,     0,
     499,     0,   500,   501,   502,   503,   504,   171,   505,   506,
     507,     0,   508,   509,   510,   511,   512,   513,     0,   172,
       0,     0,   514,   515,   516,  1365,  1723,     0,  1724,     0,
     517,   177,   178,   518,   179,   519,   520,   521,   522,   523,
     524,   525,     0,     0,   181,   526,   182,     0,   527,   528,
     529,     0,     0,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,  1725,   188,  1726,     0,
     543,   544,   545,   546,   547,   548,   549,     0,   550,     0,
     551,   552,   192,   553,     0,     0,   554,  1727,   555,   556,
       0,     0,   557,     0,     0,     0,   558,   559,   560,     0,
       0,     0,   196,   197,   198,     0,   561,   562,   563,   564,
     565,   566,     0,   567,     0,   568,     0,   569,   570,   571,
       0,   572,   573,   574,   575,   576,   577,   578,  1728,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   209,   594,   595,     0,
     596,   597,   598,   599,   600,   601,   602,   603,     0,   604,
     605,   606,   607,     0,   608,  1729,   609,   610,   217,   611,
    1730,     0,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,     0,   625,   626,
     627,   628,   629,     0,  1731,  1732,     0,     0,   631,     0,
     632,     0,     0,   633,   634,   635,   636,   637,   638,     0,
       0,   639,   640,   641,   642,     0,     0,   643,   644,   645,
     646,     0,  1733,     0,   648,   234,   649,   650,   651,     0,
       0,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,     0,     0,     0,     0,     0,     0,   658,   659,   660,
       0,     0,     0,    55,     0,    86,    87,    88,   400,    90,
      91,    92,   401,     0,   402,    95,     0,  2164,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   403,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   404,   405,     0,     0,     0,   406,
     407,     0,     0,     0,     0,   408,     0,     0,     0,     0,
       0,     0,     0,     0,   409,     0,   410,     0,   411,   412,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,     0,     0,     0,     0,     0,   425,
     426,     0,   427,     0,   428,   429,   430,     0,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   438,   140,   439,     0,   440,   441,   442,   443,
     144,     0,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,     0,   456,   457,   458,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   464,   465,   153,   154,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,     0,   486,   487,   488,   162,
     489,   490,   164,     0,   491,     0,   492,   166,   493,     0,
     494,     0,   495,     0,     0,     0,   496,   497,     0,   498,
     170,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   512,   513,
       0,     0,   173,     0,   514,   515,   516,     0,   175,     0,
     176,     0,   517,     0,     0,   518,     0,   519,   520,   521,
     522,   523,   524,   525,     0,   180,     0,   526,     0,     0,
     527,   528,   529,     0,     0,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   187,     0,
     189,     0,   543,   544,   545,   546,   547,   548,   549,   190,
     550,     0,   551,   552,     0,   553,     0,   193,   554,   194,
     555,   556,     0,     0,   557,     0,     0,     0,   558,   559,
     560,     0,     0,   195,     0,     0,     0,   199,   561,   562,
     563,   564,   565,   566,     0,   567,   200,   568,   201,   569,
     570,   571,     0,   572,   573,   574,   575,   576,   577,   578,
     203,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,     0,   594,
     595,   211,   596,   597,   598,   599,   600,   601,   602,   603,
       0,   604,   605,   606,   607,     0,   608,   215,   609,   610,
       0,   611,   218,     0,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   220,   622,     0,   623,   624,     0,
     625,   626,   627,   628,   629,     0,   222,   223,     0,     0,
     631,   224,   632,   225,     0,   633,   634,   635,   636,   637,
     638,     0,     0,   639,   640,   641,   642,     0,     0,   643,
     644,   645,   646,   647,   233,     0,   648,     0,   649,   650,
     651,     0,     0,   652,     0,     0,   653,   654,   655,   656,
     657,   236,   237,   238,   239,   240,   241,   242,   243,   658,
     659,   660,     0,     0,     0,    55,     0,    86,    87,    88,
     400,    90,    91,    92,   401,     0,   402,    95,     0,  1029,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   403,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   404,   405,     0,     0,
       0,   406,   407,     0,     0,     0,     0,   408,     0,     0,
       0,     0,     0,     0,     0,     0,   409,     0,   410,     0,
     411,   412,     0,    35,   413,     0,     0,    37,    38,    39,
      40,    41,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,     0,     0,     0,     0,
       0,   425,   426,     0,   427,     0,   428,   429,   430,     0,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   438,   140,   439,     0,   440,   441,
     442,   443,   144,     0,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,     0,   456,
     457,   458,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   464,   465,   153,   154,
     466,  2052,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,     0,   486,   487,
     488,   162,   489,   490,   164,  2053,   491,     0,   492,   166,
     493,     0,   494,     0,   495,     0,     0,     0,   496,   497,
       0,   498,   170,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     512,   513,     0,     0,   173,     0,   514,   515,   516,     0,
     175,     0,   176,     0,   517,     0,     0,   518,     0,   519,
     520,   521,   522,   523,   524,   525,     0,   180,     0,   526,
       0,     0,   527,   528,   529,     0,     0,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     187,     0,   189,     0,   543,   544,   545,   546,   547,   548,
     549,   190,   550,     0,   551,   552,     0,   553,     0,   193,
     554,   194,   555,   556,  2054,     0,   557,     0,  2055,     0,
     558,   559,   560,     0,     0,   195,     0,     0,     0,   199,
     561,   562,   563,   564,   565,   566,     0,   567,   200,   568,
     201,   569,   570,   571,     0,   572,   573,   574,   575,   576,
     577,   578,   203,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
       0,   594,   595,   211,   596,   597,   598,   599,   600,   601,
     602,   603,     0,   604,   605,   606,   607,     0,   608,   215,
     609,   610,     0,   611,   218,     0,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   220,   622,     0,   623,
     624,     0,   625,   626,   627,   628,   629,     0,   222,   223,
       0,     0,   631,   224,   632,   225,  2056,   633,   634,   635,
     636,   637,   638,     0,     0,   639,   640,   641,   642,     0,
       0,   643,   644,   645,   646,   647,   233,     0,   648,     0,
     649,   650,   651,     0,     0,   652,     0,     0,   653,   654,
     655,   656,   657,   236,   237,   238,   239,   240,   241,   242,
     243,   658,   659,   660,     0,     0,     0,    55,    56,    57,
       0,     0,     0,    58,     0,     0,     0,     0,     0,   938,
    1533,    86,    87,    88,   400,    90,    91,    92,   401,     0,
     402,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   403,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     404,   405,     0,     0,     0,   406,   407,     0,     0,     0,
       0,   408,     0,     0,     0,     0,     0,     0,     0,     0,
     409,     0,   410,     0,   411,   412,     0,    35,   413,     0,
       0,    37,    38,    39,    40,    41,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
       0,     0,     0,     0,     0,   425,   426,     0,   427,     0,
     428,   429,   430,     0,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   438,   140,
     439,     0,   440,   441,   442,   443,   144,     0,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,     0,   456,   457,   458,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     464,   465,   153,   154,   466,  2062,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,     0,   486,   487,   488,   162,   489,   490,   164,  2053,
     491,     0,   492,   166,   493,     0,   494,     0,   495,     0,
       0,     0,   496,   497,     0,   498,   170,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   512,   513,     0,     0,   173,     0,
     514,   515,   516,     0,   175,     0,   176,     0,   517,     0,
       0,   518,     0,   519,   520,   521,   522,   523,   524,   525,
       0,   180,     0,   526,     0,     0,   527,   528,   529,     0,
       0,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   187,     0,   189,     0,   543,   544,
     545,   546,   547,   548,   549,   190,   550,     0,   551,   552,
       0,   553,     0,   193,   554,   194,   555,   556,  2054,     0,
     557,     0,  2055,     0,   558,   559,   560,     0,     0,   195,
       0,     0,     0,   199,   561,   562,   563,   564,   565,   566,
       0,   567,   200,   568,   201,   569,   570,   571,     0,   572,
     573,   574,   575,   576,   577,   578,   203,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,     0,   594,   595,   211,   596,   597,
     598,   599,   600,   601,   602,   603,     0,   604,   605,   606,
     607,     0,   608,   215,   609,   610,     0,   611,   218,     0,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     220,   622,     0,   623,   624,     0,   625,   626,   627,   628,
     629,     0,   222,   223,     0,     0,   631,   224,   632,   225,
    2056,   633,   634,   635,   636,   637,   638,     0,     0,   639,
     640,   641,   642,     0,     0,   643,   644,   645,   646,   647,
     233,     0,   648,     0,   649,   650,   651,     0,     0,   652,
       0,     0,   653,   654,   655,   656,   657,   236,   237,   238,
     239,   240,   241,   242,   243,   658,   659,   660,     0,     0,
       0,    55,    56,    57,     0,     0,     0,    58,     0,     0,
       0,     0,     0,   938,  1533,    86,    87,    88,   400,    90,
      91,    92,   401,     0,   402,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   403,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   404,   405,     0,     0,     0,   406,
     407,     0,     0,     0,     0,   408,     0,     0,     0,     0,
       0,     0,     0,     0,   409,     0,   410,     0,   411,   412,
       0,    35,   413,     0,     0,    37,    38,    39,    40,    41,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,     0,     0,     0,     0,     0,   425,
     426,     0,   427,     0,   428,   429,   430,     0,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   438,   140,   439,     0,   440,   441,   442,   443,
     144,     0,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,     0,   456,   457,   458,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   464,   465,   153,   154,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,     0,   486,   487,   488,   162,
     489,   490,   164,  2053,   491,     0,   492,   166,   493,     0,
     494,     0,   495,     0,     0,     0,   496,   497,     0,   498,
     170,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   512,   513,
       0,     0,   173,     0,   514,   515,   516,     0,   175,     0,
     176,     0,   517,     0,     0,   518,     0,   519,   520,   521,
     522,   523,   524,   525,     0,   180,     0,   526,     0,     0,
     527,   528,   529,     0,     0,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   187,     0,
     189,     0,   543,   544,   545,   546,   547,   548,   549,   190,
     550,     0,   551,   552,     0,   553,     0,   193,   554,   194,
     555,   556,  2054,     0,   557,     0,  2055,     0,   558,   559,
     560,     0,     0,   195,     0,     0,     0,   199,   561,   562,
     563,   564,   565,   566,     0,   567,   200,   568,   201,   569,
     570,   571,     0,   572,   573,   574,   575,   576,   577,   578,
     203,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,     0,   594,
     595,   211,   596,   597,   598,   599,   600,   601,   602,   603,
       0,   604,   605,   606,   607,     0,   608,   215,   609,   610,
       0,   611,   218,     0,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   220,   622,     0,   623,   624,     0,
     625,   626,   627,   628,   629,     0,   222,   223,     0,     0,
     631,   224,   632,   225,  2056,   633,   634,   635,   636,   637,
     638,     0,     0,   639,   640,   641,   642,     0,     0,   643,
     644,   645,   646,   647,   233,     0,   648,     0,   649,   650,
     651,     0,     0,   652,     0,     0,   653,   654,   655,   656,
     657,   236,   237,   238,   239,   240,   241,   242,   243,   658,
     659,   660,     0,     0,     0,    55,    56,    57,     0,     0,
       0,    58,     0,     0,     0,     0,     0,   938,  1533,    86,
      87,    88,   400,    90,    91,    92,   401,     0,   402,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   403,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   404,   405,
       0,     0,     0,   406,   407,     0,     0,     0,     0,   408,
       0,     0,     0,     0,     0,     0,     0,     0,   409,     0,
     410,     0,   411,   412,     0,    35,   413,     0,     0,     0,
       0,     0,     0,    41,   414,   927,   416,   417,   418,   419,
     420,   421,   928,   422,   423,   424,     0,     0,     0,     0,
       0,     0,     0,   425,   426,     0,   427,     0,   929,   429,
     430,     0,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   438,   140,   439,     0,
     440,   441,   442,   443,   144,     0,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
       0,   456,   457,   458,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   464,   465,
     153,   154,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,     0,
     486,   487,   488,   162,   489,   490,   164,     0,   491,     0,
     930,   166,   493,     0,   494,     0,   931,     0,   932,     0,
     496,   497,     0,   498,   170,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   933,   508,   509,
     510,   511,   512,   513,     0,     0,   173,     0,   514,   515,
     516,     0,   175,     0,   176,     0,   517,     0,     0,   518,
       0,   519,   520,   521,   522,   934,   524,   525,     0,   180,
       0,   526,     0,     0,   527,   528,   529,     0,     0,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   187,     0,   189,     0,   935,   544,   545,   546,
     547,   548,   549,   190,   550,     0,   551,   552,     0,   553,
       0,   193,   554,   194,   555,   556,     0,     0,   557,     0,
       0,     0,   558,   559,   560,     0,     0,   195,     0,     0,
       0,   199,   561,   562,   563,   564,   565,   566,     0,   567,
     200,   568,   201,   569,   570,   571,     0,   936,   573,   574,
     575,   576,   577,   578,   203,   579,   580,   581,     0,   582,
     937,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,     0,   594,   595,   211,   596,   597,   598,   599,
     600,   601,   602,   603,     0,   604,   605,   606,   607,     0,
     608,   215,   609,   610,     0,   611,   218,     0,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   220,   622,
       0,   623,   624,     0,   625,   626,   627,   628,   629,     0,
     222,   223,     0,     0,   631,   224,   632,   225,     0,   633,
     634,   635,   636,   637,   638,     0,     0,   639,   640,   641,
     642,     0,     0,   643,   644,   645,   646,   647,   233,     0,
     648,     0,   649,   650,   651,     0,     0,   652,     0,     0,
     653,   654,   655,   656,   657,   236,   237,   238,   239,   240,
     241,   242,   243,   658,   659,   660,     0,     0,     0,    55,
       0,     0,     0,     0,     0,    58,     0,     0,     0,     0,
       0,   938,   939,    86,    87,    88,   400,    90,    91,    92,
     401,     0,   402,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   403,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   404,   405,     0,     0,     0,   406,   407,     0,
       0,     0,     0,   408,     0,     0,     0,     0,     0,     0,
       0,     0,   409,     0,   410,     0,   411,   412,     0,    35,
     413,     0,     0,     0,     0,     0,     0,    41,   414,   927,
     416,   417,   418,   419,   420,   421,   928,   422,   423,   424,
       0,     0,     0,     0,     0,     0,     0,   425,   426,     0,
     427,     0,   929,   429,   430,     0,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     438,   140,   439,     0,   440,   441,   442,   443,   144,     0,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   458,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   464,   465,   153,   154,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,     0,   486,   487,   488,   162,   489,   490,
     164,     0,   491,     0,   930,   166,   493,     0,   494,     0,
     931,     0,     0,     0,   496,   497,     0,   498,   170,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   512,   513,     0,     0,
     173,     0,   514,   515,   516,     0,   175,     0,   176,     0,
     517,     0,     0,   518,     0,   519,   520,   521,   522,   934,
     524,   525,     0,   180,     0,   526,     0,     0,   527,   528,
     529,     0,     0,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   187,     0,   189,     0,
     935,   544,   545,   546,   547,   548,   549,   190,   550,     0,
     551,   552,     0,   553,     0,   193,   554,   194,   555,   556,
       0,     0,   557,     0,     0,     0,   558,   559,   560,     0,
       0,   195,     0,     0,     0,   199,   561,   562,   563,   564,
     565,   566,     0,   567,   200,   568,   201,   569,   570,   571,
       0,   936,   573,   574,   575,   576,   577,   578,   203,   579,
     580,   581,     0,   582,   937,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,     0,   594,   595,   211,
     596,   597,   598,   599,   600,   601,   602,   603,     0,   604,
     605,   606,   607,     0,   608,   215,   609,   610,     0,   611,
     218,     0,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   220,   622,     0,   623,   624,     0,   625,   626,
     627,   628,   629,     0,   222,   223,     0,     0,   631,   224,
     632,   225,     0,   633,   634,   635,   636,   637,   638,     0,
       0,   639,   640,   641,   642,     0,     0,   643,   644,   645,
     646,   647,   233,     0,   648,     0,   649,   650,   651,     0,
       0,   652,     0,     0,   653,   654,   655,   656,   657,   236,
     237,   238,   239,   240,   241,   242,   243,   658,   659,   660,
       0,     0,     0,    55,     0,     0,     0,     0,     0,    58,
       0,     0,     0,     0,     0,   938,   939,    86,    87,    88,
     400,    90,    91,    92,   401,     0,   402,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   403,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   404,   405,     0,     0,
       0,   406,   407,     0,     0,     0,     0,   408,     0,     0,
       0,     0,     0,     0,     0,     0,   409,     0,   410,     0,
     411,   412,     0,    35,   413,     0,     0,     0,     0,     0,
       0,    41,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,     0,     0,     0,     0,
       0,   425,   426,     0,   427,     0,   428,   429,   430,     0,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   438,   140,   439,     0,   440,   441,
     442,   443,   144,     0,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,     0,   456,
     457,   458,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   464,   465,   153,   154,
     466,   682,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,     0,   486,   487,
     488,   162,   489,   490,   164,     0,   491,     0,   492,   166,
     493,     0,   494,     0,   495,     0,     0,     0,   496,   497,
       0,   498,   170,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     512,   513,     0,     0,   173,     0,   514,   515,   516,     0,
     175,     0,   176,     0,   517,     0,     0,   518,     0,   519,
     520,   521,   522,   523,   524,   525,     0,   180,     0,   526,
       0,     0,   527,   528,   529,     0,     0,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     187,     0,   189,     0,   543,   544,   545,   546,   547,   548,
     549,   190,   550,     0,   551,   552,     0,   553,     0,   193,
     554,   194,   555,   556,     0,     0,   557,     0,     0,     0,
     558,   559,   560,     0,     0,   195,     0,     0,     0,   199,
     561,   562,   563,   564,   565,   566,     0,   567,   200,   568,
     201,   569,   570,   571,     0,   572,   573,   574,   575,   576,
     577,   578,   203,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
       0,   594,   595,   211,   596,   597,   598,   599,   600,   601,
     602,   603,     0,   604,   605,   606,   607,     0,   608,   215,
     609,   610,     0,   611,   218,     0,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   220,   622,     0,   623,
     624,     0,   625,   626,   627,   628,   629,     0,   222,   223,
    1444,     0,   631,   224,   632,   225,     0,   633,   634,   635,
     636,   637,   638,     0,     0,   639,   640,   641,   642,     0,
       0,   643,   644,   645,   646,   647,   233,     0,   648,     0,
     649,   650,   651,     0,     0,   652,     0,     0,   653,   654,
     655,   656,   657,   236,   237,   238,   239,   240,   241,   242,
     243,   658,   659,   660,     0,     0,     0,    55,     0,     0,
       0,     0,     0,     0,     0,  1445,    86,    87,    88,   400,
      90,    91,    92,   401,     0,   402,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   403,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   404,   405,     0,     0,     0,
     406,   407,     0,     0,     0,     0,   408,     0,     0,     0,
       0,     0,     0,     0,     0,   409,     0,   410,     0,   411,
     412,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,   424,     0,     0,     0,     0,     0,     0,     0,
     425,   426,     0,   427,     0,   428,   429,   430,     0,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   438,   140,   439,     0,   440,   441,   442,
     443,   144,     0,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,     0,   456,   457,
     458,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   464,   465,   153,   154,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,     0,   486,   487,   488,
     162,   489,   490,   164,     0,   491,     0,   492,   166,   493,
       0,   494,     0,   495,     0,     0,     0,   496,   497,     0,
     498,   170,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   512,
     513,     0,     0,   173,     0,   514,   515,   516,     0,   175,
       0,   176,     0,   517,     0,     0,   518,     0,   519,   520,
     521,   522,   523,   524,   525,     0,   180,     0,   526,     0,
       0,   527,   528,   529,     0,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   187,
       0,   189,     0,   543,   544,   545,   546,   547,   548,   549,
     190,   550,     0,   551,   552,     0,   553,     0,   193,   554,
     194,   555,   556,     0,     0,   557,     0,     0,     0,   558,
     559,   560,     0,     0,   195,     0,     0,     0,   199,   561,
     562,   563,   564,   565,   566,     0,   567,   200,   568,   201,
     569,   570,   571,     0,   572,   573,   574,   575,   576,   577,
     578,   203,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,     0,
     594,   595,   211,   596,   597,   598,   599,   600,   601,   602,
     603,     0,   604,   605,   606,   607,     0,   608,   215,   609,
     610,     0,   611,   218,     0,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   220,   622,     0,   623,   624,
       0,   625,   626,   627,   628,   629,     0,   222,   223,     0,
       0,   631,   224,   632,   225,     0,   633,   634,   635,   636,
     637,   638,     0,     0,   639,   640,   641,   642,     0,     0,
     643,   644,   645,   646,   647,   233,     0,   648,     0,   649,
     650,   651,     0,     0,   652,     0,     0,   653,   654,   655,
     656,   657,   236,   237,   238,   239,   240,   241,   242,   243,
     658,   659,   660,     0,     0,     0,    55,     0,     0,     0,
       0,     0,     0,  1403,    86,    87,    88,   400,    90,    91,
      92,   401,     0,   402,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   403,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   404,   405,     0,     0,     0,   406,   407,
       0,     0,     0,     0,   408,     0,     0,     0,     0,     0,
       0,     0,     0,   409,     0,   410,     0,   411,   412,     0,
      35,     0,     0,     0,    37,    38,    39,    40,    41,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
     424,     0,     0,     0,     0,     0,     0,     0,   425,   426,
       0,   427,     0,   428,   429,   430,     0,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   438,   140,   439,     0,   440,   441,   442,   443,   144,
       0,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   458,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   464,   465,   153,   154,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,     0,   486,   487,   488,   162,   489,
     490,   164,     0,   491,     0,   492,   166,   493,     0,   494,
       0,   495,     0,     0,     0,   496,   497,     0,   498,   170,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   512,   513,     0,
       0,   173,     0,   514,   515,   516,     0,   175,     0,   176,
       0,   517,     0,     0,   518,     0,   519,   520,   521,   522,
     523,   524,   525,     0,   180,     0,   526,     0,     0,   527,
     528,   529,     0,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   187,     0,   189,
       0,   543,   544,   545,   546,   547,   548,   549,   190,   550,
       0,   551,   552,     0,   553,     0,   193,   554,   194,   555,
     556,     0,     0,   557,     0,     0,     0,   558,   559,   560,
       0,     0,   195,     0,     0,     0,   199,   561,   562,   563,
     564,   565,   566,     0,   567,   200,   568,   201,   569,   570,
     571,     0,   572,   573,   574,   575,   576,   577,   578,   203,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,     0,   594,   595,
     211,   596,   597,   598,   599,   600,   601,   602,   603,     0,
     604,   605,   606,   607,     0,   608,   215,   609,   610,     0,
     611,   218,     0,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   220,   622,     0,   623,   624,     0,   625,
     626,   627,   628,   629,     0,   222,   223,     0,     0,   631,
     224,   632,   225,     0,   633,   634,   635,   636,   637,   638,
       0,     0,   639,   640,   641,   642,     0,     0,   643,   644,
     645,   646,   647,   233,     0,   648,     0,   649,   650,   651,
       0,     0,   652,     0,     0,   653,   654,   655,   656,   657,
     236,   237,   238,   239,   240,   241,   242,   243,   658,   659,
     660,     0,     0,     0,    55,    56,    57,  1400,  4197,     0,
      58,    86,    87,    88,   400,    90,    91,    92,   401,     0,
     402,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   403,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     404,   405,     0,     0,     0,   406,   407,     0,     0,     0,
       0,   408,     0,     0,     0,     0,     0,     0,     0,     0,
     409,     0,   410,     0,   411,   412,     0,    35,   413,     0,
       0,    37,    38,    39,    40,    41,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
       0,     0,     0,     0,     0,   425,   426,     0,   427,     0,
     428,   429,   430,     0,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   438,   140,
     439,     0,   440,   441,   442,   443,   144,     0,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,     0,   456,   457,   458,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     464,   465,   153,   154,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,     0,   486,   487,   488,   162,   489,   490,   164,     0,
     491,     0,   492,   166,   493,     0,   494,     0,   495,     0,
       0,     0,   496,   497,     0,   498,   170,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   512,   513,     0,     0,   173,     0,
     514,   515,   516,     0,   175,     0,   176,     0,   517,     0,
       0,   518,     0,   519,   520,   521,   522,   523,   524,   525,
       0,   180,     0,   526,     0,     0,   527,   528,   529,     0,
       0,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   187,     0,   189,     0,   543,   544,
     545,   546,   547,   548,   549,   190,   550,     0,   551,   552,
       0,   553,     0,   193,   554,   194,   555,   556,     0,     0,
     557,     0,     0,     0,   558,   559,   560,     0,     0,   195,
       0,     0,     0,   199,   561,   562,   563,   564,   565,   566,
       0,   567,   200,   568,   201,   569,   570,   571,     0,   572,
     573,   574,   575,   576,   577,   578,   203,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,     0,   594,   595,   211,   596,   597,
     598,   599,   600,   601,   602,   603,     0,   604,   605,   606,
     607,     0,   608,   215,   609,   610,     0,   611,   218,     0,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     220,   622,     0,   623,   624,     0,   625,   626,   627,   628,
     629,     0,   222,   223,   630,     0,   631,   224,   632,   225,
       0,   633,   634,   635,   636,   637,   638,     0,     0,   639,
     640,   641,   642,     0,     0,   643,   644,   645,   646,   647,
     233,     0,   648,     0,   649,   650,   651,     0,     0,   652,
       0,     0,   653,   654,   655,   656,   657,   236,   237,   238,
     239,   240,   241,   242,   243,   658,   659,   660,     0,     0,
       0,    55,     0,    57,    86,    87,    88,   400,    90,    91,
      92,   401,     0,   402,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   403,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   404,   405,     0,     0,     0,   406,   407,
       0,     0,     0,     0,   408,     0,     0,     0,     0,     0,
       0,     0,     0,   409,     0,   410,     0,   411,   412,     0,
      35,   413,     0,     0,    37,    38,    39,    40,    41,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
     424,     0,     0,     0,     0,     0,     0,     0,   425,   426,
       0,   427,     0,   428,   429,   430,     0,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   438,   140,   439,     0,   440,   441,   442,   443,   144,
       0,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   458,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   464,   465,   153,   154,   466,  1089,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,     0,   486,   487,   488,   162,   489,
     490,   164,     0,   491,     0,   492,   166,   493,     0,   494,
       0,   495,     0,     0,     0,   496,   497,     0,   498,   170,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   512,   513,     0,
       0,   173,     0,   514,   515,   516,     0,   175,     0,   176,
       0,   517,     0,     0,   518,     0,   519,   520,   521,   522,
     523,   524,   525,     0,   180,     0,   526,     0,     0,   527,
     528,   529,     0,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   187,     0,   189,
       0,   543,   544,   545,   546,   547,   548,   549,   190,   550,
       0,   551,   552,     0,   553,     0,   193,   554,   194,   555,
     556,     0,     0,   557,     0,     0,     0,   558,   559,   560,
       0,     0,   195,     0,     0,     0,   199,   561,   562,   563,
     564,   565,   566,     0,   567,   200,   568,   201,   569,   570,
     571,     0,   572,   573,   574,   575,   576,   577,   578,   203,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,     0,   594,   595,
     211,   596,   597,   598,   599,   600,   601,   602,   603,     0,
     604,   605,   606,   607,     0,   608,   215,   609,   610,     0,
     611,   218,     0,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   220,   622,     0,   623,   624,     0,   625,
     626,   627,   628,   629,     0,   222,   223,     0,     0,   631,
     224,   632,   225,     0,   633,   634,   635,   636,   637,   638,
       0,     0,   639,   640,   641,   642,     0,     0,   643,   644,
     645,   646,   647,   233,     0,   648,     0,   649,   650,   651,
       0,     0,   652,     0,     0,   653,   654,   655,   656,   657,
     236,   237,   238,   239,   240,   241,   242,   243,   658,   659,
     660,     0,     0,     0,    55,     0,    57,    86,    87,    88,
     400,    90,    91,    92,   401,     0,   402,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   403,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   404,   405,     0,     0,
       0,   406,   407,     0,     0,     0,     0,   408,     0,     0,
       0,     0,     0,     0,     0,     0,   409,     0,   410,     0,
     411,   412,     0,    35,   413,     0,     0,    37,    38,    39,
      40,    41,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,     0,     0,     0,     0,
       0,   425,   426,     0,   427,     0,   428,   429,   430,     0,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   438,   140,   439,     0,   440,   441,
     442,   443,   144,     0,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,     0,   456,
     457,   458,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   464,   465,   153,   154,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,     0,   486,   487,
     488,   162,   489,   490,   164,     0,   491,     0,   492,   166,
     493,     0,   494,     0,   495,     0,     0,     0,   496,   497,
       0,   498,   170,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     512,   513,     0,     0,   173,     0,   514,   515,   516,     0,
     175,     0,   176,     0,   517,     0,     0,   518,     0,   519,
     520,   521,   522,   523,   524,   525,     0,   180,     0,   526,
       0,     0,   527,   528,   529,     0,     0,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     187,     0,   189,     0,   543,   544,   545,   546,   547,   548,
     549,   190,   550,     0,   551,   552,     0,   553,     0,   193,
     554,   194,   555,   556,     0,     0,   557,     0,     0,     0,
     558,   559,   560,     0,     0,   195,     0,     0,     0,   199,
     561,   562,   563,   564,   565,   566,     0,   567,   200,   568,
     201,   569,   570,   571,     0,   572,   573,   574,   575,   576,
     577,   578,   203,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
       0,   594,   595,   211,   596,   597,   598,   599,   600,   601,
     602,   603,     0,   604,   605,   606,   607,     0,   608,   215,
     609,   610,     0,   611,   218,     0,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   220,   622,     0,   623,
     624,     0,   625,   626,   627,   628,   629,     0,   222,   223,
       0,     0,   631,   224,   632,   225,     0,   633,   634,   635,
     636,   637,   638,     0,     0,   639,   640,   641,   642,     0,
       0,   643,   644,   645,   646,   647,   233,     0,   648,     0,
     649,   650,   651,     0,     0,   652,     0,     0,   653,   654,
     655,   656,   657,   236,   237,   238,   239,   240,   241,   242,
     243,   658,   659,   660,     0,     0,     0,    55,     0,    57,
      86,    87,    88,   400,    90,    91,    92,   401,     0,   402,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   403,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   404,
     405,     0,     0,     0,   406,   407,     0,     0,     0,     0,
     408,     0,     0,     0,     0,     0,     0,     0,     0,   409,
       0,   410,     0,   411,   412,     0,    35,     0,     0,     0,
      37,    38,    39,    40,    41,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,   424,     0,     0,     0,
       0,     0,     0,     0,   425,   426,     0,   427,     0,   428,
     429,   430,     0,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   438,   140,   439,
       0,   440,   441,   442,   443,   144,     0,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,     0,   456,   457,   458,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   464,
     465,   153,   154,   466,  2038,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
       0,   486,   487,   488,   162,   489,   490,   164,     0,   491,
       0,   492,   166,   493,     0,   494,     0,   495,     0,     0,
       0,   496,   497,     0,   498,   170,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   512,   513,     0,     0,   173,     0,   514,
     515,   516,     0,   175,     0,   176,     0,   517,     0,     0,
     518,     0,   519,   520,   521,   522,   523,   524,   525,     0,
     180,     0,   526,     0,     0,   527,   528,   529,     0,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   187,     0,   189,     0,   543,   544,   545,
     546,   547,   548,   549,   190,   550,     0,   551,   552,     0,
     553,     0,   193,   554,   194,   555,   556,     0,     0,   557,
       0,     0,     0,   558,   559,   560,     0,     0,   195,     0,
       0,     0,   199,   561,   562,   563,   564,   565,   566,     0,
     567,   200,   568,   201,   569,   570,   571,     0,   572,   573,
     574,   575,   576,   577,   578,   203,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,     0,   594,   595,   211,   596,   597,   598,
     599,   600,   601,   602,   603,     0,   604,   605,   606,   607,
       0,   608,   215,   609,   610,     0,   611,   218,     0,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   220,
     622,     0,   623,   624,     0,   625,   626,   627,   628,   629,
       0,   222,   223,     0,     0,   631,   224,   632,   225,     0,
     633,   634,   635,   636,   637,   638,     0,     0,   639,   640,
     641,   642,     0,     0,   643,   644,   645,   646,   647,   233,
       0,   648,     0,   649,   650,   651,     0,     0,   652,     0,
       0,   653,   654,   655,   656,   657,   236,   237,   238,   239,
     240,   241,   242,   243,   658,   659,   660,     0,     0,     0,
      55,     0,    57,    86,    87,    88,   400,    90,    91,    92,
     401,     0,   402,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   403,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   404,   405,     0,     0,     0,   406,   407,     0,
       0,     0,     0,   408,     0,     0,     0,     0,     0,     0,
       0,     0,   409,     0,   410,     0,   411,   412,     0,    35,
       0,     0,     0,    37,    38,    39,    40,    41,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,   424,
       0,     0,     0,     0,     0,     0,     0,   425,   426,     0,
     427,     0,   428,   429,   430,     0,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     438,   140,   439,     0,   440,   441,   442,   443,   144,     0,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   458,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   464,   465,   153,   154,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,     0,   486,   487,   488,   162,   489,   490,
     164,     0,   491,     0,   492,   166,   493,     0,   494,     0,
     495,     0,     0,     0,   496,   497,     0,   498,   170,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   512,   513,     0,     0,
     173,     0,   514,   515,   516,     0,   175,     0,   176,     0,
     517,     0,     0,   518,     0,   519,   520,   521,   522,   523,
     524,   525,     0,   180,     0,   526,     0,     0,   527,   528,
     529,     0,     0,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   187,     0,   189,     0,
     543,   544,   545,   546,   547,   548,   549,   190,   550,     0,
     551,   552,     0,   553,     0,   193,   554,   194,   555,   556,
       0,     0,   557,     0,     0,     0,   558,   559,   560,     0,
       0,   195,     0,     0,     0,   199,   561,   562,   563,   564,
     565,   566,     0,   567,   200,   568,   201,   569,   570,   571,
       0,   572,   573,   574,   575,   576,   577,   578,   203,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,     0,   594,   595,   211,
     596,   597,   598,   599,   600,   601,   602,   603,     0,   604,
     605,   606,   607,     0,   608,   215,   609,   610,     0,   611,
     218,     0,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   220,   622,     0,   623,   624,     0,   625,   626,
     627,   628,   629,     0,   222,   223,     0,     0,   631,   224,
     632,   225,     0,   633,   634,   635,   636,   637,   638,     0,
       0,   639,   640,   641,   642,     0,     0,   643,   644,   645,
     646,   647,   233,     0,   648,     0,   649,   650,   651,     0,
       0,   652,     0,     0,   653,   654,   655,   656,   657,   236,
     237,   238,   239,   240,   241,   242,   243,   658,   659,   660,
       0,     0,     0,    55,     0,    57,    86,    87,    88,   400,
      90,    91,    92,   401,     0,   402,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   403,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   404,   405,     0,     0,     0,
     406,   407,     0,     0,     0,     0,   408,     0,     0,     0,
       0,     0,     0,     0,     0,   409,     0,   410,     0,   411,
     412,     0,    35,     0,     0,     0,    37,    38,    39,    40,
      41,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,   424,     0,     0,     0,     0,     0,     0,     0,
     425,   426,     0,   427,     0,   428,   429,   430,     0,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   438,   140,   439,     0,   440,   441,   442,
     443,   144,     0,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,     0,   456,   457,
     458,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   464,   465,   153,   154,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,     0,   486,   487,   488,
     162,   489,   490,   164,     0,   491,     0,   492,   166,   493,
       0,   494,     0,   495,     0,     0,     0,   496,   497,     0,
     498,   170,     0,   499,     0,   500,   501,   502,   503,  1839,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   512,
     513,     0,     0,   173,     0,   514,   515,   516,     0,   175,
       0,   176,     0,   517,     0,     0,   518,     0,   519,   520,
     521,   522,   523,   524,   525,     0,   180,     0,   526,     0,
       0,   527,   528,   529,     0,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   187,
       0,   189,     0,   543,   544,   545,   546,   547,   548,   549,
     190,   550,     0,   551,   552,     0,   553,     0,   193,   554,
     194,   555,   556,     0,     0,   557,     0,     0,     0,   558,
     559,   560,     0,     0,   195,     0,     0,     0,   199,   561,
     562,   563,   564,   565,   566,     0,   567,   200,   568,   201,
     569,   570,   571,     0,   572,   573,   574,   575,   576,   577,
     578,   203,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,     0,
     594,   595,   211,   596,   597,   598,   599,   600,   601,   602,
     603,     0,   604,   605,   606,   607,     0,   608,   215,   609,
     610,     0,   611,   218,     0,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   220,   622,     0,   623,   624,
       0,   625,   626,   627,   628,   629,     0,   222,   223,     0,
       0,   631,   224,   632,   225,     0,   633,   634,   635,   636,
     637,   638,     0,     0,   639,   640,   641,   642,     0,     0,
     643,   644,   645,   646,   647,   233,     0,   648,     0,   649,
     650,   651,     0,     0,   652,     0,     0,   653,   654,   655,
     656,   657,   236,   237,   238,   239,   240,   241,   242,   243,
     658,   659,   660,     0,     0,     0,    55,   997,    57,    86,
      87,    88,   400,    90,    91,    92,   401,   998,   402,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   403,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   404,   405,
       0,     0,     0,   406,   407,     0,     0,     0,     0,   408,
       0,     0,     0,     0,     0,     0,     0,     0,   409,     0,
     410,     0,   411,   412,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,   424,     0,     0,     0,     0,
       0,     0,     0,   425,   426,     0,   427,     0,   428,   429,
     430,     0,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   999,   437,   974,   140,   439,     0,
     440,   441,   442,   443,   144,     0,     0,   444,   445,   446,
     447,   448,  1000,     0,  1001,   451,   452,   453,   454,   455,
       0,   456,   457,   458,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   464,   465,
     153,   154,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,     0,
     486,   487,   488,   162,   489,   490,   164,     0,   491,     0,
     492,   166,   493,     0,   494,     0,   495,     0,     0,     0,
     496,   497,     0,   498,   170,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   512,   513,     0,     0,   173,     0,   514,   515,
     516,     0,   175,     0,   176,     0,   517,     0,     0,   518,
       0,   519,   520,   521,   522,   523,   524,   525,     0,   180,
       0,   526,     0,     0,   527,   528,  1002,     0,     0,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,  1003,   187,     0,   189,     0,   543,   544,   545,   546,
     547,   548,   549,   190,   550,     0,   551,   552,     0,   553,
       0,   193,   554,   194,   555,   556,     0,     0,   557,     0,
       0,     0,   558,   559,   560,     0,     0,   195,     0,     0,
       0,   199,   561,   562,   563,   564,   565,   566,     0,   567,
     200,   568,   201,   569,   570,   571,     0,   572,   573,   574,
     575,   576,   577,   578,   203,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,     0,  1004,   595,   211,   596,   597,   598,  1005,
     600,   601,   602,   603,     0,   604,   605,   606,  1006,     0,
     608,   215,   609,   610,     0,   611,   218,     0,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   220,   622,
       0,   623,   624,     0,   625,   626,   627,   628,   629,     0,
    1007,   223,     0,     0,  1008,   224,   632,   225,     0,   633,
     634,   635,   636,   637,   638,     0,     0,   639,   640,   641,
     642,     0,     0,   643,   644,   645,   646,   978,   233,     0,
     648,     0,   649,   650,   651,     0,     0,   652,     0,     0,
     653,   654,   655,   656,  1009,   236,   237,   238,   239,   240,
     241,   242,   243,   658,   659,   660,     0,     0,     0,    55,
     694,    86,    87,    88,   400,    90,    91,    92,   401,     0,
     402,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     695,   104,   105,   403,   696,     0,   107,   108,   109,   110,
     697,   698,   112,   113,   114,   115,     0,   116,   699,   700,
     404,   405,     0,     0,     0,   406,   407,     0,     0,     0,
       0,   408,     0,     0,     0,     0,     0,     0,     0,     0,
     409,     0,   410,     0,   411,   412,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,   414,   415,   416,   417,
     418,   419,   420,   421,   701,   422,   423,   424,   702,   703,
     704,   705,   706,   707,   708,   425,   426,   709,   427,   133,
     428,   429,   430,   135,   136,   137,   138,   139,   710,   431,
     432,   433,   434,   435,   711,   712,   436,   437,   713,   140,
     439,   714,   440,   441,   442,   443,   144,   715,   716,   444,
     445,   446,   447,   448,   717,   718,   450,   451,   452,   453,
     454,   455,   719,   456,   457,   458,   149,   459,   720,   721,
     722,   723,   150,   724,   725,   726,   460,   461,   462,   463,
     464,   465,   153,   154,   466,   727,   467,   728,   468,   469,
     470,   471,   472,   729,   473,   474,   475,   730,   731,   476,
     477,   478,   479,   480,   732,   481,   482,   483,   733,   484,
     485,   734,   486,   487,   488,   162,   489,   490,   164,   735,
     491,   736,   492,   166,   493,   737,   494,   738,   495,   167,
     739,   168,   496,   497,   740,   498,   170,   741,   499,   742,
     500,   501,   502,   503,   504,   171,   505,   506,   507,   743,
     508,   509,   510,   511,   512,   513,   744,   172,   173,   745,
     514,   515,   516,   746,   175,   747,   176,   748,   517,   177,
     178,   518,   179,   519,   520,   521,   522,   523,   524,   525,
     749,   180,   181,   526,   182,   750,   527,   528,   529,   751,
     752,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   187,   188,   189,   753,   543,   544,
     545,   546,   547,   548,   549,   190,   550,   754,   551,   552,
     192,   553,   755,   193,   554,   194,   555,   556,   756,   757,
     557,   758,   759,   760,   558,   559,   560,   761,   762,   195,
     196,   197,   198,   199,   561,   562,   563,   564,   565,   566,
     763,   567,   200,   568,   201,   569,   570,   571,   764,   572,
     573,   574,   575,   576,   577,   578,   203,   579,   580,   581,
     765,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   766,   592,   593,   209,   594,   595,   211,   596,   597,
     598,   599,   600,   601,   602,   603,   767,   604,   605,   606,
     607,   768,   608,   215,   609,   610,   217,   611,   218,   769,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     220,   622,   770,   623,   624,   771,   625,   626,   627,   628,
     629,   772,   222,   223,   773,   774,   631,   224,   632,   225,
     775,   633,   634,   635,   636,   637,   638,   776,   777,   639,
     640,   641,   642,   778,   779,   643,   644,   645,   646,   780,
     233,   781,   648,   234,   649,   650,   651,   782,   783,   652,
     784,   785,   653,   654,   655,   656,   657,   236,   237,   238,
     239,   240,   241,   242,   243,   658,   659,   660,     0,     0,
       0,    55,   694,    86,    87,    88,   400,    90,    91,    92,
     401,     0,   402,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   695,   104,   105,   403,   696,     0,   107,   108,
     109,   110,   697,   698,   112,   113,   114,   115,     0,   116,
     699,   700,   404,   405,     0,     0,     0,   406,   407,     0,
       0,     0,     0,   408,     0,     0,     0,     0,     0,     0,
       0,     0,   409,     0,   410,     0,   411,   412,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,   414,   415,
     416,   417,  2830,   419,   420,   421,   701,   422,   423,   424,
     702,   703,   704,   705,   706,   707,   708,   425,   426,   709,
     427,   133,   428,   429,   430,   135,   136,   137,   138,   139,
     710,   431,   432,   433,   434,   435,   711,   712,   436,   437,
     713,   140,   439,   714,   440,   441,   442,   443,   144,   715,
     716,   444,   445,   446,   447,   448,   717,   718,   450,   451,
     452,   453,   454,   455,   719,   456,   457,   458,   149,   459,
     720,   721,   722,   723,   150,   724,   725,   726,   460,   461,
     462,   463,   464,   465,   153,   154,   466,   727,   467,   728,
     468,   469,   470,   471,   472,   729,   473,   474,   475,   730,
     731,   476,   477,   478,  2831,   480,   732,   481,   482,   483,
     733,   484,   485,   734,   486,   487,   488,   162,   489,   490,
     164,   735,   491,   736,   492,   166,   493,   737,   494,   738,
     495,   167,   739,   168,   496,   497,   740,   498,   170,   741,
     499,   742,   500,   501,   502,   503,   504,   171,   505,   506,
     507,   743,   508,   509,   510,   511,   512,   513,   744,   172,
     173,   745,   514,   515,   516,   746,   175,   747,   176,   748,
     517,   177,   178,   518,   179,   519,   520,   521,   522,   523,
     524,   525,   749,   180,   181,   526,   182,   750,   527,   528,
     529,   751,   752,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   187,   188,   189,   753,
     543,   544,   545,   546,   547,   548,   549,   190,   550,   754,
     551,   552,   192,   553,   755,   193,   554,   194,   555,   556,
     756,   757,   557,   758,   759,   760,   558,   559,   560,   761,
     762,   195,   196,   197,   198,   199,   561,   562,   563,   564,
     565,   566,   763,   567,   200,   568,   201,   569,   570,   571,
     764,   572,   573,   574,   575,   576,   577,   578,   203,   579,
     580,   581,   765,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   766,   592,   593,   209,   594,   595,   211,
     596,   597,   598,   599,   600,   601,   602,   603,   767,   604,
     605,   606,   607,   768,  2832,   215,   609,   610,   217,   611,
     218,   769,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   220,   622,   770,   623,   624,   771,   625,   626,
     627,   628,   629,   772,   222,   223,   773,   774,   631,   224,
     632,   225,   775,   633,   634,   635,   636,   637,   638,   776,
     777,   639,   640,   641,   642,   778,   779,   643,   644,   645,
     646,   780,   233,   781,   648,   234,   649,   650,   651,   782,
     783,   652,   784,   785,   653,   654,   655,   656,   657,   236,
     237,   238,   239,   240,   241,   242,   243,   658,   659,   660,
       0,     0,     0,    55,   694,    86,    87,    88,   400,    90,
      91,    92,   401,     0,   402,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   695,   104,   105,   403,   696,     0,
     107,   108,   109,   110,   697,   698,   112,   113,   114,   115,
       0,   116,   699,   700,   404,   405,     0,     0,     0,   406,
     407,     0,     0,     0,     0,   408,     0,     0,     0,     0,
       0,     0,     0,     0,   409,     0,   410,     0,   411,   412,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,     0,     0,     0,     0,     0,   425,
     426,     0,   427,   133,   428,   429,   430,   135,   136,   137,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   438,   140,   439,     0,   440,   441,   442,   443,
     144,     0,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,     0,   456,   457,   458,
     149,   459,     0,     0,     0,     0,   150,     0,     0,     0,
     460,   461,   462,   463,   464,   465,   153,   154,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,     0,   486,   487,   488,   162,
     489,   490,   164,     0,   491,     0,   492,   166,   493,     0,
     494,     0,   495,   167,     0,   168,   496,   497,     0,   498,
     170,     0,   499,     0,   500,   501,   502,   503,   504,   171,
     505,   506,   507,     0,   508,   509,   510,   511,   512,   513,
       0,   172,   173,     0,   514,   515,   516,     0,   175,     0,
     176,     0,   517,   177,   178,   518,   179,   519,   520,   521,
     522,   523,   524,   525,     0,   180,   181,   526,   182,     0,
     527,   528,   529,     0,     0,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   187,   188,
     189,  1018,   543,   544,   545,   546,   547,   548,   549,   190,
     550,     0,   551,   552,   192,   553,     0,   193,   554,   194,
     555,   556,     0,     0,   557,  1019,     0,     0,   558,   559,
     560,     0,     0,   195,   196,   197,   198,   199,   561,   562,
     563,   564,   565,   566,     0,   567,   200,   568,   201,   569,
     570,   571,     0,   572,   573,   574,   575,   576,   577,   578,
     203,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   209,   594,
     595,   211,   596,   597,   598,   599,   600,   601,   602,   603,
       0,   604,   605,   606,   607,     0,   608,   215,   609,   610,
     217,   611,   218,     0,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   220,   622,     0,   623,   624,     0,
     625,   626,   627,   628,   629,     0,   222,   223,     0,     0,
     631,   224,   632,   225,     0,   633,   634,   635,   636,   637,
     638,     0,     0,   639,   640,   641,   642,     0,     0,   643,
     644,   645,   646,   647,   233,     0,   648,   234,   649,   650,
     651,     0,     0,   652,     0,     0,   653,   654,   655,   656,
     657,   236,   237,   238,   239,   240,   241,   242,   243,   658,
     659,   660,     0,     0,     0,    55,   694,    86,    87,    88,
     400,    90,    91,    92,   401,     0,   402,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   695,   104,   105,   403,
     696,     0,   107,   108,   109,   110,   697,   698,   112,   113,
     114,   115,     0,   116,   699,   700,   404,   405,     0,     0,
       0,   406,   407,     0,     0,     0,     0,   408,     0,     0,
       0,     0,     0,     0,     0,     0,   409,     0,   410,     0,
     411,   412,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,     0,     0,     0,     0,
       0,   425,   426,     0,   427,   133,   428,   429,   430,   135,
     136,   137,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   438,   140,   439,     0,   440,   441,
     442,   443,   144,     0,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,     0,   456,
     457,   458,   149,   459,     0,     0,     0,     0,   150,     0,
       0,     0,   460,   461,   462,   463,   464,   465,   153,   154,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,     0,   486,   487,
     488,   162,   489,   490,   164,     0,   491,     0,   492,   166,
     493,     0,   494,     0,   495,   167,     0,   168,   496,   497,
       0,   498,   170,     0,   499,     0,   500,   501,   502,   503,
    1243,   171,   505,   506,   507,     0,   508,   509,   510,   511,
     512,   513,     0,   172,   173,     0,   514,   515,   516,     0,
     175,     0,   176,     0,   517,   177,   178,   518,   179,   519,
     520,   521,   522,   523,   524,   525,     0,   180,   181,   526,
     182,     0,   527,   528,   529,     0,     0,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     187,   188,   189,  1018,   543,   544,   545,   546,   547,   548,
     549,   190,   550,     0,   551,   552,   192,   553,     0,   193,
     554,   194,   555,   556,     0,     0,   557,  1019,     0,     0,
     558,   559,   560,     0,     0,   195,   196,   197,   198,   199,
     561,   562,   563,   564,   565,   566,     0,   567,   200,   568,
     201,   569,   570,   571,     0,   572,   573,   574,   575,   576,
     577,   578,   203,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     209,   594,   595,   211,   596,   597,   598,   599,   600,   601,
     602,   603,     0,   604,   605,   606,   607,     0,   608,   215,
     609,   610,   217,   611,   218,     0,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   220,   622,     0,   623,
     624,     0,   625,   626,   627,   628,   629,     0,   222,   223,
       0,     0,   631,   224,   632,   225,     0,   633,   634,   635,
     636,   637,   638,     0,     0,   639,   640,   641,   642,     0,
       0,   643,   644,   645,   646,   647,   233,     0,   648,   234,
     649,   650,   651,     0,     0,   652,     0,     0,   653,   654,
     655,   656,   657,   236,   237,   238,   239,   240,   241,   242,
     243,   658,   659,   660,     0,     0,     0,    55,   694,    86,
      87,    88,   400,    90,    91,    92,   401,     0,   402,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   695,   104,
     105,   403,   696,     0,   107,   108,   109,   110,   697,   698,
     112,   113,   114,   115,     0,   116,   699,   700,   404,   405,
       0,     0,     0,   406,   407,     0,     0,     0,     0,   408,
       0,     0,     0,     0,     0,     0,     0,     0,   409,     0,
     410,     0,   411,   412,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,   424,     0,     0,     0,     0,
       0,     0,     0,   425,   426,     0,   427,   133,   428,   429,
     430,   135,   136,   137,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   438,   140,   439,     0,
     440,   441,   442,   443,   144,     0,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
       0,   456,   457,   458,   149,   459,     0,     0,     0,     0,
     150,     0,     0,     0,   460,   461,   462,   463,   464,   465,
     153,   154,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,     0,
     486,   487,   488,   162,   489,   490,   164,     0,   491,     0,
     492,   166,   493,     0,   494,     0,   495,   167,     0,   168,
     496,   497,     0,   498,   170,     0,   499,     0,   500,   501,
     502,   503,  1251,   171,   505,   506,   507,     0,   508,   509,
     510,   511,   512,   513,     0,   172,   173,     0,   514,   515,
     516,     0,   175,     0,   176,     0,   517,   177,   178,   518,
     179,   519,   520,   521,   522,   523,   524,   525,     0,   180,
     181,   526,   182,     0,   527,   528,   529,     0,     0,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   187,   188,   189,  1018,   543,   544,   545,   546,
     547,   548,   549,   190,   550,     0,   551,   552,   192,   553,
       0,   193,   554,   194,   555,   556,     0,     0,   557,  1019,
       0,     0,   558,   559,   560,     0,     0,   195,   196,   197,
     198,   199,   561,   562,   563,   564,   565,   566,     0,   567,
     200,   568,   201,   569,   570,   571,     0,   572,   573,   574,
     575,   576,   577,   578,   203,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   209,   594,   595,   211,   596,   597,   598,   599,
     600,   601,   602,   603,     0,   604,   605,   606,   607,     0,
     608,   215,   609,   610,   217,   611,   218,     0,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   220,   622,
       0,   623,   624,     0,   625,   626,   627,   628,   629,     0,
     222,   223,     0,     0,   631,   224,   632,   225,     0,   633,
     634,   635,   636,   637,   638,     0,     0,   639,   640,   641,
     642,     0,     0,   643,   644,   645,   646,   647,   233,     0,
     648,   234,   649,   650,   651,     0,     0,   652,     0,     0,
     653,   654,   655,   656,   657,   236,   237,   238,   239,   240,
     241,   242,   243,   658,   659,   660,     0,     0,     0,    55,
     694,    86,    87,    88,   400,    90,    91,    92,   401,     0,
     402,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     695,   104,   105,   403,   696,     0,   107,   108,   109,   110,
     697,   698,   112,   113,   114,   115,     0,   116,   699,   700,
     404,   405,     0,     0,     0,   406,   407,     0,     0,     0,
       0,   408,     0,     0,     0,     0,     0,     0,     0,     0,
     409,     0,   410,     0,   411,   412,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
       0,     0,     0,     0,     0,   425,   426,     0,   427,   133,
     428,   429,   430,   135,  1715,   137,  1716,  1717,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,  1718,  1719,
     439,     0,   440,   441,   442,   443,     0,     0,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,     0,   456,   457,   458,   149,   459,     0,     0,
       0,     0,   150,     0,     0,     0,   460,   461,   462,   463,
     464,   465,  1720,  1721,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1359,   479,   480,     0,   481,   482,   483,     0,   484,
     485,     0,   486,   487,   488,     0,   489,   490,     0,     0,
     491,     0,   492,  1722,   493,     0,   494,     0,   495,   167,
       0,   168,   496,   497,     0,   498,     0,     0,   499,     0,
     500,   501,   502,   503,   504,   171,   505,   506,   507,  2206,
     508,   509,   510,   511,   512,   513,     0,   172,  2207,     0,
     514,   515,   516,  1365,  1723,     0,  1724,     0,   517,   177,
     178,   518,   179,   519,   520,   521,   522,   523,   524,   525,
       0,     0,   181,   526,   182,     0,   527,   528,   529,     0,
       0,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,  1725,   188,  1726,     0,   543,   544,
     545,   546,   547,   548,   549,     0,   550,     0,   551,   552,
     192,   553,     0,     0,   554,  1727,   555,   556,     0,     0,
     557,     0,     0,     0,   558,   559,   560,     0,     0,  2208,
     196,   197,   198,     0,   561,   562,   563,   564,   565,   566,
       0,   567,     0,   568,     0,   569,   570,   571,     0,   572,
     573,   574,   575,   576,   577,   578,  1728,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   209,   594,   595,     0,   596,   597,
     598,   599,   600,   601,   602,   603,     0,   604,   605,   606,
     607,     0,   608,  2209,   609,   610,   217,   611,  1730,     0,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
       0,   622,     0,   623,   624,     0,   625,   626,   627,   628,
     629,     0,  1731,  1732,     0,     0,   631,     0,   632,     0,
       0,   633,   634,   635,   636,   637,   638,     0,     0,   639,
     640,   641,   642,     0,     0,   643,   644,   645,   646,     0,
    1733,  2210,   648,   234,   649,   650,   651,     0,     0,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,     0,
       0,     0,     0,     0,     0,   658,   659,   660,     0,     0,
       0,    55,   694,    86,    87,    88,   400,    90,    91,    92,
     401,     0,   402,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   695,   104,   105,   403,   696,     0,   107,   108,
     109,   110,   697,   698,   112,   113,   114,   115,     0,   116,
     699,   700,   404,   405,     0,     0,     0,   406,   407,     0,
       0,     0,     0,   408,     0,     0,     0,     0,     0,     0,
       0,     0,   409,     0,   410,     0,   411,   412,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,   424,
       0,     0,     0,     0,     0,     0,     0,   425,   426,     0,
     427,   133,   428,   429,   430,   135,  1715,   137,  1716,  1717,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
    1718,  1719,   439,     0,   440,   441,   442,   443,     0,     0,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   458,   149,   459,
       0,     0,     0,     0,   150,     0,     0,     0,   460,   461,
     462,   463,   464,   465,  1720,  1721,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1359,   479,   480,     0,   481,   482,   483,
       0,   484,   485,     0,   486,   487,   488,     0,   489,   490,
       0,     0,   491,     0,   492,  1722,   493,     0,   494,     0,
     495,   167,     0,   168,   496,   497,     0,   498,     0,     0,
     499,     0,   500,   501,   502,   503,   504,   171,   505,   506,
     507,     0,   508,   509,   510,   511,   512,   513,     0,   172,
       0,     0,   514,   515,   516,  1365,  1723,     0,  1724,     0,
     517,   177,   178,   518,   179,   519,   520,   521,   522,   523,
     524,   525,     0,     0,   181,   526,   182,     0,   527,   528,
     529,     0,     0,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,  1725,   188,  1726,     0,
     543,   544,   545,   546,   547,   548,   549,     0,   550,     0,
     551,   552,   192,   553,  2198,     0,   554,  1727,   555,   556,
       0,     0,   557,     0,     0,     0,   558,   559,   560,     0,
       0,     0,   196,   197,   198,     0,   561,   562,   563,   564,
     565,   566,     0,   567,     0,   568,     0,   569,   570,   571,
       0,   572,   573,   574,   575,   576,   577,   578,  1728,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   209,   594,   595,     0,
     596,   597,   598,   599,   600,   601,   602,   603,     0,   604,
     605,   606,   607,     0,   608,  2209,   609,   610,   217,   611,
    1730,     0,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,  3422,   625,   626,
     627,   628,   629,     0,  1731,  1732,     0,     0,   631,     0,
     632,     0,     0,   633,   634,   635,   636,   637,   638,     0,
       0,   639,   640,   641,   642,     0,     0,   643,   644,   645,
     646,     0,  1733,     0,   648,   234,   649,   650,   651,     0,
       0,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,     0,     0,     0,     0,     0,     0,   658,   659,   660,
       0,     0,     0,    55,   694,    86,    87,    88,   400,    90,
      91,    92,   401,     0,   402,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   695,   104,   105,   403,   696,     0,
     107,   108,   109,   110,   697,   698,   112,   113,   114,   115,
       0,   116,   699,   700,   404,   405,     0,     0,     0,   406,
     407,     0,     0,     0,     0,   408,     0,     0,     0,     0,
       0,     0,     0,     0,   409,     0,   410,     0,   411,   412,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,     0,     0,     0,     0,     0,   425,
     426,     0,   427,   133,   428,   429,   430,   135,  1715,   137,
    1716,  1717,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,  1718,  1719,   439,     0,   440,   441,   442,   443,
       0,     0,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,     0,   456,   457,   458,
     149,   459,     0,     0,     0,     0,   150,     0,     0,     0,
     460,   461,   462,   463,   464,   465,  1720,  1721,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1359,   479,   480,     0,   481,
     482,   483,     0,   484,   485,     0,   486,   487,   488,     0,
     489,   490,     0,     0,   491,     0,   492,  1722,   493,     0,
     494,     0,   495,   167,     0,   168,   496,   497,     0,   498,
       0,     0,   499,     0,   500,   501,   502,   503,   504,   171,
     505,   506,   507,     0,   508,   509,   510,   511,   512,   513,
       0,   172,     0,     0,   514,   515,   516,  1365,  1723,     0,
    1724,     0,   517,   177,   178,   518,   179,   519,   520,   521,
     522,   523,   524,   525,     0,     0,   181,   526,   182,     0,
     527,   528,   529,     0,     0,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,  1725,   188,
    1726,     0,   543,   544,   545,   546,   547,   548,   549,  2247,
     550,     0,   551,   552,   192,   553,     0,     0,   554,  1727,
     555,   556,     0,     0,   557,     0,     0,     0,   558,   559,
     560,     0,     0,     0,   196,   197,   198,     0,   561,   562,
     563,   564,   565,   566,     0,   567,     0,   568,     0,   569,
     570,   571,     0,   572,   573,   574,   575,   576,   577,   578,
    1728,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   209,   594,
     595,     0,   596,   597,   598,   599,   600,   601,   602,   603,
       0,   604,   605,   606,   607,     0,   608,  1729,   609,   610,
     217,   611,  1730,     0,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,     0,   622,     0,   623,   624,     0,
     625,   626,   627,   628,   629,     0,  1731,  1732,     0,     0,
     631,     0,   632,     0,     0,   633,   634,   635,   636,   637,
     638,     0,     0,   639,   640,   641,   642,     0,     0,   643,
     644,   645,   646,     0,  1733,     0,   648,   234,   649,   650,
     651,     0,     0,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,     0,     0,     0,     0,     0,     0,   658,
     659,   660,     0,     0,     0,    55,   694,    86,    87,    88,
     400,    90,    91,    92,   401,     0,   402,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   695,   104,   105,   403,
     696,     0,   107,   108,   109,   110,   697,   698,   112,   113,
     114,   115,     0,   116,   699,   700,   404,   405,     0,     0,
       0,   406,   407,     0,     0,     0,     0,   408,     0,     0,
       0,     0,     0,     0,     0,     0,   409,     0,   410,     0,
     411,   412,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,     0,     0,     0,     0,
       0,   425,   426,     0,   427,   133,   428,   429,   430,   135,
    1715,   137,  1716,  1717,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,  1718,  1719,   439,     0,   440,   441,
     442,   443,     0,     0,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,     0,   456,
     457,   458,   149,   459,     0,     0,     0,     0,   150,     0,
       0,     0,   460,   461,   462,   463,   464,   465,  1720,  1721,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1359,   479,   480,
       0,   481,   482,   483,     0,   484,   485,     0,   486,   487,
     488,     0,   489,   490,     0,     0,   491,     0,   492,  1722,
     493,     0,   494,     0,   495,   167,     0,   168,   496,   497,
       0,   498,     0,     0,   499,     0,   500,   501,   502,   503,
     504,   171,   505,   506,   507,     0,   508,   509,   510,   511,
     512,   513,     0,   172,     0,     0,   514,   515,   516,  1365,
    1723,     0,  1724,     0,   517,   177,   178,   518,   179,   519,
     520,   521,   522,   523,   524,   525,     0,     0,   181,   526,
     182,     0,   527,   528,   529,     0,     0,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
    1725,   188,  1726,     0,   543,   544,   545,   546,   547,   548,
     549,  3272,   550,     0,   551,   552,   192,   553,     0,     0,
     554,  1727,   555,   556,     0,     0,   557,     0,     0,     0,
     558,   559,   560,     0,     0,     0,   196,   197,   198,     0,
     561,   562,   563,   564,   565,   566,     0,   567,     0,   568,
       0,   569,   570,   571,     0,   572,   573,   574,   575,   576,
     577,   578,  1728,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     209,   594,   595,     0,   596,   597,   598,   599,   600,   601,
     602,   603,     0,   604,   605,   606,   607,     0,   608,  1729,
     609,   610,   217,   611,  1730,     0,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,     0,   622,     0,   623,
     624,     0,   625,   626,   627,   628,   629,     0,  1731,  1732,
       0,     0,   631,     0,   632,     0,     0,   633,   634,   635,
     636,   637,   638,     0,     0,   639,   640,   641,   642,     0,
       0,   643,   644,   645,   646,     0,  1733,     0,   648,   234,
     649,   650,   651,     0,     0,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,     0,     0,     0,     0,     0,
       0,   658,   659,   660,     0,     0,     0,    55,   694,    86,
      87,    88,   400,    90,    91,    92,   401,     0,   402,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   695,   104,
     105,   403,   696,     0,   107,   108,   109,   110,   697,   698,
     112,   113,   114,   115,     0,   116,   699,   700,   404,   405,
       0,     0,     0,   406,   407,     0,     0,     0,     0,   408,
       0,     0,     0,     0,     0,     0,     0,     0,   409,     0,
     410,     0,   411,   412,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,   424,     0,     0,     0,     0,
       0,     0,     0,   425,   426,     0,   427,   133,   428,   429,
     430,   135,  1715,   137,  1716,  1717,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,  1718,  1719,   439,     0,
     440,   441,   442,   443,     0,     0,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
       0,   456,   457,   458,   149,   459,     0,     0,     0,     0,
     150,     0,     0,     0,   460,   461,   462,   463,   464,   465,
    1720,  1721,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1359,
     479,   480,     0,   481,   482,   483,     0,   484,   485,     0,
     486,   487,   488,     0,   489,   490,     0,     0,   491,     0,
     492,  1722,   493,     0,   494,     0,   495,   167,     0,   168,
     496,   497,     0,   498,     0,     0,   499,     0,   500,   501,
     502,   503,   504,   171,   505,   506,   507,     0,   508,   509,
     510,   511,   512,   513,     0,   172,     0,     0,   514,   515,
     516,  1365,  1723,     0,  1724,     0,   517,   177,   178,   518,
     179,   519,   520,   521,   522,   523,   524,   525,     0,     0,
     181,   526,   182,     0,   527,   528,   529,     0,     0,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,  1725,   188,  1726,     0,   543,   544,   545,   546,
     547,   548,   549,     0,   550,     0,   551,   552,   192,   553,
       0,     0,   554,  1727,   555,   556,     0,     0,   557,     0,
       0,     0,   558,   559,   560,     0,     0,     0,   196,   197,
     198,     0,   561,   562,   563,   564,   565,   566,     0,   567,
       0,   568,     0,   569,   570,   571,     0,   572,   573,   574,
     575,   576,   577,   578,  1728,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   209,   594,   595,     0,   596,   597,   598,   599,
     600,   601,   602,   603,     0,   604,   605,   606,   607,     0,
     608,  1729,   609,   610,   217,   611,  1730,     0,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,     0,   622,
       0,   623,   624,     0,   625,   626,   627,   628,   629,     0,
    1731,  1732,     0,     0,   631,     0,   632,     0,     0,   633,
     634,   635,   636,   637,   638,     0,     0,   639,   640,   641,
     642,     0,     0,   643,   644,   645,   646,     0,  1733,     0,
     648,   234,   649,   650,   651,     0,     0,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,     0,     0,     0,
       0,     0,     0,   658,   659,   660,     0,     0,     0,    55,
     694,    86,    87,    88,   400,    90,    91,    92,   401,     0,
     402,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     695,   104,   105,   403,   696,     0,   107,   108,   109,   110,
     697,   698,   112,   113,   114,   115,     0,   116,   699,   700,
     404,   405,     0,     0,     0,   406,   407,     0,     0,     0,
       0,   408,     0,     0,     0,     0,     0,     0,     0,     0,
     409,     0,   410,     0,   411,   412,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
       0,     0,     0,     0,     0,   425,   426,     0,   427,   133,
     428,   429,   430,   135,  1715,   137,  1716,  1717,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,  1718,  1719,
     439,     0,   440,   441,   442,   443,     0,     0,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,     0,   456,   457,   458,   149,   459,     0,     0,
       0,     0,   150,     0,     0,     0,   460,   461,   462,   463,
     464,   465,  1720,  1721,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1359,   479,   480,     0,   481,   482,   483,     0,   484,
     485,     0,   486,   487,   488,     0,   489,   490,     0,     0,
     491,     0,   492,  1722,   493,     0,   494,     0,   495,   167,
       0,   168,   496,   497,     0,   498,     0,     0,   499,     0,
     500,   501,   502,   503,   504,   171,   505,   506,   507,     0,
     508,   509,   510,   511,   512,   513,     0,   172,     0,     0,
     514,   515,   516,  1365,  1723,     0,  1724,     0,   517,   177,
     178,   518,   179,   519,   520,   521,   522,   523,   524,   525,
       0,     0,   181,   526,   182,     0,   527,   528,   529,     0,
       0,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,  1725,   188,  1726,     0,   543,   544,
     545,   546,   547,   548,   549,     0,   550,     0,   551,   552,
     192,   553,     0,     0,   554,  1727,   555,   556,     0,     0,
     557,     0,     0,     0,   558,   559,   560,     0,     0,     0,
     196,   197,   198,     0,   561,   562,   563,   564,   565,   566,
       0,   567,     0,   568,     0,   569,   570,   571,     0,   572,
     573,   574,   575,   576,   577,   578,  1728,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   209,   594,   595,     0,   596,   597,
     598,   599,   600,   601,   602,   603,     0,   604,   605,   606,
     607,     0,   608,  2209,   609,   610,   217,   611,  1730,     0,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
       0,   622,     0,   623,   624,     0,   625,   626,   627,   628,
     629,     0,  1731,  1732,     0,     0,   631,     0,   632,     0,
       0,   633,   634,   635,   636,   637,   638,     0,     0,   639,
     640,   641,   642,     0,     0,   643,   644,   645,   646,     0,
    1733,     0,   648,   234,   649,   650,   651,     0,     0,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,     0,
       0,     0,     0,     0,     0,   658,   659,   660,     0,     0,
       0,    55,   694,    86,    87,    88,   400,    90,    91,    92,
     401,     0,   402,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   695,   104,   105,   403,   696,     0,   107,   108,
     109,   110,   697,   698,   112,   113,   114,   115,     0,   116,
     699,   700,   404,   405,     0,     0,     0,   406,   407,     0,
       0,     0,     0,   408,     0,     0,     0,     0,     0,     0,
       0,     0,   409,     0,   410,     0,   411,   412,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,   424,
       0,     0,     0,     0,     0,     0,     0,   425,   426,     0,
     427,   133,   428,   429,   430,   135,  1715,   137,  1716,  1717,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
    1718,  1719,   439,     0,   440,   441,   442,   443,     0,     0,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   458,   149,   459,
       0,     0,     0,     0,   150,     0,     0,     0,   460,   461,
     462,   463,   464,   465,  1720,  1721,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1359,   479,   480,     0,   481,   482,   483,
       0,   484,   485,     0,   486,   487,   488,     0,   489,   490,
       0,     0,   491,     0,   492,  1722,   493,     0,   494,     0,
     495,   167,     0,   168,   496,   497,     0,   498,     0,     0,
     499,     0,   500,   501,   502,   503,   504,   171,   505,   506,
     507,     0,   508,   509,   510,   511,   512,   513,     0,   172,
       0,     0,   514,   515,   516,  1365,  1723,     0,  1724,     0,
     517,   177,   178,   518,   179,   519,   520,   521,   522,   523,
     524,   525,     0,     0,   181,   526,   182,     0,   527,   528,
     529,     0,     0,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,  1725,   188,  1726,     0,
     543,   544,   545,   546,   547,   548,   549,     0,   550,     0,
     551,   552,   192,   553,     0,     0,   554,  1727,   555,   556,
       0,     0,   557,     0,     0,     0,   558,   559,   560,     0,
       0,     0,   196,   197,   198,     0,   561,   562,   563,   564,
     565,   566,     0,   567,     0,   568,     0,   569,   570,   571,
       0,   572,   573,   574,   575,   576,   577,   578,  1728,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   209,   594,   595,     0,
     596,   597,   598,   599,   600,   601,   602,   603,     0,   604,
     605,   606,   607,     0,   608,     0,   609,   610,   217,   611,
    1730,     0,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,     0,   625,   626,
     627,   628,   629,     0,  1731,  1732,     0,     0,   631,     0,
     632,     0,     0,   633,   634,   635,   636,   637,   638,     0,
       0,   639,   640,   641,   642,     0,     0,   643,   644,   645,
     646,     0,  1733,     0,   648,   234,   649,   650,   651,     0,
       0,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,     0,     0,     0,     0,     0,     0,   658,   659,   660,
       0,     0,     0,    55,   694,    86,    87,    88,   400,    90,
      91,    92,   401,     0,   402,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   695,   104,   105,   403,   696,     0,
     107,   108,   109,   110,   697,   698,   112,   113,   114,   115,
       0,   116,   699,   700,   404,   405,     0,     0,     0,   406,
     407,     0,     0,     0,     0,   408,     0,     0,     0,     0,
       0,     0,     0,     0,   409,     0,   410,     0,   411,   412,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,     0,     0,     0,     0,     0,   425,
     426,     0,   427,   133,   428,   429,   430,   135,     0,   137,
       0,     0,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,     0,     0,   439,     0,   440,   441,   442,   443,
       0,     0,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,     0,   456,   457,   458,
     149,   459,     0,     0,     0,     0,   150,     0,     0,     0,
     460,   461,   462,   463,   464,   465,     0,     0,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,     0,   486,   487,   488,     0,
     489,   490,     0,     0,   491,     0,   492,     0,   493,     0,
     494,     0,   495,   167,     0,   168,   496,   497,     0,   498,
       0,     0,   499,     0,   500,   501,   502,   503,   504,   171,
     505,   506,   507,     0,   508,   509,   510,   511,   512,   513,
       0,   172,     0,     0,   514,   515,   516,     0,     0,     0,
       0,     0,   517,   177,   178,   518,   179,   519,   520,   521,
     522,   523,   524,   525,     0,     0,   181,   526,   182,     0,
     527,   528,   529,     0,     0,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,     0,   188,
       0,     0,   543,   544,   545,   546,   547,   548,   549,     0,
     550,     0,   551,   552,   192,   553,     0,     0,   554,     0,
     555,   556,     0,     0,   557,     0,     0,     0,   558,   559,
     560,     0,     0,     0,   196,   197,   198,     0,   561,   562,
     563,   564,   565,   566,     0,   567,     0,   568,     0,   569,
     570,   571,     0,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   209,   594,
     595,     0,   596,   597,   598,   599,   600,   601,   602,   603,
       0,   604,   605,   606,   607,     0,   608,     0,   609,   610,
     217,   611,     0,     0,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,     0,   622,     0,   623,   624,     0,
     625,   626,   627,   628,   629,     0,     0,     0,     0,     0,
     631,     0,   632,     0,     0,   633,   634,   635,   636,   637,
     638,     0,     0,   639,   640,   641,   642,     0,     0,   643,
     644,   645,   646,     0,     0,     0,   648,   234,   649,   650,
     651,     0,     0,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,     0,     0,     0,     0,     0,     0,   658,
     659,   660,     0,     0,     0,    55,    86,    87,    88,   400,
      90,    91,    92,   401,     0,   402,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   403,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   404,   405,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,   414,   415,   416,   417,   418,   419,   420,   421,   701,
     422,   423,   424,   702,   703,   704,   705,   706,   707,   708,
     425,   426,   709,   427,   133,   428,   429,   430,   135,   136,
     137,   138,   139,   710,   431,   432,   433,   434,   435,   711,
     712,   436,   437,     0,   140,   439,   714,   440,   441,   442,
     443,   144,   715,   716,   444,   445,   446,   447,   448,   717,
     718,   450,   451,   452,   453,   454,   455,   719,   456,   457,
     458,   149,   459,     0,   721,   722,   723,   150,   724,   725,
     726,   460,   461,   462,   463,     0,   465,   153,   154,   466,
     727,   467,   728,   468,   469,   470,   471,   472,   729,   473,
     474,   475,   730,   731,   476,   477,   478,   479,   480,   732,
     481,   482,   483,   733,   484,   485,   734,   486,   487,   488,
     162,   489,   490,   164,   735,   491,   736,   492,   166,   493,
     737,   494,   738,   495,   167,   739,   168,   496,   497,   740,
     498,   170,   741,   499,   742,   500,   501,     0,   503,   504,
     171,   505,   506,   507,   743,   508,   509,   510,   511,   512,
     513,   744,   172,   173,     0,   514,   515,   516,     0,   175,
     747,   176,   748,   517,   177,   178,   518,   179,   519,   520,
     521,   522,   523,   524,   525,   749,   180,   181,   526,   182,
     750,   527,   528,   529,   751,   752,   530,   531,   532,   533,
     534,   535,     0,   537,   538,     0,   540,   541,   542,   187,
     188,   189,   753,   543,   544,   545,   546,   547,   548,   549,
     190,   550,   754,   551,   552,   192,   553,   755,   193,   554,
     194,   555,   556,   756,   757,   557,   758,   759,   760,   558,
     559,   560,   761,   762,   195,   196,   197,   198,   199,   561,
     562,   563,   564,   565,   566,   763,   567,   200,   568,   201,
     569,   570,   571,   764,   572,   573,   574,   575,   576,   577,
     578,   203,   579,   580,   581,   765,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   766,   592,   593,   209,
     594,   595,   211,   596,   597,   598,   599,   600,   601,     0,
     603,   767,   604,   605,   606,   607,   768,   608,   215,   609,
     610,   217,   611,   218,   769,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   220,   622,   770,   623,   624,
     771,   625,   626,   627,   628,   629,   772,   222,   223,     0,
     774,   631,   224,   632,   225,   775,   633,   634,   635,   636,
     637,   638,     0,   777,   639,   640,   641,   642,   778,   779,
     643,   644,   645,   646,     0,   233,   781,   648,   234,   649,
     650,   651,   782,   783,   652,   784,   785,   653,   654,   655,
     656,   657,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   659,   660,     0,     0,     0,    55,    86,    87,    88,
     400,    90,    91,    92,   401,     0,   402,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   403,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   404,   405,     0,     0,
       0,   406,   407,     0,     0,     0,     0,   408,     0,     0,
       0,     0,     0,     0,     0,     0,   409,     0,   410,     0,
     411,   412,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,     0,     0,     0,     0,
       0,   425,   426,     0,   427,     0,   428,   429,   430,     0,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   438,   140,   439,  2178,   440,   441,
     442,   443,   144,     0,     0,   444,   445,   446,   447,   448,
     449,  2179,   450,   451,   452,   453,   454,   455,     0,   456,
     457,   458,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   464,   465,   153,   154,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,     0,   486,   487,
     488,   162,   489,   490,   164,     0,   491,     0,   492,   166,
     493,     0,   494,  2180,   495,     0,     0,     0,   496,   497,
       0,   498,   170,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     512,   513,     0,     0,   173,     0,   514,   515,   516,     0,
     175,     0,   176,     0,   517,     0,     0,   518,     0,   519,
     520,   521,   522,   523,   524,   525,     0,   180,     0,   526,
    2942,     0,   527,   528,   529,     0,     0,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     187,     0,   189,     0,   543,   544,   545,   546,   547,   548,
     549,   190,   550,     0,   551,   552,     0,   553,     0,   193,
     554,   194,   555,   556,     0,     0,   557,     0,     0,     0,
     558,   559,   560,     0,     0,   195,     0,     0,     0,   199,
     561,   562,   563,   564,   565,   566,     0,   567,   200,   568,
     201,   569,   570,   571,  2181,   572,   573,   574,   575,   576,
     577,   578,   203,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
       0,   594,   595,   211,   596,   597,   598,   599,   600,   601,
     602,   603,     0,   604,   605,   606,   607,     0,   608,   215,
     609,   610,     0,   611,   218,     0,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   220,   622,     0,   623,
     624,     0,   625,   626,   627,   628,   629,     0,   222,   223,
       0,     0,   631,   224,   632,   225,     0,   633,   634,   635,
     636,   637,   638,     0,  2182,   639,   640,   641,   642,     0,
       0,   643,   644,   645,   646,   647,   233,     0,   648,     0,
     649,   650,   651,     0,     0,   652,     0,     0,   653,   654,
     655,   656,   657,   236,   237,   238,   239,   240,   241,   242,
     243,   658,   659,   660,     0,     0,     0,    55,    86,    87,
      88,   400,    90,    91,    92,   401,     0,   402,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     403,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   404,   405,     0,
       0,     0,   406,   407,     0,     0,     0,     0,   408,     0,
       0,     0,     0,     0,     0,     0,     0,   409,     0,   410,
       0,   411,   412,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,   414,   415,   416,   417,   418,   987,   420,
     421,   946,   422,   423,   424,     0,     0,     0,     0,     0,
       0,     0,   425,   426,     0,   427,     0,   428,   429,   430,
       0,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   438,   140,   439,     0,   440,
     441,   442,   443,   144,     0,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   947,
     456,   457,   458,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   464,   465,   153,
     154,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,     0,   486,
     487,   488,   162,   489,   490,   164,     0,   491,     0,   492,
     166,   493,     0,   494,     0,   495,     0,     0,     0,   496,
     497,   988,   498,   170,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   512,   513,     0,     0,   173,     0,   514,   515,   516,
       0,   175,     0,   176,     0,   517,     0,     0,   518,     0,
     519,   520,   521,   522,   523,   524,   525,     0,   180,     0,
     526,     0,     0,   527,   528,   529,     0,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   187,     0,   189,     0,   543,   544,   545,   546,   547,
     548,   549,   190,   550,     0,   551,   552,     0,   553,     0,
     193,   554,   194,   555,   556,     0,     0,   557,     0,     0,
       0,   558,   559,   560,     0,     0,   195,     0,     0,     0,
     199,   561,   562,   563,   564,   565,   566,     0,   567,   200,
     568,   201,   569,   570,   571,     0,   572,   573,   574,   575,
     576,   577,   578,   203,   579,   580,   581,   948,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,     0,   594,   595,   211,   596,   597,   598,   599,   600,
     601,   602,   603,   949,   604,   605,   606,   607,     0,   608,
     215,   609,   610,     0,   611,   218,     0,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   220,   622,     0,
     623,   624,     0,   625,   626,   627,   628,   629,     0,   222,
     223,     0,     0,   631,   224,   632,   225,     0,   633,   634,
     635,   636,   637,   638,     0,     0,   639,   640,   641,   642,
       0,     0,   643,   644,   645,   646,   647,   233,     0,   648,
       0,   649,   650,   651,     0,     0,   652,     0,     0,   653,
     654,   655,   656,   657,   236,   237,   238,   239,   240,   241,
     242,   243,   658,   659,   660,     0,     0,     0,    55,    86,
      87,    88,   400,    90,    91,    92,   401,     0,   402,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   403,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   404,   405,
       0,     0,     0,   406,   407,     0,     0,     0,     0,   408,
       0,     0,     0,     0,     0,     0,     0,     0,   409,     0,
     410,     0,   411,   412,     0,    35,   413,     0,     0,     0,
       0,     0,     0,    41,   414,   415,   416,   417,   418,   419,
     420,   421,   680,   422,   423,   424,     0,     0,     0,     0,
       0,     0,     0,   425,   426,     0,   427,     0,   428,   429,
     430,     0,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   438,   140,   439,     0,
     440,   441,   442,   443,   144,     0,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
       0,   456,   457,   458,     0,   459,   681,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   464,   465,
     153,   154,   466,   682,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,     0,
     486,   487,   488,   162,   489,   490,   164,     0,   491,     0,
     492,   166,   493,     0,   494,     0,   495,     0,     0,     0,
     496,   497,     0,   498,   170,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   512,   513,     0,     0,   173,     0,   514,   515,
     516,     0,   175,     0,   176,     0,   517,     0,     0,   518,
       0,   519,   520,   521,   522,   523,   524,   525,     0,   180,
       0,   526,     0,     0,   527,   528,   529,     0,     0,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   187,     0,   189,     0,   543,   544,   545,   546,
     547,   548,   549,   190,   550,     0,   551,   552,     0,   553,
       0,   193,   554,   194,   555,   556,     0,     0,   557,     0,
       0,     0,   558,   559,   560,     0,     0,   195,     0,     0,
       0,   199,   561,   562,   563,   564,   565,   566,     0,   567,
     200,   568,   201,   569,   570,   571,     0,   572,   573,   574,
     575,   576,   577,   578,   203,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,     0,   594,   595,   211,   596,   597,   598,   599,
     600,   601,   602,   603,     0,   604,   605,   606,   607,     0,
     608,   215,   609,   610,     0,   611,   218,     0,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   220,   622,
       0,   623,   624,     0,   625,   626,   627,   628,   629,     0,
     222,   223,     0,     0,   631,   224,   632,   225,     0,   633,
     634,   635,   636,   637,   638,     0,     0,   639,   640,   641,
     642,     0,     0,   643,   644,   645,   646,   647,   233,     0,
     648,     0,   649,   650,   651,     0,     0,   652,     0,     0,
     653,   654,   655,   656,   657,   236,   237,   238,   239,   240,
     241,   242,   243,   658,   659,   660,     0,     0,     0,    55,
      86,    87,    88,   400,    90,    91,    92,   401,     0,   402,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   403,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   404,
     405,     0,     0,     0,   406,   407,     0,     0,     0,     0,
     408,     0,     0,     0,     0,     0,     0,     0,     0,   409,
       0,   410,     0,   411,   412,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,   414,   415,   416,   417,   418,
     419,   420,   421,   946,   422,   423,   424,     0,     0,     0,
       0,     0,     0,     0,   425,   426,     0,   427,     0,   428,
     429,   430,     0,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   438,   140,   439,
       0,   440,   441,   442,   443,   144,     0,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   947,   456,   457,   458,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   464,
     465,   153,   154,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
       0,   486,   487,   488,   162,   489,   490,   164,     0,   491,
       0,   492,   166,   493,     0,   494,     0,   495,     0,     0,
       0,   496,   497,     0,   498,   170,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   512,   513,     0,     0,   173,     0,   514,
     515,   516,     0,   175,     0,   176,     0,   517,     0,     0,
     518,     0,   519,   520,   521,   522,   523,   524,   525,     0,
     180,     0,   526,     0,     0,   527,   528,   529,     0,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   187,     0,   189,     0,   543,   544,   545,
     546,   547,   548,   549,   190,   550,     0,   551,   552,     0,
     553,     0,   193,   554,   194,   555,   556,     0,     0,   557,
       0,     0,     0,   558,   559,   560,     0,     0,   195,     0,
       0,     0,   199,   561,   562,   563,   564,   565,   566,     0,
     567,   200,   568,   201,   569,   570,   571,     0,   572,   573,
     574,   575,   576,   577,   578,   203,   579,   580,   581,   948,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,     0,   594,   595,   211,   596,   597,   598,
     599,   600,   601,   602,   603,   949,   604,   605,   606,   607,
       0,   608,   215,   609,   610,     0,   611,   218,     0,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   220,
     622,     0,   623,   624,     0,   625,   626,   627,   628,   629,
       0,   222,   223,     0,     0,   631,   224,   632,   225,     0,
     633,   634,   635,   636,   637,   638,     0,     0,   639,   640,
     641,   642,     0,     0,   643,   644,   645,   646,   647,   233,
       0,   648,     0,   649,   650,   651,     0,     0,   652,     0,
       0,   653,   654,   655,   656,   657,   236,   237,   238,   239,
     240,   241,   242,   243,   658,   659,   660,     0,     0,     0,
      55,    86,    87,    88,   400,    90,    91,    92,   401,     0,
     402,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   403,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     404,   405,     0,     0,     0,   406,   407,     0,     0,     0,
       0,   408,     0,     0,     0,     0,     0,     0,     0,     0,
     409,     0,   410,     0,   411,   412,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
       0,     0,     0,     0,     0,   425,   426,     0,   427,     0,
     428,   429,   430,     0,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   438,   140,
     439,     0,   440,   441,   442,   443,   144,     0,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,     0,   456,   457,   458,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,  1878,
     464,   465,   153,   154,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,     0,   486,   487,   488,   162,   489,   490,   164,     0,
     491,     0,   492,   166,   493,     0,   494,  1879,   495,     0,
       0,     0,  1880,   497,     0,   498,   170,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   512,   513,     0,     0,   173,     0,
     514,   515,   516,     0,   175,     0,   176,     0,   517,     0,
       0,   518,     0,   519,   520,  1881,   522,   523,   524,   525,
       0,   180,     0,   526,     0,     0,   527,   528,   529,     0,
       0,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   187,     0,   189,  1018,   543,   544,
     545,   546,   547,   548,   549,   190,   550,     0,   551,   552,
       0,   553,     0,   193,   554,   194,   555,   556,     0,     0,
     557,  1019,     0,     0,   558,   559,   560,     0,     0,   195,
       0,     0,     0,   199,   561,   562,   563,   564,   565,   566,
       0,   567,   200,   568,   201,   569,   570,   571,     0,   572,
     573,   574,   575,   576,   577,   578,   203,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,     0,   594,   595,   211,   596,   597,
     598,  1882,   600,   601,   602,   603,     0,  1883,   605,   606,
     607,     0,   608,   215,   609,   610,     0,   611,   218,     0,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     220,   622,     0,   623,   624,  1884,  1885,   626,   627,   628,
     629,     0,   222,   223,     0,     0,   631,   224,   632,   225,
       0,   633,   634,   635,   636,   637,   638,     0,     0,   639,
     640,   641,   642,     0,     0,   643,   644,   645,   646,   647,
     233,     0,   648,     0,   649,   650,   651,     0,     0,   652,
       0,     0,   653,   654,   655,   656,   657,   236,   237,   238,
     239,   240,   241,   242,   243,   658,   659,   660,     0,     0,
       0,    55,    86,    87,    88,   400,    90,    91,    92,   401,
       0,   402,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   403,     0,     0,   107,   108,   109,
     110,     0,     0,  2624,   113,   114,   115,     0,   116,     0,
       0,   404,   405,     0,     0,     0,   406,   407,     0,     0,
       0,     0,   408,     0,     0,     0,     0,     0,     0,     0,
       0,   409,     0,   410,     0,   411,   412,     0,    35,   413,
       0,     0,     0,     0,     0,     0,    41,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,   424,     0,
       0,     0,     0,     0,     0,     0,   425,   426,     0,   427,
       0,   428,   429,   430,     0,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   438,
     140,   439,     0,   440,   441,   442,   443,   144,     0,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   458,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   464,   465,   153,   154,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,     0,   486,   487,   488,   162,   489,   490,   164,
       0,   491,     0,   492,   166,   493,     0,   494,     0,   495,
       0,     0,     0,   496,  2625,     0,   498,   170,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   512,   513,     0,     0,   173,
       0,   514,   515,   516,     0,   175,     0,   176,     0,   517,
       0,     0,   518,     0,   519,   520,   521,   522,   523,   524,
     525,     0,   180,     0,   526,     0,     0,   527,   528,  2626,
       0,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   187,     0,   189,  1018,   543,
     544,   545,   546,   547,   548,   549,   190,   550,     0,   551,
     552,     0,   553,     0,   193,   554,   194,   555,   556,     0,
       0,   557,  1019,     0,     0,   558,   559,   560,     0,     0,
     195,     0,     0,     0,   199,   561,   562,   563,   564,   565,
     566,     0,   567,   200,   568,   201,   569,   570,   571,     0,
     572,   573,   574,   575,   576,   577,   578,   203,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,     0,   594,   595,   211,   596,
     597,   598,   599,   600,   601,   602,   603,     0,   604,   605,
     606,   607,     0,   608,   215,   609,   610,     0,   611,   218,
       0,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   220,   622,     0,   623,   624,  2627,   625,  2628,   627,
    2629,   629,     0,   222,   223,     0,     0,   631,   224,   632,
     225,     0,   633,   634,   635,   636,   637,   638,     0,     0,
     639,   640,   641,   642,     0,     0,   643,   644,   645,   646,
     647,   233,     0,   648,     0,   649,   650,   651,     0,     0,
     652,     0,     0,   653,   654,   655,   656,   657,   236,   237,
     238,   239,   240,   241,   242,   243,   658,   659,   660,     0,
       0,     0,    55,    86,    87,    88,   400,    90,    91,    92,
     401,     0,   402,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   403,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   404,   405,     0,     0,     0,   406,   407,     0,
       0,     0,     0,   408,     0,     0,     0,     0,     0,     0,
       0,     0,   409,     0,   410,     0,   411,   412,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,   424,
     130,   131,     0,     0,     0,     0,     0,   425,   426,     0,
     427,     0,   428,   429,   430,     0,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     438,   140,   439,     0,   440,   441,   442,   443,   144,     0,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   458,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   464,   465,   153,   154,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,     0,   486,   487,   488,   162,   489,   490,
     164,     0,   491,     0,   492,   166,   493,     0,   494,     0,
     495,     0,     0,     0,   496,   497,     0,   498,   170,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   512,   513,     0,     0,
     173,     0,   514,   515,   516,     0,   175,     0,   176,     0,
     517,     0,     0,   518,     0,   519,   520,   521,   522,   523,
     524,   525,     0,   180,     0,   526,     0,     0,   527,   528,
     529,     0,     0,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   187,     0,   189,  1018,
     543,   544,   545,   546,   547,   548,   549,   190,   550,     0,
     551,   552,     0,   553,     0,   193,   554,   194,   555,   556,
       0,     0,   557,  1019,     0,     0,   558,   559,   560,     0,
       0,   195,     0,     0,     0,   199,   561,   562,   563,   564,
     565,   566,     0,   567,   200,   568,   201,   569,   570,   571,
       0,   572,   573,   574,   575,   576,   577,   578,   203,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,     0,   594,   595,   211,
     596,   597,   598,   599,   600,   601,   602,   603,     0,   604,
     605,   606,   607,     0,   608,   215,   609,   610,     0,   611,
     218,     0,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   220,   622,     0,   623,   624,     0,   625,   626,
     627,   628,   629,     0,   222,   223,     0,     0,   631,   224,
     632,   225,     0,   633,   634,   635,   636,   637,   638,     0,
       0,   639,   640,   641,   642,     0,     0,   643,   644,   645,
     646,   647,   233,     0,   648,     0,   649,   650,   651,     0,
       0,   652,     0,     0,   653,   654,   655,   656,   657,   236,
     237,   238,   239,   240,   241,   242,   243,   658,   659,   660,
       0,     0,     0,    55,    86,    87,    88,   400,    90,    91,
      92,   401,   880,   402,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   403,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   404,   405,     0,     0,     0,   406,   407,
       0,     0,     0,     0,   408,     0,     0,     0,     0,     0,
       0,     0,     0,   409,     0,   410,     0,   411,   412,     0,
      35,   413,     0,     0,     0,     0,     0,     0,    41,   414,
     415,   416,   417,   418,   419,   420,   421,   881,   422,   423,
     424,     0,     0,     0,     0,     0,     0,     0,   425,   426,
       0,   427,     0,   428,   429,   430,     0,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   438,   140,   439,     0,   440,   441,   442,   443,   144,
       0,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   458,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   464,   465,   153,   154,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,     0,   486,   487,   488,   162,   489,
     490,   164,     0,   491,     0,   492,   166,   493,     0,   494,
       0,   495,     0,     0,     0,   496,   497,     0,   498,   170,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   512,   513,     0,
       0,   173,     0,   514,   515,   516,     0,   175,     0,   176,
       0,   517,     0,     0,   518,     0,   519,   520,   521,   522,
     523,   524,   525,     0,   180,     0,   526,     0,     0,   527,
     528,   529,     0,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   187,     0,   189,
       0,   543,   544,   545,   546,   547,   548,   549,   190,   550,
       0,   551,   552,     0,   553,     0,   193,   554,   194,   555,
     556,     0,     0,   557,     0,     0,     0,   558,   559,   560,
       0,     0,   195,     0,     0,     0,   199,   561,   562,   563,
     564,   565,   566,     0,   567,   200,   568,   201,   569,   882,
     571,     0,   572,   573,   574,   575,   576,   577,   578,   203,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,     0,   594,   595,
     211,   596,   597,   598,   599,   600,   601,   602,   603,     0,
     604,   605,   606,   607,     0,   608,   215,   609,   610,     0,
     611,   218,     0,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   220,   622,     0,   623,   624,     0,   625,
     626,   627,   628,   629,     0,   222,   223,     0,     0,   631,
     224,   632,   225,     0,   633,   634,   635,   636,   637,   638,
       0,     0,   639,   640,   641,   642,     0,     0,   643,   644,
     645,   646,   647,   233,     0,   648,     0,   649,   650,   651,
       0,     0,   652,     0,     0,   653,   654,   655,   656,   657,
     236,   237,   238,   239,   240,   241,   242,   243,   658,   659,
     660,     0,     0,     0,    55,    86,    87,    88,   400,    90,
      91,    92,   401,     0,   402,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   403,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   404,   405,     0,     0,     0,   406,
     407,     0,     0,     0,     0,   408,     0,     0,     0,     0,
       0,     0,     0,     0,   409,     0,   410,     0,   411,   412,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,     0,     0,     0,     0,     0,   425,
     426,     0,   427,     0,   428,   429,   430,     0,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   438,   140,   439,     0,   440,   441,   442,   443,
     144,     0,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,     0,   456,   457,   458,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   464,   465,   153,   154,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,     0,   486,   487,   488,   162,
     489,   490,   164,     0,   491,     0,   492,   166,   493,     0,
     494,     0,   495,     0,     0,     0,   496,   497,     0,   498,
     170,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   512,   513,
       0,     0,   173,     0,   514,   515,   516,     0,   175,     0,
     176,     0,   517,     0,     0,   518,     0,   519,   520,   521,
     522,   523,   524,   525,     0,   180,     0,   526,     0,     0,
     527,   528,   529,     0,     0,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   187,     0,
     189,  1018,   543,   544,   545,   546,   547,   548,   549,   190,
     550,     0,   551,   552,     0,   553,     0,   193,   554,   194,
     555,   556,     0,     0,   557,  1019,     0,  1020,   558,   559,
     560,     0,     0,   195,     0,     0,     0,   199,   561,   562,
     563,   564,   565,   566,     0,   567,   200,   568,   201,   569,
     570,   571,     0,   572,   573,   574,   575,   576,   577,   578,
     203,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,     0,   594,
     595,   211,   596,   597,   598,   599,   600,   601,   602,   603,
       0,   604,   605,   606,   607,     0,   608,   215,   609,   610,
       0,   611,   218,     0,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   220,   622,     0,   623,   624,     0,
     625,   626,   627,   628,   629,     0,   222,   223,     0,     0,
     631,   224,   632,   225,     0,   633,   634,   635,   636,   637,
     638,     0,     0,   639,   640,   641,   642,     0,     0,   643,
     644,   645,   646,   647,   233,     0,   648,     0,   649,   650,
     651,     0,     0,   652,     0,     0,   653,   654,   655,   656,
     657,   236,   237,   238,   239,   240,   241,   242,   243,   658,
     659,   660,     0,     0,     0,    55,    86,    87,    88,   400,
      90,    91,    92,   401,     0,   402,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   403,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   404,   405,     0,     0,     0,
     406,   407,     0,     0,     0,     0,   408,     0,     0,     0,
       0,     0,     0,     0,     0,   409,     0,   410,     0,   411,
     412,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,   414,   415,   416,   417,   418,   419,   420,   421,  1447,
     422,   423,   424,     0,     0,     0,     0,     0,     0,     0,
     425,   426,     0,   427,     0,   428,   429,   430,     0,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   438,   140,   439,     0,   440,   441,   442,
     443,   144,     0,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,     0,   456,   457,
     458,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   464,   465,   153,   154,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,     0,   486,   487,   488,
     162,   489,   490,   164,     0,   491,     0,   492,   166,   493,
       0,   494,     0,   495,     0,     0,     0,   496,   497,     0,
     498,   170,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   512,
     513,     0,     0,   173,     0,   514,   515,   516,     0,   175,
       0,   176,     0,   517,     0,     0,   518,     0,   519,   520,
     521,   522,   523,   524,   525,     0,   180,     0,   526,     0,
       0,   527,   528,   529,     0,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   187,
       0,   189,  1018,   543,   544,   545,   546,   547,   548,   549,
     190,   550,     0,   551,   552,     0,   553,     0,   193,   554,
     194,   555,   556,     0,     0,   557,  1019,     0,     0,   558,
     559,   560,     0,     0,   195,     0,     0,     0,   199,   561,
     562,   563,   564,   565,   566,     0,   567,   200,   568,   201,
     569,   570,   571,     0,   572,   573,   574,   575,   576,   577,
     578,   203,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,     0,
     594,   595,   211,   596,   597,   598,   599,   600,   601,   602,
     603,     0,   604,   605,   606,   607,     0,   608,   215,   609,
     610,     0,   611,   218,     0,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   220,   622,     0,   623,   624,
       0,   625,   626,   627,   628,   629,     0,   222,   223,     0,
       0,   631,   224,   632,   225,     0,   633,   634,   635,   636,
     637,   638,     0,     0,   639,   640,   641,   642,     0,     0,
     643,   644,   645,   646,   647,   233,     0,   648,     0,   649,
     650,   651,     0,     0,   652,     0,     0,   653,   654,   655,
     656,   657,   236,   237,   238,   239,   240,   241,   242,   243,
     658,   659,   660,     0,     0,     0,    55,    86,    87,    88,
     400,    90,    91,    92,   401,     0,   402,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   403,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   404,   405,     0,     0,
       0,   406,   407,     0,     0,     0,     0,   408,     0,     0,
       0,     0,     0,     0,     0,     0,   409,     0,   410,     0,
     411,   412,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,     0,     0,     0,     0,
       0,   425,   426,     0,   427,     0,   428,   429,   430,     0,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   438,   140,   439,     0,   440,   441,
     442,   443,   144,     0,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   947,   456,
     457,   458,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   464,   465,   153,   154,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,     0,   486,   487,
     488,   162,   489,   490,   164,     0,   491,     0,   492,   166,
     493,     0,   494,     0,   495,     0,     0,     0,   496,   497,
       0,   498,   170,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     512,   513,     0,     0,   173,     0,   514,   515,   516,     0,
     175,     0,   176,     0,   517,     0,     0,   518,     0,   519,
     520,   521,   522,   523,   524,   525,     0,   180,     0,   526,
       0,     0,   527,   528,   529,     0,     0,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     187,     0,   189,     0,   543,   544,   545,   546,   547,   548,
     549,   190,   550,     0,   551,   552,     0,   553,     0,   193,
     554,   194,   555,   556,     0,     0,   557,     0,     0,     0,
     558,   559,   560,     0,     0,   195,     0,     0,     0,   199,
     561,   562,   563,   564,   565,   566,     0,   567,   200,   568,
     201,   569,   570,   571,     0,   572,   573,   574,   575,   576,
     577,   578,   203,   579,   580,   581,   948,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
       0,   594,   595,   211,   596,   597,   598,   599,   600,   601,
     602,   603,   949,   604,   605,   606,   607,     0,   608,   215,
     609,   610,     0,   611,   218,     0,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   220,   622,     0,   623,
     624,     0,   625,   626,   627,   628,   629,     0,   222,   223,
       0,     0,   631,   224,   632,   225,     0,   633,   634,   635,
     636,   637,   638,     0,     0,   639,   640,   641,   642,     0,
       0,   643,   644,   645,   646,   647,   233,     0,   648,     0,
     649,   650,   651,     0,     0,   652,     0,     0,   653,   654,
     655,   656,   657,   236,   237,   238,   239,   240,   241,   242,
     243,   658,   659,   660,     0,     0,     0,    55,    86,    87,
      88,   400,    90,    91,    92,   401,     0,   402,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     403,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   404,   405,     0,
       0,     0,   406,   407,     0,     0,     0,     0,   408,     0,
       0,     0,     0,     0,     0,     0,     0,   409,     0,   410,
       0,   411,   412,     0,    35,   413,     0,     0,     0,     0,
       0,     0,    41,   414,   415,   416,   417,   418,   419,   420,
     421,     0,   422,   423,   424,     0,     0,     0,     0,     0,
       0,     0,   425,   426,     0,   427,     0,   428,   429,   430,
       0,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   438,   140,   439,     0,   440,
     441,   442,   443,   144,     0,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   458,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   464,   465,   153,
     154,   466,   682,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,     0,   486,
     487,   488,   162,   489,   490,   164,     0,   491,     0,   492,
     166,   493,     0,   494,     0,   495,     0,     0,     0,   496,
     497,     0,   498,   170,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   512,   513,     0,     0,   173,     0,   514,   515,   516,
       0,   175,     0,   176,     0,   517,     0,     0,   518,     0,
     519,   520,   521,   522,   523,   524,   525,     0,   180,     0,
     526,     0,     0,   527,   528,   529,     0,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   187,     0,   189,     0,   543,   544,   545,   546,   547,
     548,   549,   190,   550,     0,   551,   552,     0,   553,     0,
     193,   554,   194,   555,   556,     0,     0,   557,     0,     0,
       0,   558,   559,   560,     0,     0,   195,     0,     0,     0,
     199,   561,   562,   563,   564,   565,   566,     0,   567,   200,
     568,   201,   569,   570,   571,     0,   572,   573,   574,   575,
     576,   577,   578,   203,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,     0,   594,   595,   211,   596,   597,   598,   599,   600,
     601,   602,   603,     0,   604,   605,   606,   607,     0,   608,
     215,   609,   610,     0,   611,   218,     0,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   220,   622,     0,
     623,   624,     0,   625,   626,   627,   628,   629,     0,   222,
     223,     0,     0,   631,   224,   632,   225,     0,   633,   634,
     635,   636,   637,   638,     0,     0,   639,   640,   641,   642,
       0,     0,   643,   644,   645,   646,   647,   233,     0,   648,
       0,   649,   650,   651,     0,     0,   652,     0,     0,   653,
     654,   655,   656,   657,   236,   237,   238,   239,   240,   241,
     242,   243,   658,   659,   660,     0,     0,     0,    55,    86,
      87,    88,   400,    90,    91,    92,   401,     0,   402,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   403,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   404,   405,
       0,     0,     0,   406,   407,     0,     0,     0,     0,   408,
       0,     0,     0,     0,     0,     0,     0,     0,   409,     0,
     410,     0,   411,   412,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,   424,     0,     0,     0,     0,
       0,     0,     0,   425,   426,     0,   427,     0,   428,   429,
     430,     0,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   438,   140,   439,     0,
     440,   441,   442,   443,   144,     0,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
       0,   456,   457,   458,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   464,   465,
     153,   154,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,     0,
     486,   487,   488,   162,   489,   490,   164,     0,   491,     0,
     492,   166,   493,     0,   494,     0,   495,     0,     0,     0,
     496,   497,     0,   498,   170,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   512,   513,     0,     0,   173,     0,   514,   515,
     516,     0,   175,     0,   176,     0,   517,     0,     0,   518,
       0,   519,   520,   521,   522,   523,   524,   525,     0,   180,
       0,   526,     0,     0,   527,   528,   529,     0,     0,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   187,     0,   189,  1018,   543,   544,   545,   546,
     547,   548,   549,   190,   550,     0,   551,   552,     0,   553,
       0,   193,   554,   194,   555,   556,     0,     0,   557,  1019,
       0,     0,   558,   559,   560,     0,     0,   195,     0,     0,
       0,   199,   561,   562,   563,   564,   565,   566,     0,   567,
     200,   568,   201,   569,   570,   571,     0,   572,   573,   574,
     575,   576,   577,   578,   203,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,     0,   594,   595,   211,   596,   597,   598,   599,
     600,   601,   602,   603,     0,   604,   605,   606,   607,     0,
     608,   215,   609,   610,     0,   611,   218,     0,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   220,   622,
       0,   623,   624,     0,   625,   626,   627,   628,   629,     0,
     222,   223,     0,     0,   631,   224,   632,   225,     0,   633,
     634,   635,   636,   637,   638,     0,     0,   639,   640,   641,
     642,     0,     0,   643,   644,   645,   646,   647,   233,     0,
     648,     0,   649,   650,   651,     0,     0,   652,     0,     0,
     653,   654,   655,   656,   657,   236,   237,   238,   239,   240,
     241,   242,   243,   658,   659,   660,     0,     0,     0,    55,
      86,    87,    88,   400,    90,    91,    92,   401,     0,   402,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   403,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   404,
     405,     0,     0,     0,   406,   407,     0,     0,     0,     0,
     408,     0,     0,     0,     0,     0,     0,     0,     0,   409,
       0,   410,     0,   411,   412,     0,    35,   413,     0,     0,
       0,     0,     0,     0,    41,   414,   415,   416,   417,   418,
     419,   420,   421,  1238,   422,   423,   424,     0,     0,     0,
       0,     0,     0,     0,   425,   426,     0,   427,     0,   428,
     429,   430,     0,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   438,   140,   439,
       0,   440,   441,   442,   443,   144,     0,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,     0,   456,   457,   458,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   464,
     465,   153,   154,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
       0,   486,   487,   488,   162,   489,   490,   164,     0,   491,
       0,   492,   166,   493,     0,   494,     0,   495,     0,     0,
       0,   496,   497,     0,   498,   170,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   512,   513,     0,     0,   173,     0,   514,
     515,   516,     0,   175,     0,   176,     0,   517,     0,     0,
     518,     0,   519,   520,   521,   522,   523,   524,   525,     0,
     180,     0,   526,     0,     0,   527,   528,   529,     0,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   187,     0,   189,     0,   543,   544,   545,
     546,   547,   548,   549,   190,   550,     0,   551,   552,     0,
     553,     0,   193,   554,   194,   555,   556,     0,     0,   557,
       0,     0,     0,   558,   559,   560,     0,     0,   195,     0,
       0,     0,   199,   561,   562,   563,   564,   565,   566,     0,
     567,   200,   568,   201,   569,   570,   571,     0,   572,   573,
     574,   575,   576,   577,   578,   203,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,     0,   594,   595,   211,   596,   597,   598,
     599,   600,   601,   602,   603,     0,   604,   605,   606,   607,
       0,   608,   215,   609,   610,     0,   611,   218,     0,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   220,
     622,     0,   623,   624,     0,   625,   626,   627,   628,   629,
       0,   222,   223,     0,     0,   631,   224,   632,   225,     0,
     633,   634,   635,   636,   637,   638,     0,     0,   639,   640,
     641,   642,     0,     0,   643,   644,   645,   646,   647,   233,
       0,   648,     0,   649,   650,   651,     0,     0,   652,     0,
       0,   653,   654,   655,   656,   657,   236,   237,   238,   239,
     240,   241,   242,   243,   658,   659,   660,     0,     0,     0,
      55,    86,    87,    88,   400,    90,    91,    92,   401,     0,
     402,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   403,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     404,   405,     0,     0,     0,   406,   407,     0,     0,     0,
       0,   408,     0,     0,     0,     0,     0,     0,     0,     0,
     409,     0,   410,     0,   411,   412,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
       0,     0,     0,     0,     0,   425,   426,     0,   427,     0,
     428,   429,   430,     0,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   438,   140,
     439,     0,   440,   441,   442,   443,   144,     0,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,     0,   456,   457,   458,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     464,   465,   153,   154,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,     0,   486,   487,   488,   162,   489,   490,   164,     0,
     491,     0,   492,   166,   493,     0,   494,     0,   495,     0,
     932,     0,   496,   497,     0,   498,   170,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   933,
     508,   509,   510,   511,   512,   513,     0,     0,   173,     0,
     514,   515,   516,     0,   175,     0,   176,     0,   517,     0,
       0,   518,     0,   519,   520,   521,   522,   523,   524,   525,
       0,   180,     0,   526,     0,     0,   527,   528,   529,     0,
       0,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   187,     0,   189,     0,   543,   544,
     545,   546,   547,   548,   549,   190,   550,     0,   551,   552,
       0,   553,     0,   193,   554,   194,   555,   556,     0,     0,
     557,     0,     0,     0,   558,   559,   560,     0,     0,   195,
       0,     0,     0,   199,   561,   562,   563,   564,   565,   566,
       0,   567,   200,   568,   201,   569,   570,   571,     0,   572,
     573,   574,   575,   576,   577,   578,   203,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,     0,   594,   595,   211,   596,   597,
     598,   599,   600,   601,   602,   603,     0,   604,   605,   606,
     607,     0,   608,   215,   609,   610,     0,   611,   218,     0,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     220,   622,     0,   623,   624,     0,   625,   626,   627,   628,
     629,     0,   222,   223,     0,     0,   631,   224,   632,   225,
       0,   633,   634,   635,   636,   637,   638,     0,     0,   639,
     640,   641,   642,     0,     0,   643,   644,   645,   646,   647,
     233,     0,   648,     0,   649,   650,   651,     0,     0,   652,
       0,     0,   653,   654,   655,   656,   657,   236,   237,   238,
     239,   240,   241,   242,   243,   658,   659,   660,     0,     0,
       0,    55,    86,    87,    88,   400,    90,    91,    92,   401,
       0,   402,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   403,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   404,   405,     0,     0,     0,   406,   407,     0,     0,
       0,     0,   408,     0,     0,     0,     0,     0,     0,     0,
       0,   409,     0,   410,     0,   411,   412,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,   424,     0,
       0,     0,     0,     0,     0,     0,   425,   426,     0,   427,
       0,   428,   429,   430,     0,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   438,
     140,   439,     0,   440,   441,   442,   443,   144,     0,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   458,     0,   459,     0,
       0,     0,     0,     0,     0,     0,  2288,   460,   461,   462,
     463,   464,   465,   153,   154,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,     0,   486,   487,   488,   162,   489,   490,   164,
       0,   491,     0,   492,   166,   493,     0,   494,     0,   495,
       0,     0,     0,   496,   497,     0,   498,   170,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   512,   513,     0,     0,   173,
       0,   514,   515,   516,     0,   175,     0,   176,     0,   517,
       0,     0,   518,     0,   519,   520,   521,   522,   523,   524,
     525,     0,   180,     0,   526,     0,     0,   527,   528,   529,
       0,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   187,     0,   189,     0,   543,
     544,   545,   546,   547,   548,   549,   190,   550,     0,   551,
     552,     0,   553,     0,   193,   554,   194,   555,   556,     0,
       0,   557,     0,     0,     0,   558,   559,   560,     0,     0,
     195,     0,     0,     0,   199,   561,   562,   563,   564,   565,
     566,     0,   567,   200,   568,   201,   569,   570,   571,     0,
     572,   573,   574,   575,   576,   577,   578,   203,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,     0,   594,   595,   211,   596,
     597,   598,   599,   600,   601,   602,   603,     0,   604,   605,
     606,   607,     0,   608,   215,   609,   610,     0,   611,   218,
       0,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   220,   622,     0,   623,   624,     0,   625,   626,   627,
     628,   629,     0,   222,   223,     0,     0,   631,   224,   632,
     225,     0,   633,   634,   635,   636,   637,   638,     0,     0,
     639,   640,   641,   642,  2289,     0,   643,   644,   645,   646,
     647,   233,     0,   648,     0,   649,   650,   651,     0,     0,
     652,     0,     0,   653,   654,   655,   656,   657,   236,   237,
     238,   239,   240,   241,   242,   243,   658,   659,   660,     0,
       0,     0,    55,    86,    87,    88,   400,    90,    91,    92,
     401,     0,   402,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   403,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   404,   405,     0,     0,     0,   406,   407,     0,
       0,     0,     0,   408,     0,     0,     0,     0,     0,     0,
       0,     0,   409,     0,   410,     0,   411,   412,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,   414,   415,
     416,   417,   418,   419,   420,   421,  2767,   422,   423,   424,
       0,     0,     0,     0,     0,     0,     0,   425,   426,     0,
     427,     0,   428,   429,   430,     0,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     438,   140,   439,     0,   440,   441,   442,   443,   144,     0,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   458,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   464,   465,   153,   154,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,     0,   486,   487,   488,   162,   489,   490,
     164,     0,   491,     0,   492,   166,   493,     0,   494,     0,
     495,     0,     0,     0,   496,   497,     0,   498,   170,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   512,   513,     0,     0,
     173,     0,   514,   515,   516,     0,   175,     0,   176,     0,
     517,     0,     0,   518,     0,   519,   520,   521,   522,   523,
     524,   525,     0,   180,     0,   526,     0,     0,   527,   528,
     529,     0,     0,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   187,     0,   189,     0,
     543,   544,   545,   546,   547,   548,   549,   190,   550,     0,
     551,   552,     0,   553,     0,   193,   554,   194,   555,   556,
       0,     0,   557,     0,     0,     0,   558,   559,   560,     0,
       0,   195,     0,     0,     0,   199,   561,   562,   563,   564,
     565,   566,     0,   567,   200,   568,   201,   569,   570,   571,
       0,   572,   573,   574,   575,   576,   577,   578,   203,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,     0,   594,   595,   211,
     596,   597,   598,   599,   600,   601,   602,   603,     0,   604,
     605,   606,   607,     0,   608,   215,   609,   610,     0,   611,
     218,     0,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   220,   622,     0,   623,   624,     0,   625,   626,
     627,   628,   629,     0,   222,   223,     0,     0,   631,   224,
     632,   225,     0,   633,   634,   635,   636,   637,   638,     0,
       0,   639,   640,   641,   642,  2768,     0,   643,   644,   645,
     646,   647,   233,     0,   648,     0,   649,   650,   651,     0,
       0,   652,     0,     0,   653,   654,   655,   656,   657,   236,
     237,   238,   239,   240,   241,   242,   243,   658,   659,   660,
       0,     0,     0,    55,    86,    87,    88,   400,    90,    91,
      92,   401,     0,   402,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   403,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   404,   405,     0,     0,     0,   406,   407,
       0,     0,     0,     0,   408,     0,     0,     0,     0,     0,
       0,     0,     0,   409,     0,   410,     0,   411,   412,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,   414,
     415,   416,   417,   418,   419,   420,   421,  2777,   422,   423,
     424,     0,     0,     0,     0,     0,     0,     0,   425,   426,
       0,   427,     0,   428,   429,   430,     0,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   438,   140,   439,     0,   440,   441,   442,   443,   144,
       0,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   458,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   464,   465,   153,   154,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,     0,   486,   487,   488,   162,   489,
     490,   164,     0,   491,     0,   492,   166,   493,     0,   494,
       0,   495,     0,     0,     0,   496,   497,     0,   498,   170,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   512,   513,     0,
       0,   173,     0,   514,   515,   516,     0,   175,     0,   176,
       0,   517,     0,     0,   518,     0,   519,   520,   521,   522,
     523,   524,   525,     0,   180,     0,   526,     0,     0,   527,
     528,   529,     0,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   187,     0,   189,
       0,   543,   544,   545,   546,   547,   548,   549,   190,   550,
       0,   551,   552,     0,   553,     0,   193,   554,   194,   555,
     556,     0,     0,   557,     0,     0,     0,   558,   559,   560,
       0,     0,   195,     0,     0,     0,   199,   561,   562,   563,
     564,   565,   566,     0,   567,   200,   568,   201,   569,   570,
     571,     0,   572,   573,   574,   575,   576,   577,   578,   203,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,     0,   594,   595,
     211,   596,   597,   598,   599,   600,   601,   602,   603,     0,
     604,   605,   606,   607,     0,   608,   215,   609,   610,     0,
     611,   218,     0,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   220,   622,     0,   623,   624,     0,   625,
     626,   627,   628,   629,     0,   222,   223,     0,     0,   631,
     224,   632,   225,     0,   633,   634,   635,   636,   637,   638,
       0,     0,   639,   640,   641,   642,  2778,     0,   643,   644,
     645,   646,   647,   233,     0,   648,     0,   649,   650,   651,
       0,     0,   652,     0,     0,   653,   654,   655,   656,   657,
     236,   237,   238,   239,   240,   241,   242,   243,   658,   659,
     660,     0,     0,     0,    55,    86,    87,    88,   400,    90,
      91,    92,   401,     0,   402,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   403,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   404,   405,     0,     0,     0,   406,
     407,     0,     0,     0,     0,   408,     0,     0,     0,     0,
       0,     0,     0,     0,   409,     0,   410,     0,   411,   412,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
     414,   415,   416,   417,   418,   419,   420,   421,   689,   422,
     423,   424,     0,     0,     0,     0,     0,     0,     0,   425,
     426,     0,   427,     0,   428,   429,   430,     0,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   438,   140,   439,     0,   440,   441,   442,   443,
     144,     0,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,     0,   456,   457,   458,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   464,   465,   153,   154,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,     0,   486,   487,   488,   162,
     489,   490,   164,     0,   491,     0,   492,   166,   493,     0,
     494,     0,   495,     0,     0,     0,   496,   497,     0,   498,
     170,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   512,   513,
       0,     0,   173,     0,   514,   515,   516,     0,   175,     0,
     176,     0,   517,     0,     0,   518,     0,   519,   520,   521,
     522,   523,   524,   525,     0,   180,     0,   526,     0,     0,
     527,   528,   529,     0,     0,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   187,     0,
     189,     0,   543,   544,   545,   546,   547,   548,   549,   190,
     550,     0,   551,   552,     0,   553,     0,   193,   554,   194,
     555,   556,     0,     0,   557,     0,     0,     0,   558,   559,
     560,     0,     0,   195,     0,     0,     0,   199,   561,   562,
     563,   564,   565,   566,     0,   567,   200,   568,   201,   569,
     570,   571,     0,   572,   573,   574,   575,   576,   577,   578,
     203,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,     0,   594,
     595,   211,   596,   597,   598,   599,   600,   601,   602,   603,
       0,   604,   605,   606,   607,     0,   608,   215,   609,   610,
       0,   611,   218,     0,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   220,   622,     0,   623,   624,     0,
     625,   626,   627,   628,   629,     0,   222,   223,     0,     0,
     631,   224,   632,   225,     0,   633,   634,   635,   636,   637,
     638,     0,     0,   639,   640,   641,   642,     0,     0,   643,
     644,   645,   646,   647,   233,     0,   648,     0,   649,   650,
     651,     0,     0,   652,     0,     0,   653,   654,   655,   656,
     657,   236,   237,   238,   239,   240,   241,   242,   243,   658,
     659,   660,     0,     0,     0,    55,    86,    87,    88,   400,
      90,    91,    92,   401,     0,   402,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   403,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   404,   405,     0,     0,     0,
     406,   407,     0,     0,     0,     0,   408,     0,     0,     0,
       0,     0,     0,     0,     0,   409,     0,   410,     0,   411,
     412,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,   414,   415,   416,   417,   418,   419,   420,   421,   833,
     422,   423,   424,     0,     0,     0,     0,     0,     0,     0,
     425,   426,     0,   427,     0,   428,   429,   430,     0,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   438,   140,   439,     0,   440,   441,   442,
     443,   144,     0,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,     0,   456,   457,
     458,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   464,   465,   153,   154,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,     0,   486,   487,   488,
     162,   489,   490,   164,     0,   491,     0,   492,   166,   493,
       0,   494,     0,   495,     0,     0,     0,   496,   497,     0,
     498,   170,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   512,
     513,     0,     0,   173,     0,   514,   515,   516,     0,   175,
       0,   176,     0,   517,     0,     0,   518,     0,   519,   520,
     521,   522,   523,   524,   525,     0,   180,     0,   526,     0,
       0,   527,   528,   529,     0,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   187,
       0,   189,     0,   543,   544,   545,   546,   547,   548,   549,
     190,   550,     0,   551,   552,     0,   553,     0,   193,   554,
     194,   555,   556,     0,     0,   557,     0,     0,     0,   558,
     559,   560,     0,     0,   195,     0,     0,     0,   199,   561,
     562,   563,   564,   565,   566,     0,   567,   200,   568,   201,
     569,   570,   571,     0,   572,   573,   574,   575,   576,   577,
     578,   203,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,     0,
     594,   595,   211,   596,   597,   598,   599,   600,   601,   602,
     603,     0,   604,   605,   606,   607,     0,   608,   215,   609,
     610,     0,   611,   218,     0,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   220,   622,     0,   623,   624,
       0,   625,   626,   627,   628,   629,     0,   222,   223,     0,
       0,   631,   224,   632,   225,     0,   633,   634,   635,   636,
     637,   638,     0,     0,   639,   640,   641,   642,     0,     0,
     643,   644,   645,   646,   647,   233,     0,   648,     0,   649,
     650,   651,     0,     0,   652,     0,     0,   653,   654,   655,
     656,   657,   236,   237,   238,   239,   240,   241,   242,   243,
     658,   659,   660,     0,     0,     0,    55,    86,    87,    88,
     400,    90,    91,    92,   401,     0,   402,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   403,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   404,   405,     0,     0,
       0,   406,   407,     0,     0,     0,     0,   408,     0,     0,
       0,     0,     0,     0,     0,     0,   409,     0,   410,     0,
     411,   412,     0,    35,   413,     0,     0,     0,     0,     0,
       0,    41,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,     0,     0,     0,     0,
       0,   425,   426,     0,   427,     0,   428,   429,   430,     0,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   438,   140,   439,     0,   440,   441,
     442,   443,   144,     0,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,     0,   456,
     457,   458,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   464,   465,   153,   154,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,     0,   486,   487,
     488,   162,   489,   490,   164,     0,   491,     0,   492,   166,
     493,     0,   494,     0,   495,     0,     0,     0,   496,   497,
       0,   498,   170,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   923,   506,   507,     0,   508,   509,   510,   511,
     512,   513,     0,     0,   173,     0,   514,   515,   516,     0,
     175,     0,   176,     0,   517,     0,     0,   518,     0,   519,
     520,   521,   522,   523,   524,   525,     0,   180,     0,   526,
       0,     0,   527,   528,   529,     0,     0,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     187,     0,   189,     0,   543,   544,   545,   546,   547,   548,
     549,   190,   550,     0,   551,   552,     0,   553,     0,   193,
     554,   194,   555,   556,     0,     0,   557,     0,     0,     0,
     558,   559,   560,     0,     0,   195,     0,     0,     0,   199,
     561,   562,   563,   564,   565,   566,     0,   567,   200,   568,
     201,   569,   570,   571,     0,   572,   573,   574,   575,   576,
     577,   578,   203,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
       0,   594,   595,   211,   596,   597,   598,   599,   600,   601,
     602,   603,     0,   604,   605,   606,   607,     0,   608,   215,
     609,   610,     0,   611,   218,     0,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   220,   622,     0,   623,
     624,     0,   625,   626,   627,   628,   629,     0,   222,   223,
       0,     0,   631,   224,   632,   225,     0,   633,   634,   635,
     636,   637,   638,     0,     0,   639,   640,   641,   642,     0,
       0,   643,   644,   645,   646,   647,   233,     0,   648,     0,
     649,   650,   651,     0,     0,   652,     0,     0,   653,   654,
     655,   656,   657,   236,   237,   238,   239,   240,   241,   242,
     243,   658,   659,   660,     0,     0,     0,    55,    86,    87,
      88,   400,    90,    91,    92,   401,     0,   402,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     403,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   404,   405,     0,
       0,     0,   406,   407,     0,     0,     0,     0,   408,     0,
       0,     0,     0,     0,     0,     0,     0,   409,     0,   410,
       0,   411,   412,     0,    35,   413,     0,     0,     0,     0,
       0,     0,    41,   414,   415,   416,   417,   418,   419,   420,
     421,     0,   422,   423,   424,     0,     0,     0,     0,     0,
       0,     0,   425,   426,     0,   427,     0,   428,   429,   430,
       0,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   438,   140,   439,     0,   440,
     441,   442,   443,   144,     0,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   458,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   464,   465,   153,
     154,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,     0,   486,
     487,   488,   162,   489,   490,   164,     0,   491,     0,   492,
     166,   493,     0,   494,     0,   495,     0,     0,     0,   496,
     497,     0,   498,   170,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   512,   513,     0,     0,   173,     0,   514,   515,   516,
       0,   175,     0,   176,     0,   517,     0,     0,   518,     0,
     519,   520,   521,   522,   523,   524,   525,     0,   180,     0,
     526,     0,     0,   527,   528,   529,     0,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   187,     0,   189,     0,   543,   544,   545,   546,   547,
     548,   549,   190,   550,     0,   551,   552,     0,   553,     0,
     193,   554,   194,   555,   556,     0,     0,   557,     0,     0,
       0,   558,   559,   560,     0,     0,   195,     0,     0,     0,
     199,   561,   562,   563,   564,   565,   566,     0,   567,   200,
     568,   201,   569,   570,   571,     0,   572,   573,   574,   575,
     576,   577,   578,   203,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,     0,   594,   595,   211,   596,   597,   598,   599,   600,
     601,   602,   603,     0,   604,   605,   606,   607,     0,   608,
     215,   609,   610,     0,   611,   218,     0,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   220,   622,     0,
     623,   624,     0,   625,   626,   627,   628,   629,     0,   222,
     223,     0,     0,   963,   224,   632,   225,     0,   633,   634,
     635,   636,   637,   638,     0,     0,   639,   640,   641,   642,
       0,     0,   643,   644,   645,   646,   647,   233,     0,   648,
       0,   649,   650,   651,     0,     0,   652,     0,     0,   653,
     654,   655,   656,   657,   236,   237,   238,   239,   240,   241,
     242,   243,   658,   659,   660,     0,     0,     0,    55,    86,
      87,    88,   400,    90,    91,    92,   401,     0,   402,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   403,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   404,   405,
       0,     0,     0,   406,   407,     0,     0,     0,     0,   408,
       0,     0,     0,     0,     0,     0,     0,     0,   409,     0,
     410,     0,   411,   412,     0,    35,   413,     0,     0,     0,
       0,     0,     0,    41,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,   424,     0,     0,     0,     0,
       0,     0,     0,   425,   426,     0,   427,     0,   428,   429,
     430,     0,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   438,   140,   439,     0,
     440,   441,   442,   443,   144,     0,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
       0,   456,   457,   458,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   464,   465,
     153,   154,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,     0,
     486,   487,   488,   162,   489,   490,   164,     0,   491,     0,
     492,   166,   493,     0,   494,     0,   495,     0,     0,     0,
     496,   497,     0,   498,   170,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   512,   513,     0,     0,   173,     0,   514,   515,
     516,     0,   175,     0,   176,     0,   517,     0,     0,   518,
       0,   519,   520,   521,   522,   523,   524,   525,     0,   180,
       0,   526,     0,     0,   527,   528,   529,     0,     0,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   187,     0,   189,     0,   543,   544,   545,   546,
     547,   548,   549,   190,   550,     0,   551,   552,     0,   553,
       0,   193,   554,   194,   555,   556,     0,     0,   557,     0,
       0,     0,   558,   559,   560,     0,     0,   195,     0,     0,
       0,   199,   561,   562,   563,   564,   565,   566,     0,   567,
     200,   568,   201,   569,   570,   571,     0,   572,   573,   574,
     575,   576,   577,   578,   203,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,     0,   594,   595,   211,   596,   597,   598,   599,
     600,   601,   602,   603,     0,   604,   605,   606,   607,     0,
     608,   215,   609,   610,     0,   611,   218,     0,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   220,   622,
       0,   623,   624,     0,   625,   626,   627,   628,   629,     0,
     222,   223,     0,     0,   631,   224,   632,   225,     0,   633,
     634,   635,   636,   637,   638,     0,     0,   639,   640,   641,
     642,     0,     0,   643,   644,   645,   646,   647,   233,     0,
     648,     0,   649,   650,   651,     0,     0,   652,     0,     0,
     653,   654,   655,   656,   657,   236,   237,   238,   239,   240,
     241,   242,   243,   658,   659,   660,     0,     0,     0,    55,
      86,    87,    88,   400,    90,    91,    92,   401,     0,   402,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   403,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   404,
     405,     0,     0,     0,   406,   407,     0,     0,     0,     0,
     408,     0,     0,     0,     0,     0,     0,     0,     0,   409,
       0,   410,     0,   411,   412,     0,    35,     0,     0,  1791,
       0,     0,     0,     0,    41,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,   424,     0,     0,     0,
       0,     0,     0,     0,   425,   426,     0,   427,     0,   428,
     429,   430,     0,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   438,   140,   439,
       0,   440,   441,   442,   443,   144,     0,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,     0,   456,   457,   458,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   464,
     465,   153,   154,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
       0,   486,   487,   488,   162,   489,   490,   164,     0,   491,
       0,   492,   166,   493,     0,   494,     0,   495,     0,     0,
       0,   496,   497,     0,   498,   170,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   512,   513,     0,     0,   173,     0,   514,
     515,   516,     0,   175,     0,   176,     0,   517,     0,     0,
     518,     0,   519,   520,   521,   522,   523,   524,   525,     0,
     180,     0,   526,     0,     0,   527,   528,   529,     0,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   187,     0,   189,     0,   543,   544,   545,
     546,   547,   548,   549,   190,   550,     0,   551,   552,     0,
     553,     0,   193,   554,   194,   555,   556,     0,     0,   557,
       0,     0,     0,   558,   559,   560,     0,     0,   195,     0,
       0,     0,   199,   561,   562,   563,   564,   565,   566,     0,
     567,   200,   568,   201,   569,   570,   571,     0,   572,   573,
     574,   575,   576,   577,   578,   203,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,     0,   594,   595,   211,   596,   597,   598,
     599,   600,   601,   602,   603,     0,   604,   605,   606,   607,
       0,   608,   215,   609,   610,     0,   611,   218,     0,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   220,
     622,     0,   623,   624,     0,   625,   626,   627,   628,   629,
       0,   222,   223,     0,     0,   631,   224,   632,   225,     0,
     633,   634,   635,   636,   637,   638,     0,     0,   639,   640,
     641,   642,     0,     0,   643,   644,   645,   646,   647,   233,
       0,   648,     0,   649,   650,   651,     0,     0,   652,     0,
       0,   653,   654,   655,   656,   657,   236,   237,   238,   239,
     240,   241,   242,   243,   658,   659,   660,     0,     0,     0,
      55,    86,    87,    88,   400,    90,    91,    92,   401,     0,
     402,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   403,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     404,   405,     0,     0,     0,   406,   407,     0,     0,     0,
       0,   408,     0,     0,     0,     0,     0,     0,     0,     0,
     409,     0,   410,     0,   411,   412,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
       0,     0,     0,  2980,     0,   425,   426,     0,   427,     0,
     428,   429,   430,     0,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   438,   140,
     439,     0,   440,   441,   442,   443,   144,     0,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,     0,   456,   457,   458,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     464,   465,   153,   154,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,     0,   486,   487,   488,   162,   489,   490,   164,     0,
     491,     0,   492,   166,   493,     0,   494,     0,   495,     0,
       0,     0,   496,   497,     0,   498,   170,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   512,   513,     0,     0,   173,     0,
     514,   515,   516,     0,   175,     0,   176,     0,   517,     0,
       0,   518,     0,   519,   520,   521,   522,   523,   524,   525,
       0,   180,     0,   526,     0,     0,   527,   528,   529,     0,
       0,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   187,     0,   189,     0,   543,   544,
     545,   546,   547,   548,   549,   190,   550,     0,   551,   552,
       0,   553,     0,   193,   554,   194,   555,   556,     0,     0,
     557,     0,     0,     0,   558,   559,   560,     0,     0,   195,
       0,     0,     0,   199,   561,   562,   563,   564,   565,   566,
       0,   567,   200,   568,   201,   569,   570,   571,     0,   572,
     573,   574,   575,   576,   577,   578,   203,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,     0,   594,   595,   211,   596,   597,
     598,   599,   600,   601,   602,   603,     0,   604,   605,   606,
     607,     0,   608,   215,   609,   610,     0,   611,   218,     0,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     220,   622,     0,   623,   624,     0,   625,   626,   627,   628,
     629,     0,   222,   223,     0,     0,   631,   224,   632,   225,
       0,   633,   634,   635,   636,   637,   638,     0,     0,   639,
     640,   641,   642,     0,     0,   643,   644,   645,   646,   647,
     233,     0,   648,     0,   649,   650,   651,     0,     0,   652,
       0,     0,   653,   654,   655,   656,   657,   236,   237,   238,
     239,   240,   241,   242,   243,   658,   659,   660,     0,     0,
       0,    55,    86,    87,    88,   400,    90,    91,    92,   401,
       0,   402,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   403,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   404,   405,     0,     0,     0,   406,   407,     0,     0,
       0,     0,   408,     0,     0,     0,     0,     0,     0,     0,
       0,   409,     0,   410,     0,   411,   412,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,   424,     0,
       0,     0,     0,     0,  2993,     0,   425,   426,     0,   427,
       0,   428,   429,   430,     0,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   438,
     140,   439,     0,   440,   441,   442,   443,   144,     0,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   458,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   464,   465,   153,   154,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,     0,   486,   487,   488,   162,   489,   490,   164,
       0,   491,     0,   492,   166,   493,     0,   494,     0,   495,
       0,     0,     0,   496,   497,     0,   498,   170,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   512,   513,     0,     0,   173,
       0,   514,   515,   516,     0,   175,     0,   176,     0,   517,
       0,     0,   518,     0,   519,   520,   521,   522,   523,   524,
     525,     0,   180,     0,   526,     0,     0,   527,   528,   529,
       0,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   187,     0,   189,     0,   543,
     544,   545,   546,   547,   548,   549,   190,   550,     0,   551,
     552,     0,   553,     0,   193,   554,   194,   555,   556,     0,
       0,   557,     0,     0,     0,   558,   559,   560,     0,     0,
     195,     0,     0,     0,   199,   561,   562,   563,   564,   565,
     566,     0,   567,   200,   568,   201,   569,   570,   571,     0,
     572,   573,   574,   575,   576,   577,   578,   203,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,     0,   594,   595,   211,   596,
     597,   598,   599,   600,   601,   602,   603,     0,   604,   605,
     606,   607,     0,   608,   215,   609,   610,     0,   611,   218,
       0,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   220,   622,     0,   623,   624,     0,   625,   626,   627,
     628,   629,     0,   222,   223,     0,     0,   631,   224,   632,
     225,     0,   633,   634,   635,   636,   637,   638,     0,     0,
     639,   640,   641,   642,     0,     0,   643,   644,   645,   646,
     647,   233,     0,   648,     0,   649,   650,   651,     0,     0,
     652,     0,     0,   653,   654,   655,   656,   657,   236,   237,
     238,   239,   240,   241,   242,   243,   658,   659,   660,     0,
       0,     0,    55,    86,    87,    88,   400,    90,    91,    92,
     401,     0,   402,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   403,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   404,   405,     0,     0,     0,   406,   407,     0,
       0,     0,     0,   408,     0,     0,     0,     0,     0,     0,
       0,     0,   409,     0,   410,     0,   411,   412,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,   424,
       0,     0,     0,     0,     0,     0,     0,   425,   426,     0,
     427,     0,   428,   429,   430,     0,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     438,   140,   439,     0,   440,   441,   442,   443,   144,     0,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   458,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   464,   465,   153,   154,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,     0,   486,   487,   488,   162,   489,   490,
     164,     0,   491,     0,   492,   166,   493,     0,   494,     0,
     495,     0,     0,     0,   496,   497,     0,   498,   170,  3030,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   512,   513,     0,     0,
     173,     0,   514,   515,   516,     0,   175,     0,   176,     0,
     517,     0,     0,   518,     0,   519,   520,   521,   522,   523,
     524,   525,     0,   180,     0,   526,     0,     0,   527,   528,
     529,     0,     0,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   187,     0,   189,     0,
     543,   544,   545,   546,   547,   548,   549,   190,   550,     0,
     551,   552,     0,   553,     0,   193,   554,   194,   555,   556,
       0,     0,   557,     0,     0,     0,   558,   559,   560,     0,
       0,   195,     0,     0,     0,   199,   561,   562,   563,   564,
     565,   566,     0,   567,   200,   568,   201,   569,   570,   571,
       0,   572,   573,   574,   575,   576,   577,   578,   203,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,     0,   594,   595,   211,
     596,   597,   598,   599,   600,   601,   602,   603,     0,   604,
     605,   606,   607,     0,   608,   215,   609,   610,     0,   611,
     218,     0,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   220,   622,     0,   623,   624,     0,   625,   626,
     627,   628,   629,     0,   222,   223,     0,     0,   631,   224,
     632,   225,     0,   633,   634,   635,   636,   637,   638,     0,
       0,   639,   640,   641,   642,     0,     0,   643,   644,   645,
     646,   647,   233,     0,   648,     0,   649,   650,   651,     0,
       0,   652,     0,     0,   653,   654,   655,   656,   657,   236,
     237,   238,   239,   240,   241,   242,   243,   658,   659,   660,
       0,     0,     0,    55,    86,    87,    88,   400,    90,    91,
      92,   401,     0,   402,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   403,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   404,   405,     0,     0,     0,   406,   407,
       0,     0,     0,     0,   408,     0,     0,     0,     0,     0,
       0,     0,     0,   409,     0,   410,     0,   411,   412,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
     424,     0,     0,     0,     0,     0,     0,     0,   425,   426,
       0,   427,     0,   428,   429,   430,     0,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   438,   140,   439,     0,   440,   441,   442,   443,   144,
       0,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   458,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   464,   465,   153,   154,   466,  3694,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,     0,   486,   487,   488,   162,   489,
     490,   164,     0,   491,     0,   492,   166,   493,     0,   494,
       0,   495,     0,     0,     0,   496,   497,     0,   498,   170,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   512,   513,     0,
       0,   173,     0,   514,   515,   516,     0,   175,     0,   176,
       0,   517,     0,     0,   518,     0,   519,   520,   521,   522,
     523,   524,   525,     0,   180,     0,   526,     0,     0,   527,
     528,   529,     0,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   187,     0,   189,
       0,   543,   544,   545,   546,   547,   548,   549,   190,   550,
       0,   551,   552,     0,   553,     0,   193,   554,   194,   555,
     556,     0,     0,   557,     0,     0,     0,   558,   559,   560,
       0,     0,   195,     0,     0,     0,   199,   561,   562,   563,
     564,   565,   566,     0,   567,   200,   568,   201,   569,   570,
     571,     0,   572,   573,   574,   575,   576,   577,   578,   203,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,     0,   594,   595,
     211,   596,   597,   598,   599,   600,   601,   602,   603,     0,
     604,   605,   606,   607,     0,   608,   215,   609,   610,     0,
     611,   218,     0,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   220,   622,     0,   623,   624,     0,   625,
     626,   627,   628,   629,     0,   222,   223,     0,     0,   631,
     224,   632,   225,     0,   633,   634,   635,   636,   637,   638,
       0,     0,   639,   640,   641,   642,     0,     0,   643,   644,
     645,   646,   647,   233,     0,   648,     0,   649,   650,   651,
       0,     0,   652,     0,     0,   653,   654,   655,   656,   657,
     236,   237,   238,   239,   240,   241,   242,   243,   658,   659,
     660,     0,     0,     0,    55,    86,    87,    88,   400,    90,
      91,    92,   401,     0,   402,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   403,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   404,   405,     0,     0,     0,   406,
     407,     0,     0,     0,     0,   408,     0,     0,     0,     0,
       0,     0,     0,     0,   409,     0,   410,     0,   411,   412,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,     0,     0,     0,     0,     0,   425,
     426,     0,   427,     0,   428,   429,   430,     0,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   438,   140,   439,     0,   440,   441,   442,   443,
     144,     0,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,     0,   456,   457,   458,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   464,   465,   153,   154,   466,  3696,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,     0,   486,   487,   488,   162,
     489,   490,   164,     0,   491,     0,   492,   166,   493,     0,
     494,     0,   495,     0,     0,     0,   496,   497,     0,   498,
     170,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   512,   513,
       0,     0,   173,     0,   514,   515,   516,     0,   175,     0,
     176,     0,   517,     0,     0,   518,     0,   519,   520,   521,
     522,   523,   524,   525,     0,   180,     0,   526,     0,     0,
     527,   528,   529,     0,     0,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   187,     0,
     189,     0,   543,   544,   545,   546,   547,   548,   549,   190,
     550,     0,   551,   552,     0,   553,     0,   193,   554,   194,
     555,   556,     0,     0,   557,     0,     0,     0,   558,   559,
     560,     0,     0,   195,     0,     0,     0,   199,   561,   562,
     563,   564,   565,   566,     0,   567,   200,   568,   201,   569,
     570,   571,     0,   572,   573,   574,   575,   576,   577,   578,
     203,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,     0,   594,
     595,   211,   596,   597,   598,   599,   600,   601,   602,   603,
       0,   604,   605,   606,   607,     0,   608,   215,   609,   610,
       0,   611,   218,     0,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   220,   622,     0,   623,   624,     0,
     625,   626,   627,   628,   629,     0,   222,   223,     0,     0,
     631,   224,   632,   225,     0,   633,   634,   635,   636,   637,
     638,     0,     0,   639,   640,   641,   642,     0,     0,   643,
     644,   645,   646,   647,   233,     0,   648,     0,   649,   650,
     651,     0,     0,   652,     0,     0,   653,   654,   655,   656,
     657,   236,   237,   238,   239,   240,   241,   242,   243,   658,
     659,   660,     0,     0,     0,    55,    86,    87,    88,   400,
      90,    91,    92,   401,     0,   402,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   403,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   404,   405,     0,     0,     0,
     406,   407,     0,     0,     0,     0,   408,     0,     0,     0,
       0,     0,     0,     0,     0,   409,     0,   410,     0,   411,
     412,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,   424,     0,     0,     0,     0,     0,     0,     0,
     425,   426,     0,   427,     0,   428,   429,   430,     0,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   438,   140,   439,     0,   440,   441,   442,
     443,   144,     0,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,     0,   456,   457,
     458,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   464,   465,   153,   154,   466,
    3698,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,     0,   486,   487,   488,
     162,   489,   490,   164,     0,   491,     0,   492,   166,   493,
       0,   494,     0,   495,     0,     0,     0,   496,   497,     0,
     498,   170,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   512,
     513,     0,     0,   173,     0,   514,   515,   516,     0,   175,
       0,   176,     0,   517,     0,     0,   518,     0,   519,   520,
     521,   522,   523,   524,   525,     0,   180,     0,   526,     0,
       0,   527,   528,   529,     0,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   187,
       0,   189,     0,   543,   544,   545,   546,   547,   548,   549,
     190,   550,     0,   551,   552,     0,   553,     0,   193,   554,
     194,   555,   556,     0,     0,   557,     0,     0,     0,   558,
     559,   560,     0,     0,   195,     0,     0,     0,   199,   561,
     562,   563,   564,   565,   566,     0,   567,   200,   568,   201,
     569,   570,   571,     0,   572,   573,   574,   575,   576,   577,
     578,   203,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,     0,
     594,   595,   211,   596,   597,   598,   599,   600,   601,   602,
     603,     0,   604,   605,   606,   607,     0,   608,   215,   609,
     610,     0,   611,   218,     0,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   220,   622,     0,   623,   624,
       0,   625,   626,   627,   628,   629,     0,   222,   223,     0,
       0,   631,   224,   632,   225,     0,   633,   634,   635,   636,
     637,   638,     0,     0,   639,   640,   641,   642,     0,     0,
     643,   644,   645,   646,   647,   233,     0,   648,     0,   649,
     650,   651,     0,     0,   652,     0,     0,   653,   654,   655,
     656,   657,   236,   237,   238,   239,   240,   241,   242,   243,
     658,   659,   660,     0,     0,     0,    55,    86,    87,    88,
     400,    90,    91,    92,   401,     0,   402,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   403,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   404,   405,     0,     0,
       0,   406,   407,     0,     0,     0,     0,   408,     0,     0,
       0,     0,     0,     0,     0,     0,   409,     0,   410,     0,
     411,   412,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,     0,     0,     0,     0,
       0,   425,   426,     0,   427,     0,   428,   429,   430,     0,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   438,   140,   439,     0,   440,   441,
     442,   443,   144,     0,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,     0,   456,
     457,   458,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   464,   465,   153,   154,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,     0,   486,   487,
     488,   162,   489,   490,   164,     0,   491,     0,   492,   166,
     493,     0,   494,     0,   495,     0,     0,     0,   496,   497,
       0,   498,   170,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     512,   513,     0,     0,   173,     0,   514,   515,   516,     0,
     175,     0,   176,     0,   517,     0,     0,   518,     0,   519,
     520,   521,   522,   523,   524,   525,     0,   180,     0,   526,
       0,     0,   527,   528,   529,     0,     0,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     187,     0,   189,     0,   543,   544,   545,   546,   547,   548,
     549,   190,   550,     0,   551,   552,     0,   553,     0,   193,
     554,   194,   555,   556,     0,     0,   557,     0,     0,     0,
     558,   559,   560,     0,     0,   195,     0,     0,     0,   199,
     561,   562,   563,   564,   565,   566,     0,   567,   200,   568,
     201,   569,   570,   571,     0,   572,   573,   574,   575,   576,
     577,   578,   203,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
       0,   594,   595,   211,   596,   597,   598,   599,   600,   601,
     602,   603,     0,   604,   605,   606,   607,     0,   608,   215,
     609,   610,     0,   611,   218,     0,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   220,   622,     0,   623,
     624,     0,   625,   626,   627,   628,   629,     0,   222,   223,
       0,     0,   631,   224,   632,   225,     0,   633,   634,   635,
     636,   637,   638,     0,     0,   639,   640,   641,   642,     0,
    4059,   643,   644,   645,   646,   647,   233,     0,   648,     0,
     649,   650,   651,     0,     0,   652,     0,     0,   653,   654,
     655,   656,   657,   236,   237,   238,   239,   240,   241,   242,
     243,   658,   659,   660,     0,     0,     0,    55,    86,    87,
      88,   400,    90,    91,    92,   401,     0,   402,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     403,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   404,   405,     0,
       0,     0,   406,   407,     0,     0,     0,     0,   408,     0,
       0,     0,     0,     0,     0,     0,     0,   409,     0,   410,
       0,   411,   412,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,   414,   415,   416,   417,   418,   419,   420,
     421,     0,   422,   423,   424,     0,     0,     0,     0,     0,
       0,     0,   425,   426,     0,   427,     0,   428,   429,   430,
       0,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   438,   140,   439,     0,   440,
     441,   442,   443,   144,     0,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   458,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   464,   465,   153,
     154,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,     0,   486,
     487,   488,   162,   489,   490,   164,     0,   491,     0,   492,
     166,   493,     0,   494,     0,   495,     0,     0,     0,   496,
     497,     0,   498,   170,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   512,   513,     0,     0,   173,     0,   514,   515,   516,
       0,   175,     0,   176,     0,   517,     0,     0,   518,     0,
     519,   520,   521,   522,   523,   524,   525,     0,   180,     0,
     526,     0,     0,   527,   528,   529,     0,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   187,     0,   189,     0,   543,   544,   545,   546,   547,
     548,   549,   190,   550,     0,   551,   552,     0,   553,     0,
     193,   554,   194,   555,   556,     0,     0,   557,     0,     0,
       0,   558,   559,   560,     0,     0,   195,     0,     0,     0,
     199,   561,   562,   563,   564,   565,   566,     0,   567,   200,
     568,   201,   569,   570,   571,     0,   572,   573,   574,   575,
     576,   577,   578,   203,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,     0,   594,   595,   211,   596,   597,   598,   599,   600,
     601,   602,   603,     0,   604,   605,   606,   607,     0,   608,
     215,   609,   610,     0,   611,   218,     0,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   220,   622,     0,
     623,   624,     0,   625,   626,   627,   628,   629,     0,   222,
     223,     0,     0,   631,   224,   632,   225,     0,   633,   634,
     635,   636,   637,   638,     0,     0,   639,   640,   641,   642,
       0,     0,   643,   644,   645,   646,   647,   233,     0,   648,
       0,   649,   650,   651,     0,     0,   652,     0,     0,   653,
     654,   655,   656,   657,   236,   237,   238,   239,   240,   241,
     242,   243,   658,   659,   660,     0,     0,     0,    55,    86,
      87,    88,   400,    90,    91,    92,   401,     0,   402,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   403,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   404,   405,
       0,     0,     0,   406,   407,     0,     0,     0,     0,   408,
       0,     0,     0,     0,     0,     0,     0,     0,   409,     0,
     410,     0,   411,   412,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,   424,     0,     0,     0,     0,
       0,     0,     0,   425,   426,     0,   427,     0,   428,   429,
     430,     0,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   438,   140,   439,     0,
     440,   441,   442,   443,   144,     0,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
       0,   456,   457,   458,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   464,   465,
     153,   154,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,     0,
     486,   487,   488,   162,   489,   490,   164,     0,   491,     0,
     492,   166,   493,     0,   494,     0,   495,     0,     0,     0,
     496,   497,     0,   498,   170,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   512,   513,     0,     0,   173,     0,   514,   515,
     516,     0,   175,     0,   176,     0,   517,     0,     0,   518,
       0,   519,   520,   521,   522,   523,   524,   525,     0,   180,
       0,   526,     0,     0,   527,   528,   529,     0,     0,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   187,     0,   189,     0,   543,   544,   545,   546,
     547,   548,   549,   190,   550,     0,   551,   552,     0,   553,
       0,   193,   554,   194,   555,   556,     0,     0,   557,     0,
       0,     0,   558,   559,   560,     0,     0,   195,     0,     0,
       0,   199,   561,   562,   563,   564,   565,   566,     0,   567,
     200,   568,   201,   569,   570,   571,     0,   572,   573,   574,
     575,   576,   577,   578,   203,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,     0,   594,   595,   211,   596,   597,   598,   599,
     600,   601,   602,   603,     0,   604,   605,   606,   607,     0,
     608,   215,   609,   610,     0,   611,   218,     0,   612,   613,
     614,   886,   616,   617,   618,   619,   620,   621,   220,   622,
       0,   623,   624,     0,   625,   626,   627,   628,   629,     0,
     222,   223,     0,     0,   631,   224,   632,   225,     0,   633,
     634,   635,   636,   637,   638,     0,     0,   639,   640,   641,
     642,     0,     0,   643,   644,   645,   646,   647,   233,     0,
     648,     0,   649,   650,   651,     0,     0,   652,     0,     0,
     653,   654,   655,   656,   657,   236,   237,   238,   239,   240,
     241,   242,   243,   658,   659,   660,     0,     0,     0,    55,
      86,    87,    88,   400,    90,    91,    92,   401,     0,   402,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   403,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   404,
     405,     0,     0,     0,   406,   407,     0,     0,     0,     0,
     408,     0,     0,     0,     0,     0,     0,     0,     0,   409,
       0,   410,     0,   411,   412,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,   424,     0,     0,     0,
       0,     0,     0,     0,   425,   426,     0,   427,     0,   428,
     429,   430,     0,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   438,   140,   439,
       0,   440,   441,   442,   443,   144,     0,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,     0,   456,   457,   458,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   464,
     465,   153,   154,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
       0,   486,   487,   488,   162,   489,   490,   164,     0,   491,
       0,   492,   166,   493,     0,   494,     0,   495,     0,     0,
       0,   496,   497,     0,   498,   170,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   512,   513,     0,     0,   173,     0,   514,
     515,   516,     0,   175,     0,   176,     0,   517,     0,     0,
     518,     0,   519,   520,   521,   522,   523,   524,   525,     0,
     180,     0,   526,     0,     0,   527,   528,   529,     0,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   187,     0,   189,     0,   543,   544,   545,
     546,   547,   548,   549,   190,   550,     0,   551,   552,     0,
     553,     0,   193,   554,   194,   555,   556,     0,     0,   557,
       0,     0,     0,   558,   559,   560,     0,     0,   195,     0,
       0,     0,   199,   561,   562,   563,   564,   565,   566,     0,
     567,   200,   568,   201,   569,   570,   571,     0,   572,   573,
     574,   575,   576,   577,   578,   203,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,     0,   594,   595,   211,   596,   597,   971,
     599,   600,   601,   602,   603,     0,   604,   605,   606,   607,
       0,   608,   215,   609,   610,     0,   611,   218,     0,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   220,
     622,     0,   623,   624,     0,   625,   626,   627,   628,   629,
       0,   222,   223,     0,     0,   631,   224,   632,   225,     0,
     633,   634,   635,   636,   637,   638,     0,     0,   639,   640,
     641,   642,     0,     0,   643,   644,   645,   646,   647,   233,
       0,   648,     0,   649,   650,   651,     0,     0,   652,     0,
       0,   653,   654,   655,   656,   657,   236,   237,   238,   239,
     240,   241,   242,   243,   658,   659,   660,     0,     0,     0,
      55,    86,    87,    88,   400,    90,    91,    92,   401,     0,
     402,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   403,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     404,   405,     0,     0,     0,   406,   407,     0,     0,     0,
       0,   408,     0,     0,     0,     0,     0,     0,     0,     0,
     409,     0,   410,     0,   411,   412,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,   414,   415,   416,   417,
     418,   419,   420,   421,   973,   422,   423,   424,     0,     0,
       0,     0,     0,     0,     0,   425,   426,     0,   427,     0,
     428,   429,   430,     0,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   974,   140,
     439,     0,   440,   441,   442,   443,   144,     0,     0,   444,
     445,   446,   447,   448,     0,     0,   450,   451,   452,   453,
     454,   455,     0,   456,   457,   458,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     464,   465,   153,   154,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,     0,   486,   487,   488,   162,   489,   490,   164,     0,
     491,     0,   492,   166,   493,     0,   494,     0,   495,     0,
       0,     0,   496,   497,     0,   498,   170,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   512,   513,     0,     0,   173,     0,
     514,   515,   516,     0,   175,     0,   176,     0,   517,     0,
       0,   518,     0,   519,   520,   521,   522,   523,   524,   525,
       0,   180,     0,   526,     0,     0,   527,   528,   529,     0,
       0,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   187,     0,   189,     0,   543,   544,
     545,   546,   547,   548,   549,   190,   550,     0,   551,   552,
       0,   553,     0,   193,   554,   194,   555,   556,     0,     0,
     557,     0,     0,     0,   558,   559,   560,     0,     0,   195,
       0,     0,     0,   199,   561,   562,   563,   564,   565,   566,
       0,   567,   200,   568,   201,   569,   570,   571,     0,   572,
     573,   574,   575,   576,   577,   578,   203,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,     0,   594,   595,   211,   596,   597,
     598,   599,   600,   601,   602,   603,     0,   604,   605,   606,
     975,     0,   608,   215,   609,   610,     0,   611,   218,     0,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     220,   622,     0,   623,   624,     0,   625,   626,   627,   628,
     629,     0,   976,   223,     0,     0,   977,   224,   632,   225,
       0,   633,   634,   635,   636,   637,   638,     0,     0,   639,
     640,   641,   642,     0,     0,   643,   644,   645,   646,   978,
     233,     0,   648,     0,   649,   650,   651,     0,     0,   652,
       0,     0,   653,   654,   655,   656,   657,   236,   237,   238,
     239,   240,   241,   242,   243,   658,   659,   660,     0,     0,
       0,    55,    86,    87,    88,   400,    90,    91,    92,   401,
       0,   402,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   403,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   404,   405,     0,     0,     0,   406,   407,     0,     0,
       0,     0,   408,     0,     0,     0,     0,     0,     0,     0,
       0,   409,     0,   410,     0,   411,   412,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,   414,   415,   416,
     417,   418,   419,   420,   421,  1012,   422,   423,   424,     0,
       0,     0,     0,     0,     0,     0,   425,   426,     0,   427,
       0,   428,   429,   430,     0,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   974,
     140,   439,     0,   440,   441,   442,   443,   144,     0,     0,
     444,   445,   446,   447,   448,     0,     0,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   458,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   464,   465,   153,   154,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,     0,   486,   487,   488,   162,   489,   490,   164,
       0,   491,     0,   492,   166,   493,     0,   494,     0,   495,
       0,     0,     0,   496,   497,     0,   498,   170,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   512,   513,     0,     0,   173,
       0,   514,   515,   516,     0,   175,     0,   176,     0,   517,
       0,     0,   518,     0,   519,   520,   521,   522,   523,   524,
     525,     0,   180,     0,   526,     0,     0,   527,   528,   529,
       0,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   187,     0,   189,     0,   543,
     544,   545,   546,   547,   548,   549,   190,   550,     0,   551,
     552,     0,   553,     0,   193,   554,   194,   555,   556,     0,
       0,   557,     0,     0,     0,   558,   559,   560,     0,     0,
     195,     0,     0,     0,   199,   561,   562,   563,   564,   565,
     566,     0,   567,   200,   568,   201,   569,   570,   571,     0,
     572,   573,   574,   575,   576,   577,   578,   203,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,     0,   594,   595,   211,   596,
     597,   598,   599,   600,   601,   602,   603,     0,   604,   605,
     606,  1013,     0,   608,   215,   609,   610,     0,   611,   218,
       0,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   220,   622,     0,   623,   624,     0,   625,   626,   627,
     628,   629,     0,  1014,   223,     0,     0,  1015,   224,   632,
     225,     0,   633,   634,   635,   636,   637,   638,     0,     0,
     639,   640,   641,   642,     0,     0,   643,   644,   645,   646,
     978,   233,     0,   648,     0,   649,   650,   651,     0,     0,
     652,     0,     0,   653,   654,   655,   656,   657,   236,   237,
     238,   239,   240,   241,   242,   243,   658,   659,   660,     0,
       0,     0,    55,    86,    87,    88,   400,    90,    91,    92,
     401,     0,   402,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   403,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   404,   405,     0,     0,     0,   406,   407,     0,
       0,     0,     0,   408,     0,     0,     0,     0,     0,     0,
       0,     0,   409,     0,   410,     0,   411,   412,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,   424,
       0,     0,     0,     0,     0,     0,     0,   425,   426,     0,
     427,     0,   428,   429,   430,     0,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     438,   140,   439,     0,   440,   441,   442,   443,   144,     0,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   458,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   464,   465,   153,   154,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,     0,   486,   487,   488,   162,   489,   490,
     164,     0,   491,     0,   492,   166,   493,     0,   494,     0,
     495,     0,     0,     0,   496,   497,     0,   498,   170,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   512,   513,     0,     0,
     173,     0,   514,   515,   516,     0,   175,     0,   176,     0,
     517,     0,     0,   518,     0,   519,   520,   521,   522,   523,
     524,   525,     0,   180,     0,   526,     0,     0,   527,   528,
     529,     0,     0,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   187,     0,   189,     0,
     543,   544,   545,   546,   547,   548,   549,   190,   550,     0,
     551,   552,     0,   553,     0,   193,   554,   194,   555,   556,
       0,     0,   557,     0,     0,     0,   558,   559,   560,     0,
       0,   195,     0,     0,     0,   199,   561,   562,   563,   564,
     565,   566,     0,   567,   200,   568,   201,   569,   570,   571,
       0,   572,   573,   574,   575,   576,   577,   578,   203,   579,
     580,  1037,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,     0,   594,   595,   211,
     596,   597,   598,   599,   600,   601,   602,   603,     0,   604,
     605,   606,   607,     0,   608,   215,   609,   610,     0,   611,
     218,     0,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   220,   622,     0,   623,   624,     0,   625,   626,
     627,   628,   629,     0,   222,   223,     0,     0,   631,   224,
     632,   225,     0,   633,   634,   635,   636,   637,   638,     0,
       0,   639,   640,   641,   642,     0,     0,   643,   644,   645,
     646,   647,   233,     0,   648,     0,   649,   650,   651,     0,
       0,   652,     0,     0,   653,   654,   655,   656,   657,   236,
     237,   238,   239,   240,   241,   242,   243,   658,   659,   660,
       0,     0,     0,    55,    86,    87,    88,   400,    90,    91,
      92,   401,     0,   402,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   403,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   404,   405,     0,     0,     0,   406,   407,
       0,     0,     0,     0,   408,     0,     0,     0,     0,     0,
       0,     0,     0,   409,     0,   410,     0,   411,   412,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
     424,     0,     0,     0,     0,     0,     0,     0,   425,   426,
       0,   427,     0,   428,   429,   430,     0,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   438,   140,   439,     0,   440,   441,   442,   443,   144,
       0,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   458,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   464,   465,   153,   154,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,     0,   486,   487,   488,   162,   489,
     490,   164,     0,   491,     0,   492,   166,   493,     0,   494,
       0,   495,     0,     0,     0,   496,   497,     0,   498,   170,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   512,   513,     0,
       0,   173,     0,   514,   515,   516,     0,   175,     0,   176,
       0,   517,     0,     0,   518,     0,   519,   520,   521,   522,
     523,   524,   525,     0,   180,     0,   526,     0,     0,   527,
     528,   529,     0,     0,   530,   531,   532,  1159,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   187,     0,   189,
       0,   543,   544,   545,   546,   547,   548,   549,   190,   550,
       0,   551,   552,     0,   553,     0,   193,   554,   194,   555,
     556,     0,     0,   557,     0,     0,     0,   558,   559,   560,
       0,     0,   195,     0,     0,     0,   199,   561,   562,   563,
     564,   565,   566,     0,   567,   200,   568,   201,   569,   570,
     571,     0,   572,   573,   574,   575,   576,   577,   578,   203,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,     0,   594,   595,
     211,   596,   597,   598,   599,   600,   601,   602,   603,     0,
     604,   605,   606,   607,     0,   608,   215,   609,   610,     0,
     611,   218,     0,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   220,   622,     0,   623,   624,     0,   625,
     626,   627,   628,   629,     0,   222,   223,     0,     0,   631,
     224,   632,   225,     0,   633,   634,   635,   636,   637,   638,
       0,     0,   639,   640,   641,   642,     0,     0,   643,   644,
     645,   646,   647,   233,     0,   648,     0,   649,   650,   651,
       0,     0,   652,     0,     0,   653,   654,   655,   656,   657,
     236,   237,   238,   239,   240,   241,   242,   243,   658,   659,
     660,     0,     0,     0,    55,    86,    87,    88,   400,    90,
      91,    92,   401,     0,   402,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   403,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   404,   405,     0,     0,     0,   406,
     407,     0,     0,     0,     0,   408,     0,     0,     0,     0,
       0,     0,     0,     0,   409,     0,   410,     0,   411,   412,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,     0,     0,     0,     0,     0,   425,
     426,     0,   427,     0,   428,   429,   430,     0,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   438,   140,   439,     0,   440,   441,   442,   443,
     144,     0,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,     0,   456,   457,   458,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   464,   465,   153,   154,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,     0,   486,   487,   488,   162,
     489,   490,   164,     0,   491,     0,   492,   166,   493,     0,
     494,     0,   495,     0,     0,     0,   496,   497,     0,   498,
     170,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   512,   513,
       0,     0,   173,     0,   514,   515,   516,     0,   175,     0,
     176,     0,   517,     0,     0,   518,     0,   519,   520,   521,
     522,   523,   524,   525,     0,   180,     0,   526,     0,     0,
     527,   528,   529,     0,     0,   530,   531,   532,  1222,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   187,     0,
     189,     0,   543,   544,   545,   546,   547,   548,   549,   190,
     550,     0,   551,   552,     0,   553,     0,   193,   554,   194,
     555,   556,     0,     0,   557,     0,     0,     0,   558,   559,
     560,     0,     0,   195,     0,     0,     0,   199,   561,   562,
     563,   564,   565,   566,     0,   567,   200,   568,   201,   569,
     570,   571,     0,   572,   573,   574,   575,   576,   577,   578,
     203,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,     0,   594,
     595,   211,   596,   597,   598,   599,   600,   601,   602,   603,
       0,   604,   605,   606,   607,     0,   608,   215,   609,   610,
       0,   611,   218,     0,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   220,   622,     0,   623,   624,     0,
     625,   626,   627,   628,   629,     0,   222,   223,     0,     0,
     631,   224,   632,   225,     0,   633,   634,   635,   636,   637,
     638,     0,     0,   639,   640,   641,   642,     0,     0,   643,
     644,   645,   646,   647,   233,     0,   648,     0,   649,   650,
     651,     0,     0,   652,     0,     0,   653,   654,   655,   656,
     657,   236,   237,   238,   239,   240,   241,   242,   243,   658,
     659,   660,     0,     0,     0,    55,    86,    87,    88,   400,
      90,    91,    92,   401,     0,   402,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   403,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   404,   405,     0,     0,     0,
     406,   407,     0,     0,     0,     0,   408,     0,     0,     0,
       0,     0,     0,     0,     0,   409,     0,   410,     0,   411,
     412,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,   424,     0,     0,     0,     0,     0,     0,     0,
     425,   426,     0,   427,     0,   428,   429,   430,     0,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   438,   140,   439,     0,   440,   441,   442,
     443,   144,     0,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,     0,   456,   457,
     458,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   464,   465,   153,   154,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,     0,   486,   487,   488,
     162,   489,   490,   164,     0,   491,     0,   492,   166,   493,
       0,   494,     0,   495,     0,     0,     0,   496,   497,     0,
     498,   170,     0,   499,     0,   500,   501,   502,   503,  1248,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   512,
     513,     0,     0,   173,     0,   514,   515,   516,     0,   175,
       0,   176,     0,   517,     0,     0,   518,     0,   519,   520,
     521,   522,   523,   524,   525,     0,   180,     0,   526,     0,
       0,   527,   528,   529,     0,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   187,
       0,   189,     0,   543,   544,   545,   546,   547,   548,   549,
     190,   550,     0,   551,   552,     0,   553,     0,   193,   554,
     194,   555,   556,     0,     0,   557,     0,     0,     0,   558,
     559,   560,     0,     0,   195,     0,     0,     0,   199,   561,
     562,   563,   564,   565,   566,     0,   567,   200,   568,   201,
     569,   570,   571,     0,   572,   573,   574,   575,   576,   577,
     578,   203,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,     0,
     594,   595,   211,   596,   597,   598,   599,   600,   601,   602,
     603,     0,   604,   605,   606,   607,     0,   608,   215,   609,
     610,     0,   611,   218,     0,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   220,   622,     0,   623,   624,
       0,   625,   626,   627,   628,   629,     0,   222,   223,     0,
       0,   631,   224,   632,   225,     0,   633,   634,   635,   636,
     637,   638,     0,     0,   639,   640,   641,   642,     0,     0,
     643,   644,   645,   646,   647,   233,     0,   648,     0,   649,
     650,   651,     0,     0,   652,     0,     0,   653,   654,   655,
     656,   657,   236,   237,   238,   239,   240,   241,   242,   243,
     658,   659,   660,     0,     0,     0,    55,    86,    87,    88,
     400,    90,    91,    92,   401,     0,   402,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   403,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   404,   405,     0,     0,
       0,   406,   407,     0,     0,     0,     0,   408,     0,     0,
       0,     0,     0,     0,     0,     0,   409,     0,   410,     0,
     411,   412,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,     0,     0,     0,     0,
       0,   425,   426,     0,   427,     0,   428,   429,   430,     0,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   438,   140,   439,     0,   440,   441,
     442,   443,   144,     0,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,     0,   456,
     457,   458,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   464,   465,   153,   154,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,     0,   486,   487,
     488,   162,   489,   490,   164,     0,   491,     0,   492,   166,
     493,     0,   494,     0,   495,     0,     0,     0,   496,   497,
       0,   498,   170,     0,   499,     0,   500,   501,   502,   503,
    1253,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     512,   513,     0,     0,   173,     0,   514,   515,   516,     0,
     175,     0,   176,     0,   517,     0,     0,   518,     0,   519,
     520,   521,   522,   523,   524,   525,     0,   180,     0,   526,
       0,     0,   527,   528,   529,     0,     0,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     187,     0,   189,     0,   543,   544,   545,   546,   547,   548,
     549,   190,   550,     0,   551,   552,     0,   553,     0,   193,
     554,   194,   555,   556,     0,     0,   557,     0,     0,     0,
     558,   559,   560,     0,     0,   195,     0,     0,     0,   199,
     561,   562,   563,   564,   565,   566,     0,   567,   200,   568,
     201,   569,   570,   571,     0,   572,   573,   574,   575,   576,
     577,   578,   203,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
       0,   594,   595,   211,   596,   597,   598,   599,   600,   601,
     602,   603,     0,   604,   605,   606,   607,     0,   608,   215,
     609,   610,     0,   611,   218,     0,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   220,   622,     0,   623,
     624,     0,   625,   626,   627,   628,   629,     0,   222,   223,
       0,     0,   631,   224,   632,   225,     0,   633,   634,   635,
     636,   637,   638,     0,     0,   639,   640,   641,   642,     0,
       0,   643,   644,   645,   646,   647,   233,     0,   648,     0,
     649,   650,   651,     0,     0,   652,     0,     0,   653,   654,
     655,   656,   657,   236,   237,   238,   239,   240,   241,   242,
     243,   658,   659,   660,     0,     0,     0,    55,    86,    87,
      88,   400,    90,    91,    92,   401,     0,   402,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     403,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   404,   405,     0,
       0,     0,   406,   407,     0,     0,     0,     0,   408,     0,
       0,     0,     0,     0,     0,     0,     0,   409,     0,   410,
       0,   411,   412,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,   414,   415,   416,   417,   418,   419,   420,
     421,     0,   422,   423,   424,     0,     0,     0,     0,     0,
       0,     0,   425,   426,     0,   427,     0,   428,   429,   430,
       0,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   438,   140,   439,     0,   440,
     441,   442,   443,   144,     0,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   458,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   464,   465,   153,
     154,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,     0,   486,
     487,   488,   162,   489,   490,   164,     0,   491,     0,   492,
     166,   493,     0,   494,     0,   495,     0,     0,     0,   496,
     497,     0,   498,   170,     0,   499,     0,   500,   501,   502,
     503,  1261,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   512,   513,     0,     0,   173,     0,   514,   515,   516,
       0,   175,     0,   176,     0,   517,     0,     0,   518,     0,
     519,   520,   521,   522,   523,   524,   525,     0,   180,     0,
     526,     0,     0,   527,   528,   529,     0,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   187,     0,   189,     0,   543,   544,   545,   546,   547,
     548,   549,   190,   550,     0,   551,   552,     0,   553,     0,
     193,   554,   194,   555,   556,     0,     0,   557,     0,     0,
       0,   558,   559,   560,     0,     0,   195,     0,     0,     0,
     199,   561,   562,   563,   564,   565,   566,     0,   567,   200,
     568,   201,   569,   570,   571,     0,   572,   573,   574,   575,
     576,   577,   578,   203,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,     0,   594,   595,   211,   596,   597,   598,   599,   600,
     601,   602,   603,     0,   604,   605,   606,   607,     0,   608,
     215,   609,   610,     0,   611,   218,     0,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   220,   622,     0,
     623,   624,     0,   625,   626,   627,   628,   629,     0,   222,
     223,     0,     0,   631,   224,   632,   225,     0,   633,   634,
     635,   636,   637,   638,     0,     0,   639,   640,   641,   642,
       0,     0,   643,   644,   645,   646,   647,   233,     0,   648,
       0,   649,   650,   651,     0,     0,   652,     0,     0,   653,
     654,   655,   656,   657,   236,   237,   238,   239,   240,   241,
     242,   243,   658,   659,   660,     0,     0,     0,    55,    86,
      87,    88,   400,    90,    91,    92,   401,     0,   402,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   403,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   404,   405,
       0,     0,     0,   406,   407,     0,     0,     0,     0,   408,
       0,     0,     0,     0,     0,     0,     0,     0,   409,     0,
     410,     0,   411,   412,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,   424,     0,     0,     0,     0,
       0,     0,     0,   425,   426,     0,   427,     0,   428,   429,
     430,     0,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   438,   140,   439,     0,
     440,   441,   442,   443,   144,     0,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
       0,   456,   457,   458,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   464,   465,
     153,   154,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,     0,
     486,   487,   488,   162,   489,   490,   164,     0,   491,     0,
     492,   166,   493,     0,   494,     0,   495,     0,     0,     0,
     496,   497,     0,   498,   170,     0,   499,     0,   500,   501,
     502,   503,  1263,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   512,   513,     0,     0,   173,     0,   514,   515,
     516,     0,   175,     0,   176,     0,   517,     0,     0,   518,
       0,   519,   520,   521,   522,   523,   524,   525,     0,   180,
       0,   526,     0,     0,   527,   528,   529,     0,     0,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   187,     0,   189,     0,   543,   544,   545,   546,
     547,   548,   549,   190,   550,     0,   551,   552,     0,   553,
       0,   193,   554,   194,   555,   556,     0,     0,   557,     0,
       0,     0,   558,   559,   560,     0,     0,   195,     0,     0,
       0,   199,   561,   562,   563,   564,   565,   566,     0,   567,
     200,   568,   201,   569,   570,   571,     0,   572,   573,   574,
     575,   576,   577,   578,   203,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,     0,   594,   595,   211,   596,   597,   598,   599,
     600,   601,   602,   603,     0,   604,   605,   606,   607,     0,
     608,   215,   609,   610,     0,   611,   218,     0,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   220,   622,
       0,   623,   624,     0,   625,   626,   627,   628,   629,     0,
     222,   223,     0,     0,   631,   224,   632,   225,     0,   633,
     634,   635,   636,   637,   638,     0,     0,   639,   640,   641,
     642,     0,     0,   643,   644,   645,   646,   647,   233,     0,
     648,     0,   649,   650,   651,     0,     0,   652,     0,     0,
     653,   654,   655,   656,   657,   236,   237,   238,   239,   240,
     241,   242,   243,   658,   659,   660,     0,     0,     0,    55,
      86,    87,    88,   400,    90,    91,    92,   401,     0,   402,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   403,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   404,
     405,     0,     0,     0,   406,   407,     0,     0,     0,     0,
     408,     0,     0,     0,     0,     0,     0,     0,     0,   409,
       0,   410,     0,   411,   412,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,   424,     0,     0,     0,
       0,     0,     0,     0,   425,   426,     0,   427,     0,   428,
     429,   430,     0,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   438,   140,   439,
       0,   440,   441,   442,   443,   144,     0,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,     0,   456,   457,   458,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   464,
     465,   153,   154,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
       0,   486,   487,   488,   162,   489,   490,   164,     0,   491,
       0,   492,   166,   493,     0,   494,     0,   495,     0,     0,
       0,   496,   497,     0,   498,   170,     0,   499,     0,   500,
     501,   502,   503,  1265,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   512,   513,     0,     0,   173,     0,   514,
     515,   516,     0,   175,     0,   176,     0,   517,     0,     0,
     518,     0,   519,   520,   521,   522,   523,   524,   525,     0,
     180,     0,   526,     0,     0,   527,   528,   529,     0,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   187,     0,   189,     0,   543,   544,   545,
     546,   547,   548,   549,   190,   550,     0,   551,   552,     0,
     553,     0,   193,   554,   194,   555,   556,     0,     0,   557,
       0,     0,     0,   558,   559,   560,     0,     0,   195,     0,
       0,     0,   199,   561,   562,   563,   564,   565,   566,     0,
     567,   200,   568,   201,   569,   570,   571,     0,   572,   573,
     574,   575,   576,   577,   578,   203,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,     0,   594,   595,   211,   596,   597,   598,
     599,   600,   601,   602,   603,     0,   604,   605,   606,   607,
       0,   608,   215,   609,   610,     0,   611,   218,     0,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   220,
     622,     0,   623,   624,     0,   625,   626,   627,   628,   629,
       0,   222,   223,     0,     0,   631,   224,   632,   225,     0,
     633,   634,   635,   636,   637,   638,     0,     0,   639,   640,
     641,   642,     0,     0,   643,   644,   645,   646,   647,   233,
       0,   648,     0,   649,   650,   651,     0,     0,   652,     0,
       0,   653,   654,   655,   656,   657,   236,   237,   238,   239,
     240,   241,   242,   243,   658,   659,   660,     0,     0,     0,
      55,    86,    87,    88,   400,    90,    91,    92,   401,     0,
     402,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   403,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     404,   405,     0,     0,     0,   406,   407,     0,     0,     0,
       0,   408,     0,     0,     0,     0,     0,     0,     0,     0,
     409,     0,   410,     0,   411,   412,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
       0,     0,     0,     0,     0,   425,   426,     0,   427,     0,
     428,   429,   430,     0,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   438,   140,
     439,     0,   440,   441,   442,   443,   144,     0,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,     0,   456,   457,   458,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     464,   465,   153,   154,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,     0,   486,   487,   488,   162,   489,   490,   164,     0,
     491,     0,   492,   166,   493,     0,   494,     0,   495,     0,
       0,     0,   496,   497,     0,   498,   170,     0,   499,     0,
     500,   501,   502,   503,  1267,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   512,   513,     0,     0,   173,     0,
     514,   515,   516,     0,   175,     0,   176,     0,   517,     0,
       0,   518,     0,   519,   520,   521,   522,   523,   524,   525,
       0,   180,     0,   526,     0,     0,   527,   528,   529,     0,
       0,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   187,     0,   189,     0,   543,   544,
     545,   546,   547,   548,   549,   190,   550,     0,   551,   552,
       0,   553,     0,   193,   554,   194,   555,   556,     0,     0,
     557,     0,     0,     0,   558,   559,   560,     0,     0,   195,
       0,     0,     0,   199,   561,   562,   563,   564,   565,   566,
       0,   567,   200,   568,   201,   569,   570,   571,     0,   572,
     573,   574,   575,   576,   577,   578,   203,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,     0,   594,   595,   211,   596,   597,
     598,   599,   600,   601,   602,   603,     0,   604,   605,   606,
     607,     0,   608,   215,   609,   610,     0,   611,   218,     0,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     220,   622,     0,   623,   624,     0,   625,   626,   627,   628,
     629,     0,   222,   223,     0,     0,   631,   224,   632,   225,
       0,   633,   634,   635,   636,   637,   638,     0,     0,   639,
     640,   641,   642,     0,     0,   643,   644,   645,   646,   647,
     233,     0,   648,     0,   649,   650,   651,     0,     0,   652,
       0,     0,   653,   654,   655,   656,   657,   236,   237,   238,
     239,   240,   241,   242,   243,   658,   659,   660,     0,     0,
       0,    55,    86,    87,    88,   400,    90,    91,    92,   401,
       0,   402,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   403,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   404,   405,     0,     0,     0,   406,   407,     0,     0,
       0,     0,   408,     0,     0,     0,     0,     0,     0,     0,
       0,   409,     0,   410,     0,   411,   412,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,   424,     0,
       0,     0,     0,     0,     0,     0,   425,   426,     0,   427,
       0,   428,   429,   430,     0,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   438,
     140,   439,     0,   440,   441,   442,   443,   144,     0,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   458,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   464,   465,   153,   154,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,     0,   486,   487,   488,   162,   489,   490,   164,
       0,   491,     0,   492,   166,   493,     0,   494,     0,   495,
       0,     0,     0,   496,   497,     0,   498,   170,     0,   499,
       0,   500,   501,   502,   503,  1270,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   512,   513,     0,     0,   173,
       0,   514,   515,   516,     0,   175,     0,   176,     0,   517,
       0,     0,   518,     0,   519,   520,   521,   522,   523,   524,
     525,     0,   180,     0,   526,     0,     0,   527,   528,   529,
       0,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   187,     0,   189,     0,   543,
     544,   545,   546,   547,   548,   549,   190,   550,     0,   551,
     552,     0,   553,     0,   193,   554,   194,   555,   556,     0,
       0,   557,     0,     0,     0,   558,   559,   560,     0,     0,
     195,     0,     0,     0,   199,   561,   562,   563,   564,   565,
     566,     0,   567,   200,   568,   201,   569,   570,   571,     0,
     572,   573,   574,   575,   576,   577,   578,   203,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,     0,   594,   595,   211,   596,
     597,   598,   599,   600,   601,   602,   603,     0,   604,   605,
     606,   607,     0,   608,   215,   609,   610,     0,   611,   218,
       0,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   220,   622,     0,   623,   624,     0,   625,   626,   627,
     628,   629,     0,   222,   223,     0,     0,   631,   224,   632,
     225,     0,   633,   634,   635,   636,   637,   638,     0,     0,
     639,   640,   641,   642,     0,     0,   643,   644,   645,   646,
     647,   233,     0,   648,     0,   649,   650,   651,     0,     0,
     652,     0,     0,   653,   654,   655,   656,   657,   236,   237,
     238,   239,   240,   241,   242,   243,   658,   659,   660,     0,
       0,     0,    55,    86,    87,    88,   400,    90,    91,    92,
     401,     0,   402,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   403,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   404,   405,     0,     0,     0,   406,   407,     0,
       0,     0,     0,   408,     0,     0,     0,     0,     0,     0,
       0,     0,   409,     0,   410,     0,   411,   412,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,   424,
       0,     0,     0,     0,     0,     0,     0,   425,   426,     0,
     427,     0,   428,   429,   430,     0,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     438,   140,   439,     0,   440,   441,   442,   443,   144,     0,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   458,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   464,   465,   153,   154,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,     0,   486,   487,   488,   162,   489,   490,
     164,     0,   491,     0,   492,   166,   493,     0,   494,     0,
     495,     0,     0,     0,   496,   497,     0,   498,   170,     0,
     499,     0,   500,   501,   502,   503,  1272,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   512,   513,     0,     0,
     173,     0,   514,   515,   516,     0,   175,     0,   176,     0,
     517,     0,     0,   518,     0,   519,   520,   521,   522,   523,
     524,   525,     0,   180,     0,   526,     0,     0,   527,   528,
     529,     0,     0,   530,   531,   532,  1273,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   187,     0,   189,     0,
     543,   544,   545,   546,   547,   548,   549,   190,   550,     0,
     551,   552,     0,   553,     0,   193,   554,   194,   555,   556,
       0,     0,   557,     0,     0,     0,   558,   559,   560,     0,
       0,   195,     0,     0,     0,   199,   561,   562,   563,   564,
     565,   566,     0,   567,   200,   568,   201,   569,   570,   571,
       0,   572,   573,   574,   575,   576,   577,   578,   203,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,     0,   594,   595,   211,
     596,   597,   598,   599,   600,   601,   602,   603,     0,   604,
     605,   606,   607,     0,   608,   215,   609,   610,     0,   611,
     218,     0,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   220,   622,     0,   623,   624,     0,   625,   626,
     627,   628,   629,     0,   222,   223,     0,     0,   631,   224,
     632,   225,     0,   633,   634,   635,   636,   637,   638,     0,
       0,   639,   640,   641,   642,     0,     0,   643,   644,   645,
     646,   647,   233,     0,   648,     0,   649,   650,   651,     0,
       0,   652,     0,     0,   653,   654,   655,   656,   657,   236,
     237,   238,   239,   240,   241,   242,   243,   658,   659,   660,
       0,     0,     0,    55,    86,    87,    88,   400,    90,    91,
      92,   401,     0,   402,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   403,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   404,   405,     0,     0,     0,   406,   407,
       0,     0,     0,     0,   408,     0,     0,     0,     0,     0,
       0,     0,     0,   409,     0,   410,     0,   411,   412,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
     424,     0,     0,     0,     0,     0,     0,     0,   425,   426,
       0,   427,     0,   428,   429,   430,     0,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   438,   140,   439,     0,   440,   441,   442,   443,   144,
       0,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   458,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   464,   465,   153,   154,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,     0,   486,   487,   488,   162,   489,
     490,   164,     0,   491,     0,   492,   166,   493,     0,   494,
       0,   495,     0,     0,     0,   496,   497,     0,   498,   170,
       0,   499,     0,   500,   501,   502,   503,  1276,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   512,   513,     0,
       0,   173,     0,   514,   515,   516,     0,   175,     0,   176,
       0,   517,     0,     0,   518,     0,   519,   520,   521,   522,
     523,   524,   525,     0,   180,     0,   526,     0,     0,   527,
     528,   529,     0,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   187,     0,   189,
       0,   543,   544,   545,   546,   547,   548,   549,   190,   550,
       0,   551,   552,     0,   553,     0,   193,   554,   194,   555,
     556,     0,     0,   557,     0,     0,     0,   558,   559,   560,
       0,     0,   195,     0,     0,     0,   199,   561,   562,   563,
     564,   565,   566,     0,   567,   200,   568,   201,   569,   570,
     571,     0,   572,   573,   574,   575,   576,   577,   578,   203,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,     0,   594,   595,
     211,   596,   597,   598,   599,   600,   601,   602,   603,     0,
     604,   605,   606,   607,     0,   608,   215,   609,   610,     0,
     611,   218,     0,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   220,   622,     0,   623,   624,     0,   625,
     626,   627,   628,   629,     0,   222,   223,     0,     0,   631,
     224,   632,   225,     0,   633,   634,   635,   636,   637,   638,
       0,     0,   639,   640,   641,   642,     0,     0,   643,   644,
     645,   646,   647,   233,     0,   648,     0,   649,   650,   651,
       0,     0,   652,     0,     0,   653,   654,   655,   656,   657,
     236,   237,   238,   239,   240,   241,   242,   243,   658,   659,
     660,     0,     0,     0,    55,    86,    87,    88,   400,    90,
      91,    92,   401,     0,   402,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   403,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   404,   405,     0,     0,     0,   406,
     407,     0,     0,     0,     0,   408,     0,     0,     0,     0,
       0,     0,     0,     0,   409,     0,   410,     0,   411,   412,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,     0,     0,     0,     0,     0,   425,
     426,     0,   427,  1460,   428,   429,   430,     0,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     999,   437,   974,   140,  1461,     0,   440,   441,   442,   443,
     144,     0,     0,   444,   445,   446,   447,   448,     0,     0,
     450,   451,   452,   453,   454,   455,     0,   456,   457,   458,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   464,   465,   153,   154,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,     0,   486,   487,   488,   162,
     489,   490,   164,     0,   491,     0,   492,   166,   493,     0,
     494,     0,   495,     0,     0,     0,   496,   497,     0,   498,
     170,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   512,   513,
       0,     0,   173,     0,   514,   515,   516,     0,   175,     0,
     176,     0,   517,     0,     0,   518,     0,   519,   520,   521,
     522,   523,   524,   525,     0,   180,     0,   526,     0,     0,
     527,   528,   529,     0,     0,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,  1003,   187,     0,
     189,     0,   543,   544,   545,   546,   547,   548,   549,   190,
     550,     0,   551,   552,     0,   553,     0,   193,   554,   194,
     555,   556,     0,     0,   557,     0,     0,     0,   558,   559,
     560,     0,     0,   195,     0,     0,     0,   199,   561,   562,
     563,   564,   565,   566,     0,   567,   200,   568,   201,   569,
     570,   571,     0,   572,   573,   574,   575,   576,   577,   578,
     203,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,     0,  1004,
     595,   211,   596,   597,   598,  1005,   600,   601,   602,   603,
       0,   604,   605,   606,  1451,     0,   608,   215,   609,   610,
       0,   611,   218,     0,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   220,   622,     0,   623,   624,     0,
     625,   626,   627,   628,   629,     0,  1007,   223,     0,     0,
    1008,   224,   632,   225,     0,   633,   634,   635,   636,   637,
     638,     0,     0,   639,   640,   641,   642,     0,     0,   643,
     644,   645,   646,   978,   233,     0,   648,     0,   649,   650,
     651,     0,     0,   652,     0,     0,   653,   654,   655,   656,
    1009,   236,   237,   238,   239,   240,   241,   242,   243,   658,
     659,   660,     0,     0,     0,    55,    86,    87,    88,   400,
      90,    91,    92,   401,     0,   402,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   403,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   404,   405,     0,     0,     0,
     406,   407,     0,     0,     0,     0,   408,     0,     0,     0,
       0,     0,     0,     0,     0,   409,     0,   410,     0,   411,
     412,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,   424,     0,     0,     0,     0,     0,  1483,     0,
     425,   426,     0,   427,     0,   428,   429,   430,     0,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   438,   140,   439,     0,   440,   441,   442,
     443,   144,     0,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,     0,   456,   457,
     458,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   464,   465,   153,   154,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,     0,   486,   487,   488,
     162,   489,   490,   164,     0,   491,     0,   492,   166,   493,
       0,   494,     0,   495,     0,     0,     0,   496,   497,     0,
     498,   170,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   512,
     513,     0,     0,   173,     0,   514,   515,   516,     0,   175,
       0,   176,     0,   517,     0,     0,   518,     0,   519,   520,
     521,   522,   523,   524,   525,     0,   180,     0,   526,     0,
       0,   527,   528,   529,     0,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   187,
       0,   189,     0,   543,   544,   545,   546,   547,   548,   549,
     190,   550,     0,   551,   552,     0,   553,     0,   193,   554,
     194,   555,   556,     0,     0,   557,     0,     0,     0,   558,
     559,   560,     0,     0,   195,     0,     0,     0,   199,   561,
     562,   563,   564,   565,   566,     0,   567,   200,   568,   201,
     569,   570,   571,     0,   572,   573,   574,   575,   576,   577,
     578,   203,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,     0,
     594,   595,   211,   596,   597,   598,   599,   600,   601,   602,
     603,     0,   604,   605,   606,   607,     0,     0,   215,   609,
     610,     0,   611,   218,     0,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   220,   622,     0,   623,   624,
       0,   625,   626,   627,   628,   629,     0,   222,   223,     0,
       0,   631,   224,   632,   225,     0,   633,   634,   635,   636,
     637,   638,     0,     0,   639,   640,   641,   642,     0,     0,
     643,   644,   645,   646,   647,   233,     0,   648,     0,   649,
     650,   651,     0,     0,   652,     0,     0,   653,   654,   655,
     656,   657,   236,   237,   238,   239,   240,   241,   242,   243,
     658,   659,   660,     0,     0,     0,    55,  1573,    87,    88,
     400,    90,    91,    92,   401,     0,   402,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   403,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   404,   405,     0,     0,
       0,   406,   407,     0,     0,     0,     0,   408,     0,     0,
       0,     0,     0,     0,     0,     0,   409,     0,   410,     0,
     411,   412,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,     0,     0,     0,     0,
       0,   425,   426,     0,   427,     0,   428,   429,   430,     0,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   438,   140,   439,     0,   440,   441,
     442,   443,   144,     0,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,     0,   456,
     457,   458,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   464,   465,   153,   154,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,     0,   486,   487,
     488,   162,   489,   490,   164,     0,   491,     0,   492,   166,
     493,     0,   494,     0,   495,     0,     0,     0,   496,   497,
       0,   498,   170,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     512,   513,     0,     0,   173,     0,   514,   515,   516,     0,
     175,     0,   176,     0,   517,     0,     0,   518,     0,   519,
     520,   521,   522,   523,   524,   525,     0,   180,     0,   526,
       0,     0,   527,   528,   529,     0,     0,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     187,     0,   189,     0,   543,   544,   545,   546,   547,   548,
     549,   190,   550,     0,   551,   552,     0,   553,     0,   193,
     554,   194,   555,   556,     0,     0,   557,     0,     0,     0,
     558,   559,   560,     0,     0,   195,     0,     0,     0,   199,
     561,   562,   563,   564,   565,   566,     0,   567,   200,   568,
     201,   569,   570,   571,     0,   572,   573,   574,   575,   576,
     577,   578,   203,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
       0,   594,   595,   211,   596,   597,   598,   599,   600,   601,
     602,   603,     0,   604,   605,   606,   607,     0,   608,   215,
     609,   610,     0,   611,   218,     0,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   220,   622,     0,   623,
     624,     0,   625,   626,   627,   628,   629,     0,   222,   223,
       0,     0,   631,   224,   632,   225,     0,   633,   634,   635,
     636,   637,   638,     0,     0,   639,   640,   641,   642,     0,
       0,   643,   644,   645,   646,   647,   233,     0,   648,     0,
     649,   650,   651,     0,     0,   652,     0,     0,   653,   654,
     655,   656,   657,   236,   237,   238,   239,   240,   241,   242,
     243,   658,   659,   660,     0,     0,     0,    55,    86,    87,
      88,   400,    90,    91,    92,   401,     0,   402,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     403,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   404,   405,     0,
       0,     0,   406,   407,     0,     0,     0,     0,   408,     0,
       0,     0,     0,     0,     0,     0,     0,   409,     0,   410,
       0,   411,   412,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,   414,   415,   416,   417,   418,   419,   420,
     421,     0,   422,   423,   424,     0,     0,     0,     0,     0,
       0,     0,   425,   426,     0,   427,     0,   428,   429,   430,
       0,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   438,   140,   439,     0,   440,
     441,   442,   443,   144,     0,     0,   444,   445,   446,  1786,
     448,   449,     0,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   458,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   464,   465,   153,
     154,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,     0,   486,
     487,   488,   162,   489,   490,   164,     0,   491,     0,   492,
     166,   493,     0,   494,     0,   495,     0,     0,     0,   496,
     497,     0,   498,   170,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   512,   513,     0,     0,   173,     0,   514,   515,   516,
       0,   175,     0,   176,     0,   517,     0,     0,   518,     0,
     519,   520,   521,   522,   523,   524,   525,     0,   180,     0,
     526,     0,     0,   527,   528,   529,     0,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   187,     0,   189,     0,   543,   544,   545,   546,   547,
     548,   549,   190,   550,     0,   551,   552,     0,   553,     0,
     193,   554,   194,   555,   556,     0,     0,   557,     0,     0,
       0,   558,   559,   560,     0,     0,   195,     0,     0,     0,
     199,   561,   562,   563,   564,   565,   566,     0,   567,   200,
     568,   201,   569,   570,   571,     0,   572,   573,   574,   575,
     576,   577,   578,   203,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,     0,   594,   595,   211,   596,   597,   598,   599,   600,
     601,   602,   603,     0,   604,   605,   606,   607,     0,   608,
     215,   609,   610,     0,   611,   218,     0,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   220,   622,     0,
     623,   624,     0,   625,   626,   627,   628,   629,     0,   222,
     223,     0,     0,   631,   224,   632,   225,     0,   633,   634,
     635,   636,   637,   638,     0,     0,   639,   640,   641,   642,
       0,     0,   643,   644,   645,   646,   647,   233,     0,   648,
       0,   649,   650,   651,     0,     0,   652,     0,     0,   653,
     654,   655,   656,   657,   236,   237,   238,   239,   240,   241,
     242,   243,   658,   659,   660,     0,     0,     0,    55,    86,
      87,    88,   400,    90,    91,    92,   401,     0,   402,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   403,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   404,   405,
       0,     0,     0,   406,   407,     0,     0,     0,     0,   408,
       0,     0,     0,     0,     0,     0,     0,     0,   409,     0,
     410,     0,   411,   412,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,   424,     0,     0,     0,     0,
       0,     0,     0,   425,   426,     0,   427,     0,   428,   429,
     430,     0,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   438,   140,   439,     0,
     440,   441,   442,   443,   144,     0,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
       0,   456,   457,   458,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   464,   465,
     153,   154,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,     0,
     486,   487,   488,   162,   489,   490,   164,     0,   491,     0,
     492,   166,   493,     0,   494,     0,   495,     0,     0,     0,
     496,   497,     0,   498,   170,     0,   499,     0,   500,   501,
     502,   503,  1817,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   512,   513,     0,     0,   173,     0,   514,   515,
     516,     0,   175,     0,   176,     0,   517,     0,     0,   518,
       0,   519,   520,   521,   522,   523,   524,   525,     0,   180,
       0,   526,     0,     0,   527,   528,   529,     0,     0,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   187,     0,   189,     0,   543,   544,   545,   546,
     547,   548,   549,   190,   550,     0,   551,   552,     0,   553,
       0,   193,   554,   194,   555,   556,     0,     0,   557,     0,
       0,     0,   558,   559,   560,     0,     0,   195,     0,     0,
       0,   199,   561,   562,   563,   564,   565,   566,     0,   567,
     200,   568,   201,   569,   570,   571,     0,   572,   573,   574,
     575,   576,   577,   578,   203,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,     0,   594,   595,   211,   596,   597,   598,   599,
     600,   601,   602,   603,     0,   604,   605,   606,   607,     0,
     608,   215,   609,   610,     0,   611,   218,     0,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   220,   622,
       0,   623,   624,     0,   625,   626,   627,   628,   629,     0,
     222,   223,     0,     0,   631,   224,   632,   225,     0,   633,
     634,   635,   636,   637,   638,     0,     0,   639,   640,   641,
     642,     0,     0,   643,   644,   645,   646,   647,   233,     0,
     648,     0,   649,   650,   651,     0,     0,   652,     0,     0,
     653,   654,   655,   656,   657,   236,   237,   238,   239,   240,
     241,   242,   243,   658,   659,   660,     0,     0,     0,    55,
      86,    87,    88,   400,    90,    91,    92,   401,     0,   402,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   403,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   404,
     405,     0,     0,     0,   406,   407,     0,     0,     0,     0,
     408,     0,     0,     0,     0,     0,     0,     0,     0,   409,
       0,   410,     0,   411,   412,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,   424,     0,     0,     0,
       0,     0,     0,     0,   425,   426,     0,   427,     0,   428,
     429,   430,     0,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   438,   140,   439,
       0,   440,   441,   442,   443,   144,     0,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,     0,   456,   457,   458,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   464,
     465,   153,   154,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
       0,   486,   487,   488,   162,   489,   490,   164,     0,   491,
       0,   492,   166,   493,     0,   494,     0,   495,     0,     0,
       0,   496,   497,     0,   498,   170,     0,   499,     0,   500,
     501,   502,   503,  1819,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   512,   513,     0,     0,   173,     0,   514,
     515,   516,     0,   175,     0,   176,     0,   517,     0,     0,
     518,     0,   519,   520,   521,   522,   523,   524,   525,     0,
     180,     0,   526,     0,     0,   527,   528,   529,     0,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   187,     0,   189,     0,   543,   544,   545,
     546,   547,   548,   549,   190,   550,     0,   551,   552,     0,
     553,     0,   193,   554,   194,   555,   556,     0,     0,   557,
       0,     0,     0,   558,   559,   560,     0,     0,   195,     0,
       0,     0,   199,   561,   562,   563,   564,   565,   566,     0,
     567,   200,   568,   201,   569,   570,   571,     0,   572,   573,
     574,   575,   576,   577,   578,   203,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,     0,   594,   595,   211,   596,   597,   598,
     599,   600,   601,   602,   603,     0,   604,   605,   606,   607,
       0,   608,   215,   609,   610,     0,   611,   218,     0,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   220,
     622,     0,   623,   624,     0,   625,   626,   627,   628,   629,
       0,   222,   223,     0,     0,   631,   224,   632,   225,     0,
     633,   634,   635,   636,   637,   638,     0,     0,   639,   640,
     641,   642,     0,     0,   643,   644,   645,   646,   647,   233,
       0,   648,     0,   649,   650,   651,     0,     0,   652,     0,
       0,   653,   654,   655,   656,   657,   236,   237,   238,   239,
     240,   241,   242,   243,   658,   659,   660,     0,     0,     0,
      55,    86,    87,    88,   400,    90,    91,    92,   401,     0,
     402,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   403,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     404,   405,     0,     0,     0,   406,   407,     0,     0,     0,
       0,   408,     0,     0,     0,     0,     0,     0,     0,     0,
     409,     0,   410,     0,   411,   412,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
       0,     0,     0,     0,     0,   425,   426,     0,   427,     0,
     428,   429,   430,     0,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   438,   140,
     439,     0,   440,   441,   442,   443,   144,     0,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,     0,   456,   457,   458,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     464,   465,   153,   154,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,     0,   486,   487,   488,   162,   489,   490,   164,     0,
     491,     0,   492,   166,   493,     0,   494,     0,   495,     0,
       0,     0,   496,   497,     0,   498,   170,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   512,   513,     0,     0,   173,     0,
     514,   515,   516,     0,   175,     0,   176,     0,   517,     0,
       0,   518,     0,   519,   520,   521,   522,   523,   524,   525,
       0,   180,     0,   526,     0,     0,   527,   528,   529,     0,
       0,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   187,     0,   189,     0,   543,   544,
     545,   546,   547,   548,   549,   190,   550,     0,   551,   552,
       0,   553,     0,   193,   554,   194,   555,   556,     0,     0,
     557,     0,     0,     0,   558,   559,   560,     0,     0,   195,
       0,     0,     0,   199,   561,   562,   563,   564,   565,   566,
       0,   567,   200,   568,   201,   569,   570,   571,     0,   572,
     573,   574,   575,   576,   577,   578,   203,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,     0,   594,   595,   211,   596,   597,
    1913,   599,   600,   601,   602,   603,     0,   604,   605,   606,
     607,     0,   608,   215,   609,   610,     0,   611,   218,     0,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     220,   622,     0,   623,   624,     0,   625,   626,   627,   628,
     629,     0,   222,   223,     0,     0,   631,   224,   632,   225,
       0,   633,   634,   635,   636,   637,   638,     0,     0,   639,
     640,   641,   642,     0,     0,   643,   644,   645,   646,   647,
     233,     0,   648,     0,   649,   650,   651,     0,     0,   652,
       0,     0,   653,   654,   655,   656,   657,   236,   237,   238,
     239,   240,   241,   242,   243,   658,   659,   660,     0,     0,
       0,    55,    86,    87,    88,   400,    90,    91,    92,   401,
       0,   402,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   403,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   404,   405,     0,     0,     0,   406,   407,     0,     0,
       0,     0,   408,     0,     0,     0,     0,     0,     0,     0,
       0,   409,     0,   410,     0,   411,   412,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,   424,     0,
       0,     0,     0,     0,     0,     0,   425,   426,     0,   427,
       0,   428,   429,   430,     0,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   438,
     140,   439,     0,   440,   441,   442,   443,   144,     0,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   458,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   464,   465,   153,   154,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,     0,   486,   487,   488,   162,   489,   490,   164,
       0,   491,     0,   492,   166,   493,     0,   494,     0,   495,
       0,     0,     0,   496,   497,     0,   498,   170,     0,   499,
       0,   500,   501,   502,   503,  2419,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   512,   513,     0,     0,   173,
       0,   514,   515,   516,     0,   175,     0,   176,     0,   517,
       0,     0,   518,     0,   519,   520,   521,   522,   523,   524,
     525,     0,   180,     0,   526,     0,     0,   527,   528,   529,
       0,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   187,     0,   189,     0,   543,
     544,   545,   546,   547,   548,   549,   190,   550,     0,   551,
     552,     0,   553,     0,   193,   554,   194,   555,   556,     0,
       0,   557,     0,     0,     0,   558,   559,   560,     0,     0,
     195,     0,     0,     0,   199,   561,   562,   563,   564,   565,
     566,     0,   567,   200,   568,   201,   569,   570,   571,     0,
     572,   573,   574,   575,   576,   577,   578,   203,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,     0,   594,   595,   211,   596,
     597,   598,   599,   600,   601,   602,   603,     0,   604,   605,
     606,   607,     0,   608,   215,   609,   610,     0,   611,   218,
       0,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   220,   622,     0,   623,   624,     0,   625,   626,   627,
     628,   629,     0,   222,   223,     0,     0,   631,   224,   632,
     225,     0,   633,   634,   635,   636,   637,   638,     0,     0,
     639,   640,   641,   642,     0,     0,   643,   644,   645,   646,
     647,   233,     0,   648,     0,   649,   650,   651,     0,     0,
     652,     0,     0,   653,   654,   655,   656,   657,   236,   237,
     238,   239,   240,   241,   242,   243,   658,   659,   660,     0,
       0,     0,    55,    86,    87,    88,   400,    90,    91,    92,
     401,     0,   402,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   403,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   404,   405,     0,     0,     0,   406,   407,     0,
       0,     0,     0,   408,     0,     0,     0,     0,     0,     0,
       0,     0,   409,     0,   410,     0,   411,   412,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,   424,
       0,     0,     0,     0,     0,     0,     0,   425,   426,     0,
     427,     0,   428,   429,   430,     0,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   999,   437,
     974,   140,   439,     0,   440,   441,   442,   443,   144,     0,
       0,   444,   445,   446,   447,   448,     0,     0,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   458,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   464,   465,   153,   154,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,     0,   486,   487,   488,   162,   489,   490,
     164,     0,   491,     0,   492,   166,   493,     0,   494,     0,
     495,     0,     0,     0,   496,   497,     0,   498,   170,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   512,   513,     0,     0,
     173,     0,   514,   515,   516,     0,   175,     0,   176,     0,
     517,     0,     0,   518,     0,   519,   520,   521,   522,   523,
     524,   525,     0,   180,     0,   526,     0,     0,   527,   528,
     529,     0,     0,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,  1003,   187,     0,   189,     0,
     543,   544,   545,   546,   547,   548,   549,   190,   550,     0,
     551,   552,     0,   553,     0,   193,   554,   194,   555,   556,
       0,     0,   557,     0,     0,     0,   558,   559,   560,     0,
       0,   195,     0,     0,     0,   199,   561,   562,   563,   564,
     565,   566,     0,   567,   200,   568,   201,   569,   570,   571,
       0,   572,   573,   574,   575,   576,   577,   578,   203,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,     0,  1004,   595,   211,
     596,   597,   598,  1005,   600,   601,   602,   603,     0,   604,
     605,   606,  1451,     0,   608,   215,   609,   610,     0,   611,
     218,     0,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   220,   622,     0,   623,   624,     0,   625,   626,
     627,   628,   629,     0,  1007,   223,     0,     0,  1008,   224,
     632,   225,     0,   633,   634,   635,   636,   637,   638,     0,
       0,   639,   640,   641,   642,     0,     0,   643,   644,   645,
     646,   978,   233,     0,   648,     0,   649,   650,   651,     0,
       0,   652,     0,     0,   653,   654,   655,   656,  1009,   236,
     237,   238,   239,   240,   241,   242,   243,   658,   659,   660,
       0,     0,     0,    55,    86,    87,    88,   400,    90,    91,
      92,   401,     0,   402,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   403,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   404,   405,     0,     0,     0,   406,   407,
       0,     0,     0,     0,   408,     0,     0,     0,     0,     0,
       0,     0,     0,   409,     0,   410,     0,   411,   412,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
     424,     0,     0,     0,     0,     0,     0,     0,   425,   426,
       0,   427,     0,   428,   429,   430,     0,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   999,
     437,   974,   140,   439,     0,   440,   441,   442,   443,   144,
       0,     0,   444,   445,   446,   447,   448,     0,     0,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   458,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   464,   465,   153,   154,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,     0,   486,   487,   488,   162,   489,
     490,   164,     0,   491,     0,   492,   166,   493,     0,   494,
       0,   495,     0,     0,     0,   496,   497,     0,   498,   170,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   512,   513,     0,
       0,   173,     0,   514,   515,   516,     0,   175,     0,   176,
       0,   517,     0,     0,   518,     0,   519,   520,   521,   522,
     523,   524,   525,     0,   180,     0,   526,     0,     0,   527,
     528,   529,     0,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,  1003,   187,     0,   189,
       0,   543,   544,   545,   546,   547,   548,   549,   190,   550,
       0,   551,   552,     0,   553,     0,   193,   554,   194,   555,
     556,     0,     0,   557,     0,     0,     0,   558,   559,   560,
       0,     0,   195,     0,     0,     0,   199,   561,   562,   563,
     564,   565,   566,     0,   567,   200,   568,   201,   569,   570,
     571,     0,   572,   573,   574,   575,   576,   577,   578,   203,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,     0,  1004,   595,
     211,   596,   597,   598,  1005,   600,   601,   602,   603,     0,
     604,   605,   606,  1451,     0,   608,   215,   609,   610,     0,
     611,   218,     0,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   220,   622,     0,   623,   624,     0,  2175,
     626,   627,   628,   629,     0,  1007,   223,     0,     0,  1008,
     224,   632,   225,     0,   633,   634,   635,   636,   637,   638,
       0,     0,   639,   640,   641,   642,     0,     0,   643,   644,
     645,   646,   978,   233,     0,   648,     0,   649,   650,   651,
       0,     0,   652,     0,     0,   653,   654,   655,   656,  1009,
     236,   237,   238,   239,   240,   241,   242,   243,   658,   659,
     660,     0,     0,     0,    55,    86,    87,    88,   400,    90,
      91,    92,   401,     0,   402,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   403,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   404,   405,     0,     0,     0,   406,
     407,     0,     0,     0,     0,   408,     0,     0,     0,     0,
       0,     0,     0,     0,   409,     0,   410,     0,   411,   412,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,     0,     0,     0,     0,     0,   425,
     426,     0,   427,     0,   428,   429,   430,     0,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     999,   437,   974,   140,   439,     0,   440,   441,   442,   443,
     144,     0,     0,   444,   445,   446,   447,   448,     0,     0,
     450,   451,   452,   453,   454,   455,     0,   456,   457,   458,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   464,   465,   153,   154,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,     0,   486,   487,   488,   162,
     489,   490,   164,     0,   491,     0,   492,   166,   493,     0,
     494,     0,   495,     0,     0,     0,   496,   497,     0,   498,
     170,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   512,   513,
       0,     0,   173,     0,   514,   515,   516,     0,   175,     0,
     176,     0,   517,     0,     0,   518,     0,   519,   520,   521,
     522,   523,   524,   525,     0,   180,     0,   526,     0,     0,
     527,   528,   529,     0,     0,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,  1003,   187,     0,
     189,     0,   543,   544,   545,   546,   547,   548,   549,   190,
     550,     0,   551,   552,     0,   553,     0,   193,   554,   194,
     555,   556,     0,     0,   557,     0,     0,     0,   558,   559,
     560,     0,     0,   195,     0,     0,     0,   199,   561,   562,
     563,   564,   565,   566,     0,   567,   200,   568,   201,   569,
     570,   571,     0,   572,   573,   574,   575,   576,   577,   578,
     203,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,     0,  1004,
     595,   211,   596,   597,   598,  2202,   600,   601,   602,   603,
       0,   604,   605,   606,  1451,     0,   608,   215,   609,   610,
       0,   611,   218,     0,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   220,   622,     0,   623,   624,     0,
     625,   626,   627,   628,   629,     0,  1007,   223,     0,     0,
    1008,   224,   632,   225,     0,   633,   634,   635,   636,   637,
     638,     0,     0,   639,   640,   641,   642,     0,     0,   643,
     644,   645,   646,   978,   233,     0,   648,     0,   649,   650,
     651,     0,     0,   652,     0,     0,   653,   654,   655,   656,
    1009,   236,   237,   238,   239,   240,   241,   242,   243,   658,
     659,   660,     0,     0,     0,    55,    86,    87,    88,   400,
      90,    91,    92,   401,     0,   402,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   403,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   404,   405,     0,     0,     0,
     406,   407,     0,     0,     0,     0,   408,     0,     0,     0,
       0,     0,     0,     0,     0,   409,     0,   410,     0,   411,
     412,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,   424,     0,     0,     0,     0,     0,     0,     0,
     425,   426,     0,   427,     0,   428,   429,   430,     0,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   438,   140,   439,     0,   440,   441,   442,
     443,   144,     0,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,     0,   456,   457,
     458,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   464,   465,   153,   154,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,     0,   486,   487,   488,
     162,   489,   490,   164,     0,   491,     0,   492,   166,   493,
       0,   494,     0,   495,     0,     0,     0,   496,   497,     0,
     498,   170,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   512,
     513,     0,     0,   173,     0,   514,   515,   516,     0,   175,
       0,   176,     0,   517,     0,     0,   518,     0,   519,   520,
     521,   522,   523,   524,   525,     0,   180,     0,   526,     0,
       0,   527,   528,   529,     0,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   187,
       0,   189,     0,   543,   544,   545,   546,   547,   548,   549,
     190,   550,     0,   551,   552,     0,   553,     0,   193,   554,
     194,   555,   556,     0,     0,   557,     0,     0,     0,   558,
     559,   560,     0,     0,   195,     0,     0,     0,   199,   561,
     562,   563,   564,     0,   566,     0,   567,   200,   568,   201,
     569,   570,   571,     0,   572,   573,   574,   575,   576,     0,
     578,   203,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,     0,
     594,   595,   211,     0,   597,   598,   599,   600,   601,   602,
     603,     0,   604,   605,   606,   607,     0,   608,   215,   609,
     610,     0,   611,   218,     0,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   220,   622,     0,   623,   624,
       0,   625,   626,   627,   628,   629,     0,   222,   223,     0,
       0,   631,   224,   632,   225,     0,   633,   634,   635,   636,
     637,   638,     0,     0,   639,   640,   641,   642,     0,     0,
     643,   644,   645,   646,   647,   233,     0,   648,     0,   649,
     650,   651,     0,     0,   652,     0,     0,   653,   654,   655,
     656,   657,   236,   237,   238,   239,   240,   241,   242,   243,
     658,   659,   660,    86,    87,    88,    55,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115, -2053,   116,
     117,   118,     0,     0,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,   127,     0,    35,
       0,   394,     0,     0,     0,     0,     0,    41,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,   144,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   149,     0,
       0,     0,     0,     0,   150,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   153,   154,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   160,     0,     0,     0,     0,     0,   162,     0,     0,
     164,     0,     0,     0,     0,   166,     0,     0,     0,     0,
       0,   167,     0,   168,     0,     0,     0,     0,   170,     0,
       0,     0,     0,     0,     0,     0,     0,   171,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   172,
     173,     0,     0,     0,     0,     0,   175,     0,   176,     0,
       0,   177,   178,     0,   179,     0,     0,     0,     0,     0,
       0,     0,     0,   180,   181,     0,   182,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   187,   188,   189,     0,
       0,     0,     0,     0,     0,     0,     0,   190,     0,     0,
       0,     0,   192,     0,     0,   193,     0,   194,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   195,   196,   197,   198,   199,     0,     0,     0,     0,
       0,     0,     0,     0,   200,     0,   201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   209,     0,     0,   211,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   215,     0,     0,   217,     0,
     218,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   220,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   222,   223,     0,     0,     0,   224,
       0,   225,     0,     0,     0,     0,     0,     0,     0,   228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   233,     0,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,     0,     0,     0,
      86,    87,    88,    55,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115, -2054,   116,   117,   118,     0,
       0,     0,     0,     0,   121,   122,     0,     0,     0,     0,
     123,     0,     0,     0,     0,     0,     0,     0,     0,   124,
       0,   125,     0,   126,   127,     0,    35,     0,  1083,     0,
       0,     0,     0,     0,    41,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   133,     0,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,     0,     0,     0,     0,   144,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   149,     0,     0,     0,     0,
       0,   150,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   153,   154,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   160,     0,
       0,     0,     0,     0,   162,     0,     0,   164,     0,     0,
       0,     0,   166,     0,     0,     0,     0,     0,   167,     0,
     168,     0,     0,     0,     0,   170,     0,     0,     0,     0,
       0,     0,     0,     0,   171,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   172,   173,     0,     0,
       0,     0,     0,   175,     0,   176,     0,     0,   177,   178,
       0,   179,     0,     0,     0,     0,     0,     0,     0,     0,
     180,   181,     0,   182,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   187,   188,   189,     0,     0,     0,     0,
       0,     0,     0,     0,   190,     0,     0,     0,     0,   192,
       0,     0,   193,     0,   194,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   195,   196,
     197,   198,   199,     0,     0,     0,     0,     0,     0,     0,
       0,   200,     0,   201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   203,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   209,     0,     0,   211,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   215,     0,     0,   217,     0,   218,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   220,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   222,   223,     0,     0,     0,   224,     0,   225,     0,
       0,     0,     0,     0,     0,     0,   228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   233,
       0,     0,   234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,     0,     0,     0,    86,    87,    88,
      55,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,   115,     0,   116,   117,   118,     0,     0,     0,     0,
       0,   121,   122,     0,     0,     0,     0,   123,     0,     0,
       0,     0,     0,     0,     0,     0,   124,     0,   125,     0,
     126,     0,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,   144,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   149,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   153,   154,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   160,     0,     0,     0,     0,
       0,   162,     0,     0,   164,     0,     0,     0,     0,   166,
       0,     0,     0,     0,     0,   167,     0,   168,     0,     0,
       0,     0,   170,     0,     0,     0,     0,     0,     0,     0,
       0,   171,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   172,   173,     0,     0,     0,     0,     0,
     175,     0,   176,     0,     0,   177,   178,     0,   179,     0,
       0,     0,     0,     0,     0,     0,     0,   180,   181,     0,
     182,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     187,   188,   189,     0,     0,     0,     0,     0,     0,     0,
       0,   190,     0,     0,     0,     0,   192,     0,     0,   193,
       0,   194,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   195,   196,   197,   198,   199,
       0,     0,     0,     0,     0,     0,     0,     0,   200,     0,
     201,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     209,     0,     0,   211,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   215,
       0,     0,   217,     0,   218,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   222,   223,
       0,     0,     0,   224,     0,   225,     0,     0,     0,     0,
       0,     0,     0,   228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   233,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,     0,     0,     0,    86,    87,    88,    55,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,   115,     0,
     116,   117,   118,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   133,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,     0,     0,     0,     0,   144,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   149,
       0,     0,     0,     0,     0,   150,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   153,   154,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   160,     0,     0,     0,     0,     0,   162,     0,
       0,   164,     0,     0,     0,     0,   166,     0,     0,     0,
       0,     0,   167,     0,   168,     0,     0,     0,     0,   170,
       0,     0,     0,     0,     0,     0,     0,     0,   171,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     172,   173,     0,     0,     0,     0,     0,   175,     0,   176,
       0,     0,   177,   178,     0,   179,     0,     0,     0,     0,
       0,     0,     0,     0,   180,   181,     0,   182,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   187,   188,   189,
       0,     0,     0,     0,     0,     0,     0,     0,   190,     0,
       0,     0,     0,   192,     0,     0,   193,     0,   194,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   195,   196,   197,   198,   199,     0,     0,     0,
       0,     0,     0,     0,     0,   200,     0,   201,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   203,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   209,     0,     0,
     211,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   215,     0,     0,   217,
       0,   218,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   220,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   222,   223,     0,     0,     0,
     224,     0,   225,     0,     0,     0,     0,     0,     0,     0,
     228,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   233,     0,     0,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,   237,   238,   239,   240,   241,   242,   243,     0,     0,
       0,    86,    87,    88,    55,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   133,
       0,     0,     0,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   140,
       0,     0,     0,     0,     0,     0,   144,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   149,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   153,   154,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   162,     0,     0,   164,     0,
       0,     0,     0,   166,     0,     0,     0,     0,     0,   167,
       0,   168,     0,     0,     0,     0,   170,     0,     0,     0,
       0,     0,     0,     0,     0,   171,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   172,   173,     0,
       0,     0,     0,     0,   175,     0,   176,     0,     0,   177,
     178,     0,   179,     0,     0,     0,     0,     0,     0,     0,
       0,   180,   181,     0,   182,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   187,   188,   189,     0,     0,     0,
       0,     0,     0,     0,     0,   190,     0,     0,     0,     0,
     192,     0,     0,   193,     0,   194,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   195,
     196,   197,   198,   199,     0,     0,     0,     0,     0,     0,
       0,     0,   200,     0,   201,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   203,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   209,     0,     0,   211,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   215,     0,     0,   217,     0,   218,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     220,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   222,   223,     0,     0,     0,   224,     0,   225,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     233,     0,     0,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,     0,     0,     0,     0,     0,
       0,    55
};

static const yytype_int16 yycheck[] =
{
       2,  1097,   165,   244,   816,  1252,   854,  1052,  1052,     2,
     151,    78,  1001,  1054,   117,  1259,    78,   152,  1323,  1629,
     226,  1745,  1309,   186,   148,   117,    78,     2,  1016,  1004,
    1167,  1880,    84,   117,  2214,  1841,   948,   949,  1150,    78,
    1221,   953,   854,    78,    94,    84,  1126,   169,  1160,  1729,
    1357,  1358,    78,    78,   692,   903,   362,   160,  1848,  1386,
    2214,  2215,   208,  1008,  2027,  1662,  1336,   202,   160,  1376,
     901,   132,   362,  1802,   905,  2501,   160,  1116,   117,  2677,
     147,  1778,   132,  2968,   915,   221,   208,    89,  1916,  1764,
    1202,   903,  2639,  1764,   230,  1207,  2403,  1198,  2246,  1613,
    1764,   151,  1214,  1764,  1479,  1764,  2078,  1527,  1528,  1529,
    2830,  1223,  2832,  2475,  1097,   207,  1764,   214,   334,  2408,
    2409,   160,   214,  3205,   216,   228,    78,  2893,   348,  2414,
    3375,  2921,    84,  1656,   158,  2087,   228,  3423,    89,  1582,
    1837,  1291,  1282,  1244,   228,  1229,  1347,  1348,  2123,   151,
    2084,  3395,  1130,    21,  1049,  2921,    30,  1949,  1049,  1092,
    1093,  1266,  1097,   348,    73,    10,    73,    71,   124,    71,
     920,  1372,  1277,    72,  3101,    72,    73,   244,    73,    98,
     220,    80,   184,    80,  2159,   110,   143,  3898,  2163,   228,
     165,  2907,  2908,  2909,  2910,  2911,  2912,    85,    73,  2347,
     194,   103,  1577,    76,    77,    78,    79,   802,   252,   170,
     215,   186,    84,   136,   165,    73,    38,  2009,    40,   133,
     153,   102,   234,  2321,  1077,    76,    77,    78,    79,    73,
      37,    89,    71,   198,   215,   186,   215,   252,   252,    71,
     117,   108,   880,    78,  3445,    89,  3447,   102,    29,    84,
     330,    25,   117,    25,   117,  1979,   315,   294,    89,   170,
     117,   198,   217,   294,   103,    96,    73,   126,    78,    76,
      77,    78,    79,  3940,   353,   222,   172,   101,  2426,   359,
    2428,   348,   117,   160,  1196,    78,   153,   354,   117,   256,
     419,    84,   354,    76,    77,    78,    79,   170,   174,   187,
    1275,    71,  1678,  1291,   359,   254,   389,    83,   363,    76,
      77,    78,    79,   302,  1302,  1303,   172,   147,   117,   354,
      71,   210,   215,   362,   117,   160,   175,  1464,   354,   354,
      37,   160,   387,   103,  1182,   215,    76,    77,    78,    79,
     142,   124,   215,     0,   396,   241,   215,    92,  3593,   399,
     177,   228,   103,   212,   437,  2330,    78,   396,    14,   348,
     998,    76,    77,    78,    79,   234,    73,   160,   317,    89,
    1182,   500,   207,    76,    77,    78,    79,   253,   207,   214,
    1756,   216,   184,   350,    71,   214,  1762,   216,   252,   219,
    1429,   302,  1290,   228,   252,    76,    77,    78,    79,   228,
      71,   456,   189,  1779,   163,  1732,   302,   364,   252,   233,
     362,   442,   252,  1720,  1721,   254,   255,   497,   497,   374,
    1727,    71,   198,   370,   389,    76,    77,    78,    79,  1260,
      76,    77,    78,    79,   471,   228,   808,   252,   497,  1427,
     419,   813,   330,   124,   396,    76,    77,    78,    79,  1696,
      89,   307,   389,   103,    89,   499,  1700,    96,  4125,    73,
     500,    96,  3707,   244,    71,   376,   305,    76,    77,    78,
      79,   843,   361,  3263,   248,   326,   248,   252,  1508,    71,
     302,  1469,  1470,  1314,   343,  1460,   501,   501,   500,   630,
      76,    77,    78,    79,  1325,   500,   429,  3263,   804,   387,
     365,  3746,   365,   497,  4215,   419,  1337,   430,   365,  1407,
      76,    77,    78,    79,   804,  3231,   497,  1718,  1719,  1114,
      73,   893,   170,   484,   396,  1726,   407,   362,   900,  2209,
    1280,  1712,    76,    77,    78,    79,    76,    77,    78,    79,
    1652,   497,  1654,   500,   354,  2479,   419,    76,    77,    78,
      79,  1688,   407,    76,    77,    78,    79,    76,    77,    78,
      79,   396,   429,   394,  3491,  3766,   365,   254,   443,   362,
     126,   439,   497,   482,   433,   482,   169,   476,   497,   476,
     630,   488,   489,   254,   140,   482,  1873,   482,   437,   493,
     497,   493,  1693,   488,   489,  2192,   372,  1709,   443,   439,
    2754,  3846,  2756,   396,   254,   478,  1690,   500,  1541,  1544,
    1463,   484,   439,   389,  1467,  1468,   336,   362,  1513,  3166,
     500,   495,  1513,   491,   482,   384,   499,   478,   630,   374,
     488,   489,   354,   215,  1612,   500,   500,   500,   482,  2573,
    2015,  3357,   692,   501,   488,   489,  2021,   254,   319,   488,
     489,   490,   491,   492,   493,   138,   212,   501,   490,   491,
     492,   493,   254,  1494,   447,   452,   175,  1747,  3912,   810,
     477,   478,   479,   480,  2403,   482,  2983,   117,   423,   187,
    2987,   488,   489,  2646,  2659,   500,   822,    76,    77,    78,
      79,    89,   412,    71,   414,   478,   179,   800,   164,  3727,
    1805,   500,  1786,   345,  1854,  1845,   847,   447,   800,  1814,
     926,   478,  2664,    90,   497,  3350,   800,  1822,  1823,   163,
     490,   491,   492,   493,  2872,  2873,   501,   319,   495,  2172,
     497,   217,   499,   381,   252,  1840,   252,   246,   478,  2893,
    1941,  1942,   457,   419,   350,  1598,   314,   882,  2540,  2541,
      14,  1604,   888,  2545,   360,   394,   897,   497,   138,   394,
     475,   800,   410,   478,   927,   804,   929,  2921,   931,  2867,
     170,   237,  2870,  2871,   937,   478,  2874,   383,  4064,  4179,
     318,   170,   497,   448,   182,   147,  2884,   343,   307,  1637,
     138,  1644,  2584,  2585,  1647,  1648,   444,   478,   361,   179,
    1172,   488,   489,   490,   491,   492,   493,  1179,   456,  1784,
     481,   457,  2966,   837,   485,   486,   497,   488,   489,   490,
     491,   492,   493,   959,   500,  1637,   170,   478,   421,   475,
     880,   179,   478,   319,  4234,   372,   838,   419,   488,   489,
     490,   491,   492,   493,  1697,   869,   497,   478,   331,   497,
     294,   497,   804,   312,   294,   497,   234,   219,  1230,  3890,
    2383,  3746,   209,   477,  1852,   458,   497,  3924,   482,   478,
     247,  1783,   381,   923,   488,   489,   254,   433,  1866,   387,
     216,   488,   489,   490,   491,   492,   493,  4132,   497,   481,
    1026,  3919,   478,   456,  1883,  1884,   488,   489,   490,   491,
     492,   493,   484,   456,  2633,  1002,   126,   307,    85,  1006,
    1002,   497,   478,   133,  1006,  3200,   402,   499,   920,  1949,
     140,   439,   460,   800,   477,   365,  2650,   920,   437,   482,
     413,   497,   500,   282,   478,   488,   489,   500,   478,  1000,
     138,   319,   130,   409,   410,   920,   312,   387,   998,   478,
    1000,   331,   927,   497,   929,   478,   931,   497,   302,   478,
     497,   963,   937,   938,   939,   800,   172,   175,   497,   804,
    2075,   800,    85,  1821,   497,   182,   927,   184,   929,   187,
     931,   179,  4039,   331,  1815,   501,   937,  4018,  1027,   991,
    3710,   338,   212,  1824,   495,  1591,   332,   999,   499,   140,
     162,  1003,  1004,  1005,   366,  1836,   317,   800,   160,  1821,
     187,   804,   207,   147,  3561,  3562,  3563,  1915,  1916,    76,
      77,    78,    79,  1619,    76,    77,    78,    79,  1926,   170,
     379,  1929,  2339,   413,    76,    77,    78,    79,   497,  1937,
    1938,  3676,  3677,  3678,  3679,  3680,   218,  1878,  4130,  4131,
    1881,  1882,  1950,  1951,  1885,    73,   392,  4066,    76,    77,
      78,    79,  2158,  1961,  3854,   413,    76,    77,    78,    79,
      76,    77,    78,    79,   187,  1027,   228,   239,  2066,    76,
      77,    78,    79,   215,  1077,   219,    89,    89,  3854,   478,
    1092,  1093,    94,   482,   456,  1097,   302,   256,   293,  1947,
    2281,   273,  1077,   481,  1097,   312,   484,   485,   486,  3263,
     488,   489,   490,   491,   492,   493,  3478,   227,  2016,   281,
      97,   283,  1097,   343,  4206,   110,  1077,   315,   170,  3436,
     132,   497,   340,   331,  3441,  1947,   498,  3444,   419,   501,
     382,  1092,  1093,  3432,  2741,   206,  1097,   252,   141,   151,
     152,    76,    77,    78,    79,    76,    77,    78,    79,   161,
     216,   302,  4171,   165,   170,    71,  1407,  1002,   410,   218,
     456,  1006,   282,  1002,  2421,  2158,   161,  1006,   171,   182,
    3029,   410,   359,   217,   186,  2429,   242,  2368,  2369,  2370,
    2371,   350,  1027,   170,   374,  1197,  4205,   103,   173,   330,
     202,   257,   108,   484,    76,    77,    78,    79,   450,   270,
     173,   267,  3310,   433,   500,   413,   421,   330,  3316,  3317,
    3318,  3319,  3320,  3321,   273,  1292,  3198,   372,   359,  3057,
    1292,   139,   366,   118,  1027,    76,    77,    78,    79,  2753,
     412,   126,   414,   423,  3842,   238,   359,  4132,  2923,   108,
    1317,    87,  2923,   314,  2983,  1317,   231,  1292,  2987,  2923,
     245,   216,  2923,  1569,  2923,  3413,  1292,  1292,   231,   379,
     106,  1487,  1322,  1275,  1341,  2923,   175,  1279,  1280,  1569,
    1282,  1501,  1502,   191,  1504,   319,  1279,  1280,  2141,  1282,
    2665,  3083,   437,  1360,  3086,  3087,  3088,  3089,  3090,  3091,
    3092,  3093,  3094,  3095,  1279,  1280,  3454,  1282,  3456,   294,
    4030,   110,   196,   369,  2415,  2420,  1501,  1502,   350,  1504,
    3017,    25,   456,  1390,    76,    77,    78,    79,   234,  2434,
    2435,    35,   162,  2438,    76,    77,    78,    79,   329,  2444,
    1407,   500,  2952,    76,    77,    78,    79,   246,   254,   255,
     359,  3143,  3144,   173,   363,   263,   264,   389,  3784,  3847,
     104,   497,   161,   412,   498,   414,   250,   501,   276,   342,
     197,   230,  2411,   330,  1477,   234,   174,   501,   387,   456,
     165,   125,   307,  1444,  1445,  1477,   307,   165,   273,  2220,
     400,   401,   377,  1477,  1444,  1445,   163,   399,  2503,   305,
      85,   450,   359,   170,  2257,   437,    91,  1409,   235,   140,
     269,   231,  2265,   319,  2267,  3903,   484,  1419,   170,   123,
     342,   478,   330,   500,   321,    22,   478,   141,  1430,  1521,
    1802,   499,  1804,   330,  1501,  1502,   478,  1504,  1477,   323,
     497,  1813,   227,  3990,  2731,   497,   245,   456,   421,   227,
     294,   281,  2759,   283,   421,   253,  3763,   171,  1460,   477,
     478,  1463,    99,   500,   482,  1467,  1468,  2442,   478,   456,
    1463,   489,   478,   501,  1467,  1468,    73,   321,  1539,  1582,
    2900,   478,  1521,  1522,  1523,   458,   330,   218,  1463,  1539,
    1582,   458,  1467,  1468,  1586,   294,   374,   282,  1582,   421,
     285,    41,   187,   411,   282,   413,   237,   484,  1880,  3997,
    2540,  2541,  1463,   500,  1606,  2545,  1467,  1468,   495,  2157,
     497,   498,   499,   500,   238,  1620,   165,   426,  1623,   182,
    1569,   184,   391,  4061,  4062,   302,   458,  1576,   437,  1541,
    1533,   178,   273,  1582,   248,   423,   374,  1639,   432,   439,
    3648,  3649,   449,   478,  2584,  2585,  1531,   478,  1533,   175,
     165,   503,  1555,  1556,   282,  3745,   116,   285,  1663,  1127,
    1522,  1523,   248,   217,  1549,   481,  3368,     5,   377,   349,
    1555,  1556,   488,   489,   490,   491,   492,   493,   227,   330,
    1541,   322,  1150,   372,   379,   423,   146,    25,   442,   243,
    1477,   379,  1160,   373,    16,  1598,   478,    35,   382,  3572,
      73,  1604,  2510,    76,    77,    78,    79,  1569,   359,   398,
     940,  2996,   227,  1598,  1576,    93,    94,  2732,   630,  1604,
     246,  3355,   399,   376,  2465,   402,   410,   478,  3078,  4047,
     960,  4169,  1477,   282,  1521,   330,   285,  1598,  1477,   302,
    1891,  1644,   202,  1604,  1647,  1648,  1759,   378,  1660,   312,
    2558,   379,  3102,  3038,   411,  2770,  2771,  1759,   411,  1644,
    1811,  2751,  1647,  1648,   359,  1759,   450,   282,   260,   210,
     285,   412,   232,   414,  1477,   470,  1521,  1522,  1523,  2587,
     692,  2680,   423,  1644,   330,   123,  1647,  1648,   229,   457,
    3854,   477,   433,  2648,  1697,  1582,   482,  3436,  3305,   456,
     457,  4119,  3441,   456,   457,  3444,   412,   475,   414,  4127,
    1759,   206,  1697,   359,  2622,   210,   478,   376,  1521,  1522,
    1523,  1855,   163,   207,  1569,  1802,   478,  2635,  2636,   497,
     379,  1576,   216,  3535,  3536,   478,  1697,  1582,  3123,    51,
     497,  1586,   330,  1582,   497,   330,  2604,  1586,   186,  1895,
    4168,  3909,   411,  1765,  1910,   381,   495,    69,   330,    34,
    2076,  1606,   501,  3871,   379,   128,  1569,  1606,  3105,  3106,
    3050,   359,  1784,  1576,   359,   270,  2076,  1909,  3942,  1582,
     497,   115,  2604,   146,   410,  3585,   457,   359,  2651,   419,
     317,   363,    71,   210,  1639,   322,   159,   456,   457,  3533,
    1639,   317,   387,   363,   475,   365,   322,   367,  2456,  1794,
     248,   437,   229,   373,  1891,   387,    95,   423,   444,   314,
     380,   470,   147,   163,  1901,    71,  3141,   387,   162,  1901,
     456,   498,   361,  1845,   501,   395,  1848,   346,   497,   175,
    3530,     7,  1845,   403,   169,  1848,   378,   210,   497,    95,
     175,   133,  2674,    19,    20,   470,  1901,   144,   140,   498,
    1845,   457,   501,  1848,   376,  1901,  1901,   879,   880,  1982,
     882,   497,  1759,    39,   199,  4065,    42,   330,   381,   475,
    1982,   500,   497,   381,   456,   504,  3001,  1152,  1982,  1154,
    3005,   451,  3007,   492,  3009,  3010,  1161,   495,   497,   411,
     499,   497,   236,  3018,   502,  1964,   359,   410,  1967,  1986,
     246,   923,   410,   237,  1759,   927,   412,   929,   414,   931,
    1759,   246,  1934,   481,   492,   937,   206,  2100,  3245,   497,
     210,   499,   502,  1982,   387,   313,  3051,  3234,  3235,   317,
      73,   444,  1927,  1928,   456,   457,   444,   281,   500,   283,
    1935,   229,   504,   456,  1939,  1940,  1759,   495,  2799,   497,
     294,   499,   488,   489,   490,   491,   492,   303,   304,  1954,
     163,  1956,   498,   114,  2815,   254,   378,   143,  2819,   503,
    2965,   182,   495,   184,   497,   497,   998,  3789,  1000,   497,
     270,  1976,   496,  1978,   497,   329,   500,    72,    73,   497,
    2922,  3740,   260,   204,   477,   478,   479,   480,   254,   482,
     496,  3813,  3814,  2090,   500,   488,   489,   183,   490,   491,
     492,  2403,   196,  2174,  3763,   482,   497,  2076,   499,  3888,
     364,   175,   206,  2045,   314,  2557,   210,  2559,  2560,   252,
     319,  3039,  2027,  3083,  3191,   381,  3086,  3087,  3088,  3089,
    3090,  3091,  3092,  3093,  3094,  3095,   381,   317,   498,  2172,
     500,   497,  2124,   397,  2126,  1077,   498,    71,   500,   114,
    2172,  2893,   104,   319,   410,  2124,   250,  2126,  2172,   472,
    1092,  1093,  3326,  3327,  1096,   410,  3330,   499,  3332,  2997,
     498,    95,   500,   123,   124,  1982,   270,  2157,   498,  2921,
     500,   437,   246,  3143,  3144,  3839,   307,   498,   444,   500,
     256,   312,   437,   320,  2076,  2100,   498,   320,   500,   444,
     456,   126,    72,  2172,   419,  2238,    76,    77,    78,    79,
      80,   456,   498,  2145,   500,   140,  2238,  1982,  2141,  2100,
     314,   500,   501,  1982,  2238,   498,  2158,   500,  2160,   323,
    2162,  3241,  2403,   456,   457,  2158,  2141,  2160,   472,  2162,
     304,   497,  2124,   317,  2126,   170,  3968,   172,  2270,   498,
     317,   500,   497,  2158,   104,  2160,  2270,  2162,   320,  1982,
    2141,   498,   472,   500,  2145,   498,  3027,   500,   256,  2238,
    2202,   372,   373,  4009,  1200,  4011,  3935,  2158,   497,   490,
     499,   498,   481,   500,  3112,   484,   485,   486,  3049,   488,
     489,   490,   491,   492,   493,   165,   412,   498,   414,   500,
    2354,  2270,   372,   373,   425,   126,  3541,   498,   498,   500,
     500,  2076,   387,   434,  3425,   481,   241,   381,   484,   485,
     486,   214,   488,   489,   490,   491,   492,   493,   500,   501,
     254,  2633,   500,   498,  2257,   500,   498,   498,   432,   500,
     497,   182,  2265,   184,  2267,   498,   410,   500,  1046,   170,
    1048,   498,  2257,  2076,   498,   114,   500,   227,   501,  2124,
    2265,  2126,  2267,   204,   490,  2172,   488,   489,   490,   491,
     492,   503,  1304,   437,   496,   503,  2257,   302,   473,   474,
     444,  2313,   307,   498,  2265,   500,  2267,   456,   457,  2321,
    1322,   498,   456,   500,   412,   319,   414,  1323,   498,  4058,
     500,  2124,   248,  2126,   498,   419,  2403,  2172,  3368,   498,
     151,   500,   282,  2172,   419,   285,  2587,  3452,   343,   498,
     498,   500,   500,     8,  3459,  3460,    11,    12,   456,   457,
     355,  2238,  2337,   497,  2988,  2367,  2990,    22,    23,    24,
     419,    26,    27,  1327,  1328,  3662,    31,    32,    33,  2172,
     498,   498,   500,   500,   498,   498,   500,   500,  2390,    71,
     497,   302,     2,  2270,   151,   498,   307,   500,   498,   193,
     500,   312,   498,  2238,   500,   216,  2456,   419,   498,  2238,
     500,   302,   498,   498,   500,   500,   307,   498,   498,   500,
     500,   103,  2628,  2629,    98,   498,   108,   500,   498,   419,
     500,   242,   498,  1435,   500,  2270,  2681,  2682,   433,   379,
    2442,  2270,  1444,  1445,   114,  2238,   257,  3278,  3279,  2683,
    2684,  3263,   343,   498,   439,   500,   267,   248,   498,   216,
     500,  1463,  2565,   419,   355,  1467,  1468,  2570,    78,   498,
     498,   500,   500,  2565,    84,   254,    85,  2270,  2570,   290,
     497,  2565,    91,  1094,  1095,   242,  2570,   481,  3793,   499,
     484,   485,   486,   459,   488,   489,   490,   491,   492,   493,
     257,   498,   498,   500,   500,  3535,  3536,   117,   163,   498,
     267,   500,   499,   195,   425,   498,  4126,   500,   497,   497,
    2587,   130,   498,   434,   500,   498,  2565,   500,   110,   317,
     470,  2570,   210,   290,  2601,  3576,   476,  1539,   478,  1541,
     501,   151,   433,   268,   498,  3657,   500,  1549,   230,   498,
     160,   500,   234,  2620,  2540,  2541,   439,   317,   369,  2545,
     317,   498,   498,   500,   500,   498,  2633,   500,    71,   317,
     152,   180,   254,   255,   498,   498,   500,   500,   187,   497,
     311,   190,  1578,   498,   498,   500,   500,   269,   498,   378,
     500,  3878,    95,   260,   176,   815,  1598,   207,  2584,  2585,
     820,   498,  1604,   500,   214,   498,   216,   500,   828,   497,
     126,  2983,   369,   195,   456,  2987,   836,   498,   228,   500,
      98,   841,  3520,   305,   459,   497,   428,   104,   104,   211,
     239,   330,   287,   210,   260,    71,   502,   319,   439,  1635,
     200,   200,  1644,   225,   497,  1647,  1648,   200,   200,  2651,
     459,   200,   500,   200,   200,   200,   317,  3029,  2651,   200,
     200,   200,   200,   317,  3969,   200,   497,  3772,    98,  3774,
    3775,  2646,   268,   210,  2649,   211,  2651,   210,  3783,   497,
     497,   497,   439,   497,   339,   294,   339,   497,  2565,   497,
     497,   497,   497,  2570,   497,  1697,   327,  4002,  1694,   497,
    2651,  4006,  4007,   500,   497,   497,    98,   497,   153,   391,
     497,   497,   497,   497,   497,  1711,   497,   497,   268,   497,
     497,   330,   497,   497,   497,   307,   254,    98,   210,   210,
    2565,  3579,   490,   315,   954,  2570,  2565,   248,  2830,  2831,
    2832,  2570,   379,   285,   500,   169,  2830,  2831,  2832,   438,
     970,   254,   362,    37,   363,   500,  4003,   484,  1754,  3789,
    4004,    14,   500,   497,   497,   497,   348,  3579,   419,   419,
     499,   419,  2565,   428,   419,   419,   380,  2570,   387,   419,
     419,  1001,   307,  3813,  3814,   317,   396,   419,   133,   438,
     317,  2830,  2831,  2832,   419,   239,  3708,   497,   419,   481,
    1020,   439,  3633,  3634,  2939,  3636,   488,   489,   490,   491,
     492,   493,  2814,   500,  1810,   439,   319,  2920,   254,   419,
     330,   419,   419,   114,  1044,   114,   419,   419,  2920,   497,
     321,   419,  2973,   419,  2836,   419,  2920,   317,   419,   419,
     419,  2976,  2817,    72,    73,   376,   317,    76,    77,    78,
      79,    80,   254,   196,   456,  1857,   497,   447,    98,    97,
      87,  3966,   497,   206,   497,  2867,   170,   210,  2870,  2871,
    1872,   439,  2874,  2940,   450,   449,   276,    98,  2940,   210,
     317,  2920,  2884,   319,   497,    98,   453,  2889,  2955,   377,
     200,  2893,   499,  2955,   200,   439,   439,  2899,   200,   200,
    2893,    14,   419,   366,   215,   500,   497,   250,   306,  2976,
    3151,   417,   287,   287,  2976,   444,  2983,   472,  2893,  2921,
    2987,    71,   452,  2898,  2899,  3756,  3824,   270,  2921,   500,
     387,   417,  2934,   497,  3923,  3766,   497,   215,  3968,   318,
    4187,   170,  2893,   500,  3989,  3989,  2921,  3153,  3154,  3155,
    3156,   419,   421,  2830,  2831,  2832,   228,   228,   484,   312,
     250,   484,  2964,  2965,   498,   270,    85,    34,    10,  3036,
    2921,   314,    91,   419,  3036,   376,   500,   419,   481,   500,
     323,   484,   485,   486,  1980,   488,   489,   490,   491,   492,
     493,   498,   139,   498,   498,  2830,  2831,  2832,   497,   258,
     258,  2830,  2831,  2832,  1224,  1225,  1226,   497,   307,  2011,
    3858,   130,   307,  3116,   307,   324,  2018,   317,   315,   359,
     630,   500,   251,   419,  3116,  2027,   359,   359,   384,   419,
     419,   350,  3116,    98,   254,   254,   254,  2830,  2831,  2832,
     439,   315,  3854,  2920,   273,   481,  3858,   254,   484,   485,
     486,   439,   488,   489,   490,   491,   492,   493,   254,   484,
      97,   180,   495,   495,  3436,   419,   210,   419,   187,  3441,
    4166,   190,  3444,   484,   212,  3973,   497,  3116,   199,    98,
     223,   384,   317,   491,  3151,  2920,   226,   226,   210,   432,
     500,  2920,   497,  1313,    98,   200,   384,  3083,  2100,   210,
    3086,  3087,  3088,  3089,  3090,  3091,  3092,  3093,  3094,  3095,
     459,   317,   317,  3276,   410,   500,  1336,    86,   220,   284,
     239,   114,  3953,   317,   500,  3127,  4222,  2920,   498,   498,
     498,   215,   498,   498,   498,   498,   498,   498,   472,  2141,
     500,   498,   472,  2145,   215,    14,   497,  2149,   498,  2151,
     498,  4247,   498,   419,   498,  2157,   498,  3143,  3144,  3262,
     497,  3264,   498,   326,   484,   206,   453,  3169,   419,    98,
    3262,   500,  3264,   501,   498,   294,  4088,   500,  3262,   497,
    3264,   498,  4013,   270,   497,  4083,   442,   116,   244,   307,
     800,   270,   814,   334,   804,   436,   818,   334,   808,  3291,
     254,   279,   419,   813,   279,   827,   279,  3291,   419,   419,
     419,   330,   495,   498,   254,   419,   419,   146,   419,   419,
     254,   254,   254,  3262,   254,  3264,   254,   285,   319,   498,
     852,   270,   484,   843,   856,   321,   428,   361,   163,  3116,
     359,   498,   497,  3218,   363,   867,   500,   476,   477,   478,
     419,   315,  3291,   482,  1474,  2257,   317,   439,   317,   488,
     489,  3263,   498,  2265,   497,  2267,   257,   116,   387,   257,
    3263,   497,   325,   202,   312,  3277,   886,   439,   439,   198,
     198,  3116,  3284,   893,  3286,   320,   193,  3116,  3263,   215,
     900,    71,   449,   495,   210,   124,   484,   146,   215,   498,
     498,  3276,   497,   232,   484,    71,   318,   498,  3310,   498,
     920,   222,  3263,   500,  3316,  3317,  3318,  3319,  3320,  3321,
     498,   497,   244,  3116,   484,  3276,   419,   428,   428,    95,
     419,   260,   498,   210,   419,  2331,   419,   103,   258,   498,
     498,   254,   108,   498,   254,  3338,   497,   496,  3350,   456,
      98,   497,   210,   202,   240,   459,   135,  3359,  3360,  3361,
    3362,   456,  3337,  3338,   411,   497,   456,   500,  3740,  3436,
     497,  3346,   481,   257,  3441,  3350,   384,  3444,   498,   219,
     497,   497,  3368,   232,  3359,  3262,   996,  3264,   215,   497,
     481,  3763,  1002,   484,   485,   486,  1006,   488,   489,   490,
     491,   492,   493,   215,   498,  1625,   498,   114,   454,  3411,
     454,   224,   500,   428,  3291,   497,   307,  1027,   498,   307,
    3583,   484,   200,   500,   500,  1035,  3589,  3262,   254,  3264,
     177,   307,   172,  3262,   363,  3264,   241,   439,   367,   496,
    3603,   217,   215,   439,   373,   188,   199,   498,   497,   259,
     215,   380,  1672,   419,  2456,  2457,  3291,   320,   387,   210,
     215,   497,  3291,   443,   230,   396,   395,   498,   234,  3262,
     497,  3264,  1692,   497,   403,   497,   455,   498,   333,   439,
     498,   330,   355,   497,   497,  3857,   456,   210,   254,   255,
     500,    98,   307,   280,   347,  2491,   237,   163,  3291,    85,
     126,   373,   373,   269,   320,    91,   126,   484,   114,   323,
     359,   318,   210,   317,   363,   411,  3888,   205,   367,   320,
     320,  3684,   451,   456,   373,   481,   455,   456,   443,   500,
      98,   380,   353,   500,   188,   456,   302,    98,   387,   305,
     317,   183,   317,   497,   130,   497,   395,   498,   372,  3535,
    3536,   175,   437,   319,   403,   372,   322,    84,   199,    95,
     497,   347,  1172,  3935,   354,  2353,  1468,  2651,  2764,  1179,
    3572,  3573,  2244,  4124,  3262,  2889,  3874,  3398,  3401,  3572,
    2223,  3250,  3701,  3585,  2728,  2461,  4150,  4186,  4113,  4112,
    1200,  4158,  3585,  1780,   180,  3403,  2956,  3572,  2192,  3410,
    3291,   187,   451,  2831,   190,  1766,  1826,  2341,  3583,  2933,
    3585,  4247,  4222,  3670,  3589,  1835,  3669,  2920,  3710,  2892,
    1230,  4165,  3860,  4095,  1757,   391,  3710,  3863,  3603,   186,
    1315,  3935,  3583,  3470,  3412,  4058,  3611,  3612,  3589,  2215,
    4065,  3616,  3617,  3416,  2646,  3712,  3648,  3649,  4210,  2651,
    3712,  3910,  3603,   239,  4246,   163,  2085,  3659,  3660,  1017,
      71,  3663,  3664,  1883,  1884,  4037,  1498,  3396,  3037,  1279,
    1280,  3710,  1282,  1292,  3676,  3677,  3678,  3679,  3680,  2662,
    1290,  1292,  2454,  3465,  2118,  2671,  4058,  2685,  1511,  1493,
    1037,  3583,   103,  3217,  2117,  2103,  3763,   108,  2633,  2079,
    2403,  3676,  3677,  3678,  3679,  3680,  2989,   888,   294,  3684,
    3764,  1026,  2663,  1323,  3393,   481,  3718,  3126,   484,   485,
     486,  3971,   488,   489,   490,   491,   492,   493,  3118,  4144,
     496,  4145,  4148,  3684,  2674,  1345,   502,  2601,  2599,  2512,
    2480,  1292,  3744,   630,   330,    85,  2012,  2973,  1235,  2396,
    1796,    91,  2145,  4138,  1523,   363,  1517,  2121,   922,  1322,
    1115,  2158,  2151,  1373,  2645,  2152,  3221,  2763,  1095,  3222,
    3571,  3196,  1441,   359,  1521,  2457,   395,   363,  2162,  4151,
    1872,  3449,  1279,     2,    -1,    -1,    -1,    -1,    -1,    -1,
     130,  2011,    -1,    -1,  1404,  1405,    -1,  1407,  2794,    -1,
    2796,   387,    -1,  3789,    -1,    -1,    -1,    -1,    -1,    -1,
    1420,    -1,    -1,    -1,  1424,    -1,  2036,    -1,    -1,   230,
      -1,    -1,    -1,   234,    -1,    -1,    -1,  3813,  3814,    -1,
      -1,    -1,    -1,  3710,    -1,    -1,    -1,    -1,    -1,    -1,
     180,  3834,    -1,   254,   255,    -1,    -1,   187,    -1,    -1,
     190,    -1,  3854,  1463,    -1,    -1,    -1,    -1,   269,  3834,
      -1,  3854,    -1,    -1,  4236,  2085,  1476,  1477,    -1,  3871,
      -1,    -1,  2868,  3875,    -1,  3710,    -1,    -1,    71,  3854,
      -1,  3710,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2893,    -1,  1503,   305,    -1,  3963,  1507,  1508,   239,
      -1,  3963,    95,  3854,    -1,    -1,    -1,    -1,   319,    -1,
     103,  1521,  1522,  1523,    -1,   108,    -1,  3710,    -1,  2921,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3932,    -1,    -1,    -1,    -1,    -1,    -1,  2939,  4030,    -1,
      -1,  2937,    -1,    -1,    -1,    -1,  4030,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   294,  2951,    -1,    -1,    -1,  1569,
      -1,    -1,    -1,    -1,    -1,    -1,  1576,    -1,  1578,    -1,
      -1,    -1,  1582,    -1,  2976,    -1,  1586,    -1,    -1,    -1,
     391,    -1,  3968,    -1,    -1,  4226,    -1,    -1,    -1,    -1,
     330,  4030,    -1,    -1,    -1,    -1,  1606,    -1,    71,    -1,
      -1,    -1,    -1,  1613,    -1,    -1,  3002,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2235,    -1,    -1,    -1,   359,
      -1,    -1,    -1,   363,    -1,  1635,    -1,    -1,    -1,  1639,
     103,    -1,    -1,    -1,    -1,   108,    -1,   230,    -1,    -1,
      -1,   234,    -1,    -1,    -1,    -1,    -1,   387,    -1,    -1,
      -1,    -1,    -1,    -1,  1676,    -1,    -1,    -1,    -1,    -1,
      -1,   254,   255,    -1,    -1,    -1,    -1,  3063,    -1,    -1,
     481,    -1,    -1,   484,   485,   486,   269,   488,   489,   490,
     491,   492,   493,    -1,  1694,    -1,  3082,    -1,    -1,    -1,
      -1,    -1,  4067,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1711,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,
      -1,  3107,   305,    -1,    -1,    -1,  4067,    -1,    -1,  1729,
      -1,    -1,    -1,    -1,    -1,    -1,   319,    -1,    -1,   322,
      -1,  2351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1763,    -1,  4210,  1754,  3141,    -1,    -1,    -1,  1759,
      -1,    -1,    -1,  4030,    -1,    -1,  1778,   230,    -1,  4226,
      -1,   234,    -1,    -1,  4166,  2385,    -1,    -1,    -1,    -1,
      -1,    -1,  2392,  4166,    -1,    98,    -1,    -1,    -1,  4246,
      -1,   254,   255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4166,  1802,   116,  1804,  4030,   269,    -1,   391,    -1,
    1810,  4030,    -1,  1813,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1837,    -1,    -1,    -1,  3221,
    4222,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,  4222,
      -1,    -1,   305,    -1,    -1,  1845,    -1,  4030,  1848,    -1,
      -1,    -1,    -1,    -1,    -1,  4247,   319,  4222,    -1,    -1,
      -1,    -1,    -1,    -1,  4247,    -1,    -1,    -1,    -1,    -1,
      -1,  3263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1880,    -1,  4247,    -1,  3276,    -1,    -1,    -1,    -1,   202,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   481,    -1,
      -1,   484,   485,   486,    -1,   488,   489,   490,   491,   492,
     493,    -1,    -1,    -1,    -1,  1915,  1916,   500,    -1,   232,
      -1,    -1,    -1,  1923,    -1,    -1,  1926,    -1,   391,  1929,
      -1,    -1,    -1,    -1,  1934,    71,    -1,  1937,  1938,    -1,
      -1,    -1,    -1,    -1,    -1,  1945,    -1,   260,  1948,  1949,
    1950,  1951,    -1,    -1,    -1,    -1,    -1,    -1,  1958,  1959,
      -1,  1961,    -1,  1963,    -1,    -1,  1966,   103,    -1,    -1,
      -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1980,  1981,  1982,    -1,    -1,  1985,    -1,    -1,    -1,  1989,
      -1,    -1,    -1,  1993,    -1,  3381,  1996,  1997,  1998,  1999,
    2000,  2001,  2002,  2003,  2004,    -1,  2006,    -1,    -1,    -1,
      -1,    -1,  2012,    -1,    -1,    71,  2016,  2627,   481,    -1,
      -1,    -1,   485,   486,    -1,   488,   489,   490,   491,   492,
     493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,
      -1,    -1,    -1,    -1,    -1,    -1,   809,   103,   811,    -1,
     363,    -1,   108,    -1,   367,    -1,    -1,    -1,    -1,   195,
     373,    -1,    -1,   826,    -1,    -1,    -1,   380,    -1,    -1,
    2680,    -1,    -1,    -1,   387,    -1,  2076,    -1,    -1,    -1,
      -1,    -1,   395,    -1,    -1,    -1,   849,  2087,    -1,    -1,
     403,    -1,    -1,    -1,   230,    -1,    -1,    -1,   234,    -1,
      -1,    -1,   865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    96,    -1,    -1,    -1,    -1,    -1,   254,   255,
      -1,    -1,   106,    -1,  2124,    -1,  2126,    -1,    -1,    -1,
      -1,    -1,    -1,   269,    -1,    -1,    -1,    -1,   451,    -1,
      -1,    -1,   455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3541,    -1,  2169,   142,    -1,
    2160,  2173,  2162,    -1,    -1,    -1,    -1,    -1,   152,   305,
      -1,   155,  2172,    -1,   230,    -1,  2188,   161,   234,    -1,
    3572,   165,    -1,   319,  2196,    -1,    -1,    -1,    -1,  2189,
      -1,  3583,    -1,    -1,    -1,    -1,    -1,  3589,   254,   255,
      -1,    -1,   186,    -1,    -1,    -1,    -1,  2219,    -1,  2209,
      -1,  3603,    -1,   269,  2214,  2215,    -1,    -1,   202,  3605,
      -1,    -1,    -1,    -1,  2236,    -1,    -1,  3613,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2238,  2251,
      -1,  2253,    -1,    -1,    -1,    -1,   302,    -1,    -1,   305,
      -1,   235,     5,    -1,    -1,   391,    -1,    -1,    -1,  2271,
      -1,    -1,    -1,   319,    -1,    -1,  2278,    -1,    -1,    -1,
    2270,    -1,    25,  2285,    -1,    -1,    -1,    -1,    -1,    -1,
    2292,    -1,    35,    36,    -1,    -1,    -1,    -1,    41,    -1,
      43,    44,  3684,    -1,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,  2932,    76,    77,    78,    79,    80,    -1,  2329,
      -1,  2331,  2942,    -1,    -1,   391,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   481,    -1,    -1,  2958,    -1,
      -1,    -1,   488,   489,   490,   491,   492,   493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     123,  1134,  1135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3768,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2393,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3011,    -1,  2403,  3014,    -1,    -1,  3793,    -1,    -1,
      -1,  3021,    -1,  2413,    -1,   399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   481,    -1,    -1,   484,   485,
     486,  1194,   488,   489,   490,   491,   492,   493,    -1,    -1,
    3050,   194,    -1,    -1,    -1,    -1,    -1,  1210,  1211,    -1,
    2450,    -1,    -1,    -1,    -1,   208,    -1,    -1,    -1,    -1,
      -1,  2473,  3854,    -1,    -1,  1228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,
    2480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2501,
      -1,  2491,    -1,  1256,  1257,   248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,    -1,
    2510,  2511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,   282,
      -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2540,  2541,    -1,    -1,    -1,  2545,    -1,    -1,  3158,  3159,
      -1,    -1,    -1,    -1,   307,    -1,   146,  2557,  2558,  2559,
    2560,    -1,    -1,    -1,    -1,  2565,    -1,    -1,    -1,  2569,
    2570,    -1,  2572,    -1,  2574,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3969,  2584,  2585,    -1,  2587,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2600,    -1,  2602,    -1,    -1,    -1,  2606,    -1,    -1,    -1,
      -1,    85,   202,    -1,    -1,    -1,  4002,    91,    -1,    -1,
    4006,  4007,  2622,    -1,    -1,    -1,   379,    -1,    71,    -1,
      -1,    -1,    -1,  2633,    -1,  2635,  2636,  2637,    -1,    -1,
      -1,   115,   232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2655,   130,    -1,    -1,    -1,
     103,    -1,    -1,    -1,  2664,   108,   419,    -1,    -1,    -1,
     260,  2671,    -1,    -1,    -1,  4067,  2676,    -1,    -1,   432,
      -1,    -1,    -1,  2683,  2684,  2685,    -1,    -1,   162,    -1,
      -1,    -1,   445,    -1,   678,   679,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2716,    -1,   180,    -1,   692,    -1,
      -1,    -1,    -1,   187,    -1,    -1,   190,   470,    -1,    -1,
      -1,    -1,    -1,   476,   477,   478,    -1,  2727,    -1,   482,
      -1,   484,    -1,    -1,    -1,   488,   489,   490,   491,   492,
      -1,    -1,   495,   496,   497,   498,  3356,   500,   501,   502,
     503,   504,    -1,  2753,  2754,    -1,  2756,    -1,    -1,    -1,
      -1,    -1,   236,  2763,  3374,   239,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   363,    -1,    -1,  3386,   367,    -1,    -1,
      -1,    -1,    -1,   373,    -1,  2797,    -1,   230,    -1,    -1,
     380,   234,    -1,    -1,  2794,    -1,  2796,   387,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   395,    -1,   281,    -1,   283,
      -1,   254,   255,   403,    -1,    -1,    -1,    -1,    -1,    -1,
     294,    -1,    -1,    -1,    -1,    -1,   269,    -1,    -1,    -1,
    2830,  2831,  2832,    -1,    -1,   819,    -1,   821,    -1,   823,
      -1,   825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2862,    -1,    -1,    -1,    -1,   329,   330,    -1,    -1,   302,
     844,   451,   305,    -1,    -1,   455,    -1,    -1,  2868,    -1,
      -1,    -1,    -1,    -1,   858,   859,   319,    -1,    -1,   863,
      -1,    -1,    -1,    -1,    -1,   359,    -1,    -1,    -1,   363,
     364,    -1,  2892,  2893,    -1,    -1,   880,    -1,   882,    -1,
      -1,    -1,    -1,    -1,    -1,  1668,  1669,  1670,  1671,    -1,
     894,    -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,
    2920,  2921,   906,   397,    -1,   909,    -1,   911,    -1,   913,
      -1,    -1,    -1,    -1,    -1,  1698,  1699,  2937,    -1,    -1,
      -1,  1704,  3552,  3553,  3554,  3555,    -1,    -1,   391,    -1,
      -1,  2951,    -1,    -1,    -1,    -1,   940,   941,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2966,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   966,  2983,   968,    -1,    -1,  2987,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2997,    -1,    -1,
      -1,    -1,  3002,    -1,    -1,  3017,  1769,  1770,  1771,  1772,
      -1,    -1,    -1,    -1,   998,    -1,    -1,    -1,  3030,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3029,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   481,    -1,
    3052,   484,   485,   486,    -1,   488,   489,   490,   491,   492,
     493,    -1,    -1,  1037,    -1,    -1,    -1,    -1,    -1,    -1,
    3060,    -1,    -1,  3063,    -1,    -1,    -1,    -1,    -1,  3069,
      -1,    -1,    -1,    -1,    -1,  3075,    -1,  3077,    -1,  1842,
      -1,    -1,  3082,  3083,    -1,    -1,  3086,  3087,  3088,  3089,
    3090,  3091,  3092,  3093,  3094,  3095,    -1,    -1,    -1,  3099,
    3100,    -1,    -1,    -1,    -1,    -1,    -1,  3107,    -1,    -1,
      -1,    -1,  3112,    -1,    -1,    -1,  3116,    -1,  3118,    -1,
      -1,  1105,    -1,  1107,    -1,    -1,    -1,  1111,  3128,    -1,
      -1,  3131,    -1,  3133,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3141,  3142,  3143,  3144,    -1,    -1,    -1,  3148,    -1,
      -1,  3151,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3161,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1184,    71,    -1,    -1,    -1,    -1,  1190,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1201,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    95,    -1,  3239,    -1,    71,
      -1,    -1,    -1,   103,    -1,    -1,    -1,    -1,   108,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1231,    -1,    -1,
      -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,  3262,  3263,  3264,    -1,   108,    -1,    -1,    -1,
      -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3298,  3897,  3300,    -1,
      -1,  3291,    -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,    -1,    -1,    -1,    -1,   108,    -1,
      -1,    -1,    -1,  3923,    -1,    -1,    -1,  1301,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1320,  3947,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    89,    -1,
      -1,    -1,    -1,    94,    -1,    96,    -1,    -1,    -1,    -1,
     230,    -1,    -1,    -1,   234,   106,    -1,    -1,  3368,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3381,    -1,    -1,   254,   255,  3996,    -1,   230,    -1,
      -1,   132,   234,    -1,    -1,    -1,    -1,    -1,    -1,   269,
      -1,   142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     151,   152,   254,   255,   155,    -1,  3416,  3417,  3418,    -1,
     161,    -1,    -1,    -1,   165,    -1,    -1,   269,   169,    -1,
     230,    -1,   302,    -1,   234,   305,  3436,    -1,    -1,    -1,
      -1,  3441,   183,    -1,  3444,   186,    -1,    -1,    -1,   319,
     191,    -1,   322,    -1,   254,   255,    -1,    -1,  3470,    -1,
     302,   202,    -1,   305,    -1,   206,    -1,   208,    -1,   269,
      -1,   212,    -1,    -1,    -1,    -1,    -1,   319,    -1,    -1,
     322,    -1,    -1,    -1,  3484,    -1,    -1,    -1,   229,    -1,
      -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,
    2263,    -1,   302,    -1,    -1,   305,    -1,    -1,    -1,  1493,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   319,
    3520,   391,   322,    -1,    -1,    -1,    -1,  3527,  3528,    -1,
    3530,    -1,    -1,    -1,    -1,  3535,  3536,    -1,    -1,    -1,
    3540,  3541,    -1,    71,  2307,    -1,  3546,  3547,    -1,   391,
    3550,  2314,  2315,  2316,  2317,  2318,  2319,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,    -1,
    3570,    -1,    71,    -1,    -1,   103,    -1,    -1,    -1,    -1,
     108,    -1,    -1,    -1,    -1,  3585,    -1,  1571,    -1,    -1,
      -1,   391,    -1,    -1,    -1,    -1,    95,  3609,    -1,    -1,
      -1,    71,    -1,    -1,   103,  3605,    -1,    -1,  3620,   108,
      -1,   481,  1596,  3613,   484,   485,   486,    -1,   488,   489,
     490,   491,   492,   493,    -1,    -1,    -1,    -1,    -1,    -1,
     500,    -1,    -1,   103,    -1,    -1,    -1,    -1,   108,   481,
      -1,    -1,   484,   485,   486,    -1,   488,   489,   490,   491,
     492,   493,    -1,    -1,    -1,    -1,   498,    -1,   399,    -1,
      -1,    -1,  2425,    -1,  2427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   481,    -1,    -1,   484,   485,   486,    -1,   488,   489,
     490,   491,   492,   493,    -1,    -1,    -1,    -1,   498,    -1,
    3700,    -1,   230,    -1,    -1,    -1,   234,    -1,    -1,    -1,
    3710,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   195,   254,   255,    -1,    -1,
      -1,   230,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,
    3740,   269,    -1,    -1,    -1,  3745,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   254,   255,    -1,    -1,  3759,
     230,    -1,    -1,  3763,   234,    -1,    -1,    -1,  3768,    -1,
     269,  1755,  3784,    -1,   302,    -1,    -1,   305,    -1,    -1,
      -1,    -1,    -1,  1767,   254,   255,    -1,    -1,    -1,  3789,
      -1,   319,    -1,  3793,   322,    -1,    -1,    -1,    -1,   269,
      -1,    -1,    -1,   302,    -1,    88,   305,    -1,    -1,    -1,
      -1,    -1,    -1,  3813,  3814,    -1,    -1,  3817,    -1,    -1,
     319,    -1,    -1,   322,  3824,  3825,    -1,    -1,  1812,    -1,
      -1,    -1,  1816,    -1,    -1,   305,    -1,    -1,    -1,    -1,
      -1,  1825,    -1,  1827,    -1,  1829,    -1,    -1,    -1,   319,
    1834,    -1,    -1,    -1,  3854,    -1,    -1,  3857,    -1,    -1,
      -1,   144,    -1,   391,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1856,  1857,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,  3888,   630,
      -1,    -1,   391,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   391,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
      -1,    -1,    -1,    -1,   217,  3935,  3936,   678,   679,   222,
      -1,    -1,  3942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   692,    -1,   481,   237,    -1,   484,   485,   486,    -1,
     488,   489,   490,   491,   492,   493,    -1,    -1,  3968,  3969,
     498,  3971,    -1,  3973,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   481,    -1,    -1,   484,   485,   486,    -1,   488,
     489,   490,   491,   492,   493,    -1,    -1,   496,    -1,  3999,
      -1,    -1,  4002,    -1,    -1,    -1,  4006,  4007,    -1,    -1,
      -1,   481,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
     490,   491,   492,   493,    -1,    -1,    -1,    -1,    -1,    -1,
    4030,    -1,    -1,    -1,  2018,    -1,   319,  4037,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4058,    -1,
      -1,    -1,    -1,   346,    -1,  4065,    -1,  4067,   809,   810,
     811,    -1,    -1,   814,    -1,   816,    -1,   818,   819,    -1,
     821,    -1,   823,  4083,   825,   826,   827,   370,    71,    -1,
      -1,    -1,    -1,   376,    -1,   836,    -1,    -1,    -1,   382,
      -1,   384,    -1,   844,    -1,    -1,   847,    -1,   849,    -1,
      -1,   852,    95,   854,    -1,   856,   857,   858,   859,    -1,
     103,    -1,   863,    -1,   865,   108,   867,   410,   411,    -1,
      -1,    -1,   415,    -1,    -1,    -1,    -1,    -1,    -1,   880,
     423,   882,    -1,    -1,    -1,   428,    -1,    -1,    -1,    -1,
      -1,  4151,    -1,   894,    -1,   438,   897,    -1,    -1,    -1,
     901,    -1,   903,    -1,   905,   906,    -1,   450,   909,    -1,
     911,    -1,   913,  2157,   915,    -1,    -1,   918,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2170,    -1,    -1,    -1,
      -1,  2175,    -1,    -1,    -1,  2179,    -1,    -1,    -1,   940,
     941,  2185,    71,    -1,    -1,    -1,    -1,  2191,    -1,    -1,
      -1,    -1,    -1,  2197,    -1,    -1,    -1,    -1,  2202,    -1,
      -1,    -1,    -1,    -1,    -1,   966,    -1,   968,    71,    -1,
     971,    -1,   215,    -1,   103,    -1,  4236,    -1,    -1,   108,
      -1,  2225,  2226,  2227,  2228,    -1,    -1,   230,  2232,  2233,
      -1,   234,    95,  2237,    -1,    -1,  2240,   998,    -1,  1000,
     103,    -1,    -1,  1004,    -1,   108,    -1,    -1,    -1,    -1,
    2254,   254,   255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2264,   147,  2266,    -1,    -1,    -1,   269,    -1,    -1,    -1,
    1031,  2275,  2276,  2277,    -1,  2279,  1037,    -1,    -1,    -1,
      -1,    -1,  2286,  2287,    -1,    -1,    -1,    -1,    -1,    -1,
    2294,  2295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,
      -1,    -1,   305,    -1,    -1,    -1,   195,    -1,    -1,    -1,
     196,    -1,    -1,    -1,    -1,    -1,   319,    -1,    -1,   322,
     206,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,   215,
      -1,  1092,  1093,   219,    -1,    -1,   222,    -1,   224,    -1,
      -1,   230,    -1,    -1,  1105,   234,  1107,    -1,    -1,    -1,
    1111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   250,   254,   255,   230,    -1,    -1,
      -1,   234,    -1,  1134,  1135,    -1,    -1,    -1,    -1,    -1,
     269,    -1,    -1,    -1,   270,    -1,    -1,    -1,   391,    -1,
      -1,   254,   255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1162,    -1,    -1,    -1,    -1,   269,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1175,    -1,   305,    -1,    -1,    -1,
      -1,  1182,    -1,  1184,    -1,    -1,    -1,    -1,   314,  1190,
     319,    -1,    -1,  1194,    -1,    -1,    -1,   323,    -1,   302,
    1201,    -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,  1210,
    1211,    -1,  2456,    -1,    -1,    -1,   319,    -1,    -1,   322,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1228,  1229,    -1,
    1231,  1232,    -1,    -1,    -1,    -1,    -1,    -1,   481,    -1,
     366,   484,   485,   486,    -1,   488,   489,   490,   491,   492,
     493,    -1,    -1,  2497,    -1,  1256,  1257,    -1,    -1,  1260,
      -1,    -1,   391,    -1,    -1,    -1,    71,     3,    -1,    -1,
      -1,    -1,    -1,     9,  1275,    -1,    -1,    13,    -1,    15,
      -1,    17,    18,    -1,   410,    -1,    -1,    -1,   391,    -1,
      95,    -1,    28,    -1,    -1,    -1,    -1,    -1,   103,    -1,
    1301,    -1,    -1,   108,    -1,    -1,   432,  1308,  1309,    45,
      46,    -1,    -1,  1314,  1315,    -1,    -1,    -1,    -1,  1320,
      -1,    -1,    -1,    -1,  1325,    -1,    -1,   453,    -1,   455,
     456,    -1,  1333,    -1,    -1,    -1,  1337,    -1,  1339,    -1,
      -1,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,   481,    -1,    -1,    91,    -1,    93,    94,   488,
     489,   490,   491,   492,   493,    -1,    -1,  1200,    -1,   495,
      -1,   107,   498,   499,    -1,   501,    -1,    -1,   481,    -1,
      -1,   484,   485,   486,    -1,   488,   489,   490,   491,   492,
     493,   127,    -1,   129,   130,   498,    -1,    -1,   134,   135,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   145,
      -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,   164,   234,
     166,    -1,    -1,   169,    -1,    -1,    -1,    -1,    -1,   175,
      -1,    -1,    -1,  1444,  1445,   181,    -1,    -1,    -1,   254,
     255,   187,    -1,    -1,    -1,    -1,    -1,   193,    -1,  1460,
      -1,    -1,    -1,   199,   269,   201,  1467,  1468,    -1,    88,
     206,    -1,    -1,  2717,  2718,    -1,    -1,    -1,    -1,    -1,
      -1,   100,  1483,   219,  1485,    -1,    -1,    -1,    -1,    -1,
    1323,    -1,  1493,  1494,    -1,    -1,  2740,   302,    -1,    -1,
     305,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     246,    -1,    -1,    -1,   319,    -1,    -1,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   144,    -1,    -1,  2772,  2773,
    2774,  2775,    -1,    -1,    -1,   271,   272,    -1,  1539,    -1,
    1541,   277,    -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,
     286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   185,    -1,   304,    -1,
    1571,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   391,    -1,    -1,    -1,
      -1,    -1,    -1,   212,    -1,  1596,    -1,    -1,   217,    -1,
      -1,    -1,    -1,   222,    -1,   341,    -1,    -1,    -1,    -1,
      -1,    -1,  3635,    -1,  2858,    -1,   352,    -1,   237,  2863,
     356,    -1,   358,    -1,    -1,    -1,    -1,   363,    -1,    -1,
      -1,    -1,   368,    -1,    -1,   371,  1637,    -1,    -1,   375,
      -1,    -1,    -1,    -1,    -1,   381,    -1,    -1,    -1,    -1,
      -1,   387,    -1,    -1,   390,    -1,    -1,    -1,    -1,    -1,
      -1,   397,    -1,    -1,    -1,    -1,    -1,  1668,  1669,  1670,
    1671,    -1,    -1,    -1,   410,  1676,   481,    -1,    -1,   484,
     485,   486,    -1,   488,   489,   490,   491,   492,   493,  1690,
     426,    -1,   428,   498,  2938,  2939,    -1,  1698,  1699,   435,
     319,   437,    -1,  1704,   440,    -1,    -1,    -1,   444,    -1,
     329,    -1,  2956,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     456,    -1,    -1,    -1,    -1,    -1,    -1,   346,    -1,    -1,
      -1,    -1,  2976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    71,    -1,    -1,  1578,    -1,    -1,    -1,    -1,
      -1,   370,    -1,    -1,  1755,   374,    -1,   376,    -1,  3003,
      -1,   497,  1763,   382,    -1,   384,  1767,    -1,  1769,  1770,
    1771,  1772,  3016,    -1,   103,    -1,    -1,  1778,    -1,   108,
    1613,    -1,    -1,  1784,    -1,  1786,    -1,    -1,    -1,    -1,
      -1,   410,   411,    -1,    -1,    -1,   415,    -1,    -1,    -1,
      -1,    -1,  1635,    -1,   423,    -1,    -1,    -1,    -1,   428,
    1811,  1812,    -1,    -1,  1815,  1816,    -1,    -1,    -1,   438,
    1821,    -1,    -1,  1824,  1825,    -1,  1827,    -1,  1829,    -1,
      -1,   450,    -1,  1834,    -1,  1836,  1837,    71,    -1,    -1,
    1841,  1842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1856,  1857,    -1,    -1,    -1,
      -1,  1694,    -1,    -1,    -1,    -1,   195,    -1,    -1,   103,
      -1,    -1,  1873,    -1,   108,    -1,    -1,  1878,  1711,    -1,
    1881,  1882,    -1,    -1,  1885,    -1,    -1,    -1,    -1,    -1,
    1891,    -1,    -1,    -1,    -1,    -1,  1729,    -1,    -1,    -1,
      -1,   230,    -1,    -1,    -1,   234,    -1,    -1,  1909,  1910,
      -1,  3934,  1913,    -1,    -1,    -1,  3939,  3940,    -1,    -1,
      -1,  1754,    -1,    -1,    -1,   254,   255,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     269,    -1,    -1,    -1,    -1,    -1,  1947,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   305,  1810,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4010,    -1,  4012,
     319,    -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,   117,
     234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2018,    -1,    -1,
     254,   255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   269,  4059,    -1,    -1,    -1,
      -1,    -1,   160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3294,    -1,    -1,    -1,    -1,  3299,    -1,  3301,  3302,  3303,
    3304,    -1,   391,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   305,    -1,    -1,    -1,    -1,    -1,  2078,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   319,    -1,    -1,    -1,   207,
      -1,    -1,    -1,  4116,    -1,    -1,   214,    -1,   216,    -1,
      -1,    -1,  4125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3363,
    3364,  3365,    -1,  3367,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2145,    -1,    -1,  1980,    -1,    -1,
      -1,    -1,   481,    -1,    -1,    -1,  2157,   391,    -1,   488,
     489,   490,   491,   492,   493,    71,    -1,    -1,  2169,  2170,
      -1,    -1,  2173,  2174,  2175,    -1,    -1,    -1,  2179,    -1,
      -1,    -1,    -1,    -1,  2185,    -1,    -1,  2188,    -1,    95,
    2191,    -1,    -1,    -1,    -1,  2196,  2197,   103,    -1,    -1,
      -1,  2202,   108,    -1,    -1,  3449,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2219,  2220,
      -1,    -1,  2223,  2224,  2225,  2226,  2227,  2228,  2229,    -1,
      95,  2232,  2233,    -1,    -1,  2236,  2237,    -1,   103,  2240,
      -1,    -1,    -1,   108,  2245,  2246,    -1,   481,    -1,    -1,
    2251,    -1,  2253,  2254,   488,   489,   490,   491,   492,   493,
      -1,    -1,  2263,  2264,    -1,  2266,    -1,    -1,    -1,    -1,
    2271,    -1,    -1,    -1,  2275,  2276,  2277,  2278,  2279,    -1,
      -1,    -1,    -1,    -1,  2285,  2286,  2287,    -1,    -1,    -1,
      -1,  2292,    -1,  2294,  2295,    -1,  1200,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2307,    -1,    -1,    -1,
      -1,    -1,    -1,  2314,  2315,  2316,  2317,  2318,  2319,    -1,
      -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2347,    -1,   254,   255,
      -1,    -1,    -1,    -1,  2355,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   269,    -1,   230,  3610,    -1,    -1,   234,
      -1,    -1,    -1,    -1,    -1,    -1,  2209,  3621,  2379,    -1,
      -1,  2214,  2215,    -1,    -1,  2386,    -1,    -1,    -1,   254,
     255,    -1,    -1,    -1,    -1,  2396,   302,    -1,    -1,   305,
      -1,    -1,    -1,  2404,   269,    -1,    -1,  2408,  2409,    -1,
      -1,    -1,    -1,   319,    71,    -1,   322,    -1,    -1,  1323,
      -1,    -1,    -1,    -1,  2425,  2426,  2427,  2428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,    95,    -1,
     305,  2442,    -1,    -1,    -1,    -1,   103,    -1,    -1,    -1,
      -1,   108,    -1,    -1,   319,  2456,    -1,   322,    -1,    -1,
    2461,    -1,    -1,    -1,  2465,    -1,    -1,    -1,    -1,    -1,
    3714,    -1,  2473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   391,    -1,    -1,  3732,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2497,    -1,  2331,    -1,
    2501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   391,    -1,    -1,    71,
      -1,    -1,    -1,    -1,  3778,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,    -1,  1463,
    2393,   103,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,
      -1,    -1,    -1,   230,  2575,   481,    -1,   234,   484,   485,
     486,    -1,   488,   489,   490,   491,   492,   493,    -1,    -1,
      -1,    -1,   498,    -1,    -1,    -1,    -1,   254,   255,    -1,
      -1,    -1,    -1,  2604,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   269,    -1,    -1,    -1,   481,    -1,    -1,   484,
     485,   486,    -1,   488,   489,   490,   491,   492,   493,    -1,
      -1,    -1,    -1,   498,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   302,    -1,    -1,   305,    -1,
    2651,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2491,    -1,
      -1,  2662,   319,    -1,    -1,   322,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1578,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   800,    -1,    -1,    -1,    -1,    -1,   230,    -1,
     808,    -1,   234,    -1,    -1,   813,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1613,
      -1,    -1,   254,   255,    -1,  2716,  2717,  2718,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   843,    -1,   269,    -1,    -1,
    2731,  1635,    -1,    -1,   391,    -1,    -1,    -1,    -1,  2740,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     302,    -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,    71,
      -1,  2772,  2773,  2774,  2775,   893,    -1,   319,    -1,    -1,
     322,    -1,   900,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1694,    -1,    -1,    95,    -1,    -1,  2797,    -1,  2799,    -1,
      -1,   103,    -1,    -1,    -1,    -1,   108,  1711,    -1,    -1,
      -1,    -1,    -1,    -1,  2815,    -1,    -1,    -1,  2819,    -1,
      -1,    -1,    -1,    -1,   481,  1729,    -1,   484,   485,   486,
      -1,   488,   489,   490,   491,   492,   493,    -1,    -1,    -1,
      -1,   498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   391,
    1754,    -1,    -1,    -1,    -1,    -1,    -1,  2858,    -1,    -1,
      -1,  2862,  2863,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4114,  2872,  2873,    -1,    -1,    -1,    -1,    -1,   996,    -1,
      -1,    -1,    -1,    -1,  1002,    -1,    -1,    -1,  1006,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2899,    -1,
      -1,    -1,    -1,    71,    -1,    -1,  1810,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1035,    -1,    -1,
    2753,  2754,    -1,  2756,    -1,    -1,    -1,    95,   230,    -1,
    2763,    -1,   234,    -1,    -1,   103,    -1,  2938,  2939,   481,
     108,    -1,   484,   485,   486,    -1,   488,   489,   490,   491,
     492,   493,   254,   255,    -1,  2956,   498,    -1,    -1,    -1,
      -1,  2794,    -1,  2796,  2965,    -1,    -1,   269,    -1,    -1,
      -1,    -1,  2973,    -1,    -1,  2976,  2977,    -1,    -1,  2980,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     302,    -1,  3003,   305,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3016,  3017,   319,    -1,    -1,
     322,    -1,    -1,    -1,    -1,    -1,  3027,    -1,    -1,  3030,
      -1,    -1,    -1,    -1,    -1,  2868,  3037,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3049,    -1,
      -1,  3052,    -1,    -1,  1172,    -1,    -1,    -1,    -1,    -1,
    2893,  1179,   230,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1980,    -1,    -1,    -1,
      -1,    -1,  1200,    88,    -1,    -1,   254,   255,  2921,   391,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   269,    -1,    -1,  2937,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1230,    -1,    -1,   120,    -1,    -1,  2951,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   133,    -1,
      -1,    -1,    -1,  2966,   302,   140,    -1,   305,    -1,   144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   319,    -1,    -1,   322,    -1,    -1,    -1,    -1,   164,
      -1,    -1,    -1,    -1,    -1,    -1,  3167,    -1,    -1,  3002,
      -1,    -1,  1290,    -1,    -1,    -1,    -1,    -1,    -1,   481,
     185,    -1,   484,   485,   486,    -1,   488,   489,   490,   491,
     492,   493,    -1,    -1,    -1,    -1,   498,  3198,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1323,    -1,    -1,    -1,    -1,
      -1,    -1,   217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   391,    -1,    -1,    -1,  1345,    -1,    -1,
    3063,    -1,   237,  3234,  3235,    -1,    71,    -1,  3239,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3082,
      -1,    -1,    -1,    -1,    -1,  1373,   261,    -1,    -1,    -1,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,    -1,
      -1,    -1,    -1,   108,  3107,    -1,    -1,  3278,  3279,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1404,  1405,    -1,  1407,
      -1,    -1,    -1,  3294,    -1,    -1,    -1,  3298,  3299,  3300,
    3301,  3302,  3303,  3304,    -1,  2209,  1424,    -1,  3141,    -1,
    2214,  2215,    -1,   481,   319,    -1,   484,   485,   486,    -1,
     488,   489,   490,   491,   492,   493,    -1,    -1,    -1,    -1,
     498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3350,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1476,  1477,
      -1,    -1,  3363,  3364,  3365,   370,  3367,    -1,    -1,   374,
      -1,   376,    -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1503,    -1,    -1,    -1,  1507,
    1508,    -1,  3393,    -1,    -1,   230,    -1,  3398,    -1,   234,
    3401,    -1,  3403,    -1,    -1,   410,   411,    -1,    -1,    -1,
     415,    -1,  3413,    -1,    -1,    -1,    -1,    -1,   423,   254,
     255,    -1,    -1,   428,    -1,    -1,    -1,  2331,    -1,    -1,
    3263,  3432,    -1,  3434,   269,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3445,   450,  3447,    -1,  3449,    -1,
      -1,    -1,    -1,  3454,    -1,  3456,    -1,    -1,    -1,    -1,
    1578,    -1,    -1,    -1,  1582,    -1,    -1,   302,  1586,  3470,
     305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   319,    -1,    -1,   322,  1606,  2393,
      -1,    -1,    -1,    -1,    -1,  1613,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    -1,  1635,    -1,    -1,
      -1,  1639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    -1,    -1,    98,    -1,    -1,    -1,    -1,   103,    -1,
      -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,  3381,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   391,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3565,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1694,    -1,  3579,    -1,
      -1,    -1,    -1,  3416,    -1,    -1,    -1,  2491,    -1,    -1,
      -1,    -1,    -1,  1711,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3604,    -1,    -1,    -1,    -1,  3609,  3610,
      -1,  1729,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3620,
    3621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3633,  3634,  3635,  3636,  1754,    -1,    -1,    -1,
      -1,  1759,    -1,    -1,    -1,    -1,   481,    -1,    -1,   484,
     485,   486,    -1,   488,   489,   490,   491,   492,   493,    -1,
      -1,  3662,    -1,   498,    -1,   230,    -1,    -1,    -1,   234,
      -1,    -1,    -1,    -1,    -1,  3676,  3677,  3678,  3679,  3680,
      -1,    -1,    -1,    -1,  1802,    -1,  1804,    -1,    -1,   254,
     255,    -1,  1810,    -1,    -1,  1813,    -1,  3530,    -1,    -1,
      -1,    -1,    -1,    -1,   269,    -1,    -1,    -1,  3541,    -1,
      -1,    -1,    -1,  3714,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3732,    -1,    -1,    -1,    -1,    -1,   302,    -1,  3740,
     305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3753,    -1,   319,  3756,    -1,   322,    -1,    -1,
      -1,    -1,  1880,    -1,    -1,  3766,    -1,    -1,    -1,    -1,
      -1,    -1,  3605,    -1,    -1,    -1,    -1,  3778,  3779,    -1,
    3613,    -1,    -1,  3784,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1915,  1916,    -1,
      -1,    -1,    -1,    -1,    -1,  1923,    -1,    -1,  1926,    -1,
      -1,  1929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1937,
    1938,    -1,    -1,    -1,    -1,    -1,   391,  1945,    -1,    -1,
    1948,  1949,  1950,  1951,    -1,    -1,    -1,    -1,    -1,    -1,
    1958,  1959,    -1,  1961,    -1,  1963,    -1,    -1,  1966,  2753,
    2754,    -1,  2756,    -1,    -1,    -1,    -1,  3858,    -1,  2763,
      -1,    -1,  1980,  1981,  1982,    -1,    -1,  1985,    -1,    -1,
      -1,  1989,    -1,    -1,    -1,  1993,    -1,  3878,  1996,  1997,
    1998,  1999,  2000,  2001,  2002,  2003,  2004,    -1,  2006,    -1,
    2794,    -1,  2796,    -1,  2012,    -1,    -1,    -1,  2016,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3909,    -1,
    3911,   476,  3745,    -1,    -1,    -1,   481,    -1,    -1,   484,
     485,   486,    -1,   488,   489,   490,   491,   492,   493,    -1,
      -1,    -1,    -1,  3934,  3935,  3768,    -1,    -1,  3939,  3940,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3953,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3793,    -1,    -1,    -1,  2868,    -1,    71,    -1,    -1,  2087,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3986,    -1,    -1,    -1,  2893,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,    -1,
      -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,  4009,  4010,
    4011,  4012,  4013,    -1,    -1,   147,    -1,  2921,    -1,    -1,
      -1,  3854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2937,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2951,    -1,    -1,
      -1,    -1,    -1,    -1,  2172,    -1,    -1,  4058,  4059,    -1,
      -1,    -1,  2966,    -1,   196,    -1,    -1,    -1,    -1,    -1,
      -1,  2189,    -1,   178,   206,    -1,    -1,    -1,   210,    71,
      -1,    -1,    -1,   215,    -1,    -1,    -1,   219,    -1,    -1,
     222,  2209,   224,    -1,    -1,    -1,  2214,  2215,  3002,    -1,
      -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,    -1,  3942,
      -1,   103,    -1,  4114,    -1,  4116,   108,    -1,   250,    -1,
    2238,    -1,    -1,    -1,  4125,   230,    -1,    -1,    -1,   234,
      -1,    -1,    -1,    -1,    -1,    -1,  3969,  4138,   270,    -1,
      -1,    -1,    -1,  4144,    -1,    -1,    -1,    -1,    -1,   254,
     255,    -1,  2270,    -1,  4155,    -1,    -1,    -1,    -1,  3063,
      -1,    -1,    -1,    -1,   269,  4166,    -1,    -1,    -1,  4002,
      71,    -1,    -1,  4006,  4007,    -1,    -1,    -1,  3082,    -1,
      -1,    -1,   314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   323,    -1,    -1,    95,    -1,    -1,   302,    -1,    -1,
     305,    -1,   103,  3107,    -1,    -1,    -1,   108,    -1,    -1,
      -1,  2329,    -1,  2331,   319,    -1,    -1,   322,   210,    -1,
      -1,  4222,    -1,   215,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4065,    -1,   366,    -1,    -1,  3141,   230,    -1,
      -1,    -1,   234,    -1,    -1,    -1,  4247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   207,   254,   255,    -1,    -1,    -1,    -1,   214,    -1,
     216,    -1,    -1,    -1,    -1,  2393,    -1,   269,   410,    -1,
      -1,    -1,    -1,    -1,    -1,  2403,   391,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2413,    -1,    -1,    -1,    -1,
     432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     302,    -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   453,    -1,   455,   456,    -1,    -1,   319,    -1,   230,
     322,    -1,  2450,   234,   439,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   254,   255,    -1,    -1,    -1,    -1,  3263,
      -1,    -1,  2480,   495,    -1,    -1,   498,   499,   269,   501,
      -1,    71,    -1,  2491,    -1,    -1,   481,    -1,    -1,   484,
     485,   486,    -1,   488,   489,   490,   491,   492,   493,    -1,
      -1,    -1,  2510,  2511,    -1,    95,    -1,    -1,    -1,   391,
      -1,   302,    -1,   103,   305,    -1,    -1,    -1,   108,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   319,    -1,
      -1,   322,  2540,  2541,    -1,    -1,    -1,  2545,    -1,    -1,
      -1,    -1,    -1,    -1,   335,    -1,    -1,    -1,    -1,  2557,
    2558,  2559,  2560,    -1,    -1,    -1,    -1,  2565,    -1,    -1,
      -1,  2569,  2570,    -1,  2572,    -1,  2574,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2584,  2585,    -1,  2587,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3381,    -1,    -1,
      -1,    -1,  2600,    -1,  2602,    -1,    -1,    -1,  2606,   481,
     391,    -1,   484,   485,   486,    -1,   488,   489,   490,   491,
     492,   493,    -1,    -1,  2622,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3416,    -1,    -1,  2633,    -1,  2635,  2636,  2637,
      -1,    -1,    -1,    -1,    -1,  1200,    -1,    -1,    -1,    -1,
     230,    -1,    -1,    -1,   234,    -1,    -1,  2655,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2664,    -1,    -1,    -1,
      86,    -1,    -1,  2671,   254,   255,    -1,    -1,  2676,    -1,
      -1,    -1,    -1,    -1,    -1,  2683,  2684,  2685,    -1,   269,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     481,    -1,    -1,   484,   485,   486,    -1,   488,   489,   490,
     491,   492,   493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   302,   139,    -1,   305,    -1,    -1,    -1,  2727,
      -1,    -1,   148,   149,   150,    -1,    -1,    -1,    -1,   319,
      -1,    -1,   322,    -1,    -1,    -1,  3530,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2753,  2754,  3541,  2756,    -1,
     340,    -1,    -1,    -1,    -1,  2763,    -1,    -1,  1323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   192,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,  2794,    -1,  2796,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   391,    -1,    -1,    -1,    -1,    -1,    95,   234,    -1,
      98,  3605,    -1,   239,   404,   103,    -1,    -1,    -1,  3613,
     108,    -1,  2830,  2831,  2832,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2868,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,
     296,   297,   298,   299,    -1,   301,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,    -1,  2893,    -1,   230,    -1,    -1,
      -1,   481,    -1,    -1,   484,   485,   486,    -1,   488,   489,
     490,   491,   492,   493,    -1,    -1,    -1,    -1,   334,    -1,
      -1,    -1,  2920,  2921,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2937,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   230,  2951,   370,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2966,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   254,   255,    -1,    -1,
      -1,    -1,   808,    -1,  3768,  2983,    -1,   813,    -1,  2987,
     406,   269,   408,    -1,    -1,    -1,    -1,    -1,    -1,  2997,
      -1,    -1,    -1,    -1,  3002,    -1,    -1,    -1,    -1,  3793,
      -1,    -1,    -1,    -1,    -1,   431,    -1,   843,    -1,    -1,
      -1,    -1,   438,  1578,   302,   441,    -1,   305,    -1,    -1,
      -1,  3029,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   319,    -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1613,    -1,
      -1,    -1,  3060,    -1,    -1,  3063,    -1,   893,    -1,    -1,
    3854,  3069,    -1,    -1,   900,    -1,    -1,  3075,    -1,  3077,
    1635,    -1,    -1,    -1,  3082,  3083,    -1,    -1,  3086,  3087,
    3088,  3089,  3090,  3091,  3092,  3093,  3094,  3095,    -1,    -1,
      -1,  3099,  3100,    -1,    -1,    -1,    -1,    -1,    -1,  3107,
      -1,    -1,    -1,   391,  3112,    -1,    -1,    -1,  3116,    -1,
    3118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3128,    -1,    -1,  3131,    -1,  3133,    -1,    -1,    -1,  1694,
      -1,    -1,    -1,  3141,  3142,  3143,  3144,    -1,    -1,    -1,
    3148,    -1,    -1,  3151,    -1,    -1,  1711,    -1,  3942,    -1,
      -1,    -1,    -1,  3161,    -1,    -1,    -1,    -1,    -1,    -1,
     996,    -1,  3170,    -1,  1729,    -1,  1002,    -1,    -1,    -1,
    1006,    -1,    -1,    -1,    -1,  3969,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1754,
      -1,    -1,    -1,   481,    -1,    -1,   484,   485,   486,  1035,
     488,   489,   490,   491,   492,   493,    -1,    -1,  4002,    -1,
      -1,    -1,  4006,  4007,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,
      -1,    -1,    98,    -1,    -1,  1810,    -1,   103,    -1,    -1,
      -1,    -1,   108,    -1,  3262,  3263,  3264,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3291,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1172,    -1,    -1,    -1,
      -1,    -1,    -1,  1179,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3368,    -1,    -1,    -1,  1200,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3381,   230,    -1,    -1,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1230,    -1,    -1,    -1,   254,   255,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3416,  3417,
    3418,    -1,    -1,   269,    -1,  1980,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3436,    -1,
      -1,    -1,    -1,  3441,    -1,  1200,  3444,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   302,    -1,    -1,   305,
      -1,    -1,    -1,    -1,  1290,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   319,    -1,   808,   322,    -1,    -1,    -1,
     813,    -1,   815,    -1,    -1,    -1,  3484,   820,    -1,   822,
      -1,    -1,    -1,    -1,    -1,   828,    -1,  1323,    -1,    -1,
      -1,    -1,    71,   836,    -1,    -1,    -1,    -1,   841,    -1,
     843,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1345,
      -1,    -1,  3520,    -1,    -1,    -1,    95,    -1,    -1,  3527,
    3528,    -1,  3530,    71,   103,    -1,    -1,  3535,  3536,   108,
      -1,    -1,  3540,  3541,    -1,   391,    -1,  1373,  3546,  3547,
      -1,    -1,  3550,    -1,    -1,   888,    -1,    95,    -1,    -1,
     893,    -1,    -1,    -1,    -1,   103,    -1,   900,  1323,    -1,
     108,    -1,  3570,    -1,    -1,    -1,    -1,    -1,  1404,  1405,
      -1,  1407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1424,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3605,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3613,    -1,    -1,    -1,    -1,
      -1,   954,    -1,    -1,    -1,    -1,   959,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   481,    -1,   970,   484,   485,
     486,    -1,   488,   489,   490,   491,   492,   493,    -1,    -1,
    1476,    -1,    -1,    -1,  2209,    -1,    -1,    -1,    -1,  2214,
    2215,   230,    -1,    -1,    -1,   234,    -1,    -1,  1001,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1503,    -1,    -1,
      -1,  1507,  1508,    -1,    -1,   254,   255,  1020,    -1,    -1,
      -1,    -1,   230,  1026,    -1,    -1,   234,    -1,    -1,    -1,
     269,    -1,  3700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1044,  3710,    -1,    -1,    -1,   254,   255,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   269,    -1,   302,    -1,    -1,   305,    -1,    -1,    -1,
      -1,    -1,  3740,    -1,    -1,    -1,    -1,  3745,    -1,    -1,
     319,    -1,  1578,   322,    -1,    -1,    -1,    -1,    -1,    -1,
    1586,  3759,    -1,    -1,   302,  3763,    -1,   305,    -1,    -1,
    3768,    -1,    -1,    -1,    -1,    -1,  2331,    -1,    -1,    -1,
    1606,   319,    -1,    -1,   322,    -1,    -1,  1613,    -1,    -1,
      -1,  3789,    -1,    -1,    -1,  3793,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1635,
      -1,    -1,    -1,  1639,    -1,  3813,  3814,    -1,    -1,  3817,
      -1,    -1,   391,  1578,    -1,    -1,  3824,  3825,    -1,    -1,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2393,  1172,
      -1,    -1,    -1,    -1,    -1,    -1,  1179,   416,    -1,    -1,
      -1,    -1,    -1,   391,    95,    -1,  3854,    98,  1613,  3857,
      -1,    -1,   103,    -1,    -1,    -1,    -1,   108,  1694,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1635,    -1,    -1,    -1,    -1,  1711,    -1,    -1,    -1,    -1,
    3888,  1224,  1225,  1226,    -1,    -1,    -1,  1230,    -1,    -1,
      -1,    -1,    -1,  1729,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   481,    -1,    -1,   484,   485,   486,    -1,   488,
     489,   490,   491,   492,   493,    -1,    -1,    -1,  1754,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2491,  3935,  3936,  1694,
      -1,    -1,    -1,   481,  3942,    -1,   484,   485,   486,    -1,
     488,   489,   490,   491,   492,   493,  1711,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3968,  3969,    -1,  3971,  1729,  3973,  1802,    -1,  1804,    -1,
    1313,    -1,    -1,    -1,  1810,    -1,    -1,  1813,    -1,   230,
      -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,  1754,
      -1,  3999,    -1,  1336,  4002,    -1,    -1,    -1,  4006,  4007,
      -1,    -1,    -1,   254,   255,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   269,    -1,
      -1,    -1,  4030,    -1,    -1,    -1,    -1,    -1,    -1,  4037,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1880,  1810,    -1,    -1,    -1,    -1,
    4058,   302,    -1,    -1,   305,    -1,    -1,  4065,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   319,    -1,
      -1,   322,    -1,    -1,    -1,  4083,    -1,    -1,    -1,  1915,
    1916,    -1,    -1,    -1,    -1,    -1,    -1,  1923,    -1,    -1,
    1926,    -1,    -1,  1929,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1937,  1938,    -1,    -1,    -1,    -1,    -1,    -1,  1945,
      71,    -1,  1948,  1949,  1950,  1951,    -1,    -1,    -1,    -1,
      -1,    -1,  1958,  1959,    -1,  1961,    -1,  1963,    -1,    -1,
    1966,  1474,    -1,    -1,    95,    -1,    -1,    98,    -1,    -1,
     391,    -1,   103,  4151,  1980,  1981,    -1,   108,    -1,  1985,
      -1,    -1,    -1,  1989,    -1,    -1,    -1,  1993,    -1,    -1,
    1996,  1997,  1998,  1999,  2000,  2001,  2002,  2003,  2004,    -1,
    2006,    -1,    -1,    -1,    -1,    -1,  2012,    -1,    -1,    -1,
    2016,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2753,  2754,
      -1,  2756,    -1,    -1,    -1,    -1,    -1,    -1,  2763,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1980,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4236,  2794,
     481,  2796,    -1,   484,   485,   486,    -1,   488,   489,   490,
     491,   492,   493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,   230,
      -1,    -1,    -1,   234,    -1,   100,    -1,    -1,    -1,    -1,
      -1,    -1,  1625,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   254,   255,   120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2868,    -1,    -1,    -1,    -1,   269,    -1,
      -1,    -1,    -1,    -1,    -1,   140,    -1,    -1,    -1,   144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2893,  1672,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   164,
      -1,   302,    -1,    -1,   305,   170,    -1,    -1,    -1,  1692,
      -1,    -1,    -1,  2189,    -1,    -1,  2921,    -1,   319,    -1,
     185,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2937,  2209,    -1,    -1,    -1,    -1,  2214,  2215,
      -1,    -1,    -1,    -1,    -1,    -1,  2951,   212,    -1,    -1,
      -1,    -1,   217,   218,    -1,    -1,    -1,   222,    -1,    -1,
      -1,  2966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     391,    -1,    -1,    -1,    -1,   260,    -1,  3002,    -1,    -1,
      -1,    -1,    -1,    -1,  2209,    -1,    -1,    -1,   273,  2214,
    2215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1802,
      -1,  1804,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1813,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1826,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1835,  2329,   319,  2331,    -1,   322,  3063,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3082,    -1,    -1,
     481,   346,    -1,   484,   485,   486,    -1,   488,   489,   490,
     491,   492,   493,    -1,    -1,    -1,    -1,  1880,    -1,    -1,
    1883,  1884,  3107,    -1,    -1,   370,    -1,    -1,    -1,   374,
      -1,   376,  1895,    -1,    -1,    -1,    -1,  2393,    -1,   384,
      -1,    -1,    -1,    -1,    -1,    -1,  2331,  2403,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3141,  2413,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   411,   412,    -1,   414,
     415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    -1,
      -1,    -1,   427,   428,    -1,    -1,    -1,    -1,   433,    -1,
      -1,    -1,    -1,   438,  2450,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2393,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2480,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2011,    -1,
      -1,    -1,    -1,    -1,  2510,  2511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2036,    -1,    -1,    -1,    -1,  3263,    -1,
      -1,    -1,    -1,    -1,  2540,  2541,    -1,    -1,    -1,  2545,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2557,  2558,  2559,  2560,    -1,  2491,    -1,    -1,    -1,
      -1,    -1,    -1,  2569,    -1,    -1,  2572,    -1,  2574,    -1,
      -1,    -1,  2085,    -1,    -1,    -1,    -1,    -1,  2584,  2585,
      -1,  2587,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2600,    -1,  2602,    -1,    -1,    -1,
    2606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2622,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2633,    -1,  2635,
    2636,  2637,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3381,    -1,    -1,  2655,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2664,    -1,
      -1,    -1,    -1,    -1,    -1,  2671,    -1,    -1,    -1,    -1,
    2676,    -1,    -1,    -1,    -1,    -1,    -1,  2683,  2684,  2685,
      -1,  3416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2727,  2235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2753,  2754,    -1,
    2756,    -1,    -1,    -1,    -1,    -1,    -1,  2763,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1200,    -1,    -1,  2794,    -1,
    2796,    -1,    -1,    -1,    -1,  3530,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2753,  2754,
      -1,  2756,    -1,    -1,    -1,    -1,    -1,    -1,  2763,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2351,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2794,
      -1,  2796,  2868,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3605,    -1,  2385,    -1,    -1,    -1,    -1,    -1,  3613,  2392,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2893,    -1,    -1,
    2403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1323,    -1,
      -1,    -1,    -1,    -1,    -1,  2921,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2937,    -1,  2868,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2951,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2893,    -1,
    2966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2983,    -1,    -1,
      -1,  2987,    -1,    -1,    -1,    -1,  2921,    -1,    -1,    -1,
      -1,  2997,    -1,    -1,    -1,    -1,  3002,    -1,    -1,    -1,
      -1,    -1,  2937,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   808,    -1,    -1,    -1,  2951,   813,    -1,    -1,
      -1,    -1,    -1,  3029,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2966,    -1,  3768,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   843,    -1,    -1,
      -1,    -1,    -1,    -1,  3060,    -1,    -1,  3063,  3793,    -1,
      -1,    -1,    -1,  3069,    -1,    -1,    -1,  3002,    -1,  3075,
      -1,  3077,    -1,    -1,    -1,    -1,  3082,  3083,    -1,    -1,
    3086,  3087,  3088,  3089,  3090,  3091,  3092,  3093,  3094,  3095,
      -1,    -1,    -1,  3099,  3100,    -1,    -1,   893,    -1,    -1,
      -1,  3107,    -1,    -1,   900,    -1,  3112,    -1,    -1,    -1,
      -1,    -1,  3118,    -1,  2627,    -1,    -1,    -1,    -1,  3854,
    2633,    -1,  3128,    -1,    -1,  3131,    -1,  3133,  3063,    -1,
      -1,    -1,    -1,    -1,    -1,  3141,  3142,  3143,  3144,    -1,
      -1,    -1,  3148,    -1,    -1,  3151,    -1,  3082,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3161,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1578,  3170,    -1,    -1,  2680,    -1,    -1,
      -1,    -1,  3107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1613,    -1,
     996,    -1,    -1,    -1,    -1,    -1,  3141,  3942,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1635,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3969,    -1,    -1,    -1,    -1,  1035,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3263,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4002,    -1,    -1,
      -1,  4006,  4007,    -1,    -1,    -1,    -1,    -1,    -1,  1694,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1711,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1729,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3263,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1754,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3368,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3381,  1172,    -1,    -1,    -1,
      -1,    -1,    -1,  1179,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1810,    -1,    -1,    -1,    -1,
      -1,   996,    -1,    -1,  1200,    -1,    -1,    -1,    -1,    -1,
    3416,  3417,  3418,    -1,    -1,    -1,    -1,    -1,    -1,  2932,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2942,
    3436,    -1,    -1,    -1,  1230,  3441,    -1,    -1,  3444,    -1,
    1035,    -1,    -1,    -1,    -1,  2958,  3381,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2983,    -1,    -1,    -1,  2987,    -1,    -1,    -1,  3484,    -1,
      -1,  3416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1290,    -1,    -1,    -1,  3011,    -1,
      -1,  3014,    -1,    -1,    -1,    -1,    -1,    -1,  3021,    -1,
      -1,    -1,    -1,    -1,  3520,    -1,  3029,    -1,    -1,    -1,
      -1,  3527,  3528,    -1,  3530,    -1,    -1,  1323,    -1,  3535,
    3536,    -1,    -1,    -1,  3540,  3541,    -1,  3050,    -1,    -1,
    3546,  3547,    -1,    -1,  3550,    -1,    -1,    -1,    -1,  1345,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3570,  1980,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1373,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3530,    -1,    -1,    -1,  3605,
      -1,    -1,    -1,    -1,    -1,    -1,  3541,  3613,  1404,  1405,
      -1,  1407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1424,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3158,  3159,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3613,    -1,
    1476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3700,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1503,    -1,    -1,
      -1,  1507,  1508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3740,    -1,    -1,    -1,    -1,  3745,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1345,    -1,    -1,  3759,    -1,    -1,    -1,  3763,    -1,    -1,
      -1,    -1,  3768,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1373,    -1,
      -1,    -1,  1578,  3789,    -1,    -1,    -1,  3793,    -1,    -1,
      -1,    -1,    -1,    -1,  2209,    -1,    -1,    -1,    -1,  2214,
    2215,    -1,    -1,    -1,    -1,    -1,    -1,  3813,  3814,  1404,
    1405,  3817,  1407,    -1,    -1,    -1,    -1,  1613,  3824,  3825,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1424,
      -1,    -1,    -1,  3768,    -1,    -1,    -1,    -1,    -1,  1635,
      -1,    -1,    -1,  3356,    -1,    -1,    -1,    -1,  3854,    -1,
      -1,  3857,    -1,    -1,    -1,    -1,    -1,    -1,  3793,    -1,
      -1,  3374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3386,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1476,  3888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1694,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1503,    -1,
      -1,    -1,  1507,  1508,    -1,  1711,  2331,    -1,    -1,  3854,
      -1,    -1,    -1,  3436,    -1,    -1,    -1,    -1,  3441,  3935,
    3936,  3444,    -1,  1729,    -1,    -1,  3942,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1754,    -1,
      -1,    -1,  3968,  3969,    -1,  3971,    -1,  3973,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2393,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3999,    -1,    -1,  4002,    -1,    -1,    -1,
    4006,  4007,    -1,    -1,    -1,    -1,  1802,  3942,  1804,    -1,
      -1,    -1,    -1,    -1,  1810,    -1,    -1,  1813,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4037,    -1,    -1,  3969,    -1,    -1,    -1,    -1,  3552,
    3553,  3554,  3555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4058,    -1,    -1,    -1,    -1,    -1,    -1,  4065,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4002,    -1,    -1,
      -1,  4006,  4007,    -1,    -1,    -1,  2491,  4083,    -1,    -1,
      -1,    -1,    -1,    -1,  1880,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1915,
    1916,    -1,    -1,    -1,    -1,    -1,    -1,  1923,    -1,    -1,
    1926,    -1,    -1,  1929,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1937,  1938,    -1,    -1,  4151,    -1,    -1,    -1,  1945,
      -1,    -1,  1948,  1949,  1950,  1951,    -1,    -1,    -1,    -1,
      -1,    -1,  1958,  1959,    -1,  1961,    -1,  1963,    -1,    -1,
    1966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1980,  1981,    -1,    -1,    -1,  1985,
      -1,    -1,    -1,  1989,    -1,    -1,    -1,  1993,    -1,    -1,
    1996,  1997,  1998,  1999,  2000,  2001,  2002,  2003,  2004,    -1,
    2006,    -1,    -1,    -1,    -1,    -1,  2012,    -1,    -1,    -1,
    2016,    -1,    -1,    -1,    -1,    -1,    -1,  3740,    -1,    -1,
    4236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2087,    -1,    -1,    -1,    -1,    -1,    -1,  1200,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1923,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2753,  2754,
      -1,  2756,    -1,    -1,  3857,    -1,    -1,    -1,  2763,    -1,
    1945,    -1,    -1,  1948,    -1,    -1,  1951,    -1,    -1,    -1,
      -1,    -1,    -1,  1958,  1959,    -1,    -1,    -1,  1963,    -1,
      -1,  1966,    -1,    -1,    -1,  3888,    -1,    -1,    -1,  2794,
      -1,  2796,    -1,    -1,  3897,    -1,  1981,    -1,    -1,    -1,
    1985,    -1,    -1,  2189,  1989,    -1,    -1,    -1,  1993,    -1,
      -1,  1996,  1997,  1998,  1999,  2000,  2001,  2002,  2003,  2004,
    3923,  2006,    -1,  2209,    -1,    -1,    -1,  2012,  2214,  2215,
      -1,  1323,  3935,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3947,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2868,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2893,    -1,
      -1,    -1,    -1,  3996,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2921,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2937,    -1,  4037,    -1,    -1,    -1,  1200,    -1,
      -1,    -1,    -1,  2329,    -1,  2331,  2951,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4058,    -1,    -1,    -1,    -1,
      -1,  2966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3002,    -1,    -1,
      -1,    -1,    -1,    -1,  2189,    -1,    -1,  2393,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2403,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2413,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4151,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3063,    -1,
      -1,  1323,    -1,    -1,  2450,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3082,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1578,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2480,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3107,    -1,    -1,  2491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1200,    -1,    -1,    -1,    -1,
      -1,  1613,    -1,    -1,  2510,  2511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4236,    -1,    -1,  3141,    -1,    -1,    -1,
      -1,    -1,    -1,  1635,  2329,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2540,  2541,    -1,    -1,    -1,  2545,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2557,  2558,  2559,  2560,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2569,    -1,    -1,  2572,    -1,  2574,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2584,  2585,
      -1,  2587,  1694,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2600,    -1,  2602,    -1,    -1,  1711,
    2606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2413,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2622,  1729,  1323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2633,    -1,  2635,
    2636,  2637,    -1,    -1,    -1,    -1,    -1,    -1,  3263,    -1,
      -1,    -1,  1754,    -1,    -1,  2450,    -1,    -1,    -1,  2655,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2664,    -1,
      -1,    -1,    -1,    -1,    -1,  2671,    -1,    -1,    -1,    -1,
    2676,    -1,    -1,    -1,    -1,  2480,    -1,  2683,  2684,  2685,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1578,    -1,  1810,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2727,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2753,  2754,    -1,
    2756,    -1,  2557,  1635,  2559,  2560,  3381,  2763,    -1,    -1,
      -1,    -1,    -1,    -1,  2569,    -1,    -1,  2572,    -1,  2574,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2794,    -1,
    2796,  3416,    -1,    -1,    -1,  2600,    -1,  2602,    -1,    -1,
      -1,  2606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1694,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1711,
      -1,    -1,  2637,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1729,    -1,    -1,
    2655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2664,
      -1,    -1,  2868,    -1,    -1,    -1,  2671,    -1,  1980,    -1,
      -1,  2676,  1754,  1578,    -1,    -1,    -1,    -1,  2683,  2684,
    2685,    -1,    -1,    -1,    -1,    -1,    -1,  2893,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3530,    -1,    -1,  1613,    -1,
      -1,    -1,    -1,    -1,    -1,  2921,  3541,    -1,    -1,    -1,
      -1,    -1,  2727,    -1,    -1,    -1,    -1,    -1,  1810,    -1,
    1635,  2937,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2951,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2983,    -1,    -1,
    3605,  2987,    -1,    -1,    -1,    -1,    -1,    -1,  3613,  1694,
      -1,  2997,    -1,    -1,    -1,    -1,  3002,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1711,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3029,  1729,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1754,
      -1,    -1,    -1,    -1,  3060,    -1,    -1,  3063,    -1,    -1,
      -1,    -1,    -1,  3069,    -1,    -1,    -1,    -1,    -1,  3075,
      -1,  3077,    -1,    -1,    -1,    -1,  3082,  3083,    -1,    -1,
    3086,  3087,  3088,  3089,  3090,  3091,  3092,  3093,  3094,  3095,
      -1,    -1,    -1,  3099,  3100,    -1,    -1,  2209,  1980,    -1,
      -1,  3107,  2214,  2215,    -1,  1810,  3112,    -1,    -1,    -1,
      -1,    -1,  3118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3128,    -1,    -1,  3131,    -1,  3133,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3141,  3142,  3143,  3144,    -1,
      -1,    -1,  3148,  3768,    -1,  3151,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3161,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3170,    -1,    -1,    -1,  3793,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2331,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3854,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3060,    -1,  3263,    -1,    -1,
      -1,    -1,    -1,    -1,  3069,    -1,    -1,    -1,    -1,    -1,
    3075,    -1,  3077,    -1,    -1,  1980,    -1,    -1,    -1,    -1,
      -1,  2393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3099,  3100,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3118,    -1,    -1,    -1,  3942,    -1,    -1,
      -1,    -1,    -1,  3128,    -1,    -1,  3131,  2209,  3133,    -1,
      -1,    -1,  2214,  2215,    -1,    -1,    -1,  3142,    -1,    -1,
      -1,    -1,    -1,  3148,  3969,    -1,  3151,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3161,    -1,    -1,    -1,
      -1,    -1,  3368,    -1,    -1,  3170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3381,    -1,  4002,    -1,  2491,
      -1,  4006,  4007,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3416,  3417,  3418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3436,    -1,  1420,    -1,    -1,  3441,    -1,    -1,  3444,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2331,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3484,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1489,    -1,    -1,  2209,    -1,    -1,    -1,    -1,  2214,
    2215,  2393,    -1,    -1,  3520,    -1,    -1,    -1,    -1,    -1,
      -1,  3527,  3528,    -1,  3530,    -1,    -1,    -1,    -1,  3535,
    3536,    -1,    -1,    -1,  3540,  3541,    -1,    -1,    -1,    -1,
    3546,  3547,    -1,    -1,  3550,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3570,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3605,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3613,    -1,  2491,
      -1,    -1,  3417,  3418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2331,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2753,  2754,    -1,  2756,    -1,    -1,    -1,    -1,    -1,
      -1,  2763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3484,
      -1,    -1,  2794,    -1,  2796,    -1,    -1,    -1,  2393,    -1,
      -1,    -1,    -1,    -1,  3700,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3527,  3528,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3740,  3540,    -1,    -1,    -1,  3745,
      -1,  3546,  3547,    -1,    -1,  3550,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3759,    -1,    -1,  2868,  3763,    -1,    -1,
      -1,    -1,  3768,    -1,    -1,  3570,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2893,    -1,  3789,    -1,    -1,  2491,  3793,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3813,  3814,  2921,
      -1,  3817,    -1,    -1,    -1,    -1,    -1,    -1,  3824,  3825,
      -1,    -1,    -1,    -1,    -1,  2937,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2951,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3854,    -1,
      -1,  3857,    -1,    -1,  2966,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1850,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2753,  2754,    -1,  2756,    -1,    -1,    -1,    -1,    -1,
      -1,  2763,  3888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3002,    -1,    -1,    -1,    -1,  3700,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2794,    -1,  2796,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3935,
    3936,    -1,    -1,  1921,    -1,    -1,  3942,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3063,    -1,    -1,  3759,    -1,  1944,    -1,    -1,    -1,
      -1,  1949,  3968,  3969,    -1,  3971,    -1,  3973,    -1,    -1,
    3082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1968,  1969,    -1,    -1,  1972,    -1,  2868,    -1,    -1,    -1,
      -1,    -1,    -1,  3999,    -1,  3107,  4002,    -1,    -1,    -1,
    4006,  4007,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2893,  3817,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3825,    -1,  2010,    -1,    -1,    -1,    -1,    -1,    -1,  3141,
      -1,  4037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2921,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2753,  2754,
      -1,  2756,  4058,    -1,    -1,  2937,    -1,    -1,  2763,  4065,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2951,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4083,    -1,    -1,
    2068,    -1,    -1,    -1,  2966,    -1,    -1,    -1,    -1,  2794,
      -1,  2796,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2096,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2106,    -1,
    3002,  2109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3936,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4151,    -1,    -1,    -1,    -1,
      -1,  3263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2868,    -1,    -1,  3971,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3063,    -1,    -1,    -1,    -1,    -1,    -1,  2893,    -1,
      -1,    -1,    -1,    -1,  3999,    -1,    -1,    -1,    -1,    -1,
    3082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2921,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3107,    -1,    -1,    -1,    -1,
    4236,    -1,  2937,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2951,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3141,
      -1,  2966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3381,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3002,    -1,    -1,
      -1,    -1,    -1,    -1,  3416,    -1,    -1,    -1,    -1,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      36,    -1,    -1,    -1,    -1,    -1,    -1,    43,    44,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    -1,    72,    -1,  3063,    -1,
      76,    77,    78,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3082,    -1,    -1,
      -1,  3263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3107,    -1,    -1,    -1,    -1,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3530,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3541,
      -1,    -1,    -1,    -1,    -1,    -1,  3141,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   194,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   208,  3605,    -1,    -1,    -1,    -1,    -1,  3381,
      -1,  3613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2514,    -1,    -1,    -1,
      -1,    -1,   248,    -1,  3416,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2536,    -1,
    2538,    -1,  2540,  2541,  2542,    -1,    -1,  2545,  3263,    -1,
      -1,  2549,    -1,    -1,    -1,    -1,   282,    -1,  2556,   285,
      -1,    -1,    -1,  2561,    -1,    -1,    -1,    -1,  2566,    -1,
      -1,    -1,    -1,  2571,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   307,  2580,    -1,    -1,    -1,  2584,  2585,  2586,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2598,    -1,    -1,    -1,    -1,    -1,    -1,  2605,    -1,  2607,
    2608,  2609,  2610,  2611,  2612,  2613,  2614,  2615,  2616,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3530,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3768,    -1,    -1,  3541,
      -1,    -1,    -1,   379,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3381,    -1,    -1,    -1,
      -1,  3793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   419,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3416,    -1,    -1,    -1,    -1,   432,    -1,    -1,    -1,
      -1,    -1,    -1,  3605,    -1,    -1,    -1,    -1,    -1,   445,
      -1,  3613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3854,    -1,    -1,    -1,    -1,  2735,    -1,    -1,
      -1,    -1,    -1,    -1,   470,    -1,    -1,    -1,    -1,    -1,
     476,   477,   478,    -1,    -1,    -1,   482,    -1,   484,    -1,
      -1,    -1,   488,   489,   490,   491,   492,    -1,    -1,   495,
     496,   497,    -1,    -1,    -1,    -1,   502,   503,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3530,    -1,    -1,    -1,    -1,
    3942,    -1,    -1,    -1,    -1,    -1,  3541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3969,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3768,    -1,    -1,    -1,
    4002,    -1,    -1,    -1,  4006,  4007,    -1,    -1,    -1,    -1,
    3605,    -1,    -1,    -1,    -1,    -1,  2894,    -1,  3613,    -1,
      -1,  3793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,
      43,    44,  3854,    -1,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    -1,    72,
      -1,    -1,    -1,    76,    77,    78,    79,    80,    -1,    -1,
      -1,  2999,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3020,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3942,    -1,    -1,  3768,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3059,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3969,  3793,    -1,
      -1,    -1,  3080,  3081,    -1,  3083,    -1,    -1,  3086,  3087,
    3088,  3089,  3090,  3091,  3092,  3093,  3094,  3095,  3096,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4002,   194,    -1,    -1,  4006,  4007,    -1,    -1,    -1,    -1,
      -1,  3119,    -1,    -1,  3122,   208,  3124,    -1,    -1,    -1,
      -1,  3129,  3130,    -1,    -1,    -1,    -1,    -1,    -1,  3854,
      -1,    -1,    -1,    -1,   227,  3143,  3144,  3145,    -1,  3147,
      -1,    -1,  3150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   248,    -1,  3165,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3195,    -1,   282,
      -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   307,    -1,    -1,  3942,    -1,    -1,
      -1,    -1,    -1,    -1,  3232,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3969,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4002,    -1,    -1,
      -1,  4006,  4007,    -1,    -1,    -1,   379,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   419,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3368,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   470,    -1,    -1,
      -1,    -1,    -1,   476,   477,   478,    -1,    -1,    -1,   482,
       5,   484,    -1,    -1,    -1,   488,   489,   490,   491,   492,
      -1,    -1,   495,   496,   497,   498,    -1,    -1,    -1,   502,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,    44,
      -1,    -1,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    72,    -1,    -1,
      -1,    76,    77,    78,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3485,    -1,    -1,
    3488,  3489,  3490,    -1,    -1,  3493,    -1,    -1,    -1,    -1,
    3498,  3499,  3500,  3501,  3502,  3503,  3504,  3505,  3506,  3507,
    3508,  3509,    -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3534,  3535,  3536,  3537,
      -1,  3539,    -1,    -1,    -1,  3543,  3544,  3545,    -1,    -1,
    3548,    -1,    -1,  3551,    -1,    -1,    -1,    -1,    -1,    -1,
    3558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   194,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   208,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,    -1,    -1,
     285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   307,    -1,  3702,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3742,  3743,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   379,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3785,    -1,    -1,
      -1,  3789,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3801,    -1,  3803,    -1,    -1,    -1,    -1,
    3808,  3809,  3810,    -1,   419,  3813,  3814,  3815,  3816,    -1,
    3818,    -1,    -1,    -1,    -1,    -1,    -1,   432,    -1,    -1,
      -1,    -1,    -1,    -1,  3832,    -1,    -1,    -1,    -1,    -1,
     445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   470,    -1,    -1,    -1,    -1,
      -1,   476,   477,   478,    -1,    -1,    -1,   482,    -1,   484,
      -1,    -1,    -1,   488,   489,   490,   491,   492,    -1,    -1,
     495,   496,   497,   498,    -1,    -1,    -1,   502,    -1,    -1,
      -1,    -1,  3900,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3952,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3967,
    3968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3981,  3982,  3983,    -1,  3985,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,  4056,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,  4073,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,
      -1,    -1,  4090,    -1,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,    -1,   476,     3,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
     503,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    -1,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,    -1,    -1,   107,   108,
     109,   110,   111,   112,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   124,    -1,    -1,   127,    -1,
     129,   130,   131,    -1,    -1,   134,   135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,   147,    -1,
      -1,    -1,   151,    -1,    -1,    -1,    -1,    -1,   157,    -1,
      -1,    -1,    -1,    -1,    -1,   164,    -1,   166,   167,   168,
     169,    -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,
      -1,    -1,   181,    -1,    -1,    -1,    -1,    -1,   187,    -1,
      -1,    -1,    -1,    -1,   193,   194,    -1,    -1,    -1,    -1,
     199,   200,   201,    -1,   203,    -1,    -1,   206,    -1,   208,
      -1,    -1,    -1,    -1,    -1,   214,    -1,   216,    -1,    -1,
     219,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   242,   243,    -1,    -1,   246,    -1,    -1,
     249,    -1,   251,    -1,    -1,   254,   255,    -1,   257,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,   267,    -1,
     269,    -1,   271,   272,    -1,    -1,    -1,    -1,   277,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,
     289,   290,   291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   300,    -1,    -1,    -1,   304,   305,    -1,    -1,   308,
      -1,   310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   324,   325,   326,   327,   328,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,    -1,
     339,    -1,   341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   351,   352,    -1,    -1,    -1,   356,    -1,   358,
      -1,    -1,    -1,    -1,   363,    -1,    -1,    -1,    -1,   368,
     369,    -1,   371,   372,    -1,    -1,   375,    -1,    -1,    -1,
      -1,    -1,   381,    -1,    -1,    -1,    -1,    -1,   387,   388,
      -1,   390,   391,    -1,   393,    -1,    -1,    -1,   397,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   405,    -1,    -1,    -1,
      -1,   410,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,
      -1,    -1,    -1,   422,    -1,   424,    -1,   426,    -1,   428,
      -1,    -1,    -1,   432,    -1,    -1,   435,    -1,   437,    -1,
      -1,   440,    -1,    -1,    -1,   444,   445,    -1,    -1,   448,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   456,    -1,    -1,
      -1,    -1,    -1,   462,   463,   464,   465,   466,   467,   468,
     469,    -1,    -1,    -1,    -1,    -1,    -1,   476,    -1,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,   497,    26,
      27,    -1,   501,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    -1,    -1,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,    -1,
      -1,   108,   109,   110,   111,   112,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   124,    -1,    -1,
      -1,    -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   151,    -1,    -1,    -1,    -1,    -1,
     157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     167,   168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   194,    -1,    -1,
      -1,    -1,    -1,   200,    -1,    -1,   203,    -1,    -1,    -1,
      -1,   208,    -1,    -1,    -1,    -1,    -1,   214,    -1,   216,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   242,   243,    -1,    -1,    -1,
      -1,    -1,   249,    -1,   251,    -1,    -1,   254,   255,    -1,
     257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,
     267,    -1,   269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   289,   290,   291,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   300,    -1,    -1,    -1,    -1,   305,    -1,
      -1,   308,    -1,   310,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,   325,   326,
     327,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     337,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   351,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   369,    -1,    -1,   372,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   388,    -1,    -1,   391,    -1,   393,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   405,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,   418,    -1,    -1,    -1,   422,    -1,   424,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   432,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   445,    -1,
      -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   462,   463,   464,   465,   466,
     467,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,   476,
      -1,    -1,    -1,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,   504,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    -1,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   104,    -1,    -1,    -1,   108,   109,   110,   111,   112,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   124,    -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,    -1,
      -1,    -1,    -1,    -1,   157,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   167,   168,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   194,    -1,    -1,    -1,    -1,    -1,   200,    -1,    -1,
     203,    -1,    -1,    -1,    -1,   208,    -1,    -1,    -1,    -1,
      -1,   214,    -1,   216,    -1,    -1,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,
     243,    -1,    -1,    -1,    -1,    -1,   249,    -1,   251,    -1,
      -1,   254,   255,    -1,   257,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   266,   267,    -1,   269,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   289,   290,   291,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,    -1,
      -1,    -1,   305,    -1,    -1,   308,    -1,   310,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   324,   325,   326,   327,   328,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   337,    -1,   339,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   369,    -1,    -1,   372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   388,    -1,    -1,   391,    -1,
     393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,   418,    -1,    -1,    -1,   422,
      -1,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   445,    -1,    -1,   448,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   462,
     463,   464,   465,   466,   467,   468,   469,     5,    -1,    -1,
      -1,    -1,    -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,
      -1,   504,    -1,    -1,    -1,    43,    44,    -1,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    -1,    72,    -1,    -1,    -1,    76,    77,
      78,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   194,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   227,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   282,    -1,    -1,   285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   419,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   432,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   445,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   470,    -1,    -1,    -1,    -1,    -1,   476,   477,
     478,    -1,    -1,    -1,   482,    -1,   484,    -1,    -1,    -1,
     488,   489,   490,   491,   492,    -1,    -1,   495,   496,   497,
      -1,    -1,    -1,    -1,   502,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    -1,    72,    73,    -1,    -1,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    -1,    -1,    -1,    -1,    97,    -1,    -1,
     100,   101,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,    -1,    -1,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,   204,   205,    -1,   207,   208,   209,
      -1,   211,    -1,   213,   214,    -1,   216,   217,   218,    -1,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,    -1,   245,   246,   247,   248,   249,
      -1,   251,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,    -1,   315,   316,    -1,    -1,   319,
     320,   321,    -1,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
      -1,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,   433,   434,   435,   436,   437,   438,    -1,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,    -1,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,   488,   489,
     490,    -1,    -1,    -1,    -1,    -1,    -1,   497,   498,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    -1,    72,    73,    -1,    -1,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    97,    -1,    -1,   100,   101,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,   128,   129,   130,   131,    -1,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,    -1,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,   204,   205,
      -1,   207,   208,   209,    -1,   211,    -1,   213,   214,    -1,
     216,   217,   218,    -1,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,    -1,   245,
     246,   247,   248,   249,    -1,   251,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,    -1,   315,
     316,    -1,    -1,   319,   320,   321,    -1,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,    -1,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,   433,   434,   435,
     436,   437,   438,    -1,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,    -1,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,   488,   489,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   497,   498,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,    -1,    -1,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,    -1,
      -1,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
     152,    -1,    -1,    -1,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
      -1,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,   194,   195,    -1,   197,   198,   199,    -1,   201,
     202,    -1,    -1,   205,    -1,   207,   208,   209,    -1,   211,
      -1,   213,   214,    -1,   216,   217,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,    -1,   245,   246,   247,   248,   249,    -1,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,    -1,   267,   268,   269,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,    -1,   301,
      -1,   303,   304,   305,   306,    -1,    -1,   309,   310,   311,
     312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,
      -1,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,    -1,   336,    -1,   338,    -1,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
      -1,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,    -1,   408,   409,    -1,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,    -1,   421,
      -1,   423,    -1,    -1,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   470,   471,
     472,    -1,    -1,    -1,   476,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   498,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,    -1,    -1,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,    -1,
      -1,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
     152,    -1,    -1,    -1,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
      -1,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,   194,   195,    -1,   197,   198,   199,    -1,   201,
     202,    -1,    -1,   205,    -1,   207,   208,   209,    -1,   211,
      -1,   213,   214,    -1,   216,   217,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,    -1,   245,   246,   247,   248,   249,    -1,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,    -1,   267,   268,   269,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,    -1,   301,
      -1,   303,   304,   305,   306,    -1,    -1,   309,   310,   311,
     312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,
      -1,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,    -1,   336,    -1,   338,    -1,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
      -1,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,    -1,   408,   409,    -1,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,    -1,   421,
      -1,   423,    -1,    -1,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   470,   471,
     472,    -1,    -1,    -1,   476,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,   498,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,    -1,   103,    -1,   105,   106,   107,    -1,
     109,    -1,   111,   112,    -1,   114,   115,   116,   117,   118,
      -1,    -1,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,    -1,    -1,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,    -1,   148,
     149,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,    -1,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,    -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,
      -1,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,
     249,    -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,    -1,    -1,   315,    -1,    -1,    -1,
     319,   320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,    -1,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,    -1,
     449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,    -1,    -1,    -1,   476,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,   495,    15,    16,    -1,
     499,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    -1,    72,    73,    -1,    -1,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    97,
      -1,    -1,   100,   101,    -1,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
     128,   129,   130,   131,    -1,    -1,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,    -1,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,   204,   205,    -1,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,    -1,   245,   246,   247,
     248,   249,    -1,   251,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,    -1,   315,   316,    -1,
      -1,   319,   320,   321,    -1,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,    -1,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,   433,   434,   435,   436,   437,
     438,    -1,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,    -1,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
     488,   489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   497,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    -1,    72,    73,    -1,
      -1,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    97,    -1,    -1,   100,   101,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,    -1,    -1,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,    -1,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,   204,
     205,    -1,   207,   208,   209,    -1,   211,    -1,   213,   214,
      -1,   216,   217,   218,    -1,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,    -1,   242,   243,    -1,
     245,   246,   247,   248,   249,    -1,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,    -1,
     315,   316,    -1,    -1,   319,   320,   321,    -1,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,    -1,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,   433,   434,
     435,   436,   437,   438,    -1,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,    -1,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,   488,   489,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   497,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,
      72,    73,    -1,    -1,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    97,    -1,    -1,   100,   101,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
      -1,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
      -1,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,   204,   205,    -1,   207,   208,   209,    -1,   211,
      -1,   213,   214,    -1,   216,   217,   218,    -1,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,    -1,   245,   246,   247,   248,   249,    -1,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,    -1,   315,   316,    -1,    -1,   319,   320,   321,
      -1,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,    -1,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,   433,   434,   435,   436,   437,   438,    -1,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,    -1,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,   488,   489,    -1,    -1,
      -1,    -1,    -1,   495,   496,   497,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    -1,    72,    73,    -1,    -1,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    97,    -1,
      -1,   100,   101,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,    -1,    -1,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,    -1,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,   204,   205,    -1,   207,   208,
     209,    -1,   211,    -1,   213,   214,    -1,   216,   217,   218,
      -1,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,    -1,   242,   243,    -1,   245,   246,   247,   248,
     249,    -1,   251,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,    -1,   315,   316,    -1,    -1,
     319,   320,   321,    -1,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,    -1,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,    -1,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,   433,   434,   435,   436,   437,   438,
      -1,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
     449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,    -1,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,   488,
     489,   490,    -1,    -1,    -1,    -1,    -1,    -1,   497,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    -1,    72,    73,    -1,    -1,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    97,    -1,    -1,   100,   101,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,   128,   129,   130,   131,    -1,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,    -1,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,   204,   205,
      -1,   207,   208,   209,    -1,   211,    -1,   213,   214,    -1,
     216,   217,   218,    -1,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,    -1,   245,
     246,   247,   248,   249,    -1,   251,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,    -1,   315,
     316,    -1,    -1,   319,   320,   321,    -1,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,    -1,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,   433,   434,   435,
     436,   437,   438,    -1,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,    -1,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,   488,   489,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   497,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,
      73,    -1,    -1,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      -1,    -1,    -1,    -1,    97,    -1,    -1,   100,   101,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,    -1,
      -1,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,    -1,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,   204,   205,    -1,   207,   208,   209,    -1,   211,    -1,
     213,   214,    -1,   216,   217,   218,    -1,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,    -1,   242,
     243,    -1,   245,   246,   247,   248,   249,    -1,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,    -1,   315,   316,    -1,    -1,   319,   320,   321,    -1,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,    -1,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,    -1,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
     433,   434,   435,   436,   437,   438,    -1,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,   488,   489,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   497,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    -1,    72,    73,    -1,    -1,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    97,    -1,    -1,
     100,   101,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,    -1,    -1,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,    -1,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,   204,   205,    -1,   207,   208,   209,
      -1,   211,    -1,   213,   214,    -1,   216,   217,   218,    -1,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,    -1,   245,   246,   247,   248,   249,
      -1,   251,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,    -1,   315,   316,    -1,    -1,   319,
     320,   321,    -1,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
      -1,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,   433,   434,   435,   436,   437,   438,    -1,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,    -1,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,   488,   489,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   497,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    -1,    72,    73,    -1,    -1,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      97,    -1,    -1,   100,   101,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,   131,    -1,    -1,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,    -1,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,   204,   205,    -1,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,    -1,   235,   236,
     237,   238,   239,   240,    -1,   242,   243,    -1,   245,   246,
     247,   248,   249,    -1,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,    -1,   315,   316,
      -1,    -1,   319,   320,   321,    -1,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,    -1,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,    -1,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,   433,   434,   435,   436,
     437,   438,    -1,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,    -1,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,   488,   489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     497,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,    73,
      -1,    -1,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    97,    -1,    -1,   100,   101,    -1,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,   128,   129,   130,   131,    -1,    -1,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,    -1,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
     204,   205,    -1,   207,   208,   209,    -1,   211,    -1,   213,
     214,    -1,   216,   217,   218,    -1,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
      -1,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
      -1,   245,   246,   247,   248,   249,    -1,   251,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
      -1,   315,   316,    -1,    -1,   319,   320,   321,    -1,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,    -1,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,   433,
     434,   435,   436,   437,   438,    -1,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,    -1,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,   488,   489,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   497,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      -1,    72,    73,    -1,    -1,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    97,    -1,    -1,   100,
     101,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
     131,    -1,    -1,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,    -1,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,   204,   205,    -1,   207,   208,   209,    -1,
     211,    -1,   213,   214,    -1,   216,   217,   218,    -1,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
      -1,   242,   243,    -1,   245,   246,   247,   248,   249,    -1,
     251,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,    -1,   315,   316,    -1,    -1,   319,   320,
     321,    -1,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,    -1,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,    -1,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,   433,   434,   435,   436,   437,   438,    -1,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,   449,   450,
     451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,    -1,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,    -1,   488,   489,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   497,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    -1,    72,    73,    -1,    -1,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    97,
      -1,    -1,   100,   101,    -1,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
     128,   129,   130,   131,    -1,    -1,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,    -1,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,   204,   205,    -1,   207,
     208,   209,    -1,   211,    -1,   213,   214,    -1,   216,   217,
     218,    -1,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,    -1,   245,   246,   247,
     248,   249,    -1,   251,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,    -1,   315,   316,    -1,
      -1,   319,   320,   321,    -1,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,    -1,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,   433,   434,   435,   436,   437,
     438,    -1,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,    -1,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
     488,   489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   497,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    -1,    72,    73,    -1,
      -1,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    97,    -1,    -1,   100,   101,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,    -1,    -1,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,    -1,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,   204,
     205,    -1,   207,   208,   209,    -1,   211,    -1,   213,   214,
      -1,   216,   217,   218,    -1,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,    -1,   242,   243,    -1,
     245,   246,   247,   248,   249,    -1,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,    -1,
     315,   316,    -1,    -1,   319,   320,   321,    -1,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,    -1,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,    -1,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,   433,   434,
     435,   436,   437,   438,    -1,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,    -1,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,   488,   489,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   497,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,
      72,    73,    -1,    -1,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    97,    -1,    -1,   100,   101,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
      -1,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
      -1,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,   204,   205,    -1,   207,   208,   209,    -1,   211,
      -1,   213,   214,    -1,   216,   217,   218,    -1,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,    -1,   245,   246,   247,   248,   249,    -1,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,    -1,   315,   316,    -1,    -1,   319,   320,   321,
      -1,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,    -1,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,    -1,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,    -1,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,   488,   489,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   497,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    -1,    72,    73,    -1,    -1,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    97,    -1,
      -1,   100,   101,    -1,   103,   104,   105,   106,   107,    -1,
     109,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,    -1,    -1,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,    -1,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,   194,    -1,    -1,   197,   198,
     199,   200,   201,   202,   203,   204,   205,    -1,   207,   208,
     209,    -1,   211,    -1,   213,   214,    -1,   216,   217,   218,
      -1,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,    -1,   242,   243,    -1,   245,   246,   247,   248,
     249,    -1,   251,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
      -1,    -1,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,    -1,   315,   316,    -1,    -1,
     319,   320,   321,    -1,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,    -1,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,    -1,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,   433,   434,   435,   436,   437,   438,
      -1,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
     449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,    -1,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,   488,
     489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   497,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    -1,    72,    73,    -1,    -1,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    97,    -1,    -1,   100,   101,    -1,   103,   104,   105,
     106,   107,    -1,   109,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,   128,   129,   130,   131,    -1,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,    -1,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,   194,    -1,
      -1,   197,   198,   199,   200,   201,   202,   203,   204,   205,
      -1,   207,   208,   209,    -1,   211,    -1,   213,   214,    -1,
     216,   217,   218,    -1,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,    -1,   245,
     246,   247,   248,   249,    -1,   251,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,    -1,    -1,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,    -1,   315,
     316,    -1,    -1,   319,   320,   321,    -1,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,    -1,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,    -1,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,    -1,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,   488,   489,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   497,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,    -1,
      -1,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,    -1,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,
     213,   214,    -1,   216,   217,   218,    -1,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,    -1,   242,
     243,    -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,   312,
      -1,    -1,   315,   316,    -1,   318,   319,   320,   321,    -1,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,    -1,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,    -1,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,    -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   497,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,   125,    -1,   127,   128,   129,   130,   131,    -1,    -1,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,    -1,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,   213,
     214,    -1,   216,   217,   218,    -1,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
      -1,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
      -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,    -1,
      -1,   315,   316,    -1,   318,   319,   320,   321,    -1,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,    -1,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,    -1,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,    -1,
      -1,    -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   497,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,    -1,    -1,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,    -1,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,    -1,   207,   208,   209,    -1,   211,    -1,   213,   214,
      -1,   216,   217,   218,    -1,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,    -1,   242,   243,    -1,
     245,   246,   247,    -1,   249,    -1,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,   312,    -1,    -1,
     315,   316,    -1,    -1,   319,   320,   321,    -1,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,    -1,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,    -1,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,    -1,    -1,
      -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   497,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,    -1,    -1,   121,   122,   123,   124,   125,
      -1,   127,   128,   129,   130,   131,    -1,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,   152,    -1,    -1,    -1,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,    -1,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,    -1,   211,    -1,   213,   214,    -1,
     216,   217,   218,    -1,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,    -1,   245,
     246,   247,    -1,   249,    -1,   251,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,    -1,    -1,   315,
     316,    -1,    -1,   319,   320,   321,    -1,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,    -1,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,    -1,    -1,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,    -1,    -1,    -1,
     476,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,   497,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    98,    -1,   100,   101,    -1,   103,
      -1,   105,   106,   107,    -1,   109,    -1,   111,   112,    -1,
     114,   115,   116,   117,   118,    -1,    -1,   121,   122,   123,
     124,   125,    -1,   127,   128,   129,   130,   131,    -1,    -1,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,   152,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,    -1,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,   213,
      -1,    -1,   216,   217,   218,    -1,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
      -1,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
      -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,   253,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,    -1,   308,   309,   310,   311,   312,    -1,
      -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,    -1,
     324,    -1,    -1,    -1,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,    -1,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,    -1,    -1,   440,   441,   442,   443,
     444,   445,    -1,   447,    -1,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,    -1,
      -1,    -1,   476,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,   498,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      -1,    72,    -1,    -1,    -1,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,    -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,
     111,   112,    -1,   114,   115,   116,   117,   118,    -1,    -1,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
     131,    -1,    -1,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,    -1,   148,   149,   150,
      -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,    -1,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,    -1,
     211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
      -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,
     251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,
     321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,    -1,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,
     441,   442,   443,   444,   445,    -1,   447,    -1,   449,   450,
     451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,    -1,    -1,    -1,   476,    -1,   478,    -1,    -1,
      -1,   482,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,   496,   497,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,
      72,    -1,    -1,    -1,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
      -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,   111,
     112,    -1,   114,   115,   116,   117,   118,    -1,    -1,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
      -1,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,    -1,   148,   149,   150,    -1,
     152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
      -1,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,    -1,   211,
      -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,    -1,
      -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,   251,
      -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,
      -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,    -1,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,   441,
     442,   443,   444,   445,    -1,   447,    -1,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,    -1,    -1,    -1,   476,    -1,   478,    -1,    -1,    -1,
     482,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   497,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,
     103,    -1,   105,   106,   107,    -1,   109,    -1,   111,   112,
      -1,   114,   115,   116,   117,   118,    -1,    -1,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,    -1,
      -1,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,    -1,   148,   149,   150,    -1,   152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,    -1,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,
     213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,    -1,    -1,
     243,    -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,
     253,    -1,    -1,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,    -1,   308,   309,   310,   311,   312,
      -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,
      -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,    -1,   440,   441,   442,
     443,   444,   445,    -1,   447,    -1,   449,   450,   451,    -1,
      -1,   454,    -1,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,    -1,   476,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,   497,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,    -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,
     111,   112,    -1,   114,   115,   116,   117,   118,    -1,    -1,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
     131,    -1,    -1,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,    -1,   148,   149,   150,
      -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,    -1,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,    -1,
     211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
      -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,
     251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,
     321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,
     441,   442,   443,   444,   445,    -1,   447,    -1,   449,   450,
     451,    -1,    -1,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,    -1,    -1,    -1,   476,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,   497,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,    -1,   103,    -1,   105,   106,   107,    -1,
     109,    -1,   111,   112,    -1,   114,   115,   116,   117,   118,
      -1,    -1,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,    -1,    -1,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,    -1,   148,
     149,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,    -1,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,    -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,
      -1,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,
     249,    -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,    -1,    -1,   315,   316,    -1,    -1,
     319,   320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,    -1,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
      -1,   440,   441,   442,   443,   444,   445,    -1,   447,    -1,
     449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,    -1,    -1,    -1,   476,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,   497,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,    -1,   103,    -1,   105,   106,
     107,    -1,   109,    -1,   111,   112,    -1,   114,   115,   116,
     117,   118,    -1,    -1,   121,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,   131,    -1,    -1,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
      -1,   148,   149,   150,    -1,   152,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,    -1,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,    -1,   211,    -1,   213,    -1,    -1,    -1,
     217,   218,    -1,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,    -1,   235,   236,
     237,   238,   239,   240,    -1,    -1,   243,    -1,   245,   246,
     247,    -1,   249,    -1,   251,    -1,   253,    -1,    -1,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
      -1,   308,   309,   310,   311,   312,    -1,    -1,   315,    -1,
      -1,    -1,   319,   320,   321,    -1,    -1,   324,    -1,    -1,
      -1,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,    -1,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,    -1,   440,   441,   442,   443,   444,   445,    -1,
     447,    -1,   449,   450,   451,    -1,    -1,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,    -1,    -1,    -1,   476,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
     497,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,    -1,   103,    -1,
     105,   106,   107,    -1,   109,    -1,   111,   112,    -1,   114,
     115,   116,   117,   118,    -1,    -1,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,    -1,    -1,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,    -1,   148,   149,   150,    -1,   152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,    -1,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,    -1,   207,   208,   209,    -1,   211,    -1,   213,    -1,
      -1,    -1,   217,   218,    -1,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,    -1,    -1,   243,    -1,
     245,   246,   247,    -1,   249,    -1,   251,    -1,   253,    -1,
      -1,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,    -1,    -1,
     315,    -1,    -1,    -1,   319,   320,   321,    -1,    -1,   324,
      -1,    -1,    -1,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,    -1,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,    -1,   440,   441,   442,   443,   444,
     445,    -1,   447,    -1,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,    -1,    -1,
      -1,   476,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,   497,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,
     103,    -1,   105,   106,   107,    -1,   109,    -1,   111,   112,
      -1,   114,   115,   116,   117,   118,    -1,    -1,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,    -1,
      -1,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,    -1,   148,   149,   150,    -1,   152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,    -1,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,
     213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,    -1,    -1,
     243,    -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,
     253,    -1,    -1,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,    -1,   308,   309,   310,   311,   312,
      -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,
      -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,    -1,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,    -1,   440,   441,   442,
     443,   444,   445,    -1,   447,    -1,   449,   450,   451,    -1,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,    -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   497,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,    73,
      -1,    -1,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,    -1,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,    -1,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,    -1,
      -1,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
      -1,   325,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,    -1,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   470,   471,   472,    -1,
      -1,    -1,   476,   477,   478,    -1,    -1,   481,   482,    -1,
     484,   485,   486,    -1,   488,   489,   490,   491,   492,   493,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,    -1,   103,    -1,   105,
     106,   107,    -1,   109,    -1,   111,   112,    -1,   114,   115,
     116,   117,   118,    -1,    -1,   121,   122,   123,   124,   125,
      -1,   127,   128,   129,   130,   131,    -1,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,    -1,   148,   149,   150,    -1,   152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,    -1,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,    -1,   211,    -1,   213,    -1,    -1,
      -1,   217,   218,    -1,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,    -1,    -1,   243,    -1,   245,
     246,   247,    -1,   249,    -1,   251,    -1,   253,    -1,    -1,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,    -1,   308,   309,   310,   311,   312,    -1,    -1,   315,
      -1,    -1,    -1,   319,   320,   321,    -1,    -1,   324,    -1,
      -1,    -1,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,    -1,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,    -1,    -1,   440,   441,   442,   443,   444,   445,
      -1,   447,    -1,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,    -1,    -1,    -1,
     476,    -1,    -1,    -1,    -1,   481,    -1,    -1,   484,   485,
     486,    -1,   488,   489,   490,   491,   492,   493,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,    -1,   103,    -1,   105,   106,   107,
      -1,   109,    -1,   111,   112,    -1,   114,   115,   116,   117,
     118,    -1,    -1,   121,   122,   123,   124,   125,    -1,   127,
     128,   129,   130,   131,    -1,    -1,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,    -1,
     148,   149,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,    -1,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,    -1,   211,    -1,   213,    -1,    -1,    -1,   217,
     218,    -1,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,    -1,   235,   236,   237,
     238,   239,   240,    -1,    -1,   243,    -1,   245,   246,   247,
      -1,   249,    -1,   251,    -1,   253,    -1,    -1,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,    -1,
     308,   309,   310,   311,   312,    -1,    -1,   315,    -1,    -1,
      -1,   319,   320,   321,    -1,    -1,   324,    -1,    -1,    -1,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,    -1,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,    -1,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
      -1,    -1,   440,   441,   442,   443,   444,   445,    -1,   447,
      -1,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,    -1,    -1,    -1,   476,    -1,
      -1,    -1,    -1,   481,    -1,    -1,   484,   485,   486,    -1,
     488,   489,   490,   491,   492,   493,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,    -1,   103,    -1,   105,   106,   107,    -1,   109,
      -1,   111,   112,    -1,   114,   115,   116,   117,   118,    -1,
      -1,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,    -1,    -1,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,    -1,   148,   149,
     150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,    -1,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
      -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,
      -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,    -1,    -1,   315,    -1,    -1,    -1,   319,
     320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,    -1,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
      -1,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,
     440,   441,   442,   443,   444,   445,    -1,   447,    -1,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,    -1,    -1,    -1,   476,    -1,    -1,    -1,
      -1,   481,    -1,    -1,   484,   485,   486,    -1,   488,   489,
     490,   491,   492,   493,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
      -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,   111,
     112,    -1,   114,   115,   116,   117,   118,    -1,    -1,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
      -1,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,    -1,   148,   149,   150,    -1,
     152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
      -1,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,    -1,   211,
      -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,    -1,
      -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,   251,
      -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,
      -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,    -1,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,   441,
     442,   443,   444,   445,    -1,   447,    -1,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,    -1,    -1,    -1,   476,    -1,    -1,    -1,    -1,   481,
      -1,    -1,   484,   485,   486,    -1,   488,   489,   490,   491,
     492,   493,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,   103,
      -1,   105,   106,   107,    -1,   109,    -1,   111,   112,    -1,
     114,   115,   116,   117,   118,    -1,    -1,   121,   122,   123,
     124,   125,    -1,   127,   128,   129,   130,   131,    -1,    -1,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,    -1,   148,   149,   150,    -1,   152,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,    -1,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,   213,
      -1,    -1,    -1,   217,   218,    -1,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
      -1,   235,   236,   237,   238,   239,   240,    -1,    -1,   243,
      -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,   253,
      -1,    -1,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,    -1,   308,   309,   310,   311,   312,    -1,
      -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,    -1,
     324,    -1,    -1,    -1,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,    -1,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,    -1,    -1,   440,   441,   442,   443,
     444,   445,    -1,   447,    -1,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,    -1,
      -1,    -1,   476,    -1,    -1,    -1,    -1,   481,    -1,    -1,
     484,   485,   486,    -1,   488,   489,   490,   491,   492,   493,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,    -1,    -1,
      -1,   476,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   490,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,    -1,    -1,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,    -1,    -1,
      -1,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,   152,
      -1,    -1,    -1,    -1,   157,    -1,    -1,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,    -1,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,   194,   195,    -1,   197,   198,   199,    -1,   201,   202,
      -1,    -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,
     213,   214,    -1,   216,   217,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,    -1,   242,
      -1,    -1,   245,   246,   247,   248,   249,    -1,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,    -1,   267,   268,   269,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,    -1,
     303,   304,   305,   306,    -1,    -1,   309,   310,   311,   312,
      -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,
      -1,    -1,   325,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,    -1,   336,    -1,   338,    -1,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,    -1,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,    -1,   408,   409,    -1,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,    -1,   421,    -1,
     423,    -1,    -1,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,    -1,   440,   441,   442,
     443,    -1,   445,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   470,   471,   472,
      -1,    -1,    -1,   476,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   490,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,    -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,
     111,   112,    -1,   114,   115,   116,   117,   118,    -1,    -1,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
     131,    -1,    -1,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,    -1,   148,   149,   150,
      -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,    -1,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,    -1,
     211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
      -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,
     251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,
     321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,    -1,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,
     441,   442,   443,   444,   445,    -1,   447,    -1,   449,   450,
     451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,    -1,    -1,    -1,   476,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   490,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    -1,    72,    73,    -1,    -1,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,    -1,   103,    -1,   105,   106,   107,    -1,
     109,    -1,   111,   112,    -1,   114,   115,   116,   117,   118,
      -1,    -1,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,    -1,    -1,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,    -1,   148,
     149,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,    -1,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,   204,   205,    -1,   207,   208,
     209,    -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,
      -1,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,
     249,    -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,   313,    -1,   315,    -1,   317,    -1,
     319,   320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,    -1,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,    -1,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
      -1,   440,   441,   442,   443,   444,   445,    -1,   447,    -1,
     449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,    -1,    -1,    -1,   476,   477,   478,
      -1,    -1,    -1,   482,    -1,    -1,    -1,    -1,    -1,   488,
     489,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    -1,    72,    73,    -1,
      -1,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,    -1,   103,    -1,
     105,   106,   107,    -1,   109,    -1,   111,   112,    -1,   114,
     115,   116,   117,   118,    -1,    -1,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,    -1,    -1,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,    -1,   148,   149,   150,    -1,   152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,    -1,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,   204,
     205,    -1,   207,   208,   209,    -1,   211,    -1,   213,    -1,
      -1,    -1,   217,   218,    -1,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,    -1,    -1,   243,    -1,
     245,   246,   247,    -1,   249,    -1,   251,    -1,   253,    -1,
      -1,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,   313,    -1,
     315,    -1,   317,    -1,   319,   320,   321,    -1,    -1,   324,
      -1,    -1,    -1,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,    -1,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,    -1,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,    -1,   440,   441,   442,   443,   444,
     445,    -1,   447,    -1,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,    -1,    -1,
      -1,   476,   477,   478,    -1,    -1,    -1,   482,    -1,    -1,
      -1,    -1,    -1,   488,   489,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      -1,    72,    73,    -1,    -1,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,    -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,
     111,   112,    -1,   114,   115,   116,   117,   118,    -1,    -1,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
     131,    -1,    -1,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,    -1,   148,   149,   150,
      -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,    -1,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,   204,   205,    -1,   207,   208,   209,    -1,
     211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
      -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,
     251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,   313,    -1,   315,    -1,   317,    -1,   319,   320,
     321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,    -1,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,    -1,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,
     441,   442,   443,   444,   445,    -1,   447,    -1,   449,   450,
     451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,    -1,    -1,    -1,   476,   477,   478,    -1,    -1,
      -1,   482,    -1,    -1,    -1,    -1,    -1,   488,   489,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    -1,    72,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,    -1,   103,    -1,   105,   106,
     107,    -1,   109,    -1,   111,   112,    -1,   114,   115,   116,
     117,   118,    -1,    -1,   121,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,   131,    -1,    -1,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
      -1,   148,   149,   150,    -1,   152,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,    -1,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,    -1,   211,    -1,   213,    -1,   215,    -1,
     217,   218,    -1,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,    -1,    -1,   243,    -1,   245,   246,
     247,    -1,   249,    -1,   251,    -1,   253,    -1,    -1,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
      -1,   308,   309,   310,   311,   312,    -1,    -1,   315,    -1,
      -1,    -1,   319,   320,   321,    -1,    -1,   324,    -1,    -1,
      -1,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,    -1,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,    -1,   440,   441,   442,   443,   444,   445,    -1,
     447,    -1,   449,   450,   451,    -1,    -1,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,    -1,    -1,    -1,   476,
      -1,    -1,    -1,    -1,    -1,   482,    -1,    -1,    -1,    -1,
      -1,   488,   489,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,
     103,    -1,   105,   106,   107,    -1,   109,    -1,   111,   112,
      -1,   114,   115,   116,   117,   118,    -1,    -1,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,    -1,
      -1,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,    -1,   148,   149,   150,    -1,   152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,    -1,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,
     213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,    -1,    -1,
     243,    -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,
     253,    -1,    -1,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,    -1,   308,   309,   310,   311,   312,
      -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,
      -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,    -1,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,    -1,   440,   441,   442,
     443,   444,   445,    -1,   447,    -1,   449,   450,   451,    -1,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,    -1,   476,    -1,    -1,    -1,    -1,    -1,   482,
      -1,    -1,    -1,    -1,    -1,   488,   489,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    -1,    72,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,    -1,   103,    -1,   105,   106,   107,    -1,
     109,    -1,   111,   112,    -1,   114,   115,   116,   117,   118,
      -1,    -1,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,    -1,    -1,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,    -1,   148,
     149,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,    -1,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,    -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,
      -1,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,
     249,    -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,    -1,    -1,   315,    -1,    -1,    -1,
     319,   320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,    -1,   411,   412,   413,   414,   415,    -1,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
      -1,   440,   441,   442,   443,   444,   445,    -1,   447,    -1,
     449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,    -1,    -1,    -1,   476,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   484,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,    -1,   103,    -1,   105,   106,   107,    -1,   109,
      -1,   111,   112,    -1,   114,   115,   116,   117,   118,    -1,
      -1,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,    -1,    -1,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,    -1,   148,   149,
     150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,    -1,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
      -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,
      -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,    -1,    -1,   315,    -1,    -1,    -1,   319,
     320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,    -1,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
      -1,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,
     440,   441,   442,   443,   444,   445,    -1,   447,    -1,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,    -1,    -1,    -1,   476,    -1,    -1,    -1,
      -1,    -1,    -1,   483,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,
      72,    -1,    -1,    -1,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
      -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,   111,
     112,    -1,   114,   115,   116,   117,   118,    -1,    -1,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
      -1,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,    -1,   148,   149,   150,    -1,
     152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
      -1,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,    -1,   211,
      -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,    -1,
      -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,   251,
      -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,
      -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,    -1,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,   441,
     442,   443,   444,   445,    -1,   447,    -1,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,    -1,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    -1,    72,    73,    -1,
      -1,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,    -1,   103,    -1,
     105,   106,   107,    -1,   109,    -1,   111,   112,    -1,   114,
     115,   116,   117,   118,    -1,    -1,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,    -1,    -1,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,    -1,   148,   149,   150,    -1,   152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,    -1,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,    -1,   207,   208,   209,    -1,   211,    -1,   213,    -1,
      -1,    -1,   217,   218,    -1,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,    -1,    -1,   243,    -1,
     245,   246,   247,    -1,   249,    -1,   251,    -1,   253,    -1,
      -1,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,    -1,    -1,
     315,    -1,    -1,    -1,   319,   320,   321,    -1,    -1,   324,
      -1,    -1,    -1,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,    -1,   411,   412,   413,   414,
     415,    -1,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,    -1,   440,   441,   442,   443,   444,
     445,    -1,   447,    -1,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,    -1,    -1,
      -1,   476,    -1,   478,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,
      72,    73,    -1,    -1,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
      -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,   111,
     112,    -1,   114,   115,   116,   117,   118,    -1,    -1,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
      -1,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,    -1,   148,   149,   150,    -1,
     152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
      -1,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,    -1,   211,
      -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,    -1,
      -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,   251,
      -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,
      -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,    -1,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,   441,
     442,   443,   444,   445,    -1,   447,    -1,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,    -1,    -1,    -1,   476,    -1,   478,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    -1,    72,    73,    -1,    -1,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,    -1,   103,    -1,   105,   106,   107,    -1,
     109,    -1,   111,   112,    -1,   114,   115,   116,   117,   118,
      -1,    -1,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,    -1,    -1,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,    -1,   148,
     149,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,    -1,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,    -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,
      -1,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,
     249,    -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,    -1,    -1,   315,    -1,    -1,    -1,
     319,   320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,    -1,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
      -1,   440,   441,   442,   443,   444,   445,    -1,   447,    -1,
     449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,    -1,    -1,    -1,   476,    -1,   478,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,    -1,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,    -1,   103,    -1,   105,
     106,   107,    -1,   109,    -1,   111,   112,    -1,   114,   115,
     116,   117,   118,    -1,    -1,   121,   122,   123,   124,   125,
      -1,   127,   128,   129,   130,   131,    -1,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,    -1,   148,   149,   150,    -1,   152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,    -1,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,    -1,   211,    -1,   213,    -1,    -1,
      -1,   217,   218,    -1,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,    -1,    -1,   243,    -1,   245,
     246,   247,    -1,   249,    -1,   251,    -1,   253,    -1,    -1,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,    -1,   308,   309,   310,   311,   312,    -1,    -1,   315,
      -1,    -1,    -1,   319,   320,   321,    -1,    -1,   324,    -1,
      -1,    -1,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,    -1,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,    -1,    -1,   440,   441,   442,   443,   444,   445,
      -1,   447,    -1,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,    -1,    -1,    -1,
     476,    -1,   478,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,
      -1,    -1,    -1,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,
     103,    -1,   105,   106,   107,    -1,   109,    -1,   111,   112,
      -1,   114,   115,   116,   117,   118,    -1,    -1,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,    -1,
      -1,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,    -1,   148,   149,   150,    -1,   152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,    -1,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,
     213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,    -1,    -1,
     243,    -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,
     253,    -1,    -1,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,    -1,   308,   309,   310,   311,   312,
      -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,
      -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,    -1,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,    -1,   440,   441,   442,
     443,   444,   445,    -1,   447,    -1,   449,   450,   451,    -1,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,    -1,   476,    -1,   478,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    -1,    72,    -1,    -1,    -1,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,    -1,   103,    -1,   105,   106,   107,    -1,   109,
      -1,   111,   112,    -1,   114,   115,   116,   117,   118,    -1,
      -1,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,    -1,    -1,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,    -1,   148,   149,
     150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,    -1,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
      -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,
      -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,    -1,    -1,   315,    -1,    -1,    -1,   319,
     320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,    -1,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
      -1,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,
     440,   441,   442,   443,   444,   445,    -1,   447,    -1,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,    -1,    -1,    -1,   476,     4,   478,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,    -1,   103,    -1,   105,   106,
     107,    -1,   109,    -1,   111,   112,    -1,   114,   115,   116,
     117,   118,    -1,    -1,   121,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,   131,    -1,    -1,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
      -1,   148,   149,   150,    -1,   152,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,    -1,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,    -1,   211,    -1,   213,    -1,    -1,    -1,
     217,   218,    -1,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,    -1,   235,   236,
     237,   238,   239,   240,    -1,    -1,   243,    -1,   245,   246,
     247,    -1,   249,    -1,   251,    -1,   253,    -1,    -1,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
      -1,   308,   309,   310,   311,   312,    -1,    -1,   315,    -1,
      -1,    -1,   319,   320,   321,    -1,    -1,   324,    -1,    -1,
      -1,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,    -1,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,    -1,   440,   441,   442,   443,   444,   445,    -1,
     447,    -1,   449,   450,   451,    -1,    -1,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,    -1,    -1,    -1,   476,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,    -1,    -1,
      -1,   476,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,    -1,   476,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,    -1,    -1,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
     131,    -1,    -1,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,   152,    -1,    -1,    -1,    -1,   157,    -1,    -1,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,    -1,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,    -1,
     211,    -1,   213,   214,    -1,   216,   217,   218,    -1,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
      -1,   242,   243,    -1,   245,   246,   247,    -1,   249,    -1,
     251,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,   312,    -1,    -1,   315,   316,    -1,    -1,   319,   320,
     321,    -1,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,    -1,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,   449,   450,
     451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,    -1,    -1,    -1,   476,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
      -1,    -1,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,    -1,    -1,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,   152,    -1,    -1,    -1,    -1,   157,    -1,
      -1,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,    -1,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,    -1,   211,    -1,   213,   214,    -1,   216,   217,   218,
      -1,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,    -1,   242,   243,    -1,   245,   246,   247,    -1,
     249,    -1,   251,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,   312,    -1,    -1,   315,   316,    -1,    -1,
     319,   320,   321,    -1,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,    -1,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
      -1,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
     449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,    -1,    -1,    -1,   476,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,    -1,    -1,   121,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,   131,    -1,    -1,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,   152,    -1,    -1,    -1,    -1,
     157,    -1,    -1,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,    -1,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,    -1,   211,    -1,   213,   214,    -1,   216,
     217,   218,    -1,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,    -1,   235,   236,
     237,   238,   239,   240,    -1,   242,   243,    -1,   245,   246,
     247,    -1,   249,    -1,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,   312,    -1,    -1,   315,   316,
      -1,    -1,   319,   320,   321,    -1,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,    -1,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,    -1,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,    -1,    -1,    -1,   476,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,    -1,    -1,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,    -1,    -1,    -1,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,   152,    -1,    -1,
      -1,    -1,   157,    -1,    -1,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,    -1,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,   194,
     195,    -1,   197,   198,   199,    -1,   201,   202,    -1,    -1,
     205,    -1,   207,   208,   209,    -1,   211,    -1,   213,   214,
      -1,   216,   217,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,    -1,   242,   243,    -1,
     245,   246,   247,   248,   249,    -1,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,    -1,   267,   268,   269,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,    -1,   303,   304,
     305,   306,    -1,    -1,   309,   310,   311,   312,    -1,    -1,
     315,    -1,    -1,    -1,   319,   320,   321,    -1,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
      -1,   336,    -1,   338,    -1,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,    -1,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,    -1,   408,   409,    -1,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,    -1,   421,    -1,   423,    -1,
      -1,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,    -1,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   470,   471,   472,    -1,    -1,
      -1,   476,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,    -1,    -1,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,    -1,    -1,
      -1,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,   152,
      -1,    -1,    -1,    -1,   157,    -1,    -1,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,    -1,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,   194,   195,    -1,   197,   198,   199,    -1,   201,   202,
      -1,    -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,
     213,   214,    -1,   216,   217,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,    -1,   242,
      -1,    -1,   245,   246,   247,   248,   249,    -1,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,    -1,   267,   268,   269,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,    -1,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,
      -1,    -1,   325,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,    -1,   336,    -1,   338,    -1,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,    -1,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,    -1,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,    -1,   421,    -1,
     423,    -1,    -1,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,    -1,   440,   441,   442,
     443,    -1,   445,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   470,   471,   472,
      -1,    -1,    -1,   476,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,    -1,    -1,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
      -1,    -1,    -1,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,   152,    -1,    -1,    -1,    -1,   157,    -1,    -1,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,    -1,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,   194,   195,    -1,   197,   198,   199,    -1,
     201,   202,    -1,    -1,   205,    -1,   207,   208,   209,    -1,
     211,    -1,   213,   214,    -1,   216,   217,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
      -1,   242,    -1,    -1,   245,   246,   247,   248,   249,    -1,
     251,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,    -1,   267,   268,   269,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,    -1,    -1,   309,   310,
     311,   312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,
     321,    -1,    -1,    -1,   325,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,    -1,   336,    -1,   338,    -1,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,    -1,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,    -1,   408,   409,    -1,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,    -1,
     421,    -1,   423,    -1,    -1,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,
     441,   442,   443,    -1,   445,    -1,   447,   448,   449,   450,
     451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   470,
     471,   472,    -1,    -1,    -1,   476,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
      -1,    -1,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,    -1,    -1,    -1,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,   152,    -1,    -1,    -1,    -1,   157,    -1,
      -1,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,    -1,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,   194,   195,    -1,   197,   198,
     199,    -1,   201,   202,    -1,    -1,   205,    -1,   207,   208,
     209,    -1,   211,    -1,   213,   214,    -1,   216,   217,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,    -1,   242,    -1,    -1,   245,   246,   247,   248,
     249,    -1,   251,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,    -1,   267,   268,
     269,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,    -1,    -1,
     309,   310,   311,   312,    -1,    -1,   315,    -1,    -1,    -1,
     319,   320,   321,    -1,    -1,    -1,   325,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,    -1,   336,    -1,   338,
      -1,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,    -1,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,    -1,   408,
     409,    -1,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,    -1,   421,    -1,   423,    -1,    -1,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
      -1,   440,   441,   442,   443,    -1,   445,    -1,   447,   448,
     449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   470,   471,   472,    -1,    -1,    -1,   476,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,    -1,    -1,   121,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,    -1,    -1,    -1,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,   152,    -1,    -1,    -1,    -1,
     157,    -1,    -1,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,    -1,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,   194,   195,    -1,
     197,   198,   199,    -1,   201,   202,    -1,    -1,   205,    -1,
     207,   208,   209,    -1,   211,    -1,   213,   214,    -1,   216,
     217,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,    -1,   235,   236,
     237,   238,   239,   240,    -1,   242,    -1,    -1,   245,   246,
     247,   248,   249,    -1,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,    -1,
     267,   268,   269,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,    -1,   303,   304,   305,   306,
      -1,    -1,   309,   310,   311,   312,    -1,    -1,   315,    -1,
      -1,    -1,   319,   320,   321,    -1,    -1,    -1,   325,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,    -1,   336,
      -1,   338,    -1,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,    -1,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
      -1,   408,   409,    -1,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,    -1,   421,    -1,   423,    -1,    -1,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,    -1,   440,   441,   442,   443,    -1,   445,    -1,
     447,   448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   470,   471,   472,    -1,    -1,    -1,   476,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,    -1,    -1,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,    -1,    -1,    -1,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,   152,    -1,    -1,
      -1,    -1,   157,    -1,    -1,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,    -1,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,   194,
     195,    -1,   197,   198,   199,    -1,   201,   202,    -1,    -1,
     205,    -1,   207,   208,   209,    -1,   211,    -1,   213,   214,
      -1,   216,   217,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,    -1,   242,    -1,    -1,
     245,   246,   247,   248,   249,    -1,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,    -1,   267,   268,   269,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,    -1,   303,   304,
     305,   306,    -1,    -1,   309,   310,   311,   312,    -1,    -1,
     315,    -1,    -1,    -1,   319,   320,   321,    -1,    -1,    -1,
     325,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
      -1,   336,    -1,   338,    -1,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,    -1,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,    -1,   408,   409,    -1,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,    -1,   421,    -1,   423,    -1,
      -1,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,    -1,   440,   441,   442,   443,    -1,
     445,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   470,   471,   472,    -1,    -1,
      -1,   476,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,    -1,    -1,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,    -1,    -1,
      -1,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,   152,
      -1,    -1,    -1,    -1,   157,    -1,    -1,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,    -1,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,   194,   195,    -1,   197,   198,   199,    -1,   201,   202,
      -1,    -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,
     213,   214,    -1,   216,   217,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,    -1,   242,
      -1,    -1,   245,   246,   247,   248,   249,    -1,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,    -1,   267,   268,   269,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,    -1,
     303,   304,   305,   306,    -1,    -1,   309,   310,   311,   312,
      -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,
      -1,    -1,   325,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,    -1,   336,    -1,   338,    -1,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,    -1,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,    -1,   408,   409,    -1,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,    -1,   421,    -1,
     423,    -1,    -1,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,    -1,   440,   441,   442,
     443,    -1,   445,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   470,   471,   472,
      -1,    -1,    -1,   476,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,    -1,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,    -1,    -1,   114,   115,   116,   117,   118,    -1,    -1,
     121,   122,    -1,    -1,   125,    -1,   127,   128,   129,   130,
      -1,    -1,    -1,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,   152,    -1,    -1,    -1,    -1,   157,    -1,    -1,    -1,
     161,   162,   163,   164,   165,   166,    -1,    -1,   169,    -1,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,    -1,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,   194,   195,    -1,   197,   198,   199,    -1,
     201,   202,    -1,    -1,   205,    -1,   207,    -1,   209,    -1,
     211,    -1,   213,   214,    -1,   216,   217,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
      -1,   242,    -1,    -1,   245,   246,   247,    -1,    -1,    -1,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,    -1,   267,   268,   269,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,    -1,   303,   304,   305,   306,    -1,    -1,   309,    -1,
     311,   312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,
     321,    -1,    -1,    -1,   325,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,    -1,   336,    -1,   338,    -1,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
      -1,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,    -1,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,    -1,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,    -1,   408,   409,    -1,
     411,   412,   413,   414,   415,    -1,    -1,    -1,    -1,    -1,
     421,    -1,   423,    -1,    -1,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,
     441,   442,   443,    -1,    -1,    -1,   447,   448,   449,   450,
     451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   470,
     471,   472,    -1,    -1,    -1,   476,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,    -1,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
      -1,   471,   472,    -1,    -1,    -1,   476,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,    -1,   103,    -1,   105,   106,   107,    -1,
     109,    -1,   111,   112,    -1,   114,   115,   116,   117,   118,
      -1,    -1,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,    -1,    -1,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,    -1,   148,
     149,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,    -1,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,    -1,   211,   212,   213,    -1,    -1,    -1,   217,   218,
      -1,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,
     249,    -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,    -1,    -1,   315,    -1,    -1,    -1,
     319,   320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,    -1,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,    -1,   433,   434,   435,   436,   437,    -1,
      -1,   440,   441,   442,   443,   444,   445,    -1,   447,    -1,
     449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,    -1,    -1,    -1,   476,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,    -1,   103,    -1,   105,   106,   107,
      -1,   109,    -1,   111,   112,    -1,   114,   115,   116,   117,
     118,    -1,    -1,   121,   122,   123,   124,   125,    -1,   127,
     128,   129,   130,   131,    -1,    -1,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,    -1,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,    -1,   211,    -1,   213,    -1,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,    -1,   235,   236,   237,
     238,   239,   240,    -1,    -1,   243,    -1,   245,   246,   247,
      -1,   249,    -1,   251,    -1,   253,    -1,    -1,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,    -1,
     308,   309,   310,   311,   312,    -1,    -1,   315,    -1,    -1,
      -1,   319,   320,   321,    -1,    -1,   324,    -1,    -1,    -1,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,    -1,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,    -1,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
      -1,    -1,   440,   441,   442,   443,   444,   445,    -1,   447,
      -1,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,    -1,    -1,    -1,   476,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    -1,    72,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,    -1,   103,    -1,   105,   106,
     107,    -1,   109,    -1,   111,   112,    -1,   114,   115,   116,
     117,   118,    -1,    -1,   121,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,   131,    -1,    -1,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
      -1,   148,   149,   150,    -1,   152,   153,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,    -1,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,    -1,   211,    -1,   213,    -1,    -1,    -1,
     217,   218,    -1,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,    -1,   235,   236,
     237,   238,   239,   240,    -1,    -1,   243,    -1,   245,   246,
     247,    -1,   249,    -1,   251,    -1,   253,    -1,    -1,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
      -1,   308,   309,   310,   311,   312,    -1,    -1,   315,    -1,
      -1,    -1,   319,   320,   321,    -1,    -1,   324,    -1,    -1,
      -1,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,    -1,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,    -1,   440,   441,   442,   443,   444,   445,    -1,
     447,    -1,   449,   450,   451,    -1,    -1,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,    -1,    -1,    -1,   476,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,    -1,   103,    -1,   105,
     106,   107,    -1,   109,    -1,   111,   112,    -1,   114,   115,
     116,   117,   118,    -1,    -1,   121,   122,   123,   124,   125,
      -1,   127,   128,   129,   130,   131,    -1,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,    -1,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,    -1,   211,    -1,   213,    -1,    -1,
      -1,   217,   218,    -1,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,    -1,    -1,   243,    -1,   245,
     246,   247,    -1,   249,    -1,   251,    -1,   253,    -1,    -1,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,    -1,   308,   309,   310,   311,   312,    -1,    -1,   315,
      -1,    -1,    -1,   319,   320,   321,    -1,    -1,   324,    -1,
      -1,    -1,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,    -1,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,    -1,    -1,   440,   441,   442,   443,   444,   445,
      -1,   447,    -1,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,    -1,    -1,    -1,
     476,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,    -1,   103,    -1,
     105,   106,   107,    -1,   109,    -1,   111,   112,    -1,   114,
     115,   116,   117,   118,    -1,    -1,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,    -1,    -1,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,    -1,   148,   149,   150,    -1,   152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,    -1,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,    -1,   207,   208,   209,    -1,   211,   212,   213,    -1,
      -1,    -1,   217,   218,    -1,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,    -1,    -1,   243,    -1,
     245,   246,   247,    -1,   249,    -1,   251,    -1,   253,    -1,
      -1,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,    -1,    -1,
     315,   316,    -1,    -1,   319,   320,   321,    -1,    -1,   324,
      -1,    -1,    -1,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,    -1,   440,   441,   442,   443,   444,
     445,    -1,   447,    -1,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,    -1,    -1,
      -1,   476,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,   103,
      -1,   105,   106,   107,    -1,   109,    -1,   111,   112,    -1,
     114,   115,   116,   117,   118,    -1,    -1,   121,   122,   123,
     124,   125,    -1,   127,   128,   129,   130,   131,    -1,    -1,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,    -1,   148,   149,   150,    -1,   152,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,    -1,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,   213,
      -1,    -1,    -1,   217,   218,    -1,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
      -1,   235,   236,   237,   238,   239,   240,    -1,    -1,   243,
      -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,   253,
      -1,    -1,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,    -1,   308,   309,   310,   311,   312,    -1,
      -1,   315,   316,    -1,    -1,   319,   320,   321,    -1,    -1,
     324,    -1,    -1,    -1,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,    -1,    -1,   440,   441,   442,   443,
     444,   445,    -1,   447,    -1,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,    -1,
      -1,    -1,   476,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    -1,    90,    91,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,
     103,    -1,   105,   106,   107,    -1,   109,    -1,   111,   112,
      -1,   114,   115,   116,   117,   118,    -1,    -1,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,    -1,
      -1,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,    -1,   148,   149,   150,    -1,   152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,    -1,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,
     213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,    -1,    -1,
     243,    -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,
     253,    -1,    -1,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,    -1,   308,   309,   310,   311,   312,
      -1,    -1,   315,   316,    -1,    -1,   319,   320,   321,    -1,
      -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,    -1,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,    -1,   440,   441,   442,
     443,   444,   445,    -1,   447,    -1,   449,   450,   451,    -1,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,    -1,   476,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,
      72,    73,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
      -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,   111,
     112,    -1,   114,   115,   116,   117,   118,    -1,    -1,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
      -1,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,    -1,   148,   149,   150,    -1,
     152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
      -1,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,    -1,   211,
      -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,    -1,
      -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,   251,
      -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,
      -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,    -1,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,   441,
     442,   443,   444,   445,    -1,   447,    -1,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,    -1,    -1,    -1,   476,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,    -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,
     111,   112,    -1,   114,   115,   116,   117,   118,    -1,    -1,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
     131,    -1,    -1,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,    -1,   148,   149,   150,
      -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,    -1,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,    -1,
     211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
      -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,
     251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,    -1,    -1,   315,   316,    -1,   318,   319,   320,
     321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,    -1,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,
     441,   442,   443,   444,   445,    -1,   447,    -1,   449,   450,
     451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,    -1,    -1,    -1,   476,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,    -1,   103,    -1,   105,   106,   107,    -1,   109,
      -1,   111,   112,    -1,   114,   115,   116,   117,   118,    -1,
      -1,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,    -1,    -1,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,    -1,   148,   149,
     150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,    -1,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
      -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,
      -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,    -1,    -1,   315,   316,    -1,    -1,   319,
     320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,    -1,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
      -1,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,
     440,   441,   442,   443,   444,   445,    -1,   447,    -1,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,    -1,    -1,    -1,   476,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,    -1,   103,    -1,   105,   106,   107,    -1,
     109,    -1,   111,   112,    -1,   114,   115,   116,   117,   118,
      -1,    -1,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,    -1,    -1,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,    -1,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,    -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,
      -1,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,
     249,    -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,    -1,    -1,   315,    -1,    -1,    -1,
     319,   320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,    -1,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
      -1,   440,   441,   442,   443,   444,   445,    -1,   447,    -1,
     449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,    -1,    -1,    -1,   476,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    -1,    72,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,    -1,   103,    -1,   105,   106,   107,
      -1,   109,    -1,   111,   112,    -1,   114,   115,   116,   117,
     118,    -1,    -1,   121,   122,   123,   124,   125,    -1,   127,
     128,   129,   130,   131,    -1,    -1,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,    -1,
     148,   149,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,    -1,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,    -1,   211,    -1,   213,    -1,    -1,    -1,   217,
     218,    -1,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,    -1,   235,   236,   237,
     238,   239,   240,    -1,    -1,   243,    -1,   245,   246,   247,
      -1,   249,    -1,   251,    -1,   253,    -1,    -1,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,    -1,
     308,   309,   310,   311,   312,    -1,    -1,   315,    -1,    -1,
      -1,   319,   320,   321,    -1,    -1,   324,    -1,    -1,    -1,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,    -1,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,    -1,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
      -1,    -1,   440,   441,   442,   443,   444,   445,    -1,   447,
      -1,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,    -1,    -1,    -1,   476,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,    -1,   103,    -1,   105,   106,
     107,    -1,   109,    -1,   111,   112,    -1,   114,   115,   116,
     117,   118,    -1,    -1,   121,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,   131,    -1,    -1,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
      -1,   148,   149,   150,    -1,   152,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,    -1,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,    -1,   211,    -1,   213,    -1,    -1,    -1,
     217,   218,    -1,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,    -1,   235,   236,
     237,   238,   239,   240,    -1,    -1,   243,    -1,   245,   246,
     247,    -1,   249,    -1,   251,    -1,   253,    -1,    -1,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
      -1,   308,   309,   310,   311,   312,    -1,    -1,   315,   316,
      -1,    -1,   319,   320,   321,    -1,    -1,   324,    -1,    -1,
      -1,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,    -1,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,    -1,   440,   441,   442,   443,   444,   445,    -1,
     447,    -1,   449,   450,   451,    -1,    -1,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,    -1,    -1,    -1,   476,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    -1,    72,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,    -1,   103,    -1,   105,
     106,   107,    -1,   109,    -1,   111,   112,    -1,   114,   115,
     116,   117,   118,    -1,    -1,   121,   122,   123,   124,   125,
      -1,   127,   128,   129,   130,   131,    -1,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,    -1,   148,   149,   150,    -1,   152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,    -1,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,    -1,   211,    -1,   213,    -1,    -1,
      -1,   217,   218,    -1,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,    -1,    -1,   243,    -1,   245,
     246,   247,    -1,   249,    -1,   251,    -1,   253,    -1,    -1,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,    -1,   308,   309,   310,   311,   312,    -1,    -1,   315,
      -1,    -1,    -1,   319,   320,   321,    -1,    -1,   324,    -1,
      -1,    -1,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,    -1,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,    -1,    -1,   440,   441,   442,   443,   444,   445,
      -1,   447,    -1,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,    -1,    -1,    -1,
     476,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,    -1,   103,    -1,
     105,   106,   107,    -1,   109,    -1,   111,   112,    -1,   114,
     115,   116,   117,   118,    -1,    -1,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,    -1,    -1,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,    -1,   148,   149,   150,    -1,   152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,    -1,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,    -1,   207,   208,   209,    -1,   211,    -1,   213,    -1,
     215,    -1,   217,   218,    -1,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,    -1,    -1,   243,    -1,
     245,   246,   247,    -1,   249,    -1,   251,    -1,   253,    -1,
      -1,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,    -1,    -1,
     315,    -1,    -1,    -1,   319,   320,   321,    -1,    -1,   324,
      -1,    -1,    -1,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,    -1,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,    -1,   440,   441,   442,   443,   444,
     445,    -1,   447,    -1,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,    -1,    -1,
      -1,   476,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,   103,
      -1,   105,   106,   107,    -1,   109,    -1,   111,   112,    -1,
     114,   115,   116,   117,   118,    -1,    -1,   121,   122,   123,
     124,   125,    -1,   127,   128,   129,   130,   131,    -1,    -1,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,    -1,   148,   149,   150,    -1,   152,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,    -1,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,   213,
      -1,    -1,    -1,   217,   218,    -1,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
      -1,   235,   236,   237,   238,   239,   240,    -1,    -1,   243,
      -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,   253,
      -1,    -1,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,    -1,   308,   309,   310,   311,   312,    -1,
      -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,    -1,
     324,    -1,    -1,    -1,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,    -1,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,    -1,   440,   441,   442,   443,
     444,   445,    -1,   447,    -1,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,    -1,
      -1,    -1,   476,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,
     103,    -1,   105,   106,   107,    -1,   109,    -1,   111,   112,
      -1,   114,   115,   116,   117,   118,    -1,    -1,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,    -1,
      -1,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,    -1,   148,   149,   150,    -1,   152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,    -1,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,
     213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,    -1,    -1,
     243,    -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,
     253,    -1,    -1,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,    -1,   308,   309,   310,   311,   312,
      -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,
      -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,    -1,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,    -1,   440,   441,   442,
     443,   444,   445,    -1,   447,    -1,   449,   450,   451,    -1,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,    -1,   476,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
      -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,   111,
     112,    -1,   114,   115,   116,   117,   118,    -1,    -1,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
      -1,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,    -1,   148,   149,   150,    -1,
     152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
      -1,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,    -1,   211,
      -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,    -1,
      -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,   251,
      -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,
      -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,    -1,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,    -1,   440,   441,
     442,   443,   444,   445,    -1,   447,    -1,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,    -1,    -1,    -1,   476,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,    -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,
     111,   112,    -1,   114,   115,   116,   117,   118,    -1,    -1,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
     131,    -1,    -1,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,    -1,   148,   149,   150,
      -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,    -1,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,    -1,
     211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
      -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,
     251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,
     321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,    -1,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,
     441,   442,   443,   444,   445,    -1,   447,    -1,   449,   450,
     451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,    -1,    -1,    -1,   476,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,    -1,   103,    -1,   105,   106,   107,    -1,   109,
      -1,   111,   112,    -1,   114,   115,   116,   117,   118,    -1,
      -1,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,    -1,    -1,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,    -1,   148,   149,
     150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,    -1,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
      -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,
      -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,    -1,    -1,   315,    -1,    -1,    -1,   319,
     320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,    -1,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
      -1,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,
     440,   441,   442,   443,   444,   445,    -1,   447,    -1,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,    -1,    -1,    -1,   476,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    -1,    72,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,    -1,   103,    -1,   105,   106,   107,    -1,
     109,    -1,   111,   112,    -1,   114,   115,   116,   117,   118,
      -1,    -1,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,    -1,    -1,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,    -1,   148,
     149,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,    -1,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,    -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,
      -1,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,
     249,    -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,    -1,    -1,   315,    -1,    -1,    -1,
     319,   320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,    -1,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
      -1,   440,   441,   442,   443,   444,   445,    -1,   447,    -1,
     449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,    -1,    -1,    -1,   476,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    -1,    72,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,    -1,   103,    -1,   105,   106,   107,
      -1,   109,    -1,   111,   112,    -1,   114,   115,   116,   117,
     118,    -1,    -1,   121,   122,   123,   124,   125,    -1,   127,
     128,   129,   130,   131,    -1,    -1,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,    -1,
     148,   149,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,    -1,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,    -1,   211,    -1,   213,    -1,    -1,    -1,   217,
     218,    -1,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,    -1,   235,   236,   237,
     238,   239,   240,    -1,    -1,   243,    -1,   245,   246,   247,
      -1,   249,    -1,   251,    -1,   253,    -1,    -1,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,    -1,
     308,   309,   310,   311,   312,    -1,    -1,   315,    -1,    -1,
      -1,   319,   320,   321,    -1,    -1,   324,    -1,    -1,    -1,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,    -1,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,    -1,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
      -1,    -1,   440,   441,   442,   443,   444,   445,    -1,   447,
      -1,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,    -1,    -1,    -1,   476,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    -1,    72,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,    -1,   103,    -1,   105,   106,
     107,    -1,   109,    -1,   111,   112,    -1,   114,   115,   116,
     117,   118,    -1,    -1,   121,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,   131,    -1,    -1,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
      -1,   148,   149,   150,    -1,   152,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,    -1,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,    -1,   211,    -1,   213,    -1,    -1,    -1,
     217,   218,    -1,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,    -1,   235,   236,
     237,   238,   239,   240,    -1,    -1,   243,    -1,   245,   246,
     247,    -1,   249,    -1,   251,    -1,   253,    -1,    -1,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
      -1,   308,   309,   310,   311,   312,    -1,    -1,   315,    -1,
      -1,    -1,   319,   320,   321,    -1,    -1,   324,    -1,    -1,
      -1,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,    -1,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,    -1,   440,   441,   442,   443,   444,   445,    -1,
     447,    -1,   449,   450,   451,    -1,    -1,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,    -1,    -1,    -1,   476,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,    75,
      -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,    -1,   103,    -1,   105,
     106,   107,    -1,   109,    -1,   111,   112,    -1,   114,   115,
     116,   117,   118,    -1,    -1,   121,   122,   123,   124,   125,
      -1,   127,   128,   129,   130,   131,    -1,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,    -1,   148,   149,   150,    -1,   152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,    -1,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,    -1,   211,    -1,   213,    -1,    -1,
      -1,   217,   218,    -1,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,    -1,    -1,   243,    -1,   245,
     246,   247,    -1,   249,    -1,   251,    -1,   253,    -1,    -1,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,    -1,   308,   309,   310,   311,   312,    -1,    -1,   315,
      -1,    -1,    -1,   319,   320,   321,    -1,    -1,   324,    -1,
      -1,    -1,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,    -1,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,    -1,    -1,   440,   441,   442,   443,   444,   445,
      -1,   447,    -1,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,    -1,    -1,    -1,
     476,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    98,    -1,   100,   101,    -1,   103,    -1,
     105,   106,   107,    -1,   109,    -1,   111,   112,    -1,   114,
     115,   116,   117,   118,    -1,    -1,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,    -1,    -1,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,    -1,   148,   149,   150,    -1,   152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,    -1,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,    -1,   207,   208,   209,    -1,   211,    -1,   213,    -1,
      -1,    -1,   217,   218,    -1,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,    -1,    -1,   243,    -1,
     245,   246,   247,    -1,   249,    -1,   251,    -1,   253,    -1,
      -1,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,    -1,    -1,
     315,    -1,    -1,    -1,   319,   320,   321,    -1,    -1,   324,
      -1,    -1,    -1,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,    -1,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,    -1,   440,   441,   442,   443,   444,
     445,    -1,   447,    -1,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,    -1,    -1,
      -1,   476,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    98,    -1,   100,   101,    -1,   103,
      -1,   105,   106,   107,    -1,   109,    -1,   111,   112,    -1,
     114,   115,   116,   117,   118,    -1,    -1,   121,   122,   123,
     124,   125,    -1,   127,   128,   129,   130,   131,    -1,    -1,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,    -1,   148,   149,   150,    -1,   152,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,    -1,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,   213,
      -1,    -1,    -1,   217,   218,    -1,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
      -1,   235,   236,   237,   238,   239,   240,    -1,    -1,   243,
      -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,   253,
      -1,    -1,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,    -1,   308,   309,   310,   311,   312,    -1,
      -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,    -1,
     324,    -1,    -1,    -1,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,    -1,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,    -1,    -1,   440,   441,   442,   443,
     444,   445,    -1,   447,    -1,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,    -1,
      -1,    -1,   476,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,
     103,    -1,   105,   106,   107,    -1,   109,    -1,   111,   112,
      -1,   114,   115,   116,   117,   118,    -1,    -1,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,    -1,
      -1,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,    -1,   148,   149,   150,    -1,   152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,    -1,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,
     213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,   222,
     223,    -1,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,    -1,    -1,
     243,    -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,
     253,    -1,    -1,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,    -1,   308,   309,   310,   311,   312,
      -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,
      -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,    -1,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,    -1,   440,   441,   442,
     443,   444,   445,    -1,   447,    -1,   449,   450,   451,    -1,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,    -1,   476,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
      -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,   111,
     112,    -1,   114,   115,   116,   117,   118,    -1,    -1,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
      -1,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,    -1,   148,   149,   150,    -1,
     152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
      -1,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,    -1,   211,
      -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,    -1,
      -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,   251,
      -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,
      -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,    -1,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,   441,
     442,   443,   444,   445,    -1,   447,    -1,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,    -1,    -1,    -1,   476,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,    -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,
     111,   112,    -1,   114,   115,   116,   117,   118,    -1,    -1,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
     131,    -1,    -1,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,    -1,   148,   149,   150,
      -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,    -1,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,    -1,
     211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
      -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,
     251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,
     321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,    -1,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,
     441,   442,   443,   444,   445,    -1,   447,    -1,   449,   450,
     451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,    -1,    -1,    -1,   476,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,    -1,   103,    -1,   105,   106,   107,    -1,   109,
      -1,   111,   112,    -1,   114,   115,   116,   117,   118,    -1,
      -1,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,    -1,    -1,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,    -1,   148,   149,
     150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,    -1,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
      -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,
      -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,    -1,    -1,   315,    -1,    -1,    -1,   319,
     320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,    -1,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
      -1,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,
     440,   441,   442,   443,   444,   445,    -1,   447,    -1,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,    -1,    -1,    -1,   476,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,    -1,   103,    -1,   105,   106,   107,    -1,
     109,    -1,   111,   112,    -1,   114,   115,   116,   117,   118,
      -1,    -1,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,    -1,    -1,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,    -1,   148,
     149,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,    -1,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,    -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,
      -1,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,
     249,    -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,    -1,    -1,   315,    -1,    -1,    -1,
     319,   320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,    -1,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,    -1,
     449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,    -1,    -1,    -1,   476,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,    -1,   103,    -1,   105,   106,   107,
      -1,   109,    -1,   111,   112,    -1,   114,   115,   116,   117,
     118,    -1,    -1,   121,   122,   123,   124,   125,    -1,   127,
     128,   129,   130,   131,    -1,    -1,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,    -1,
     148,   149,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,    -1,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,    -1,   211,    -1,   213,    -1,    -1,    -1,   217,
     218,    -1,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,    -1,   235,   236,   237,
     238,   239,   240,    -1,    -1,   243,    -1,   245,   246,   247,
      -1,   249,    -1,   251,    -1,   253,    -1,    -1,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,    -1,
     308,   309,   310,   311,   312,    -1,    -1,   315,    -1,    -1,
      -1,   319,   320,   321,    -1,    -1,   324,    -1,    -1,    -1,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,    -1,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,    -1,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
      -1,    -1,   440,   441,   442,   443,   444,   445,    -1,   447,
      -1,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,    -1,    -1,    -1,   476,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,    -1,   103,    -1,   105,   106,
     107,    -1,   109,    -1,   111,   112,    -1,   114,   115,   116,
     117,   118,    -1,    -1,   121,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,   131,    -1,    -1,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
      -1,   148,   149,   150,    -1,   152,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,    -1,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,    -1,   211,    -1,   213,    -1,    -1,    -1,
     217,   218,    -1,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,    -1,   235,   236,
     237,   238,   239,   240,    -1,    -1,   243,    -1,   245,   246,
     247,    -1,   249,    -1,   251,    -1,   253,    -1,    -1,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
      -1,   308,   309,   310,   311,   312,    -1,    -1,   315,    -1,
      -1,    -1,   319,   320,   321,    -1,    -1,   324,    -1,    -1,
      -1,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,    -1,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,    -1,   440,   441,   442,   443,   444,   445,    -1,
     447,    -1,   449,   450,   451,    -1,    -1,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,    -1,    -1,    -1,   476,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,    -1,   103,    -1,   105,
     106,   107,    -1,   109,    -1,   111,   112,    -1,   114,   115,
     116,   117,   118,    -1,    -1,   121,   122,   123,   124,   125,
      -1,   127,   128,   129,   130,   131,    -1,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,    -1,   148,   149,   150,    -1,   152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,    -1,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,    -1,   211,    -1,   213,    -1,    -1,
      -1,   217,   218,    -1,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,    -1,    -1,   243,    -1,   245,
     246,   247,    -1,   249,    -1,   251,    -1,   253,    -1,    -1,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,    -1,   308,   309,   310,   311,   312,    -1,    -1,   315,
      -1,    -1,    -1,   319,   320,   321,    -1,    -1,   324,    -1,
      -1,    -1,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,    -1,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,    -1,    -1,   440,   441,   442,   443,   444,   445,
      -1,   447,    -1,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,    -1,    -1,    -1,
     476,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,    -1,   103,    -1,
     105,   106,   107,    -1,   109,    -1,   111,   112,    -1,   114,
     115,   116,   117,   118,    -1,    -1,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,    -1,    -1,   134,
     135,   136,   137,   138,    -1,    -1,   141,   142,   143,   144,
     145,   146,    -1,   148,   149,   150,    -1,   152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,    -1,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,    -1,   207,   208,   209,    -1,   211,    -1,   213,    -1,
      -1,    -1,   217,   218,    -1,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,    -1,    -1,   243,    -1,
     245,   246,   247,    -1,   249,    -1,   251,    -1,   253,    -1,
      -1,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,    -1,    -1,
     315,    -1,    -1,    -1,   319,   320,   321,    -1,    -1,   324,
      -1,    -1,    -1,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,    -1,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,    -1,   440,   441,   442,   443,   444,
     445,    -1,   447,    -1,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,    -1,    -1,
      -1,   476,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,   103,
      -1,   105,   106,   107,    -1,   109,    -1,   111,   112,    -1,
     114,   115,   116,   117,   118,    -1,    -1,   121,   122,   123,
     124,   125,    -1,   127,   128,   129,   130,   131,    -1,    -1,
     134,   135,   136,   137,   138,    -1,    -1,   141,   142,   143,
     144,   145,   146,    -1,   148,   149,   150,    -1,   152,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,    -1,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,   213,
      -1,    -1,    -1,   217,   218,    -1,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
      -1,   235,   236,   237,   238,   239,   240,    -1,    -1,   243,
      -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,   253,
      -1,    -1,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,    -1,   308,   309,   310,   311,   312,    -1,
      -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,    -1,
     324,    -1,    -1,    -1,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,    -1,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,    -1,    -1,   440,   441,   442,   443,
     444,   445,    -1,   447,    -1,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,    -1,
      -1,    -1,   476,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,
     103,    -1,   105,   106,   107,    -1,   109,    -1,   111,   112,
      -1,   114,   115,   116,   117,   118,    -1,    -1,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,    -1,
      -1,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,    -1,   148,   149,   150,    -1,   152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,    -1,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,
     213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,    -1,    -1,
     243,    -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,
     253,    -1,    -1,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,    -1,   308,   309,   310,   311,   312,
      -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,
      -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,    -1,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,    -1,   440,   441,   442,
     443,   444,   445,    -1,   447,    -1,   449,   450,   451,    -1,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,    -1,   476,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
      -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,   111,
     112,    -1,   114,   115,   116,   117,   118,    -1,    -1,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
      -1,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,    -1,   148,   149,   150,    -1,
     152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
      -1,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,    -1,   211,
      -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,    -1,
      -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,   251,
      -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,
      -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,    -1,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,   441,
     442,   443,   444,   445,    -1,   447,    -1,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,    -1,    -1,    -1,   476,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,    -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,
     111,   112,    -1,   114,   115,   116,   117,   118,    -1,    -1,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
     131,    -1,    -1,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,    -1,   148,   149,   150,
      -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,    -1,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,    -1,
     211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
      -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,
     251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,
     321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,    -1,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,
     441,   442,   443,   444,   445,    -1,   447,    -1,   449,   450,
     451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,    -1,    -1,    -1,   476,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,    -1,   103,    -1,   105,   106,   107,    -1,   109,
      -1,   111,   112,    -1,   114,   115,   116,   117,   118,    -1,
      -1,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,    -1,    -1,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,    -1,   148,   149,
     150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,    -1,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
      -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,
      -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,    -1,    -1,   315,    -1,    -1,    -1,   319,
     320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,    -1,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
      -1,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,
     440,   441,   442,   443,   444,   445,    -1,   447,    -1,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,    -1,    -1,    -1,   476,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,    -1,   103,    -1,   105,   106,   107,    -1,
     109,    -1,   111,   112,    -1,   114,   115,   116,   117,   118,
      -1,    -1,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,    -1,    -1,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,    -1,   148,
     149,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,    -1,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,    -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,
      -1,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,
     249,    -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,    -1,    -1,   315,    -1,    -1,    -1,
     319,   320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,    -1,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
      -1,   440,   441,   442,   443,   444,   445,    -1,   447,    -1,
     449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,    -1,    -1,    -1,   476,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,    -1,   103,    -1,   105,   106,   107,
      -1,   109,    -1,   111,   112,    -1,   114,   115,   116,   117,
     118,    -1,    -1,   121,   122,   123,   124,   125,    -1,   127,
     128,   129,   130,   131,    -1,    -1,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,    -1,
     148,   149,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,    -1,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,    -1,   211,    -1,   213,    -1,    -1,    -1,   217,
     218,    -1,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,    -1,   235,   236,   237,
     238,   239,   240,    -1,    -1,   243,    -1,   245,   246,   247,
      -1,   249,    -1,   251,    -1,   253,    -1,    -1,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,    -1,
     308,   309,   310,   311,   312,    -1,    -1,   315,    -1,    -1,
      -1,   319,   320,   321,    -1,    -1,   324,    -1,    -1,    -1,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,    -1,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,    -1,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
      -1,    -1,   440,   441,   442,   443,   444,   445,    -1,   447,
      -1,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,    -1,    -1,    -1,   476,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,    -1,   103,    -1,   105,   106,
     107,    -1,   109,    -1,   111,   112,    -1,   114,   115,   116,
     117,   118,    -1,    -1,   121,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,   131,    -1,    -1,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
      -1,   148,   149,   150,    -1,   152,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,    -1,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,    -1,   211,    -1,   213,    -1,    -1,    -1,
     217,   218,    -1,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,    -1,   235,   236,
     237,   238,   239,   240,    -1,    -1,   243,    -1,   245,   246,
     247,    -1,   249,    -1,   251,    -1,   253,    -1,    -1,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
      -1,   308,   309,   310,   311,   312,    -1,    -1,   315,    -1,
      -1,    -1,   319,   320,   321,    -1,    -1,   324,    -1,    -1,
      -1,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,    -1,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,    -1,   440,   441,   442,   443,   444,   445,    -1,
     447,    -1,   449,   450,   451,    -1,    -1,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,    -1,    -1,    -1,   476,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,    -1,   103,    -1,   105,
     106,   107,    -1,   109,    -1,   111,   112,    -1,   114,   115,
     116,   117,   118,    -1,    -1,   121,   122,   123,   124,   125,
      -1,   127,   128,   129,   130,   131,    -1,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,    -1,   148,   149,   150,    -1,   152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,    -1,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,    -1,   211,    -1,   213,    -1,    -1,
      -1,   217,   218,    -1,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,    -1,    -1,   243,    -1,   245,
     246,   247,    -1,   249,    -1,   251,    -1,   253,    -1,    -1,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,    -1,   308,   309,   310,   311,   312,    -1,    -1,   315,
      -1,    -1,    -1,   319,   320,   321,    -1,    -1,   324,    -1,
      -1,    -1,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,    -1,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,    -1,    -1,   440,   441,   442,   443,   444,   445,
      -1,   447,    -1,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,    -1,    -1,    -1,
     476,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,    -1,   103,    -1,
     105,   106,   107,    -1,   109,    -1,   111,   112,    -1,   114,
     115,   116,   117,   118,    -1,    -1,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,    -1,    -1,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,    -1,   148,   149,   150,    -1,   152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,    -1,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,    -1,   207,   208,   209,    -1,   211,    -1,   213,    -1,
      -1,    -1,   217,   218,    -1,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,    -1,    -1,   243,    -1,
     245,   246,   247,    -1,   249,    -1,   251,    -1,   253,    -1,
      -1,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,    -1,    -1,
     315,    -1,    -1,    -1,   319,   320,   321,    -1,    -1,   324,
      -1,    -1,    -1,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,    -1,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,    -1,   440,   441,   442,   443,   444,
     445,    -1,   447,    -1,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,    -1,    -1,
      -1,   476,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,   103,
      -1,   105,   106,   107,    -1,   109,    -1,   111,   112,    -1,
     114,   115,   116,   117,   118,    -1,    -1,   121,   122,   123,
     124,   125,    -1,   127,   128,   129,   130,   131,    -1,    -1,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,    -1,   148,   149,   150,    -1,   152,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,    -1,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,   213,
      -1,    -1,    -1,   217,   218,    -1,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
      -1,   235,   236,   237,   238,   239,   240,    -1,    -1,   243,
      -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,   253,
      -1,    -1,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,    -1,   308,   309,   310,   311,   312,    -1,
      -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,    -1,
     324,    -1,    -1,    -1,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,    -1,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,    -1,    -1,   440,   441,   442,   443,
     444,   445,    -1,   447,    -1,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,    -1,
      -1,    -1,   476,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,
     103,    -1,   105,   106,   107,    -1,   109,    -1,   111,   112,
      -1,   114,   115,   116,   117,   118,    -1,    -1,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,    -1,
      -1,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,    -1,   148,   149,   150,    -1,   152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,    -1,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,
     213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,    -1,    -1,
     243,    -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,
     253,    -1,    -1,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,    -1,   308,   309,   310,   311,   312,
      -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,
      -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,    -1,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,    -1,   440,   441,   442,
     443,   444,   445,    -1,   447,    -1,   449,   450,   451,    -1,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,    -1,   476,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
      -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,   111,
     112,    -1,   114,   115,   116,   117,   118,    -1,    -1,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
      -1,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,    -1,   148,   149,   150,    -1,
     152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
      -1,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,    -1,   211,
      -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,    -1,
      -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,   251,
      -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,
      -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,    -1,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,   441,
     442,   443,   444,   445,    -1,   447,    -1,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,    -1,    -1,    -1,   476,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,    -1,   103,   104,   105,   106,   107,    -1,   109,    -1,
     111,   112,    -1,   114,   115,   116,   117,   118,    -1,    -1,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
     131,    -1,    -1,   134,   135,   136,   137,   138,    -1,    -1,
     141,   142,   143,   144,   145,   146,    -1,   148,   149,   150,
      -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,    -1,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,    -1,
     211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
      -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,
     251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,
     321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,    -1,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,
     441,   442,   443,   444,   445,    -1,   447,    -1,   449,   450,
     451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,    -1,    -1,    -1,   476,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    98,    -1,
     100,   101,    -1,   103,    -1,   105,   106,   107,    -1,   109,
      -1,   111,   112,    -1,   114,   115,   116,   117,   118,    -1,
      -1,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,    -1,    -1,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,    -1,   148,   149,
     150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,    -1,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
      -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,
      -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,    -1,    -1,   315,    -1,    -1,    -1,   319,
     320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,    -1,    -1,   388,   389,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
      -1,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,
     440,   441,   442,   443,   444,   445,    -1,   447,    -1,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,    -1,    -1,    -1,   476,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,    -1,   103,    -1,   105,   106,   107,    -1,
     109,    -1,   111,   112,    -1,   114,   115,   116,   117,   118,
      -1,    -1,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,    -1,    -1,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,    -1,   148,
     149,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,    -1,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,    -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,
      -1,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,
     249,    -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,    -1,    -1,   315,    -1,    -1,    -1,
     319,   320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,    -1,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
      -1,   440,   441,   442,   443,   444,   445,    -1,   447,    -1,
     449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,    -1,    -1,    -1,   476,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,    -1,   103,    -1,   105,   106,   107,
      -1,   109,    -1,   111,   112,    -1,   114,   115,   116,   117,
     118,    -1,    -1,   121,   122,   123,   124,   125,    -1,   127,
     128,   129,   130,   131,    -1,    -1,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,    -1,
     148,   149,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,    -1,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,    -1,   211,    -1,   213,    -1,    -1,    -1,   217,
     218,    -1,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,    -1,   235,   236,   237,
     238,   239,   240,    -1,    -1,   243,    -1,   245,   246,   247,
      -1,   249,    -1,   251,    -1,   253,    -1,    -1,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,    -1,
     308,   309,   310,   311,   312,    -1,    -1,   315,    -1,    -1,
      -1,   319,   320,   321,    -1,    -1,   324,    -1,    -1,    -1,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,    -1,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,    -1,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
      -1,    -1,   440,   441,   442,   443,   444,   445,    -1,   447,
      -1,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,    -1,    -1,    -1,   476,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,    -1,   103,    -1,   105,   106,
     107,    -1,   109,    -1,   111,   112,    -1,   114,   115,   116,
     117,   118,    -1,    -1,   121,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,   131,    -1,    -1,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
      -1,   148,   149,   150,    -1,   152,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,    -1,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,    -1,   211,    -1,   213,    -1,    -1,    -1,
     217,   218,    -1,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,    -1,   235,   236,
     237,   238,   239,   240,    -1,    -1,   243,    -1,   245,   246,
     247,    -1,   249,    -1,   251,    -1,   253,    -1,    -1,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
      -1,   308,   309,   310,   311,   312,    -1,    -1,   315,    -1,
      -1,    -1,   319,   320,   321,    -1,    -1,   324,    -1,    -1,
      -1,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,    -1,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,    -1,   440,   441,   442,   443,   444,   445,    -1,
     447,    -1,   449,   450,   451,    -1,    -1,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,    -1,    -1,    -1,   476,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,    -1,   103,    -1,   105,
     106,   107,    -1,   109,    -1,   111,   112,    -1,   114,   115,
     116,   117,   118,    -1,    -1,   121,   122,   123,   124,   125,
      -1,   127,   128,   129,   130,   131,    -1,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,    -1,   148,   149,   150,    -1,   152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,    -1,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,    -1,   211,    -1,   213,    -1,    -1,
      -1,   217,   218,    -1,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,    -1,    -1,   243,    -1,   245,
     246,   247,    -1,   249,    -1,   251,    -1,   253,    -1,    -1,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,    -1,   308,   309,   310,   311,   312,    -1,    -1,   315,
      -1,    -1,    -1,   319,   320,   321,    -1,    -1,   324,    -1,
      -1,    -1,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,    -1,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,    -1,    -1,   440,   441,   442,   443,   444,   445,
      -1,   447,    -1,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,    -1,    -1,    -1,
     476,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,    -1,   103,    -1,
     105,   106,   107,    -1,   109,    -1,   111,   112,    -1,   114,
     115,   116,   117,   118,    -1,    -1,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,    -1,    -1,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,    -1,   148,   149,   150,    -1,   152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,    -1,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,    -1,   207,   208,   209,    -1,   211,    -1,   213,    -1,
      -1,    -1,   217,   218,    -1,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,    -1,    -1,   243,    -1,
     245,   246,   247,    -1,   249,    -1,   251,    -1,   253,    -1,
      -1,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,    -1,    -1,
     315,    -1,    -1,    -1,   319,   320,   321,    -1,    -1,   324,
      -1,    -1,    -1,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,    -1,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,    -1,   440,   441,   442,   443,   444,
     445,    -1,   447,    -1,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,    -1,    -1,
      -1,   476,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,   103,
      -1,   105,   106,   107,    -1,   109,    -1,   111,   112,    -1,
     114,   115,   116,   117,   118,    -1,    -1,   121,   122,   123,
     124,   125,    -1,   127,   128,   129,   130,   131,    -1,    -1,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,    -1,   148,   149,   150,    -1,   152,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,    -1,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,   213,
      -1,    -1,    -1,   217,   218,    -1,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
      -1,   235,   236,   237,   238,   239,   240,    -1,    -1,   243,
      -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,   253,
      -1,    -1,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,    -1,   308,   309,   310,   311,   312,    -1,
      -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,    -1,
     324,    -1,    -1,    -1,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,    -1,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,    -1,    -1,   440,   441,   442,   443,
     444,   445,    -1,   447,    -1,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,    -1,
      -1,    -1,   476,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,    -1,
     103,    -1,   105,   106,   107,    -1,   109,    -1,   111,   112,
      -1,   114,   115,   116,   117,   118,    -1,    -1,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,    -1,
      -1,   134,   135,   136,   137,   138,    -1,    -1,   141,   142,
     143,   144,   145,   146,    -1,   148,   149,   150,    -1,   152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,    -1,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,    -1,   211,    -1,
     213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,    -1,    -1,
     243,    -1,   245,   246,   247,    -1,   249,    -1,   251,    -1,
     253,    -1,    -1,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,    -1,   308,   309,   310,   311,   312,
      -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,    -1,
      -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,    -1,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,    -1,   440,   441,   442,
     443,   444,   445,    -1,   447,    -1,   449,   450,   451,    -1,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,    -1,   476,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
      -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,   111,
     112,    -1,   114,   115,   116,   117,   118,    -1,    -1,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
      -1,    -1,   134,   135,   136,   137,   138,    -1,    -1,   141,
     142,   143,   144,   145,   146,    -1,   148,   149,   150,    -1,
     152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
      -1,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,    -1,   211,
      -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,    -1,
      -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,   251,
      -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,   321,
      -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,    -1,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,   441,
     442,   443,   444,   445,    -1,   447,    -1,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,    -1,    -1,    -1,   476,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,    -1,   103,    -1,   105,   106,   107,    -1,   109,    -1,
     111,   112,    -1,   114,   115,   116,   117,   118,    -1,    -1,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
     131,    -1,    -1,   134,   135,   136,   137,   138,    -1,    -1,
     141,   142,   143,   144,   145,   146,    -1,   148,   149,   150,
      -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,    -1,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,    -1,
     211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
      -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,
     251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,    -1,    -1,   315,    -1,    -1,    -1,   319,   320,
     321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,    -1,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,   440,
     441,   442,   443,   444,   445,    -1,   447,    -1,   449,   450,
     451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,    -1,    -1,    -1,   476,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,    -1,   103,    -1,   105,   106,   107,    -1,   109,
      -1,   111,   112,    -1,   114,   115,   116,   117,   118,    -1,
      -1,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,    -1,    -1,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,    -1,   148,   149,
     150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,    -1,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
      -1,   211,    -1,   213,    -1,    -1,    -1,   217,   218,    -1,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,
      -1,   251,    -1,   253,    -1,    -1,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,    -1,    -1,   315,    -1,    -1,    -1,   319,
     320,   321,    -1,    -1,   324,    -1,    -1,    -1,   328,   329,
     330,   331,   332,    -1,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,    -1,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,    -1,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
      -1,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,    -1,    -1,
     440,   441,   442,   443,   444,   445,    -1,   447,    -1,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,     6,     7,     8,   476,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    -1,    72,
      -1,    74,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   104,    -1,    -1,    -1,   108,   109,   110,   111,   112,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   124,    -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,    -1,
      -1,    -1,    -1,    -1,   157,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   167,   168,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   194,    -1,    -1,    -1,    -1,    -1,   200,    -1,    -1,
     203,    -1,    -1,    -1,    -1,   208,    -1,    -1,    -1,    -1,
      -1,   214,    -1,   216,    -1,    -1,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,
     243,    -1,    -1,    -1,    -1,    -1,   249,    -1,   251,    -1,
      -1,   254,   255,    -1,   257,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   266,   267,    -1,   269,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   289,   290,   291,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,    -1,
      -1,    -1,   305,    -1,    -1,   308,    -1,   310,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   324,   325,   326,   327,   328,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   337,    -1,   339,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   369,    -1,    -1,   372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   388,    -1,    -1,   391,    -1,
     393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,   418,    -1,    -1,    -1,   422,
      -1,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   445,    -1,    -1,   448,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   462,
     463,   464,   465,   466,   467,   468,   469,    -1,    -1,    -1,
       6,     7,     8,   476,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    -1,    72,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,
      -1,    -1,   108,   109,   110,   111,   112,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   124,    -1,
      -1,    -1,    -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   151,    -1,    -1,    -1,    -1,
      -1,   157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   167,   168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   194,    -1,
      -1,    -1,    -1,    -1,   200,    -1,    -1,   203,    -1,    -1,
      -1,    -1,   208,    -1,    -1,    -1,    -1,    -1,   214,    -1,
     216,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   242,   243,    -1,    -1,
      -1,    -1,    -1,   249,    -1,   251,    -1,    -1,   254,   255,
      -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     266,   267,    -1,   269,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   289,   290,   291,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   300,    -1,    -1,    -1,    -1,   305,
      -1,    -1,   308,    -1,   310,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,   325,
     326,   327,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   337,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   351,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   369,    -1,    -1,   372,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   388,    -1,    -1,   391,    -1,   393,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   405,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   417,   418,    -1,    -1,    -1,   422,    -1,   424,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   432,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   445,
      -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   462,   463,   464,   465,
     466,   467,   468,   469,    -1,    -1,    -1,     6,     7,     8,
     476,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    -1,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   104,    -1,    -1,    -1,   108,
     109,   110,   111,   112,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   124,    -1,    -1,    -1,    -1,
      -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   151,    -1,    -1,    -1,    -1,    -1,   157,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,   168,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   194,    -1,    -1,    -1,    -1,
      -1,   200,    -1,    -1,   203,    -1,    -1,    -1,    -1,   208,
      -1,    -1,    -1,    -1,    -1,   214,    -1,   216,    -1,    -1,
      -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   242,   243,    -1,    -1,    -1,    -1,    -1,
     249,    -1,   251,    -1,    -1,   254,   255,    -1,   257,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,   267,    -1,
     269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     289,   290,   291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   300,    -1,    -1,    -1,    -1,   305,    -1,    -1,   308,
      -1,   310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   324,   325,   326,   327,   328,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,    -1,
     339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     369,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   388,
      -1,    -1,   391,    -1,   393,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   405,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,
      -1,    -1,    -1,   422,    -1,   424,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   432,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   445,    -1,    -1,   448,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   462,   463,   464,   465,   466,   467,   468,
     469,    -1,    -1,    -1,     6,     7,     8,   476,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   104,    -1,    -1,    -1,   108,   109,   110,   111,
     112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   124,    -1,    -1,    -1,    -1,    -1,    -1,   131,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,
      -1,    -1,    -1,    -1,    -1,   157,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   167,   168,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   194,    -1,    -1,    -1,    -1,    -1,   200,    -1,
      -1,   203,    -1,    -1,    -1,    -1,   208,    -1,    -1,    -1,
      -1,    -1,   214,    -1,   216,    -1,    -1,    -1,    -1,   221,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     242,   243,    -1,    -1,    -1,    -1,    -1,   249,    -1,   251,
      -1,    -1,   254,   255,    -1,   257,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,   267,    -1,   269,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   289,   290,   291,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,
      -1,    -1,    -1,   305,    -1,    -1,   308,    -1,   310,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   324,   325,   326,   327,   328,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   337,    -1,   339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   369,    -1,    -1,
     372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   388,    -1,    -1,   391,
      -1,   393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   417,   418,    -1,    -1,    -1,
     422,    -1,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   445,    -1,    -1,   448,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     462,   463,   464,   465,   466,   467,   468,   469,    -1,    -1,
      -1,     6,     7,     8,   476,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   104,
      -1,    -1,    -1,   108,   109,   110,   111,   112,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   124,
      -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   151,    -1,    -1,    -1,
      -1,    -1,   157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   167,   168,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   200,    -1,    -1,   203,    -1,
      -1,    -1,    -1,   208,    -1,    -1,    -1,    -1,    -1,   214,
      -1,   216,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,   243,    -1,
      -1,    -1,    -1,    -1,   249,    -1,   251,    -1,    -1,   254,
     255,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   266,   267,    -1,   269,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   289,   290,   291,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   300,    -1,    -1,    -1,    -1,
     305,    -1,    -1,   308,    -1,   310,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,
     325,   326,   327,   328,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   337,    -1,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   351,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   369,    -1,    -1,   372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   388,    -1,    -1,   391,    -1,   393,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,   418,    -1,    -1,    -1,   422,    -1,   424,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     445,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   462,   463,   464,
     465,   466,   467,   468,   469,    -1,    -1,    -1,    -1,    -1,
      -1,   476
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   506,   973,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    72,    74,    76,    77,    78,
      79,    80,   123,   194,   208,   227,   248,   282,   285,   307,
     379,   419,   432,   445,   470,   476,   477,   478,   482,   484,
     488,   489,   490,   491,   492,   495,   496,   497,   498,   500,
     501,   502,   503,   504,   965,   974,  1004,  1006,  1097,  1106,
    1107,  1109,  1115,  1116,  1005,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    81,    91,
      93,    94,   103,   104,   107,   108,   109,   110,   111,   112,
     124,   127,   129,   130,   131,   134,   135,   145,   147,   151,
     157,   164,   166,   167,   168,   169,   175,   181,   187,   193,
     194,   199,   200,   201,   203,   206,   208,   214,   216,   219,
     221,   230,   242,   243,   246,   249,   251,   254,   255,   257,
     266,   267,   269,   271,   272,   277,   286,   289,   290,   291,
     300,   304,   305,   308,   310,   324,   325,   326,   327,   328,
     337,   339,   341,   351,   352,   356,   358,   363,   368,   369,
     371,   372,   375,   381,   387,   388,   390,   391,   393,   397,
     405,   410,   417,   418,   422,   424,   426,   428,   432,   435,
     437,   440,   444,   445,   448,   456,   462,   463,   464,   465,
     466,   467,   468,   469,   497,   507,   508,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   522,   523,   527,   537,
     539,   540,   543,   544,   545,   555,   556,   565,   598,   599,
     605,   611,   613,   615,   616,   617,   618,   627,   631,   632,
     633,   635,   636,   637,   650,   651,   652,   653,   663,   669,
     670,   673,   674,   675,   676,   677,   682,   684,   687,   690,
     691,   701,   702,   705,   713,   732,   735,   736,   737,   740,
     742,   744,   747,   750,   751,   758,   759,   760,   761,   762,
     767,   769,   770,   774,   775,   778,   779,   780,   782,   783,
     784,   785,   787,   788,   789,   794,   797,   800,   802,   807,
     809,   813,   820,   823,   824,   825,   826,   827,   828,   855,
     969,   970,   975,   977,   979,   980,   997,   998,   999,  1000,
    1011,  1013,  1017,  1018,  1019,  1020,  1021,  1023,  1025,  1027,
    1028,  1029,  1030,  1032,  1037,  1038,  1042,  1043,  1052,  1054,
    1055,  1056,  1059,  1064,  1067,  1072,  1074,  1075,  1078,  1080,
    1083,  1092,  1109,  1117,    74,  1008,  1009,  1011,  1013,    14,
       9,    13,    15,    28,    45,    46,    50,    51,    56,    65,
      67,    69,    70,    73,    81,    82,    83,    84,    85,    86,
      87,    88,    90,    91,    92,   100,   101,   103,   105,   106,
     107,   114,   115,   116,   117,   118,   121,   122,   123,   125,
     127,   128,   129,   130,   134,   135,   136,   137,   138,   139,
     141,   142,   143,   144,   145,   146,   148,   149,   150,   152,
     161,   162,   163,   164,   165,   166,   169,   171,   173,   174,
     175,   176,   177,   179,   180,   181,   184,   185,   186,   187,
     188,   190,   191,   192,   194,   195,   197,   198,   199,   201,
     202,   205,   207,   209,   211,   213,   217,   218,   220,   223,
     225,   226,   227,   228,   229,   231,   232,   233,   235,   236,
     237,   238,   239,   240,   245,   246,   247,   253,   256,   258,
     259,   260,   261,   262,   263,   264,   268,   271,   272,   273,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   293,   294,   295,   296,   297,   298,   299,
     301,   303,   304,   306,   309,   311,   312,   315,   319,   320,
     321,   329,   330,   331,   332,   333,   334,   336,   338,   340,
     341,   342,   344,   345,   346,   347,   348,   349,   350,   352,
     353,   354,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   367,   368,   370,   371,   373,   374,   375,   376,
     377,   378,   379,   380,   382,   383,   384,   385,   387,   389,
     390,   392,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   406,   408,   409,   411,   412,   413,   414,   415,
     419,   421,   423,   426,   427,   428,   429,   430,   431,   434,
     435,   436,   437,   440,   441,   442,   443,   444,   447,   449,
     450,   451,   454,   457,   458,   459,   460,   461,   470,   471,
     472,   966,   968,   969,   990,   991,  1082,  1083,  1084,  1088,
    1093,  1094,  1095,  1101,  1103,  1107,  1109,    29,   244,  1053,
      89,   153,   170,   958,   992,  1039,  1040,  1088,  1103,    89,
     957,  1088,    14,   957,     5,    25,    29,    35,    36,    43,
      44,    89,    93,    94,    95,    96,    97,    98,    99,   102,
     113,   119,   120,   123,   126,   132,   133,   139,   140,   147,
     153,   154,   155,   156,   158,   159,   160,   170,   172,   178,
     182,   183,   189,   193,   196,   204,   206,   210,   212,   215,
     219,   222,   224,   234,   241,   244,   248,   250,   252,   265,
     270,   274,   275,   292,   302,   307,   313,   314,   316,   317,
     318,   322,   323,   335,   343,   355,   366,   381,   386,   394,
     407,   410,   416,   419,   420,   425,   432,   433,   438,   439,
     444,   446,   452,   453,   455,   456,   968,   971,  1084,  1085,
    1086,  1090,  1091,  1092,  1093,  1095,    25,    35,   123,   248,
    1079,    38,    40,   302,  1012,   421,   458,   763,    88,   144,
     164,   185,   212,   217,   222,   237,   319,   346,   370,   376,
     382,   384,   410,   411,   415,   423,   428,   438,   450,   612,
    1040,   169,   763,    89,   957,   448,   790,   317,   342,   763,
     110,   561,   824,    88,   100,   120,   140,   164,   170,   185,
     212,   218,   222,   273,   319,   322,   370,   376,   384,   411,
     412,   414,   415,   423,   427,   428,   433,   438,   566,   606,
     666,   706,   714,   958,   981,   982,   983,   992,  1107,  1109,
      14,    89,   341,   957,   992,   996,   398,   957,   215,    89,
     336,   412,   414,    88,   100,   120,   144,   164,   185,   212,
     217,   222,   237,   319,   329,   370,   374,   376,   382,   384,
     410,   411,   415,   423,   428,   438,   450,   612,   678,   763,
     503,  1022,  1086,   231,   996,   789,   796,    82,    89,   105,
     207,   213,   215,   234,   262,   293,   344,   357,   488,   489,
     688,   689,   957,   965,   967,  1101,    89,   147,   355,   381,
     692,   693,   694,  1088,   252,  1088,   962,  1107,   410,   833,
     688,   957,  1088,   421,   996,   329,   164,   237,   409,   410,
     745,   375,  1088,    89,   123,   385,   417,   421,   444,   529,
     968,   969,  1082,  1087,  1093,  1095,  1109,    86,   219,   692,
     693,   342,   763,  1088,    89,   182,   835,     4,    14,   121,
     139,   141,   273,   288,   370,   376,   385,   417,   421,   461,
     528,   529,    89,   385,   417,   421,   529,   421,   292,   316,
     318,   864,   953,   955,   972,  1088,   833,  1076,  1086,   490,
    1088,   864,   866,   216,   791,   497,   950,   354,   829,   830,
     957,   824,   825,   501,   790,   196,   250,   323,   432,   836,
     837,   824,   826,   827,   500,   107,   507,  1020,  1023,  1019,
    1015,   501,  1024,  1026,     5,    25,    35,   123,   186,   248,
    1031,   165,   227,   282,   285,   379,   470,   497,   894,   895,
    1003,  1007,  1097,    74,  1011,  1013,   957,   992,  1110,   170,
     981,    21,   439,   491,   957,   957,  1110,   439,  1044,  1045,
    1046,    25,   248,   248,  1090,     7,    19,    20,    39,    42,
     143,   183,  1081,  1081,    16,  1020,   953,   963,   970,  1082,
    1085,  1089,  1093,  1094,  1109,   680,  1088,   958,   680,   163,
     700,   963,   966,   955,   128,   205,   481,   484,   485,   486,
     488,   489,   490,   491,   492,   493,   739,   919,   920,  1088,
     966,   957,   955,   957,   864,   957,   378,   957,   680,   279,
     966,   955,   260,    34,   256,   350,   764,   765,   766,   955,
     961,  1088,    88,   120,   133,   140,   144,   164,   185,   217,
     237,   261,   319,   370,   374,   376,   382,   410,   411,   415,
     423,   428,   450,   612,   685,  1107,   955,   419,   963,   957,
     497,   423,   958,   680,   163,   412,   414,   966,   412,   414,
     128,   205,   739,   361,   966,   524,  1088,   957,   957,   378,
     957,   680,   279,   966,   382,   410,   450,   612,   144,   237,
     217,   374,   481,   984,   985,   502,  1103,  1110,    89,   996,
    1109,   821,   866,   229,   963,   957,   229,   743,   229,   958,
     163,   229,   963,   229,   956,   957,   128,   205,   229,   739,
     114,   229,   956,   229,   957,   229,   957,   229,   957,   378,
     229,   957,   229,   279,   956,   260,   229,   679,   680,   497,
     503,  1111,  1112,  1113,  1114,  1116,  1022,    72,   992,  1041,
     497,   801,   790,   967,    89,   967,    89,   967,   967,   965,
     965,   689,   957,   957,   252,  1047,  1120,   345,   497,   497,
     580,   580,   580,   317,   419,   500,   580,   955,   864,   865,
     689,  1107,   215,   497,   798,   114,   957,   957,   955,  1088,
     104,   472,   256,   499,   320,   320,   317,   215,  1107,   419,
     317,    97,   109,   111,   112,   119,   120,   123,   124,   131,
     154,   155,   156,   157,   158,   159,   160,   167,   168,   186,
     200,   203,   204,   208,   221,   248,   249,   251,   266,   274,
     275,   289,   291,   302,   307,   308,   310,   319,   328,   337,
     351,   372,   386,   393,   405,   417,   418,   422,   424,   425,
     433,   438,   445,   463,   464,   465,   466,   467,   468,   469,
     479,   480,   481,   483,   488,   489,   490,   497,   824,   875,
     878,   881,   882,   883,   885,   886,   887,   888,   891,   892,
     896,   898,   899,   917,   921,   938,   943,   951,   952,   953,
     963,   964,   965,  1100,  1101,  1103,  1104,  1105,  1106,  1107,
     419,   484,  1110,  1107,   419,   484,  1040,    89,   541,   954,
     955,   385,   528,   170,   535,  1107,   536,  1088,  1107,  1107,
     104,   125,   528,   472,   765,   320,   215,   419,   484,   104,
     472,   256,  1120,   766,   497,   955,   495,   499,   944,   945,
     490,   865,  1092,    98,  1088,   387,   214,   792,   170,   896,
     948,   949,   829,   500,   497,   793,   498,   498,   955,    89,
     182,   834,   834,   114,   834,   206,   210,   270,   314,   840,
     850,   852,   853,   836,   837,   950,   501,  1014,   490,  1033,
    1034,  1036,   503,   503,    25,   248,   248,   419,   419,   419,
     419,   497,   419,   489,   604,   967,  1001,  1106,   193,    98,
     988,   114,   991,   991,   439,  1046,   252,  1046,  1047,   443,
    1057,  1058,  1103,    37,   480,   488,   489,   965,  1048,  1049,
    1050,  1051,  1100,  1101,  1105,  1106,  1107,  1108,   248,   254,
     957,   419,   957,     6,   957,  1081,  1036,   945,   497,   658,
     330,   359,   499,   681,   330,   359,   387,   456,   509,   537,
     538,    85,   187,   330,   387,   548,   459,   116,   146,   202,
     232,   330,   359,   367,   373,   380,   387,   395,   403,   451,
     538,   726,   733,   497,   715,    85,   187,   359,   521,    85,
      91,   130,   180,   187,   190,   239,   294,   330,   359,   363,
     387,   546,   547,   680,   680,   497,   738,   499,   359,   387,
     509,   538,   330,   359,   115,   162,   236,   281,   283,   294,
     329,   359,   364,   387,   397,   546,   601,   602,   321,   330,
     449,   621,   629,   359,   387,   546,   330,   359,   138,   179,
     331,   413,   317,   330,   359,   387,   210,   359,   509,   538,
     359,   387,   546,   957,   501,   268,   318,   460,   500,   764,
     439,   786,   317,   963,   497,   957,   963,   311,   128,   205,
     739,   957,   378,   957,   260,   680,   580,   400,   401,   558,
    1107,   497,   658,   659,   126,   109,   111,   112,   123,   124,
     167,   168,   208,   249,   251,   289,   291,   310,   351,   388,
     393,   417,   418,   445,   872,   874,   876,   878,   880,   882,
     883,   884,   886,   887,   891,   892,  1082,  1089,  1093,  1094,
    1109,   957,   509,    98,   781,   459,   509,   680,   680,   497,
     654,   566,   509,   104,   525,   428,   628,   330,   614,   138,
     179,   331,   413,    87,   106,   638,    98,   654,   210,   509,
     955,   593,   955,   955,   260,   680,   137,   961,  1088,   963,
     957,    75,   986,  1088,   502,   987,   984,   110,   161,   245,
     294,   377,   439,   808,   200,   658,   117,   365,   549,   200,
     497,   200,   459,   200,   715,   200,   500,   229,   680,   229,
     680,   200,   738,   956,   200,   200,   317,   200,   549,   200,
     138,   179,   331,   413,   200,   317,   200,   210,   229,   229,
     536,   200,   500,   549,   498,  1112,  1113,  1111,   500,   504,
     896,   924,  1045,  1119,  1120,   147,   169,   199,   795,   800,
     802,   807,   813,   820,   823,   975,   957,  1120,  1120,  1048,
    1096,  1099,  1103,   497,   581,   582,  1088,   581,   164,   212,
     217,   260,   376,   382,   410,   411,   695,   954,   956,   694,
     170,   497,   803,   823,   234,   500,   810,   957,  1041,   872,
     925,    98,   956,   211,   746,   746,   746,   268,  1088,   210,
     210,   695,   956,   375,  1088,   497,   495,   824,   926,   447,
     889,   896,   942,   497,   889,   889,   497,   497,   497,   497,
     877,   877,   339,   824,   497,   497,   879,   497,   497,   497,
     497,   123,   124,   889,   896,   497,   877,   497,   497,   497,
     497,   497,   457,   475,   497,   893,   497,   893,   497,   497,
     824,   497,   497,   497,   497,   497,   497,   497,   896,   896,
     444,   824,   896,   924,  1107,   124,   497,   890,   497,  1107,
      71,    95,    98,   103,   108,   230,   234,   254,   255,   269,
     302,   305,   319,   322,   391,   481,   484,   485,   486,   488,
     489,   490,   491,   492,   493,   919,   921,   923,  1109,   327,
     896,   252,   500,   831,  1120,   945,   497,  1107,    22,  1102,
    1103,   946,   313,   317,  1073,  1073,    10,   443,  1060,  1061,
    1063,  1040,  1040,   173,   231,   542,   500,   125,   170,   536,
      98,   170,   273,   534,   604,   892,  1107,  1109,   142,   184,
     905,   153,   170,   204,   313,   317,   425,   530,   531,   533,
     536,   604,   170,   530,  1120,  1120,   268,   955,   896,   490,
     960,  1090,   944,   143,   364,   683,   254,  1088,   497,   814,
     815,   816,   817,   818,  1088,   790,   498,   500,   830,   956,
      98,   793,   826,   826,   838,   839,   896,   826,   207,   293,
     847,   350,   389,   437,    89,   842,   896,   844,   845,   896,
     898,   850,   851,   840,   841,   210,   853,   840,   850,  1033,
     490,   500,   501,  1091,  1010,  1013,  1010,   248,   165,   227,
     282,   895,   282,   895,   895,   285,   965,   282,   285,   379,
    1106,   500,  1002,   169,  1040,   438,   989,   991,   965,  1062,
    1103,   500,   484,   965,  1106,   965,  1106,    14,   500,  1020,
     497,   957,   497,  1092,   490,   925,   330,   359,   387,   419,
     419,   960,   499,   419,   419,   411,   528,   776,   126,   140,
     212,   343,   433,   578,   579,   140,   170,   302,   419,   170,
     302,   376,   957,   317,   604,   380,   419,   419,   307,   604,
     174,   253,   376,   365,   726,   734,   234,   243,   324,   388,
     446,   498,   716,   719,   720,   721,   723,   872,  1089,   419,
     438,   133,   578,   748,   748,   317,   374,   423,   140,   748,
      92,   362,   374,   423,   955,   239,   419,   419,   497,   551,
     411,   456,   457,   551,   500,   439,   439,   300,   872,   330,
     739,   419,   510,   419,   419,   604,   114,   603,   604,   604,
     162,   281,   283,   114,   419,   509,   376,   509,   294,   602,
     497,   419,   307,  1107,   621,   419,   748,   376,   419,   419,
     680,   680,   680,   680,   955,   419,   419,   376,   160,   438,
     634,   966,   419,   510,   419,   376,   330,   359,   350,   360,
     383,   532,   764,   961,   955,   658,   872,   317,   715,   604,
     680,   680,   738,   254,   317,   138,   179,   331,   413,   317,
     680,   254,   456,   562,   509,   660,   661,  1109,   654,   497,
     874,    98,    97,   873,   165,   285,   470,   497,   894,   681,
     877,    87,   771,   872,   957,   510,   666,   439,   655,   656,
    1090,   450,   510,   966,   147,   219,   526,   565,   598,   637,
     690,   705,   767,  1107,   629,   630,   957,   276,   680,   680,
     680,   680,   175,   246,   426,   437,   639,   640,   194,   497,
     634,   510,   600,   601,    98,   312,   497,   594,   580,   536,
     210,   961,   317,   497,   717,    98,   499,   965,   987,   456,
     457,   822,   377,   497,   824,   857,   858,   859,   864,   867,
     899,   953,   963,   453,   869,   963,   549,   872,   958,   229,
     957,   963,   549,   956,   957,   200,   439,   200,   439,   739,
     549,   549,   956,   957,   955,   957,   957,   957,   955,   956,
     634,   200,   200,   549,   679,   680,   498,   504,  1114,   498,
     500,  1120,  1045,   566,   957,  1120,    14,   500,  1102,   581,
     498,   500,   498,   956,   163,   384,   699,   700,   956,   956,
     954,   954,   956,   419,   456,   703,   444,   804,   805,  1088,
     366,   806,    83,   198,   372,   389,   811,   864,   306,   812,
     498,   500,   799,   802,   807,   813,   823,   419,   693,   692,
     693,   215,   220,   704,  1088,   924,   496,   924,   926,   927,
     497,   452,   939,   940,   896,   924,   965,   965,   924,   165,
     227,   282,   285,   379,   470,   928,   929,  1107,  1109,   965,
     924,   924,   965,   965,   889,   889,   896,   739,   896,   930,
     488,   489,   897,   898,   917,   921,   932,   498,   924,   896,
     924,   933,   417,   472,   965,   965,   896,   113,   215,   265,
     420,   896,   924,   936,   924,   287,   896,   903,   904,   905,
     287,   896,   905,   498,   500,   387,   965,   965,   894,   872,
     896,  1090,   417,   102,   407,   947,   896,   497,   824,   937,
     182,   184,   204,   302,   307,   312,   425,   434,   896,   108,
     230,   234,   269,   391,   497,   896,   419,   896,   896,   896,
     896,   896,   896,   896,   896,   896,   896,    89,    96,   394,
     918,   372,   497,   917,    37,   218,   273,   410,   412,   414,
     832,   955,   952,   215,   856,    89,   182,   446,   490,   498,
     924,   957,  1103,   944,  1062,   500,   484,   955,   421,   497,
    1107,   500,  1120,   498,   496,   502,   228,   228,   549,  1020,
     818,   819,   500,   856,   484,   946,   788,   955,   948,   498,
     824,   500,    99,   178,   439,   711,   497,   843,   967,   318,
     312,   854,   854,   314,   500,   270,   372,   373,   846,   851,
     841,   501,  1034,   873,   504,  1013,   504,   498,   604,   498,
      34,   990,  1065,  1066,  1103,  1058,  1063,  1110,  1049,   873,
    1098,  1113,  1098,   873,   498,   498,   419,   419,   376,   966,
     957,   960,   966,   958,   957,   139,   777,   497,   957,   258,
     258,   497,   957,   307,   966,   896,   307,   957,   294,   330,
     442,   608,   621,   307,   174,   253,   966,   957,   317,   957,
     324,  1089,   498,   500,   721,   723,   720,   723,  1089,   681,
     966,   956,   570,  1088,  1088,   957,   957,    89,   438,   957,
     957,  1088,   374,   423,   374,   423,   957,    89,   438,   957,
     955,   966,   957,   553,   554,  1090,   957,   315,   130,   315,
     547,   959,  1088,   959,   500,   498,   500,   419,   966,    86,
     139,   148,   149,   150,   192,   234,   239,   278,   295,   296,
     297,   298,   299,   301,   334,   370,   406,   408,   431,   438,
     441,   511,   966,   957,   604,   680,   957,   604,   957,   604,
      85,   187,   387,   622,   623,   624,   625,  1090,   966,   957,
     957,   957,   966,   957,    85,    91,   187,   330,   359,   330,
     359,   654,   359,   359,   359,   966,   957,   957,   384,   966,
     957,   957,   419,   419,   136,   430,   350,   254,    98,   680,
     254,   254,   439,   439,   254,   307,   686,  1107,   680,   680,
     680,   680,   680,   680,   254,   686,   315,   215,   419,   557,
     559,   498,   500,   484,   896,    97,   873,   872,   495,   495,
     419,   419,   965,   877,   639,   139,   191,   263,   264,   276,
     330,   411,   413,   772,   571,   608,   609,   210,   959,   498,
     500,   484,   955,   525,   322,   566,   212,  1107,   654,   654,
     654,   654,   317,   322,   497,   870,   871,  1088,   384,   199,
     976,   955,   269,   567,   568,   569,   570,   575,   578,   595,
     596,  1088,   456,   457,   589,    98,   223,  1107,   317,   955,
     498,   718,   719,   724,    98,   260,   367,   455,   725,   726,
     727,   978,   986,   491,   226,   226,   210,   824,   858,   859,
      98,   860,  1088,   500,   151,   216,   242,   257,   267,   290,
     369,   861,   860,    98,   860,  1088,   945,   497,   153,   896,
     806,   658,    98,   200,   549,   715,   680,   959,   680,   959,
     738,   317,   549,   549,   317,   549,   384,   210,   536,   549,
     896,   410,   821,  1110,  1099,   498,   582,   459,   956,   500,
     222,   696,   697,   966,    86,   704,   498,   500,   946,   951,
     198,   389,   198,   389,   372,   437,   284,   872,   957,   215,
     317,   696,   114,   549,   498,   496,   496,   500,   924,   896,
     189,   940,   941,    98,   498,   498,   498,   498,   498,   215,
     498,   498,   498,   498,   498,   500,   498,   335,   931,   498,
     897,   897,    71,   234,   254,   319,   484,   485,   486,   488,
     489,   490,   491,   492,   493,   921,   897,   498,   498,   210,
     215,   934,   935,   498,   472,   498,   498,    98,   936,   924,
     936,   936,   215,   498,   498,  1090,    98,   498,   500,   896,
    1090,   500,   896,   946,   896,  1088,   498,   498,   472,   897,
     897,   195,   924,   215,   182,   184,   204,   307,   312,   425,
     434,   497,   195,   407,   947,   896,   937,   896,   419,   739,
     896,   497,   824,   412,   414,   412,   414,   955,   833,   833,
     857,   453,   868,   924,   924,   896,   498,   326,   910,   498,
     500,     8,    11,    12,    22,    23,    24,    26,    27,    31,
      32,    33,   163,   287,   339,   428,  1068,  1069,  1071,  1061,
    1062,   765,   965,   894,   531,   896,   873,   498,   500,   815,
     869,   948,   839,   319,   919,   922,   473,   474,   712,   896,
     846,   954,   812,   812,   844,   844,   842,   206,   502,  1016,
     501,   500,   484,    30,  1077,   498,   498,   501,   966,   957,
     957,   270,   896,   579,   497,   497,   581,   549,   442,   419,
     607,   957,   621,   244,   307,   681,   719,   723,   723,   492,
     872,   187,   387,   548,   749,   549,   549,   957,   957,   957,
     957,   498,   500,   484,   499,   330,   359,    85,   187,   330,
     359,   872,   300,   872,   966,   956,   270,   334,   222,   370,
     307,  1107,   956,   965,   334,   956,   436,   624,   625,   624,
     498,   500,   626,  1107,   419,   279,   279,   279,   419,   419,
     419,   419,   419,   419,   419,   957,   966,   957,   686,   872,
     254,   686,   686,   959,   959,   686,   254,   254,   254,   254,
     254,   254,   686,   558,   110,   152,   176,   195,   211,   225,
     307,   315,   348,   560,   661,  1109,   319,   488,   489,   604,
     657,   723,   922,   971,  1107,   498,   495,   498,   965,   496,
     497,   965,  1088,  1107,  1118,   498,   317,   270,   484,   773,
     773,   773,   773,   773,   773,   773,   126,   140,   170,   172,
     241,   302,   307,   343,   355,   433,   572,   573,   574,   321,
     619,   428,   656,   657,   580,   361,   410,   163,   955,   640,
     662,  1107,   498,   500,   872,   957,   996,   823,   497,   955,
     498,   500,   498,   500,   315,   551,   315,   317,   590,   823,
     607,   419,   955,   439,   707,   498,   500,   170,   484,   728,
    1107,   536,   410,   722,   723,   456,   727,   729,   317,   982,
     823,   996,   498,  1088,   497,   858,   257,   325,   862,   858,
     862,   257,   861,   862,   257,   497,  1088,   497,   924,   312,
     549,   872,   957,   549,   439,   549,   439,   549,   549,   955,
     955,   957,   634,   549,   955,   161,   956,   700,   966,   456,
     500,   698,   320,   823,   805,  1120,   198,   198,   956,   695,
     549,   966,   926,   498,   416,   896,   193,   872,   896,   896,
     896,   934,   872,   897,   182,   184,   302,   312,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   896,   896,
     935,   934,   893,   893,   872,   498,   498,   498,   924,   498,
     500,  1090,   904,   340,   404,   906,   498,   500,   449,   900,
      98,   498,   890,  1107,   896,    95,    95,   896,   498,   896,
     215,   497,   925,   896,   897,   897,   195,   195,   896,   498,
     195,   896,   833,   833,   833,   833,   955,   955,   896,   222,
     848,   498,   498,   498,   910,   497,   911,  1088,   910,  1107,
     446,   500,   484,   498,   496,  1077,   484,   818,   806,   497,
     712,   498,   318,   847,   965,   484,  1035,  1066,  1071,   773,
     498,   581,   581,   498,   966,   681,   244,   492,   428,   571,
     302,   163,   302,   399,   402,   428,   554,   657,  1090,   419,
     419,   217,   319,   402,   664,   665,   217,   319,   671,   672,
     419,   419,   498,   498,   498,   967,  1107,   956,   956,  1107,
    1107,   623,   957,   210,   210,   361,   210,   229,   966,   957,
     966,   957,   957,   957,   957,   621,   498,   686,   254,   254,
     686,   686,   686,   686,   686,   686,   439,   563,   564,   781,
     781,   302,   348,   781,   781,   172,   241,   302,   647,   648,
     649,   965,   456,   457,   496,  1118,   488,   489,   490,   491,
     492,   496,   894,   955,   773,   170,   965,  1107,   170,  1107,
     170,  1107,   170,  1107,   170,   957,   170,   957,   170,   957,
     497,   957,   897,   173,   231,   172,   307,   258,   955,   729,
     497,   872,    98,   955,   459,   210,   641,   498,   500,   871,
     619,   801,   456,   597,   567,   576,   240,   588,   569,   596,
    1088,   135,   411,   591,   456,   768,   609,  1107,   707,   959,
     497,   724,   896,   896,   500,   497,   725,   654,   175,   246,
     381,   437,   756,   481,   993,   860,   497,   956,   858,   317,
     439,   863,   858,   257,   858,   870,   497,   870,  1088,   498,
     957,  1104,   498,   549,   959,   959,   549,   549,   384,   497,
     822,   219,   697,   704,   215,   896,   498,   498,   935,   215,
     182,   184,   312,   497,   498,   462,   902,   924,   454,   454,
     498,   896,   294,   896,   500,   901,   874,   894,   897,   897,
     896,   925,   498,    95,    95,   896,   896,   195,   896,   498,
     955,   955,   955,   955,   114,   224,   849,   910,   910,   910,
     912,  1088,   896,  1069,   489,  1062,  1070,  1106,  1107,  1107,
     950,   739,   843,  1114,   967,   498,   498,   729,   428,   307,
     307,   967,  1088,   872,   484,   966,   957,   965,   965,   872,
     500,   965,   965,   500,   966,   957,   956,   956,   680,   956,
     200,   254,   686,   686,   509,   177,  1107,  1107,   307,   581,
    1107,  1107,   173,   231,   172,   649,   648,   496,   217,   243,
     217,   498,  1118,  1118,  1118,  1118,  1118,   215,   646,   967,
     896,   302,   573,   729,   580,   439,   592,   620,   624,   439,
     823,   497,   957,   188,   642,   199,  1107,   163,   294,   498,
     197,   235,   577,   497,   589,   175,   187,   340,   957,   118,
     126,   273,   259,   610,   215,   497,   497,   708,   709,   899,
    1088,  1107,   721,   730,   731,  1089,   729,   419,   994,  1088,
     956,   498,   896,   497,   858,   863,   498,   870,   498,   549,
     549,   549,   957,   210,   320,   549,   696,   897,   215,   497,
     925,   497,   498,   500,   498,   498,   443,   396,   498,   498,
     498,   897,   897,   896,   924,   896,   455,   907,   333,   913,
     498,   965,  1106,   894,   498,   846,   355,   729,   592,   439,
     550,   657,   497,   963,   739,   665,   497,   497,   672,   456,
     361,   456,   456,   210,   686,   559,  1107,   581,   700,    98,
     741,   741,   955,   647,   498,   592,   280,   583,   237,   498,
     500,   959,   768,   619,   372,   398,   643,   347,   163,   589,
     141,   171,   238,   141,   171,   238,   954,   590,   373,   373,
     126,   320,   126,  1107,   680,   708,   896,   498,   500,   439,
     680,   710,   710,   723,   498,   500,   955,   484,   995,   498,
     956,   498,   549,   897,   925,   498,   903,   924,   294,   471,
     908,   909,  1088,   114,   836,   837,   910,   318,   955,   592,
     896,   925,   715,   353,   668,   738,   925,   925,   679,   680,
     679,   680,   956,   741,   101,   233,   210,   216,   332,   392,
     317,   584,   585,   586,   411,   624,   205,   667,   963,   590,
     498,   591,   320,   320,   498,   498,   456,   552,   709,   680,
     711,   711,   725,   730,   868,   965,  1101,  1109,   481,   498,
     498,   498,   498,   443,   500,    98,   924,   349,   373,   914,
     580,   498,   668,   498,   498,   456,   188,   175,   437,   317,
     586,   317,   585,   957,   680,    98,   497,   591,   552,   710,
     551,   591,   712,   712,   729,   183,   994,   909,   911,   108,
     153,   429,   915,   916,   915,   498,   583,   963,   680,   372,
     117,   294,   365,   387,   587,   587,   664,   480,   644,   645,
     965,  1088,  1105,  1106,  1107,   591,   711,   868,    90,   247,
     757,   916,   372,   209,   338,   584,   715,   199,    84,   170,
     307,   498,   500,   868,   712,   303,   497,   752,   754,   759,
     802,   807,   813,   823,    95,   647,   347,   645,   753,   754,
     755,   824,   825,   916,   963,   498,   501,   497,   755,   644,
     498
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;



/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{


    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[2];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:

/* Line 1455 of yacc.c  */
#line 1192 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 4:

/* Line 1455 of yacc.c  */
#line 1194 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 5:

/* Line 1455 of yacc.c  */
#line 1196 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 6:

/* Line 1455 of yacc.c  */
#line 1198 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 7:

/* Line 1455 of yacc.c  */
#line 1200 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 8:

/* Line 1455 of yacc.c  */
#line 1202 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 9:

/* Line 1455 of yacc.c  */
#line 1204 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 10:

/* Line 1455 of yacc.c  */
#line 1206 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 11:

/* Line 1455 of yacc.c  */
#line 1208 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 12:

/* Line 1455 of yacc.c  */
#line 1210 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 13:

/* Line 1455 of yacc.c  */
#line 1212 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 14:

/* Line 1455 of yacc.c  */
#line 1214 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 15:

/* Line 1455 of yacc.c  */
#line 1216 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 16:

/* Line 1455 of yacc.c  */
#line 1218 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 17:

/* Line 1455 of yacc.c  */
#line 1220 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 18:

/* Line 1455 of yacc.c  */
#line 1222 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 19:

/* Line 1455 of yacc.c  */
#line 1224 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 20:

/* Line 1455 of yacc.c  */
#line 1226 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 21:

/* Line 1455 of yacc.c  */
#line 1228 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 22:

/* Line 1455 of yacc.c  */
#line 1230 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 23:

/* Line 1455 of yacc.c  */
#line 1232 "preproc.y"
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[(1) - (1)].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[(1) - (1)].str));
				break;
			}
		}

		output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal);
	;}
    break;

  case 24:

/* Line 1455 of yacc.c  */
#line 1250 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 25:

/* Line 1455 of yacc.c  */
#line 1252 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 26:

/* Line 1455 of yacc.c  */
#line 1254 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 27:

/* Line 1455 of yacc.c  */
#line 1256 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 28:

/* Line 1455 of yacc.c  */
#line 1258 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 29:

/* Line 1455 of yacc.c  */
#line 1260 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 30:

/* Line 1455 of yacc.c  */
#line 1262 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 31:

/* Line 1455 of yacc.c  */
#line 1264 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 32:

/* Line 1455 of yacc.c  */
#line 1266 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 33:

/* Line 1455 of yacc.c  */
#line 1268 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 34:

/* Line 1455 of yacc.c  */
#line 1270 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 35:

/* Line 1455 of yacc.c  */
#line 1272 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 36:

/* Line 1455 of yacc.c  */
#line 1274 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 37:

/* Line 1455 of yacc.c  */
#line 1276 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 38:

/* Line 1455 of yacc.c  */
#line 1278 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 39:

/* Line 1455 of yacc.c  */
#line 1280 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 40:

/* Line 1455 of yacc.c  */
#line 1282 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 41:

/* Line 1455 of yacc.c  */
#line 1284 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 42:

/* Line 1455 of yacc.c  */
#line 1286 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 43:

/* Line 1455 of yacc.c  */
#line 1288 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 44:

/* Line 1455 of yacc.c  */
#line 1290 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 45:

/* Line 1455 of yacc.c  */
#line 1292 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 46:

/* Line 1455 of yacc.c  */
#line 1294 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 47:

/* Line 1455 of yacc.c  */
#line 1296 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 48:

/* Line 1455 of yacc.c  */
#line 1298 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 49:

/* Line 1455 of yacc.c  */
#line 1300 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 50:

/* Line 1455 of yacc.c  */
#line 1302 "preproc.y"
    {
		output_deallocate_prepare_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 51:

/* Line 1455 of yacc.c  */
#line 1306 "preproc.y"
    { output_simple_statement((yyvsp[(1) - (1)].str)); ;}
    break;

  case 52:

/* Line 1455 of yacc.c  */
#line 1308 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 53:

/* Line 1455 of yacc.c  */
#line 1310 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
    break;

  case 54:

/* Line 1455 of yacc.c  */
#line 1312 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
    break;

  case 55:

/* Line 1455 of yacc.c  */
#line 1314 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 56:

/* Line 1455 of yacc.c  */
#line 1316 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 57:

/* Line 1455 of yacc.c  */
#line 1318 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 58:

/* Line 1455 of yacc.c  */
#line 1320 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 59:

/* Line 1455 of yacc.c  */
#line 1322 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 60:

/* Line 1455 of yacc.c  */
#line 1324 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 61:

/* Line 1455 of yacc.c  */
#line 1326 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 62:

/* Line 1455 of yacc.c  */
#line 1328 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 63:

/* Line 1455 of yacc.c  */
#line 1330 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 64:

/* Line 1455 of yacc.c  */
#line 1332 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 65:

/* Line 1455 of yacc.c  */
#line 1334 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 66:

/* Line 1455 of yacc.c  */
#line 1336 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 67:

/* Line 1455 of yacc.c  */
#line 1338 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 68:

/* Line 1455 of yacc.c  */
#line 1340 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 69:

/* Line 1455 of yacc.c  */
#line 1342 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 70:

/* Line 1455 of yacc.c  */
#line 1344 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 71:

/* Line 1455 of yacc.c  */
#line 1346 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 72:

/* Line 1455 of yacc.c  */
#line 1348 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_execute); ;}
    break;

  case 73:

/* Line 1455 of yacc.c  */
#line 1350 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 74:

/* Line 1455 of yacc.c  */
#line 1352 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
    break;

  case 75:

/* Line 1455 of yacc.c  */
#line 1354 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 76:

/* Line 1455 of yacc.c  */
#line 1356 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 77:

/* Line 1455 of yacc.c  */
#line 1358 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 78:

/* Line 1455 of yacc.c  */
#line 1360 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
    break;

  case 79:

/* Line 1455 of yacc.c  */
#line 1362 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 80:

/* Line 1455 of yacc.c  */
#line 1364 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 81:

/* Line 1455 of yacc.c  */
#line 1366 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 82:

/* Line 1455 of yacc.c  */
#line 1368 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 83:

/* Line 1455 of yacc.c  */
#line 1370 "preproc.y"
    {
		if ((yyvsp[(1) - (1)].prep).type == NULL || strlen((yyvsp[(1) - (1)].prep).type) == 0)
			output_prepare_statement((yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).stmt);
		else	
			output_statement(cat_str(5, make_str("prepare"), (yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).type, make_str("as"), (yyvsp[(1) - (1)].prep).stmt), 0, ECPGst_normal);
	;}
    break;

  case 84:

/* Line 1455 of yacc.c  */
#line 1377 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 85:

/* Line 1455 of yacc.c  */
#line 1379 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 86:

/* Line 1455 of yacc.c  */
#line 1381 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 87:

/* Line 1455 of yacc.c  */
#line 1383 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 88:

/* Line 1455 of yacc.c  */
#line 1385 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 89:

/* Line 1455 of yacc.c  */
#line 1387 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 90:

/* Line 1455 of yacc.c  */
#line 1389 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 91:

/* Line 1455 of yacc.c  */
#line 1391 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 92:

/* Line 1455 of yacc.c  */
#line 1393 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 93:

/* Line 1455 of yacc.c  */
#line 1395 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
    break;

  case 94:

/* Line 1455 of yacc.c  */
#line 1397 "preproc.y"
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 95:

/* Line 1455 of yacc.c  */
#line 1403 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 96:

/* Line 1455 of yacc.c  */
#line 1405 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 97:

/* Line 1455 of yacc.c  */
#line 1407 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
    break;

  case 98:

/* Line 1455 of yacc.c  */
#line 1409 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 99:

/* Line 1455 of yacc.c  */
#line 1411 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 100:

/* Line 1455 of yacc.c  */
#line 1413 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 101:

/* Line 1455 of yacc.c  */
#line 1415 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 102:

/* Line 1455 of yacc.c  */
#line 1417 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 103:

/* Line 1455 of yacc.c  */
#line 1419 "preproc.y"
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 104:

/* Line 1455 of yacc.c  */
#line 1425 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[(1) - (1)].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 105:

/* Line 1455 of yacc.c  */
#line 1435 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 106:

/* Line 1455 of yacc.c  */
#line 1439 "preproc.y"
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 107:

/* Line 1455 of yacc.c  */
#line 1445 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 108:

/* Line 1455 of yacc.c  */
#line 1449 "preproc.y"
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %s,", (yyvsp[(1) - (1)].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 109:

/* Line 1455 of yacc.c  */
#line 1459 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[(1) - (1)].str) ? (yyvsp[(1) - (1)].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 110:

/* Line 1455 of yacc.c  */
#line 1468 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_exec_immediate); ;}
    break;

  case 111:

/* Line 1455 of yacc.c  */
#line 1470 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		if (strcmp((yyvsp[(1) - (1)].str), "all"))
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[(1) - (1)].str));
		else
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);

		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 112:

/* Line 1455 of yacc.c  */
#line 1481 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_get_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	;}
    break;

  case 113:

/* Line 1455 of yacc.c  */
#line 1488 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_get_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 114:

/* Line 1455 of yacc.c  */
#line 1494 "preproc.y"
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[(1) - (1)].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, 0);
			ptr->opened = true;
		}
	;}
    break;

  case 115:

/* Line 1455 of yacc.c  */
#line 1505 "preproc.y"
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[(1) - (1)].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 116:

/* Line 1455 of yacc.c  */
#line 1511 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 117:

/* Line 1455 of yacc.c  */
#line 1520 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_set_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	;}
    break;

  case 118:

/* Line 1455 of yacc.c  */
#line 1527 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_set_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 119:

/* Line 1455 of yacc.c  */
#line 1533 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
		output_line_number();
	;}
    break;

  case 120:

/* Line 1455 of yacc.c  */
#line 1542 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 121:

/* Line 1455 of yacc.c  */
#line 1549 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 122:

/* Line 1455 of yacc.c  */
#line 1556 "preproc.y"
    { (yyval.str) = NULL; ;}
    break;

  case 123:

/* Line 1455 of yacc.c  */
#line 1562 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 124:

/* Line 1455 of yacc.c  */
#line 1570 "preproc.y"
    { 
 (yyval.str) = make_str("with");
;}
    break;

  case 125:

/* Line 1455 of yacc.c  */
#line 1574 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 126:

/* Line 1455 of yacc.c  */
#line 1581 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 127:

/* Line 1455 of yacc.c  */
#line 1585 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 128:

/* Line 1455 of yacc.c  */
#line 1592 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("password"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 129:

/* Line 1455 of yacc.c  */
#line 1596 "preproc.y"
    { 
 (yyval.str) = make_str("password null");
;}
    break;

  case 130:

/* Line 1455 of yacc.c  */
#line 1600 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("encrypted password"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 131:

/* Line 1455 of yacc.c  */
#line 1604 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("unencrypted password"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 132:

/* Line 1455 of yacc.c  */
#line 1608 "preproc.y"
    { 
 (yyval.str) = make_str("superuser");
;}
    break;

  case 133:

/* Line 1455 of yacc.c  */
#line 1612 "preproc.y"
    { 
 (yyval.str) = make_str("nosuperuser");
;}
    break;

  case 134:

/* Line 1455 of yacc.c  */
#line 1616 "preproc.y"
    { 
 (yyval.str) = make_str("inherit");
;}
    break;

  case 135:

/* Line 1455 of yacc.c  */
#line 1620 "preproc.y"
    { 
 (yyval.str) = make_str("noinherit");
;}
    break;

  case 136:

/* Line 1455 of yacc.c  */
#line 1624 "preproc.y"
    { 
 (yyval.str) = make_str("createdb");
;}
    break;

  case 137:

/* Line 1455 of yacc.c  */
#line 1628 "preproc.y"
    { 
 (yyval.str) = make_str("nocreatedb");
;}
    break;

  case 138:

/* Line 1455 of yacc.c  */
#line 1632 "preproc.y"
    { 
 (yyval.str) = make_str("createrole");
;}
    break;

  case 139:

/* Line 1455 of yacc.c  */
#line 1636 "preproc.y"
    { 
 (yyval.str) = make_str("nocreaterole");
;}
    break;

  case 140:

/* Line 1455 of yacc.c  */
#line 1640 "preproc.y"
    { 
 (yyval.str) = make_str("createuser");
;}
    break;

  case 141:

/* Line 1455 of yacc.c  */
#line 1644 "preproc.y"
    { 
 (yyval.str) = make_str("nocreateuser");
;}
    break;

  case 142:

/* Line 1455 of yacc.c  */
#line 1648 "preproc.y"
    { 
 (yyval.str) = make_str("login");
;}
    break;

  case 143:

/* Line 1455 of yacc.c  */
#line 1652 "preproc.y"
    { 
 (yyval.str) = make_str("nologin");
;}
    break;

  case 144:

/* Line 1455 of yacc.c  */
#line 1656 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("connection limit"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 145:

/* Line 1455 of yacc.c  */
#line 1660 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("valid until"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 146:

/* Line 1455 of yacc.c  */
#line 1664 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("user"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 147:

/* Line 1455 of yacc.c  */
#line 1668 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("sysid"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 148:

/* Line 1455 of yacc.c  */
#line 1672 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("admin"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 149:

/* Line 1455 of yacc.c  */
#line 1676 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("role"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 150:

/* Line 1455 of yacc.c  */
#line 1680 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("in role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 151:

/* Line 1455 of yacc.c  */
#line 1684 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("in group"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 152:

/* Line 1455 of yacc.c  */
#line 1692 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 153:

/* Line 1455 of yacc.c  */
#line 1700 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 154:

/* Line 1455 of yacc.c  */
#line 1708 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter role"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 155:

/* Line 1455 of yacc.c  */
#line 1716 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 156:

/* Line 1455 of yacc.c  */
#line 1724 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter user"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 157:

/* Line 1455 of yacc.c  */
#line 1732 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 158:

/* Line 1455 of yacc.c  */
#line 1736 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop role if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 159:

/* Line 1455 of yacc.c  */
#line 1744 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop user"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 160:

/* Line 1455 of yacc.c  */
#line 1748 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop user if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 161:

/* Line 1455 of yacc.c  */
#line 1756 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create group"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 162:

/* Line 1455 of yacc.c  */
#line 1764 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter group"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str("user"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 163:

/* Line 1455 of yacc.c  */
#line 1772 "preproc.y"
    { 
 (yyval.str) = make_str("add");
;}
    break;

  case 164:

/* Line 1455 of yacc.c  */
#line 1776 "preproc.y"
    { 
 (yyval.str) = make_str("drop");
;}
    break;

  case 165:

/* Line 1455 of yacc.c  */
#line 1784 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop group"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 166:

/* Line 1455 of yacc.c  */
#line 1788 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop group if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 167:

/* Line 1455 of yacc.c  */
#line 1796 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create schema"),(yyvsp[(3) - (6)].str),make_str("authorization"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 168:

/* Line 1455 of yacc.c  */
#line 1800 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create schema"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 169:

/* Line 1455 of yacc.c  */
#line 1808 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 170:

/* Line 1455 of yacc.c  */
#line 1812 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 171:

/* Line 1455 of yacc.c  */
#line 1819 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 172:

/* Line 1455 of yacc.c  */
#line 1823 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 173:

/* Line 1455 of yacc.c  */
#line 1830 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 174:

/* Line 1455 of yacc.c  */
#line 1834 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 175:

/* Line 1455 of yacc.c  */
#line 1838 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 176:

/* Line 1455 of yacc.c  */
#line 1842 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 177:

/* Line 1455 of yacc.c  */
#line 1846 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 178:

/* Line 1455 of yacc.c  */
#line 1850 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 179:

/* Line 1455 of yacc.c  */
#line 1858 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 180:

/* Line 1455 of yacc.c  */
#line 1862 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set local"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 181:

/* Line 1455 of yacc.c  */
#line 1866 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set session"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 182:

/* Line 1455 of yacc.c  */
#line 1874 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 183:

/* Line 1455 of yacc.c  */
#line 1878 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 184:

/* Line 1455 of yacc.c  */
#line 1882 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("to default"));
;}
    break;

  case 185:

/* Line 1455 of yacc.c  */
#line 1886 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("= default"));
;}
    break;

  case 186:

/* Line 1455 of yacc.c  */
#line 1890 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("from current"));
;}
    break;

  case 187:

/* Line 1455 of yacc.c  */
#line 1894 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("time zone"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 188:

/* Line 1455 of yacc.c  */
#line 1898 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("transaction"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 189:

/* Line 1455 of yacc.c  */
#line 1902 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("session characteristics as transaction"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 190:

/* Line 1455 of yacc.c  */
#line 1906 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,make_str("catalog"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 191:

/* Line 1455 of yacc.c  */
#line 1911 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 192:

/* Line 1455 of yacc.c  */
#line 1915 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("names"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 193:

/* Line 1455 of yacc.c  */
#line 1919 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("role"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 194:

/* Line 1455 of yacc.c  */
#line 1923 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("session authorization"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 195:

/* Line 1455 of yacc.c  */
#line 1927 "preproc.y"
    { 
 (yyval.str) = make_str("session authorization default");
;}
    break;

  case 196:

/* Line 1455 of yacc.c  */
#line 1931 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("xml option"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 197:

/* Line 1455 of yacc.c  */
#line 1939 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 198:

/* Line 1455 of yacc.c  */
#line 1943 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 199:

/* Line 1455 of yacc.c  */
#line 1951 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 200:

/* Line 1455 of yacc.c  */
#line 1955 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 201:

/* Line 1455 of yacc.c  */
#line 1963 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 202:

/* Line 1455 of yacc.c  */
#line 1967 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 203:

/* Line 1455 of yacc.c  */
#line 1971 "preproc.y"
    { 
		if ((yyvsp[(1) - (1)].str)[0] == '$')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = make_str("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 204:

/* Line 1455 of yacc.c  */
#line 1985 "preproc.y"
    { 
 (yyval.str) = make_str("read uncommitted");
;}
    break;

  case 205:

/* Line 1455 of yacc.c  */
#line 1989 "preproc.y"
    { 
 (yyval.str) = make_str("read committed");
;}
    break;

  case 206:

/* Line 1455 of yacc.c  */
#line 1993 "preproc.y"
    { 
 (yyval.str) = make_str("repeatable read");
;}
    break;

  case 207:

/* Line 1455 of yacc.c  */
#line 1997 "preproc.y"
    { 
 (yyval.str) = make_str("serializable");
;}
    break;

  case 208:

/* Line 1455 of yacc.c  */
#line 2005 "preproc.y"
    { 
 (yyval.str) = make_str("true");
;}
    break;

  case 209:

/* Line 1455 of yacc.c  */
#line 2009 "preproc.y"
    { 
 (yyval.str) = make_str("false");
;}
    break;

  case 210:

/* Line 1455 of yacc.c  */
#line 2013 "preproc.y"
    { 
 (yyval.str) = make_str("on");
;}
    break;

  case 211:

/* Line 1455 of yacc.c  */
#line 2017 "preproc.y"
    { 
 (yyval.str) = make_str("off");
;}
    break;

  case 212:

/* Line 1455 of yacc.c  */
#line 2025 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 213:

/* Line 1455 of yacc.c  */
#line 2029 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 214:

/* Line 1455 of yacc.c  */
#line 2033 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 215:

/* Line 1455 of yacc.c  */
#line 2037 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),make_str("("),(yyvsp[(3) - (6)].str),make_str(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 216:

/* Line 1455 of yacc.c  */
#line 2041 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 217:

/* Line 1455 of yacc.c  */
#line 2045 "preproc.y"
    { 
 (yyval.str) = make_str("default");
;}
    break;

  case 218:

/* Line 1455 of yacc.c  */
#line 2049 "preproc.y"
    { 
 (yyval.str) = make_str("local");
;}
    break;

  case 219:

/* Line 1455 of yacc.c  */
#line 2057 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 220:

/* Line 1455 of yacc.c  */
#line 2061 "preproc.y"
    { 
 (yyval.str) = make_str("default");
;}
    break;

  case 221:

/* Line 1455 of yacc.c  */
#line 2065 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 222:

/* Line 1455 of yacc.c  */
#line 2072 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 223:

/* Line 1455 of yacc.c  */
#line 2076 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 224:

/* Line 1455 of yacc.c  */
#line 2084 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("reset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 225:

/* Line 1455 of yacc.c  */
#line 2088 "preproc.y"
    { 
 (yyval.str) = make_str("reset time zone");
;}
    break;

  case 226:

/* Line 1455 of yacc.c  */
#line 2092 "preproc.y"
    { 
 (yyval.str) = make_str("reset transaction isolation level");
;}
    break;

  case 227:

/* Line 1455 of yacc.c  */
#line 2096 "preproc.y"
    { 
 (yyval.str) = make_str("reset session authorization");
;}
    break;

  case 228:

/* Line 1455 of yacc.c  */
#line 2100 "preproc.y"
    { 
 (yyval.str) = make_str("reset all");
;}
    break;

  case 229:

/* Line 1455 of yacc.c  */
#line 2108 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 230:

/* Line 1455 of yacc.c  */
#line 2112 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 231:

/* Line 1455 of yacc.c  */
#line 2120 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("show"),(yyvsp[(2) - (3)].str));
;}
    break;

  case 232:

/* Line 1455 of yacc.c  */
#line 2124 "preproc.y"
    { 
 (yyval.str) = make_str("show time zone");
;}
    break;

  case 233:

/* Line 1455 of yacc.c  */
#line 2128 "preproc.y"
    { 
 (yyval.str) = make_str("show transaction isolation level");
;}
    break;

  case 234:

/* Line 1455 of yacc.c  */
#line 2132 "preproc.y"
    { 
 (yyval.str) = make_str("show session authorization");
;}
    break;

  case 235:

/* Line 1455 of yacc.c  */
#line 2136 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	;}
    break;

  case 236:

/* Line 1455 of yacc.c  */
#line 2145 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("set constraints"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 237:

/* Line 1455 of yacc.c  */
#line 2153 "preproc.y"
    { 
 (yyval.str) = make_str("all");
;}
    break;

  case 238:

/* Line 1455 of yacc.c  */
#line 2157 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 239:

/* Line 1455 of yacc.c  */
#line 2165 "preproc.y"
    { 
 (yyval.str) = make_str("deferred");
;}
    break;

  case 240:

/* Line 1455 of yacc.c  */
#line 2169 "preproc.y"
    { 
 (yyval.str) = make_str("immediate");
;}
    break;

  case 241:

/* Line 1455 of yacc.c  */
#line 2177 "preproc.y"
    { 
 (yyval.str) = make_str("checkpoint");
;}
    break;

  case 242:

/* Line 1455 of yacc.c  */
#line 2185 "preproc.y"
    { 
 (yyval.str) = make_str("discard all");
;}
    break;

  case 243:

/* Line 1455 of yacc.c  */
#line 2189 "preproc.y"
    { 
 (yyval.str) = make_str("discard temp");
;}
    break;

  case 244:

/* Line 1455 of yacc.c  */
#line 2193 "preproc.y"
    { 
 (yyval.str) = make_str("discard temporary");
;}
    break;

  case 245:

/* Line 1455 of yacc.c  */
#line 2197 "preproc.y"
    { 
 (yyval.str) = make_str("discard plans");
;}
    break;

  case 246:

/* Line 1455 of yacc.c  */
#line 2205 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter table"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 247:

/* Line 1455 of yacc.c  */
#line 2209 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter index"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 248:

/* Line 1455 of yacc.c  */
#line 2213 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 249:

/* Line 1455 of yacc.c  */
#line 2217 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter view"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 250:

/* Line 1455 of yacc.c  */
#line 2225 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 251:

/* Line 1455 of yacc.c  */
#line 2229 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 252:

/* Line 1455 of yacc.c  */
#line 2237 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("add"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 253:

/* Line 1455 of yacc.c  */
#line 2241 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 254:

/* Line 1455 of yacc.c  */
#line 2245 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("drop not null"));
;}
    break;

  case 255:

/* Line 1455 of yacc.c  */
#line 2249 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("set not null"));
;}
    break;

  case 256:

/* Line 1455 of yacc.c  */
#line 2253 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("set statistics"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 257:

/* Line 1455 of yacc.c  */
#line 2257 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("set storage"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 258:

/* Line 1455 of yacc.c  */
#line 2261 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 259:

/* Line 1455 of yacc.c  */
#line 2265 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("alter"),(yyvsp[(2) - (7)].str),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("type"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 260:

/* Line 1455 of yacc.c  */
#line 2269 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 261:

/* Line 1455 of yacc.c  */
#line 2273 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 262:

/* Line 1455 of yacc.c  */
#line 2277 "preproc.y"
    { 
 (yyval.str) = make_str("set with oids");
;}
    break;

  case 263:

/* Line 1455 of yacc.c  */
#line 2281 "preproc.y"
    { 
 (yyval.str) = make_str("set without oids");
;}
    break;

  case 264:

/* Line 1455 of yacc.c  */
#line 2285 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("cluster on"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 265:

/* Line 1455 of yacc.c  */
#line 2289 "preproc.y"
    { 
 (yyval.str) = make_str("set without cluster");
;}
    break;

  case 266:

/* Line 1455 of yacc.c  */
#line 2293 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("enable trigger"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 267:

/* Line 1455 of yacc.c  */
#line 2297 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("enable always trigger"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 268:

/* Line 1455 of yacc.c  */
#line 2301 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("enable replica trigger"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 269:

/* Line 1455 of yacc.c  */
#line 2305 "preproc.y"
    { 
 (yyval.str) = make_str("enable trigger all");
;}
    break;

  case 270:

/* Line 1455 of yacc.c  */
#line 2309 "preproc.y"
    { 
 (yyval.str) = make_str("enable trigger user");
;}
    break;

  case 271:

/* Line 1455 of yacc.c  */
#line 2313 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("disable trigger"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 272:

/* Line 1455 of yacc.c  */
#line 2317 "preproc.y"
    { 
 (yyval.str) = make_str("disable trigger all");
;}
    break;

  case 273:

/* Line 1455 of yacc.c  */
#line 2321 "preproc.y"
    { 
 (yyval.str) = make_str("disable trigger user");
;}
    break;

  case 274:

/* Line 1455 of yacc.c  */
#line 2325 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("enable rule"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 275:

/* Line 1455 of yacc.c  */
#line 2329 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("enable always rule"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 276:

/* Line 1455 of yacc.c  */
#line 2333 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("enable replica rule"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 277:

/* Line 1455 of yacc.c  */
#line 2337 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("disable rule"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 278:

/* Line 1455 of yacc.c  */
#line 2341 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("inherit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 279:

/* Line 1455 of yacc.c  */
#line 2345 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("no inherit"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 280:

/* Line 1455 of yacc.c  */
#line 2349 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("owner to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 281:

/* Line 1455 of yacc.c  */
#line 2353 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set tablespace"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 282:

/* Line 1455 of yacc.c  */
#line 2357 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 283:

/* Line 1455 of yacc.c  */
#line 2361 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("reset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 284:

/* Line 1455 of yacc.c  */
#line 2369 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set default"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 285:

/* Line 1455 of yacc.c  */
#line 2373 "preproc.y"
    { 
 (yyval.str) = make_str("drop default");
;}
    break;

  case 286:

/* Line 1455 of yacc.c  */
#line 2381 "preproc.y"
    { 
 (yyval.str) = make_str("cascade");
;}
    break;

  case 287:

/* Line 1455 of yacc.c  */
#line 2385 "preproc.y"
    { 
 (yyval.str) = make_str("restrict");
;}
    break;

  case 288:

/* Line 1455 of yacc.c  */
#line 2389 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 289:

/* Line 1455 of yacc.c  */
#line 2396 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 290:

/* Line 1455 of yacc.c  */
#line 2400 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 291:

/* Line 1455 of yacc.c  */
#line 2407 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 292:

/* Line 1455 of yacc.c  */
#line 2415 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 293:

/* Line 1455 of yacc.c  */
#line 2419 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 294:

/* Line 1455 of yacc.c  */
#line 2426 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 295:

/* Line 1455 of yacc.c  */
#line 2430 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 296:

/* Line 1455 of yacc.c  */
#line 2438 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 297:

/* Line 1455 of yacc.c  */
#line 2442 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 298:

/* Line 1455 of yacc.c  */
#line 2446 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("."),(yyvsp[(3) - (5)].str),make_str("="),(yyvsp[(5) - (5)].str));
;}
    break;

  case 299:

/* Line 1455 of yacc.c  */
#line 2450 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 300:

/* Line 1455 of yacc.c  */
#line 2458 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("close"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 301:

/* Line 1455 of yacc.c  */
#line 2462 "preproc.y"
    { 
 (yyval.str) = make_str("close all");
;}
    break;

  case 302:

/* Line 1455 of yacc.c  */
#line 2470 "preproc.y"
    { 
			if (strcmp((yyvsp[(6) - (10)].str), "to") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdout") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY FROM STDOUT is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(10,make_str("copy"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 303:

/* Line 1455 of yacc.c  */
#line 2481 "preproc.y"
    { 
			if (strcmp((yyvsp[(4) - (6)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");

 (yyval.str) = cat_str(6,make_str("copy"),(yyvsp[(2) - (6)].str),make_str("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 304:

/* Line 1455 of yacc.c  */
#line 2492 "preproc.y"
    { 
 (yyval.str) = make_str("from");
;}
    break;

  case 305:

/* Line 1455 of yacc.c  */
#line 2496 "preproc.y"
    { 
 (yyval.str) = make_str("to");
;}
    break;

  case 306:

/* Line 1455 of yacc.c  */
#line 2504 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 307:

/* Line 1455 of yacc.c  */
#line 2508 "preproc.y"
    { 
 (yyval.str) = make_str("stdin");
;}
    break;

  case 308:

/* Line 1455 of yacc.c  */
#line 2512 "preproc.y"
    { 
 (yyval.str) = make_str("stdout");
;}
    break;

  case 309:

/* Line 1455 of yacc.c  */
#line 2520 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 310:

/* Line 1455 of yacc.c  */
#line 2524 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 311:

/* Line 1455 of yacc.c  */
#line 2531 "preproc.y"
    { 
 (yyval.str) = make_str("binary");
;}
    break;

  case 312:

/* Line 1455 of yacc.c  */
#line 2535 "preproc.y"
    { 
 (yyval.str) = make_str("oids");
;}
    break;

  case 313:

/* Line 1455 of yacc.c  */
#line 2539 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("delimiter"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 314:

/* Line 1455 of yacc.c  */
#line 2543 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("null"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 315:

/* Line 1455 of yacc.c  */
#line 2547 "preproc.y"
    { 
 (yyval.str) = make_str("csv");
;}
    break;

  case 316:

/* Line 1455 of yacc.c  */
#line 2551 "preproc.y"
    { 
 (yyval.str) = make_str("header");
;}
    break;

  case 317:

/* Line 1455 of yacc.c  */
#line 2555 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("quote"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 318:

/* Line 1455 of yacc.c  */
#line 2559 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("escape"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 319:

/* Line 1455 of yacc.c  */
#line 2563 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("force quote"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 320:

/* Line 1455 of yacc.c  */
#line 2567 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("force not null"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 321:

/* Line 1455 of yacc.c  */
#line 2575 "preproc.y"
    { 
 (yyval.str) = make_str("binary");
;}
    break;

  case 322:

/* Line 1455 of yacc.c  */
#line 2579 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 323:

/* Line 1455 of yacc.c  */
#line 2586 "preproc.y"
    { 
 (yyval.str) = make_str("with oids");
;}
    break;

  case 324:

/* Line 1455 of yacc.c  */
#line 2590 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 325:

/* Line 1455 of yacc.c  */
#line 2597 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("delimiters"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 326:

/* Line 1455 of yacc.c  */
#line 2601 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 327:

/* Line 1455 of yacc.c  */
#line 2608 "preproc.y"
    { 
 (yyval.str) = make_str("using");
;}
    break;

  case 328:

/* Line 1455 of yacc.c  */
#line 2612 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 329:

/* Line 1455 of yacc.c  */
#line 2619 "preproc.y"
    { 
 (yyval.str) = cat_str(11,make_str("create"),(yyvsp[(2) - (11)].str),make_str("table"),(yyvsp[(4) - (11)].str),make_str("("),(yyvsp[(6) - (11)].str),make_str(")"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 330:

/* Line 1455 of yacc.c  */
#line 2623 "preproc.y"
    { 
 (yyval.str) = cat_str(12,make_str("create"),(yyvsp[(2) - (12)].str),make_str("table"),(yyvsp[(4) - (12)].str),make_str("of"),(yyvsp[(6) - (12)].str),make_str("("),(yyvsp[(8) - (12)].str),make_str(")"),(yyvsp[(10) - (12)].str),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
;}
    break;

  case 331:

/* Line 1455 of yacc.c  */
#line 2631 "preproc.y"
    { 
 (yyval.str) = make_str("temporary");
;}
    break;

  case 332:

/* Line 1455 of yacc.c  */
#line 2635 "preproc.y"
    { 
 (yyval.str) = make_str("temp");
;}
    break;

  case 333:

/* Line 1455 of yacc.c  */
#line 2639 "preproc.y"
    { 
 (yyval.str) = make_str("local temporary");
;}
    break;

  case 334:

/* Line 1455 of yacc.c  */
#line 2643 "preproc.y"
    { 
 (yyval.str) = make_str("local temp");
;}
    break;

  case 335:

/* Line 1455 of yacc.c  */
#line 2647 "preproc.y"
    { 
 (yyval.str) = make_str("global temporary");
;}
    break;

  case 336:

/* Line 1455 of yacc.c  */
#line 2651 "preproc.y"
    { 
 (yyval.str) = make_str("global temp");
;}
    break;

  case 337:

/* Line 1455 of yacc.c  */
#line 2655 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 338:

/* Line 1455 of yacc.c  */
#line 2662 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 339:

/* Line 1455 of yacc.c  */
#line 2666 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 340:

/* Line 1455 of yacc.c  */
#line 2673 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 341:

/* Line 1455 of yacc.c  */
#line 2677 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 342:

/* Line 1455 of yacc.c  */
#line 2685 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 343:

/* Line 1455 of yacc.c  */
#line 2689 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 344:

/* Line 1455 of yacc.c  */
#line 2693 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 345:

/* Line 1455 of yacc.c  */
#line 2701 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 346:

/* Line 1455 of yacc.c  */
#line 2709 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 347:

/* Line 1455 of yacc.c  */
#line 2713 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 348:

/* Line 1455 of yacc.c  */
#line 2720 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 349:

/* Line 1455 of yacc.c  */
#line 2724 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 350:

/* Line 1455 of yacc.c  */
#line 2728 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 351:

/* Line 1455 of yacc.c  */
#line 2736 "preproc.y"
    { 
 (yyval.str) = make_str("not null");
;}
    break;

  case 352:

/* Line 1455 of yacc.c  */
#line 2740 "preproc.y"
    { 
 (yyval.str) = make_str("null");
;}
    break;

  case 353:

/* Line 1455 of yacc.c  */
#line 2744 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 354:

/* Line 1455 of yacc.c  */
#line 2748 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 355:

/* Line 1455 of yacc.c  */
#line 2752 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("check ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 356:

/* Line 1455 of yacc.c  */
#line 2756 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("default"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 357:

/* Line 1455 of yacc.c  */
#line 2760 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("references"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 358:

/* Line 1455 of yacc.c  */
#line 2768 "preproc.y"
    { 
 (yyval.str) = make_str("deferrable");
;}
    break;

  case 359:

/* Line 1455 of yacc.c  */
#line 2772 "preproc.y"
    { 
 (yyval.str) = make_str("not deferrable");
;}
    break;

  case 360:

/* Line 1455 of yacc.c  */
#line 2776 "preproc.y"
    { 
 (yyval.str) = make_str("initially deferred");
;}
    break;

  case 361:

/* Line 1455 of yacc.c  */
#line 2780 "preproc.y"
    { 
 (yyval.str) = make_str("initially immediate");
;}
    break;

  case 362:

/* Line 1455 of yacc.c  */
#line 2788 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("like"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 363:

/* Line 1455 of yacc.c  */
#line 2796 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 364:

/* Line 1455 of yacc.c  */
#line 2800 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 365:

/* Line 1455 of yacc.c  */
#line 2807 "preproc.y"
    { 
 (yyval.str) = make_str("including defaults");
;}
    break;

  case 366:

/* Line 1455 of yacc.c  */
#line 2811 "preproc.y"
    { 
 (yyval.str) = make_str("excluding defaults");
;}
    break;

  case 367:

/* Line 1455 of yacc.c  */
#line 2815 "preproc.y"
    { 
 (yyval.str) = make_str("including constraints");
;}
    break;

  case 368:

/* Line 1455 of yacc.c  */
#line 2819 "preproc.y"
    { 
 (yyval.str) = make_str("excluding constraints");
;}
    break;

  case 369:

/* Line 1455 of yacc.c  */
#line 2823 "preproc.y"
    { 
 (yyval.str) = make_str("including indexes");
;}
    break;

  case 370:

/* Line 1455 of yacc.c  */
#line 2827 "preproc.y"
    { 
 (yyval.str) = make_str("excluding indexes");
;}
    break;

  case 371:

/* Line 1455 of yacc.c  */
#line 2835 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 372:

/* Line 1455 of yacc.c  */
#line 2839 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 373:

/* Line 1455 of yacc.c  */
#line 2847 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("check ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 374:

/* Line 1455 of yacc.c  */
#line 2851 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("unique ("),(yyvsp[(3) - (6)].str),make_str(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 375:

/* Line 1455 of yacc.c  */
#line 2855 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("primary key ("),(yyvsp[(4) - (7)].str),make_str(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 376:

/* Line 1455 of yacc.c  */
#line 2859 "preproc.y"
    { 
 (yyval.str) = cat_str(8,make_str("foreign key ("),(yyvsp[(4) - (11)].str),make_str(") references"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 377:

/* Line 1455 of yacc.c  */
#line 2867 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 378:

/* Line 1455 of yacc.c  */
#line 2871 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 379:

/* Line 1455 of yacc.c  */
#line 2878 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 380:

/* Line 1455 of yacc.c  */
#line 2882 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 381:

/* Line 1455 of yacc.c  */
#line 2890 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 382:

/* Line 1455 of yacc.c  */
#line 2898 "preproc.y"
    { 
 (yyval.str) = make_str("match full");
;}
    break;

  case 383:

/* Line 1455 of yacc.c  */
#line 2902 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = make_str("match partial");
;}
    break;

  case 384:

/* Line 1455 of yacc.c  */
#line 2907 "preproc.y"
    { 
 (yyval.str) = make_str("match simple");
;}
    break;

  case 385:

/* Line 1455 of yacc.c  */
#line 2911 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 386:

/* Line 1455 of yacc.c  */
#line 2918 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 387:

/* Line 1455 of yacc.c  */
#line 2922 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 388:

/* Line 1455 of yacc.c  */
#line 2926 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 389:

/* Line 1455 of yacc.c  */
#line 2930 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 390:

/* Line 1455 of yacc.c  */
#line 2934 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 391:

/* Line 1455 of yacc.c  */
#line 2941 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("on update"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 392:

/* Line 1455 of yacc.c  */
#line 2949 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("on delete"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 393:

/* Line 1455 of yacc.c  */
#line 2957 "preproc.y"
    { 
 (yyval.str) = make_str("no action");
;}
    break;

  case 394:

/* Line 1455 of yacc.c  */
#line 2961 "preproc.y"
    { 
 (yyval.str) = make_str("restrict");
;}
    break;

  case 395:

/* Line 1455 of yacc.c  */
#line 2965 "preproc.y"
    { 
 (yyval.str) = make_str("cascade");
;}
    break;

  case 396:

/* Line 1455 of yacc.c  */
#line 2969 "preproc.y"
    { 
 (yyval.str) = make_str("set null");
;}
    break;

  case 397:

/* Line 1455 of yacc.c  */
#line 2973 "preproc.y"
    { 
 (yyval.str) = make_str("set default");
;}
    break;

  case 398:

/* Line 1455 of yacc.c  */
#line 2981 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("inherits ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 399:

/* Line 1455 of yacc.c  */
#line 2985 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 400:

/* Line 1455 of yacc.c  */
#line 2992 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 401:

/* Line 1455 of yacc.c  */
#line 2996 "preproc.y"
    { 
 (yyval.str) = make_str("with oids");
;}
    break;

  case 402:

/* Line 1455 of yacc.c  */
#line 3000 "preproc.y"
    { 
 (yyval.str) = make_str("without oids");
;}
    break;

  case 403:

/* Line 1455 of yacc.c  */
#line 3004 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 404:

/* Line 1455 of yacc.c  */
#line 3011 "preproc.y"
    { 
 (yyval.str) = make_str("on commit drop");
;}
    break;

  case 405:

/* Line 1455 of yacc.c  */
#line 3015 "preproc.y"
    { 
 (yyval.str) = make_str("on commit delete rows");
;}
    break;

  case 406:

/* Line 1455 of yacc.c  */
#line 3019 "preproc.y"
    { 
 (yyval.str) = make_str("on commit preserve rows");
;}
    break;

  case 407:

/* Line 1455 of yacc.c  */
#line 3023 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 408:

/* Line 1455 of yacc.c  */
#line 3030 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("tablespace"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 409:

/* Line 1455 of yacc.c  */
#line 3034 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 410:

/* Line 1455 of yacc.c  */
#line 3041 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("using index tablespace"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 411:

/* Line 1455 of yacc.c  */
#line 3045 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 412:

/* Line 1455 of yacc.c  */
#line 3052 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 413:

/* Line 1455 of yacc.c  */
#line 3060 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 414:

/* Line 1455 of yacc.c  */
#line 3064 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 415:

/* Line 1455 of yacc.c  */
#line 3071 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 416:

/* Line 1455 of yacc.c  */
#line 3075 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 417:

/* Line 1455 of yacc.c  */
#line 3083 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 418:

/* Line 1455 of yacc.c  */
#line 3091 "preproc.y"
    { 
 (yyval.str) = make_str("with data");
;}
    break;

  case 419:

/* Line 1455 of yacc.c  */
#line 3095 "preproc.y"
    { 
 (yyval.str) = make_str("with no data");
;}
    break;

  case 420:

/* Line 1455 of yacc.c  */
#line 3099 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 421:

/* Line 1455 of yacc.c  */
#line 3106 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create"),(yyvsp[(2) - (5)].str),make_str("sequence"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 422:

/* Line 1455 of yacc.c  */
#line 3114 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 423:

/* Line 1455 of yacc.c  */
#line 3122 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 424:

/* Line 1455 of yacc.c  */
#line 3126 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 425:

/* Line 1455 of yacc.c  */
#line 3133 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 426:

/* Line 1455 of yacc.c  */
#line 3137 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 427:

/* Line 1455 of yacc.c  */
#line 3145 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("cache"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 428:

/* Line 1455 of yacc.c  */
#line 3149 "preproc.y"
    { 
 (yyval.str) = make_str("cycle");
;}
    break;

  case 429:

/* Line 1455 of yacc.c  */
#line 3153 "preproc.y"
    { 
 (yyval.str) = make_str("no cycle");
;}
    break;

  case 430:

/* Line 1455 of yacc.c  */
#line 3157 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("increment"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 431:

/* Line 1455 of yacc.c  */
#line 3161 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("maxvalue"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 432:

/* Line 1455 of yacc.c  */
#line 3165 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("minvalue"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 433:

/* Line 1455 of yacc.c  */
#line 3169 "preproc.y"
    { 
 (yyval.str) = make_str("no maxvalue");
;}
    break;

  case 434:

/* Line 1455 of yacc.c  */
#line 3173 "preproc.y"
    { 
 (yyval.str) = make_str("no minvalue");
;}
    break;

  case 435:

/* Line 1455 of yacc.c  */
#line 3177 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("owned by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 436:

/* Line 1455 of yacc.c  */
#line 3181 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("start"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 437:

/* Line 1455 of yacc.c  */
#line 3185 "preproc.y"
    { 
 (yyval.str) = make_str("restart");
;}
    break;

  case 438:

/* Line 1455 of yacc.c  */
#line 3189 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("restart"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 439:

/* Line 1455 of yacc.c  */
#line 3197 "preproc.y"
    { 
 (yyval.str) = make_str("by");
;}
    break;

  case 440:

/* Line 1455 of yacc.c  */
#line 3201 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 441:

/* Line 1455 of yacc.c  */
#line 3208 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 442:

/* Line 1455 of yacc.c  */
#line 3212 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 443:

/* Line 1455 of yacc.c  */
#line 3216 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 444:

/* Line 1455 of yacc.c  */
#line 3227 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),make_str("language"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 445:

/* Line 1455 of yacc.c  */
#line 3231 "preproc.y"
    { 
 (yyval.str) = cat_str(9,make_str("create"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),make_str("language"),(yyvsp[(5) - (9)].str),make_str("handler"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 446:

/* Line 1455 of yacc.c  */
#line 3239 "preproc.y"
    { 
 (yyval.str) = make_str("trusted");
;}
    break;

  case 447:

/* Line 1455 of yacc.c  */
#line 3243 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 448:

/* Line 1455 of yacc.c  */
#line 3250 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 449:

/* Line 1455 of yacc.c  */
#line 3254 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 450:

/* Line 1455 of yacc.c  */
#line 3262 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("validator"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 451:

/* Line 1455 of yacc.c  */
#line 3266 "preproc.y"
    { 
 (yyval.str) = make_str("no validator");
;}
    break;

  case 452:

/* Line 1455 of yacc.c  */
#line 3274 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 453:

/* Line 1455 of yacc.c  */
#line 3278 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 454:

/* Line 1455 of yacc.c  */
#line 3285 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("lancompiler"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 455:

/* Line 1455 of yacc.c  */
#line 3289 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 456:

/* Line 1455 of yacc.c  */
#line 3296 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop"),(yyvsp[(2) - (5)].str),make_str("language"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 457:

/* Line 1455 of yacc.c  */
#line 3300 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop"),(yyvsp[(2) - (7)].str),make_str("language if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 458:

/* Line 1455 of yacc.c  */
#line 3308 "preproc.y"
    { 
 (yyval.str) = make_str("procedural");
;}
    break;

  case 459:

/* Line 1455 of yacc.c  */
#line 3312 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 460:

/* Line 1455 of yacc.c  */
#line 3319 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create tablespace"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str("location"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 461:

/* Line 1455 of yacc.c  */
#line 3327 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("owner"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 462:

/* Line 1455 of yacc.c  */
#line 3331 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 463:

/* Line 1455 of yacc.c  */
#line 3338 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop tablespace"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 464:

/* Line 1455 of yacc.c  */
#line 3342 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop tablespace if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 465:

/* Line 1455 of yacc.c  */
#line 3350 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 466:

/* Line 1455 of yacc.c  */
#line 3358 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 467:

/* Line 1455 of yacc.c  */
#line 3362 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop foreign data wrapper if exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 468:

/* Line 1455 of yacc.c  */
#line 3370 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 469:

/* Line 1455 of yacc.c  */
#line 3374 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 470:

/* Line 1455 of yacc.c  */
#line 3378 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 471:

/* Line 1455 of yacc.c  */
#line 3386 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("options ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 472:

/* Line 1455 of yacc.c  */
#line 3390 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 473:

/* Line 1455 of yacc.c  */
#line 3397 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 474:

/* Line 1455 of yacc.c  */
#line 3401 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 475:

/* Line 1455 of yacc.c  */
#line 3409 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("options ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 476:

/* Line 1455 of yacc.c  */
#line 3417 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 477:

/* Line 1455 of yacc.c  */
#line 3421 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 478:

/* Line 1455 of yacc.c  */
#line 3429 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 479:

/* Line 1455 of yacc.c  */
#line 3433 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 480:

/* Line 1455 of yacc.c  */
#line 3437 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 481:

/* Line 1455 of yacc.c  */
#line 3441 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 482:

/* Line 1455 of yacc.c  */
#line 3449 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 483:

/* Line 1455 of yacc.c  */
#line 3457 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 484:

/* Line 1455 of yacc.c  */
#line 3465 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 485:

/* Line 1455 of yacc.c  */
#line 3473 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("create server"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),make_str("foreign data wrapper"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 486:

/* Line 1455 of yacc.c  */
#line 3481 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("type"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 487:

/* Line 1455 of yacc.c  */
#line 3485 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 488:

/* Line 1455 of yacc.c  */
#line 3492 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 489:

/* Line 1455 of yacc.c  */
#line 3496 "preproc.y"
    { 
 (yyval.str) = make_str("version null");
;}
    break;

  case 490:

/* Line 1455 of yacc.c  */
#line 3504 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 491:

/* Line 1455 of yacc.c  */
#line 3508 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 492:

/* Line 1455 of yacc.c  */
#line 3515 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 493:

/* Line 1455 of yacc.c  */
#line 3519 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop server if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 494:

/* Line 1455 of yacc.c  */
#line 3527 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter server"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 495:

/* Line 1455 of yacc.c  */
#line 3531 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 496:

/* Line 1455 of yacc.c  */
#line 3535 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 497:

/* Line 1455 of yacc.c  */
#line 3543 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create user mapping for"),(yyvsp[(5) - (8)].str),make_str("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 498:

/* Line 1455 of yacc.c  */
#line 3551 "preproc.y"
    { 
 (yyval.str) = make_str("current_user");
;}
    break;

  case 499:

/* Line 1455 of yacc.c  */
#line 3555 "preproc.y"
    { 
 (yyval.str) = make_str("user");
;}
    break;

  case 500:

/* Line 1455 of yacc.c  */
#line 3559 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 501:

/* Line 1455 of yacc.c  */
#line 3567 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop user mapping for"),(yyvsp[(5) - (7)].str),make_str("server"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 502:

/* Line 1455 of yacc.c  */
#line 3571 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop user mapping if exists for"),(yyvsp[(7) - (9)].str),make_str("server"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 503:

/* Line 1455 of yacc.c  */
#line 3579 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter user mapping for"),(yyvsp[(5) - (8)].str),make_str("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 504:

/* Line 1455 of yacc.c  */
#line 3587 "preproc.y"
    { 
 (yyval.str) = cat_str(12,make_str("create trigger"),(yyvsp[(3) - (14)].str),(yyvsp[(4) - (14)].str),(yyvsp[(5) - (14)].str),make_str("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),make_str("execute procedure"),(yyvsp[(11) - (14)].str),make_str("("),(yyvsp[(13) - (14)].str),make_str(")"));
;}
    break;

  case 505:

/* Line 1455 of yacc.c  */
#line 3591 "preproc.y"
    { 
 (yyval.str) = cat_str(13,make_str("create constraint trigger"),(yyvsp[(4) - (19)].str),make_str("after"),(yyvsp[(6) - (19)].str),make_str("on"),(yyvsp[(8) - (19)].str),(yyvsp[(9) - (19)].str),(yyvsp[(10) - (19)].str),make_str("for each row execute procedure"),(yyvsp[(16) - (19)].str),make_str("("),(yyvsp[(18) - (19)].str),make_str(")"));
;}
    break;

  case 506:

/* Line 1455 of yacc.c  */
#line 3599 "preproc.y"
    { 
 (yyval.str) = make_str("before");
;}
    break;

  case 507:

/* Line 1455 of yacc.c  */
#line 3603 "preproc.y"
    { 
 (yyval.str) = make_str("after");
;}
    break;

  case 508:

/* Line 1455 of yacc.c  */
#line 3611 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 509:

/* Line 1455 of yacc.c  */
#line 3615 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("or"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 510:

/* Line 1455 of yacc.c  */
#line 3623 "preproc.y"
    { 
 (yyval.str) = make_str("insert");
;}
    break;

  case 511:

/* Line 1455 of yacc.c  */
#line 3627 "preproc.y"
    { 
 (yyval.str) = make_str("delete");
;}
    break;

  case 512:

/* Line 1455 of yacc.c  */
#line 3631 "preproc.y"
    { 
 (yyval.str) = make_str("update");
;}
    break;

  case 513:

/* Line 1455 of yacc.c  */
#line 3635 "preproc.y"
    { 
 (yyval.str) = make_str("truncate");
;}
    break;

  case 514:

/* Line 1455 of yacc.c  */
#line 3643 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("for"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 515:

/* Line 1455 of yacc.c  */
#line 3647 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 516:

/* Line 1455 of yacc.c  */
#line 3654 "preproc.y"
    { 
 (yyval.str) = make_str("each");
;}
    break;

  case 517:

/* Line 1455 of yacc.c  */
#line 3658 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 518:

/* Line 1455 of yacc.c  */
#line 3665 "preproc.y"
    { 
 (yyval.str) = make_str("row");
;}
    break;

  case 519:

/* Line 1455 of yacc.c  */
#line 3669 "preproc.y"
    { 
 (yyval.str) = make_str("statement");
;}
    break;

  case 520:

/* Line 1455 of yacc.c  */
#line 3677 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 521:

/* Line 1455 of yacc.c  */
#line 3681 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 522:

/* Line 1455 of yacc.c  */
#line 3685 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 523:

/* Line 1455 of yacc.c  */
#line 3692 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 524:

/* Line 1455 of yacc.c  */
#line 3696 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 525:

/* Line 1455 of yacc.c  */
#line 3700 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 526:

/* Line 1455 of yacc.c  */
#line 3704 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 527:

/* Line 1455 of yacc.c  */
#line 3708 "preproc.y"
    { 
 (yyval.str) = make_str("xconst");
;}
    break;

  case 528:

/* Line 1455 of yacc.c  */
#line 3712 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 529:

/* Line 1455 of yacc.c  */
#line 3720 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 530:

/* Line 1455 of yacc.c  */
#line 3724 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 531:

/* Line 1455 of yacc.c  */
#line 3731 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 532:

/* Line 1455 of yacc.c  */
#line 3735 "preproc.y"
    { 
			if (strcmp((yyvsp[(1) - (2)].str), "deferrable") != 0 && strcmp((yyvsp[(2) - (2)].str), "initially deferrable") == 0 )
				mmerror(PARSE_ERROR, ET_ERROR, "constraint declared INITIALLY DEFERRED must be DEFERRABLE");

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 533:

/* Line 1455 of yacc.c  */
#line 3742 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 534:

/* Line 1455 of yacc.c  */
#line 3746 "preproc.y"
    { 
			if (strcmp((yyvsp[(2) - (2)].str), "deferrable") != 0 && strcmp((yyvsp[(1) - (2)].str), "initially deferrable") == 0 )
				mmerror(PARSE_ERROR, ET_ERROR, "constraint declared INITIALLY DEFERRED must be DEFERRABLE");

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 535:

/* Line 1455 of yacc.c  */
#line 3753 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 536:

/* Line 1455 of yacc.c  */
#line 3760 "preproc.y"
    { 
 (yyval.str) = make_str("not deferrable");
;}
    break;

  case 537:

/* Line 1455 of yacc.c  */
#line 3764 "preproc.y"
    { 
 (yyval.str) = make_str("deferrable");
;}
    break;

  case 538:

/* Line 1455 of yacc.c  */
#line 3772 "preproc.y"
    { 
 (yyval.str) = make_str("initially immediate");
;}
    break;

  case 539:

/* Line 1455 of yacc.c  */
#line 3776 "preproc.y"
    { 
 (yyval.str) = make_str("initially deferred");
;}
    break;

  case 540:

/* Line 1455 of yacc.c  */
#line 3784 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop trigger"),(yyvsp[(3) - (6)].str),make_str("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 541:

/* Line 1455 of yacc.c  */
#line 3788 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop trigger if exists"),(yyvsp[(5) - (8)].str),make_str("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 542:

/* Line 1455 of yacc.c  */
#line 3796 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,make_str("create assertion"),(yyvsp[(3) - (8)].str),make_str("check ("),(yyvsp[(6) - (8)].str),make_str(")"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 543:

/* Line 1455 of yacc.c  */
#line 3805 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,make_str("drop assertion"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 544:

/* Line 1455 of yacc.c  */
#line 3814 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 545:

/* Line 1455 of yacc.c  */
#line 3818 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create aggregate"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 546:

/* Line 1455 of yacc.c  */
#line 3822 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create operator"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 547:

/* Line 1455 of yacc.c  */
#line 3826 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 548:

/* Line 1455 of yacc.c  */
#line 3830 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("create type"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 549:

/* Line 1455 of yacc.c  */
#line 3834 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create type"),(yyvsp[(3) - (7)].str),make_str("as ("),(yyvsp[(6) - (7)].str),make_str(")"));
;}
    break;

  case 550:

/* Line 1455 of yacc.c  */
#line 3838 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create type"),(yyvsp[(3) - (8)].str),make_str("as enum ("),(yyvsp[(7) - (8)].str),make_str(")"));
;}
    break;

  case 551:

/* Line 1455 of yacc.c  */
#line 3842 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create text search parser"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 552:

/* Line 1455 of yacc.c  */
#line 3846 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 553:

/* Line 1455 of yacc.c  */
#line 3850 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create text search template"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 554:

/* Line 1455 of yacc.c  */
#line 3854 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create text search configuration"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 555:

/* Line 1455 of yacc.c  */
#line 3862 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 556:

/* Line 1455 of yacc.c  */
#line 3870 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 557:

/* Line 1455 of yacc.c  */
#line 3874 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 558:

/* Line 1455 of yacc.c  */
#line 3882 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 559:

/* Line 1455 of yacc.c  */
#line 3886 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 560:

/* Line 1455 of yacc.c  */
#line 3894 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 561:

/* Line 1455 of yacc.c  */
#line 3898 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 562:

/* Line 1455 of yacc.c  */
#line 3902 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 563:

/* Line 1455 of yacc.c  */
#line 3906 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 564:

/* Line 1455 of yacc.c  */
#line 3910 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 565:

/* Line 1455 of yacc.c  */
#line 3918 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 566:

/* Line 1455 of yacc.c  */
#line 3922 "preproc.y"
    { 
 (yyval.str) = make_str("( * )");
;}
    break;

  case 567:

/* Line 1455 of yacc.c  */
#line 3930 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 568:

/* Line 1455 of yacc.c  */
#line 3938 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 569:

/* Line 1455 of yacc.c  */
#line 3942 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 570:

/* Line 1455 of yacc.c  */
#line 3950 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 571:

/* Line 1455 of yacc.c  */
#line 3958 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 572:

/* Line 1455 of yacc.c  */
#line 3962 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 573:

/* Line 1455 of yacc.c  */
#line 3970 "preproc.y"
    { 
 (yyval.str) = cat_str(10,make_str("create operator class"),(yyvsp[(4) - (13)].str),(yyvsp[(5) - (13)].str),make_str("for type"),(yyvsp[(8) - (13)].str),make_str("using"),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),make_str("as"),(yyvsp[(13) - (13)].str));
;}
    break;

  case 574:

/* Line 1455 of yacc.c  */
#line 3978 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 575:

/* Line 1455 of yacc.c  */
#line 3982 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 576:

/* Line 1455 of yacc.c  */
#line 3990 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("operator"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 577:

/* Line 1455 of yacc.c  */
#line 3994 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("operator"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 578:

/* Line 1455 of yacc.c  */
#line 3998 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("function"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 579:

/* Line 1455 of yacc.c  */
#line 4002 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("function"),(yyvsp[(2) - (7)].str),make_str("("),(yyvsp[(4) - (7)].str),make_str(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 580:

/* Line 1455 of yacc.c  */
#line 4006 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("storage"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 581:

/* Line 1455 of yacc.c  */
#line 4014 "preproc.y"
    { 
 (yyval.str) = make_str("default");
;}
    break;

  case 582:

/* Line 1455 of yacc.c  */
#line 4018 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 583:

/* Line 1455 of yacc.c  */
#line 4025 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("family"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 584:

/* Line 1455 of yacc.c  */
#line 4029 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 585:

/* Line 1455 of yacc.c  */
#line 4036 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = make_str("recheck");
;}
    break;

  case 586:

/* Line 1455 of yacc.c  */
#line 4041 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 587:

/* Line 1455 of yacc.c  */
#line 4048 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create operator family"),(yyvsp[(4) - (6)].str),make_str("using"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 588:

/* Line 1455 of yacc.c  */
#line 4056 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter operator family"),(yyvsp[(4) - (8)].str),make_str("using"),(yyvsp[(6) - (8)].str),make_str("add"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 589:

/* Line 1455 of yacc.c  */
#line 4060 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter operator family"),(yyvsp[(4) - (8)].str),make_str("using"),(yyvsp[(6) - (8)].str),make_str("drop"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 590:

/* Line 1455 of yacc.c  */
#line 4068 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 591:

/* Line 1455 of yacc.c  */
#line 4072 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 592:

/* Line 1455 of yacc.c  */
#line 4080 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("operator"),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
;}
    break;

  case 593:

/* Line 1455 of yacc.c  */
#line 4084 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("function"),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
;}
    break;

  case 594:

/* Line 1455 of yacc.c  */
#line 4092 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop operator class"),(yyvsp[(4) - (7)].str),make_str("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 595:

/* Line 1455 of yacc.c  */
#line 4096 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop operator class if exists"),(yyvsp[(6) - (9)].str),make_str("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 596:

/* Line 1455 of yacc.c  */
#line 4104 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop operator family"),(yyvsp[(4) - (7)].str),make_str("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 597:

/* Line 1455 of yacc.c  */
#line 4108 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop operator family if exists"),(yyvsp[(6) - (9)].str),make_str("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 598:

/* Line 1455 of yacc.c  */
#line 4116 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop owned by"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 599:

/* Line 1455 of yacc.c  */
#line 4124 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("reassign owned by"),(yyvsp[(4) - (6)].str),make_str("to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 600:

/* Line 1455 of yacc.c  */
#line 4132 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop"),(yyvsp[(2) - (6)].str),make_str("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 601:

/* Line 1455 of yacc.c  */
#line 4136 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 602:

/* Line 1455 of yacc.c  */
#line 4144 "preproc.y"
    { 
 (yyval.str) = make_str("table");
;}
    break;

  case 603:

/* Line 1455 of yacc.c  */
#line 4148 "preproc.y"
    { 
 (yyval.str) = make_str("sequence");
;}
    break;

  case 604:

/* Line 1455 of yacc.c  */
#line 4152 "preproc.y"
    { 
 (yyval.str) = make_str("view");
;}
    break;

  case 605:

/* Line 1455 of yacc.c  */
#line 4156 "preproc.y"
    { 
 (yyval.str) = make_str("index");
;}
    break;

  case 606:

/* Line 1455 of yacc.c  */
#line 4160 "preproc.y"
    { 
 (yyval.str) = make_str("type");
;}
    break;

  case 607:

/* Line 1455 of yacc.c  */
#line 4164 "preproc.y"
    { 
 (yyval.str) = make_str("domain");
;}
    break;

  case 608:

/* Line 1455 of yacc.c  */
#line 4168 "preproc.y"
    { 
 (yyval.str) = make_str("conversion");
;}
    break;

  case 609:

/* Line 1455 of yacc.c  */
#line 4172 "preproc.y"
    { 
 (yyval.str) = make_str("schema");
;}
    break;

  case 610:

/* Line 1455 of yacc.c  */
#line 4176 "preproc.y"
    { 
 (yyval.str) = make_str("text search parser");
;}
    break;

  case 611:

/* Line 1455 of yacc.c  */
#line 4180 "preproc.y"
    { 
 (yyval.str) = make_str("text search dictionary");
;}
    break;

  case 612:

/* Line 1455 of yacc.c  */
#line 4184 "preproc.y"
    { 
 (yyval.str) = make_str("text search template");
;}
    break;

  case 613:

/* Line 1455 of yacc.c  */
#line 4188 "preproc.y"
    { 
 (yyval.str) = make_str("text search configuration");
;}
    break;

  case 614:

/* Line 1455 of yacc.c  */
#line 4196 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 615:

/* Line 1455 of yacc.c  */
#line 4200 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 616:

/* Line 1455 of yacc.c  */
#line 4208 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 617:

/* Line 1455 of yacc.c  */
#line 4212 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 618:

/* Line 1455 of yacc.c  */
#line 4220 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("."),(yyvsp[(2) - (2)].str));
;}
    break;

  case 619:

/* Line 1455 of yacc.c  */
#line 4224 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 620:

/* Line 1455 of yacc.c  */
#line 4232 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("truncate"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 621:

/* Line 1455 of yacc.c  */
#line 4240 "preproc.y"
    { 
 (yyval.str) = make_str("continue identity");
;}
    break;

  case 622:

/* Line 1455 of yacc.c  */
#line 4244 "preproc.y"
    { 
 (yyval.str) = make_str("restart identity");
;}
    break;

  case 623:

/* Line 1455 of yacc.c  */
#line 4248 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 624:

/* Line 1455 of yacc.c  */
#line 4255 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("comment on"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str("is"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 625:

/* Line 1455 of yacc.c  */
#line 4259 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("comment on aggregate"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 626:

/* Line 1455 of yacc.c  */
#line 4263 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("comment on function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 627:

/* Line 1455 of yacc.c  */
#line 4267 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("comment on operator"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 628:

/* Line 1455 of yacc.c  */
#line 4271 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on constraint"),(yyvsp[(4) - (8)].str),make_str("on"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 629:

/* Line 1455 of yacc.c  */
#line 4275 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on rule"),(yyvsp[(4) - (8)].str),make_str("on"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 630:

/* Line 1455 of yacc.c  */
#line 4279 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("comment on rule"),(yyvsp[(4) - (6)].str),make_str("is"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 631:

/* Line 1455 of yacc.c  */
#line 4283 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on trigger"),(yyvsp[(4) - (8)].str),make_str("on"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 632:

/* Line 1455 of yacc.c  */
#line 4287 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on operator class"),(yyvsp[(5) - (9)].str),make_str("using"),(yyvsp[(7) - (9)].str),make_str("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 633:

/* Line 1455 of yacc.c  */
#line 4291 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on operator family"),(yyvsp[(5) - (9)].str),make_str("using"),(yyvsp[(7) - (9)].str),make_str("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 634:

/* Line 1455 of yacc.c  */
#line 4295 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("comment on large object"),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 635:

/* Line 1455 of yacc.c  */
#line 4299 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on cast ("),(yyvsp[(5) - (10)].str),make_str("as"),(yyvsp[(7) - (10)].str),make_str(") is"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 636:

/* Line 1455 of yacc.c  */
#line 4303 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on"),(yyvsp[(3) - (7)].str),make_str("language"),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 637:

/* Line 1455 of yacc.c  */
#line 4307 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("comment on text search parser"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 638:

/* Line 1455 of yacc.c  */
#line 4311 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("comment on text search dictionary"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 639:

/* Line 1455 of yacc.c  */
#line 4315 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("comment on text search template"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 640:

/* Line 1455 of yacc.c  */
#line 4319 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("comment on text search configuration"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 641:

/* Line 1455 of yacc.c  */
#line 4327 "preproc.y"
    { 
 (yyval.str) = make_str("column");
;}
    break;

  case 642:

/* Line 1455 of yacc.c  */
#line 4331 "preproc.y"
    { 
 (yyval.str) = make_str("database");
;}
    break;

  case 643:

/* Line 1455 of yacc.c  */
#line 4335 "preproc.y"
    { 
 (yyval.str) = make_str("schema");
;}
    break;

  case 644:

/* Line 1455 of yacc.c  */
#line 4339 "preproc.y"
    { 
 (yyval.str) = make_str("index");
;}
    break;

  case 645:

/* Line 1455 of yacc.c  */
#line 4343 "preproc.y"
    { 
 (yyval.str) = make_str("sequence");
;}
    break;

  case 646:

/* Line 1455 of yacc.c  */
#line 4347 "preproc.y"
    { 
 (yyval.str) = make_str("table");
;}
    break;

  case 647:

/* Line 1455 of yacc.c  */
#line 4351 "preproc.y"
    { 
 (yyval.str) = make_str("domain");
;}
    break;

  case 648:

/* Line 1455 of yacc.c  */
#line 4355 "preproc.y"
    { 
 (yyval.str) = make_str("type");
;}
    break;

  case 649:

/* Line 1455 of yacc.c  */
#line 4359 "preproc.y"
    { 
 (yyval.str) = make_str("view");
;}
    break;

  case 650:

/* Line 1455 of yacc.c  */
#line 4363 "preproc.y"
    { 
 (yyval.str) = make_str("conversion");
;}
    break;

  case 651:

/* Line 1455 of yacc.c  */
#line 4367 "preproc.y"
    { 
 (yyval.str) = make_str("tablespace");
;}
    break;

  case 652:

/* Line 1455 of yacc.c  */
#line 4371 "preproc.y"
    { 
 (yyval.str) = make_str("role");
;}
    break;

  case 653:

/* Line 1455 of yacc.c  */
#line 4379 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 654:

/* Line 1455 of yacc.c  */
#line 4383 "preproc.y"
    { 
 (yyval.str) = make_str("null");
;}
    break;

  case 655:

/* Line 1455 of yacc.c  */
#line 4391 "preproc.y"
    {
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(4, make_str("fetch"), (yyvsp[(2) - (4)].str), (yyvsp[(3) - (4)].str), (yyvsp[(4) - (4)].str));
	;}
    break;

  case 656:

/* Line 1455 of yacc.c  */
#line 4396 "preproc.y"
    {
		add_additional_variables((yyvsp[(2) - (2)].str), false);
		(yyval.str) = cat_str(2, make_str("fetch"), (yyvsp[(2) - (2)].str));
	;}
    break;

  case 657:

/* Line 1455 of yacc.c  */
#line 4401 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("move"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 658:

/* Line 1455 of yacc.c  */
#line 4405 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("move"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 659:

/* Line 1455 of yacc.c  */
#line 4409 "preproc.y"
    {
			add_additional_variables((yyvsp[(4) - (5)].str), false);
			(yyval.str) = cat_str(4, make_str("fetch"), (yyvsp[(2) - (5)].str), (yyvsp[(3) - (5)].str), (yyvsp[(4) - (5)].str));
		;}
    break;

  case 660:

/* Line 1455 of yacc.c  */
#line 4414 "preproc.y"
    {
			add_additional_variables((yyvsp[(3) - (4)].str), false);
			(yyval.str) = cat_str(4, make_str("fetch"), (yyvsp[(2) - (4)].str), make_str("from"), (yyvsp[(3) - (4)].str));
		;}
    break;

  case 661:

/* Line 1455 of yacc.c  */
#line 4419 "preproc.y"
    {
			add_additional_variables((yyvsp[(3) - (4)].str), false);
			(yyval.str) = cat_str(3, make_str("fetch"), (yyvsp[(2) - (4)].str), (yyvsp[(3) - (4)].str));
		;}
    break;

  case 662:

/* Line 1455 of yacc.c  */
#line 4424 "preproc.y"
    {
			add_additional_variables((yyvsp[(2) - (3)].str), false);
			(yyval.str) = cat2_str(make_str("fetch"), (yyvsp[(2) - (3)].str));
		;}
    break;

  case 663:

/* Line 1455 of yacc.c  */
#line 4429 "preproc.y"
    {
			add_additional_variables((yyvsp[(3) - (3)].str), false);
			(yyval.str) = cat_str(4, make_str("fetch"), (yyvsp[(2) - (3)].str), make_str("from"), (yyvsp[(3) - (3)].str));
		;}
    break;

  case 664:

/* Line 1455 of yacc.c  */
#line 4434 "preproc.y"
    {
			add_additional_variables((yyvsp[(3) - (3)].str), false);
			(yyval.str) = cat_str(3, make_str("fetch"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str));
		;}
    break;

  case 665:

/* Line 1455 of yacc.c  */
#line 4443 "preproc.y"
    { 
 (yyval.str) = make_str("next");
;}
    break;

  case 666:

/* Line 1455 of yacc.c  */
#line 4447 "preproc.y"
    { 
 (yyval.str) = make_str("prior");
;}
    break;

  case 667:

/* Line 1455 of yacc.c  */
#line 4451 "preproc.y"
    { 
 (yyval.str) = make_str("first");
;}
    break;

  case 668:

/* Line 1455 of yacc.c  */
#line 4455 "preproc.y"
    { 
 (yyval.str) = make_str("last");
;}
    break;

  case 669:

/* Line 1455 of yacc.c  */
#line 4459 "preproc.y"
    { 
		if ((yyvsp[(2) - (2)].str)[0] == '$')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(2,make_str("absolute"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 670:

/* Line 1455 of yacc.c  */
#line 4469 "preproc.y"
    { 
		if ((yyvsp[(2) - (2)].str)[0] == '$')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(2,make_str("relative"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 671:

/* Line 1455 of yacc.c  */
#line 4479 "preproc.y"
    { 
		if ((yyvsp[(1) - (1)].str)[0] == '$')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = make_str("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 672:

/* Line 1455 of yacc.c  */
#line 4489 "preproc.y"
    { 
 (yyval.str) = make_str("all");
;}
    break;

  case 673:

/* Line 1455 of yacc.c  */
#line 4493 "preproc.y"
    { 
 (yyval.str) = make_str("forward");
;}
    break;

  case 674:

/* Line 1455 of yacc.c  */
#line 4497 "preproc.y"
    { 
		if ((yyvsp[(2) - (2)].str)[0] == '$')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(2,make_str("forward"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 675:

/* Line 1455 of yacc.c  */
#line 4507 "preproc.y"
    { 
 (yyval.str) = make_str("forward all");
;}
    break;

  case 676:

/* Line 1455 of yacc.c  */
#line 4511 "preproc.y"
    { 
 (yyval.str) = make_str("backward");
;}
    break;

  case 677:

/* Line 1455 of yacc.c  */
#line 4515 "preproc.y"
    { 
		if ((yyvsp[(2) - (2)].str)[0] == '$')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(2,make_str("backward"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 678:

/* Line 1455 of yacc.c  */
#line 4525 "preproc.y"
    { 
 (yyval.str) = make_str("backward all");
;}
    break;

  case 679:

/* Line 1455 of yacc.c  */
#line 4533 "preproc.y"
    { 
 (yyval.str) = make_str("from");
;}
    break;

  case 680:

/* Line 1455 of yacc.c  */
#line 4537 "preproc.y"
    { 
 (yyval.str) = make_str("in");
;}
    break;

  case 681:

/* Line 1455 of yacc.c  */
#line 4545 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("grant"),(yyvsp[(2) - (7)].str),make_str("on"),(yyvsp[(4) - (7)].str),make_str("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 682:

/* Line 1455 of yacc.c  */
#line 4553 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("revoke"),(yyvsp[(2) - (7)].str),make_str("on"),(yyvsp[(4) - (7)].str),make_str("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 683:

/* Line 1455 of yacc.c  */
#line 4557 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("revoke grant option for"),(yyvsp[(5) - (10)].str),make_str("on"),(yyvsp[(7) - (10)].str),make_str("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 684:

/* Line 1455 of yacc.c  */
#line 4565 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 685:

/* Line 1455 of yacc.c  */
#line 4569 "preproc.y"
    { 
 (yyval.str) = make_str("all");
;}
    break;

  case 686:

/* Line 1455 of yacc.c  */
#line 4573 "preproc.y"
    { 
 (yyval.str) = make_str("all privileges");
;}
    break;

  case 687:

/* Line 1455 of yacc.c  */
#line 4577 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("all ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 688:

/* Line 1455 of yacc.c  */
#line 4581 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("all privileges ("),(yyvsp[(4) - (5)].str),make_str(")"));
;}
    break;

  case 689:

/* Line 1455 of yacc.c  */
#line 4589 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 690:

/* Line 1455 of yacc.c  */
#line 4593 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 691:

/* Line 1455 of yacc.c  */
#line 4601 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("select"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 692:

/* Line 1455 of yacc.c  */
#line 4605 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("references"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 693:

/* Line 1455 of yacc.c  */
#line 4609 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("create"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 694:

/* Line 1455 of yacc.c  */
#line 4613 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 695:

/* Line 1455 of yacc.c  */
#line 4621 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 696:

/* Line 1455 of yacc.c  */
#line 4625 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 697:

/* Line 1455 of yacc.c  */
#line 4629 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("sequence"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 698:

/* Line 1455 of yacc.c  */
#line 4633 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("foreign data wrapper"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 699:

/* Line 1455 of yacc.c  */
#line 4637 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("foreign server"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 700:

/* Line 1455 of yacc.c  */
#line 4641 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("function"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 701:

/* Line 1455 of yacc.c  */
#line 4645 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("database"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 702:

/* Line 1455 of yacc.c  */
#line 4649 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 703:

/* Line 1455 of yacc.c  */
#line 4653 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 704:

/* Line 1455 of yacc.c  */
#line 4657 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("tablespace"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 705:

/* Line 1455 of yacc.c  */
#line 4665 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 706:

/* Line 1455 of yacc.c  */
#line 4669 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 707:

/* Line 1455 of yacc.c  */
#line 4677 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 708:

/* Line 1455 of yacc.c  */
#line 4681 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("group"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 709:

/* Line 1455 of yacc.c  */
#line 4689 "preproc.y"
    { 
 (yyval.str) = make_str("with grant option");
;}
    break;

  case 710:

/* Line 1455 of yacc.c  */
#line 4693 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 711:

/* Line 1455 of yacc.c  */
#line 4700 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 712:

/* Line 1455 of yacc.c  */
#line 4704 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 713:

/* Line 1455 of yacc.c  */
#line 4712 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 714:

/* Line 1455 of yacc.c  */
#line 4720 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("grant"),(yyvsp[(2) - (6)].str),make_str("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 715:

/* Line 1455 of yacc.c  */
#line 4728 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("revoke"),(yyvsp[(2) - (6)].str),make_str("from"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 716:

/* Line 1455 of yacc.c  */
#line 4732 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("revoke admin option for"),(yyvsp[(5) - (9)].str),make_str("from"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 717:

/* Line 1455 of yacc.c  */
#line 4740 "preproc.y"
    { 
 (yyval.str) = make_str("with admin option");
;}
    break;

  case 718:

/* Line 1455 of yacc.c  */
#line 4744 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 719:

/* Line 1455 of yacc.c  */
#line 4751 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("granted by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 720:

/* Line 1455 of yacc.c  */
#line 4755 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 721:

/* Line 1455 of yacc.c  */
#line 4762 "preproc.y"
    { 
 (yyval.str) = cat_str(13,make_str("create"),(yyvsp[(2) - (13)].str),make_str("index"),(yyvsp[(4) - (13)].str),make_str("on"),(yyvsp[(6) - (13)].str),(yyvsp[(7) - (13)].str),make_str("("),(yyvsp[(9) - (13)].str),make_str(")"),(yyvsp[(11) - (13)].str),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
;}
    break;

  case 722:

/* Line 1455 of yacc.c  */
#line 4766 "preproc.y"
    { 
 (yyval.str) = cat_str(13,make_str("create"),(yyvsp[(2) - (14)].str),make_str("index concurrently"),(yyvsp[(5) - (14)].str),make_str("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),make_str("("),(yyvsp[(10) - (14)].str),make_str(")"),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
;}
    break;

  case 723:

/* Line 1455 of yacc.c  */
#line 4774 "preproc.y"
    { 
 (yyval.str) = make_str("unique");
;}
    break;

  case 724:

/* Line 1455 of yacc.c  */
#line 4778 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 725:

/* Line 1455 of yacc.c  */
#line 4785 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 726:

/* Line 1455 of yacc.c  */
#line 4789 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 727:

/* Line 1455 of yacc.c  */
#line 4796 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 728:

/* Line 1455 of yacc.c  */
#line 4800 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 729:

/* Line 1455 of yacc.c  */
#line 4808 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 730:

/* Line 1455 of yacc.c  */
#line 4812 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 731:

/* Line 1455 of yacc.c  */
#line 4816 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("("),(yyvsp[(2) - (6)].str),make_str(")"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 732:

/* Line 1455 of yacc.c  */
#line 4824 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 733:

/* Line 1455 of yacc.c  */
#line 4828 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 734:

/* Line 1455 of yacc.c  */
#line 4832 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 735:

/* Line 1455 of yacc.c  */
#line 4839 "preproc.y"
    { 
 (yyval.str) = make_str("asc");
;}
    break;

  case 736:

/* Line 1455 of yacc.c  */
#line 4843 "preproc.y"
    { 
 (yyval.str) = make_str("desc");
;}
    break;

  case 737:

/* Line 1455 of yacc.c  */
#line 4847 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 738:

/* Line 1455 of yacc.c  */
#line 4854 "preproc.y"
    { 
 (yyval.str) = make_str("nulls first");
;}
    break;

  case 739:

/* Line 1455 of yacc.c  */
#line 4858 "preproc.y"
    { 
 (yyval.str) = make_str("nulls last");
;}
    break;

  case 740:

/* Line 1455 of yacc.c  */
#line 4862 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 741:

/* Line 1455 of yacc.c  */
#line 4869 "preproc.y"
    { 
 (yyval.str) = cat_str(9,make_str("create"),(yyvsp[(2) - (9)].str),make_str("function"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),make_str("returns"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 742:

/* Line 1455 of yacc.c  */
#line 4873 "preproc.y"
    { 
 (yyval.str) = cat_str(10,make_str("create"),(yyvsp[(2) - (12)].str),make_str("function"),(yyvsp[(4) - (12)].str),(yyvsp[(5) - (12)].str),make_str("returns table ("),(yyvsp[(9) - (12)].str),make_str(")"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
;}
    break;

  case 743:

/* Line 1455 of yacc.c  */
#line 4877 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("create"),(yyvsp[(2) - (7)].str),make_str("function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 744:

/* Line 1455 of yacc.c  */
#line 4885 "preproc.y"
    { 
 (yyval.str) = make_str("or replace");
;}
    break;

  case 745:

/* Line 1455 of yacc.c  */
#line 4889 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 746:

/* Line 1455 of yacc.c  */
#line 4896 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 747:

/* Line 1455 of yacc.c  */
#line 4900 "preproc.y"
    { 
 (yyval.str) = make_str("( )");
;}
    break;

  case 748:

/* Line 1455 of yacc.c  */
#line 4908 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 749:

/* Line 1455 of yacc.c  */
#line 4912 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 750:

/* Line 1455 of yacc.c  */
#line 4920 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 751:

/* Line 1455 of yacc.c  */
#line 4924 "preproc.y"
    { 
 (yyval.str) = make_str("( )");
;}
    break;

  case 752:

/* Line 1455 of yacc.c  */
#line 4932 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 753:

/* Line 1455 of yacc.c  */
#line 4936 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 754:

/* Line 1455 of yacc.c  */
#line 4944 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 755:

/* Line 1455 of yacc.c  */
#line 4948 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 756:

/* Line 1455 of yacc.c  */
#line 4952 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 757:

/* Line 1455 of yacc.c  */
#line 4956 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 758:

/* Line 1455 of yacc.c  */
#line 4960 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 759:

/* Line 1455 of yacc.c  */
#line 4968 "preproc.y"
    { 
 (yyval.str) = make_str("in");
;}
    break;

  case 760:

/* Line 1455 of yacc.c  */
#line 4972 "preproc.y"
    { 
 (yyval.str) = make_str("out");
;}
    break;

  case 761:

/* Line 1455 of yacc.c  */
#line 4976 "preproc.y"
    { 
 (yyval.str) = make_str("inout");
;}
    break;

  case 762:

/* Line 1455 of yacc.c  */
#line 4980 "preproc.y"
    { 
 (yyval.str) = make_str("in out");
;}
    break;

  case 763:

/* Line 1455 of yacc.c  */
#line 4984 "preproc.y"
    { 
 (yyval.str) = make_str("variadic");
;}
    break;

  case 764:

/* Line 1455 of yacc.c  */
#line 4992 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 765:

/* Line 1455 of yacc.c  */
#line 5000 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 766:

/* Line 1455 of yacc.c  */
#line 5008 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 767:

/* Line 1455 of yacc.c  */
#line 5012 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),make_str("% type"));
;}
    break;

  case 768:

/* Line 1455 of yacc.c  */
#line 5016 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("setof"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),make_str("% type"));
;}
    break;

  case 769:

/* Line 1455 of yacc.c  */
#line 5024 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 770:

/* Line 1455 of yacc.c  */
#line 5028 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("default"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 771:

/* Line 1455 of yacc.c  */
#line 5032 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 772:

/* Line 1455 of yacc.c  */
#line 5040 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 773:

/* Line 1455 of yacc.c  */
#line 5044 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 774:

/* Line 1455 of yacc.c  */
#line 5052 "preproc.y"
    { 
 (yyval.str) = make_str("called on null input");
;}
    break;

  case 775:

/* Line 1455 of yacc.c  */
#line 5056 "preproc.y"
    { 
 (yyval.str) = make_str("returns null on null input");
;}
    break;

  case 776:

/* Line 1455 of yacc.c  */
#line 5060 "preproc.y"
    { 
 (yyval.str) = make_str("strict");
;}
    break;

  case 777:

/* Line 1455 of yacc.c  */
#line 5064 "preproc.y"
    { 
 (yyval.str) = make_str("immutable");
;}
    break;

  case 778:

/* Line 1455 of yacc.c  */
#line 5068 "preproc.y"
    { 
 (yyval.str) = make_str("stable");
;}
    break;

  case 779:

/* Line 1455 of yacc.c  */
#line 5072 "preproc.y"
    { 
 (yyval.str) = make_str("volatile");
;}
    break;

  case 780:

/* Line 1455 of yacc.c  */
#line 5076 "preproc.y"
    { 
 (yyval.str) = make_str("external security definer");
;}
    break;

  case 781:

/* Line 1455 of yacc.c  */
#line 5080 "preproc.y"
    { 
 (yyval.str) = make_str("external security invoker");
;}
    break;

  case 782:

/* Line 1455 of yacc.c  */
#line 5084 "preproc.y"
    { 
 (yyval.str) = make_str("security definer");
;}
    break;

  case 783:

/* Line 1455 of yacc.c  */
#line 5088 "preproc.y"
    { 
 (yyval.str) = make_str("security invoker");
;}
    break;

  case 784:

/* Line 1455 of yacc.c  */
#line 5092 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("cost"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 785:

/* Line 1455 of yacc.c  */
#line 5096 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("rows"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 786:

/* Line 1455 of yacc.c  */
#line 5100 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 787:

/* Line 1455 of yacc.c  */
#line 5108 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("as"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 788:

/* Line 1455 of yacc.c  */
#line 5112 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 789:

/* Line 1455 of yacc.c  */
#line 5116 "preproc.y"
    { 
 (yyval.str) = make_str("window");
;}
    break;

  case 790:

/* Line 1455 of yacc.c  */
#line 5120 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 791:

/* Line 1455 of yacc.c  */
#line 5128 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 792:

/* Line 1455 of yacc.c  */
#line 5132 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 793:

/* Line 1455 of yacc.c  */
#line 5140 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 794:

/* Line 1455 of yacc.c  */
#line 5144 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 795:

/* Line 1455 of yacc.c  */
#line 5151 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 796:

/* Line 1455 of yacc.c  */
#line 5159 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 797:

/* Line 1455 of yacc.c  */
#line 5163 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 798:

/* Line 1455 of yacc.c  */
#line 5171 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 799:

/* Line 1455 of yacc.c  */
#line 5179 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 800:

/* Line 1455 of yacc.c  */
#line 5183 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 801:

/* Line 1455 of yacc.c  */
#line 5191 "preproc.y"
    { 
 (yyval.str) = make_str("restrict");
;}
    break;

  case 802:

/* Line 1455 of yacc.c  */
#line 5195 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 803:

/* Line 1455 of yacc.c  */
#line 5202 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 804:

/* Line 1455 of yacc.c  */
#line 5206 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop function if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 805:

/* Line 1455 of yacc.c  */
#line 5214 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 806:

/* Line 1455 of yacc.c  */
#line 5218 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop aggregate if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 807:

/* Line 1455 of yacc.c  */
#line 5226 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop operator"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 808:

/* Line 1455 of yacc.c  */
#line 5230 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop operator if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 809:

/* Line 1455 of yacc.c  */
#line 5238 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 810:

/* Line 1455 of yacc.c  */
#line 5242 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("("),(yyvsp[(2) - (5)].str),make_str(","),(yyvsp[(4) - (5)].str),make_str(")"));
;}
    break;

  case 811:

/* Line 1455 of yacc.c  */
#line 5246 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("( none ,"),(yyvsp[(4) - (5)].str),make_str(")"));
;}
    break;

  case 812:

/* Line 1455 of yacc.c  */
#line 5250 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (5)].str),make_str(", none )"));
;}
    break;

  case 813:

/* Line 1455 of yacc.c  */
#line 5258 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 814:

/* Line 1455 of yacc.c  */
#line 5262 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 815:

/* Line 1455 of yacc.c  */
#line 5270 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("create cast ("),(yyvsp[(4) - (11)].str),make_str("as"),(yyvsp[(6) - (11)].str),make_str(") with function"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 816:

/* Line 1455 of yacc.c  */
#line 5274 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("create cast ("),(yyvsp[(4) - (10)].str),make_str("as"),(yyvsp[(6) - (10)].str),make_str(") without function"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 817:

/* Line 1455 of yacc.c  */
#line 5278 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("create cast ("),(yyvsp[(4) - (10)].str),make_str("as"),(yyvsp[(6) - (10)].str),make_str(") with inout"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 818:

/* Line 1455 of yacc.c  */
#line 5286 "preproc.y"
    { 
 (yyval.str) = make_str("as implicit");
;}
    break;

  case 819:

/* Line 1455 of yacc.c  */
#line 5290 "preproc.y"
    { 
 (yyval.str) = make_str("as assignment");
;}
    break;

  case 820:

/* Line 1455 of yacc.c  */
#line 5294 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 821:

/* Line 1455 of yacc.c  */
#line 5301 "preproc.y"
    { 
 (yyval.str) = cat_str(8,make_str("drop cast"),(yyvsp[(3) - (9)].str),make_str("("),(yyvsp[(5) - (9)].str),make_str("as"),(yyvsp[(7) - (9)].str),make_str(")"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 822:

/* Line 1455 of yacc.c  */
#line 5309 "preproc.y"
    { 
 (yyval.str) = make_str("if exists");
;}
    break;

  case 823:

/* Line 1455 of yacc.c  */
#line 5313 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 824:

/* Line 1455 of yacc.c  */
#line 5320 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("reindex"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 825:

/* Line 1455 of yacc.c  */
#line 5324 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("reindex system"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 826:

/* Line 1455 of yacc.c  */
#line 5328 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("reindex database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 827:

/* Line 1455 of yacc.c  */
#line 5336 "preproc.y"
    { 
 (yyval.str) = make_str("index");
;}
    break;

  case 828:

/* Line 1455 of yacc.c  */
#line 5340 "preproc.y"
    { 
 (yyval.str) = make_str("table");
;}
    break;

  case 829:

/* Line 1455 of yacc.c  */
#line 5348 "preproc.y"
    { 
 (yyval.str) = make_str("force");
;}
    break;

  case 830:

/* Line 1455 of yacc.c  */
#line 5352 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 831:

/* Line 1455 of yacc.c  */
#line 5359 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 832:

/* Line 1455 of yacc.c  */
#line 5363 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter conversion"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 833:

/* Line 1455 of yacc.c  */
#line 5367 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter database"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 834:

/* Line 1455 of yacc.c  */
#line 5371 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter function"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 835:

/* Line 1455 of yacc.c  */
#line 5375 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter group"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 836:

/* Line 1455 of yacc.c  */
#line 5379 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter"),(yyvsp[(2) - (7)].str),make_str("language"),(yyvsp[(4) - (7)].str),make_str("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 837:

/* Line 1455 of yacc.c  */
#line 5383 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter operator class"),(yyvsp[(4) - (9)].str),make_str("using"),(yyvsp[(6) - (9)].str),make_str("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 838:

/* Line 1455 of yacc.c  */
#line 5387 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter operator family"),(yyvsp[(4) - (9)].str),make_str("using"),(yyvsp[(6) - (9)].str),make_str("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 839:

/* Line 1455 of yacc.c  */
#line 5391 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter schema"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 840:

/* Line 1455 of yacc.c  */
#line 5395 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter table"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 841:

/* Line 1455 of yacc.c  */
#line 5399 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter sequence"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 842:

/* Line 1455 of yacc.c  */
#line 5403 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter view"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 843:

/* Line 1455 of yacc.c  */
#line 5407 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter index"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 844:

/* Line 1455 of yacc.c  */
#line 5411 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("alter table"),(yyvsp[(3) - (8)].str),make_str("rename"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),make_str("to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 845:

/* Line 1455 of yacc.c  */
#line 5415 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter trigger"),(yyvsp[(3) - (8)].str),make_str("on"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 846:

/* Line 1455 of yacc.c  */
#line 5419 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter role"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 847:

/* Line 1455 of yacc.c  */
#line 5423 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter user"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 848:

/* Line 1455 of yacc.c  */
#line 5427 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter tablespace"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 849:

/* Line 1455 of yacc.c  */
#line 5431 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search parser"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 850:

/* Line 1455 of yacc.c  */
#line 5435 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search dictionary"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 851:

/* Line 1455 of yacc.c  */
#line 5439 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search template"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 852:

/* Line 1455 of yacc.c  */
#line 5443 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search configuration"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 853:

/* Line 1455 of yacc.c  */
#line 5447 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter type"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 854:

/* Line 1455 of yacc.c  */
#line 5455 "preproc.y"
    { 
 (yyval.str) = make_str("column");
;}
    break;

  case 855:

/* Line 1455 of yacc.c  */
#line 5459 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 856:

/* Line 1455 of yacc.c  */
#line 5466 "preproc.y"
    { 
 (yyval.str) = make_str("set data");
;}
    break;

  case 857:

/* Line 1455 of yacc.c  */
#line 5470 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 858:

/* Line 1455 of yacc.c  */
#line 5477 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 859:

/* Line 1455 of yacc.c  */
#line 5481 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter domain"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 860:

/* Line 1455 of yacc.c  */
#line 5485 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter function"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 861:

/* Line 1455 of yacc.c  */
#line 5489 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter table"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 862:

/* Line 1455 of yacc.c  */
#line 5493 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter sequence"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 863:

/* Line 1455 of yacc.c  */
#line 5497 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter view"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 864:

/* Line 1455 of yacc.c  */
#line 5501 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter type"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 865:

/* Line 1455 of yacc.c  */
#line 5509 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 866:

/* Line 1455 of yacc.c  */
#line 5513 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter conversion"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 867:

/* Line 1455 of yacc.c  */
#line 5517 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter database"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 868:

/* Line 1455 of yacc.c  */
#line 5521 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter domain"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 869:

/* Line 1455 of yacc.c  */
#line 5525 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter function"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 870:

/* Line 1455 of yacc.c  */
#line 5529 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter"),(yyvsp[(2) - (7)].str),make_str("language"),(yyvsp[(4) - (7)].str),make_str("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 871:

/* Line 1455 of yacc.c  */
#line 5533 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 872:

/* Line 1455 of yacc.c  */
#line 5537 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter operator class"),(yyvsp[(4) - (9)].str),make_str("using"),(yyvsp[(6) - (9)].str),make_str("owner to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 873:

/* Line 1455 of yacc.c  */
#line 5541 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter operator family"),(yyvsp[(4) - (9)].str),make_str("using"),(yyvsp[(6) - (9)].str),make_str("owner to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 874:

/* Line 1455 of yacc.c  */
#line 5545 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter schema"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 875:

/* Line 1455 of yacc.c  */
#line 5549 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter type"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 876:

/* Line 1455 of yacc.c  */
#line 5553 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter tablespace"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 877:

/* Line 1455 of yacc.c  */
#line 5557 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search dictionary"),(yyvsp[(5) - (8)].str),make_str("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 878:

/* Line 1455 of yacc.c  */
#line 5561 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search configuration"),(yyvsp[(5) - (8)].str),make_str("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 879:

/* Line 1455 of yacc.c  */
#line 5565 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),make_str("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 880:

/* Line 1455 of yacc.c  */
#line 5569 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter server"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 881:

/* Line 1455 of yacc.c  */
#line 5577 "preproc.y"
    { 
 (yyval.str) = make_str("nothing");
;}
    break;

  case 882:

/* Line 1455 of yacc.c  */
#line 5581 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 883:

/* Line 1455 of yacc.c  */
#line 5585 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 884:

/* Line 1455 of yacc.c  */
#line 5593 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(";"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 885:

/* Line 1455 of yacc.c  */
#line 5597 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 886:

/* Line 1455 of yacc.c  */
#line 5605 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 887:

/* Line 1455 of yacc.c  */
#line 5609 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 888:

/* Line 1455 of yacc.c  */
#line 5613 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 889:

/* Line 1455 of yacc.c  */
#line 5617 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 890:

/* Line 1455 of yacc.c  */
#line 5621 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 891:

/* Line 1455 of yacc.c  */
#line 5629 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 892:

/* Line 1455 of yacc.c  */
#line 5633 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 893:

/* Line 1455 of yacc.c  */
#line 5640 "preproc.y"
    { 
 (yyval.str) = make_str("select");
;}
    break;

  case 894:

/* Line 1455 of yacc.c  */
#line 5644 "preproc.y"
    { 
 (yyval.str) = make_str("update");
;}
    break;

  case 895:

/* Line 1455 of yacc.c  */
#line 5648 "preproc.y"
    { 
 (yyval.str) = make_str("delete");
;}
    break;

  case 896:

/* Line 1455 of yacc.c  */
#line 5652 "preproc.y"
    { 
 (yyval.str) = make_str("insert");
;}
    break;

  case 897:

/* Line 1455 of yacc.c  */
#line 5660 "preproc.y"
    { 
 (yyval.str) = make_str("instead");
;}
    break;

  case 898:

/* Line 1455 of yacc.c  */
#line 5664 "preproc.y"
    { 
 (yyval.str) = make_str("also");
;}
    break;

  case 899:

/* Line 1455 of yacc.c  */
#line 5668 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 900:

/* Line 1455 of yacc.c  */
#line 5675 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop rule"),(yyvsp[(3) - (6)].str),make_str("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 901:

/* Line 1455 of yacc.c  */
#line 5679 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop rule if exists"),(yyvsp[(5) - (8)].str),make_str("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 902:

/* Line 1455 of yacc.c  */
#line 5687 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("notify"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 903:

/* Line 1455 of yacc.c  */
#line 5695 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("listen"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 904:

/* Line 1455 of yacc.c  */
#line 5703 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("unlisten"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 905:

/* Line 1455 of yacc.c  */
#line 5707 "preproc.y"
    { 
 (yyval.str) = make_str("unlisten *");
;}
    break;

  case 906:

/* Line 1455 of yacc.c  */
#line 5715 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("abort"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 907:

/* Line 1455 of yacc.c  */
#line 5719 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("begin"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 908:

/* Line 1455 of yacc.c  */
#line 5723 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("start transaction"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 909:

/* Line 1455 of yacc.c  */
#line 5727 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("commit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 910:

/* Line 1455 of yacc.c  */
#line 5731 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("end"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 911:

/* Line 1455 of yacc.c  */
#line 5735 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("rollback"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 912:

/* Line 1455 of yacc.c  */
#line 5739 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("savepoint"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 913:

/* Line 1455 of yacc.c  */
#line 5743 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("release savepoint"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 914:

/* Line 1455 of yacc.c  */
#line 5747 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("release"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 915:

/* Line 1455 of yacc.c  */
#line 5751 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("rollback"),(yyvsp[(2) - (5)].str),make_str("to savepoint"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 916:

/* Line 1455 of yacc.c  */
#line 5755 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("rollback"),(yyvsp[(2) - (4)].str),make_str("to"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 917:

/* Line 1455 of yacc.c  */
#line 5759 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("prepare transaction"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 918:

/* Line 1455 of yacc.c  */
#line 5763 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("commit prepared"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 919:

/* Line 1455 of yacc.c  */
#line 5767 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("rollback prepared"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 920:

/* Line 1455 of yacc.c  */
#line 5775 "preproc.y"
    { 
 (yyval.str) = make_str("work");
;}
    break;

  case 921:

/* Line 1455 of yacc.c  */
#line 5779 "preproc.y"
    { 
 (yyval.str) = make_str("transaction");
;}
    break;

  case 922:

/* Line 1455 of yacc.c  */
#line 5783 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 923:

/* Line 1455 of yacc.c  */
#line 5790 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("isolation level"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 924:

/* Line 1455 of yacc.c  */
#line 5794 "preproc.y"
    { 
 (yyval.str) = make_str("read only");
;}
    break;

  case 925:

/* Line 1455 of yacc.c  */
#line 5798 "preproc.y"
    { 
 (yyval.str) = make_str("read write");
;}
    break;

  case 926:

/* Line 1455 of yacc.c  */
#line 5806 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 927:

/* Line 1455 of yacc.c  */
#line 5810 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 928:

/* Line 1455 of yacc.c  */
#line 5814 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 929:

/* Line 1455 of yacc.c  */
#line 5822 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 930:

/* Line 1455 of yacc.c  */
#line 5826 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 931:

/* Line 1455 of yacc.c  */
#line 5833 "preproc.y"
    { 
 (yyval.str) = cat_str(8,make_str("create"),(yyvsp[(2) - (8)].str),make_str("view"),(yyvsp[(4) - (8)].str),(yyvsp[(5) - (8)].str),make_str("as"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 932:

/* Line 1455 of yacc.c  */
#line 5837 "preproc.y"
    { 
 (yyval.str) = cat_str(8,make_str("create or replace"),(yyvsp[(4) - (10)].str),make_str("view"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),make_str("as"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 933:

/* Line 1455 of yacc.c  */
#line 5845 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = make_str("with check option");
;}
    break;

  case 934:

/* Line 1455 of yacc.c  */
#line 5850 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = make_str("with cascaded check option");
;}
    break;

  case 935:

/* Line 1455 of yacc.c  */
#line 5855 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = make_str("with local check option");
;}
    break;

  case 936:

/* Line 1455 of yacc.c  */
#line 5860 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 937:

/* Line 1455 of yacc.c  */
#line 5867 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("load"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 938:

/* Line 1455 of yacc.c  */
#line 5875 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 939:

/* Line 1455 of yacc.c  */
#line 5883 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 940:

/* Line 1455 of yacc.c  */
#line 5887 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 941:

/* Line 1455 of yacc.c  */
#line 5894 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("tablespace"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 942:

/* Line 1455 of yacc.c  */
#line 5898 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("tablespace"),(yyvsp[(2) - (3)].str),make_str("default"));
;}
    break;

  case 943:

/* Line 1455 of yacc.c  */
#line 5902 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("location"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 944:

/* Line 1455 of yacc.c  */
#line 5906 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("location"),(yyvsp[(2) - (3)].str),make_str("default"));
;}
    break;

  case 945:

/* Line 1455 of yacc.c  */
#line 5910 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("template"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 946:

/* Line 1455 of yacc.c  */
#line 5914 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("template"),(yyvsp[(2) - (3)].str),make_str("default"));
;}
    break;

  case 947:

/* Line 1455 of yacc.c  */
#line 5918 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 948:

/* Line 1455 of yacc.c  */
#line 5922 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 949:

/* Line 1455 of yacc.c  */
#line 5926 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("encoding"),(yyvsp[(2) - (3)].str),make_str("default"));
;}
    break;

  case 950:

/* Line 1455 of yacc.c  */
#line 5930 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("lc_collate"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 951:

/* Line 1455 of yacc.c  */
#line 5934 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("lc_collate"),(yyvsp[(2) - (3)].str),make_str("default"));
;}
    break;

  case 952:

/* Line 1455 of yacc.c  */
#line 5938 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("lc_ctype"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 953:

/* Line 1455 of yacc.c  */
#line 5942 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("lc_ctype"),(yyvsp[(2) - (3)].str),make_str("default"));
;}
    break;

  case 954:

/* Line 1455 of yacc.c  */
#line 5946 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 955:

/* Line 1455 of yacc.c  */
#line 5950 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("owner"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 956:

/* Line 1455 of yacc.c  */
#line 5954 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("owner"),(yyvsp[(2) - (3)].str),make_str("default"));
;}
    break;

  case 957:

/* Line 1455 of yacc.c  */
#line 5962 "preproc.y"
    { 
 (yyval.str) = make_str("=");
;}
    break;

  case 958:

/* Line 1455 of yacc.c  */
#line 5966 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 959:

/* Line 1455 of yacc.c  */
#line 5973 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 960:

/* Line 1455 of yacc.c  */
#line 5977 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter database"),(yyvsp[(3) - (6)].str),make_str("set tablespace"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 961:

/* Line 1455 of yacc.c  */
#line 5985 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 962:

/* Line 1455 of yacc.c  */
#line 5993 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 963:

/* Line 1455 of yacc.c  */
#line 5997 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 964:

/* Line 1455 of yacc.c  */
#line 6004 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 965:

/* Line 1455 of yacc.c  */
#line 6012 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop database"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 966:

/* Line 1455 of yacc.c  */
#line 6016 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop database if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 967:

/* Line 1455 of yacc.c  */
#line 6024 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create domain"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 968:

/* Line 1455 of yacc.c  */
#line 6032 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 969:

/* Line 1455 of yacc.c  */
#line 6036 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter domain"),(yyvsp[(3) - (6)].str),make_str("drop not null"));
;}
    break;

  case 970:

/* Line 1455 of yacc.c  */
#line 6040 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter domain"),(yyvsp[(3) - (6)].str),make_str("set not null"));
;}
    break;

  case 971:

/* Line 1455 of yacc.c  */
#line 6044 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter domain"),(yyvsp[(3) - (5)].str),make_str("add"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 972:

/* Line 1455 of yacc.c  */
#line 6048 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter domain"),(yyvsp[(3) - (7)].str),make_str("drop constraint"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 973:

/* Line 1455 of yacc.c  */
#line 6056 "preproc.y"
    { 
 (yyval.str) = make_str("as");
;}
    break;

  case 974:

/* Line 1455 of yacc.c  */
#line 6060 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 975:

/* Line 1455 of yacc.c  */
#line 6067 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 976:

/* Line 1455 of yacc.c  */
#line 6075 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter text search configuration"),(yyvsp[(5) - (11)].str),make_str("add mapping for"),(yyvsp[(9) - (11)].str),make_str("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 977:

/* Line 1455 of yacc.c  */
#line 6079 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter text search configuration"),(yyvsp[(5) - (11)].str),make_str("alter mapping for"),(yyvsp[(9) - (11)].str),make_str("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 978:

/* Line 1455 of yacc.c  */
#line 6083 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter text search configuration"),(yyvsp[(5) - (11)].str),make_str("alter mapping replace"),(yyvsp[(9) - (11)].str),make_str("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 979:

/* Line 1455 of yacc.c  */
#line 6087 "preproc.y"
    { 
 (yyval.str) = cat_str(8,make_str("alter text search configuration"),(yyvsp[(5) - (13)].str),make_str("alter mapping for"),(yyvsp[(9) - (13)].str),make_str("replace"),(yyvsp[(11) - (13)].str),make_str("with"),(yyvsp[(13) - (13)].str));
;}
    break;

  case 980:

/* Line 1455 of yacc.c  */
#line 6091 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search configuration"),(yyvsp[(5) - (9)].str),make_str("drop mapping for"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 981:

/* Line 1455 of yacc.c  */
#line 6095 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search configuration"),(yyvsp[(5) - (11)].str),make_str("drop mapping if exists for"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 982:

/* Line 1455 of yacc.c  */
#line 6103 "preproc.y"
    { 
 (yyval.str) = cat_str(10,make_str("create"),(yyvsp[(2) - (10)].str),make_str("conversion"),(yyvsp[(4) - (10)].str),make_str("for"),(yyvsp[(6) - (10)].str),make_str("to"),(yyvsp[(8) - (10)].str),make_str("from"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 983:

/* Line 1455 of yacc.c  */
#line 6111 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("cluster"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 984:

/* Line 1455 of yacc.c  */
#line 6115 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("cluster"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 985:

/* Line 1455 of yacc.c  */
#line 6119 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("cluster"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),make_str("on"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 986:

/* Line 1455 of yacc.c  */
#line 6127 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 987:

/* Line 1455 of yacc.c  */
#line 6131 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 988:

/* Line 1455 of yacc.c  */
#line 6138 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("vacuum"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 989:

/* Line 1455 of yacc.c  */
#line 6142 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 990:

/* Line 1455 of yacc.c  */
#line 6146 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 991:

/* Line 1455 of yacc.c  */
#line 6154 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 992:

/* Line 1455 of yacc.c  */
#line 6158 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 993:

/* Line 1455 of yacc.c  */
#line 6166 "preproc.y"
    { 
 (yyval.str) = make_str("analyze");
;}
    break;

  case 994:

/* Line 1455 of yacc.c  */
#line 6170 "preproc.y"
    { 
 (yyval.str) = make_str("analyse");
;}
    break;

  case 995:

/* Line 1455 of yacc.c  */
#line 6178 "preproc.y"
    { 
 (yyval.str) = make_str("verbose");
;}
    break;

  case 996:

/* Line 1455 of yacc.c  */
#line 6182 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 997:

/* Line 1455 of yacc.c  */
#line 6189 "preproc.y"
    { 
 (yyval.str) = make_str("full");
;}
    break;

  case 998:

/* Line 1455 of yacc.c  */
#line 6193 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 999:

/* Line 1455 of yacc.c  */
#line 6200 "preproc.y"
    { 
 (yyval.str) = make_str("freeze");
;}
    break;

  case 1000:

/* Line 1455 of yacc.c  */
#line 6204 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1001:

/* Line 1455 of yacc.c  */
#line 6211 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 1002:

/* Line 1455 of yacc.c  */
#line 6215 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1003:

/* Line 1455 of yacc.c  */
#line 6222 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("explain"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1004:

/* Line 1455 of yacc.c  */
#line 6230 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1005:

/* Line 1455 of yacc.c  */
#line 6234 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1006:

/* Line 1455 of yacc.c  */
#line 6238 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1007:

/* Line 1455 of yacc.c  */
#line 6242 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1008:

/* Line 1455 of yacc.c  */
#line 6246 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1009:

/* Line 1455 of yacc.c  */
#line 6250 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1010:

/* Line 1455 of yacc.c  */
#line 6254 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1011:

/* Line 1455 of yacc.c  */
#line 6262 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1012:

/* Line 1455 of yacc.c  */
#line 6266 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1013:

/* Line 1455 of yacc.c  */
#line 6273 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (5)].str);
		(yyval.prep).type = (yyvsp[(3) - (5)].str);
		(yyval.prep).stmt = cat_str(3, make_str("\""), (yyvsp[(5) - (5)].str), make_str("\""));
	;}
    break;

  case 1014:

/* Line 1455 of yacc.c  */
#line 6279 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (4)].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[(4) - (4)].str);
	;}
    break;

  case 1015:

/* Line 1455 of yacc.c  */
#line 6289 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 1016:

/* Line 1455 of yacc.c  */
#line 6293 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1017:

/* Line 1455 of yacc.c  */
#line 6300 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1018:

/* Line 1455 of yacc.c  */
#line 6304 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1019:

/* Line 1455 of yacc.c  */
#line 6308 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1020:

/* Line 1455 of yacc.c  */
#line 6312 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1021:

/* Line 1455 of yacc.c  */
#line 6320 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (4)].str); ;}
    break;

  case 1022:

/* Line 1455 of yacc.c  */
#line 6322 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("create"),(yyvsp[(2) - (8)].str),make_str("table"),(yyvsp[(4) - (8)].str),make_str("as execute"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1023:

/* Line 1455 of yacc.c  */
#line 6330 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 1024:

/* Line 1455 of yacc.c  */
#line 6334 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1025:

/* Line 1455 of yacc.c  */
#line 6341 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("insert into"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1026:

/* Line 1455 of yacc.c  */
#line 6349 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1027:

/* Line 1455 of yacc.c  */
#line 6353 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("("),(yyvsp[(2) - (4)].str),make_str(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1028:

/* Line 1455 of yacc.c  */
#line 6357 "preproc.y"
    { 
 (yyval.str) = make_str("default values");
;}
    break;

  case 1029:

/* Line 1455 of yacc.c  */
#line 6365 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1030:

/* Line 1455 of yacc.c  */
#line 6369 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1031:

/* Line 1455 of yacc.c  */
#line 6377 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1032:

/* Line 1455 of yacc.c  */
#line 6385 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("returning"),(yyvsp[(2) - (3)].str));
;}
    break;

  case 1033:

/* Line 1455 of yacc.c  */
#line 6389 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1034:

/* Line 1455 of yacc.c  */
#line 6396 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("delete from"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1035:

/* Line 1455 of yacc.c  */
#line 6404 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1036:

/* Line 1455 of yacc.c  */
#line 6408 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1037:

/* Line 1455 of yacc.c  */
#line 6415 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("lock"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1038:

/* Line 1455 of yacc.c  */
#line 6423 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("in"),(yyvsp[(2) - (3)].str),make_str("mode"));
;}
    break;

  case 1039:

/* Line 1455 of yacc.c  */
#line 6427 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1040:

/* Line 1455 of yacc.c  */
#line 6434 "preproc.y"
    { 
 (yyval.str) = make_str("access share");
;}
    break;

  case 1041:

/* Line 1455 of yacc.c  */
#line 6438 "preproc.y"
    { 
 (yyval.str) = make_str("row share");
;}
    break;

  case 1042:

/* Line 1455 of yacc.c  */
#line 6442 "preproc.y"
    { 
 (yyval.str) = make_str("row exclusive");
;}
    break;

  case 1043:

/* Line 1455 of yacc.c  */
#line 6446 "preproc.y"
    { 
 (yyval.str) = make_str("share update exclusive");
;}
    break;

  case 1044:

/* Line 1455 of yacc.c  */
#line 6450 "preproc.y"
    { 
 (yyval.str) = make_str("share");
;}
    break;

  case 1045:

/* Line 1455 of yacc.c  */
#line 6454 "preproc.y"
    { 
 (yyval.str) = make_str("share row exclusive");
;}
    break;

  case 1046:

/* Line 1455 of yacc.c  */
#line 6458 "preproc.y"
    { 
 (yyval.str) = make_str("exclusive");
;}
    break;

  case 1047:

/* Line 1455 of yacc.c  */
#line 6462 "preproc.y"
    { 
 (yyval.str) = make_str("access exclusive");
;}
    break;

  case 1048:

/* Line 1455 of yacc.c  */
#line 6470 "preproc.y"
    { 
 (yyval.str) = make_str("nowait");
;}
    break;

  case 1049:

/* Line 1455 of yacc.c  */
#line 6474 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1050:

/* Line 1455 of yacc.c  */
#line 6481 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("update"),(yyvsp[(2) - (7)].str),make_str("set"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1051:

/* Line 1455 of yacc.c  */
#line 6489 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1052:

/* Line 1455 of yacc.c  */
#line 6493 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1053:

/* Line 1455 of yacc.c  */
#line 6501 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1054:

/* Line 1455 of yacc.c  */
#line 6505 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1055:

/* Line 1455 of yacc.c  */
#line 6513 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1056:

/* Line 1455 of yacc.c  */
#line 6521 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("("),(yyvsp[(2) - (5)].str),make_str(") ="),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1057:

/* Line 1455 of yacc.c  */
#line 6529 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1058:

/* Line 1455 of yacc.c  */
#line 6537 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1059:

/* Line 1455 of yacc.c  */
#line 6541 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1060:

/* Line 1455 of yacc.c  */
#line 6549 "preproc.y"
    {
		struct cursor *ptr, *this;
		char *c1, *c2;

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp((yyvsp[(2) - (7)].str), ptr->name) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[(2) - (7)].str);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, make_str("declare"), mm_strdup((yyvsp[(2) - (7)].str)), (yyvsp[(3) - (7)].str), make_str("cursor"), (yyvsp[(5) - (7)].str), make_str("for"), (yyvsp[(7) - (7)].str));
		this->argsinsert = argsinsert;
		this->argsresult = argsresult;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}

		if (INFORMIX_MODE)
			(yyval.str) = cat_str(5, adjust_informix(this->argsinsert), adjust_informix(this->argsresult), make_str("/*"), c1, make_str("*/"));
		else
			(yyval.str) = cat_str(3, make_str("/*"), c1, make_str("*/"));
	;}
    break;

  case 1061:

/* Line 1455 of yacc.c  */
#line 6589 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1062:

/* Line 1455 of yacc.c  */
#line 6592 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("no scroll"));
;}
    break;

  case 1063:

/* Line 1455 of yacc.c  */
#line 6596 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("scroll"));
;}
    break;

  case 1064:

/* Line 1455 of yacc.c  */
#line 6600 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("binary"));
;}
    break;

  case 1065:

/* Line 1455 of yacc.c  */
#line 6604 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("insensitive"));
;}
    break;

  case 1066:

/* Line 1455 of yacc.c  */
#line 6612 "preproc.y"
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit == true)
			(yyval.str) = make_str("with hold");
		else
			(yyval.str) = EMPTY;
	;}
    break;

  case 1067:

/* Line 1455 of yacc.c  */
#line 6619 "preproc.y"
    { 
 (yyval.str) = make_str("with hold");
;}
    break;

  case 1068:

/* Line 1455 of yacc.c  */
#line 6623 "preproc.y"
    { 
 (yyval.str) = make_str("without hold");
;}
    break;

  case 1069:

/* Line 1455 of yacc.c  */
#line 6631 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1070:

/* Line 1455 of yacc.c  */
#line 6635 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1071:

/* Line 1455 of yacc.c  */
#line 6643 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 1072:

/* Line 1455 of yacc.c  */
#line 6647 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 1073:

/* Line 1455 of yacc.c  */
#line 6655 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1074:

/* Line 1455 of yacc.c  */
#line 6659 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1075:

/* Line 1455 of yacc.c  */
#line 6663 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1076:

/* Line 1455 of yacc.c  */
#line 6667 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1077:

/* Line 1455 of yacc.c  */
#line 6671 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1078:

/* Line 1455 of yacc.c  */
#line 6675 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1079:

/* Line 1455 of yacc.c  */
#line 6679 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1080:

/* Line 1455 of yacc.c  */
#line 6683 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1081:

/* Line 1455 of yacc.c  */
#line 6691 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1082:

/* Line 1455 of yacc.c  */
#line 6695 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1083:

/* Line 1455 of yacc.c  */
#line 6703 "preproc.y"
    { 
 (yyval.str) = cat_str(9,make_str("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1084:

/* Line 1455 of yacc.c  */
#line 6707 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1085:

/* Line 1455 of yacc.c  */
#line 6711 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1086:

/* Line 1455 of yacc.c  */
#line 6715 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("union"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1087:

/* Line 1455 of yacc.c  */
#line 6719 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("intersect"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1088:

/* Line 1455 of yacc.c  */
#line 6723 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("except"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1089:

/* Line 1455 of yacc.c  */
#line 6731 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1090:

/* Line 1455 of yacc.c  */
#line 6735 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("with recursive"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1091:

/* Line 1455 of yacc.c  */
#line 6743 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1092:

/* Line 1455 of yacc.c  */
#line 6747 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1093:

/* Line 1455 of yacc.c  */
#line 6755 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),make_str("as"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1094:

/* Line 1455 of yacc.c  */
#line 6763 "preproc.y"
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(make_str("into"), (yyvsp[(2) - (2)].str));
					;}
    break;

  case 1095:

/* Line 1455 of yacc.c  */
#line 6767 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 1096:

/* Line 1455 of yacc.c  */
#line 6769 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1097:

/* Line 1455 of yacc.c  */
#line 6776 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("temporary"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1098:

/* Line 1455 of yacc.c  */
#line 6780 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("temp"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1099:

/* Line 1455 of yacc.c  */
#line 6784 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("local temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1100:

/* Line 1455 of yacc.c  */
#line 6788 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("local temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1101:

/* Line 1455 of yacc.c  */
#line 6792 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("global temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1102:

/* Line 1455 of yacc.c  */
#line 6796 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("global temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1103:

/* Line 1455 of yacc.c  */
#line 6800 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1104:

/* Line 1455 of yacc.c  */
#line 6804 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1105:

/* Line 1455 of yacc.c  */
#line 6812 "preproc.y"
    { 
 (yyval.str) = make_str("table");
;}
    break;

  case 1106:

/* Line 1455 of yacc.c  */
#line 6816 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1107:

/* Line 1455 of yacc.c  */
#line 6823 "preproc.y"
    { 
 (yyval.str) = make_str("all");
;}
    break;

  case 1108:

/* Line 1455 of yacc.c  */
#line 6827 "preproc.y"
    { 
 (yyval.str) = make_str("distinct");
;}
    break;

  case 1109:

/* Line 1455 of yacc.c  */
#line 6831 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1110:

/* Line 1455 of yacc.c  */
#line 6838 "preproc.y"
    { 
 (yyval.str) = make_str("distinct");
;}
    break;

  case 1111:

/* Line 1455 of yacc.c  */
#line 6842 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("distinct on ("),(yyvsp[(4) - (5)].str),make_str(")"));
;}
    break;

  case 1112:

/* Line 1455 of yacc.c  */
#line 6846 "preproc.y"
    { 
 (yyval.str) = make_str("all");
;}
    break;

  case 1113:

/* Line 1455 of yacc.c  */
#line 6850 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1114:

/* Line 1455 of yacc.c  */
#line 6857 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1115:

/* Line 1455 of yacc.c  */
#line 6861 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1116:

/* Line 1455 of yacc.c  */
#line 6868 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("order by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1117:

/* Line 1455 of yacc.c  */
#line 6876 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1118:

/* Line 1455 of yacc.c  */
#line 6880 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1119:

/* Line 1455 of yacc.c  */
#line 6888 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("using"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1120:

/* Line 1455 of yacc.c  */
#line 6892 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1121:

/* Line 1455 of yacc.c  */
#line 6900 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("limit"),(yyvsp[(2) - (4)].str),make_str("offset"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1122:

/* Line 1455 of yacc.c  */
#line 6904 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("offset"),(yyvsp[(2) - (4)].str),make_str("limit"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1123:

/* Line 1455 of yacc.c  */
#line 6908 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("limit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1124:

/* Line 1455 of yacc.c  */
#line 6912 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("offset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1125:

/* Line 1455 of yacc.c  */
#line 6916 "preproc.y"
    {
                mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
                (yyval.str) = cat_str(4, make_str("limit"), (yyvsp[(2) - (4)].str), make_str(","), (yyvsp[(4) - (4)].str));
        ;}
    break;

  case 1126:

/* Line 1455 of yacc.c  */
#line 6921 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("offset"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1127:

/* Line 1455 of yacc.c  */
#line 6925 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("fetch"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),make_str("only"));
;}
    break;

  case 1128:

/* Line 1455 of yacc.c  */
#line 6929 "preproc.y"
    { 
 (yyval.str) = cat_str(8,make_str("offset"),(yyvsp[(2) - (8)].str),(yyvsp[(3) - (8)].str),make_str("fetch"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),make_str("only"));
;}
    break;

  case 1129:

/* Line 1455 of yacc.c  */
#line 6937 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1130:

/* Line 1455 of yacc.c  */
#line 6941 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1131:

/* Line 1455 of yacc.c  */
#line 6948 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1132:

/* Line 1455 of yacc.c  */
#line 6952 "preproc.y"
    { 
 (yyval.str) = make_str("all");
;}
    break;

  case 1133:

/* Line 1455 of yacc.c  */
#line 6960 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1134:

/* Line 1455 of yacc.c  */
#line 6964 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 1135:

/* Line 1455 of yacc.c  */
#line 6968 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1136:

/* Line 1455 of yacc.c  */
#line 6975 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1137:

/* Line 1455 of yacc.c  */
#line 6983 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1138:

/* Line 1455 of yacc.c  */
#line 6991 "preproc.y"
    { 
 (yyval.str) = make_str("row");
;}
    break;

  case 1139:

/* Line 1455 of yacc.c  */
#line 6995 "preproc.y"
    { 
 (yyval.str) = make_str("rows");
;}
    break;

  case 1140:

/* Line 1455 of yacc.c  */
#line 7003 "preproc.y"
    { 
 (yyval.str) = make_str("first");
;}
    break;

  case 1141:

/* Line 1455 of yacc.c  */
#line 7007 "preproc.y"
    { 
 (yyval.str) = make_str("next");
;}
    break;

  case 1142:

/* Line 1455 of yacc.c  */
#line 7015 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("group by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1143:

/* Line 1455 of yacc.c  */
#line 7019 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1144:

/* Line 1455 of yacc.c  */
#line 7026 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("having"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1145:

/* Line 1455 of yacc.c  */
#line 7030 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1146:

/* Line 1455 of yacc.c  */
#line 7037 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1147:

/* Line 1455 of yacc.c  */
#line 7041 "preproc.y"
    { 
 (yyval.str) = make_str("for read only");
;}
    break;

  case 1148:

/* Line 1455 of yacc.c  */
#line 7049 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1149:

/* Line 1455 of yacc.c  */
#line 7053 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1150:

/* Line 1455 of yacc.c  */
#line 7060 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1151:

/* Line 1455 of yacc.c  */
#line 7064 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1152:

/* Line 1455 of yacc.c  */
#line 7072 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("for update"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1153:

/* Line 1455 of yacc.c  */
#line 7076 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("for share"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1154:

/* Line 1455 of yacc.c  */
#line 7084 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("of"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1155:

/* Line 1455 of yacc.c  */
#line 7088 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1156:

/* Line 1455 of yacc.c  */
#line 7095 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("values"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1157:

/* Line 1455 of yacc.c  */
#line 7099 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1158:

/* Line 1455 of yacc.c  */
#line 7107 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1159:

/* Line 1455 of yacc.c  */
#line 7111 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1160:

/* Line 1455 of yacc.c  */
#line 7118 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1161:

/* Line 1455 of yacc.c  */
#line 7122 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1162:

/* Line 1455 of yacc.c  */
#line 7130 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1163:

/* Line 1455 of yacc.c  */
#line 7134 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1164:

/* Line 1455 of yacc.c  */
#line 7138 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1165:

/* Line 1455 of yacc.c  */
#line 7142 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1166:

/* Line 1455 of yacc.c  */
#line 7146 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),make_str("as ("),(yyvsp[(4) - (5)].str),make_str(")"));
;}
    break;

  case 1167:

/* Line 1455 of yacc.c  */
#line 7150 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),make_str("as"),(yyvsp[(3) - (6)].str),make_str("("),(yyvsp[(5) - (6)].str),make_str(")"));
;}
    break;

  case 1168:

/* Line 1455 of yacc.c  */
#line 7154 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
;}
    break;

  case 1169:

/* Line 1455 of yacc.c  */
#line 7158 "preproc.y"
    { 
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1170:

/* Line 1455 of yacc.c  */
#line 7164 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1171:

/* Line 1455 of yacc.c  */
#line 7168 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1172:

/* Line 1455 of yacc.c  */
#line 7172 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("("),(yyvsp[(2) - (4)].str),make_str(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1173:

/* Line 1455 of yacc.c  */
#line 7180 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 1174:

/* Line 1455 of yacc.c  */
#line 7184 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("cross join"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1175:

/* Line 1455 of yacc.c  */
#line 7188 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),make_str("join"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1176:

/* Line 1455 of yacc.c  */
#line 7192 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("join"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1177:

/* Line 1455 of yacc.c  */
#line 7196 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("natural"),(yyvsp[(3) - (5)].str),make_str("join"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1178:

/* Line 1455 of yacc.c  */
#line 7200 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("natural join"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1179:

/* Line 1455 of yacc.c  */
#line 7208 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("as"),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
;}
    break;

  case 1180:

/* Line 1455 of yacc.c  */
#line 7212 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("as"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1181:

/* Line 1455 of yacc.c  */
#line 7216 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1182:

/* Line 1455 of yacc.c  */
#line 7220 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1183:

/* Line 1455 of yacc.c  */
#line 7228 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("full"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1184:

/* Line 1455 of yacc.c  */
#line 7232 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("left"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1185:

/* Line 1455 of yacc.c  */
#line 7236 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("right"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1186:

/* Line 1455 of yacc.c  */
#line 7240 "preproc.y"
    { 
 (yyval.str) = make_str("inner");
;}
    break;

  case 1187:

/* Line 1455 of yacc.c  */
#line 7248 "preproc.y"
    { 
 (yyval.str) = make_str("outer");
;}
    break;

  case 1188:

/* Line 1455 of yacc.c  */
#line 7252 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1189:

/* Line 1455 of yacc.c  */
#line 7259 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("using ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1190:

/* Line 1455 of yacc.c  */
#line 7263 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("on"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1191:

/* Line 1455 of yacc.c  */
#line 7271 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1192:

/* Line 1455 of yacc.c  */
#line 7275 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("*"));
;}
    break;

  case 1193:

/* Line 1455 of yacc.c  */
#line 7279 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("only"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1194:

/* Line 1455 of yacc.c  */
#line 7283 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("only ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1195:

/* Line 1455 of yacc.c  */
#line 7291 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1196:

/* Line 1455 of yacc.c  */
#line 7295 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1197:

/* Line 1455 of yacc.c  */
#line 7303 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1198:

/* Line 1455 of yacc.c  */
#line 7307 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1199:

/* Line 1455 of yacc.c  */
#line 7311 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1200:

/* Line 1455 of yacc.c  */
#line 7319 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1201:

/* Line 1455 of yacc.c  */
#line 7327 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("where"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1202:

/* Line 1455 of yacc.c  */
#line 7331 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1203:

/* Line 1455 of yacc.c  */
#line 7338 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("where"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1204:

/* Line 1455 of yacc.c  */
#line 7342 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("where current of"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1205:

/* Line 1455 of yacc.c  */
#line 7346 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("where current of"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1206:

/* Line 1455 of yacc.c  */
#line 7350 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1207:

/* Line 1455 of yacc.c  */
#line 7357 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1208:

/* Line 1455 of yacc.c  */
#line 7361 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1209:

/* Line 1455 of yacc.c  */
#line 7369 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1210:

/* Line 1455 of yacc.c  */
#line 7377 "preproc.y"
    {	(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].index).str); ;}
    break;

  case 1211:

/* Line 1455 of yacc.c  */
#line 7379 "preproc.y"
    {	(yyval.str) = (yyval.str) = cat_str(3, make_str("setof"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].index).str); ;}
    break;

  case 1212:

/* Line 1455 of yacc.c  */
#line 7381 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),make_str("array ["),(yyvsp[(4) - (5)].str),make_str("]"));
;}
    break;

  case 1213:

/* Line 1455 of yacc.c  */
#line 7385 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("setof"),(yyvsp[(2) - (6)].str),make_str("array ["),(yyvsp[(5) - (6)].str),make_str("]"));
;}
    break;

  case 1214:

/* Line 1455 of yacc.c  */
#line 7389 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("array"));
;}
    break;

  case 1215:

/* Line 1455 of yacc.c  */
#line 7393 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("setof"),(yyvsp[(2) - (3)].str),make_str("array"));
;}
    break;

  case 1216:

/* Line 1455 of yacc.c  */
#line 7401 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (3)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (3)].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = make_str("0");
		else if (strcmp((yyvsp[(1) - (3)].index).index2, "-1") == 0)
			(yyval.index).index2 = make_str("0");
		(yyval.index).str = cat_str(2, (yyvsp[(1) - (3)].index).str, make_str("[]"));
	;}
    break;

  case 1217:

/* Line 1455 of yacc.c  */
#line 7411 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (4)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (4)].index).index2;
		if (strcmp((yyvsp[(1) - (4)].index).index1, "-1") == 0)
			(yyval.index).index1 = strdup((yyvsp[(3) - (4)].str));
		else if (strcmp((yyvsp[(1) - (4)].index).index2, "-1") == 0)
			(yyval.index).index2 = strdup((yyvsp[(3) - (4)].str));
		(yyval.index).str = cat_str(4, (yyvsp[(1) - (4)].index).str, make_str("["), (yyvsp[(3) - (4)].str), make_str("]"));
	;}
    break;

  case 1218:

/* Line 1455 of yacc.c  */
#line 7421 "preproc.y"
    {
		(yyval.index).index1 = make_str("-1");
		(yyval.index).index2 = make_str("-1");
		(yyval.index).str= EMPTY;
	;}
    break;

  case 1219:

/* Line 1455 of yacc.c  */
#line 7431 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1220:

/* Line 1455 of yacc.c  */
#line 7435 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1221:

/* Line 1455 of yacc.c  */
#line 7439 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1222:

/* Line 1455 of yacc.c  */
#line 7443 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1223:

/* Line 1455 of yacc.c  */
#line 7447 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1224:

/* Line 1455 of yacc.c  */
#line 7451 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1225:

/* Line 1455 of yacc.c  */
#line 7455 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1226:

/* Line 1455 of yacc.c  */
#line 7463 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1227:

/* Line 1455 of yacc.c  */
#line 7467 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1228:

/* Line 1455 of yacc.c  */
#line 7471 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1229:

/* Line 1455 of yacc.c  */
#line 7475 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1230:

/* Line 1455 of yacc.c  */
#line 7483 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1231:

/* Line 1455 of yacc.c  */
#line 7487 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1232:

/* Line 1455 of yacc.c  */
#line 7495 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 1233:

/* Line 1455 of yacc.c  */
#line 7499 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1234:

/* Line 1455 of yacc.c  */
#line 7506 "preproc.y"
    { 
 (yyval.str) = make_str("int");
;}
    break;

  case 1235:

/* Line 1455 of yacc.c  */
#line 7510 "preproc.y"
    { 
 (yyval.str) = make_str("integer");
;}
    break;

  case 1236:

/* Line 1455 of yacc.c  */
#line 7514 "preproc.y"
    { 
 (yyval.str) = make_str("smallint");
;}
    break;

  case 1237:

/* Line 1455 of yacc.c  */
#line 7518 "preproc.y"
    { 
 (yyval.str) = make_str("bigint");
;}
    break;

  case 1238:

/* Line 1455 of yacc.c  */
#line 7522 "preproc.y"
    { 
 (yyval.str) = make_str("real");
;}
    break;

  case 1239:

/* Line 1455 of yacc.c  */
#line 7526 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("float"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1240:

/* Line 1455 of yacc.c  */
#line 7530 "preproc.y"
    { 
 (yyval.str) = make_str("double precision");
;}
    break;

  case 1241:

/* Line 1455 of yacc.c  */
#line 7534 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("decimal"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1242:

/* Line 1455 of yacc.c  */
#line 7538 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("dec"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1243:

/* Line 1455 of yacc.c  */
#line 7542 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("numeric"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1244:

/* Line 1455 of yacc.c  */
#line 7546 "preproc.y"
    { 
 (yyval.str) = make_str("boolean");
;}
    break;

  case 1245:

/* Line 1455 of yacc.c  */
#line 7554 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 1246:

/* Line 1455 of yacc.c  */
#line 7558 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1247:

/* Line 1455 of yacc.c  */
#line 7565 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1248:

/* Line 1455 of yacc.c  */
#line 7569 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1249:

/* Line 1455 of yacc.c  */
#line 7577 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1250:

/* Line 1455 of yacc.c  */
#line 7581 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1251:

/* Line 1455 of yacc.c  */
#line 7589 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("bit"),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
;}
    break;

  case 1252:

/* Line 1455 of yacc.c  */
#line 7597 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("bit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1253:

/* Line 1455 of yacc.c  */
#line 7605 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1254:

/* Line 1455 of yacc.c  */
#line 7609 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1255:

/* Line 1455 of yacc.c  */
#line 7617 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1256:

/* Line 1455 of yacc.c  */
#line 7621 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1257:

/* Line 1455 of yacc.c  */
#line 7629 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1258:

/* Line 1455 of yacc.c  */
#line 7637 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1259:

/* Line 1455 of yacc.c  */
#line 7645 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("character"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1260:

/* Line 1455 of yacc.c  */
#line 7649 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("char"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1261:

/* Line 1455 of yacc.c  */
#line 7653 "preproc.y"
    { 
 (yyval.str) = make_str("varchar");
;}
    break;

  case 1262:

/* Line 1455 of yacc.c  */
#line 7657 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("national character"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1263:

/* Line 1455 of yacc.c  */
#line 7661 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("national char"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1264:

/* Line 1455 of yacc.c  */
#line 7665 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("nchar"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1265:

/* Line 1455 of yacc.c  */
#line 7673 "preproc.y"
    { 
 (yyval.str) = make_str("varying");
;}
    break;

  case 1266:

/* Line 1455 of yacc.c  */
#line 7677 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1267:

/* Line 1455 of yacc.c  */
#line 7684 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("character set"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1268:

/* Line 1455 of yacc.c  */
#line 7688 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1269:

/* Line 1455 of yacc.c  */
#line 7695 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("timestamp ("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1270:

/* Line 1455 of yacc.c  */
#line 7699 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("timestamp"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1271:

/* Line 1455 of yacc.c  */
#line 7703 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("time ("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1272:

/* Line 1455 of yacc.c  */
#line 7707 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("time"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1273:

/* Line 1455 of yacc.c  */
#line 7715 "preproc.y"
    { 
 (yyval.str) = make_str("interval");
;}
    break;

  case 1274:

/* Line 1455 of yacc.c  */
#line 7723 "preproc.y"
    { 
 (yyval.str) = make_str("with time zone");
;}
    break;

  case 1275:

/* Line 1455 of yacc.c  */
#line 7727 "preproc.y"
    { 
 (yyval.str) = make_str("without time zone");
;}
    break;

  case 1276:

/* Line 1455 of yacc.c  */
#line 7731 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1277:

/* Line 1455 of yacc.c  */
#line 7738 "preproc.y"
    { 
 (yyval.str) = make_str("year");
;}
    break;

  case 1278:

/* Line 1455 of yacc.c  */
#line 7742 "preproc.y"
    { 
 (yyval.str) = make_str("month");
;}
    break;

  case 1279:

/* Line 1455 of yacc.c  */
#line 7746 "preproc.y"
    { 
 (yyval.str) = make_str("day");
;}
    break;

  case 1280:

/* Line 1455 of yacc.c  */
#line 7750 "preproc.y"
    { 
 (yyval.str) = make_str("hour");
;}
    break;

  case 1281:

/* Line 1455 of yacc.c  */
#line 7754 "preproc.y"
    { 
 (yyval.str) = make_str("minute");
;}
    break;

  case 1282:

/* Line 1455 of yacc.c  */
#line 7758 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1283:

/* Line 1455 of yacc.c  */
#line 7762 "preproc.y"
    { 
 (yyval.str) = make_str("year to month");
;}
    break;

  case 1284:

/* Line 1455 of yacc.c  */
#line 7766 "preproc.y"
    { 
 (yyval.str) = make_str("day to hour");
;}
    break;

  case 1285:

/* Line 1455 of yacc.c  */
#line 7770 "preproc.y"
    { 
 (yyval.str) = make_str("day to minute");
;}
    break;

  case 1286:

/* Line 1455 of yacc.c  */
#line 7774 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("day to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1287:

/* Line 1455 of yacc.c  */
#line 7778 "preproc.y"
    { 
 (yyval.str) = make_str("hour to minute");
;}
    break;

  case 1288:

/* Line 1455 of yacc.c  */
#line 7782 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("hour to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1289:

/* Line 1455 of yacc.c  */
#line 7786 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("minute to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1290:

/* Line 1455 of yacc.c  */
#line 7790 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1291:

/* Line 1455 of yacc.c  */
#line 7797 "preproc.y"
    { 
 (yyval.str) = make_str("second");
;}
    break;

  case 1292:

/* Line 1455 of yacc.c  */
#line 7801 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("second ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1293:

/* Line 1455 of yacc.c  */
#line 7809 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1294:

/* Line 1455 of yacc.c  */
#line 7813 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("::"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1295:

/* Line 1455 of yacc.c  */
#line 7817 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("at time zone"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1296:

/* Line 1455 of yacc.c  */
#line 7821 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1297:

/* Line 1455 of yacc.c  */
#line 7825 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1298:

/* Line 1455 of yacc.c  */
#line 7829 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("+"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1299:

/* Line 1455 of yacc.c  */
#line 7833 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("-"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1300:

/* Line 1455 of yacc.c  */
#line 7837 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("*"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1301:

/* Line 1455 of yacc.c  */
#line 7841 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("/"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1302:

/* Line 1455 of yacc.c  */
#line 7845 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("%"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1303:

/* Line 1455 of yacc.c  */
#line 7849 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("^"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1304:

/* Line 1455 of yacc.c  */
#line 7853 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("<"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1305:

/* Line 1455 of yacc.c  */
#line 7857 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(">"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1306:

/* Line 1455 of yacc.c  */
#line 7861 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1307:

/* Line 1455 of yacc.c  */
#line 7865 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1308:

/* Line 1455 of yacc.c  */
#line 7869 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1309:

/* Line 1455 of yacc.c  */
#line 7873 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1310:

/* Line 1455 of yacc.c  */
#line 7877 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("and"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1311:

/* Line 1455 of yacc.c  */
#line 7881 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("or"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1312:

/* Line 1455 of yacc.c  */
#line 7885 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("not"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1313:

/* Line 1455 of yacc.c  */
#line 7889 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("like"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1314:

/* Line 1455 of yacc.c  */
#line 7893 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("like"),(yyvsp[(3) - (5)].str),make_str("escape"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1315:

/* Line 1455 of yacc.c  */
#line 7897 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("not like"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1316:

/* Line 1455 of yacc.c  */
#line 7901 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("not like"),(yyvsp[(4) - (6)].str),make_str("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1317:

/* Line 1455 of yacc.c  */
#line 7905 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("ilike"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1318:

/* Line 1455 of yacc.c  */
#line 7909 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("ilike"),(yyvsp[(3) - (5)].str),make_str("escape"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1319:

/* Line 1455 of yacc.c  */
#line 7913 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("not ilike"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1320:

/* Line 1455 of yacc.c  */
#line 7917 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("not ilike"),(yyvsp[(4) - (6)].str),make_str("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1321:

/* Line 1455 of yacc.c  */
#line 7921 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("similar to"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1322:

/* Line 1455 of yacc.c  */
#line 7925 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("similar to"),(yyvsp[(4) - (6)].str),make_str("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1323:

/* Line 1455 of yacc.c  */
#line 7929 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("not similar to"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1324:

/* Line 1455 of yacc.c  */
#line 7933 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),make_str("not similar to"),(yyvsp[(5) - (7)].str),make_str("escape"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1325:

/* Line 1455 of yacc.c  */
#line 7937 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is null"));
;}
    break;

  case 1326:

/* Line 1455 of yacc.c  */
#line 7941 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("isnull"));
;}
    break;

  case 1327:

/* Line 1455 of yacc.c  */
#line 7945 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not null"));
;}
    break;

  case 1328:

/* Line 1455 of yacc.c  */
#line 7949 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("notnull"));
;}
    break;

  case 1329:

/* Line 1455 of yacc.c  */
#line 7953 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("overlaps"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1330:

/* Line 1455 of yacc.c  */
#line 7957 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is true"));
;}
    break;

  case 1331:

/* Line 1455 of yacc.c  */
#line 7961 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not true"));
;}
    break;

  case 1332:

/* Line 1455 of yacc.c  */
#line 7965 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is false"));
;}
    break;

  case 1333:

/* Line 1455 of yacc.c  */
#line 7969 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not false"));
;}
    break;

  case 1334:

/* Line 1455 of yacc.c  */
#line 7973 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is unknown"));
;}
    break;

  case 1335:

/* Line 1455 of yacc.c  */
#line 7977 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not unknown"));
;}
    break;

  case 1336:

/* Line 1455 of yacc.c  */
#line 7981 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("is distinct from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1337:

/* Line 1455 of yacc.c  */
#line 7985 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),make_str("is not distinct from"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1338:

/* Line 1455 of yacc.c  */
#line 7989 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),make_str("is of ("),(yyvsp[(5) - (6)].str),make_str(")"));
;}
    break;

  case 1339:

/* Line 1455 of yacc.c  */
#line 7993 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),make_str("is not of ("),(yyvsp[(6) - (7)].str),make_str(")"));
;}
    break;

  case 1340:

/* Line 1455 of yacc.c  */
#line 7997 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),make_str("between"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str("and"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1341:

/* Line 1455 of yacc.c  */
#line 8001 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),make_str("not between"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str("and"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1342:

/* Line 1455 of yacc.c  */
#line 8005 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("between symmetric"),(yyvsp[(4) - (6)].str),make_str("and"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1343:

/* Line 1455 of yacc.c  */
#line 8009 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),make_str("not between symmetric"),(yyvsp[(5) - (7)].str),make_str("and"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1344:

/* Line 1455 of yacc.c  */
#line 8013 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("in"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1345:

/* Line 1455 of yacc.c  */
#line 8017 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("not in"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1346:

/* Line 1455 of yacc.c  */
#line 8021 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1347:

/* Line 1455 of yacc.c  */
#line 8025 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("("),(yyvsp[(5) - (6)].str),make_str(")"));
;}
    break;

  case 1348:

/* Line 1455 of yacc.c  */
#line 8029 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,make_str("unique"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1349:

/* Line 1455 of yacc.c  */
#line 8034 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is document"));
;}
    break;

  case 1350:

/* Line 1455 of yacc.c  */
#line 8038 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not document"));
;}
    break;

  case 1351:

/* Line 1455 of yacc.c  */
#line 8046 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1352:

/* Line 1455 of yacc.c  */
#line 8050 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("::"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1353:

/* Line 1455 of yacc.c  */
#line 8054 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1354:

/* Line 1455 of yacc.c  */
#line 8058 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1355:

/* Line 1455 of yacc.c  */
#line 8062 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("+"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1356:

/* Line 1455 of yacc.c  */
#line 8066 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("-"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1357:

/* Line 1455 of yacc.c  */
#line 8070 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("*"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1358:

/* Line 1455 of yacc.c  */
#line 8074 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("/"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1359:

/* Line 1455 of yacc.c  */
#line 8078 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("%"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1360:

/* Line 1455 of yacc.c  */
#line 8082 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("^"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1361:

/* Line 1455 of yacc.c  */
#line 8086 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("<"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1362:

/* Line 1455 of yacc.c  */
#line 8090 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(">"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1363:

/* Line 1455 of yacc.c  */
#line 8094 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1364:

/* Line 1455 of yacc.c  */
#line 8098 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1365:

/* Line 1455 of yacc.c  */
#line 8102 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1366:

/* Line 1455 of yacc.c  */
#line 8106 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1367:

/* Line 1455 of yacc.c  */
#line 8110 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("is distinct from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1368:

/* Line 1455 of yacc.c  */
#line 8114 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),make_str("is not distinct from"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1369:

/* Line 1455 of yacc.c  */
#line 8118 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),make_str("is of ("),(yyvsp[(5) - (6)].str),make_str(")"));
;}
    break;

  case 1370:

/* Line 1455 of yacc.c  */
#line 8122 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),make_str("is not of ("),(yyvsp[(6) - (7)].str),make_str(")"));
;}
    break;

  case 1371:

/* Line 1455 of yacc.c  */
#line 8126 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is document"));
;}
    break;

  case 1372:

/* Line 1455 of yacc.c  */
#line 8130 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not document"));
;}
    break;

  case 1373:

/* Line 1455 of yacc.c  */
#line 8138 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1374:

/* Line 1455 of yacc.c  */
#line 8142 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1375:

/* Line 1455 of yacc.c  */
#line 8146 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1376:

/* Line 1455 of yacc.c  */
#line 8150 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("("),(yyvsp[(2) - (4)].str),make_str(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1377:

/* Line 1455 of yacc.c  */
#line 8154 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1378:

/* Line 1455 of yacc.c  */
#line 8158 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1379:

/* Line 1455 of yacc.c  */
#line 8162 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1380:

/* Line 1455 of yacc.c  */
#line 8166 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("exists"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1381:

/* Line 1455 of yacc.c  */
#line 8170 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("array"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1382:

/* Line 1455 of yacc.c  */
#line 8174 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("array"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1383:

/* Line 1455 of yacc.c  */
#line 8178 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1384:

/* Line 1455 of yacc.c  */
#line 8186 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("( )"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1385:

/* Line 1455 of yacc.c  */
#line 8190 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1386:

/* Line 1455 of yacc.c  */
#line 8194 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("( variadic"),(yyvsp[(4) - (6)].str),make_str(")"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1387:

/* Line 1455 of yacc.c  */
#line 8198 "preproc.y"
    { 
 (yyval.str) = cat_str(7,(yyvsp[(1) - (8)].str),make_str("("),(yyvsp[(3) - (8)].str),make_str(", variadic"),(yyvsp[(6) - (8)].str),make_str(")"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1388:

/* Line 1455 of yacc.c  */
#line 8202 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("( all"),(yyvsp[(4) - (6)].str),make_str(")"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1389:

/* Line 1455 of yacc.c  */
#line 8206 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("( distinct"),(yyvsp[(4) - (6)].str),make_str(")"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1390:

/* Line 1455 of yacc.c  */
#line 8210 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("( * )"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1391:

/* Line 1455 of yacc.c  */
#line 8214 "preproc.y"
    { 
 (yyval.str) = make_str("current_date");
;}
    break;

  case 1392:

/* Line 1455 of yacc.c  */
#line 8218 "preproc.y"
    { 
 (yyval.str) = make_str("current_time");
;}
    break;

  case 1393:

/* Line 1455 of yacc.c  */
#line 8222 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("current_time ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1394:

/* Line 1455 of yacc.c  */
#line 8226 "preproc.y"
    { 
 (yyval.str) = make_str("current_timestamp");
;}
    break;

  case 1395:

/* Line 1455 of yacc.c  */
#line 8230 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("current_timestamp ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1396:

/* Line 1455 of yacc.c  */
#line 8234 "preproc.y"
    { 
 (yyval.str) = make_str("localtime");
;}
    break;

  case 1397:

/* Line 1455 of yacc.c  */
#line 8238 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("localtime ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1398:

/* Line 1455 of yacc.c  */
#line 8242 "preproc.y"
    { 
 (yyval.str) = make_str("localtimestamp");
;}
    break;

  case 1399:

/* Line 1455 of yacc.c  */
#line 8246 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("localtimestamp ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1400:

/* Line 1455 of yacc.c  */
#line 8250 "preproc.y"
    { 
 (yyval.str) = make_str("current_role");
;}
    break;

  case 1401:

/* Line 1455 of yacc.c  */
#line 8254 "preproc.y"
    { 
 (yyval.str) = make_str("current_user");
;}
    break;

  case 1402:

/* Line 1455 of yacc.c  */
#line 8258 "preproc.y"
    { 
 (yyval.str) = make_str("session_user");
;}
    break;

  case 1403:

/* Line 1455 of yacc.c  */
#line 8262 "preproc.y"
    { 
 (yyval.str) = make_str("user");
;}
    break;

  case 1404:

/* Line 1455 of yacc.c  */
#line 8266 "preproc.y"
    { 
 (yyval.str) = make_str("current_catalog");
;}
    break;

  case 1405:

/* Line 1455 of yacc.c  */
#line 8270 "preproc.y"
    { 
 (yyval.str) = make_str("current_schema");
;}
    break;

  case 1406:

/* Line 1455 of yacc.c  */
#line 8274 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("cast ("),(yyvsp[(3) - (6)].str),make_str("as"),(yyvsp[(5) - (6)].str),make_str(")"));
;}
    break;

  case 1407:

/* Line 1455 of yacc.c  */
#line 8278 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("extract ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1408:

/* Line 1455 of yacc.c  */
#line 8282 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("overlay ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1409:

/* Line 1455 of yacc.c  */
#line 8286 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("position ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1410:

/* Line 1455 of yacc.c  */
#line 8290 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("substring ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1411:

/* Line 1455 of yacc.c  */
#line 8294 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("treat ("),(yyvsp[(3) - (6)].str),make_str("as"),(yyvsp[(5) - (6)].str),make_str(")"));
;}
    break;

  case 1412:

/* Line 1455 of yacc.c  */
#line 8298 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("trim ( both"),(yyvsp[(4) - (5)].str),make_str(")"));
;}
    break;

  case 1413:

/* Line 1455 of yacc.c  */
#line 8302 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("trim ( leading"),(yyvsp[(4) - (5)].str),make_str(")"));
;}
    break;

  case 1414:

/* Line 1455 of yacc.c  */
#line 8306 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("trim ( trailing"),(yyvsp[(4) - (5)].str),make_str(")"));
;}
    break;

  case 1415:

/* Line 1455 of yacc.c  */
#line 8310 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("trim ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1416:

/* Line 1455 of yacc.c  */
#line 8314 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("nullif ("),(yyvsp[(3) - (6)].str),make_str(","),(yyvsp[(5) - (6)].str),make_str(")"));
;}
    break;

  case 1417:

/* Line 1455 of yacc.c  */
#line 8318 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("coalesce ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1418:

/* Line 1455 of yacc.c  */
#line 8322 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("greatest ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1419:

/* Line 1455 of yacc.c  */
#line 8326 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("least ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1420:

/* Line 1455 of yacc.c  */
#line 8330 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("xmlconcat ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1421:

/* Line 1455 of yacc.c  */
#line 8334 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("xmlelement ( name"),(yyvsp[(4) - (5)].str),make_str(")"));
;}
    break;

  case 1422:

/* Line 1455 of yacc.c  */
#line 8338 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("xmlelement ( name"),(yyvsp[(4) - (7)].str),make_str(","),(yyvsp[(6) - (7)].str),make_str(")"));
;}
    break;

  case 1423:

/* Line 1455 of yacc.c  */
#line 8342 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("xmlelement ( name"),(yyvsp[(4) - (7)].str),make_str(","),(yyvsp[(6) - (7)].str),make_str(")"));
;}
    break;

  case 1424:

/* Line 1455 of yacc.c  */
#line 8346 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("xmlelement ( name"),(yyvsp[(4) - (9)].str),make_str(","),(yyvsp[(6) - (9)].str),make_str(","),(yyvsp[(8) - (9)].str),make_str(")"));
;}
    break;

  case 1425:

/* Line 1455 of yacc.c  */
#line 8350 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("xmlforest ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1426:

/* Line 1455 of yacc.c  */
#line 8354 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("xmlparse ("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),make_str(")"));
;}
    break;

  case 1427:

/* Line 1455 of yacc.c  */
#line 8358 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("xmlpi ( name"),(yyvsp[(4) - (5)].str),make_str(")"));
;}
    break;

  case 1428:

/* Line 1455 of yacc.c  */
#line 8362 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("xmlpi ( name"),(yyvsp[(4) - (7)].str),make_str(","),(yyvsp[(6) - (7)].str),make_str(")"));
;}
    break;

  case 1429:

/* Line 1455 of yacc.c  */
#line 8366 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("xmlroot ("),(yyvsp[(3) - (7)].str),make_str(","),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),make_str(")"));
;}
    break;

  case 1430:

/* Line 1455 of yacc.c  */
#line 8370 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("xmlserialize ("),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("as"),(yyvsp[(6) - (7)].str),make_str(")"));
;}
    break;

  case 1431:

/* Line 1455 of yacc.c  */
#line 8378 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1432:

/* Line 1455 of yacc.c  */
#line 8382 "preproc.y"
    { 
 (yyval.str) = make_str("version no value");
;}
    break;

  case 1433:

/* Line 1455 of yacc.c  */
#line 8390 "preproc.y"
    { 
 (yyval.str) = make_str(", standalone yes");
;}
    break;

  case 1434:

/* Line 1455 of yacc.c  */
#line 8394 "preproc.y"
    { 
 (yyval.str) = make_str(", standalone no");
;}
    break;

  case 1435:

/* Line 1455 of yacc.c  */
#line 8398 "preproc.y"
    { 
 (yyval.str) = make_str(", standalone no value");
;}
    break;

  case 1436:

/* Line 1455 of yacc.c  */
#line 8402 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1437:

/* Line 1455 of yacc.c  */
#line 8409 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("xmlattributes ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1438:

/* Line 1455 of yacc.c  */
#line 8417 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1439:

/* Line 1455 of yacc.c  */
#line 8421 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1440:

/* Line 1455 of yacc.c  */
#line 8429 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1441:

/* Line 1455 of yacc.c  */
#line 8433 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1442:

/* Line 1455 of yacc.c  */
#line 8441 "preproc.y"
    { 
 (yyval.str) = make_str("document");
;}
    break;

  case 1443:

/* Line 1455 of yacc.c  */
#line 8445 "preproc.y"
    { 
 (yyval.str) = make_str("content");
;}
    break;

  case 1444:

/* Line 1455 of yacc.c  */
#line 8453 "preproc.y"
    { 
 (yyval.str) = make_str("preserve whitespace");
;}
    break;

  case 1445:

/* Line 1455 of yacc.c  */
#line 8457 "preproc.y"
    { 
 (yyval.str) = make_str("strip whitespace");
;}
    break;

  case 1446:

/* Line 1455 of yacc.c  */
#line 8461 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1447:

/* Line 1455 of yacc.c  */
#line 8468 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("window"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1448:

/* Line 1455 of yacc.c  */
#line 8472 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1449:

/* Line 1455 of yacc.c  */
#line 8479 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1450:

/* Line 1455 of yacc.c  */
#line 8483 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1451:

/* Line 1455 of yacc.c  */
#line 8491 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1452:

/* Line 1455 of yacc.c  */
#line 8499 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("over"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1453:

/* Line 1455 of yacc.c  */
#line 8503 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("over"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1454:

/* Line 1455 of yacc.c  */
#line 8507 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1455:

/* Line 1455 of yacc.c  */
#line 8514 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("("),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),make_str(")"));
;}
    break;

  case 1456:

/* Line 1455 of yacc.c  */
#line 8522 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1457:

/* Line 1455 of yacc.c  */
#line 8526 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1458:

/* Line 1455 of yacc.c  */
#line 8533 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("partition by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1459:

/* Line 1455 of yacc.c  */
#line 8537 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1460:

/* Line 1455 of yacc.c  */
#line 8544 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("range"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1461:

/* Line 1455 of yacc.c  */
#line 8548 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("rows"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1462:

/* Line 1455 of yacc.c  */
#line 8552 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1463:

/* Line 1455 of yacc.c  */
#line 8559 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1464:

/* Line 1455 of yacc.c  */
#line 8564 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(4,make_str("between"),(yyvsp[(2) - (4)].str),make_str("and"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1465:

/* Line 1455 of yacc.c  */
#line 8573 "preproc.y"
    { 
 (yyval.str) = make_str("unbounded preceding");
;}
    break;

  case 1466:

/* Line 1455 of yacc.c  */
#line 8577 "preproc.y"
    { 
 (yyval.str) = make_str("unbounded following");
;}
    break;

  case 1467:

/* Line 1455 of yacc.c  */
#line 8581 "preproc.y"
    { 
 (yyval.str) = make_str("current row");
;}
    break;

  case 1468:

/* Line 1455 of yacc.c  */
#line 8589 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("row ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1469:

/* Line 1455 of yacc.c  */
#line 8593 "preproc.y"
    { 
 (yyval.str) = make_str("row ( )");
;}
    break;

  case 1470:

/* Line 1455 of yacc.c  */
#line 8597 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("("),(yyvsp[(2) - (5)].str),make_str(","),(yyvsp[(4) - (5)].str),make_str(")"));
;}
    break;

  case 1471:

/* Line 1455 of yacc.c  */
#line 8605 "preproc.y"
    { 
 (yyval.str) = make_str("any");
;}
    break;

  case 1472:

/* Line 1455 of yacc.c  */
#line 8609 "preproc.y"
    { 
 (yyval.str) = make_str("some");
;}
    break;

  case 1473:

/* Line 1455 of yacc.c  */
#line 8613 "preproc.y"
    { 
 (yyval.str) = make_str("all");
;}
    break;

  case 1474:

/* Line 1455 of yacc.c  */
#line 8621 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1475:

/* Line 1455 of yacc.c  */
#line 8625 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1476:

/* Line 1455 of yacc.c  */
#line 8633 "preproc.y"
    { 
 (yyval.str) = make_str("+");
;}
    break;

  case 1477:

/* Line 1455 of yacc.c  */
#line 8637 "preproc.y"
    { 
 (yyval.str) = make_str("-");
;}
    break;

  case 1478:

/* Line 1455 of yacc.c  */
#line 8641 "preproc.y"
    { 
 (yyval.str) = make_str("*");
;}
    break;

  case 1479:

/* Line 1455 of yacc.c  */
#line 8645 "preproc.y"
    { 
 (yyval.str) = make_str("/");
;}
    break;

  case 1480:

/* Line 1455 of yacc.c  */
#line 8649 "preproc.y"
    { 
 (yyval.str) = make_str("%");
;}
    break;

  case 1481:

/* Line 1455 of yacc.c  */
#line 8653 "preproc.y"
    { 
 (yyval.str) = make_str("^");
;}
    break;

  case 1482:

/* Line 1455 of yacc.c  */
#line 8657 "preproc.y"
    { 
 (yyval.str) = make_str("<");
;}
    break;

  case 1483:

/* Line 1455 of yacc.c  */
#line 8661 "preproc.y"
    { 
 (yyval.str) = make_str(">");
;}
    break;

  case 1484:

/* Line 1455 of yacc.c  */
#line 8665 "preproc.y"
    { 
 (yyval.str) = make_str("=");
;}
    break;

  case 1485:

/* Line 1455 of yacc.c  */
#line 8673 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1486:

/* Line 1455 of yacc.c  */
#line 8677 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("operator ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1487:

/* Line 1455 of yacc.c  */
#line 8685 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1488:

/* Line 1455 of yacc.c  */
#line 8689 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("operator ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1489:

/* Line 1455 of yacc.c  */
#line 8697 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1490:

/* Line 1455 of yacc.c  */
#line 8701 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("operator ("),(yyvsp[(3) - (4)].str),make_str(")"));
;}
    break;

  case 1491:

/* Line 1455 of yacc.c  */
#line 8705 "preproc.y"
    { 
 (yyval.str) = make_str("like");
;}
    break;

  case 1492:

/* Line 1455 of yacc.c  */
#line 8709 "preproc.y"
    { 
 (yyval.str) = make_str("not like");
;}
    break;

  case 1493:

/* Line 1455 of yacc.c  */
#line 8713 "preproc.y"
    { 
 (yyval.str) = make_str("ilike");
;}
    break;

  case 1494:

/* Line 1455 of yacc.c  */
#line 8717 "preproc.y"
    { 
 (yyval.str) = make_str("not ilike");
;}
    break;

  case 1495:

/* Line 1455 of yacc.c  */
#line 8725 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1496:

/* Line 1455 of yacc.c  */
#line 8729 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1497:

/* Line 1455 of yacc.c  */
#line 8737 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1498:

/* Line 1455 of yacc.c  */
#line 8741 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1499:

/* Line 1455 of yacc.c  */
#line 8749 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("["),(yyvsp[(2) - (3)].str),make_str("]"));
;}
    break;

  case 1500:

/* Line 1455 of yacc.c  */
#line 8753 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("["),(yyvsp[(2) - (3)].str),make_str("]"));
;}
    break;

  case 1501:

/* Line 1455 of yacc.c  */
#line 8757 "preproc.y"
    { 
 (yyval.str) = make_str("[ ]");
;}
    break;

  case 1502:

/* Line 1455 of yacc.c  */
#line 8765 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1503:

/* Line 1455 of yacc.c  */
#line 8769 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1504:

/* Line 1455 of yacc.c  */
#line 8777 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("from"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1505:

/* Line 1455 of yacc.c  */
#line 8781 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1506:

/* Line 1455 of yacc.c  */
#line 8788 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1507:

/* Line 1455 of yacc.c  */
#line 8792 "preproc.y"
    { 
 (yyval.str) = make_str("year");
;}
    break;

  case 1508:

/* Line 1455 of yacc.c  */
#line 8796 "preproc.y"
    { 
 (yyval.str) = make_str("month");
;}
    break;

  case 1509:

/* Line 1455 of yacc.c  */
#line 8800 "preproc.y"
    { 
 (yyval.str) = make_str("day");
;}
    break;

  case 1510:

/* Line 1455 of yacc.c  */
#line 8804 "preproc.y"
    { 
 (yyval.str) = make_str("hour");
;}
    break;

  case 1511:

/* Line 1455 of yacc.c  */
#line 8808 "preproc.y"
    { 
 (yyval.str) = make_str("minute");
;}
    break;

  case 1512:

/* Line 1455 of yacc.c  */
#line 8812 "preproc.y"
    { 
 (yyval.str) = make_str("second");
;}
    break;

  case 1513:

/* Line 1455 of yacc.c  */
#line 8816 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1514:

/* Line 1455 of yacc.c  */
#line 8824 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1515:

/* Line 1455 of yacc.c  */
#line 8828 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1516:

/* Line 1455 of yacc.c  */
#line 8836 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("placing"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1517:

/* Line 1455 of yacc.c  */
#line 8844 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("in"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1518:

/* Line 1455 of yacc.c  */
#line 8848 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1519:

/* Line 1455 of yacc.c  */
#line 8855 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1520:

/* Line 1455 of yacc.c  */
#line 8859 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1521:

/* Line 1455 of yacc.c  */
#line 8863 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1522:

/* Line 1455 of yacc.c  */
#line 8867 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1523:

/* Line 1455 of yacc.c  */
#line 8871 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1524:

/* Line 1455 of yacc.c  */
#line 8875 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1525:

/* Line 1455 of yacc.c  */
#line 8882 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1526:

/* Line 1455 of yacc.c  */
#line 8890 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("for"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1527:

/* Line 1455 of yacc.c  */
#line 8898 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("from"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1528:

/* Line 1455 of yacc.c  */
#line 8902 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1529:

/* Line 1455 of yacc.c  */
#line 8906 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1530:

/* Line 1455 of yacc.c  */
#line 8914 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1531:

/* Line 1455 of yacc.c  */
#line 8918 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 1532:

/* Line 1455 of yacc.c  */
#line 8926 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("case"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),make_str("end"));
;}
    break;

  case 1533:

/* Line 1455 of yacc.c  */
#line 8934 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1534:

/* Line 1455 of yacc.c  */
#line 8938 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1535:

/* Line 1455 of yacc.c  */
#line 8946 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("when"),(yyvsp[(2) - (4)].str),make_str("then"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1536:

/* Line 1455 of yacc.c  */
#line 8954 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("else"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1537:

/* Line 1455 of yacc.c  */
#line 8958 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1538:

/* Line 1455 of yacc.c  */
#line 8965 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1539:

/* Line 1455 of yacc.c  */
#line 8969 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1540:

/* Line 1455 of yacc.c  */
#line 8976 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1541:

/* Line 1455 of yacc.c  */
#line 8980 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1542:

/* Line 1455 of yacc.c  */
#line 8988 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("."),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1543:

/* Line 1455 of yacc.c  */
#line 8992 "preproc.y"
    { 
 (yyval.str) = make_str(". *");
;}
    break;

  case 1544:

/* Line 1455 of yacc.c  */
#line 8996 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("["),(yyvsp[(2) - (3)].str),make_str("]"));
;}
    break;

  case 1545:

/* Line 1455 of yacc.c  */
#line 9000 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("["),(yyvsp[(2) - (5)].str),make_str(":"),(yyvsp[(4) - (5)].str),make_str("]"));
;}
    break;

  case 1546:

/* Line 1455 of yacc.c  */
#line 9008 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1547:

/* Line 1455 of yacc.c  */
#line 9012 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1548:

/* Line 1455 of yacc.c  */
#line 9020 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1549:

/* Line 1455 of yacc.c  */
#line 9023 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1550:

/* Line 1455 of yacc.c  */
#line 9031 "preproc.y"
    { 
 (yyval.str) = make_str("asymmetric");
;}
    break;

  case 1551:

/* Line 1455 of yacc.c  */
#line 9035 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1552:

/* Line 1455 of yacc.c  */
#line 9042 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1553:

/* Line 1455 of yacc.c  */
#line 9046 "preproc.y"
    { 
 (yyval.str) = make_str("default");
;}
    break;

  case 1554:

/* Line 1455 of yacc.c  */
#line 9054 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1555:

/* Line 1455 of yacc.c  */
#line 9058 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1556:

/* Line 1455 of yacc.c  */
#line 9066 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
;}
    break;

  case 1557:

/* Line 1455 of yacc.c  */
#line 9074 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1558:

/* Line 1455 of yacc.c  */
#line 9078 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1559:

/* Line 1455 of yacc.c  */
#line 9086 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1560:

/* Line 1455 of yacc.c  */
#line 9090 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1561:

/* Line 1455 of yacc.c  */
#line 9094 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1562:

/* Line 1455 of yacc.c  */
#line 9098 "preproc.y"
    { 
 (yyval.str) = make_str("*");
;}
    break;

  case 1563:

/* Line 1455 of yacc.c  */
#line 9106 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1564:

/* Line 1455 of yacc.c  */
#line 9110 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1565:

/* Line 1455 of yacc.c  */
#line 9118 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1566:

/* Line 1455 of yacc.c  */
#line 9122 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1567:

/* Line 1455 of yacc.c  */
#line 9130 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1568:

/* Line 1455 of yacc.c  */
#line 9134 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1569:

/* Line 1455 of yacc.c  */
#line 9142 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1570:

/* Line 1455 of yacc.c  */
#line 9146 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1571:

/* Line 1455 of yacc.c  */
#line 9154 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1572:

/* Line 1455 of yacc.c  */
#line 9162 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1573:

/* Line 1455 of yacc.c  */
#line 9170 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1574:

/* Line 1455 of yacc.c  */
#line 9178 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1575:

/* Line 1455 of yacc.c  */
#line 9186 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1576:

/* Line 1455 of yacc.c  */
#line 9194 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1577:

/* Line 1455 of yacc.c  */
#line 9202 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1578:

/* Line 1455 of yacc.c  */
#line 9206 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1579:

/* Line 1455 of yacc.c  */
#line 9214 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1580:

/* Line 1455 of yacc.c  */
#line 9218 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1581:

/* Line 1455 of yacc.c  */
#line 9222 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1582:

/* Line 1455 of yacc.c  */
#line 9226 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1583:

/* Line 1455 of yacc.c  */
#line 9230 "preproc.y"
    { 
 (yyval.str) = make_str("xconst");
;}
    break;

  case 1584:

/* Line 1455 of yacc.c  */
#line 9234 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1585:

/* Line 1455 of yacc.c  */
#line 9238 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1586:

/* Line 1455 of yacc.c  */
#line 9242 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1587:

/* Line 1455 of yacc.c  */
#line 9246 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1588:

/* Line 1455 of yacc.c  */
#line 9250 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),make_str("("),(yyvsp[(3) - (6)].str),make_str(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1589:

/* Line 1455 of yacc.c  */
#line 9254 "preproc.y"
    { 
 (yyval.str) = make_str("true");
;}
    break;

  case 1590:

/* Line 1455 of yacc.c  */
#line 9258 "preproc.y"
    { 
 (yyval.str) = make_str("false");
;}
    break;

  case 1591:

/* Line 1455 of yacc.c  */
#line 9262 "preproc.y"
    { 
 (yyval.str) = make_str("null");
;}
    break;

  case 1592:

/* Line 1455 of yacc.c  */
#line 9265 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1593:

/* Line 1455 of yacc.c  */
#line 9266 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1594:

/* Line 1455 of yacc.c  */
#line 9272 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 1595:

/* Line 1455 of yacc.c  */
#line 9278 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1596:

/* Line 1455 of yacc.c  */
#line 9286 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1597:

/* Line 1455 of yacc.c  */
#line 9289 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1598:

/* Line 1455 of yacc.c  */
#line 9291 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1599:

/* Line 1455 of yacc.c  */
#line 9295 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1600:

/* Line 1455 of yacc.c  */
#line 9303 "preproc.y"
    { 
 (yyval.str) = make_str("abort");
;}
    break;

  case 1601:

/* Line 1455 of yacc.c  */
#line 9307 "preproc.y"
    { 
 (yyval.str) = make_str("absolute");
;}
    break;

  case 1602:

/* Line 1455 of yacc.c  */
#line 9311 "preproc.y"
    { 
 (yyval.str) = make_str("access");
;}
    break;

  case 1603:

/* Line 1455 of yacc.c  */
#line 9315 "preproc.y"
    { 
 (yyval.str) = make_str("action");
;}
    break;

  case 1604:

/* Line 1455 of yacc.c  */
#line 9319 "preproc.y"
    { 
 (yyval.str) = make_str("add");
;}
    break;

  case 1605:

/* Line 1455 of yacc.c  */
#line 9323 "preproc.y"
    { 
 (yyval.str) = make_str("admin");
;}
    break;

  case 1606:

/* Line 1455 of yacc.c  */
#line 9327 "preproc.y"
    { 
 (yyval.str) = make_str("after");
;}
    break;

  case 1607:

/* Line 1455 of yacc.c  */
#line 9331 "preproc.y"
    { 
 (yyval.str) = make_str("aggregate");
;}
    break;

  case 1608:

/* Line 1455 of yacc.c  */
#line 9335 "preproc.y"
    { 
 (yyval.str) = make_str("also");
;}
    break;

  case 1609:

/* Line 1455 of yacc.c  */
#line 9339 "preproc.y"
    { 
 (yyval.str) = make_str("alter");
;}
    break;

  case 1610:

/* Line 1455 of yacc.c  */
#line 9343 "preproc.y"
    { 
 (yyval.str) = make_str("always");
;}
    break;

  case 1611:

/* Line 1455 of yacc.c  */
#line 9347 "preproc.y"
    { 
 (yyval.str) = make_str("assertion");
;}
    break;

  case 1612:

/* Line 1455 of yacc.c  */
#line 9351 "preproc.y"
    { 
 (yyval.str) = make_str("assignment");
;}
    break;

  case 1613:

/* Line 1455 of yacc.c  */
#line 9355 "preproc.y"
    { 
 (yyval.str) = make_str("at");
;}
    break;

  case 1614:

/* Line 1455 of yacc.c  */
#line 9359 "preproc.y"
    { 
 (yyval.str) = make_str("backward");
;}
    break;

  case 1615:

/* Line 1455 of yacc.c  */
#line 9363 "preproc.y"
    { 
 (yyval.str) = make_str("before");
;}
    break;

  case 1616:

/* Line 1455 of yacc.c  */
#line 9367 "preproc.y"
    { 
 (yyval.str) = make_str("begin");
;}
    break;

  case 1617:

/* Line 1455 of yacc.c  */
#line 9371 "preproc.y"
    { 
 (yyval.str) = make_str("by");
;}
    break;

  case 1618:

/* Line 1455 of yacc.c  */
#line 9375 "preproc.y"
    { 
 (yyval.str) = make_str("cache");
;}
    break;

  case 1619:

/* Line 1455 of yacc.c  */
#line 9379 "preproc.y"
    { 
 (yyval.str) = make_str("called");
;}
    break;

  case 1620:

/* Line 1455 of yacc.c  */
#line 9383 "preproc.y"
    { 
 (yyval.str) = make_str("cascade");
;}
    break;

  case 1621:

/* Line 1455 of yacc.c  */
#line 9387 "preproc.y"
    { 
 (yyval.str) = make_str("cascaded");
;}
    break;

  case 1622:

/* Line 1455 of yacc.c  */
#line 9391 "preproc.y"
    { 
 (yyval.str) = make_str("catalog");
;}
    break;

  case 1623:

/* Line 1455 of yacc.c  */
#line 9395 "preproc.y"
    { 
 (yyval.str) = make_str("chain");
;}
    break;

  case 1624:

/* Line 1455 of yacc.c  */
#line 9399 "preproc.y"
    { 
 (yyval.str) = make_str("characteristics");
;}
    break;

  case 1625:

/* Line 1455 of yacc.c  */
#line 9403 "preproc.y"
    { 
 (yyval.str) = make_str("checkpoint");
;}
    break;

  case 1626:

/* Line 1455 of yacc.c  */
#line 9407 "preproc.y"
    { 
 (yyval.str) = make_str("class");
;}
    break;

  case 1627:

/* Line 1455 of yacc.c  */
#line 9411 "preproc.y"
    { 
 (yyval.str) = make_str("close");
;}
    break;

  case 1628:

/* Line 1455 of yacc.c  */
#line 9415 "preproc.y"
    { 
 (yyval.str) = make_str("cluster");
;}
    break;

  case 1629:

/* Line 1455 of yacc.c  */
#line 9419 "preproc.y"
    { 
 (yyval.str) = make_str("comment");
;}
    break;

  case 1630:

/* Line 1455 of yacc.c  */
#line 9423 "preproc.y"
    { 
 (yyval.str) = make_str("commit");
;}
    break;

  case 1631:

/* Line 1455 of yacc.c  */
#line 9427 "preproc.y"
    { 
 (yyval.str) = make_str("committed");
;}
    break;

  case 1632:

/* Line 1455 of yacc.c  */
#line 9431 "preproc.y"
    { 
 (yyval.str) = make_str("concurrently");
;}
    break;

  case 1633:

/* Line 1455 of yacc.c  */
#line 9435 "preproc.y"
    { 
 (yyval.str) = make_str("configuration");
;}
    break;

  case 1634:

/* Line 1455 of yacc.c  */
#line 9439 "preproc.y"
    { 
 (yyval.str) = make_str("constraints");
;}
    break;

  case 1635:

/* Line 1455 of yacc.c  */
#line 9443 "preproc.y"
    { 
 (yyval.str) = make_str("content");
;}
    break;

  case 1636:

/* Line 1455 of yacc.c  */
#line 9447 "preproc.y"
    { 
 (yyval.str) = make_str("continue");
;}
    break;

  case 1637:

/* Line 1455 of yacc.c  */
#line 9451 "preproc.y"
    { 
 (yyval.str) = make_str("conversion");
;}
    break;

  case 1638:

/* Line 1455 of yacc.c  */
#line 9455 "preproc.y"
    { 
 (yyval.str) = make_str("copy");
;}
    break;

  case 1639:

/* Line 1455 of yacc.c  */
#line 9459 "preproc.y"
    { 
 (yyval.str) = make_str("cost");
;}
    break;

  case 1640:

/* Line 1455 of yacc.c  */
#line 9463 "preproc.y"
    { 
 (yyval.str) = make_str("createdb");
;}
    break;

  case 1641:

/* Line 1455 of yacc.c  */
#line 9467 "preproc.y"
    { 
 (yyval.str) = make_str("createrole");
;}
    break;

  case 1642:

/* Line 1455 of yacc.c  */
#line 9471 "preproc.y"
    { 
 (yyval.str) = make_str("createuser");
;}
    break;

  case 1643:

/* Line 1455 of yacc.c  */
#line 9475 "preproc.y"
    { 
 (yyval.str) = make_str("csv");
;}
    break;

  case 1644:

/* Line 1455 of yacc.c  */
#line 9479 "preproc.y"
    { 
 (yyval.str) = make_str("cursor");
;}
    break;

  case 1645:

/* Line 1455 of yacc.c  */
#line 9483 "preproc.y"
    { 
 (yyval.str) = make_str("cycle");
;}
    break;

  case 1646:

/* Line 1455 of yacc.c  */
#line 9487 "preproc.y"
    { 
 (yyval.str) = make_str("data");
;}
    break;

  case 1647:

/* Line 1455 of yacc.c  */
#line 9491 "preproc.y"
    { 
 (yyval.str) = make_str("database");
;}
    break;

  case 1648:

/* Line 1455 of yacc.c  */
#line 9495 "preproc.y"
    { 
 (yyval.str) = make_str("deallocate");
;}
    break;

  case 1649:

/* Line 1455 of yacc.c  */
#line 9499 "preproc.y"
    { 
 (yyval.str) = make_str("declare");
;}
    break;

  case 1650:

/* Line 1455 of yacc.c  */
#line 9503 "preproc.y"
    { 
 (yyval.str) = make_str("defaults");
;}
    break;

  case 1651:

/* Line 1455 of yacc.c  */
#line 9507 "preproc.y"
    { 
 (yyval.str) = make_str("deferred");
;}
    break;

  case 1652:

/* Line 1455 of yacc.c  */
#line 9511 "preproc.y"
    { 
 (yyval.str) = make_str("definer");
;}
    break;

  case 1653:

/* Line 1455 of yacc.c  */
#line 9515 "preproc.y"
    { 
 (yyval.str) = make_str("delete");
;}
    break;

  case 1654:

/* Line 1455 of yacc.c  */
#line 9519 "preproc.y"
    { 
 (yyval.str) = make_str("delimiter");
;}
    break;

  case 1655:

/* Line 1455 of yacc.c  */
#line 9523 "preproc.y"
    { 
 (yyval.str) = make_str("delimiters");
;}
    break;

  case 1656:

/* Line 1455 of yacc.c  */
#line 9527 "preproc.y"
    { 
 (yyval.str) = make_str("dictionary");
;}
    break;

  case 1657:

/* Line 1455 of yacc.c  */
#line 9531 "preproc.y"
    { 
 (yyval.str) = make_str("disable");
;}
    break;

  case 1658:

/* Line 1455 of yacc.c  */
#line 9535 "preproc.y"
    { 
 (yyval.str) = make_str("discard");
;}
    break;

  case 1659:

/* Line 1455 of yacc.c  */
#line 9539 "preproc.y"
    { 
 (yyval.str) = make_str("document");
;}
    break;

  case 1660:

/* Line 1455 of yacc.c  */
#line 9543 "preproc.y"
    { 
 (yyval.str) = make_str("domain");
;}
    break;

  case 1661:

/* Line 1455 of yacc.c  */
#line 9547 "preproc.y"
    { 
 (yyval.str) = make_str("double");
;}
    break;

  case 1662:

/* Line 1455 of yacc.c  */
#line 9551 "preproc.y"
    { 
 (yyval.str) = make_str("drop");
;}
    break;

  case 1663:

/* Line 1455 of yacc.c  */
#line 9555 "preproc.y"
    { 
 (yyval.str) = make_str("each");
;}
    break;

  case 1664:

/* Line 1455 of yacc.c  */
#line 9559 "preproc.y"
    { 
 (yyval.str) = make_str("enable");
;}
    break;

  case 1665:

/* Line 1455 of yacc.c  */
#line 9563 "preproc.y"
    { 
 (yyval.str) = make_str("encoding");
;}
    break;

  case 1666:

/* Line 1455 of yacc.c  */
#line 9567 "preproc.y"
    { 
 (yyval.str) = make_str("encrypted");
;}
    break;

  case 1667:

/* Line 1455 of yacc.c  */
#line 9571 "preproc.y"
    { 
 (yyval.str) = make_str("enum");
;}
    break;

  case 1668:

/* Line 1455 of yacc.c  */
#line 9575 "preproc.y"
    { 
 (yyval.str) = make_str("escape");
;}
    break;

  case 1669:

/* Line 1455 of yacc.c  */
#line 9579 "preproc.y"
    { 
 (yyval.str) = make_str("excluding");
;}
    break;

  case 1670:

/* Line 1455 of yacc.c  */
#line 9583 "preproc.y"
    { 
 (yyval.str) = make_str("exclusive");
;}
    break;

  case 1671:

/* Line 1455 of yacc.c  */
#line 9587 "preproc.y"
    { 
 (yyval.str) = make_str("execute");
;}
    break;

  case 1672:

/* Line 1455 of yacc.c  */
#line 9591 "preproc.y"
    { 
 (yyval.str) = make_str("explain");
;}
    break;

  case 1673:

/* Line 1455 of yacc.c  */
#line 9595 "preproc.y"
    { 
 (yyval.str) = make_str("external");
;}
    break;

  case 1674:

/* Line 1455 of yacc.c  */
#line 9599 "preproc.y"
    { 
 (yyval.str) = make_str("family");
;}
    break;

  case 1675:

/* Line 1455 of yacc.c  */
#line 9603 "preproc.y"
    { 
 (yyval.str) = make_str("first");
;}
    break;

  case 1676:

/* Line 1455 of yacc.c  */
#line 9607 "preproc.y"
    { 
 (yyval.str) = make_str("following");
;}
    break;

  case 1677:

/* Line 1455 of yacc.c  */
#line 9611 "preproc.y"
    { 
 (yyval.str) = make_str("force");
;}
    break;

  case 1678:

/* Line 1455 of yacc.c  */
#line 9615 "preproc.y"
    { 
 (yyval.str) = make_str("forward");
;}
    break;

  case 1679:

/* Line 1455 of yacc.c  */
#line 9619 "preproc.y"
    { 
 (yyval.str) = make_str("function");
;}
    break;

  case 1680:

/* Line 1455 of yacc.c  */
#line 9623 "preproc.y"
    { 
 (yyval.str) = make_str("global");
;}
    break;

  case 1681:

/* Line 1455 of yacc.c  */
#line 9627 "preproc.y"
    { 
 (yyval.str) = make_str("granted");
;}
    break;

  case 1682:

/* Line 1455 of yacc.c  */
#line 9631 "preproc.y"
    { 
 (yyval.str) = make_str("handler");
;}
    break;

  case 1683:

/* Line 1455 of yacc.c  */
#line 9635 "preproc.y"
    { 
 (yyval.str) = make_str("header");
;}
    break;

  case 1684:

/* Line 1455 of yacc.c  */
#line 9639 "preproc.y"
    { 
 (yyval.str) = make_str("hold");
;}
    break;

  case 1685:

/* Line 1455 of yacc.c  */
#line 9643 "preproc.y"
    { 
 (yyval.str) = make_str("identity");
;}
    break;

  case 1686:

/* Line 1455 of yacc.c  */
#line 9647 "preproc.y"
    { 
 (yyval.str) = make_str("if");
;}
    break;

  case 1687:

/* Line 1455 of yacc.c  */
#line 9651 "preproc.y"
    { 
 (yyval.str) = make_str("immediate");
;}
    break;

  case 1688:

/* Line 1455 of yacc.c  */
#line 9655 "preproc.y"
    { 
 (yyval.str) = make_str("immutable");
;}
    break;

  case 1689:

/* Line 1455 of yacc.c  */
#line 9659 "preproc.y"
    { 
 (yyval.str) = make_str("implicit");
;}
    break;

  case 1690:

/* Line 1455 of yacc.c  */
#line 9663 "preproc.y"
    { 
 (yyval.str) = make_str("including");
;}
    break;

  case 1691:

/* Line 1455 of yacc.c  */
#line 9667 "preproc.y"
    { 
 (yyval.str) = make_str("increment");
;}
    break;

  case 1692:

/* Line 1455 of yacc.c  */
#line 9671 "preproc.y"
    { 
 (yyval.str) = make_str("index");
;}
    break;

  case 1693:

/* Line 1455 of yacc.c  */
#line 9675 "preproc.y"
    { 
 (yyval.str) = make_str("indexes");
;}
    break;

  case 1694:

/* Line 1455 of yacc.c  */
#line 9679 "preproc.y"
    { 
 (yyval.str) = make_str("inherit");
;}
    break;

  case 1695:

/* Line 1455 of yacc.c  */
#line 9683 "preproc.y"
    { 
 (yyval.str) = make_str("inherits");
;}
    break;

  case 1696:

/* Line 1455 of yacc.c  */
#line 9687 "preproc.y"
    { 
 (yyval.str) = make_str("insensitive");
;}
    break;

  case 1697:

/* Line 1455 of yacc.c  */
#line 9691 "preproc.y"
    { 
 (yyval.str) = make_str("insert");
;}
    break;

  case 1698:

/* Line 1455 of yacc.c  */
#line 9695 "preproc.y"
    { 
 (yyval.str) = make_str("instead");
;}
    break;

  case 1699:

/* Line 1455 of yacc.c  */
#line 9699 "preproc.y"
    { 
 (yyval.str) = make_str("invoker");
;}
    break;

  case 1700:

/* Line 1455 of yacc.c  */
#line 9703 "preproc.y"
    { 
 (yyval.str) = make_str("isolation");
;}
    break;

  case 1701:

/* Line 1455 of yacc.c  */
#line 9707 "preproc.y"
    { 
 (yyval.str) = make_str("key");
;}
    break;

  case 1702:

/* Line 1455 of yacc.c  */
#line 9711 "preproc.y"
    { 
 (yyval.str) = make_str("lancompiler");
;}
    break;

  case 1703:

/* Line 1455 of yacc.c  */
#line 9715 "preproc.y"
    { 
 (yyval.str) = make_str("language");
;}
    break;

  case 1704:

/* Line 1455 of yacc.c  */
#line 9719 "preproc.y"
    { 
 (yyval.str) = make_str("large");
;}
    break;

  case 1705:

/* Line 1455 of yacc.c  */
#line 9723 "preproc.y"
    { 
 (yyval.str) = make_str("last");
;}
    break;

  case 1706:

/* Line 1455 of yacc.c  */
#line 9727 "preproc.y"
    { 
 (yyval.str) = make_str("lc_collate");
;}
    break;

  case 1707:

/* Line 1455 of yacc.c  */
#line 9731 "preproc.y"
    { 
 (yyval.str) = make_str("lc_ctype");
;}
    break;

  case 1708:

/* Line 1455 of yacc.c  */
#line 9735 "preproc.y"
    { 
 (yyval.str) = make_str("level");
;}
    break;

  case 1709:

/* Line 1455 of yacc.c  */
#line 9739 "preproc.y"
    { 
 (yyval.str) = make_str("listen");
;}
    break;

  case 1710:

/* Line 1455 of yacc.c  */
#line 9743 "preproc.y"
    { 
 (yyval.str) = make_str("load");
;}
    break;

  case 1711:

/* Line 1455 of yacc.c  */
#line 9747 "preproc.y"
    { 
 (yyval.str) = make_str("local");
;}
    break;

  case 1712:

/* Line 1455 of yacc.c  */
#line 9751 "preproc.y"
    { 
 (yyval.str) = make_str("location");
;}
    break;

  case 1713:

/* Line 1455 of yacc.c  */
#line 9755 "preproc.y"
    { 
 (yyval.str) = make_str("lock");
;}
    break;

  case 1714:

/* Line 1455 of yacc.c  */
#line 9759 "preproc.y"
    { 
 (yyval.str) = make_str("login");
;}
    break;

  case 1715:

/* Line 1455 of yacc.c  */
#line 9763 "preproc.y"
    { 
 (yyval.str) = make_str("mapping");
;}
    break;

  case 1716:

/* Line 1455 of yacc.c  */
#line 9767 "preproc.y"
    { 
 (yyval.str) = make_str("match");
;}
    break;

  case 1717:

/* Line 1455 of yacc.c  */
#line 9771 "preproc.y"
    { 
 (yyval.str) = make_str("maxvalue");
;}
    break;

  case 1718:

/* Line 1455 of yacc.c  */
#line 9775 "preproc.y"
    { 
 (yyval.str) = make_str("minvalue");
;}
    break;

  case 1719:

/* Line 1455 of yacc.c  */
#line 9779 "preproc.y"
    { 
 (yyval.str) = make_str("mode");
;}
    break;

  case 1720:

/* Line 1455 of yacc.c  */
#line 9783 "preproc.y"
    { 
 (yyval.str) = make_str("move");
;}
    break;

  case 1721:

/* Line 1455 of yacc.c  */
#line 9787 "preproc.y"
    { 
 (yyval.str) = make_str("name");
;}
    break;

  case 1722:

/* Line 1455 of yacc.c  */
#line 9791 "preproc.y"
    { 
 (yyval.str) = make_str("names");
;}
    break;

  case 1723:

/* Line 1455 of yacc.c  */
#line 9795 "preproc.y"
    { 
 (yyval.str) = make_str("next");
;}
    break;

  case 1724:

/* Line 1455 of yacc.c  */
#line 9799 "preproc.y"
    { 
 (yyval.str) = make_str("no");
;}
    break;

  case 1725:

/* Line 1455 of yacc.c  */
#line 9803 "preproc.y"
    { 
 (yyval.str) = make_str("nocreatedb");
;}
    break;

  case 1726:

/* Line 1455 of yacc.c  */
#line 9807 "preproc.y"
    { 
 (yyval.str) = make_str("nocreaterole");
;}
    break;

  case 1727:

/* Line 1455 of yacc.c  */
#line 9811 "preproc.y"
    { 
 (yyval.str) = make_str("nocreateuser");
;}
    break;

  case 1728:

/* Line 1455 of yacc.c  */
#line 9815 "preproc.y"
    { 
 (yyval.str) = make_str("noinherit");
;}
    break;

  case 1729:

/* Line 1455 of yacc.c  */
#line 9819 "preproc.y"
    { 
 (yyval.str) = make_str("nologin");
;}
    break;

  case 1730:

/* Line 1455 of yacc.c  */
#line 9823 "preproc.y"
    { 
 (yyval.str) = make_str("nosuperuser");
;}
    break;

  case 1731:

/* Line 1455 of yacc.c  */
#line 9827 "preproc.y"
    { 
 (yyval.str) = make_str("nothing");
;}
    break;

  case 1732:

/* Line 1455 of yacc.c  */
#line 9831 "preproc.y"
    { 
 (yyval.str) = make_str("notify");
;}
    break;

  case 1733:

/* Line 1455 of yacc.c  */
#line 9835 "preproc.y"
    { 
 (yyval.str) = make_str("nowait");
;}
    break;

  case 1734:

/* Line 1455 of yacc.c  */
#line 9839 "preproc.y"
    { 
 (yyval.str) = make_str("nulls");
;}
    break;

  case 1735:

/* Line 1455 of yacc.c  */
#line 9843 "preproc.y"
    { 
 (yyval.str) = make_str("object");
;}
    break;

  case 1736:

/* Line 1455 of yacc.c  */
#line 9847 "preproc.y"
    { 
 (yyval.str) = make_str("of");
;}
    break;

  case 1737:

/* Line 1455 of yacc.c  */
#line 9851 "preproc.y"
    { 
 (yyval.str) = make_str("oids");
;}
    break;

  case 1738:

/* Line 1455 of yacc.c  */
#line 9855 "preproc.y"
    { 
 (yyval.str) = make_str("operator");
;}
    break;

  case 1739:

/* Line 1455 of yacc.c  */
#line 9859 "preproc.y"
    { 
 (yyval.str) = make_str("option");
;}
    break;

  case 1740:

/* Line 1455 of yacc.c  */
#line 9863 "preproc.y"
    { 
 (yyval.str) = make_str("options");
;}
    break;

  case 1741:

/* Line 1455 of yacc.c  */
#line 9867 "preproc.y"
    { 
 (yyval.str) = make_str("owned");
;}
    break;

  case 1742:

/* Line 1455 of yacc.c  */
#line 9871 "preproc.y"
    { 
 (yyval.str) = make_str("owner");
;}
    break;

  case 1743:

/* Line 1455 of yacc.c  */
#line 9875 "preproc.y"
    { 
 (yyval.str) = make_str("parser");
;}
    break;

  case 1744:

/* Line 1455 of yacc.c  */
#line 9879 "preproc.y"
    { 
 (yyval.str) = make_str("partial");
;}
    break;

  case 1745:

/* Line 1455 of yacc.c  */
#line 9883 "preproc.y"
    { 
 (yyval.str) = make_str("partition");
;}
    break;

  case 1746:

/* Line 1455 of yacc.c  */
#line 9887 "preproc.y"
    { 
 (yyval.str) = make_str("password");
;}
    break;

  case 1747:

/* Line 1455 of yacc.c  */
#line 9891 "preproc.y"
    { 
 (yyval.str) = make_str("plans");
;}
    break;

  case 1748:

/* Line 1455 of yacc.c  */
#line 9895 "preproc.y"
    { 
 (yyval.str) = make_str("preceding");
;}
    break;

  case 1749:

/* Line 1455 of yacc.c  */
#line 9899 "preproc.y"
    { 
 (yyval.str) = make_str("prepare");
;}
    break;

  case 1750:

/* Line 1455 of yacc.c  */
#line 9903 "preproc.y"
    { 
 (yyval.str) = make_str("prepared");
;}
    break;

  case 1751:

/* Line 1455 of yacc.c  */
#line 9907 "preproc.y"
    { 
 (yyval.str) = make_str("preserve");
;}
    break;

  case 1752:

/* Line 1455 of yacc.c  */
#line 9911 "preproc.y"
    { 
 (yyval.str) = make_str("prior");
;}
    break;

  case 1753:

/* Line 1455 of yacc.c  */
#line 9915 "preproc.y"
    { 
 (yyval.str) = make_str("privileges");
;}
    break;

  case 1754:

/* Line 1455 of yacc.c  */
#line 9919 "preproc.y"
    { 
 (yyval.str) = make_str("procedural");
;}
    break;

  case 1755:

/* Line 1455 of yacc.c  */
#line 9923 "preproc.y"
    { 
 (yyval.str) = make_str("procedure");
;}
    break;

  case 1756:

/* Line 1455 of yacc.c  */
#line 9927 "preproc.y"
    { 
 (yyval.str) = make_str("quote");
;}
    break;

  case 1757:

/* Line 1455 of yacc.c  */
#line 9931 "preproc.y"
    { 
 (yyval.str) = make_str("range");
;}
    break;

  case 1758:

/* Line 1455 of yacc.c  */
#line 9935 "preproc.y"
    { 
 (yyval.str) = make_str("read");
;}
    break;

  case 1759:

/* Line 1455 of yacc.c  */
#line 9939 "preproc.y"
    { 
 (yyval.str) = make_str("reassign");
;}
    break;

  case 1760:

/* Line 1455 of yacc.c  */
#line 9943 "preproc.y"
    { 
 (yyval.str) = make_str("recheck");
;}
    break;

  case 1761:

/* Line 1455 of yacc.c  */
#line 9947 "preproc.y"
    { 
 (yyval.str) = make_str("recursive");
;}
    break;

  case 1762:

/* Line 1455 of yacc.c  */
#line 9951 "preproc.y"
    { 
 (yyval.str) = make_str("reindex");
;}
    break;

  case 1763:

/* Line 1455 of yacc.c  */
#line 9955 "preproc.y"
    { 
 (yyval.str) = make_str("relative");
;}
    break;

  case 1764:

/* Line 1455 of yacc.c  */
#line 9959 "preproc.y"
    { 
 (yyval.str) = make_str("release");
;}
    break;

  case 1765:

/* Line 1455 of yacc.c  */
#line 9963 "preproc.y"
    { 
 (yyval.str) = make_str("rename");
;}
    break;

  case 1766:

/* Line 1455 of yacc.c  */
#line 9967 "preproc.y"
    { 
 (yyval.str) = make_str("repeatable");
;}
    break;

  case 1767:

/* Line 1455 of yacc.c  */
#line 9971 "preproc.y"
    { 
 (yyval.str) = make_str("replace");
;}
    break;

  case 1768:

/* Line 1455 of yacc.c  */
#line 9975 "preproc.y"
    { 
 (yyval.str) = make_str("replica");
;}
    break;

  case 1769:

/* Line 1455 of yacc.c  */
#line 9979 "preproc.y"
    { 
 (yyval.str) = make_str("reset");
;}
    break;

  case 1770:

/* Line 1455 of yacc.c  */
#line 9983 "preproc.y"
    { 
 (yyval.str) = make_str("restart");
;}
    break;

  case 1771:

/* Line 1455 of yacc.c  */
#line 9987 "preproc.y"
    { 
 (yyval.str) = make_str("restrict");
;}
    break;

  case 1772:

/* Line 1455 of yacc.c  */
#line 9991 "preproc.y"
    { 
 (yyval.str) = make_str("returns");
;}
    break;

  case 1773:

/* Line 1455 of yacc.c  */
#line 9995 "preproc.y"
    { 
 (yyval.str) = make_str("revoke");
;}
    break;

  case 1774:

/* Line 1455 of yacc.c  */
#line 9999 "preproc.y"
    { 
 (yyval.str) = make_str("role");
;}
    break;

  case 1775:

/* Line 1455 of yacc.c  */
#line 10003 "preproc.y"
    { 
 (yyval.str) = make_str("rollback");
;}
    break;

  case 1776:

/* Line 1455 of yacc.c  */
#line 10007 "preproc.y"
    { 
 (yyval.str) = make_str("rows");
;}
    break;

  case 1777:

/* Line 1455 of yacc.c  */
#line 10011 "preproc.y"
    { 
 (yyval.str) = make_str("rule");
;}
    break;

  case 1778:

/* Line 1455 of yacc.c  */
#line 10015 "preproc.y"
    { 
 (yyval.str) = make_str("savepoint");
;}
    break;

  case 1779:

/* Line 1455 of yacc.c  */
#line 10019 "preproc.y"
    { 
 (yyval.str) = make_str("schema");
;}
    break;

  case 1780:

/* Line 1455 of yacc.c  */
#line 10023 "preproc.y"
    { 
 (yyval.str) = make_str("scroll");
;}
    break;

  case 1781:

/* Line 1455 of yacc.c  */
#line 10027 "preproc.y"
    { 
 (yyval.str) = make_str("search");
;}
    break;

  case 1782:

/* Line 1455 of yacc.c  */
#line 10031 "preproc.y"
    { 
 (yyval.str) = make_str("security");
;}
    break;

  case 1783:

/* Line 1455 of yacc.c  */
#line 10035 "preproc.y"
    { 
 (yyval.str) = make_str("sequence");
;}
    break;

  case 1784:

/* Line 1455 of yacc.c  */
#line 10039 "preproc.y"
    { 
 (yyval.str) = make_str("serializable");
;}
    break;

  case 1785:

/* Line 1455 of yacc.c  */
#line 10043 "preproc.y"
    { 
 (yyval.str) = make_str("server");
;}
    break;

  case 1786:

/* Line 1455 of yacc.c  */
#line 10047 "preproc.y"
    { 
 (yyval.str) = make_str("session");
;}
    break;

  case 1787:

/* Line 1455 of yacc.c  */
#line 10051 "preproc.y"
    { 
 (yyval.str) = make_str("set");
;}
    break;

  case 1788:

/* Line 1455 of yacc.c  */
#line 10055 "preproc.y"
    { 
 (yyval.str) = make_str("share");
;}
    break;

  case 1789:

/* Line 1455 of yacc.c  */
#line 10059 "preproc.y"
    { 
 (yyval.str) = make_str("show");
;}
    break;

  case 1790:

/* Line 1455 of yacc.c  */
#line 10063 "preproc.y"
    { 
 (yyval.str) = make_str("simple");
;}
    break;

  case 1791:

/* Line 1455 of yacc.c  */
#line 10067 "preproc.y"
    { 
 (yyval.str) = make_str("stable");
;}
    break;

  case 1792:

/* Line 1455 of yacc.c  */
#line 10071 "preproc.y"
    { 
 (yyval.str) = make_str("standalone");
;}
    break;

  case 1793:

/* Line 1455 of yacc.c  */
#line 10075 "preproc.y"
    { 
 (yyval.str) = make_str("start");
;}
    break;

  case 1794:

/* Line 1455 of yacc.c  */
#line 10079 "preproc.y"
    { 
 (yyval.str) = make_str("statement");
;}
    break;

  case 1795:

/* Line 1455 of yacc.c  */
#line 10083 "preproc.y"
    { 
 (yyval.str) = make_str("statistics");
;}
    break;

  case 1796:

/* Line 1455 of yacc.c  */
#line 10087 "preproc.y"
    { 
 (yyval.str) = make_str("stdin");
;}
    break;

  case 1797:

/* Line 1455 of yacc.c  */
#line 10091 "preproc.y"
    { 
 (yyval.str) = make_str("stdout");
;}
    break;

  case 1798:

/* Line 1455 of yacc.c  */
#line 10095 "preproc.y"
    { 
 (yyval.str) = make_str("storage");
;}
    break;

  case 1799:

/* Line 1455 of yacc.c  */
#line 10099 "preproc.y"
    { 
 (yyval.str) = make_str("strict");
;}
    break;

  case 1800:

/* Line 1455 of yacc.c  */
#line 10103 "preproc.y"
    { 
 (yyval.str) = make_str("strip");
;}
    break;

  case 1801:

/* Line 1455 of yacc.c  */
#line 10107 "preproc.y"
    { 
 (yyval.str) = make_str("superuser");
;}
    break;

  case 1802:

/* Line 1455 of yacc.c  */
#line 10111 "preproc.y"
    { 
 (yyval.str) = make_str("sysid");
;}
    break;

  case 1803:

/* Line 1455 of yacc.c  */
#line 10115 "preproc.y"
    { 
 (yyval.str) = make_str("system");
;}
    break;

  case 1804:

/* Line 1455 of yacc.c  */
#line 10119 "preproc.y"
    { 
 (yyval.str) = make_str("tablespace");
;}
    break;

  case 1805:

/* Line 1455 of yacc.c  */
#line 10123 "preproc.y"
    { 
 (yyval.str) = make_str("temp");
;}
    break;

  case 1806:

/* Line 1455 of yacc.c  */
#line 10127 "preproc.y"
    { 
 (yyval.str) = make_str("template");
;}
    break;

  case 1807:

/* Line 1455 of yacc.c  */
#line 10131 "preproc.y"
    { 
 (yyval.str) = make_str("temporary");
;}
    break;

  case 1808:

/* Line 1455 of yacc.c  */
#line 10135 "preproc.y"
    { 
 (yyval.str) = make_str("text");
;}
    break;

  case 1809:

/* Line 1455 of yacc.c  */
#line 10139 "preproc.y"
    { 
 (yyval.str) = make_str("transaction");
;}
    break;

  case 1810:

/* Line 1455 of yacc.c  */
#line 10143 "preproc.y"
    { 
 (yyval.str) = make_str("trigger");
;}
    break;

  case 1811:

/* Line 1455 of yacc.c  */
#line 10147 "preproc.y"
    { 
 (yyval.str) = make_str("truncate");
;}
    break;

  case 1812:

/* Line 1455 of yacc.c  */
#line 10151 "preproc.y"
    { 
 (yyval.str) = make_str("trusted");
;}
    break;

  case 1813:

/* Line 1455 of yacc.c  */
#line 10155 "preproc.y"
    { 
 (yyval.str) = make_str("type");
;}
    break;

  case 1814:

/* Line 1455 of yacc.c  */
#line 10159 "preproc.y"
    { 
 (yyval.str) = make_str("unbounded");
;}
    break;

  case 1815:

/* Line 1455 of yacc.c  */
#line 10163 "preproc.y"
    { 
 (yyval.str) = make_str("uncommitted");
;}
    break;

  case 1816:

/* Line 1455 of yacc.c  */
#line 10167 "preproc.y"
    { 
 (yyval.str) = make_str("unencrypted");
;}
    break;

  case 1817:

/* Line 1455 of yacc.c  */
#line 10171 "preproc.y"
    { 
 (yyval.str) = make_str("unknown");
;}
    break;

  case 1818:

/* Line 1455 of yacc.c  */
#line 10175 "preproc.y"
    { 
 (yyval.str) = make_str("unlisten");
;}
    break;

  case 1819:

/* Line 1455 of yacc.c  */
#line 10179 "preproc.y"
    { 
 (yyval.str) = make_str("until");
;}
    break;

  case 1820:

/* Line 1455 of yacc.c  */
#line 10183 "preproc.y"
    { 
 (yyval.str) = make_str("update");
;}
    break;

  case 1821:

/* Line 1455 of yacc.c  */
#line 10187 "preproc.y"
    { 
 (yyval.str) = make_str("vacuum");
;}
    break;

  case 1822:

/* Line 1455 of yacc.c  */
#line 10191 "preproc.y"
    { 
 (yyval.str) = make_str("valid");
;}
    break;

  case 1823:

/* Line 1455 of yacc.c  */
#line 10195 "preproc.y"
    { 
 (yyval.str) = make_str("validator");
;}
    break;

  case 1824:

/* Line 1455 of yacc.c  */
#line 10199 "preproc.y"
    { 
 (yyval.str) = make_str("value");
;}
    break;

  case 1825:

/* Line 1455 of yacc.c  */
#line 10203 "preproc.y"
    { 
 (yyval.str) = make_str("varying");
;}
    break;

  case 1826:

/* Line 1455 of yacc.c  */
#line 10207 "preproc.y"
    { 
 (yyval.str) = make_str("version");
;}
    break;

  case 1827:

/* Line 1455 of yacc.c  */
#line 10211 "preproc.y"
    { 
 (yyval.str) = make_str("view");
;}
    break;

  case 1828:

/* Line 1455 of yacc.c  */
#line 10215 "preproc.y"
    { 
 (yyval.str) = make_str("volatile");
;}
    break;

  case 1829:

/* Line 1455 of yacc.c  */
#line 10219 "preproc.y"
    { 
 (yyval.str) = make_str("whitespace");
;}
    break;

  case 1830:

/* Line 1455 of yacc.c  */
#line 10223 "preproc.y"
    { 
 (yyval.str) = make_str("without");
;}
    break;

  case 1831:

/* Line 1455 of yacc.c  */
#line 10227 "preproc.y"
    { 
 (yyval.str) = make_str("work");
;}
    break;

  case 1832:

/* Line 1455 of yacc.c  */
#line 10231 "preproc.y"
    { 
 (yyval.str) = make_str("wrapper");
;}
    break;

  case 1833:

/* Line 1455 of yacc.c  */
#line 10235 "preproc.y"
    { 
 (yyval.str) = make_str("write");
;}
    break;

  case 1834:

/* Line 1455 of yacc.c  */
#line 10239 "preproc.y"
    { 
 (yyval.str) = make_str("xml");
;}
    break;

  case 1835:

/* Line 1455 of yacc.c  */
#line 10243 "preproc.y"
    { 
 (yyval.str) = make_str("yes");
;}
    break;

  case 1836:

/* Line 1455 of yacc.c  */
#line 10247 "preproc.y"
    { 
 (yyval.str) = make_str("zone");
;}
    break;

  case 1837:

/* Line 1455 of yacc.c  */
#line 10255 "preproc.y"
    { 
 (yyval.str) = make_str("bigint");
;}
    break;

  case 1838:

/* Line 1455 of yacc.c  */
#line 10259 "preproc.y"
    { 
 (yyval.str) = make_str("bit");
;}
    break;

  case 1839:

/* Line 1455 of yacc.c  */
#line 10263 "preproc.y"
    { 
 (yyval.str) = make_str("boolean");
;}
    break;

  case 1840:

/* Line 1455 of yacc.c  */
#line 10267 "preproc.y"
    { 
 (yyval.str) = make_str("character");
;}
    break;

  case 1841:

/* Line 1455 of yacc.c  */
#line 10271 "preproc.y"
    { 
 (yyval.str) = make_str("coalesce");
;}
    break;

  case 1842:

/* Line 1455 of yacc.c  */
#line 10275 "preproc.y"
    { 
 (yyval.str) = make_str("dec");
;}
    break;

  case 1843:

/* Line 1455 of yacc.c  */
#line 10279 "preproc.y"
    { 
 (yyval.str) = make_str("decimal");
;}
    break;

  case 1844:

/* Line 1455 of yacc.c  */
#line 10283 "preproc.y"
    { 
 (yyval.str) = make_str("exists");
;}
    break;

  case 1845:

/* Line 1455 of yacc.c  */
#line 10287 "preproc.y"
    { 
 (yyval.str) = make_str("extract");
;}
    break;

  case 1846:

/* Line 1455 of yacc.c  */
#line 10291 "preproc.y"
    { 
 (yyval.str) = make_str("float");
;}
    break;

  case 1847:

/* Line 1455 of yacc.c  */
#line 10295 "preproc.y"
    { 
 (yyval.str) = make_str("greatest");
;}
    break;

  case 1848:

/* Line 1455 of yacc.c  */
#line 10299 "preproc.y"
    { 
 (yyval.str) = make_str("inout");
;}
    break;

  case 1849:

/* Line 1455 of yacc.c  */
#line 10303 "preproc.y"
    { 
 (yyval.str) = make_str("integer");
;}
    break;

  case 1850:

/* Line 1455 of yacc.c  */
#line 10307 "preproc.y"
    { 
 (yyval.str) = make_str("interval");
;}
    break;

  case 1851:

/* Line 1455 of yacc.c  */
#line 10311 "preproc.y"
    { 
 (yyval.str) = make_str("least");
;}
    break;

  case 1852:

/* Line 1455 of yacc.c  */
#line 10315 "preproc.y"
    { 
 (yyval.str) = make_str("national");
;}
    break;

  case 1853:

/* Line 1455 of yacc.c  */
#line 10319 "preproc.y"
    { 
 (yyval.str) = make_str("nchar");
;}
    break;

  case 1854:

/* Line 1455 of yacc.c  */
#line 10323 "preproc.y"
    { 
 (yyval.str) = make_str("none");
;}
    break;

  case 1855:

/* Line 1455 of yacc.c  */
#line 10327 "preproc.y"
    { 
 (yyval.str) = make_str("nullif");
;}
    break;

  case 1856:

/* Line 1455 of yacc.c  */
#line 10331 "preproc.y"
    { 
 (yyval.str) = make_str("numeric");
;}
    break;

  case 1857:

/* Line 1455 of yacc.c  */
#line 10335 "preproc.y"
    { 
 (yyval.str) = make_str("out");
;}
    break;

  case 1858:

/* Line 1455 of yacc.c  */
#line 10339 "preproc.y"
    { 
 (yyval.str) = make_str("overlay");
;}
    break;

  case 1859:

/* Line 1455 of yacc.c  */
#line 10343 "preproc.y"
    { 
 (yyval.str) = make_str("position");
;}
    break;

  case 1860:

/* Line 1455 of yacc.c  */
#line 10347 "preproc.y"
    { 
 (yyval.str) = make_str("precision");
;}
    break;

  case 1861:

/* Line 1455 of yacc.c  */
#line 10351 "preproc.y"
    { 
 (yyval.str) = make_str("real");
;}
    break;

  case 1862:

/* Line 1455 of yacc.c  */
#line 10355 "preproc.y"
    { 
 (yyval.str) = make_str("row");
;}
    break;

  case 1863:

/* Line 1455 of yacc.c  */
#line 10359 "preproc.y"
    { 
 (yyval.str) = make_str("setof");
;}
    break;

  case 1864:

/* Line 1455 of yacc.c  */
#line 10363 "preproc.y"
    { 
 (yyval.str) = make_str("smallint");
;}
    break;

  case 1865:

/* Line 1455 of yacc.c  */
#line 10367 "preproc.y"
    { 
 (yyval.str) = make_str("substring");
;}
    break;

  case 1866:

/* Line 1455 of yacc.c  */
#line 10371 "preproc.y"
    { 
 (yyval.str) = make_str("time");
;}
    break;

  case 1867:

/* Line 1455 of yacc.c  */
#line 10375 "preproc.y"
    { 
 (yyval.str) = make_str("timestamp");
;}
    break;

  case 1868:

/* Line 1455 of yacc.c  */
#line 10379 "preproc.y"
    { 
 (yyval.str) = make_str("treat");
;}
    break;

  case 1869:

/* Line 1455 of yacc.c  */
#line 10383 "preproc.y"
    { 
 (yyval.str) = make_str("trim");
;}
    break;

  case 1870:

/* Line 1455 of yacc.c  */
#line 10387 "preproc.y"
    { 
 (yyval.str) = make_str("varchar");
;}
    break;

  case 1871:

/* Line 1455 of yacc.c  */
#line 10391 "preproc.y"
    { 
 (yyval.str) = make_str("xmlattributes");
;}
    break;

  case 1872:

/* Line 1455 of yacc.c  */
#line 10395 "preproc.y"
    { 
 (yyval.str) = make_str("xmlconcat");
;}
    break;

  case 1873:

/* Line 1455 of yacc.c  */
#line 10399 "preproc.y"
    { 
 (yyval.str) = make_str("xmlelement");
;}
    break;

  case 1874:

/* Line 1455 of yacc.c  */
#line 10403 "preproc.y"
    { 
 (yyval.str) = make_str("xmlforest");
;}
    break;

  case 1875:

/* Line 1455 of yacc.c  */
#line 10407 "preproc.y"
    { 
 (yyval.str) = make_str("xmlparse");
;}
    break;

  case 1876:

/* Line 1455 of yacc.c  */
#line 10411 "preproc.y"
    { 
 (yyval.str) = make_str("xmlpi");
;}
    break;

  case 1877:

/* Line 1455 of yacc.c  */
#line 10415 "preproc.y"
    { 
 (yyval.str) = make_str("xmlroot");
;}
    break;

  case 1878:

/* Line 1455 of yacc.c  */
#line 10419 "preproc.y"
    { 
 (yyval.str) = make_str("xmlserialize");
;}
    break;

  case 1879:

/* Line 1455 of yacc.c  */
#line 10427 "preproc.y"
    { 
 (yyval.str) = make_str("authorization");
;}
    break;

  case 1880:

/* Line 1455 of yacc.c  */
#line 10431 "preproc.y"
    { 
 (yyval.str) = make_str("between");
;}
    break;

  case 1881:

/* Line 1455 of yacc.c  */
#line 10435 "preproc.y"
    { 
 (yyval.str) = make_str("binary");
;}
    break;

  case 1882:

/* Line 1455 of yacc.c  */
#line 10439 "preproc.y"
    { 
 (yyval.str) = make_str("cross");
;}
    break;

  case 1883:

/* Line 1455 of yacc.c  */
#line 10443 "preproc.y"
    { 
 (yyval.str) = make_str("current_schema");
;}
    break;

  case 1884:

/* Line 1455 of yacc.c  */
#line 10447 "preproc.y"
    { 
 (yyval.str) = make_str("freeze");
;}
    break;

  case 1885:

/* Line 1455 of yacc.c  */
#line 10451 "preproc.y"
    { 
 (yyval.str) = make_str("full");
;}
    break;

  case 1886:

/* Line 1455 of yacc.c  */
#line 10455 "preproc.y"
    { 
 (yyval.str) = make_str("ilike");
;}
    break;

  case 1887:

/* Line 1455 of yacc.c  */
#line 10459 "preproc.y"
    { 
 (yyval.str) = make_str("inner");
;}
    break;

  case 1888:

/* Line 1455 of yacc.c  */
#line 10463 "preproc.y"
    { 
 (yyval.str) = make_str("is");
;}
    break;

  case 1889:

/* Line 1455 of yacc.c  */
#line 10467 "preproc.y"
    { 
 (yyval.str) = make_str("isnull");
;}
    break;

  case 1890:

/* Line 1455 of yacc.c  */
#line 10471 "preproc.y"
    { 
 (yyval.str) = make_str("join");
;}
    break;

  case 1891:

/* Line 1455 of yacc.c  */
#line 10475 "preproc.y"
    { 
 (yyval.str) = make_str("left");
;}
    break;

  case 1892:

/* Line 1455 of yacc.c  */
#line 10479 "preproc.y"
    { 
 (yyval.str) = make_str("like");
;}
    break;

  case 1893:

/* Line 1455 of yacc.c  */
#line 10483 "preproc.y"
    { 
 (yyval.str) = make_str("natural");
;}
    break;

  case 1894:

/* Line 1455 of yacc.c  */
#line 10487 "preproc.y"
    { 
 (yyval.str) = make_str("notnull");
;}
    break;

  case 1895:

/* Line 1455 of yacc.c  */
#line 10491 "preproc.y"
    { 
 (yyval.str) = make_str("outer");
;}
    break;

  case 1896:

/* Line 1455 of yacc.c  */
#line 10495 "preproc.y"
    { 
 (yyval.str) = make_str("over");
;}
    break;

  case 1897:

/* Line 1455 of yacc.c  */
#line 10499 "preproc.y"
    { 
 (yyval.str) = make_str("overlaps");
;}
    break;

  case 1898:

/* Line 1455 of yacc.c  */
#line 10503 "preproc.y"
    { 
 (yyval.str) = make_str("right");
;}
    break;

  case 1899:

/* Line 1455 of yacc.c  */
#line 10507 "preproc.y"
    { 
 (yyval.str) = make_str("similar");
;}
    break;

  case 1900:

/* Line 1455 of yacc.c  */
#line 10511 "preproc.y"
    { 
 (yyval.str) = make_str("verbose");
;}
    break;

  case 1901:

/* Line 1455 of yacc.c  */
#line 10519 "preproc.y"
    { 
 (yyval.str) = make_str("all");
;}
    break;

  case 1902:

/* Line 1455 of yacc.c  */
#line 10523 "preproc.y"
    { 
 (yyval.str) = make_str("analyse");
;}
    break;

  case 1903:

/* Line 1455 of yacc.c  */
#line 10527 "preproc.y"
    { 
 (yyval.str) = make_str("analyze");
;}
    break;

  case 1904:

/* Line 1455 of yacc.c  */
#line 10531 "preproc.y"
    { 
 (yyval.str) = make_str("and");
;}
    break;

  case 1905:

/* Line 1455 of yacc.c  */
#line 10535 "preproc.y"
    { 
 (yyval.str) = make_str("any");
;}
    break;

  case 1906:

/* Line 1455 of yacc.c  */
#line 10539 "preproc.y"
    { 
 (yyval.str) = make_str("array");
;}
    break;

  case 1907:

/* Line 1455 of yacc.c  */
#line 10543 "preproc.y"
    { 
 (yyval.str) = make_str("as");
;}
    break;

  case 1908:

/* Line 1455 of yacc.c  */
#line 10547 "preproc.y"
    { 
 (yyval.str) = make_str("asc");
;}
    break;

  case 1909:

/* Line 1455 of yacc.c  */
#line 10551 "preproc.y"
    { 
 (yyval.str) = make_str("asymmetric");
;}
    break;

  case 1910:

/* Line 1455 of yacc.c  */
#line 10555 "preproc.y"
    { 
 (yyval.str) = make_str("both");
;}
    break;

  case 1911:

/* Line 1455 of yacc.c  */
#line 10559 "preproc.y"
    { 
 (yyval.str) = make_str("case");
;}
    break;

  case 1912:

/* Line 1455 of yacc.c  */
#line 10563 "preproc.y"
    { 
 (yyval.str) = make_str("cast");
;}
    break;

  case 1913:

/* Line 1455 of yacc.c  */
#line 10567 "preproc.y"
    { 
 (yyval.str) = make_str("check");
;}
    break;

  case 1914:

/* Line 1455 of yacc.c  */
#line 10571 "preproc.y"
    { 
 (yyval.str) = make_str("collate");
;}
    break;

  case 1915:

/* Line 1455 of yacc.c  */
#line 10575 "preproc.y"
    { 
 (yyval.str) = make_str("column");
;}
    break;

  case 1916:

/* Line 1455 of yacc.c  */
#line 10579 "preproc.y"
    { 
 (yyval.str) = make_str("constraint");
;}
    break;

  case 1917:

/* Line 1455 of yacc.c  */
#line 10583 "preproc.y"
    { 
 (yyval.str) = make_str("create");
;}
    break;

  case 1918:

/* Line 1455 of yacc.c  */
#line 10587 "preproc.y"
    { 
 (yyval.str) = make_str("current_catalog");
;}
    break;

  case 1919:

/* Line 1455 of yacc.c  */
#line 10591 "preproc.y"
    { 
 (yyval.str) = make_str("current_date");
;}
    break;

  case 1920:

/* Line 1455 of yacc.c  */
#line 10595 "preproc.y"
    { 
 (yyval.str) = make_str("current_role");
;}
    break;

  case 1921:

/* Line 1455 of yacc.c  */
#line 10599 "preproc.y"
    { 
 (yyval.str) = make_str("current_time");
;}
    break;

  case 1922:

/* Line 1455 of yacc.c  */
#line 10603 "preproc.y"
    { 
 (yyval.str) = make_str("current_timestamp");
;}
    break;

  case 1923:

/* Line 1455 of yacc.c  */
#line 10607 "preproc.y"
    { 
 (yyval.str) = make_str("current_user");
;}
    break;

  case 1924:

/* Line 1455 of yacc.c  */
#line 10611 "preproc.y"
    { 
 (yyval.str) = make_str("default");
;}
    break;

  case 1925:

/* Line 1455 of yacc.c  */
#line 10615 "preproc.y"
    { 
 (yyval.str) = make_str("deferrable");
;}
    break;

  case 1926:

/* Line 1455 of yacc.c  */
#line 10619 "preproc.y"
    { 
 (yyval.str) = make_str("desc");
;}
    break;

  case 1927:

/* Line 1455 of yacc.c  */
#line 10623 "preproc.y"
    { 
 (yyval.str) = make_str("distinct");
;}
    break;

  case 1928:

/* Line 1455 of yacc.c  */
#line 10627 "preproc.y"
    { 
 (yyval.str) = make_str("do");
;}
    break;

  case 1929:

/* Line 1455 of yacc.c  */
#line 10631 "preproc.y"
    { 
 (yyval.str) = make_str("else");
;}
    break;

  case 1930:

/* Line 1455 of yacc.c  */
#line 10635 "preproc.y"
    { 
 (yyval.str) = make_str("end");
;}
    break;

  case 1931:

/* Line 1455 of yacc.c  */
#line 10639 "preproc.y"
    { 
 (yyval.str) = make_str("except");
;}
    break;

  case 1932:

/* Line 1455 of yacc.c  */
#line 10643 "preproc.y"
    { 
 (yyval.str) = make_str("false");
;}
    break;

  case 1933:

/* Line 1455 of yacc.c  */
#line 10647 "preproc.y"
    { 
 (yyval.str) = make_str("fetch");
;}
    break;

  case 1934:

/* Line 1455 of yacc.c  */
#line 10651 "preproc.y"
    { 
 (yyval.str) = make_str("for");
;}
    break;

  case 1935:

/* Line 1455 of yacc.c  */
#line 10655 "preproc.y"
    { 
 (yyval.str) = make_str("foreign");
;}
    break;

  case 1936:

/* Line 1455 of yacc.c  */
#line 10659 "preproc.y"
    { 
 (yyval.str) = make_str("from");
;}
    break;

  case 1937:

/* Line 1455 of yacc.c  */
#line 10663 "preproc.y"
    { 
 (yyval.str) = make_str("grant");
;}
    break;

  case 1938:

/* Line 1455 of yacc.c  */
#line 10667 "preproc.y"
    { 
 (yyval.str) = make_str("group");
;}
    break;

  case 1939:

/* Line 1455 of yacc.c  */
#line 10671 "preproc.y"
    { 
 (yyval.str) = make_str("having");
;}
    break;

  case 1940:

/* Line 1455 of yacc.c  */
#line 10675 "preproc.y"
    { 
 (yyval.str) = make_str("in");
;}
    break;

  case 1941:

/* Line 1455 of yacc.c  */
#line 10679 "preproc.y"
    { 
 (yyval.str) = make_str("initially");
;}
    break;

  case 1942:

/* Line 1455 of yacc.c  */
#line 10683 "preproc.y"
    { 
 (yyval.str) = make_str("intersect");
;}
    break;

  case 1943:

/* Line 1455 of yacc.c  */
#line 10687 "preproc.y"
    { 
 (yyval.str) = make_str("into");
;}
    break;

  case 1944:

/* Line 1455 of yacc.c  */
#line 10691 "preproc.y"
    { 
 (yyval.str) = make_str("leading");
;}
    break;

  case 1945:

/* Line 1455 of yacc.c  */
#line 10695 "preproc.y"
    { 
 (yyval.str) = make_str("limit");
;}
    break;

  case 1946:

/* Line 1455 of yacc.c  */
#line 10699 "preproc.y"
    { 
 (yyval.str) = make_str("localtime");
;}
    break;

  case 1947:

/* Line 1455 of yacc.c  */
#line 10703 "preproc.y"
    { 
 (yyval.str) = make_str("localtimestamp");
;}
    break;

  case 1948:

/* Line 1455 of yacc.c  */
#line 10707 "preproc.y"
    { 
 (yyval.str) = make_str("new");
;}
    break;

  case 1949:

/* Line 1455 of yacc.c  */
#line 10711 "preproc.y"
    { 
 (yyval.str) = make_str("not");
;}
    break;

  case 1950:

/* Line 1455 of yacc.c  */
#line 10715 "preproc.y"
    { 
 (yyval.str) = make_str("null");
;}
    break;

  case 1951:

/* Line 1455 of yacc.c  */
#line 10719 "preproc.y"
    { 
 (yyval.str) = make_str("off");
;}
    break;

  case 1952:

/* Line 1455 of yacc.c  */
#line 10723 "preproc.y"
    { 
 (yyval.str) = make_str("offset");
;}
    break;

  case 1953:

/* Line 1455 of yacc.c  */
#line 10727 "preproc.y"
    { 
 (yyval.str) = make_str("old");
;}
    break;

  case 1954:

/* Line 1455 of yacc.c  */
#line 10731 "preproc.y"
    { 
 (yyval.str) = make_str("on");
;}
    break;

  case 1955:

/* Line 1455 of yacc.c  */
#line 10735 "preproc.y"
    { 
 (yyval.str) = make_str("only");
;}
    break;

  case 1956:

/* Line 1455 of yacc.c  */
#line 10739 "preproc.y"
    { 
 (yyval.str) = make_str("or");
;}
    break;

  case 1957:

/* Line 1455 of yacc.c  */
#line 10743 "preproc.y"
    { 
 (yyval.str) = make_str("order");
;}
    break;

  case 1958:

/* Line 1455 of yacc.c  */
#line 10747 "preproc.y"
    { 
 (yyval.str) = make_str("placing");
;}
    break;

  case 1959:

/* Line 1455 of yacc.c  */
#line 10751 "preproc.y"
    { 
 (yyval.str) = make_str("primary");
;}
    break;

  case 1960:

/* Line 1455 of yacc.c  */
#line 10755 "preproc.y"
    { 
 (yyval.str) = make_str("references");
;}
    break;

  case 1961:

/* Line 1455 of yacc.c  */
#line 10759 "preproc.y"
    { 
 (yyval.str) = make_str("returning");
;}
    break;

  case 1962:

/* Line 1455 of yacc.c  */
#line 10763 "preproc.y"
    { 
 (yyval.str) = make_str("select");
;}
    break;

  case 1963:

/* Line 1455 of yacc.c  */
#line 10767 "preproc.y"
    { 
 (yyval.str) = make_str("session_user");
;}
    break;

  case 1964:

/* Line 1455 of yacc.c  */
#line 10771 "preproc.y"
    { 
 (yyval.str) = make_str("some");
;}
    break;

  case 1965:

/* Line 1455 of yacc.c  */
#line 10775 "preproc.y"
    { 
 (yyval.str) = make_str("symmetric");
;}
    break;

  case 1966:

/* Line 1455 of yacc.c  */
#line 10779 "preproc.y"
    { 
 (yyval.str) = make_str("table");
;}
    break;

  case 1967:

/* Line 1455 of yacc.c  */
#line 10783 "preproc.y"
    { 
 (yyval.str) = make_str("then");
;}
    break;

  case 1968:

/* Line 1455 of yacc.c  */
#line 10787 "preproc.y"
    { 
 (yyval.str) = make_str("trailing");
;}
    break;

  case 1969:

/* Line 1455 of yacc.c  */
#line 10791 "preproc.y"
    { 
 (yyval.str) = make_str("true");
;}
    break;

  case 1970:

/* Line 1455 of yacc.c  */
#line 10795 "preproc.y"
    { 
 (yyval.str) = make_str("unique");
;}
    break;

  case 1971:

/* Line 1455 of yacc.c  */
#line 10799 "preproc.y"
    { 
 (yyval.str) = make_str("user");
;}
    break;

  case 1972:

/* Line 1455 of yacc.c  */
#line 10803 "preproc.y"
    { 
 (yyval.str) = make_str("using");
;}
    break;

  case 1973:

/* Line 1455 of yacc.c  */
#line 10807 "preproc.y"
    { 
 (yyval.str) = make_str("variadic");
;}
    break;

  case 1974:

/* Line 1455 of yacc.c  */
#line 10811 "preproc.y"
    { 
 (yyval.str) = make_str("when");
;}
    break;

  case 1975:

/* Line 1455 of yacc.c  */
#line 10815 "preproc.y"
    { 
 (yyval.str) = make_str("where");
;}
    break;

  case 1976:

/* Line 1455 of yacc.c  */
#line 10819 "preproc.y"
    { 
 (yyval.str) = make_str("window");
;}
    break;

  case 1977:

/* Line 1455 of yacc.c  */
#line 10823 "preproc.y"
    { 
 (yyval.str) = make_str("with");
;}
    break;

  case 1978:

/* Line 1455 of yacc.c  */
#line 10831 "preproc.y"
    { 
		if (!QueryIsRule)
			mmerror(PARSE_ERROR, ET_ERROR, "OLD used in query that is not in a rule");

 (yyval.str) = make_str("old");
;}
    break;

  case 1979:

/* Line 1455 of yacc.c  */
#line 10838 "preproc.y"
    { 
		if (!QueryIsRule)
			mmerror(PARSE_ERROR, ET_ERROR, "NEW used in query that is not in a rule");

 (yyval.str) = make_str("new");
;}
    break;

  case 1982:

/* Line 1455 of yacc.c  */
#line 10854 "preproc.y"
    { connection = NULL; ;}
    break;

  case 1984:

/* Line 1455 of yacc.c  */
#line 10857 "preproc.y"
    {
                        fprintf(yyout, "%s", (yyvsp[(2) - (2)].str));
                        free((yyvsp[(2) - (2)].str));
                        output_line_number();
                ;}
    break;

  case 1986:

/* Line 1455 of yacc.c  */
#line 10863 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); ;}
    break;

  case 1987:

/* Line 1455 of yacc.c  */
#line 10864 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); ;}
    break;

  case 1988:

/* Line 1455 of yacc.c  */
#line 10865 "preproc.y"
    { braces_open++; fputs("{", yyout); ;}
    break;

  case 1989:

/* Line 1455 of yacc.c  */
#line 10866 "preproc.y"
    { remove_typedefs(braces_open); remove_variables(braces_open--); fputs("}", yyout); ;}
    break;

  case 1990:

/* Line 1455 of yacc.c  */
#line 10869 "preproc.y"
    {FoundInto = 0;;}
    break;

  case 1991:

/* Line 1455 of yacc.c  */
#line 10870 "preproc.y"
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, make_str("create"), (yyvsp[(2) - (8)].str), make_str("table"), (yyvsp[(4) - (8)].str), make_str("as"), (yyvsp[(7) - (8)].str));
		;}
    break;

  case 1992:

/* Line 1455 of yacc.c  */
#line 10879 "preproc.y"
    {QueryIsRule = 1;;}
    break;

  case 1993:

/* Line 1455 of yacc.c  */
#line 10882 "preproc.y"
    {
			QueryIsRule=0;
			(yyval.str) = cat_str(12, make_str("create"), (yyvsp[(2) - (14)].str), make_str("rule"), (yyvsp[(4) - (14)].str), make_str("as on"), (yyvsp[(8) - (14)].str), make_str("to"), (yyvsp[(10) - (14)].str), (yyvsp[(11) - (14)].str), make_str("do"), (yyvsp[(13) - (14)].str), (yyvsp[(14) - (14)].str));
		;}
    break;

  case 1994:

/* Line 1455 of yacc.c  */
#line 10889 "preproc.y"
    {
                        connection = (yyvsp[(2) - (2)].str);
                        /*
                         *      Do we have a variable as connection target?
                         *      Remove the variable from the variable
                         *      list or else it will be used twice
                         */
                        if (argsinsert != NULL)
                                argsinsert = NULL;
                ;}
    break;

  case 1995:

/* Line 1455 of yacc.c  */
#line 10905 "preproc.y"
    { (yyval.str) = cat_str(5, (yyvsp[(3) - (5)].str), make_str(","), (yyvsp[(5) - (5)].str), make_str(","), (yyvsp[(4) - (5)].str)); ;}
    break;

  case 1996:

/* Line 1455 of yacc.c  */
#line 10907 "preproc.y"
    { (yyval.str) = make_str("NULL, NULL, NULL, \"DEFAULT\""); ;}
    break;

  case 1997:

/* Line 1455 of yacc.c  */
#line 10910 "preproc.y"
    { (yyval.str) = cat_str(3, make_str("NULL,"), (yyvsp[(2) - (2)].str), make_str(", NULL")); ;}
    break;

  case 1998:

/* Line 1455 of yacc.c  */
#line 10912 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(2) - (2)].str), make_str(", NULL, NULL, NULL")); ;}
    break;

  case 1999:

/* Line 1455 of yacc.c  */
#line 10916 "preproc.y"
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[(2) - (3)].str)) > 0 && *((yyvsp[(2) - (3)].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[(2) - (3)].str));
			
			/* C strings need to be handled differently */
			if ((yyvsp[(1) - (3)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (3)].str);
			else
				(yyval.str) = make3_str(make_str("\""), make3_str((yyvsp[(1) - (3)].str), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)), make_str("\""));
		;}
    break;

  case 2000:

/* Line 1455 of yacc.c  */
#line 10928 "preproc.y"
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[(1) - (7)].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[(1) - (7)].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[(3) - (7)].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[(3) - (7)].str));

			if (strncmp((yyvsp[(1) - (7)].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[(3) - (7)].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(make_str("\""), (yyvsp[(1) - (7)].str), make_str(":")), (yyvsp[(3) - (7)].str), make3_str(make3_str((yyvsp[(4) - (7)].str), make_str("/"), (yyvsp[(6) - (7)].str)),	(yyvsp[(7) - (7)].str), make_str("\"")));
		;}
    break;

  case 2001:

/* Line 1455 of yacc.c  */
#line 10944 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2002:

/* Line 1455 of yacc.c  */
#line 10948 "preproc.y"
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[(1) - (1)].str)[0] = '\"';
			(yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] = '\"';
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2003:

/* Line 1455 of yacc.c  */
#line 10958 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2004:

/* Line 1455 of yacc.c  */
#line 10959 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2005:

/* Line 1455 of yacc.c  */
#line 10963 "preproc.y"
    {
			if (strcmp((yyvsp[(2) - (2)].str), "postgresql") != 0 && strcmp((yyvsp[(2) - (2)].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[(2) - (2)].str));

			if (strcmp((yyvsp[(1) - (2)].str), "tcp") != 0 && strcmp((yyvsp[(1) - (2)].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[(1) - (2)].str));

			(yyval.str) = make3_str((yyvsp[(1) - (2)].str), make_str(":"), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2006:

/* Line 1455 of yacc.c  */
#line 10975 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (2)].str), "@") != 0 && strcmp((yyvsp[(1) - (2)].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2007:

/* Line 1455 of yacc.c  */
#line 10983 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2008:

/* Line 1455 of yacc.c  */
#line 10984 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2009:

/* Line 1455 of yacc.c  */
#line 10987 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2010:

/* Line 1455 of yacc.c  */
#line 10988 "preproc.y"
    { (yyval.str) = make3_str((yyvsp[(1) - (3)].str), make_str("."), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2011:

/* Line 1455 of yacc.c  */
#line 10989 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2012:

/* Line 1455 of yacc.c  */
#line 10992 "preproc.y"
    { (yyval.str) = make2_str(make_str(":"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2013:

/* Line 1455 of yacc.c  */
#line 10993 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2014:

/* Line 1455 of yacc.c  */
#line 10996 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2015:

/* Line 1455 of yacc.c  */
#line 10997 "preproc.y"
    { (yyval.str) = make_str("NULL"); ;}
    break;

  case 2016:

/* Line 1455 of yacc.c  */
#line 11000 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2017:

/* Line 1455 of yacc.c  */
#line 11001 "preproc.y"
    { (yyval.str) = make_str("NULL, NULL"); ;}
    break;

  case 2018:

/* Line 1455 of yacc.c  */
#line 11005 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (1)].str), make_str(", NULL")); ;}
    break;

  case 2019:

/* Line 1455 of yacc.c  */
#line 11007 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2020:

/* Line 1455 of yacc.c  */
#line 11009 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (4)].str), make_str(","), (yyvsp[(4) - (4)].str)); ;}
    break;

  case 2021:

/* Line 1455 of yacc.c  */
#line 11011 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2022:

/* Line 1455 of yacc.c  */
#line 11015 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\""));
		;}
    break;

  case 2023:

/* Line 1455 of yacc.c  */
#line 11022 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\""));
		;}
    break;

  case 2024:

/* Line 1455 of yacc.c  */
#line 11029 "preproc.y"
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), make_str(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		;}
    break;

  case 2025:

/* Line 1455 of yacc.c  */
#line 11045 "preproc.y"
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[(1) - (1)].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[(1) - (1)].str), make_str(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
				}
			}
		;}
    break;

  case 2026:

/* Line 1455 of yacc.c  */
#line 11078 "preproc.y"
    {
			if (strlen((yyvsp[(1) - (2)].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[(1) - (2)].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str(make_str("?"), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2027:

/* Line 1455 of yacc.c  */
#line 11087 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2028:

/* Line 1455 of yacc.c  */
#line 11091 "preproc.y"
    { (yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2029:

/* Line 1455 of yacc.c  */
#line 11093 "preproc.y"
    {
				if (strlen((yyvsp[(3) - (4)].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[(3) - (4)].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(3) - (4)].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[(1) - (4)].str), (yyvsp[(2) - (4)].str)), (yyvsp[(3) - (4)].str), (yyvsp[(4) - (4)].str));
			;}
    break;

  case 2030:

/* Line 1455 of yacc.c  */
#line 11105 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2031:

/* Line 1455 of yacc.c  */
#line 11107 "preproc.y"
    { (yyval.str) = make2_str(make_str("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2032:

/* Line 1455 of yacc.c  */
#line 11109 "preproc.y"
    { (yyval.str) = make2_str(make_str("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2033:

/* Line 1455 of yacc.c  */
#line 11111 "preproc.y"
    { (yyval.str) = make2_str(make_str("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2034:

/* Line 1455 of yacc.c  */
#line 11114 "preproc.y"
    {
                                        if ((yyvsp[(1) - (1)].str)[0] == '\"' && (yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] == '\"') /* already quoted? */
                                                (yyval.str) = (yyvsp[(1) - (1)].str);
                                        else /* not quoted => convert to lowercase */
                                        {
                                                int i;

                                                for (i = 0; i< strlen((yyvsp[(1) - (1)].str)); i++)
                                                        (yyvsp[(1) - (1)].str)[i] = tolower((unsigned char) (yyvsp[(1) - (1)].str)[i]);

                                                (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\""));
                                        }
                                ;}
    break;

  case 2035:

/* Line 1455 of yacc.c  */
#line 11127 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2036:

/* Line 1455 of yacc.c  */
#line 11135 "preproc.y"
    {
			struct cursor *ptr, *this;
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp((yyvsp[(2) - (7)].str), ptr->name) == 0)
					/* re-definition is a bug */
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[(2) - (7)].str);
			this->connection = connection;
			this->command =  cat_str(6, make_str("declare"), mm_strdup((yyvsp[(2) - (7)].str)), (yyvsp[(3) - (7)].str), make_str("cursor"), (yyvsp[(5) - (7)].str), make_str("for $1"));
			this->argsresult = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[(7) - (7)].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[(7) - (7)].str));

			this->argsinsert = NULL;
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			(yyval.str) = cat_str(3, make_str("/*"), mm_strdup(this->command), make_str("*/"));
		;}
    break;

  case 2037:

/* Line 1455 of yacc.c  */
#line 11172 "preproc.y"
    { 
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[(3) - (3)].str);
			;}
    break;

  case 2039:

/* Line 1455 of yacc.c  */
#line 11182 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2040:

/* Line 1455 of yacc.c  */
#line 11183 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2041:

/* Line 1455 of yacc.c  */
#line 11186 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2042:

/* Line 1455 of yacc.c  */
#line 11188 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2043:

/* Line 1455 of yacc.c  */
#line 11189 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2044:

/* Line 1455 of yacc.c  */
#line 11192 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2045:

/* Line 1455 of yacc.c  */
#line 11193 "preproc.y"
    { (yyval.str) = make_str("year to minute"); ;}
    break;

  case 2046:

/* Line 1455 of yacc.c  */
#line 11194 "preproc.y"
    { (yyval.str) = make_str("year to second"); ;}
    break;

  case 2047:

/* Line 1455 of yacc.c  */
#line 11195 "preproc.y"
    { (yyval.str) = make_str("day to day"); ;}
    break;

  case 2048:

/* Line 1455 of yacc.c  */
#line 11196 "preproc.y"
    { (yyval.str) = make_str("month to month"); ;}
    break;

  case 2049:

/* Line 1455 of yacc.c  */
#line 11203 "preproc.y"
    { fputs("/* exec sql begin declare section */", yyout); ;}
    break;

  case 2050:

/* Line 1455 of yacc.c  */
#line 11205 "preproc.y"
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[(3) - (4)].str));
			free((yyvsp[(3) - (4)].str));
			output_line_number();
		;}
    break;

  case 2051:

/* Line 1455 of yacc.c  */
#line 11212 "preproc.y"
    {;}
    break;

  case 2052:

/* Line 1455 of yacc.c  */
#line 11214 "preproc.y"
    {;}
    break;

  case 2053:

/* Line 1455 of yacc.c  */
#line 11216 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2054:

/* Line 1455 of yacc.c  */
#line 11217 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2055:

/* Line 1455 of yacc.c  */
#line 11218 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2056:

/* Line 1455 of yacc.c  */
#line 11221 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2057:

/* Line 1455 of yacc.c  */
#line 11222 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2058:

/* Line 1455 of yacc.c  */
#line 11223 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2059:

/* Line 1455 of yacc.c  */
#line 11224 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2060:

/* Line 1455 of yacc.c  */
#line 11225 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2061:

/* Line 1455 of yacc.c  */
#line 11228 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2062:

/* Line 1455 of yacc.c  */
#line 11229 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2063:

/* Line 1455 of yacc.c  */
#line 11233 "preproc.y"
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	;}
    break;

  case 2064:

/* Line 1455 of yacc.c  */
#line 11239 "preproc.y"
    {
		add_typedef((yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(3) - (7)].type).type_enum, (yyvsp[(3) - (7)].type).type_dimension, (yyvsp[(3) - (7)].type).type_index, initializer, *(yyvsp[(4) - (7)].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[(3) - (7)].type).type_str, *(yyvsp[(4) - (7)].str) ? "*" : "", (yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).str);
		output_line_number();
		(yyval.str) = make_str("");
	;}
    break;

  case 2065:

/* Line 1455 of yacc.c  */
#line 11249 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(2) - (2)].type).type_enum;
			actual_type[struct_level].type_dimension = (yyvsp[(2) - (2)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(2) - (2)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(2) - (2)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		;}
    break;

  case 2066:

/* Line 1455 of yacc.c  */
#line 11258 "preproc.y"
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[(1) - (5)].str), (yyvsp[(2) - (5)].type).type_str, (yyvsp[(4) - (5)].str), make_str(";\n"));
		;}
    break;

  case 2067:

/* Line 1455 of yacc.c  */
#line 11262 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(1) - (1)].type).type_enum;
			actual_type[struct_level].type_dimension = (yyvsp[(1) - (1)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(1) - (1)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(1) - (1)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		;}
    break;

  case 2068:

/* Line 1455 of yacc.c  */
#line 11271 "preproc.y"
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[(1) - (4)].type).type_str, (yyvsp[(3) - (4)].str), make_str(";\n"));
		;}
    break;

  case 2069:

/* Line 1455 of yacc.c  */
#line 11275 "preproc.y"
    {
			(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), make_str(";"));
		;}
    break;

  case 2070:

/* Line 1455 of yacc.c  */
#line 11280 "preproc.y"
    { (yyval.str) =cat2_str(make_str(":"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2071:

/* Line 1455 of yacc.c  */
#line 11281 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2072:

/* Line 1455 of yacc.c  */
#line 11285 "preproc.y"
    {(yyval.str) = cat2_str ((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2073:

/* Line 1455 of yacc.c  */
#line 11286 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2074:

/* Line 1455 of yacc.c  */
#line 11287 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2075:

/* Line 1455 of yacc.c  */
#line 11290 "preproc.y"
    { (yyval.str) = make_str("extern"); ;}
    break;

  case 2076:

/* Line 1455 of yacc.c  */
#line 11291 "preproc.y"
    { (yyval.str) = make_str("static"); ;}
    break;

  case 2077:

/* Line 1455 of yacc.c  */
#line 11292 "preproc.y"
    { (yyval.str) = make_str("register"); ;}
    break;

  case 2078:

/* Line 1455 of yacc.c  */
#line 11293 "preproc.y"
    { (yyval.str) = make_str("auto"); ;}
    break;

  case 2079:

/* Line 1455 of yacc.c  */
#line 11296 "preproc.y"
    { (yyval.str) = make_str("const"); ;}
    break;

  case 2080:

/* Line 1455 of yacc.c  */
#line 11297 "preproc.y"
    { (yyval.str) = make_str("volatile"); ;}
    break;

  case 2081:

/* Line 1455 of yacc.c  */
#line 11301 "preproc.y"
    {
			(yyval.type).type_enum = (yyvsp[(1) - (1)].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[(1) - (1)].type_enum)));
			(yyval.type).type_dimension = make_str("-1");
			(yyval.type).type_index = make_str("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2082:

/* Line 1455 of yacc.c  */
#line 11309 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_dimension = make_str("-1");
			(yyval.type).type_index = make_str("-1");

			if (strncmp((yyvsp[(1) - (1)].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		;}
    break;

  case 2083:

/* Line 1455 of yacc.c  */
#line 11326 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = make_str("-1");
			(yyval.type).type_index = make_str("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2084:

/* Line 1455 of yacc.c  */
#line 11334 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (5)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = make_str("numeric");
			}
			else if (strcmp((yyvsp[(1) - (5)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = make_str("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = make_str("numeric");
			}

			(yyval.type).type_dimension = make_str("-1");
			(yyval.type).type_index = make_str("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2085:

/* Line 1455 of yacc.c  */
#line 11357 "preproc.y"
    {
			if (strlen((yyvsp[(2) - (2)].str)) != 0 && strcmp ((yyvsp[(1) - (2)].str), "datetime") != 0 && strcmp ((yyvsp[(1) - (2)].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[(1) - (2)].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*make_str("varchar");*/
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = make_str("float");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = make_str("double");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = make_str("numeric");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = make_str("decimal");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = make_str("date");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = make_str("timestamp");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = make_str("interval");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = make_str("timestamp");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[(1) - (2)].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else 
					(yyval.type).type_sizeof = cat_str(3, make_str("sizeof("), mm_strdup(this->name), make_str(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		;}
    break;

  case 2086:

/* Line 1455 of yacc.c  */
#line 11455 "preproc.y"
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[(1) - (1)].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[(1) - (1)].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[(1) - (1)].struct_union).su, (yyvsp[(1) - (1)].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = make_str("");
				struct_member_list[struct_level] = NULL;
			}
		;}
    break;

  case 2087:

/* Line 1455 of yacc.c  */
#line 11489 "preproc.y"
    { (yyval.str) = cat_str(3, make_str("enum"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2088:

/* Line 1455 of yacc.c  */
#line 11491 "preproc.y"
    { (yyval.str) = cat2_str(make_str("enum"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2089:

/* Line 1455 of yacc.c  */
#line 11493 "preproc.y"
    { (yyval.str) = cat2_str(make_str("enum"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2090:

/* Line 1455 of yacc.c  */
#line 11497 "preproc.y"
    { (yyval.str) = cat_str(3, make_str("{"), (yyvsp[(2) - (3)].str), make_str("}")); ;}
    break;

  case 2091:

/* Line 1455 of yacc.c  */
#line 11500 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[(1) - (1)].struct_union).symbol);
		;}
    break;

  case 2092:

/* Line 1455 of yacc.c  */
#line 11507 "preproc.y"
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[(1) - (5)].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[(1) - (5)].struct_union).su, (yyvsp[(1) - (5)].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = make_str("-1"); /* dimension of array */
			this->type->type_index = make_str("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, make_str("{"), (yyvsp[(4) - (5)].str), make_str("}"));
		;}
    break;

  case 2093:

/* Line 1455 of yacc.c  */
#line 11550 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2094:

/* Line 1455 of yacc.c  */
#line 11552 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		;}
    break;

  case 2095:

/* Line 1455 of yacc.c  */
#line 11558 "preproc.y"
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[(1) - (5)].str), make_str("{"), (yyvsp[(4) - (5)].str), make_str("}"));
		;}
    break;

  case 2096:

/* Line 1455 of yacc.c  */
#line 11567 "preproc.y"
    {
			(yyval.struct_union).su = make_str("struct");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
			ECPGstruct_sizeof = cat_str(3, make_str("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), make_str(")"));
		;}
    break;

  case 2097:

/* Line 1455 of yacc.c  */
#line 11573 "preproc.y"
    {
			(yyval.struct_union).su = make_str("union");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
		;}
    break;

  case 2098:

/* Line 1455 of yacc.c  */
#line 11580 "preproc.y"
    {
			ECPGstruct_sizeof = make_str(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = make_str("struct");
		;}
    break;

  case 2099:

/* Line 1455 of yacc.c  */
#line 11584 "preproc.y"
    { (yyval.str) = make_str("union"); ;}
    break;

  case 2100:

/* Line 1455 of yacc.c  */
#line 11587 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(1) - (1)].type_enum); ;}
    break;

  case 2101:

/* Line 1455 of yacc.c  */
#line 11588 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(2) - (2)].type_enum); ;}
    break;

  case 2102:

/* Line 1455 of yacc.c  */
#line 11591 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; ;}
    break;

  case 2103:

/* Line 1455 of yacc.c  */
#line 11592 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; ;}
    break;

  case 2104:

/* Line 1455 of yacc.c  */
#line 11593 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; ;}
    break;

  case 2105:

/* Line 1455 of yacc.c  */
#line 11594 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; ;}
    break;

  case 2106:

/* Line 1455 of yacc.c  */
#line 11595 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; ;}
    break;

  case 2107:

/* Line 1455 of yacc.c  */
#line 11596 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; ;}
    break;

  case 2108:

/* Line 1455 of yacc.c  */
#line 11598 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT_64
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		;}
    break;

  case 2109:

/* Line 1455 of yacc.c  */
#line 11606 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT_64
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		;}
    break;

  case 2110:

/* Line 1455 of yacc.c  */
#line 11613 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_char; ;}
    break;

  case 2111:

/* Line 1455 of yacc.c  */
#line 11616 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; ;}
    break;

  case 2112:

/* Line 1455 of yacc.c  */
#line 11617 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; ;}
    break;

  case 2113:

/* Line 1455 of yacc.c  */
#line 11618 "preproc.y"
    { (yyval.type_enum) = ECPGt_int; ;}
    break;

  case 2114:

/* Line 1455 of yacc.c  */
#line 11619 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; ;}
    break;

  case 2115:

/* Line 1455 of yacc.c  */
#line 11620 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; ;}
    break;

  case 2116:

/* Line 1455 of yacc.c  */
#line 11622 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT_64
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		;}
    break;

  case 2117:

/* Line 1455 of yacc.c  */
#line 11630 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT_64
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		;}
    break;

  case 2118:

/* Line 1455 of yacc.c  */
#line 11637 "preproc.y"
    { (yyval.type_enum) = ECPGt_bool; ;}
    break;

  case 2119:

/* Line 1455 of yacc.c  */
#line 11638 "preproc.y"
    { (yyval.type_enum) = ECPGt_char; ;}
    break;

  case 2120:

/* Line 1455 of yacc.c  */
#line 11639 "preproc.y"
    { (yyval.type_enum) = ECPGt_double; ;}
    break;

  case 2123:

/* Line 1455 of yacc.c  */
#line 11647 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2124:

/* Line 1455 of yacc.c  */
#line 11649 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2125:

/* Line 1455 of yacc.c  */
#line 11653 "preproc.y"
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[(3) - (5)].index).index1; /* dimension of array */
			char *length = (yyvsp[(3) - (5)].index).index2;    /* length of string */
			char dim[14L];
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[(1) - (5)].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, yylineno);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, yylineno), dimension);
					
					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							*dim = '\0';
					else
							sprintf(dim, "[%s]", dimension);
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding linenumer of its definition */
					vcn = (char *) mm_alloc(strlen((yyvsp[(2) - (5)].str)) + sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%s_%d", (yyvsp[(2) - (5)].str), yylineno);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(make_str(" struct varchar_"), vcn), make_str(" { int len; char arr["), mm_strdup(length), make_str("]; } *"), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					else
						(yyval.str) = cat_str(8, make2_str(make_str(" struct varchar_"), vcn), make_str(" { int len; char arr["), mm_strdup(length), make_str("]; } "), mm_strdup((yyvsp[(2) - (5)].str)), mm_strdup(dim), (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[(5) - (5)].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[(5) - (5)].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, make_str("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, make_str("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[(2) - (5)].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[(2) - (5)].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[(2) - (5)].str));
		;}
    break;

  case 2126:

/* Line 1455 of yacc.c  */
#line 11738 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2127:

/* Line 1455 of yacc.c  */
#line 11740 "preproc.y"
    {
			initializer = 1;
			(yyval.str) = cat2_str(make_str("="), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2128:

/* Line 1455 of yacc.c  */
#line 11746 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2129:

/* Line 1455 of yacc.c  */
#line 11747 "preproc.y"
    { (yyval.str) = make_str("*"); ;}
    break;

  case 2130:

/* Line 1455 of yacc.c  */
#line 11748 "preproc.y"
    { (yyval.str) = make_str("**"); ;}
    break;

  case 2131:

/* Line 1455 of yacc.c  */
#line 11755 "preproc.y"
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, make_str("/* declare statement"), (yyvsp[(3) - (3)].str), make_str("*/"));
		;}
    break;

  case 2132:

/* Line 1455 of yacc.c  */
#line 11763 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2133:

/* Line 1455 of yacc.c  */
#line 11766 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2134:

/* Line 1455 of yacc.c  */
#line 11767 "preproc.y"
    { (yyval.str) = make_str("\"CURRENT\""); ;}
    break;

  case 2135:

/* Line 1455 of yacc.c  */
#line 11768 "preproc.y"
    { (yyval.str) = make_str("\"ALL\""); ;}
    break;

  case 2136:

/* Line 1455 of yacc.c  */
#line 11769 "preproc.y"
    { (yyval.str) = make_str("\"CURRENT\""); ;}
    break;

  case 2137:

/* Line 1455 of yacc.c  */
#line 11772 "preproc.y"
    { (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\"")); ;}
    break;

  case 2138:

/* Line 1455 of yacc.c  */
#line 11773 "preproc.y"
    { (yyval.str) = make_str("\"DEFAULT\""); ;}
    break;

  case 2139:

/* Line 1455 of yacc.c  */
#line 11774 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2140:

/* Line 1455 of yacc.c  */
#line 11778 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2141:

/* Line 1455 of yacc.c  */
#line 11780 "preproc.y"
    { (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\"")); ;}
    break;

  case 2142:

/* Line 1455 of yacc.c  */
#line 11787 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2143:

/* Line 1455 of yacc.c  */
#line 11788 "preproc.y"
    { (yyval.str) = make_str("all"); ;}
    break;

  case 2144:

/* Line 1455 of yacc.c  */
#line 11794 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (3)].str); ;}
    break;

  case 2145:

/* Line 1455 of yacc.c  */
#line 11796 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2146:

/* Line 1455 of yacc.c  */
#line 11797 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2147:

/* Line 1455 of yacc.c  */
#line 11800 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2148:

/* Line 1455 of yacc.c  */
#line 11801 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2149:

/* Line 1455 of yacc.c  */
#line 11805 "preproc.y"
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[(4) - (4)].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2150:

/* Line 1455 of yacc.c  */
#line 11812 "preproc.y"
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[(4) - (4)].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2155:

/* Line 1455 of yacc.c  */
#line 11823 "preproc.y"
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		;}
    break;

  case 2156:

/* Line 1455 of yacc.c  */
#line 11829 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2157:

/* Line 1455 of yacc.c  */
#line 11830 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2158:

/* Line 1455 of yacc.c  */
#line 11833 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2159:

/* Line 1455 of yacc.c  */
#line 11834 "preproc.y"
    { (yyval.str) = cat_str(2, make_str("+"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2160:

/* Line 1455 of yacc.c  */
#line 11835 "preproc.y"
    { (yyval.str) = cat_str(2, make_str("-"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2161:

/* Line 1455 of yacc.c  */
#line 11836 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2162:

/* Line 1455 of yacc.c  */
#line 11837 "preproc.y"
    { (yyval.str) = cat_str(2, make_str("+"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2163:

/* Line 1455 of yacc.c  */
#line 11838 "preproc.y"
    { (yyval.str) = cat_str(2, make_str("-"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2164:

/* Line 1455 of yacc.c  */
#line 11839 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2165:

/* Line 1455 of yacc.c  */
#line 11840 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2166:

/* Line 1455 of yacc.c  */
#line 11841 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2167:

/* Line 1455 of yacc.c  */
#line 11848 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, ECPGprepared_statement(, \"\", __LINE__)") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, ECPGprepared_statement(%s, \"%s\", __LINE__)", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2168:

/* Line 1455 of yacc.c  */
#line 11855 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("0, ECPGprepared_statement(, \"\", __LINE__)") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, ECPGprepared_statement(%s, \"%s\", __LINE__)", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2169:

/* Line 1455 of yacc.c  */
#line 11862 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("0, ECPGprepared_statement(, \"\", __LINE__)") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, ECPGprepared_statement(%s, \"%s\", __LINE__)", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2170:

/* Line 1455 of yacc.c  */
#line 11870 "preproc.y"
    { (yyval.str) = make_str("output"); ;}
    break;

  case 2171:

/* Line 1455 of yacc.c  */
#line 11871 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2172:

/* Line 1455 of yacc.c  */
#line 11884 "preproc.y"
    {
			add_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		;}
    break;

  case 2173:

/* Line 1455 of yacc.c  */
#line 11895 "preproc.y"
    {
			drop_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		;}
    break;

  case 2174:

/* Line 1455 of yacc.c  */
#line 11906 "preproc.y"
    {  (yyval.str) = (yyvsp[(3) - (4)].str); ;}
    break;

  case 2177:

/* Line 1455 of yacc.c  */
#line 11914 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); ;}
    break;

  case 2178:

/* Line 1455 of yacc.c  */
#line 11919 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (4)].str); ;}
    break;

  case 2181:

/* Line 1455 of yacc.c  */
#line 11927 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		;}
    break;

  case 2182:

/* Line 1455 of yacc.c  */
#line 11933 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

                        sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
                        new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = (yyvsp[(1) - (1)].str);
                ;}
    break;

  case 2183:

/* Line 1455 of yacc.c  */
#line 11940 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2184:

/* Line 1455 of yacc.c  */
#line 11943 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_count; ;}
    break;

  case 2185:

/* Line 1455 of yacc.c  */
#line 11951 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); ;}
    break;

  case 2188:

/* Line 1455 of yacc.c  */
#line 11958 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); ;}
    break;

  case 2189:

/* Line 1455 of yacc.c  */
#line 11962 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); ;}
    break;

  case 2192:

/* Line 1455 of yacc.c  */
#line 11970 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		;}
    break;

  case 2193:

/* Line 1455 of yacc.c  */
#line 11976 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

                        sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
                        new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = (yyvsp[(1) - (1)].str);
                ;}
    break;

  case 2194:

/* Line 1455 of yacc.c  */
#line 11983 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2195:

/* Line 1455 of yacc.c  */
#line 11985 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = cat2_str(make_str("-"), (yyvsp[(2) - (2)].str));

                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                ;}
    break;

  case 2196:

/* Line 1455 of yacc.c  */
#line 11994 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = cat2_str(make_str("-"), (yyvsp[(2) - (2)].str));

                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                ;}
    break;

  case 2197:

/* Line 1455 of yacc.c  */
#line 12003 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = (yyvsp[(1) - (1)].str) + 1;

                        var[strlen(var) - 1] = '\0';
                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                ;}
    break;

  case 2198:

/* Line 1455 of yacc.c  */
#line 12014 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_cardinality; ;}
    break;

  case 2199:

/* Line 1455 of yacc.c  */
#line 12015 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_data; ;}
    break;

  case 2200:

/* Line 1455 of yacc.c  */
#line 12016 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_code; ;}
    break;

  case 2201:

/* Line 1455 of yacc.c  */
#line 12017 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_precision; ;}
    break;

  case 2202:

/* Line 1455 of yacc.c  */
#line 12018 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_indicator; ;}
    break;

  case 2203:

/* Line 1455 of yacc.c  */
#line 12019 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_key_member; ;}
    break;

  case 2204:

/* Line 1455 of yacc.c  */
#line 12020 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; ;}
    break;

  case 2205:

/* Line 1455 of yacc.c  */
#line 12021 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_name; ;}
    break;

  case 2206:

/* Line 1455 of yacc.c  */
#line 12022 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_nullable; ;}
    break;

  case 2207:

/* Line 1455 of yacc.c  */
#line 12023 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_octet; ;}
    break;

  case 2208:

/* Line 1455 of yacc.c  */
#line 12024 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_precision; ;}
    break;

  case 2209:

/* Line 1455 of yacc.c  */
#line 12025 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; ;}
    break;

  case 2210:

/* Line 1455 of yacc.c  */
#line 12026 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_ret_octet; ;}
    break;

  case 2211:

/* Line 1455 of yacc.c  */
#line 12027 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_scale; ;}
    break;

  case 2212:

/* Line 1455 of yacc.c  */
#line 12028 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_type; ;}
    break;

  case 2213:

/* Line 1455 of yacc.c  */
#line 12035 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2214:

/* Line 1455 of yacc.c  */
#line 12036 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2215:

/* Line 1455 of yacc.c  */
#line 12039 "preproc.y"
    { (yyval.str) = make_str("on"); ;}
    break;

  case 2216:

/* Line 1455 of yacc.c  */
#line 12040 "preproc.y"
    { (yyval.str) = make_str("off"); ;}
    break;

  case 2217:

/* Line 1455 of yacc.c  */
#line 12047 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2218:

/* Line 1455 of yacc.c  */
#line 12048 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2219:

/* Line 1455 of yacc.c  */
#line 12049 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 2220:

/* Line 1455 of yacc.c  */
#line 12056 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		;}
    break;

  case 2221:

/* Line 1455 of yacc.c  */
#line 12062 "preproc.y"
    {
			add_typedef((yyvsp[(3) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, initializer, *(yyvsp[(7) - (7)].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, make_str("/* exec sql type"), mm_strdup((yyvsp[(3) - (7)].str)), make_str("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), make_str("*/"));
			else
				(yyval.str) = cat_str(6, make_str("typedef "), mm_strdup((yyvsp[(5) - (7)].type).type_str), *(yyvsp[(7) - (7)].str)?make_str("*"):make_str(""), mm_strdup((yyvsp[(6) - (7)].index).str), mm_strdup((yyvsp[(3) - (7)].str)), make_str(";"));
		;}
    break;

  case 2222:

/* Line 1455 of yacc.c  */
#line 12072 "preproc.y"
    { (yyval.str) = make_str("reference"); ;}
    break;

  case 2223:

/* Line 1455 of yacc.c  */
#line 12073 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2224:

/* Line 1455 of yacc.c  */
#line 12080 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		;}
    break;

  case 2225:

/* Line 1455 of yacc.c  */
#line 12086 "preproc.y"
    {
			struct variable *p = find_variable((yyvsp[(3) - (7)].str));
			char *dimension = (yyvsp[(6) - (7)].index).index1;
			char *length = (yyvsp[(6) - (7)].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[(5) - (7)].type).type_enum == ECPGt_struct ||
				 (yyvsp[(5) - (7)].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[(5) - (7)].type).type_enum, &dimension, &length, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, *(yyvsp[(7) - (7)].str)?1:0, false);

				switch ((yyvsp[(5) - (7)].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum,(yyvsp[(5) - (7)].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, make_str("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, make_str("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, make_str("/* exec sql var"), mm_strdup((yyvsp[(3) - (7)].str)), make_str("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), make_str("*/"));
		;}
    break;

  case 2226:

/* Line 1455 of yacc.c  */
#line 12149 "preproc.y"
    {
			when_error.code = (yyvsp[(3) - (3)].action).code;
			when_error.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, make_str("/* exec sql whenever sqlerror "), (yyvsp[(3) - (3)].action).str, make_str("; */"));
		;}
    break;

  case 2227:

/* Line 1455 of yacc.c  */
#line 12155 "preproc.y"
    {
			when_nf.code = (yyvsp[(4) - (4)].action).code;
			when_nf.command = (yyvsp[(4) - (4)].action).command;
			(yyval.str) = cat_str(3, make_str("/* exec sql whenever not found "), (yyvsp[(4) - (4)].action).str, make_str("; */"));
		;}
    break;

  case 2228:

/* Line 1455 of yacc.c  */
#line 12161 "preproc.y"
    {
			when_warn.code = (yyvsp[(3) - (3)].action).code;
			when_warn.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, make_str("/* exec sql whenever sql_warning "), (yyvsp[(3) - (3)].action).str, make_str("; */"));
		;}
    break;

  case 2229:

/* Line 1455 of yacc.c  */
#line 12169 "preproc.y"
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = make_str("continue");
		;}
    break;

  case 2230:

/* Line 1455 of yacc.c  */
#line 12175 "preproc.y"
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = make_str("sqlprint");
		;}
    break;

  case 2231:

/* Line 1455 of yacc.c  */
#line 12181 "preproc.y"
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = make_str("stop");
		;}
    break;

  case 2232:

/* Line 1455 of yacc.c  */
#line 12187 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(2) - (2)].str));
			(yyval.action).str = cat2_str(make_str("goto "), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2233:

/* Line 1455 of yacc.c  */
#line 12193 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(3) - (3)].str));
			(yyval.action).str = cat2_str(make_str("goto "), (yyvsp[(3) - (3)].str));
		;}
    break;

  case 2234:

/* Line 1455 of yacc.c  */
#line 12199 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), make_str("("), (yyvsp[(4) - (5)].str), make_str(")"));
			(yyval.action).str = cat2_str(make_str("do"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2235:

/* Line 1455 of yacc.c  */
#line 12205 "preproc.y"
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = make_str("break");
		;}
    break;

  case 2236:

/* Line 1455 of yacc.c  */
#line 12211 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), make_str("("), (yyvsp[(4) - (5)].str), make_str(")"));
			(yyval.action).str = cat2_str(make_str("call"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2237:

/* Line 1455 of yacc.c  */
#line 12217 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[(2) - (2)].str), make_str("()"));
			(yyval.action).str = cat2_str(make_str("call"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2238:

/* Line 1455 of yacc.c  */
#line 12227 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2239:

/* Line 1455 of yacc.c  */
#line 12228 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2240:

/* Line 1455 of yacc.c  */
#line 12231 "preproc.y"
    { (yyval.str) = make_str("break"); ;}
    break;

  case 2241:

/* Line 1455 of yacc.c  */
#line 12232 "preproc.y"
    { (yyval.str) = make_str("call"); ;}
    break;

  case 2242:

/* Line 1455 of yacc.c  */
#line 12233 "preproc.y"
    { (yyval.str) = make_str("cardinality"); ;}
    break;

  case 2243:

/* Line 1455 of yacc.c  */
#line 12234 "preproc.y"
    { (yyval.str) = make_str("count"); ;}
    break;

  case 2244:

/* Line 1455 of yacc.c  */
#line 12235 "preproc.y"
    { (yyval.str) = make_str("datetime_interval_code"); ;}
    break;

  case 2245:

/* Line 1455 of yacc.c  */
#line 12236 "preproc.y"
    { (yyval.str) = make_str("datetime_interval_precision"); ;}
    break;

  case 2246:

/* Line 1455 of yacc.c  */
#line 12237 "preproc.y"
    { (yyval.str) = make_str("found"); ;}
    break;

  case 2247:

/* Line 1455 of yacc.c  */
#line 12238 "preproc.y"
    { (yyval.str) = make_str("go"); ;}
    break;

  case 2248:

/* Line 1455 of yacc.c  */
#line 12239 "preproc.y"
    { (yyval.str) = make_str("goto"); ;}
    break;

  case 2249:

/* Line 1455 of yacc.c  */
#line 12240 "preproc.y"
    { (yyval.str) = make_str("identified"); ;}
    break;

  case 2250:

/* Line 1455 of yacc.c  */
#line 12241 "preproc.y"
    { (yyval.str) = make_str("indicator"); ;}
    break;

  case 2251:

/* Line 1455 of yacc.c  */
#line 12242 "preproc.y"
    { (yyval.str) = make_str("key_member"); ;}
    break;

  case 2252:

/* Line 1455 of yacc.c  */
#line 12243 "preproc.y"
    { (yyval.str) = make_str("length"); ;}
    break;

  case 2253:

/* Line 1455 of yacc.c  */
#line 12244 "preproc.y"
    { (yyval.str) = make_str("nullable"); ;}
    break;

  case 2254:

/* Line 1455 of yacc.c  */
#line 12245 "preproc.y"
    { (yyval.str) = make_str("octet_length"); ;}
    break;

  case 2255:

/* Line 1455 of yacc.c  */
#line 12246 "preproc.y"
    { (yyval.str) = make_str("returned_length"); ;}
    break;

  case 2256:

/* Line 1455 of yacc.c  */
#line 12247 "preproc.y"
    { (yyval.str) = make_str("returned_octet_length"); ;}
    break;

  case 2257:

/* Line 1455 of yacc.c  */
#line 12248 "preproc.y"
    { (yyval.str) = make_str("scale"); ;}
    break;

  case 2258:

/* Line 1455 of yacc.c  */
#line 12249 "preproc.y"
    { (yyval.str) = make_str("section"); ;}
    break;

  case 2259:

/* Line 1455 of yacc.c  */
#line 12250 "preproc.y"
    { (yyval.str) = make_str("sql"); ;}
    break;

  case 2260:

/* Line 1455 of yacc.c  */
#line 12251 "preproc.y"
    { (yyval.str) = make_str("sqlerror"); ;}
    break;

  case 2261:

/* Line 1455 of yacc.c  */
#line 12252 "preproc.y"
    { (yyval.str) = make_str("sqlprint"); ;}
    break;

  case 2262:

/* Line 1455 of yacc.c  */
#line 12253 "preproc.y"
    { (yyval.str) = make_str("sqlwarning"); ;}
    break;

  case 2263:

/* Line 1455 of yacc.c  */
#line 12254 "preproc.y"
    { (yyval.str) = make_str("stop"); ;}
    break;

  case 2264:

/* Line 1455 of yacc.c  */
#line 12257 "preproc.y"
    { (yyval.str) = make_str("connect"); ;}
    break;

  case 2265:

/* Line 1455 of yacc.c  */
#line 12258 "preproc.y"
    { (yyval.str) = make_str("describe"); ;}
    break;

  case 2266:

/* Line 1455 of yacc.c  */
#line 12259 "preproc.y"
    { (yyval.str) = make_str("disconnect"); ;}
    break;

  case 2267:

/* Line 1455 of yacc.c  */
#line 12260 "preproc.y"
    { (yyval.str) = make_str("open"); ;}
    break;

  case 2268:

/* Line 1455 of yacc.c  */
#line 12261 "preproc.y"
    { (yyval.str) = make_str("var"); ;}
    break;

  case 2269:

/* Line 1455 of yacc.c  */
#line 12262 "preproc.y"
    { (yyval.str) = make_str("whenever"); ;}
    break;

  case 2270:

/* Line 1455 of yacc.c  */
#line 12266 "preproc.y"
    { (yyval.str) = make_str("bool"); ;}
    break;

  case 2271:

/* Line 1455 of yacc.c  */
#line 12267 "preproc.y"
    { (yyval.str) = make_str("long"); ;}
    break;

  case 2272:

/* Line 1455 of yacc.c  */
#line 12268 "preproc.y"
    { (yyval.str) = make_str("output"); ;}
    break;

  case 2273:

/* Line 1455 of yacc.c  */
#line 12269 "preproc.y"
    { (yyval.str) = make_str("short"); ;}
    break;

  case 2274:

/* Line 1455 of yacc.c  */
#line 12270 "preproc.y"
    { (yyval.str) = make_str("struct"); ;}
    break;

  case 2275:

/* Line 1455 of yacc.c  */
#line 12271 "preproc.y"
    { (yyval.str) = make_str("signed"); ;}
    break;

  case 2276:

/* Line 1455 of yacc.c  */
#line 12272 "preproc.y"
    { (yyval.str) = make_str("unsigned"); ;}
    break;

  case 2277:

/* Line 1455 of yacc.c  */
#line 12275 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2278:

/* Line 1455 of yacc.c  */
#line 12278 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2279:

/* Line 1455 of yacc.c  */
#line 12279 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2280:

/* Line 1455 of yacc.c  */
#line 12280 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2281:

/* Line 1455 of yacc.c  */
#line 12281 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2282:

/* Line 1455 of yacc.c  */
#line 12282 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2283:

/* Line 1455 of yacc.c  */
#line 12283 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2284:

/* Line 1455 of yacc.c  */
#line 12284 "preproc.y"
    { (yyval.str) = make_str("char"); ;}
    break;

  case 2285:

/* Line 1455 of yacc.c  */
#line 12285 "preproc.y"
    { (yyval.str) = make_str("values"); ;}
    break;

  case 2286:

/* Line 1455 of yacc.c  */
#line 12298 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2287:

/* Line 1455 of yacc.c  */
#line 12299 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2288:

/* Line 1455 of yacc.c  */
#line 12300 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2289:

/* Line 1455 of yacc.c  */
#line 12301 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2290:

/* Line 1455 of yacc.c  */
#line 12302 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2291:

/* Line 1455 of yacc.c  */
#line 12303 "preproc.y"
    { (yyval.str) = make_str("char"); ;}
    break;

  case 2292:

/* Line 1455 of yacc.c  */
#line 12304 "preproc.y"
    { (yyval.str) = make_str("values"); ;}
    break;

  case 2293:

/* Line 1455 of yacc.c  */
#line 12309 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2294:

/* Line 1455 of yacc.c  */
#line 12310 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2295:

/* Line 1455 of yacc.c  */
#line 12311 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2296:

/* Line 1455 of yacc.c  */
#line 12312 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2297:

/* Line 1455 of yacc.c  */
#line 12313 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2298:

/* Line 1455 of yacc.c  */
#line 12314 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2299:

/* Line 1455 of yacc.c  */
#line 12320 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2300:

/* Line 1455 of yacc.c  */
#line 12321 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2301:

/* Line 1455 of yacc.c  */
#line 12322 "preproc.y"
    { (yyval.str) = make_str("char"); ;}
    break;

  case 2302:

/* Line 1455 of yacc.c  */
#line 12323 "preproc.y"
    { (yyval.str) = make_str("current"); ;}
    break;

  case 2303:

/* Line 1455 of yacc.c  */
#line 12324 "preproc.y"
    { (yyval.str) = make_str("input"); ;}
    break;

  case 2304:

/* Line 1455 of yacc.c  */
#line 12325 "preproc.y"
    { (yyval.str) = make_str("int"); ;}
    break;

  case 2305:

/* Line 1455 of yacc.c  */
#line 12326 "preproc.y"
    { (yyval.str) = make_str("to"); ;}
    break;

  case 2306:

/* Line 1455 of yacc.c  */
#line 12327 "preproc.y"
    { (yyval.str) = make_str("union"); ;}
    break;

  case 2307:

/* Line 1455 of yacc.c  */
#line 12328 "preproc.y"
    { (yyval.str) = make_str("values"); ;}
    break;

  case 2308:

/* Line 1455 of yacc.c  */
#line 12329 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2309:

/* Line 1455 of yacc.c  */
#line 12330 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2310:

/* Line 1455 of yacc.c  */
#line 12333 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2311:

/* Line 1455 of yacc.c  */
#line 12334 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2312:

/* Line 1455 of yacc.c  */
#line 12335 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2313:

/* Line 1455 of yacc.c  */
#line 12336 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2314:

/* Line 1455 of yacc.c  */
#line 12337 "preproc.y"
    { (yyval.str) = make_str("connection"); ;}
    break;

  case 2315:

/* Line 1455 of yacc.c  */
#line 12340 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2316:

/* Line 1455 of yacc.c  */
#line 12341 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2317:

/* Line 1455 of yacc.c  */
#line 12342 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2318:

/* Line 1455 of yacc.c  */
#line 12343 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2319:

/* Line 1455 of yacc.c  */
#line 12346 "preproc.y"
    { (yyval.str) = make_str("auto"); ;}
    break;

  case 2320:

/* Line 1455 of yacc.c  */
#line 12347 "preproc.y"
    { (yyval.str) = make_str("const"); ;}
    break;

  case 2321:

/* Line 1455 of yacc.c  */
#line 12348 "preproc.y"
    { (yyval.str) = make_str("extern"); ;}
    break;

  case 2322:

/* Line 1455 of yacc.c  */
#line 12349 "preproc.y"
    { (yyval.str) = make_str("register"); ;}
    break;

  case 2323:

/* Line 1455 of yacc.c  */
#line 12350 "preproc.y"
    { (yyval.str) = make_str("static"); ;}
    break;

  case 2324:

/* Line 1455 of yacc.c  */
#line 12351 "preproc.y"
    { (yyval.str) = make_str("typedef"); ;}
    break;

  case 2325:

/* Line 1455 of yacc.c  */
#line 12352 "preproc.y"
    { (yyval.str) = make_str("volatile"); ;}
    break;

  case 2326:

/* Line 1455 of yacc.c  */
#line 12369 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2327:

/* Line 1455 of yacc.c  */
#line 12370 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2328:

/* Line 1455 of yacc.c  */
#line 12371 "preproc.y"
    { (yyval.str) = make_str("connection"); ;}
    break;

  case 2329:

/* Line 1455 of yacc.c  */
#line 12374 "preproc.y"
    { (yyval.str) = make_str("day"); ;}
    break;

  case 2330:

/* Line 1455 of yacc.c  */
#line 12375 "preproc.y"
    { (yyval.str) = make_str("hour"); ;}
    break;

  case 2331:

/* Line 1455 of yacc.c  */
#line 12376 "preproc.y"
    { (yyval.str) = make_str("minute"); ;}
    break;

  case 2332:

/* Line 1455 of yacc.c  */
#line 12377 "preproc.y"
    { (yyval.str) = make_str("month"); ;}
    break;

  case 2333:

/* Line 1455 of yacc.c  */
#line 12378 "preproc.y"
    { (yyval.str) = make_str("second"); ;}
    break;

  case 2334:

/* Line 1455 of yacc.c  */
#line 12379 "preproc.y"
    { (yyval.str) = make_str("year"); ;}
    break;

  case 2337:

/* Line 1455 of yacc.c  */
#line 12386 "preproc.y"
    {
				reset_variables();
				pacounter = 1;
			;}
    break;

  case 2338:

/* Line 1455 of yacc.c  */
#line 12392 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2339:

/* Line 1455 of yacc.c  */
#line 12393 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2340:

/* Line 1455 of yacc.c  */
#line 12397 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str))); ;}
    break;

  case 2341:

/* Line 1455 of yacc.c  */
#line 12399 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (1)].str)), &no_indicator); ;}
    break;

  case 2342:

/* Line 1455 of yacc.c  */
#line 12404 "preproc.y"
    {
			if (find_variable((yyvsp[(2) - (2)].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str)));
			(yyval.str) = create_questionmarks((yyvsp[(1) - (2)].str), false);
		;}
    break;

  case 2343:

/* Line 1455 of yacc.c  */
#line 12414 "preproc.y"
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[(1) - (1)].str), false);
		;}
    break;

  case 2344:

/* Line 1455 of yacc.c  */
#line 12420 "preproc.y"
    { check_indicator((find_variable((yyvsp[(1) - (1)].str)))->type); (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2345:

/* Line 1455 of yacc.c  */
#line 12421 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2346:

/* Line 1455 of yacc.c  */
#line 12422 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2347:

/* Line 1455 of yacc.c  */
#line 12426 "preproc.y"
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[(1) - (1)].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmerror(PARSE_ERROR, ET_FATAL, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2348:

/* Line 1455 of yacc.c  */
#line 12458 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2349:

/* Line 1455 of yacc.c  */
#line 12460 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2350:

/* Line 1455 of yacc.c  */
#line 12462 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2351:

/* Line 1455 of yacc.c  */
#line 12466 "preproc.y"
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2352:

/* Line 1455 of yacc.c  */
#line 12476 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2353:

/* Line 1455 of yacc.c  */
#line 12486 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2354:

/* Line 1455 of yacc.c  */
#line 12495 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2355:

/* Line 1455 of yacc.c  */
#line 12496 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2356:

/* Line 1455 of yacc.c  */
#line 12499 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2357:

/* Line 1455 of yacc.c  */
#line 12501 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2358:

/* Line 1455 of yacc.c  */
#line 12502 "preproc.y"
    { (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\"")); ;}
    break;

  case 2359:

/* Line 1455 of yacc.c  */
#line 12503 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2360:

/* Line 1455 of yacc.c  */
#line 12507 "preproc.y"
    { (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\"")); ;}
    break;

  case 2361:

/* Line 1455 of yacc.c  */
#line 12509 "preproc.y"
    { (yyval.str) = make3_str(make_str("("), (yyvsp[(1) - (1)].str), make_str(")")); ;}
    break;

  case 2362:

/* Line 1455 of yacc.c  */
#line 12516 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2363:

/* Line 1455 of yacc.c  */
#line 12517 "preproc.y"
    { (yyval.str) = make_str("()"); ;}
    break;

  case 2364:

/* Line 1455 of yacc.c  */
#line 12519 "preproc.y"
    { (yyval.str) = cat_str(3, make_str("("), (yyvsp[(2) - (3)].str), make_str(")")); ;}
    break;

  case 2365:

/* Line 1455 of yacc.c  */
#line 12522 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2366:

/* Line 1455 of yacc.c  */
#line 12524 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2367:

/* Line 1455 of yacc.c  */
#line 12527 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2368:

/* Line 1455 of yacc.c  */
#line 12528 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2369:

/* Line 1455 of yacc.c  */
#line 12531 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2370:

/* Line 1455 of yacc.c  */
#line 12532 "preproc.y"
    { (yyval.str) = cat_str(3, make_str("{"), (yyvsp[(2) - (3)].str), make_str("}")); ;}
    break;

  case 2371:

/* Line 1455 of yacc.c  */
#line 12535 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2372:

/* Line 1455 of yacc.c  */
#line 12536 "preproc.y"
    { (yyval.str) = make_str("("); ;}
    break;

  case 2373:

/* Line 1455 of yacc.c  */
#line 12537 "preproc.y"
    { (yyval.str) = make_str(")"); ;}
    break;

  case 2374:

/* Line 1455 of yacc.c  */
#line 12538 "preproc.y"
    { (yyval.str) = make_str(","); ;}
    break;

  case 2375:

/* Line 1455 of yacc.c  */
#line 12539 "preproc.y"
    { (yyval.str) = make_str(";"); ;}
    break;

  case 2376:

/* Line 1455 of yacc.c  */
#line 12542 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2377:

/* Line 1455 of yacc.c  */
#line 12543 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2378:

/* Line 1455 of yacc.c  */
#line 12544 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2379:

/* Line 1455 of yacc.c  */
#line 12545 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2380:

/* Line 1455 of yacc.c  */
#line 12546 "preproc.y"
    { (yyval.str) = make_str("*"); ;}
    break;

  case 2381:

/* Line 1455 of yacc.c  */
#line 12547 "preproc.y"
    { (yyval.str) = make_str("+"); ;}
    break;

  case 2382:

/* Line 1455 of yacc.c  */
#line 12548 "preproc.y"
    { (yyval.str) = make_str("-"); ;}
    break;

  case 2383:

/* Line 1455 of yacc.c  */
#line 12549 "preproc.y"
    { (yyval.str) = make_str("/"); ;}
    break;

  case 2384:

/* Line 1455 of yacc.c  */
#line 12550 "preproc.y"
    { (yyval.str) = make_str("%"); ;}
    break;

  case 2385:

/* Line 1455 of yacc.c  */
#line 12551 "preproc.y"
    { (yyval.str) = make_str("NULL"); ;}
    break;

  case 2386:

/* Line 1455 of yacc.c  */
#line 12552 "preproc.y"
    { (yyval.str) = make_str("+="); ;}
    break;

  case 2387:

/* Line 1455 of yacc.c  */
#line 12553 "preproc.y"
    { (yyval.str) = make_str("&&"); ;}
    break;

  case 2388:

/* Line 1455 of yacc.c  */
#line 12554 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2389:

/* Line 1455 of yacc.c  */
#line 12555 "preproc.y"
    { (yyval.str) = make_str("auto"); ;}
    break;

  case 2390:

/* Line 1455 of yacc.c  */
#line 12556 "preproc.y"
    { (yyval.str) = make_str("const"); ;}
    break;

  case 2391:

/* Line 1455 of yacc.c  */
#line 12557 "preproc.y"
    { (yyval.str) = make_str("--"); ;}
    break;

  case 2392:

/* Line 1455 of yacc.c  */
#line 12558 "preproc.y"
    { (yyval.str) = make_str("/="); ;}
    break;

  case 2393:

/* Line 1455 of yacc.c  */
#line 12559 "preproc.y"
    { (yyval.str) = make_str(".*"); ;}
    break;

  case 2394:

/* Line 1455 of yacc.c  */
#line 12560 "preproc.y"
    { (yyval.str) = make_str("=="); ;}
    break;

  case 2395:

/* Line 1455 of yacc.c  */
#line 12561 "preproc.y"
    { (yyval.str) = make_str("extern"); ;}
    break;

  case 2396:

/* Line 1455 of yacc.c  */
#line 12562 "preproc.y"
    { (yyval.str) = make_str("++"); ;}
    break;

  case 2397:

/* Line 1455 of yacc.c  */
#line 12563 "preproc.y"
    { (yyval.str) = make_str("<<"); ;}
    break;

  case 2398:

/* Line 1455 of yacc.c  */
#line 12564 "preproc.y"
    { (yyval.str) = make_str("->"); ;}
    break;

  case 2399:

/* Line 1455 of yacc.c  */
#line 12565 "preproc.y"
    { (yyval.str) = make_str("->*"); ;}
    break;

  case 2400:

/* Line 1455 of yacc.c  */
#line 12566 "preproc.y"
    { (yyval.str) = make_str("%="); ;}
    break;

  case 2401:

/* Line 1455 of yacc.c  */
#line 12567 "preproc.y"
    { (yyval.str) = make_str("*="); ;}
    break;

  case 2402:

/* Line 1455 of yacc.c  */
#line 12568 "preproc.y"
    { (yyval.str) = make_str("!="); ;}
    break;

  case 2403:

/* Line 1455 of yacc.c  */
#line 12569 "preproc.y"
    { (yyval.str) = make_str("||"); ;}
    break;

  case 2404:

/* Line 1455 of yacc.c  */
#line 12570 "preproc.y"
    { (yyval.str) = make_str("register"); ;}
    break;

  case 2405:

/* Line 1455 of yacc.c  */
#line 12571 "preproc.y"
    { (yyval.str) = make_str(">>"); ;}
    break;

  case 2406:

/* Line 1455 of yacc.c  */
#line 12572 "preproc.y"
    { (yyval.str) = make_str("static"); ;}
    break;

  case 2407:

/* Line 1455 of yacc.c  */
#line 12573 "preproc.y"
    { (yyval.str) = make_str("-="); ;}
    break;

  case 2408:

/* Line 1455 of yacc.c  */
#line 12574 "preproc.y"
    { (yyval.str) = make_str("typedef"); ;}
    break;

  case 2409:

/* Line 1455 of yacc.c  */
#line 12575 "preproc.y"
    { (yyval.str) = make_str("volatile"); ;}
    break;

  case 2410:

/* Line 1455 of yacc.c  */
#line 12576 "preproc.y"
    { (yyval.str) = make_str("bool"); ;}
    break;

  case 2411:

/* Line 1455 of yacc.c  */
#line 12577 "preproc.y"
    { (yyval.str) = make_str("enum"); ;}
    break;

  case 2412:

/* Line 1455 of yacc.c  */
#line 12578 "preproc.y"
    { (yyval.str) = make_str("hour"); ;}
    break;

  case 2413:

/* Line 1455 of yacc.c  */
#line 12579 "preproc.y"
    { (yyval.str) = make_str("int"); ;}
    break;

  case 2414:

/* Line 1455 of yacc.c  */
#line 12580 "preproc.y"
    { (yyval.str) = make_str("long"); ;}
    break;

  case 2415:

/* Line 1455 of yacc.c  */
#line 12581 "preproc.y"
    { (yyval.str) = make_str("minute"); ;}
    break;

  case 2416:

/* Line 1455 of yacc.c  */
#line 12582 "preproc.y"
    { (yyval.str) = make_str("month"); ;}
    break;

  case 2417:

/* Line 1455 of yacc.c  */
#line 12583 "preproc.y"
    { (yyval.str) = make_str("second"); ;}
    break;

  case 2418:

/* Line 1455 of yacc.c  */
#line 12584 "preproc.y"
    { (yyval.str) = make_str("short"); ;}
    break;

  case 2419:

/* Line 1455 of yacc.c  */
#line 12585 "preproc.y"
    { (yyval.str) = make_str("signed"); ;}
    break;

  case 2420:

/* Line 1455 of yacc.c  */
#line 12586 "preproc.y"
    { (yyval.str) = make_str("struct"); ;}
    break;

  case 2421:

/* Line 1455 of yacc.c  */
#line 12587 "preproc.y"
    { (yyval.str) = make_str("unsigned"); ;}
    break;

  case 2422:

/* Line 1455 of yacc.c  */
#line 12588 "preproc.y"
    { (yyval.str) = make_str("year"); ;}
    break;

  case 2423:

/* Line 1455 of yacc.c  */
#line 12589 "preproc.y"
    { (yyval.str) = make_str("char"); ;}
    break;

  case 2424:

/* Line 1455 of yacc.c  */
#line 12590 "preproc.y"
    { (yyval.str) = make_str("float"); ;}
    break;

  case 2425:

/* Line 1455 of yacc.c  */
#line 12591 "preproc.y"
    { (yyval.str) = make_str("to"); ;}
    break;

  case 2426:

/* Line 1455 of yacc.c  */
#line 12592 "preproc.y"
    { (yyval.str) = make_str("union"); ;}
    break;

  case 2427:

/* Line 1455 of yacc.c  */
#line 12593 "preproc.y"
    { (yyval.str) = make_str("varchar"); ;}
    break;

  case 2428:

/* Line 1455 of yacc.c  */
#line 12594 "preproc.y"
    { (yyval.str) = make_str("["); ;}
    break;

  case 2429:

/* Line 1455 of yacc.c  */
#line 12595 "preproc.y"
    { (yyval.str) = make_str("]"); ;}
    break;

  case 2430:

/* Line 1455 of yacc.c  */
#line 12596 "preproc.y"
    { (yyval.str) = make_str("="); ;}
    break;

  case 2431:

/* Line 1455 of yacc.c  */
#line 12597 "preproc.y"
    { (yyval.str) = make_str(":"); ;}
    break;

  case 2432:

/* Line 1455 of yacc.c  */
#line 12600 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2433:

/* Line 1455 of yacc.c  */
#line 12601 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 2434:

/* Line 1455 of yacc.c  */
#line 12602 "preproc.y"
    { (yyval.str) = make_str("all"); ;}
    break;

  case 2435:

/* Line 1455 of yacc.c  */
#line 12603 "preproc.y"
    { (yyval.str) = make_str("all"); ;}
    break;

  case 2436:

/* Line 1455 of yacc.c  */
#line 12606 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2437:

/* Line 1455 of yacc.c  */
#line 12607 "preproc.y"
    { (yyval.str) = cat_str(3, make_str("("), (yyvsp[(2) - (3)].str), make_str(")")); ;}
    break;

  case 2438:

/* Line 1455 of yacc.c  */
#line 12608 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("+"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2439:

/* Line 1455 of yacc.c  */
#line 12609 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("-"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2440:

/* Line 1455 of yacc.c  */
#line 12610 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("*"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2441:

/* Line 1455 of yacc.c  */
#line 12611 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("/"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2442:

/* Line 1455 of yacc.c  */
#line 12612 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("%"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2443:

/* Line 1455 of yacc.c  */
#line 12613 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2444:

/* Line 1455 of yacc.c  */
#line 12614 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2445:

/* Line 1455 of yacc.c  */
#line 12617 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2446:

/* Line 1455 of yacc.c  */
#line 12618 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2447:

/* Line 1455 of yacc.c  */
#line 12619 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2448:

/* Line 1455 of yacc.c  */
#line 12620 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2449:

/* Line 1455 of yacc.c  */
#line 12621 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2450:

/* Line 1455 of yacc.c  */
#line 12624 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2451:

/* Line 1455 of yacc.c  */
#line 12625 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;



/* Line 1455 of yacc.c  */
#line 44393 "preproc.c"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (yymsg);
	  }
	else
	  {
	    yyerror (YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }

  yyerror_range[0] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[0] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[0] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[1] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, (yyerror_range - 1), 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval, &yylloc);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 1675 of yacc.c  */
#line 12628 "preproc.y"


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"

